#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9551
#define LARGE_STATE_COUNT 2547
#define SYMBOL_COUNT 522
#define ALIAS_COUNT 5
#define TOKEN_COUNT 213
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 212

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_class = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_COLON = 96,
  anon_sym_if = 97,
  anon_sym_else = 98,
  anon_sym_switch = 99,
  anon_sym_case = 100,
  anon_sym_default = 101,
  anon_sym_while = 102,
  anon_sym_do = 103,
  anon_sym_for = 104,
  anon_sym_return = 105,
  anon_sym_break = 106,
  anon_sym_continue = 107,
  anon_sym_goto = 108,
  anon_sym___try = 109,
  anon_sym___except = 110,
  anon_sym___finally = 111,
  anon_sym___leave = 112,
  anon_sym_QMARK = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_and_eq = 124,
  anon_sym_or_eq = 125,
  anon_sym_xor_eq = 126,
  anon_sym_not = 127,
  anon_sym_compl = 128,
  anon_sym_LT_EQ_GT = 129,
  anon_sym_or = 130,
  anon_sym_and = 131,
  anon_sym_bitor = 132,
  anon_sym_xor = 133,
  anon_sym_bitand = 134,
  anon_sym_not_eq = 135,
  anon_sym_DASH_DASH = 136,
  anon_sym_PLUS_PLUS = 137,
  anon_sym_sizeof = 138,
  anon_sym___alignof__ = 139,
  anon_sym___alignof = 140,
  anon_sym__alignof = 141,
  anon_sym_alignof = 142,
  anon_sym__Alignof = 143,
  anon_sym_offsetof = 144,
  anon_sym__Generic = 145,
  anon_sym_asm = 146,
  anon_sym___asm__ = 147,
  anon_sym_DOT = 148,
  anon_sym_DOT_STAR = 149,
  anon_sym_DASH_GT = 150,
  sym_number_literal = 151,
  anon_sym_L_SQUOTE = 152,
  anon_sym_u_SQUOTE = 153,
  anon_sym_U_SQUOTE = 154,
  anon_sym_u8_SQUOTE = 155,
  anon_sym_SQUOTE = 156,
  aux_sym_char_literal_token1 = 157,
  anon_sym_L_DQUOTE = 158,
  anon_sym_u_DQUOTE = 159,
  anon_sym_U_DQUOTE = 160,
  anon_sym_u8_DQUOTE = 161,
  anon_sym_DQUOTE = 162,
  aux_sym_string_literal_token1 = 163,
  sym_escape_sequence = 164,
  sym_system_lib_string = 165,
  sym_true = 166,
  sym_false = 167,
  anon_sym_NULL = 168,
  anon_sym_nullptr = 169,
  sym_comment = 170,
  sym_auto = 171,
  anon_sym_decltype = 172,
  anon_sym_final = 173,
  anon_sym_override = 174,
  anon_sym_virtual = 175,
  anon_sym_alignas = 176,
  anon_sym_explicit = 177,
  anon_sym_typename = 178,
  anon_sym_template = 179,
  anon_sym_GT2 = 180,
  anon_sym_operator = 181,
  anon_sym_try = 182,
  anon_sym_delete = 183,
  anon_sym_friend = 184,
  anon_sym_public = 185,
  anon_sym_private = 186,
  anon_sym_protected = 187,
  anon_sym_noexcept = 188,
  anon_sym_throw = 189,
  anon_sym_namespace = 190,
  anon_sym_using = 191,
  anon_sym_static_assert = 192,
  anon_sym_concept = 193,
  anon_sym_co_return = 194,
  anon_sym_co_yield = 195,
  anon_sym_catch = 196,
  anon_sym_R_DQUOTE = 197,
  anon_sym_LR_DQUOTE = 198,
  anon_sym_uR_DQUOTE = 199,
  anon_sym_UR_DQUOTE = 200,
  anon_sym_u8R_DQUOTE = 201,
  anon_sym_co_await = 202,
  anon_sym_new = 203,
  anon_sym_requires = 204,
  anon_sym_DASH_GT_STAR = 205,
  anon_sym_LPAREN_RPAREN = 206,
  anon_sym_LBRACK_RBRACK = 207,
  anon_sym_DQUOTE_DQUOTE = 208,
  sym_this = 209,
  sym_literal_suffix = 210,
  sym_raw_string_delimiter = 211,
  sym_raw_string_content = 212,
  sym_translation_unit = 213,
  sym_preproc_include = 214,
  sym_preproc_def = 215,
  sym_preproc_function_def = 216,
  sym_preproc_params = 217,
  sym_preproc_call = 218,
  sym_preproc_if = 219,
  sym_preproc_ifdef = 220,
  sym_preproc_else = 221,
  sym_preproc_elif = 222,
  sym_preproc_elifdef = 223,
  sym_preproc_if_in_field_declaration_list = 224,
  sym_preproc_ifdef_in_field_declaration_list = 225,
  sym_preproc_else_in_field_declaration_list = 226,
  sym_preproc_elif_in_field_declaration_list = 227,
  sym_preproc_elifdef_in_field_declaration_list = 228,
  sym_preproc_if_in_enumerator_list = 229,
  sym_preproc_ifdef_in_enumerator_list = 230,
  sym_preproc_else_in_enumerator_list = 231,
  sym_preproc_elif_in_enumerator_list = 232,
  sym_preproc_elifdef_in_enumerator_list = 233,
  sym_preproc_if_in_enumerator_list_no_comma = 234,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 235,
  sym_preproc_else_in_enumerator_list_no_comma = 236,
  sym_preproc_elif_in_enumerator_list_no_comma = 237,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 238,
  sym__preproc_expression = 239,
  sym_preproc_parenthesized_expression = 240,
  sym_preproc_defined = 241,
  sym_preproc_unary_expression = 242,
  sym_preproc_call_expression = 243,
  sym_preproc_argument_list = 244,
  sym_preproc_binary_expression = 245,
  sym_function_definition = 246,
  sym_declaration = 247,
  sym_type_definition = 248,
  sym__type_definition_type = 249,
  sym__type_definition_declarators = 250,
  sym__declaration_modifiers = 251,
  sym__declaration_specifiers = 252,
  sym_linkage_specification = 253,
  sym_attribute_specifier = 254,
  sym_attribute = 255,
  sym_attribute_declaration = 256,
  sym_ms_declspec_modifier = 257,
  sym_ms_based_modifier = 258,
  sym_ms_call_modifier = 259,
  sym_ms_unaligned_ptr_modifier = 260,
  sym_ms_pointer_modifier = 261,
  sym_declaration_list = 262,
  sym__declarator = 263,
  sym__field_declarator = 264,
  sym__type_declarator = 265,
  sym__abstract_declarator = 266,
  sym_parenthesized_declarator = 267,
  sym_parenthesized_field_declarator = 268,
  sym_parenthesized_type_declarator = 269,
  sym_abstract_parenthesized_declarator = 270,
  sym_attributed_declarator = 271,
  sym_attributed_field_declarator = 272,
  sym_attributed_type_declarator = 273,
  sym_pointer_declarator = 274,
  sym_pointer_field_declarator = 275,
  sym_pointer_type_declarator = 276,
  sym_abstract_pointer_declarator = 277,
  sym_function_declarator = 278,
  sym_function_field_declarator = 279,
  sym_function_type_declarator = 280,
  sym_abstract_function_declarator = 281,
  sym_array_declarator = 282,
  sym_array_field_declarator = 283,
  sym_array_type_declarator = 284,
  sym_abstract_array_declarator = 285,
  sym_init_declarator = 286,
  sym_compound_statement = 287,
  sym_storage_class_specifier = 288,
  sym_type_qualifier = 289,
  sym__type_specifier = 290,
  sym_sized_type_specifier = 291,
  sym_enum_specifier = 292,
  sym_enumerator_list = 293,
  sym_struct_specifier = 294,
  sym_union_specifier = 295,
  sym_field_declaration_list = 296,
  sym__field_declaration_list_item = 297,
  sym_field_declaration = 298,
  sym_bitfield_clause = 299,
  sym_enumerator = 300,
  sym_parameter_list = 301,
  sym_parameter_declaration = 302,
  sym_attributed_statement = 303,
  sym_labeled_statement = 304,
  sym__top_level_expression_statement = 305,
  sym_expression_statement = 306,
  sym_if_statement = 307,
  sym_else_clause = 308,
  sym_switch_statement = 309,
  sym_case_statement = 310,
  sym_while_statement = 311,
  sym_do_statement = 312,
  sym_for_statement = 313,
  sym__for_statement_body = 314,
  sym_return_statement = 315,
  sym_break_statement = 316,
  sym_continue_statement = 317,
  sym_goto_statement = 318,
  sym_seh_try_statement = 319,
  sym_seh_except_clause = 320,
  sym_seh_finally_clause = 321,
  sym_seh_leave_statement = 322,
  sym__expression = 323,
  sym__expression_not_binary = 324,
  sym__string = 325,
  sym_comma_expression = 326,
  sym_conditional_expression = 327,
  sym_assignment_expression = 328,
  sym_pointer_expression = 329,
  sym_unary_expression = 330,
  sym_binary_expression = 331,
  sym_update_expression = 332,
  sym_cast_expression = 333,
  sym_type_descriptor = 334,
  sym_sizeof_expression = 335,
  sym_alignof_expression = 336,
  sym_offsetof_expression = 337,
  sym_generic_expression = 338,
  sym_subscript_expression = 339,
  sym_call_expression = 340,
  sym_gnu_asm_expression = 341,
  sym_gnu_asm_qualifier = 342,
  sym_gnu_asm_output_operand_list = 343,
  sym_gnu_asm_output_operand = 344,
  sym_gnu_asm_input_operand_list = 345,
  sym_gnu_asm_input_operand = 346,
  sym_gnu_asm_clobber_list = 347,
  sym_gnu_asm_goto_list = 348,
  sym_argument_list = 349,
  sym_field_expression = 350,
  sym_compound_literal_expression = 351,
  sym_parenthesized_expression = 352,
  sym_initializer_list = 353,
  sym_initializer_pair = 354,
  sym_subscript_designator = 355,
  sym_subscript_range_designator = 356,
  sym_field_designator = 357,
  sym_char_literal = 358,
  sym_concatenated_string = 359,
  sym_string_literal = 360,
  sym_null = 361,
  sym__empty_declaration = 362,
  sym_placeholder_type_specifier = 363,
  sym_decltype_auto = 364,
  sym_decltype = 365,
  sym__class_declaration = 366,
  sym__class_declaration_item = 367,
  sym_class_specifier = 368,
  sym__class_name = 369,
  sym_virtual_specifier = 370,
  sym_virtual = 371,
  sym_alignas_specifier = 372,
  sym_explicit_function_specifier = 373,
  sym_base_class_clause = 374,
  sym__enum_base_clause = 375,
  sym_dependent_type = 376,
  sym_template_declaration = 377,
  sym_template_instantiation = 378,
  sym_template_parameter_list = 379,
  sym_type_parameter_declaration = 380,
  sym_variadic_type_parameter_declaration = 381,
  sym_optional_type_parameter_declaration = 382,
  sym_template_template_parameter_declaration = 383,
  sym_optional_parameter_declaration = 384,
  sym_variadic_parameter_declaration = 385,
  sym_variadic_declarator = 386,
  sym_variadic_reference_declarator = 387,
  sym_operator_cast = 388,
  sym_field_initializer_list = 389,
  sym_field_initializer = 390,
  sym_inline_method_definition = 391,
  sym__constructor_specifiers = 392,
  sym_operator_cast_definition = 393,
  sym_operator_cast_declaration = 394,
  sym_constructor_try_statement = 395,
  sym_constructor_or_destructor_definition = 396,
  sym_constructor_or_destructor_declaration = 397,
  sym_default_method_clause = 398,
  sym_delete_method_clause = 399,
  sym_friend_declaration = 400,
  sym_access_specifier = 401,
  sym_reference_declarator = 402,
  sym_reference_field_declarator = 403,
  sym_abstract_reference_declarator = 404,
  sym_structured_binding_declarator = 405,
  sym_ref_qualifier = 406,
  sym__function_declarator_seq = 407,
  sym__function_attributes_start = 408,
  sym__function_exception_specification = 409,
  sym__function_attributes_end = 410,
  sym__function_postfix = 411,
  sym_trailing_return_type = 412,
  sym_noexcept = 413,
  sym_throw_specifier = 414,
  sym_template_type = 415,
  sym_template_method = 416,
  sym_template_function = 417,
  sym_template_argument_list = 418,
  sym_namespace_definition = 419,
  sym_namespace_alias_definition = 420,
  sym__namespace_specifier = 421,
  sym_nested_namespace_specifier = 422,
  sym_using_declaration = 423,
  sym_alias_declaration = 424,
  sym_static_assert_declaration = 425,
  sym_concept_definition = 426,
  sym_for_range_loop = 427,
  sym__for_range_loop_body = 428,
  sym_init_statement = 429,
  sym_condition_clause = 430,
  sym_condition_declaration = 431,
  sym_co_return_statement = 432,
  sym_co_yield_statement = 433,
  sym_throw_statement = 434,
  sym_try_statement = 435,
  sym_catch_clause = 436,
  sym_raw_string_literal = 437,
  sym_subscript_argument_list = 438,
  sym_co_await_expression = 439,
  sym_new_expression = 440,
  sym_new_declarator = 441,
  sym_delete_expression = 442,
  sym_type_requirement = 443,
  sym_compound_requirement = 444,
  sym__requirement = 445,
  sym_requirement_seq = 446,
  sym_constraint_conjunction = 447,
  sym_constraint_disjunction = 448,
  sym__requirement_clause_constraint = 449,
  sym_requires_clause = 450,
  sym_requires_parameter_list = 451,
  sym_requires_expression = 452,
  sym_lambda_expression = 453,
  sym_lambda_capture_specifier = 454,
  sym_lambda_default_capture = 455,
  sym__fold_operator = 456,
  sym__binary_fold_operator = 457,
  sym__unary_left_fold = 458,
  sym__unary_right_fold = 459,
  sym__binary_fold = 460,
  sym_fold_expression = 461,
  sym_parameter_pack_expansion = 462,
  sym_type_parameter_pack_expansion = 463,
  sym_destructor_name = 464,
  sym_dependent_identifier = 465,
  sym_dependent_field_identifier = 466,
  sym_dependent_type_identifier = 467,
  sym__scope_resolution = 468,
  sym_qualified_field_identifier = 469,
  sym_qualified_identifier = 470,
  sym_qualified_type_identifier = 471,
  sym_qualified_operator_cast_identifier = 472,
  sym__assignment_expression_lhs = 473,
  sym_operator_name = 474,
  sym_user_defined_literal = 475,
  aux_sym_translation_unit_repeat1 = 476,
  aux_sym_preproc_params_repeat1 = 477,
  aux_sym_preproc_if_repeat1 = 478,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 479,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 480,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 481,
  aux_sym_preproc_argument_list_repeat1 = 482,
  aux_sym_declaration_repeat1 = 483,
  aux_sym_type_definition_repeat1 = 484,
  aux_sym__type_definition_type_repeat1 = 485,
  aux_sym__type_definition_declarators_repeat1 = 486,
  aux_sym__declaration_specifiers_repeat1 = 487,
  aux_sym_attribute_declaration_repeat1 = 488,
  aux_sym_attributed_declarator_repeat1 = 489,
  aux_sym_pointer_declarator_repeat1 = 490,
  aux_sym_sized_type_specifier_repeat1 = 491,
  aux_sym_enumerator_list_repeat1 = 492,
  aux_sym_field_declaration_repeat1 = 493,
  aux_sym_parameter_list_repeat1 = 494,
  aux_sym_case_statement_repeat1 = 495,
  aux_sym_generic_expression_repeat1 = 496,
  aux_sym_gnu_asm_expression_repeat1 = 497,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 498,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 499,
  aux_sym_gnu_asm_clobber_list_repeat1 = 500,
  aux_sym_gnu_asm_goto_list_repeat1 = 501,
  aux_sym_argument_list_repeat1 = 502,
  aux_sym_initializer_list_repeat1 = 503,
  aux_sym_initializer_pair_repeat1 = 504,
  aux_sym_char_literal_repeat1 = 505,
  aux_sym_concatenated_string_repeat1 = 506,
  aux_sym_string_literal_repeat1 = 507,
  aux_sym__class_declaration_repeat1 = 508,
  aux_sym_base_class_clause_repeat1 = 509,
  aux_sym_template_parameter_list_repeat1 = 510,
  aux_sym_field_initializer_list_repeat1 = 511,
  aux_sym_operator_cast_definition_repeat1 = 512,
  aux_sym_constructor_try_statement_repeat1 = 513,
  aux_sym_structured_binding_declarator_repeat1 = 514,
  aux_sym__function_postfix_repeat1 = 515,
  aux_sym_throw_specifier_repeat1 = 516,
  aux_sym_template_argument_list_repeat1 = 517,
  aux_sym_subscript_argument_list_repeat1 = 518,
  aux_sym_requirement_seq_repeat1 = 519,
  aux_sym_requires_parameter_list_repeat1 = 520,
  aux_sym_lambda_capture_specifier_repeat1 = 521,
  alias_sym_field_identifier = 522,
  alias_sym_namespace_identifier = 523,
  alias_sym_simple_requirement = 524,
  alias_sym_statement_identifier = 525,
  alias_sym_type_identifier = 526,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 136, .length = 2},
  [95] = {.index = 138, .length = 2},
  [96] = {.index = 140, .length = 1},
  [97] = {.index = 140, .length = 1},
  [98] = {.index = 141, .length = 3},
  [100] = {.index = 144, .length = 2},
  [101] = {.index = 146, .length = 2},
  [102] = {.index = 148, .length = 2},
  [103] = {.index = 150, .length = 3},
  [104] = {.index = 153, .length = 1},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 3},
  [108] = {.index = 158, .length = 3},
  [109] = {.index = 161, .length = 3},
  [110] = {.index = 164, .length = 2},
  [111] = {.index = 166, .length = 3},
  [112] = {.index = 169, .length = 3},
  [113] = {.index = 172, .length = 2},
  [114] = {.index = 174, .length = 3},
  [115] = {.index = 177, .length = 2},
  [116] = {.index = 19, .length = 2},
  [117] = {.index = 39, .length = 2},
  [118] = {.index = 179, .length = 2},
  [119] = {.index = 181, .length = 2},
  [120] = {.index = 183, .length = 1},
  [121] = {.index = 184, .length = 4},
  [122] = {.index = 188, .length = 4},
  [123] = {.index = 192, .length = 2},
  [124] = {.index = 194, .length = 3},
  [125] = {.index = 197, .length = 2},
  [126] = {.index = 199, .length = 2},
  [127] = {.index = 201, .length = 1},
  [128] = {.index = 202, .length = 2},
  [129] = {.index = 204, .length = 2},
  [130] = {.index = 206, .length = 3},
  [131] = {.index = 209, .length = 3},
  [132] = {.index = 212, .length = 3},
  [133] = {.index = 215, .length = 2},
  [134] = {.index = 215, .length = 2},
  [135] = {.index = 217, .length = 2},
  [136] = {.index = 219, .length = 3},
  [137] = {.index = 222, .length = 2},
  [138] = {.index = 224, .length = 2},
  [139] = {.index = 226, .length = 3},
  [140] = {.index = 229, .length = 2},
  [141] = {.index = 231, .length = 3},
  [142] = {.index = 234, .length = 2},
  [143] = {.index = 236, .length = 1},
  [144] = {.index = 237, .length = 2},
  [145] = {.index = 239, .length = 2},
  [146] = {.index = 241, .length = 4},
  [147] = {.index = 245, .length = 5},
  [148] = {.index = 250, .length = 1},
  [149] = {.index = 251, .length = 1},
  [150] = {.index = 252, .length = 2},
  [151] = {.index = 254, .length = 1},
  [153] = {.index = 255, .length = 1},
  [154] = {.index = 256, .length = 2},
  [155] = {.index = 258, .length = 2},
  [156] = {.index = 11, .length = 1},
  [157] = {.index = 11, .length = 1},
  [158] = {.index = 260, .length = 2},
  [159] = {.index = 262, .length = 1},
  [160] = {.index = 263, .length = 1},
  [161] = {.index = 264, .length = 4},
  [162] = {.index = 268, .length = 2},
  [163] = {.index = 270, .length = 4},
  [164] = {.index = 274, .length = 1},
  [165] = {.index = 275, .length = 2},
  [166] = {.index = 277, .length = 3},
  [167] = {.index = 280, .length = 1},
  [168] = {.index = 281, .length = 5},
  [169] = {.index = 286, .length = 2},
  [170] = {.index = 288, .length = 2},
  [171] = {.index = 290, .length = 4},
  [172] = {.index = 294, .length = 2},
  [173] = {.index = 296, .length = 3},
  [174] = {.index = 299, .length = 4},
  [175] = {.index = 303, .length = 4},
  [176] = {.index = 307, .length = 3},
  [177] = {.index = 310, .length = 2},
  [178] = {.index = 312, .length = 3},
  [179] = {.index = 315, .length = 3},
  [180] = {.index = 318, .length = 2},
  [181] = {.index = 320, .length = 2},
  [182] = {.index = 322, .length = 2},
  [183] = {.index = 324, .length = 2},
  [184] = {.index = 326, .length = 3},
  [185] = {.index = 329, .length = 2},
  [186] = {.index = 331, .length = 2},
  [187] = {.index = 333, .length = 3},
  [188] = {.index = 336, .length = 2},
  [189] = {.index = 338, .length = 2},
  [190] = {.index = 340, .length = 2},
  [191] = {.index = 342, .length = 4},
  [192] = {.index = 346, .length = 5},
  [193] = {.index = 351, .length = 3},
  [194] = {.index = 354, .length = 4},
  [195] = {.index = 358, .length = 2},
  [196] = {.index = 360, .length = 1},
  [197] = {.index = 361, .length = 4},
  [198] = {.index = 365, .length = 3},
  [199] = {.index = 368, .length = 2},
  [200] = {.index = 370, .length = 1},
  [201] = {.index = 371, .length = 5},
  [202] = {.index = 376, .length = 2},
  [203] = {.index = 378, .length = 2},
  [204] = {.index = 65, .length = 1},
  [205] = {.index = 380, .length = 5},
  [206] = {.index = 385, .length = 4},
  [207] = {.index = 389, .length = 2},
  [208] = {.index = 391, .length = 2},
  [209] = {.index = 393, .length = 5},
  [210] = {.index = 398, .length = 2},
  [211] = {.index = 400, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [140] =
    {field_base, 1},
  [141] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [144] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [146] =
    {field_body, 2},
    {field_name, 0},
  [148] =
    {field_condition, 2},
    {field_consequence, 3},
  [150] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [153] =
    {field_initializer, 0},
  [154] =
    {field_assembly_code, 2},
  [155] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [158] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [161] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [164] =
    {field_declarator, 0},
    {field_value, 2},
  [166] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [169] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [172] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [174] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [177] =
    {field_declarator, 0},
    {field_size, 2},
  [179] =
    {field_alternative, 3},
    {field_condition, 0},
  [181] =
    {field_declarator, 0},
    {field_default_value, 2},
  [183] =
    {field_size, 1},
  [184] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_declarator, 1},
  [194] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [197] =
    {field_alternative, 3},
    {field_condition, 1},
  [199] =
    {field_alternative, 3},
    {field_name, 1},
  [201] =
    {field_operator, 0},
  [202] =
    {field_declarator, 3},
    {field_type, 1},
  [204] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [206] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [209] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [212] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [215] =
    {field_designator, 0},
    {field_value, 2},
  [217] =
    {field_name, 0},
    {field_value, 2},
  [219] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [222] =
    {field_body, 3},
    {field_name, 0},
  [224] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [226] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [229] =
    {field_initializer, 1},
    {field_value, 2},
  [231] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [234] =
    {field_body, 1},
    {field_condition, 3},
  [236] =
    {field_update, 2},
  [237] =
    {field_initializer, 0},
    {field_update, 2},
  [239] =
    {field_condition, 1},
    {field_initializer, 0},
  [241] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [245] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [250] =
    {field_value, 3},
  [251] =
    {field_operand, 1},
  [252] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [254] =
    {field_assembly_code, 3},
  [255] =
    {field_default_type, 2},
  [256] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [258] =
    {field_body, 2},
    {field_parameters, 1},
  [260] =
    {field_name, 1},
    {field_type, 3},
  [262] =
    {field_condition, 2},
  [263] =
    {field_length, 1},
  [264] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [268] =
    {field_declarator, 1},
    {field_declarator, 2},
  [270] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [274] =
    {field_declarator, 4},
  [275] =
    {field_declarator, 0},
    {field_size, 3},
  [277] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [280] =
    {field_size, 2},
  [281] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [286] =
    {field_declarator, 1},
    {field_default_value, 3},
  [288] =
    {field_alternative, 4},
    {field_condition, 1},
  [290] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [294] =
    {field_body, 2},
    {field_filter, 1},
  [296] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [299] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [303] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [307] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [310] =
    {field_condition, 1},
    {field_update, 3},
  [312] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [315] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [318] =
    {field_initializer, 0},
    {field_update, 3},
  [320] =
    {field_condition, 2},
    {field_initializer, 0},
  [322] =
    {field_member, 4},
    {field_type, 2},
  [324] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [326] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [329] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [331] =
    {field_default_type, 3},
    {field_name, 1},
  [333] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [336] =
    {field_name, 1},
    {field_type, 4},
  [338] =
    {field_end, 3},
    {field_start, 1},
  [340] =
    {field_declarator, 1},
    {field_default_value, 2},
  [342] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [346] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [351] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [354] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [358] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [360] =
    {field_register, 1},
  [361] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [365] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [368] =
    {field_condition, 2},
    {field_message, 4},
  [370] =
    {field_delimiter, 1},
  [371] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [376] =
    {field_constraint, 0},
    {field_value, 2},
  [378] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [380] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [385] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [389] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [391] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [393] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [400] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [94] = {
    [1] = alias_sym_field_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [99] = {
    [0] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [116] = {
    [0] = alias_sym_field_identifier,
  },
  [117] = {
    [1] = alias_sym_field_identifier,
  },
  [133] = {
    [0] = alias_sym_field_identifier,
  },
  [152] = {
    [2] = alias_sym_type_identifier,
  },
  [156] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [157] = {
    [1] = alias_sym_namespace_identifier,
  },
  [158] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [4] = alias_sym_field_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
  },
  [188] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 18,
  [20] = 18,
  [21] = 18,
  [22] = 18,
  [23] = 16,
  [24] = 16,
  [25] = 16,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 27,
  [30] = 30,
  [31] = 28,
  [32] = 32,
  [33] = 27,
  [34] = 34,
  [35] = 35,
  [36] = 28,
  [37] = 27,
  [38] = 27,
  [39] = 28,
  [40] = 28,
  [41] = 34,
  [42] = 42,
  [43] = 42,
  [44] = 42,
  [45] = 45,
  [46] = 42,
  [47] = 45,
  [48] = 42,
  [49] = 45,
  [50] = 42,
  [51] = 42,
  [52] = 52,
  [53] = 45,
  [54] = 45,
  [55] = 42,
  [56] = 34,
  [57] = 45,
  [58] = 45,
  [59] = 45,
  [60] = 60,
  [61] = 42,
  [62] = 42,
  [63] = 34,
  [64] = 42,
  [65] = 52,
  [66] = 42,
  [67] = 60,
  [68] = 45,
  [69] = 42,
  [70] = 70,
  [71] = 45,
  [72] = 52,
  [73] = 42,
  [74] = 45,
  [75] = 52,
  [76] = 45,
  [77] = 45,
  [78] = 42,
  [79] = 42,
  [80] = 60,
  [81] = 42,
  [82] = 45,
  [83] = 45,
  [84] = 45,
  [85] = 45,
  [86] = 42,
  [87] = 60,
  [88] = 52,
  [89] = 89,
  [90] = 45,
  [91] = 42,
  [92] = 45,
  [93] = 60,
  [94] = 42,
  [95] = 42,
  [96] = 45,
  [97] = 45,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 101,
  [106] = 104,
  [107] = 100,
  [108] = 103,
  [109] = 102,
  [110] = 102,
  [111] = 103,
  [112] = 100,
  [113] = 104,
  [114] = 103,
  [115] = 104,
  [116] = 103,
  [117] = 104,
  [118] = 102,
  [119] = 100,
  [120] = 102,
  [121] = 101,
  [122] = 101,
  [123] = 101,
  [124] = 100,
  [125] = 101,
  [126] = 103,
  [127] = 104,
  [128] = 102,
  [129] = 100,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 138,
  [142] = 138,
  [143] = 143,
  [144] = 138,
  [145] = 138,
  [146] = 138,
  [147] = 147,
  [148] = 148,
  [149] = 148,
  [150] = 148,
  [151] = 151,
  [152] = 152,
  [153] = 151,
  [154] = 154,
  [155] = 151,
  [156] = 151,
  [157] = 157,
  [158] = 151,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 160,
  [163] = 163,
  [164] = 159,
  [165] = 165,
  [166] = 151,
  [167] = 167,
  [168] = 163,
  [169] = 159,
  [170] = 170,
  [171] = 171,
  [172] = 160,
  [173] = 170,
  [174] = 161,
  [175] = 175,
  [176] = 165,
  [177] = 161,
  [178] = 170,
  [179] = 160,
  [180] = 167,
  [181] = 161,
  [182] = 167,
  [183] = 183,
  [184] = 165,
  [185] = 170,
  [186] = 183,
  [187] = 175,
  [188] = 171,
  [189] = 161,
  [190] = 167,
  [191] = 183,
  [192] = 183,
  [193] = 175,
  [194] = 165,
  [195] = 170,
  [196] = 165,
  [197] = 170,
  [198] = 159,
  [199] = 161,
  [200] = 167,
  [201] = 183,
  [202] = 160,
  [203] = 163,
  [204] = 163,
  [205] = 163,
  [206] = 159,
  [207] = 183,
  [208] = 160,
  [209] = 171,
  [210] = 159,
  [211] = 171,
  [212] = 161,
  [213] = 175,
  [214] = 171,
  [215] = 171,
  [216] = 163,
  [217] = 167,
  [218] = 175,
  [219] = 159,
  [220] = 171,
  [221] = 167,
  [222] = 165,
  [223] = 165,
  [224] = 175,
  [225] = 163,
  [226] = 175,
  [227] = 183,
  [228] = 160,
  [229] = 151,
  [230] = 230,
  [231] = 231,
  [232] = 151,
  [233] = 233,
  [234] = 233,
  [235] = 235,
  [236] = 235,
  [237] = 233,
  [238] = 235,
  [239] = 239,
  [240] = 233,
  [241] = 233,
  [242] = 235,
  [243] = 235,
  [244] = 233,
  [245] = 235,
  [246] = 233,
  [247] = 233,
  [248] = 235,
  [249] = 235,
  [250] = 233,
  [251] = 233,
  [252] = 233,
  [253] = 253,
  [254] = 235,
  [255] = 235,
  [256] = 235,
  [257] = 235,
  [258] = 233,
  [259] = 235,
  [260] = 233,
  [261] = 235,
  [262] = 233,
  [263] = 235,
  [264] = 233,
  [265] = 152,
  [266] = 266,
  [267] = 267,
  [268] = 230,
  [269] = 154,
  [270] = 231,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 253,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 239,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 230,
  [356] = 231,
  [357] = 357,
  [358] = 353,
  [359] = 354,
  [360] = 353,
  [361] = 354,
  [362] = 362,
  [363] = 363,
  [364] = 231,
  [365] = 353,
  [366] = 354,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 230,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 230,
  [401] = 401,
  [402] = 402,
  [403] = 231,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 266,
  [414] = 267,
  [415] = 415,
  [416] = 416,
  [417] = 154,
  [418] = 418,
  [419] = 271,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 152,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 330,
  [435] = 319,
  [436] = 436,
  [437] = 307,
  [438] = 309,
  [439] = 349,
  [440] = 286,
  [441] = 283,
  [442] = 310,
  [443] = 323,
  [444] = 436,
  [445] = 277,
  [446] = 285,
  [447] = 316,
  [448] = 436,
  [449] = 318,
  [450] = 436,
  [451] = 288,
  [452] = 336,
  [453] = 436,
  [454] = 274,
  [455] = 308,
  [456] = 342,
  [457] = 311,
  [458] = 294,
  [459] = 436,
  [460] = 315,
  [461] = 345,
  [462] = 253,
  [463] = 436,
  [464] = 332,
  [465] = 436,
  [466] = 297,
  [467] = 328,
  [468] = 292,
  [469] = 303,
  [470] = 312,
  [471] = 436,
  [472] = 281,
  [473] = 290,
  [474] = 253,
  [475] = 436,
  [476] = 348,
  [477] = 436,
  [478] = 344,
  [479] = 239,
  [480] = 295,
  [481] = 313,
  [482] = 436,
  [483] = 436,
  [484] = 436,
  [485] = 339,
  [486] = 317,
  [487] = 320,
  [488] = 239,
  [489] = 337,
  [490] = 287,
  [491] = 333,
  [492] = 436,
  [493] = 329,
  [494] = 326,
  [495] = 321,
  [496] = 327,
  [497] = 324,
  [498] = 325,
  [499] = 331,
  [500] = 334,
  [501] = 338,
  [502] = 296,
  [503] = 340,
  [504] = 275,
  [505] = 343,
  [506] = 276,
  [507] = 293,
  [508] = 289,
  [509] = 279,
  [510] = 436,
  [511] = 436,
  [512] = 299,
  [513] = 282,
  [514] = 350,
  [515] = 291,
  [516] = 301,
  [517] = 278,
  [518] = 272,
  [519] = 302,
  [520] = 305,
  [521] = 322,
  [522] = 304,
  [523] = 273,
  [524] = 335,
  [525] = 436,
  [526] = 298,
  [527] = 300,
  [528] = 314,
  [529] = 306,
  [530] = 347,
  [531] = 436,
  [532] = 346,
  [533] = 341,
  [534] = 388,
  [535] = 381,
  [536] = 402,
  [537] = 404,
  [538] = 382,
  [539] = 385,
  [540] = 395,
  [541] = 267,
  [542] = 416,
  [543] = 374,
  [544] = 352,
  [545] = 418,
  [546] = 379,
  [547] = 411,
  [548] = 389,
  [549] = 423,
  [550] = 386,
  [551] = 424,
  [552] = 425,
  [553] = 427,
  [554] = 391,
  [555] = 396,
  [556] = 152,
  [557] = 266,
  [558] = 405,
  [559] = 397,
  [560] = 387,
  [561] = 401,
  [562] = 271,
  [563] = 432,
  [564] = 428,
  [565] = 430,
  [566] = 429,
  [567] = 392,
  [568] = 433,
  [569] = 420,
  [570] = 267,
  [571] = 351,
  [572] = 383,
  [573] = 154,
  [574] = 390,
  [575] = 394,
  [576] = 393,
  [577] = 368,
  [578] = 266,
  [579] = 380,
  [580] = 378,
  [581] = 375,
  [582] = 369,
  [583] = 373,
  [584] = 370,
  [585] = 271,
  [586] = 271,
  [587] = 399,
  [588] = 588,
  [589] = 407,
  [590] = 409,
  [591] = 367,
  [592] = 267,
  [593] = 152,
  [594] = 421,
  [595] = 422,
  [596] = 398,
  [597] = 597,
  [598] = 372,
  [599] = 431,
  [600] = 406,
  [601] = 408,
  [602] = 376,
  [603] = 154,
  [604] = 410,
  [605] = 384,
  [606] = 377,
  [607] = 412,
  [608] = 266,
  [609] = 415,
  [610] = 610,
  [611] = 610,
  [612] = 306,
  [613] = 281,
  [614] = 294,
  [615] = 328,
  [616] = 274,
  [617] = 617,
  [618] = 292,
  [619] = 311,
  [620] = 297,
  [621] = 303,
  [622] = 322,
  [623] = 312,
  [624] = 330,
  [625] = 300,
  [626] = 306,
  [627] = 333,
  [628] = 323,
  [629] = 347,
  [630] = 335,
  [631] = 277,
  [632] = 348,
  [633] = 346,
  [634] = 341,
  [635] = 314,
  [636] = 344,
  [637] = 339,
  [638] = 329,
  [639] = 273,
  [640] = 304,
  [641] = 301,
  [642] = 291,
  [643] = 282,
  [644] = 279,
  [645] = 272,
  [646] = 276,
  [647] = 275,
  [648] = 326,
  [649] = 283,
  [650] = 286,
  [651] = 325,
  [652] = 325,
  [653] = 315,
  [654] = 320,
  [655] = 326,
  [656] = 329,
  [657] = 339,
  [658] = 344,
  [659] = 348,
  [660] = 303,
  [661] = 292,
  [662] = 328,
  [663] = 332,
  [664] = 345,
  [665] = 308,
  [666] = 275,
  [667] = 276,
  [668] = 323,
  [669] = 336,
  [670] = 318,
  [671] = 288,
  [672] = 316,
  [673] = 310,
  [674] = 287,
  [675] = 309,
  [676] = 296,
  [677] = 337,
  [678] = 298,
  [679] = 279,
  [680] = 278,
  [681] = 289,
  [682] = 682,
  [683] = 282,
  [684] = 291,
  [685] = 343,
  [686] = 327,
  [687] = 340,
  [688] = 338,
  [689] = 323,
  [690] = 334,
  [691] = 331,
  [692] = 324,
  [693] = 321,
  [694] = 317,
  [695] = 315,
  [696] = 313,
  [697] = 305,
  [698] = 295,
  [699] = 301,
  [700] = 302,
  [701] = 304,
  [702] = 299,
  [703] = 342,
  [704] = 293,
  [705] = 273,
  [706] = 285,
  [707] = 307,
  [708] = 314,
  [709] = 350,
  [710] = 346,
  [711] = 342,
  [712] = 349,
  [713] = 288,
  [714] = 327,
  [715] = 347,
  [716] = 306,
  [717] = 300,
  [718] = 330,
  [719] = 719,
  [720] = 322,
  [721] = 320,
  [722] = 293,
  [723] = 345,
  [724] = 285,
  [725] = 308,
  [726] = 312,
  [727] = 341,
  [728] = 297,
  [729] = 294,
  [730] = 311,
  [731] = 299,
  [732] = 732,
  [733] = 298,
  [734] = 336,
  [735] = 274,
  [736] = 319,
  [737] = 290,
  [738] = 617,
  [739] = 277,
  [740] = 281,
  [741] = 741,
  [742] = 742,
  [743] = 719,
  [744] = 337,
  [745] = 745,
  [746] = 283,
  [747] = 287,
  [748] = 333,
  [749] = 286,
  [750] = 272,
  [751] = 617,
  [752] = 322,
  [753] = 307,
  [754] = 330,
  [755] = 349,
  [756] = 300,
  [757] = 719,
  [758] = 347,
  [759] = 346,
  [760] = 341,
  [761] = 314,
  [762] = 305,
  [763] = 302,
  [764] = 281,
  [765] = 319,
  [766] = 278,
  [767] = 290,
  [768] = 319,
  [769] = 299,
  [770] = 273,
  [771] = 304,
  [772] = 293,
  [773] = 301,
  [774] = 291,
  [775] = 282,
  [776] = 279,
  [777] = 276,
  [778] = 275,
  [779] = 278,
  [780] = 302,
  [781] = 327,
  [782] = 295,
  [783] = 305,
  [784] = 313,
  [785] = 317,
  [786] = 321,
  [787] = 324,
  [788] = 290,
  [789] = 325,
  [790] = 332,
  [791] = 326,
  [792] = 329,
  [793] = 320,
  [794] = 315,
  [795] = 331,
  [796] = 334,
  [797] = 339,
  [798] = 344,
  [799] = 348,
  [800] = 338,
  [801] = 303,
  [802] = 340,
  [803] = 312,
  [804] = 343,
  [805] = 297,
  [806] = 294,
  [807] = 337,
  [808] = 287,
  [809] = 292,
  [810] = 328,
  [811] = 332,
  [812] = 311,
  [813] = 274,
  [814] = 350,
  [815] = 349,
  [816] = 350,
  [817] = 298,
  [818] = 345,
  [819] = 318,
  [820] = 289,
  [821] = 285,
  [822] = 308,
  [823] = 335,
  [824] = 336,
  [825] = 719,
  [826] = 318,
  [827] = 335,
  [828] = 617,
  [829] = 316,
  [830] = 310,
  [831] = 272,
  [832] = 309,
  [833] = 296,
  [834] = 296,
  [835] = 277,
  [836] = 295,
  [837] = 288,
  [838] = 289,
  [839] = 313,
  [840] = 317,
  [841] = 343,
  [842] = 309,
  [843] = 310,
  [844] = 333,
  [845] = 340,
  [846] = 321,
  [847] = 316,
  [848] = 324,
  [849] = 283,
  [850] = 331,
  [851] = 307,
  [852] = 334,
  [853] = 338,
  [854] = 286,
  [855] = 342,
  [856] = 390,
  [857] = 411,
  [858] = 408,
  [859] = 406,
  [860] = 393,
  [861] = 393,
  [862] = 394,
  [863] = 323,
  [864] = 370,
  [865] = 407,
  [866] = 368,
  [867] = 369,
  [868] = 352,
  [869] = 412,
  [870] = 420,
  [871] = 395,
  [872] = 372,
  [873] = 430,
  [874] = 373,
  [875] = 398,
  [876] = 405,
  [877] = 383,
  [878] = 376,
  [879] = 402,
  [880] = 415,
  [881] = 377,
  [882] = 394,
  [883] = 352,
  [884] = 384,
  [885] = 409,
  [886] = 431,
  [887] = 401,
  [888] = 433,
  [889] = 397,
  [890] = 396,
  [891] = 392,
  [892] = 391,
  [893] = 389,
  [894] = 386,
  [895] = 368,
  [896] = 381,
  [897] = 380,
  [898] = 379,
  [899] = 378,
  [900] = 375,
  [901] = 369,
  [902] = 374,
  [903] = 151,
  [904] = 415,
  [905] = 373,
  [906] = 377,
  [907] = 427,
  [908] = 429,
  [909] = 412,
  [910] = 390,
  [911] = 425,
  [912] = 424,
  [913] = 351,
  [914] = 416,
  [915] = 367,
  [916] = 433,
  [917] = 410,
  [918] = 382,
  [919] = 385,
  [920] = 404,
  [921] = 410,
  [922] = 383,
  [923] = 395,
  [924] = 385,
  [925] = 408,
  [926] = 398,
  [927] = 401,
  [928] = 402,
  [929] = 405,
  [930] = 418,
  [931] = 406,
  [932] = 382,
  [933] = 418,
  [934] = 399,
  [935] = 423,
  [936] = 416,
  [937] = 429,
  [938] = 424,
  [939] = 430,
  [940] = 351,
  [941] = 432,
  [942] = 253,
  [943] = 432,
  [944] = 425,
  [945] = 420,
  [946] = 372,
  [947] = 397,
  [948] = 427,
  [949] = 376,
  [950] = 396,
  [951] = 384,
  [952] = 391,
  [953] = 392,
  [954] = 386,
  [955] = 367,
  [956] = 379,
  [957] = 423,
  [958] = 239,
  [959] = 411,
  [960] = 374,
  [961] = 407,
  [962] = 404,
  [963] = 422,
  [964] = 421,
  [965] = 431,
  [966] = 389,
  [967] = 422,
  [968] = 421,
  [969] = 388,
  [970] = 387,
  [971] = 409,
  [972] = 375,
  [973] = 370,
  [974] = 399,
  [975] = 378,
  [976] = 428,
  [977] = 380,
  [978] = 381,
  [979] = 388,
  [980] = 387,
  [981] = 428,
  [982] = 392,
  [983] = 682,
  [984] = 367,
  [985] = 151,
  [986] = 151,
  [987] = 387,
  [988] = 433,
  [989] = 381,
  [990] = 422,
  [991] = 991,
  [992] = 393,
  [993] = 993,
  [994] = 380,
  [995] = 995,
  [996] = 993,
  [997] = 991,
  [998] = 379,
  [999] = 394,
  [1000] = 1000,
  [1001] = 991,
  [1002] = 682,
  [1003] = 368,
  [1004] = 388,
  [1005] = 369,
  [1006] = 370,
  [1007] = 399,
  [1008] = 378,
  [1009] = 352,
  [1010] = 372,
  [1011] = 991,
  [1012] = 373,
  [1013] = 420,
  [1014] = 375,
  [1015] = 432,
  [1016] = 991,
  [1017] = 407,
  [1018] = 376,
  [1019] = 430,
  [1020] = 395,
  [1021] = 404,
  [1022] = 377,
  [1023] = 351,
  [1024] = 429,
  [1025] = 993,
  [1026] = 993,
  [1027] = 374,
  [1028] = 1028,
  [1029] = 428,
  [1030] = 991,
  [1031] = 993,
  [1032] = 385,
  [1033] = 383,
  [1034] = 991,
  [1035] = 993,
  [1036] = 406,
  [1037] = 993,
  [1038] = 993,
  [1039] = 382,
  [1040] = 991,
  [1041] = 408,
  [1042] = 391,
  [1043] = 421,
  [1044] = 410,
  [1045] = 398,
  [1046] = 401,
  [1047] = 409,
  [1048] = 431,
  [1049] = 993,
  [1050] = 993,
  [1051] = 411,
  [1052] = 384,
  [1053] = 386,
  [1054] = 991,
  [1055] = 397,
  [1056] = 389,
  [1057] = 991,
  [1058] = 415,
  [1059] = 993,
  [1060] = 412,
  [1061] = 390,
  [1062] = 991,
  [1063] = 396,
  [1064] = 416,
  [1065] = 418,
  [1066] = 427,
  [1067] = 425,
  [1068] = 991,
  [1069] = 682,
  [1070] = 405,
  [1071] = 402,
  [1072] = 993,
  [1073] = 424,
  [1074] = 151,
  [1075] = 423,
  [1076] = 151,
  [1077] = 151,
  [1078] = 151,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1080,
  [1082] = 1082,
  [1083] = 1082,
  [1084] = 1082,
  [1085] = 1082,
  [1086] = 1082,
  [1087] = 1082,
  [1088] = 1082,
  [1089] = 1082,
  [1090] = 1082,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1093,
  [1095] = 1093,
  [1096] = 1093,
  [1097] = 1093,
  [1098] = 1093,
  [1099] = 1093,
  [1100] = 1093,
  [1101] = 1093,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1103,
  [1105] = 1103,
  [1106] = 1106,
  [1107] = 1106,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1106,
  [1111] = 1103,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1106,
  [1116] = 1113,
  [1117] = 1117,
  [1118] = 1112,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 230,
  [1122] = 1114,
  [1123] = 231,
  [1124] = 1124,
  [1125] = 1106,
  [1126] = 1103,
  [1127] = 1120,
  [1128] = 1128,
  [1129] = 1128,
  [1130] = 266,
  [1131] = 267,
  [1132] = 154,
  [1133] = 271,
  [1134] = 152,
  [1135] = 326,
  [1136] = 277,
  [1137] = 283,
  [1138] = 295,
  [1139] = 349,
  [1140] = 286,
  [1141] = 285,
  [1142] = 342,
  [1143] = 1092,
  [1144] = 305,
  [1145] = 313,
  [1146] = 302,
  [1147] = 317,
  [1148] = 321,
  [1149] = 312,
  [1150] = 324,
  [1151] = 1102,
  [1152] = 331,
  [1153] = 281,
  [1154] = 290,
  [1155] = 334,
  [1156] = 319,
  [1157] = 338,
  [1158] = 1091,
  [1159] = 343,
  [1160] = 350,
  [1161] = 298,
  [1162] = 288,
  [1163] = 335,
  [1164] = 289,
  [1165] = 296,
  [1166] = 309,
  [1167] = 278,
  [1168] = 315,
  [1169] = 310,
  [1170] = 316,
  [1171] = 318,
  [1172] = 336,
  [1173] = 308,
  [1174] = 345,
  [1175] = 332,
  [1176] = 274,
  [1177] = 328,
  [1178] = 299,
  [1179] = 293,
  [1180] = 292,
  [1181] = 303,
  [1182] = 348,
  [1183] = 344,
  [1184] = 339,
  [1185] = 329,
  [1186] = 325,
  [1187] = 275,
  [1188] = 307,
  [1189] = 276,
  [1190] = 279,
  [1191] = 311,
  [1192] = 294,
  [1193] = 297,
  [1194] = 282,
  [1195] = 291,
  [1196] = 333,
  [1197] = 301,
  [1198] = 304,
  [1199] = 273,
  [1200] = 314,
  [1201] = 341,
  [1202] = 346,
  [1203] = 347,
  [1204] = 327,
  [1205] = 306,
  [1206] = 300,
  [1207] = 330,
  [1208] = 322,
  [1209] = 272,
  [1210] = 340,
  [1211] = 320,
  [1212] = 337,
  [1213] = 287,
  [1214] = 1214,
  [1215] = 1214,
  [1216] = 1214,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1214,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1214,
  [1223] = 1218,
  [1224] = 1214,
  [1225] = 1220,
  [1226] = 1214,
  [1227] = 1220,
  [1228] = 1218,
  [1229] = 1218,
  [1230] = 1214,
  [1231] = 1220,
  [1232] = 1220,
  [1233] = 1220,
  [1234] = 1220,
  [1235] = 1218,
  [1236] = 1236,
  [1237] = 1218,
  [1238] = 1218,
  [1239] = 1214,
  [1240] = 1214,
  [1241] = 1220,
  [1242] = 1220,
  [1243] = 1218,
  [1244] = 1220,
  [1245] = 1214,
  [1246] = 1220,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1249,
  [1251] = 1251,
  [1252] = 1248,
  [1253] = 1248,
  [1254] = 1251,
  [1255] = 1251,
  [1256] = 1256,
  [1257] = 1256,
  [1258] = 1249,
  [1259] = 1248,
  [1260] = 1247,
  [1261] = 1248,
  [1262] = 1247,
  [1263] = 1249,
  [1264] = 1251,
  [1265] = 1251,
  [1266] = 1249,
  [1267] = 1249,
  [1268] = 1248,
  [1269] = 1248,
  [1270] = 1248,
  [1271] = 1249,
  [1272] = 1251,
  [1273] = 1247,
  [1274] = 1249,
  [1275] = 1247,
  [1276] = 1276,
  [1277] = 1256,
  [1278] = 1278,
  [1279] = 1278,
  [1280] = 1278,
  [1281] = 1278,
  [1282] = 1278,
  [1283] = 1278,
  [1284] = 1278,
  [1285] = 1278,
  [1286] = 1286,
  [1287] = 1278,
  [1288] = 1288,
  [1289] = 1288,
  [1290] = 1288,
  [1291] = 1288,
  [1292] = 1288,
  [1293] = 1293,
  [1294] = 1288,
  [1295] = 1293,
  [1296] = 1293,
  [1297] = 1288,
  [1298] = 1293,
  [1299] = 1293,
  [1300] = 1288,
  [1301] = 1288,
  [1302] = 1302,
  [1303] = 1288,
  [1304] = 1293,
  [1305] = 1288,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1306,
  [1314] = 1314,
  [1315] = 1306,
  [1316] = 1307,
  [1317] = 1317,
  [1318] = 1306,
  [1319] = 1307,
  [1320] = 1320,
  [1321] = 1307,
  [1322] = 1306,
  [1323] = 1311,
  [1324] = 1311,
  [1325] = 1307,
  [1326] = 1306,
  [1327] = 1306,
  [1328] = 1317,
  [1329] = 1306,
  [1330] = 1311,
  [1331] = 1317,
  [1332] = 1311,
  [1333] = 1320,
  [1334] = 1317,
  [1335] = 1335,
  [1336] = 1307,
  [1337] = 1306,
  [1338] = 1338,
  [1339] = 1317,
  [1340] = 1317,
  [1341] = 1306,
  [1342] = 1317,
  [1343] = 1320,
  [1344] = 1344,
  [1345] = 1311,
  [1346] = 1311,
  [1347] = 1347,
  [1348] = 1317,
  [1349] = 1307,
  [1350] = 1350,
  [1351] = 1344,
  [1352] = 1317,
  [1353] = 1311,
  [1354] = 1317,
  [1355] = 1307,
  [1356] = 1311,
  [1357] = 1357,
  [1358] = 1306,
  [1359] = 1307,
  [1360] = 1311,
  [1361] = 1307,
  [1362] = 1306,
  [1363] = 1311,
  [1364] = 1364,
  [1365] = 1306,
  [1366] = 1307,
  [1367] = 1306,
  [1368] = 1307,
  [1369] = 1311,
  [1370] = 1320,
  [1371] = 1311,
  [1372] = 1307,
  [1373] = 1317,
  [1374] = 1374,
  [1375] = 1311,
  [1376] = 1344,
  [1377] = 1317,
  [1378] = 1344,
  [1379] = 1317,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1307,
  [1383] = 1307,
  [1384] = 1311,
  [1385] = 1385,
  [1386] = 1317,
  [1387] = 1306,
  [1388] = 1317,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1390,
  [1394] = 1392,
  [1395] = 1390,
  [1396] = 1390,
  [1397] = 1390,
  [1398] = 1390,
  [1399] = 1392,
  [1400] = 1400,
  [1401] = 1390,
  [1402] = 1390,
  [1403] = 1392,
  [1404] = 1392,
  [1405] = 1390,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1390,
  [1410] = 1410,
  [1411] = 1392,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1390,
  [1416] = 1416,
  [1417] = 1392,
  [1418] = 1418,
  [1419] = 1390,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1390,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1390,
  [1427] = 1427,
  [1428] = 1390,
  [1429] = 1392,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1434,
  [1437] = 1437,
  [1438] = 1434,
  [1439] = 1439,
  [1440] = 1437,
  [1441] = 1439,
  [1442] = 1437,
  [1443] = 1443,
  [1444] = 1434,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1445,
  [1450] = 1450,
  [1451] = 1446,
  [1452] = 1447,
  [1453] = 1453,
  [1454] = 1434,
  [1455] = 1448,
  [1456] = 1450,
  [1457] = 1457,
  [1458] = 1457,
  [1459] = 1453,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1457,
  [1464] = 1464,
  [1465] = 1437,
  [1466] = 1435,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1434,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1457,
  [1474] = 1474,
  [1475] = 1443,
  [1476] = 1434,
  [1477] = 1477,
  [1478] = 1460,
  [1479] = 1461,
  [1480] = 1462,
  [1481] = 1464,
  [1482] = 1437,
  [1483] = 1483,
  [1484] = 1467,
  [1485] = 1468,
  [1486] = 1469,
  [1487] = 1487,
  [1488] = 1472,
  [1489] = 1474,
  [1490] = 1430,
  [1491] = 1457,
  [1492] = 1477,
  [1493] = 1437,
  [1494] = 1494,
  [1495] = 1433,
  [1496] = 1433,
  [1497] = 1443,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1494,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1501,
  [1504] = 1502,
  [1505] = 1457,
  [1506] = 1506,
  [1507] = 1435,
  [1508] = 1437,
  [1509] = 1506,
  [1510] = 1510,
  [1511] = 1510,
  [1512] = 1512,
  [1513] = 1434,
  [1514] = 1435,
  [1515] = 1512,
  [1516] = 1437,
  [1517] = 1457,
  [1518] = 1518,
  [1519] = 1439,
  [1520] = 1457,
  [1521] = 1437,
  [1522] = 1434,
  [1523] = 1432,
  [1524] = 1524,
  [1525] = 1524,
  [1526] = 1526,
  [1527] = 1439,
  [1528] = 1432,
  [1529] = 1434,
  [1530] = 1437,
  [1531] = 1531,
  [1532] = 1434,
  [1533] = 1457,
  [1534] = 1439,
  [1535] = 1443,
  [1536] = 1518,
  [1537] = 1526,
  [1538] = 1437,
  [1539] = 1483,
  [1540] = 1437,
  [1541] = 1434,
  [1542] = 1437,
  [1543] = 1432,
  [1544] = 1457,
  [1545] = 1437,
  [1546] = 1457,
  [1547] = 1437,
  [1548] = 1432,
  [1549] = 1549,
  [1550] = 1433,
  [1551] = 1434,
  [1552] = 1434,
  [1553] = 1433,
  [1554] = 1432,
  [1555] = 1433,
  [1556] = 1499,
  [1557] = 1434,
  [1558] = 1457,
  [1559] = 1435,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1560,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1560,
  [1581] = 1581,
  [1582] = 1571,
  [1583] = 1583,
  [1584] = 1567,
  [1585] = 1585,
  [1586] = 1561,
  [1587] = 1587,
  [1588] = 1568,
  [1589] = 1587,
  [1590] = 1581,
  [1591] = 1572,
  [1592] = 1592,
  [1593] = 1562,
  [1594] = 1575,
  [1595] = 1578,
  [1596] = 1568,
  [1597] = 1577,
  [1598] = 1571,
  [1599] = 1569,
  [1600] = 1566,
  [1601] = 1561,
  [1602] = 1592,
  [1603] = 1578,
  [1604] = 1573,
  [1605] = 1571,
  [1606] = 1606,
  [1607] = 1579,
  [1608] = 1579,
  [1609] = 1577,
  [1610] = 1610,
  [1611] = 1561,
  [1612] = 1612,
  [1613] = 1606,
  [1614] = 1578,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1570,
  [1618] = 1618,
  [1619] = 1606,
  [1620] = 1566,
  [1621] = 1575,
  [1622] = 1622,
  [1623] = 1569,
  [1624] = 1571,
  [1625] = 1587,
  [1626] = 1561,
  [1627] = 1567,
  [1628] = 1610,
  [1629] = 1566,
  [1630] = 1571,
  [1631] = 1615,
  [1632] = 1632,
  [1633] = 1569,
  [1634] = 1634,
  [1635] = 1566,
  [1636] = 1569,
  [1637] = 1618,
  [1638] = 1616,
  [1639] = 1578,
  [1640] = 1622,
  [1641] = 1574,
  [1642] = 1616,
  [1643] = 1570,
  [1644] = 1622,
  [1645] = 1615,
  [1646] = 1632,
  [1647] = 1622,
  [1648] = 1577,
  [1649] = 1649,
  [1650] = 1632,
  [1651] = 1606,
  [1652] = 1610,
  [1653] = 1634,
  [1654] = 1616,
  [1655] = 1655,
  [1656] = 1569,
  [1657] = 1561,
  [1658] = 1572,
  [1659] = 1581,
  [1660] = 1578,
  [1661] = 1562,
  [1662] = 1566,
  [1663] = 1615,
  [1664] = 1570,
  [1665] = 1655,
  [1666] = 1574,
  [1667] = 1562,
  [1668] = 1618,
  [1669] = 1572,
  [1670] = 1634,
  [1671] = 1610,
  [1672] = 1568,
  [1673] = 1560,
  [1674] = 1573,
  [1675] = 1567,
  [1676] = 1573,
  [1677] = 1568,
  [1678] = 1567,
  [1679] = 1632,
  [1680] = 1581,
  [1681] = 1634,
  [1682] = 1618,
  [1683] = 1632,
  [1684] = 1572,
  [1685] = 1578,
  [1686] = 1561,
  [1687] = 1606,
  [1688] = 1622,
  [1689] = 1632,
  [1690] = 1634,
  [1691] = 1618,
  [1692] = 1692,
  [1693] = 1570,
  [1694] = 1694,
  [1695] = 1616,
  [1696] = 1615,
  [1697] = 1610,
  [1698] = 1564,
  [1699] = 1699,
  [1700] = 1573,
  [1701] = 1701,
  [1702] = 1579,
  [1703] = 1562,
  [1704] = 1622,
  [1705] = 1573,
  [1706] = 1606,
  [1707] = 1571,
  [1708] = 1634,
  [1709] = 1569,
  [1710] = 1566,
  [1711] = 1577,
  [1712] = 1561,
  [1713] = 1575,
  [1714] = 1592,
  [1715] = 1573,
  [1716] = 1587,
  [1717] = 1570,
  [1718] = 1616,
  [1719] = 1610,
  [1720] = 1574,
  [1721] = 1572,
  [1722] = 1573,
  [1723] = 1577,
  [1724] = 1581,
  [1725] = 1725,
  [1726] = 1562,
  [1727] = 1571,
  [1728] = 1655,
  [1729] = 1701,
  [1730] = 1730,
  [1731] = 1574,
  [1732] = 1574,
  [1733] = 1649,
  [1734] = 1569,
  [1735] = 1587,
  [1736] = 1568,
  [1737] = 1567,
  [1738] = 1571,
  [1739] = 1560,
  [1740] = 1579,
  [1741] = 1562,
  [1742] = 1579,
  [1743] = 1573,
  [1744] = 1618,
  [1745] = 1592,
  [1746] = 1575,
  [1747] = 1610,
  [1748] = 1572,
  [1749] = 1581,
  [1750] = 1561,
  [1751] = 1606,
  [1752] = 1615,
  [1753] = 1592,
  [1754] = 1622,
  [1755] = 1568,
  [1756] = 1566,
  [1757] = 1616,
  [1758] = 1570,
  [1759] = 1618,
  [1760] = 1567,
  [1761] = 1761,
  [1762] = 1571,
  [1763] = 1610,
  [1764] = 1632,
  [1765] = 1618,
  [1766] = 1634,
  [1767] = 1560,
  [1768] = 1615,
  [1769] = 1632,
  [1770] = 1622,
  [1771] = 1573,
  [1772] = 1606,
  [1773] = 1634,
  [1774] = 1579,
  [1775] = 1592,
  [1776] = 1618,
  [1777] = 1572,
  [1778] = 1616,
  [1779] = 1570,
  [1780] = 1618,
  [1781] = 1569,
  [1782] = 1566,
  [1783] = 1578,
  [1784] = 1570,
  [1785] = 1578,
  [1786] = 1634,
  [1787] = 1632,
  [1788] = 1622,
  [1789] = 1587,
  [1790] = 1616,
  [1791] = 1615,
  [1792] = 1610,
  [1793] = 1615,
  [1794] = 1616,
  [1795] = 1570,
  [1796] = 1618,
  [1797] = 1634,
  [1798] = 1632,
  [1799] = 1622,
  [1800] = 1606,
  [1801] = 1561,
  [1802] = 1578,
  [1803] = 1571,
  [1804] = 1610,
  [1805] = 1566,
  [1806] = 1606,
  [1807] = 1561,
  [1808] = 1579,
  [1809] = 1592,
  [1810] = 1569,
  [1811] = 1587,
  [1812] = 1571,
  [1813] = 1561,
  [1814] = 1581,
  [1815] = 1578,
  [1816] = 1606,
  [1817] = 1568,
  [1818] = 1622,
  [1819] = 1632,
  [1820] = 1562,
  [1821] = 1634,
  [1822] = 1618,
  [1823] = 1567,
  [1824] = 1606,
  [1825] = 1560,
  [1826] = 1570,
  [1827] = 1592,
  [1828] = 1587,
  [1829] = 1616,
  [1830] = 1578,
  [1831] = 1570,
  [1832] = 1615,
  [1833] = 1575,
  [1834] = 1572,
  [1835] = 1581,
  [1836] = 1616,
  [1837] = 1573,
  [1838] = 1571,
  [1839] = 1622,
  [1840] = 1568,
  [1841] = 1560,
  [1842] = 1562,
  [1843] = 1562,
  [1844] = 1615,
  [1845] = 1610,
  [1846] = 1655,
  [1847] = 1610,
  [1848] = 1592,
  [1849] = 1571,
  [1850] = 1566,
  [1851] = 1587,
  [1852] = 1569,
  [1853] = 1592,
  [1854] = 1854,
  [1855] = 1587,
  [1856] = 1569,
  [1857] = 1569,
  [1858] = 1566,
  [1859] = 1566,
  [1860] = 1573,
  [1861] = 1699,
  [1862] = 1562,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1610,
  [1866] = 1615,
  [1867] = 1585,
  [1868] = 1616,
  [1869] = 1570,
  [1870] = 1618,
  [1871] = 1632,
  [1872] = 1872,
  [1873] = 1610,
  [1874] = 1615,
  [1875] = 1616,
  [1876] = 1570,
  [1877] = 1634,
  [1878] = 1632,
  [1879] = 1585,
  [1880] = 1634,
  [1881] = 1618,
  [1882] = 1622,
  [1883] = 1606,
  [1884] = 1561,
  [1885] = 1578,
  [1886] = 1587,
  [1887] = 1649,
  [1888] = 1569,
  [1889] = 1889,
  [1890] = 1585,
  [1891] = 1566,
  [1892] = 1566,
  [1893] = 1573,
  [1894] = 1585,
  [1895] = 1562,
  [1896] = 1569,
  [1897] = 1571,
  [1898] = 1574,
  [1899] = 1585,
  [1900] = 1578,
  [1901] = 1592,
  [1902] = 1585,
  [1903] = 1634,
  [1904] = 1632,
  [1905] = 1592,
  [1906] = 1622,
  [1907] = 1606,
  [1908] = 1561,
  [1909] = 1587,
  [1910] = 1587,
  [1911] = 1573,
  [1912] = 1585,
  [1913] = 1615,
  [1914] = 1863,
  [1915] = 1592,
  [1916] = 1587,
  [1917] = 1917,
  [1918] = 1854,
  [1919] = 1610,
  [1920] = 1854,
  [1921] = 1574,
  [1922] = 1587,
  [1923] = 1655,
  [1924] = 1615,
  [1925] = 1616,
  [1926] = 1560,
  [1927] = 1570,
  [1928] = 1618,
  [1929] = 1655,
  [1930] = 1562,
  [1931] = 1573,
  [1932] = 1634,
  [1933] = 1632,
  [1934] = 1622,
  [1935] = 1606,
  [1936] = 1561,
  [1937] = 1578,
  [1938] = 1938,
  [1939] = 1585,
  [1940] = 1581,
  [1941] = 1655,
  [1942] = 1592,
  [1943] = 1562,
  [1944] = 1592,
  [1945] = 1562,
  [1946] = 1946,
  [1947] = 1946,
  [1948] = 1946,
  [1949] = 1946,
  [1950] = 1946,
  [1951] = 383,
  [1952] = 352,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1954,
  [1958] = 1954,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1960,
  [1965] = 1963,
  [1966] = 1966,
  [1967] = 1955,
  [1968] = 1968,
  [1969] = 1968,
  [1970] = 1961,
  [1971] = 1968,
  [1972] = 1954,
  [1973] = 1962,
  [1974] = 1959,
  [1975] = 1956,
  [1976] = 1256,
  [1977] = 1968,
  [1978] = 1978,
  [1979] = 1978,
  [1980] = 1256,
  [1981] = 1963,
  [1982] = 1956,
  [1983] = 1962,
  [1984] = 1960,
  [1985] = 1961,
  [1986] = 1959,
  [1987] = 1955,
  [1988] = 1968,
  [1989] = 1960,
  [1990] = 1959,
  [1991] = 1955,
  [1992] = 1956,
  [1993] = 1961,
  [1994] = 1963,
  [1995] = 1962,
  [1996] = 1996,
  [1997] = 1996,
  [1998] = 1996,
  [1999] = 1996,
  [2000] = 1996,
  [2001] = 2001,
  [2002] = 2001,
  [2003] = 2001,
  [2004] = 2001,
  [2005] = 2001,
  [2006] = 2001,
  [2007] = 2007,
  [2008] = 2001,
  [2009] = 2001,
  [2010] = 2001,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2015,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 1968,
  [2035] = 1968,
  [2036] = 1968,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2038,
  [2040] = 1960,
  [2041] = 1963,
  [2042] = 2038,
  [2043] = 2038,
  [2044] = 1955,
  [2045] = 2038,
  [2046] = 2046,
  [2047] = 1959,
  [2048] = 2048,
  [2049] = 1961,
  [2050] = 1956,
  [2051] = 2051,
  [2052] = 1962,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 1955,
  [2056] = 2046,
  [2057] = 1961,
  [2058] = 253,
  [2059] = 239,
  [2060] = 230,
  [2061] = 1963,
  [2062] = 2062,
  [2063] = 231,
  [2064] = 2011,
  [2065] = 1962,
  [2066] = 2066,
  [2067] = 1960,
  [2068] = 1959,
  [2069] = 1956,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 323,
  [2073] = 2071,
  [2074] = 2074,
  [2075] = 2074,
  [2076] = 2074,
  [2077] = 1968,
  [2078] = 2078,
  [2079] = 2074,
  [2080] = 2071,
  [2081] = 1954,
  [2082] = 2071,
  [2083] = 2071,
  [2084] = 2071,
  [2085] = 2071,
  [2086] = 2071,
  [2087] = 323,
  [2088] = 2071,
  [2089] = 2074,
  [2090] = 2090,
  [2091] = 2011,
  [2092] = 230,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 239,
  [2096] = 2096,
  [2097] = 266,
  [2098] = 2011,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 231,
  [2104] = 1954,
  [2105] = 152,
  [2106] = 253,
  [2107] = 154,
  [2108] = 1963,
  [2109] = 421,
  [2110] = 418,
  [2111] = 2111,
  [2112] = 416,
  [2113] = 2096,
  [2114] = 1956,
  [2115] = 1959,
  [2116] = 1960,
  [2117] = 1961,
  [2118] = 2118,
  [2119] = 1961,
  [2120] = 287,
  [2121] = 422,
  [2122] = 2122,
  [2123] = 1968,
  [2124] = 1962,
  [2125] = 2094,
  [2126] = 2111,
  [2127] = 2127,
  [2128] = 2118,
  [2129] = 1960,
  [2130] = 2130,
  [2131] = 393,
  [2132] = 2007,
  [2133] = 429,
  [2134] = 2122,
  [2135] = 2135,
  [2136] = 394,
  [2137] = 395,
  [2138] = 432,
  [2139] = 427,
  [2140] = 425,
  [2141] = 1963,
  [2142] = 2013,
  [2143] = 1955,
  [2144] = 298,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2011,
  [2148] = 398,
  [2149] = 2149,
  [2150] = 1959,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 351,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 424,
  [2164] = 415,
  [2165] = 412,
  [2166] = 423,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 1956,
  [2170] = 411,
  [2171] = 2171,
  [2172] = 372,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 404,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2177,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 1955,
  [2183] = 2171,
  [2184] = 383,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 373,
  [2192] = 388,
  [2193] = 387,
  [2194] = 401,
  [2195] = 337,
  [2196] = 288,
  [2197] = 367,
  [2198] = 2198,
  [2199] = 281,
  [2200] = 290,
  [2201] = 285,
  [2202] = 428,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 1954,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 319,
  [2215] = 323,
  [2216] = 350,
  [2217] = 1962,
  [2218] = 376,
  [2219] = 333,
  [2220] = 2025,
  [2221] = 2029,
  [2222] = 352,
  [2223] = 2171,
  [2224] = 405,
  [2225] = 323,
  [2226] = 375,
  [2227] = 378,
  [2228] = 379,
  [2229] = 380,
  [2230] = 402,
  [2231] = 381,
  [2232] = 384,
  [2233] = 389,
  [2234] = 2185,
  [2235] = 392,
  [2236] = 2011,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 239,
  [2240] = 2240,
  [2241] = 2011,
  [2242] = 239,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2240,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 231,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2240,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2213,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 253,
  [2262] = 152,
  [2263] = 154,
  [2264] = 2264,
  [2265] = 2240,
  [2266] = 2213,
  [2267] = 2213,
  [2268] = 2240,
  [2269] = 230,
  [2270] = 2240,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 266,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2213,
  [2279] = 2240,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2029,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 1968,
  [2287] = 2287,
  [2288] = 2029,
  [2289] = 2007,
  [2290] = 2013,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 230,
  [2294] = 2294,
  [2295] = 2213,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2011,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 231,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2025,
  [2311] = 2311,
  [2312] = 2291,
  [2313] = 2240,
  [2314] = 2013,
  [2315] = 2315,
  [2316] = 2025,
  [2317] = 2292,
  [2318] = 2213,
  [2319] = 253,
  [2320] = 2094,
  [2321] = 2096,
  [2322] = 2322,
  [2323] = 2240,
  [2324] = 2011,
  [2325] = 2325,
  [2326] = 395,
  [2327] = 2156,
  [2328] = 394,
  [2329] = 393,
  [2330] = 2330,
  [2331] = 388,
  [2332] = 389,
  [2333] = 387,
  [2334] = 381,
  [2335] = 398,
  [2336] = 401,
  [2337] = 380,
  [2338] = 2277,
  [2339] = 372,
  [2340] = 402,
  [2341] = 405,
  [2342] = 392,
  [2343] = 379,
  [2344] = 373,
  [2345] = 378,
  [2346] = 375,
  [2347] = 2198,
  [2348] = 376,
  [2349] = 2204,
  [2350] = 428,
  [2351] = 2149,
  [2352] = 384,
  [2353] = 429,
  [2354] = 2151,
  [2355] = 2152,
  [2356] = 2153,
  [2357] = 2154,
  [2358] = 2155,
  [2359] = 2190,
  [2360] = 2360,
  [2361] = 323,
  [2362] = 2051,
  [2363] = 2212,
  [2364] = 2211,
  [2365] = 432,
  [2366] = 2210,
  [2367] = 2208,
  [2368] = 2207,
  [2369] = 2206,
  [2370] = 2203,
  [2371] = 288,
  [2372] = 281,
  [2373] = 298,
  [2374] = 2189,
  [2375] = 2188,
  [2376] = 2187,
  [2377] = 2186,
  [2378] = 2181,
  [2379] = 2180,
  [2380] = 2176,
  [2381] = 2174,
  [2382] = 2011,
  [2383] = 2173,
  [2384] = 2048,
  [2385] = 2168,
  [2386] = 2167,
  [2387] = 2162,
  [2388] = 2161,
  [2389] = 2389,
  [2390] = 2160,
  [2391] = 2159,
  [2392] = 2158,
  [2393] = 2146,
  [2394] = 2145,
  [2395] = 2285,
  [2396] = 367,
  [2397] = 404,
  [2398] = 2205,
  [2399] = 2011,
  [2400] = 2400,
  [2401] = 421,
  [2402] = 422,
  [2403] = 2403,
  [2404] = 411,
  [2405] = 2405,
  [2406] = 2054,
  [2407] = 2135,
  [2408] = 412,
  [2409] = 415,
  [2410] = 2311,
  [2411] = 319,
  [2412] = 290,
  [2413] = 2294,
  [2414] = 2389,
  [2415] = 351,
  [2416] = 2330,
  [2417] = 2277,
  [2418] = 285,
  [2419] = 323,
  [2420] = 2311,
  [2421] = 2421,
  [2422] = 416,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2053,
  [2427] = 2029,
  [2428] = 333,
  [2429] = 2389,
  [2430] = 2237,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 323,
  [2436] = 2178,
  [2437] = 2013,
  [2438] = 2438,
  [2439] = 427,
  [2440] = 425,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2389,
  [2444] = 323,
  [2445] = 424,
  [2446] = 337,
  [2447] = 287,
  [2448] = 423,
  [2449] = 352,
  [2450] = 350,
  [2451] = 383,
  [2452] = 2011,
  [2453] = 2025,
  [2454] = 2454,
  [2455] = 418,
  [2456] = 2302,
  [2457] = 2457,
  [2458] = 2454,
  [2459] = 2260,
  [2460] = 2460,
  [2461] = 2284,
  [2462] = 2259,
  [2463] = 2463,
  [2464] = 2296,
  [2465] = 266,
  [2466] = 2299,
  [2467] = 2467,
  [2468] = 2276,
  [2469] = 2301,
  [2470] = 2470,
  [2471] = 2303,
  [2472] = 2102,
  [2473] = 2473,
  [2474] = 2315,
  [2475] = 152,
  [2476] = 2274,
  [2477] = 2062,
  [2478] = 2478,
  [2479] = 2273,
  [2480] = 154,
  [2481] = 2481,
  [2482] = 2096,
  [2483] = 2053,
  [2484] = 2094,
  [2485] = 2485,
  [2486] = 2287,
  [2487] = 2054,
  [2488] = 2271,
  [2489] = 2264,
  [2490] = 2272,
  [2491] = 2253,
  [2492] = 2252,
  [2493] = 2493,
  [2494] = 2048,
  [2495] = 2246,
  [2496] = 2258,
  [2497] = 2243,
  [2498] = 2011,
  [2499] = 2257,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2256,
  [2503] = 2238,
  [2504] = 2280,
  [2505] = 2096,
  [2506] = 2051,
  [2507] = 2250,
  [2508] = 2249,
  [2509] = 2247,
  [2510] = 2281,
  [2511] = 2244,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2470,
  [2515] = 2308,
  [2516] = 2306,
  [2517] = 2305,
  [2518] = 2518,
  [2519] = 2463,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2521,
  [2523] = 2523,
  [2524] = 2523,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2046,
  [2531] = 2473,
  [2532] = 1954,
  [2533] = 2467,
  [2534] = 2529,
  [2535] = 2255,
  [2536] = 2536,
  [2537] = 152,
  [2538] = 266,
  [2539] = 2294,
  [2540] = 2237,
  [2541] = 154,
  [2542] = 2300,
  [2543] = 2298,
  [2544] = 2101,
  [2545] = 2094,
  [2546] = 2297,
  [2547] = 290,
  [2548] = 2155,
  [2549] = 423,
  [2550] = 2094,
  [2551] = 418,
  [2552] = 416,
  [2553] = 2156,
  [2554] = 412,
  [2555] = 2054,
  [2556] = 285,
  [2557] = 422,
  [2558] = 416,
  [2559] = 415,
  [2560] = 298,
  [2561] = 2149,
  [2562] = 288,
  [2563] = 298,
  [2564] = 2048,
  [2565] = 367,
  [2566] = 2145,
  [2567] = 429,
  [2568] = 2173,
  [2569] = 2174,
  [2570] = 2176,
  [2571] = 2146,
  [2572] = 2473,
  [2573] = 2180,
  [2574] = 2467,
  [2575] = 2181,
  [2576] = 418,
  [2577] = 319,
  [2578] = 2048,
  [2579] = 351,
  [2580] = 2051,
  [2581] = 423,
  [2582] = 424,
  [2583] = 2186,
  [2584] = 373,
  [2585] = 290,
  [2586] = 2198,
  [2587] = 281,
  [2588] = 2187,
  [2589] = 288,
  [2590] = 2046,
  [2591] = 351,
  [2592] = 2529,
  [2593] = 2051,
  [2594] = 415,
  [2595] = 412,
  [2596] = 352,
  [2597] = 2188,
  [2598] = 2598,
  [2599] = 372,
  [2600] = 424,
  [2601] = 388,
  [2602] = 2158,
  [2603] = 376,
  [2604] = 2151,
  [2605] = 2152,
  [2606] = 2311,
  [2607] = 425,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2159,
  [2611] = 350,
  [2612] = 2189,
  [2613] = 411,
  [2614] = 2330,
  [2615] = 384,
  [2616] = 432,
  [2617] = 2160,
  [2618] = 404,
  [2619] = 2161,
  [2620] = 411,
  [2621] = 2162,
  [2622] = 2190,
  [2623] = 2053,
  [2624] = 427,
  [2625] = 2277,
  [2626] = 2198,
  [2627] = 2212,
  [2628] = 422,
  [2629] = 2211,
  [2630] = 404,
  [2631] = 421,
  [2632] = 425,
  [2633] = 427,
  [2634] = 2155,
  [2635] = 319,
  [2636] = 2154,
  [2637] = 421,
  [2638] = 2153,
  [2639] = 2460,
  [2640] = 285,
  [2641] = 281,
  [2642] = 2153,
  [2643] = 2152,
  [2644] = 2210,
  [2645] = 2470,
  [2646] = 2167,
  [2647] = 2208,
  [2648] = 333,
  [2649] = 2151,
  [2650] = 2149,
  [2651] = 398,
  [2652] = 287,
  [2653] = 2029,
  [2654] = 2460,
  [2655] = 337,
  [2656] = 2207,
  [2657] = 393,
  [2658] = 2658,
  [2659] = 2206,
  [2660] = 394,
  [2661] = 428,
  [2662] = 2523,
  [2663] = 395,
  [2664] = 2053,
  [2665] = 398,
  [2666] = 2025,
  [2667] = 405,
  [2668] = 2013,
  [2669] = 2463,
  [2670] = 402,
  [2671] = 2212,
  [2672] = 401,
  [2673] = 1968,
  [2674] = 2674,
  [2675] = 392,
  [2676] = 2211,
  [2677] = 2210,
  [2678] = 2678,
  [2679] = 376,
  [2680] = 428,
  [2681] = 2204,
  [2682] = 375,
  [2683] = 378,
  [2684] = 2203,
  [2685] = 333,
  [2686] = 432,
  [2687] = 373,
  [2688] = 2062,
  [2689] = 2208,
  [2690] = 2521,
  [2691] = 2054,
  [2692] = 2207,
  [2693] = 379,
  [2694] = 372,
  [2695] = 367,
  [2696] = 383,
  [2697] = 2190,
  [2698] = 387,
  [2699] = 2154,
  [2700] = 2189,
  [2701] = 2206,
  [2702] = 2188,
  [2703] = 2203,
  [2704] = 383,
  [2705] = 387,
  [2706] = 350,
  [2707] = 388,
  [2708] = 2187,
  [2709] = 352,
  [2710] = 2186,
  [2711] = 429,
  [2712] = 2181,
  [2713] = 2180,
  [2714] = 2176,
  [2715] = 2174,
  [2716] = 393,
  [2717] = 2173,
  [2718] = 394,
  [2719] = 2156,
  [2720] = 392,
  [2721] = 287,
  [2722] = 395,
  [2723] = 389,
  [2724] = 384,
  [2725] = 2204,
  [2726] = 337,
  [2727] = 375,
  [2728] = 2168,
  [2729] = 2167,
  [2730] = 378,
  [2731] = 2162,
  [2732] = 379,
  [2733] = 2161,
  [2734] = 2160,
  [2735] = 2159,
  [2736] = 380,
  [2737] = 381,
  [2738] = 2158,
  [2739] = 389,
  [2740] = 405,
  [2741] = 2146,
  [2742] = 2145,
  [2743] = 2168,
  [2744] = 381,
  [2745] = 380,
  [2746] = 2746,
  [2747] = 402,
  [2748] = 401,
  [2749] = 2096,
  [2750] = 2046,
  [2751] = 2062,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2053,
  [2756] = 2051,
  [2757] = 2046,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2101,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2048,
  [2766] = 2766,
  [2767] = 2185,
  [2768] = 2768,
  [2769] = 2051,
  [2770] = 2048,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2311,
  [2774] = 2774,
  [2775] = 154,
  [2776] = 2776,
  [2777] = 2470,
  [2778] = 2463,
  [2779] = 2521,
  [2780] = 2523,
  [2781] = 152,
  [2782] = 2102,
  [2783] = 2277,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2473,
  [2787] = 2467,
  [2788] = 2529,
  [2789] = 2294,
  [2790] = 1091,
  [2791] = 2054,
  [2792] = 2792,
  [2793] = 2053,
  [2794] = 1092,
  [2795] = 2051,
  [2796] = 2796,
  [2797] = 2048,
  [2798] = 2054,
  [2799] = 2053,
  [2800] = 1955,
  [2801] = 2118,
  [2802] = 1963,
  [2803] = 1961,
  [2804] = 1962,
  [2805] = 2805,
  [2806] = 2111,
  [2807] = 2292,
  [2808] = 2046,
  [2809] = 2054,
  [2810] = 1960,
  [2811] = 2122,
  [2812] = 1959,
  [2813] = 2277,
  [2814] = 2311,
  [2815] = 1956,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2111,
  [2820] = 2018,
  [2821] = 2020,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2022,
  [2826] = 152,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2311,
  [2830] = 2322,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2019,
  [2839] = 2031,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 1956,
  [2843] = 2007,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 1959,
  [2847] = 2847,
  [2848] = 1960,
  [2849] = 2849,
  [2850] = 2850,
  [2851] = 2608,
  [2852] = 1962,
  [2853] = 1961,
  [2854] = 1963,
  [2855] = 154,
  [2856] = 1955,
  [2857] = 2857,
  [2858] = 2858,
  [2859] = 2012,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2014,
  [2863] = 2017,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2772,
  [2868] = 2016,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2658,
  [2874] = 2874,
  [2875] = 2277,
  [2876] = 2658,
  [2877] = 2062,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2046,
  [2882] = 2882,
  [2883] = 2027,
  [2884] = 2609,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 2294,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2028,
  [2891] = 2330,
  [2892] = 2892,
  [2893] = 2026,
  [2894] = 2762,
  [2895] = 2051,
  [2896] = 2030,
  [2897] = 2096,
  [2898] = 2898,
  [2899] = 2460,
  [2900] = 2094,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2048,
  [2904] = 2904,
  [2905] = 2024,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2913,
  [2914] = 2282,
  [2915] = 2053,
  [2916] = 2608,
  [2917] = 2122,
  [2918] = 2918,
  [2919] = 2054,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2609,
  [2923] = 2118,
  [2924] = 2023,
  [2925] = 2185,
  [2926] = 2470,
  [2927] = 2292,
  [2928] = 2658,
  [2929] = 2090,
  [2930] = 2434,
  [2931] = 2029,
  [2932] = 2442,
  [2933] = 2433,
  [2934] = 2470,
  [2935] = 2463,
  [2936] = 2325,
  [2937] = 2529,
  [2938] = 2099,
  [2939] = 2101,
  [2940] = 2013,
  [2941] = 2941,
  [2942] = 2521,
  [2943] = 2523,
  [2944] = 2529,
  [2945] = 2945,
  [2946] = 2425,
  [2947] = 2424,
  [2948] = 2948,
  [2949] = 2330,
  [2950] = 2467,
  [2951] = 2473,
  [2952] = 2473,
  [2953] = 2432,
  [2954] = 2423,
  [2955] = 2093,
  [2956] = 2102,
  [2957] = 2053,
  [2958] = 2062,
  [2959] = 2431,
  [2960] = 2421,
  [2961] = 2054,
  [2962] = 2403,
  [2963] = 2100,
  [2964] = 2438,
  [2965] = 2051,
  [2966] = 2048,
  [2967] = 2025,
  [2968] = 2467,
  [2969] = 2463,
  [2970] = 2521,
  [2971] = 2523,
  [2972] = 2122,
  [2973] = 2608,
  [2974] = 2609,
  [2975] = 2062,
  [2976] = 2463,
  [2977] = 2460,
  [2978] = 2102,
  [2979] = 2470,
  [2980] = 2473,
  [2981] = 2054,
  [2982] = 2311,
  [2983] = 2118,
  [2984] = 2467,
  [2985] = 2521,
  [2986] = 2101,
  [2987] = 2529,
  [2988] = 2294,
  [2989] = 2048,
  [2990] = 2460,
  [2991] = 2282,
  [2992] = 2051,
  [2993] = 2046,
  [2994] = 2053,
  [2995] = 2322,
  [2996] = 2277,
  [2997] = 2111,
  [2998] = 2007,
  [2999] = 2523,
  [3000] = 2185,
  [3001] = 2325,
  [3002] = 2093,
  [3003] = 2007,
  [3004] = 2431,
  [3005] = 2434,
  [3006] = 2007,
  [3007] = 2046,
  [3008] = 2090,
  [3009] = 2122,
  [3010] = 2425,
  [3011] = 2609,
  [3012] = 2460,
  [3013] = 2100,
  [3014] = 2421,
  [3015] = 2292,
  [3016] = 2424,
  [3017] = 2111,
  [3018] = 2099,
  [3019] = 2101,
  [3020] = 2185,
  [3021] = 2432,
  [3022] = 2102,
  [3023] = 2403,
  [3024] = 2608,
  [3025] = 2442,
  [3026] = 2438,
  [3027] = 2118,
  [3028] = 2330,
  [3029] = 2423,
  [3030] = 2433,
  [3031] = 1956,
  [3032] = 2135,
  [3033] = 1961,
  [3034] = 2118,
  [3035] = 2093,
  [3036] = 1955,
  [3037] = 2322,
  [3038] = 2111,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 2322,
  [3042] = 1962,
  [3043] = 2122,
  [3044] = 2470,
  [3045] = 3045,
  [3046] = 3046,
  [3047] = 3047,
  [3048] = 3048,
  [3049] = 3049,
  [3050] = 1963,
  [3051] = 2405,
  [3052] = 3052,
  [3053] = 2102,
  [3054] = 2178,
  [3055] = 3055,
  [3056] = 2400,
  [3057] = 3057,
  [3058] = 3058,
  [3059] = 2247,
  [3060] = 3060,
  [3061] = 2205,
  [3062] = 2051,
  [3063] = 2101,
  [3064] = 2272,
  [3065] = 2529,
  [3066] = 2054,
  [3067] = 3067,
  [3068] = 2256,
  [3069] = 2185,
  [3070] = 2271,
  [3071] = 2523,
  [3072] = 1092,
  [3073] = 2521,
  [3074] = 2100,
  [3075] = 1091,
  [3076] = 2053,
  [3077] = 2473,
  [3078] = 2282,
  [3079] = 2467,
  [3080] = 2282,
  [3081] = 1960,
  [3082] = 1959,
  [3083] = 2246,
  [3084] = 2090,
  [3085] = 2099,
  [3086] = 2360,
  [3087] = 2292,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 2048,
  [3091] = 2007,
  [3092] = 2463,
  [3093] = 2441,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 2308,
  [3097] = 2287,
  [3098] = 1959,
  [3099] = 2485,
  [3100] = 2421,
  [3101] = 2007,
  [3102] = 2122,
  [3103] = 2421,
  [3104] = 2423,
  [3105] = 2111,
  [3106] = 2423,
  [3107] = 2118,
  [3108] = 3108,
  [3109] = 2424,
  [3110] = 2425,
  [3111] = 2864,
  [3112] = 2500,
  [3113] = 2921,
  [3114] = 2122,
  [3115] = 2431,
  [3116] = 2432,
  [3117] = 1954,
  [3118] = 2424,
  [3119] = 2325,
  [3120] = 2457,
  [3121] = 2536,
  [3122] = 2433,
  [3123] = 2434,
  [3124] = 1956,
  [3125] = 1959,
  [3126] = 1960,
  [3127] = 2425,
  [3128] = 1962,
  [3129] = 1961,
  [3130] = 1963,
  [3131] = 1956,
  [3132] = 1959,
  [3133] = 1960,
  [3134] = 2403,
  [3135] = 1955,
  [3136] = 3136,
  [3137] = 2292,
  [3138] = 1956,
  [3139] = 1960,
  [3140] = 1962,
  [3141] = 3108,
  [3142] = 1961,
  [3143] = 1963,
  [3144] = 2501,
  [3145] = 1955,
  [3146] = 3146,
  [3147] = 2906,
  [3148] = 2282,
  [3149] = 2185,
  [3150] = 2438,
  [3151] = 2442,
  [3152] = 1962,
  [3153] = 2608,
  [3154] = 1961,
  [3155] = 1963,
  [3156] = 2292,
  [3157] = 2835,
  [3158] = 2264,
  [3159] = 2255,
  [3160] = 2297,
  [3161] = 3161,
  [3162] = 2298,
  [3163] = 2493,
  [3164] = 2300,
  [3165] = 2325,
  [3166] = 2302,
  [3167] = 2305,
  [3168] = 2306,
  [3169] = 2284,
  [3170] = 3170,
  [3171] = 2276,
  [3172] = 2274,
  [3173] = 2273,
  [3174] = 3108,
  [3175] = 2258,
  [3176] = 2257,
  [3177] = 2322,
  [3178] = 2250,
  [3179] = 2249,
  [3180] = 2237,
  [3181] = 1955,
  [3182] = 2431,
  [3183] = 3108,
  [3184] = 2454,
  [3185] = 2460,
  [3186] = 2185,
  [3187] = 2244,
  [3188] = 2281,
  [3189] = 315,
  [3190] = 2280,
  [3191] = 2840,
  [3192] = 2432,
  [3193] = 2292,
  [3194] = 2841,
  [3195] = 2111,
  [3196] = 2844,
  [3197] = 2845,
  [3198] = 2847,
  [3199] = 2118,
  [3200] = 2238,
  [3201] = 2857,
  [3202] = 2243,
  [3203] = 2252,
  [3204] = 2433,
  [3205] = 3108,
  [3206] = 2253,
  [3207] = 2434,
  [3208] = 2185,
  [3209] = 1968,
  [3210] = 2609,
  [3211] = 2315,
  [3212] = 3212,
  [3213] = 3213,
  [3214] = 2303,
  [3215] = 2301,
  [3216] = 307,
  [3217] = 2299,
  [3218] = 2296,
  [3219] = 3219,
  [3220] = 2260,
  [3221] = 2259,
  [3222] = 3222,
  [3223] = 2118,
  [3224] = 2902,
  [3225] = 2111,
  [3226] = 2122,
  [3227] = 2403,
  [3228] = 2438,
  [3229] = 2442,
  [3230] = 2424,
  [3231] = 2178,
  [3232] = 2272,
  [3233] = 3233,
  [3234] = 2247,
  [3235] = 2816,
  [3236] = 3060,
  [3237] = 2805,
  [3238] = 2272,
  [3239] = 3239,
  [3240] = 2431,
  [3241] = 2360,
  [3242] = 2093,
  [3243] = 3094,
  [3244] = 2678,
  [3245] = 2325,
  [3246] = 3045,
  [3247] = 2246,
  [3248] = 2090,
  [3249] = 2256,
  [3250] = 3233,
  [3251] = 2205,
  [3252] = 2754,
  [3253] = 2246,
  [3254] = 1968,
  [3255] = 3060,
  [3256] = 2099,
  [3257] = 3146,
  [3258] = 3048,
  [3259] = 2764,
  [3260] = 3260,
  [3261] = 3088,
  [3262] = 2400,
  [3263] = 2135,
  [3264] = 3045,
  [3265] = 3265,
  [3266] = 2292,
  [3267] = 3046,
  [3268] = 3048,
  [3269] = 2271,
  [3270] = 3040,
  [3271] = 3046,
  [3272] = 3040,
  [3273] = 3039,
  [3274] = 3049,
  [3275] = 3057,
  [3276] = 3233,
  [3277] = 3039,
  [3278] = 3047,
  [3279] = 2308,
  [3280] = 3055,
  [3281] = 3058,
  [3282] = 3057,
  [3283] = 3067,
  [3284] = 3049,
  [3285] = 2434,
  [3286] = 3047,
  [3287] = 3095,
  [3288] = 2438,
  [3289] = 2135,
  [3290] = 2763,
  [3291] = 3067,
  [3292] = 2674,
  [3293] = 2247,
  [3294] = 1954,
  [3295] = 3095,
  [3296] = 3055,
  [3297] = 2256,
  [3298] = 3058,
  [3299] = 3052,
  [3300] = 2442,
  [3301] = 2817,
  [3302] = 3088,
  [3303] = 2308,
  [3304] = 3089,
  [3305] = 2433,
  [3306] = 2423,
  [3307] = 3052,
  [3308] = 3308,
  [3309] = 3094,
  [3310] = 2746,
  [3311] = 1954,
  [3312] = 2100,
  [3313] = 2271,
  [3314] = 2405,
  [3315] = 3089,
  [3316] = 3233,
  [3317] = 3222,
  [3318] = 2403,
  [3319] = 2784,
  [3320] = 2441,
  [3321] = 2421,
  [3322] = 2205,
  [3323] = 2178,
  [3324] = 3219,
  [3325] = 2432,
  [3326] = 2425,
  [3327] = 2308,
  [3328] = 3328,
  [3329] = 2774,
  [3330] = 2301,
  [3331] = 2271,
  [3332] = 2284,
  [3333] = 3328,
  [3334] = 2454,
  [3335] = 2360,
  [3336] = 3328,
  [3337] = 3146,
  [3338] = 2284,
  [3339] = 2260,
  [3340] = 2243,
  [3341] = 2300,
  [3342] = 2253,
  [3343] = 3328,
  [3344] = 2276,
  [3345] = 2274,
  [3346] = 2759,
  [3347] = 2281,
  [3348] = 2244,
  [3349] = 3328,
  [3350] = 2598,
  [3351] = 2272,
  [3352] = 2287,
  [3353] = 2246,
  [3354] = 1092,
  [3355] = 2303,
  [3356] = 2296,
  [3357] = 2237,
  [3358] = 2178,
  [3359] = 2526,
  [3360] = 2135,
  [3361] = 2527,
  [3362] = 2299,
  [3363] = 2796,
  [3364] = 2528,
  [3365] = 2525,
  [3366] = 2280,
  [3367] = 2258,
  [3368] = 2257,
  [3369] = 2264,
  [3370] = 2255,
  [3371] = 2250,
  [3372] = 2493,
  [3373] = 2302,
  [3374] = 2249,
  [3375] = 2301,
  [3376] = 2303,
  [3377] = 2478,
  [3378] = 2315,
  [3379] = 2457,
  [3380] = 2205,
  [3381] = 2306,
  [3382] = 2259,
  [3383] = 2274,
  [3384] = 2256,
  [3385] = 2273,
  [3386] = 2094,
  [3387] = 2096,
  [3388] = 2238,
  [3389] = 2776,
  [3390] = 2276,
  [3391] = 2287,
  [3392] = 2306,
  [3393] = 2500,
  [3394] = 2305,
  [3395] = 2405,
  [3396] = 2520,
  [3397] = 2518,
  [3398] = 2513,
  [3399] = 2512,
  [3400] = 2302,
  [3401] = 2305,
  [3402] = 3328,
  [3403] = 2485,
  [3404] = 2785,
  [3405] = 2244,
  [3406] = 2300,
  [3407] = 2258,
  [3408] = 2281,
  [3409] = 2298,
  [3410] = 2273,
  [3411] = 2257,
  [3412] = 2299,
  [3413] = 2315,
  [3414] = 2280,
  [3415] = 3328,
  [3416] = 1954,
  [3417] = 3219,
  [3418] = 2282,
  [3419] = 3222,
  [3420] = 2322,
  [3421] = 1956,
  [3422] = 2454,
  [3423] = 1959,
  [3424] = 2238,
  [3425] = 1960,
  [3426] = 2237,
  [3427] = 1955,
  [3428] = 2243,
  [3429] = 2481,
  [3430] = 2296,
  [3431] = 2536,
  [3432] = 2297,
  [3433] = 2501,
  [3434] = 2252,
  [3435] = 1968,
  [3436] = 2264,
  [3437] = 2250,
  [3438] = 2252,
  [3439] = 2253,
  [3440] = 1091,
  [3441] = 2255,
  [3442] = 2441,
  [3443] = 1961,
  [3444] = 1962,
  [3445] = 2259,
  [3446] = 2400,
  [3447] = 1963,
  [3448] = 2260,
  [3449] = 2249,
  [3450] = 2297,
  [3451] = 2298,
  [3452] = 2247,
  [3453] = 2753,
  [3454] = 3265,
  [3455] = 2864,
  [3456] = 2871,
  [3457] = 3048,
  [3458] = 2879,
  [3459] = 2237,
  [3460] = 2870,
  [3461] = 2012,
  [3462] = 2014,
  [3463] = 3057,
  [3464] = 2834,
  [3465] = 2135,
  [3466] = 3060,
  [3467] = 2892,
  [3468] = 2901,
  [3469] = 1968,
  [3470] = 2754,
  [3471] = 3089,
  [3472] = 2828,
  [3473] = 2774,
  [3474] = 2824,
  [3475] = 2284,
  [3476] = 2250,
  [3477] = 2276,
  [3478] = 2249,
  [3479] = 2784,
  [3480] = 2849,
  [3481] = 2850,
  [3482] = 2028,
  [3483] = 2026,
  [3484] = 2030,
  [3485] = 2024,
  [3486] = 3095,
  [3487] = 2817,
  [3488] = 3067,
  [3489] = 3308,
  [3490] = 2023,
  [3491] = 3060,
  [3492] = 3046,
  [3493] = 152,
  [3494] = 2858,
  [3495] = 3052,
  [3496] = 2062,
  [3497] = 154,
  [3498] = 2860,
  [3499] = 3094,
  [3500] = 3095,
  [3501] = 2796,
  [3502] = 2836,
  [3503] = 3503,
  [3504] = 2835,
  [3505] = 2872,
  [3506] = 2031,
  [3507] = 2774,
  [3508] = 2019,
  [3509] = 2493,
  [3510] = 3048,
  [3511] = 2485,
  [3512] = 2840,
  [3513] = 2425,
  [3514] = 2424,
  [3515] = 2841,
  [3516] = 2844,
  [3517] = 2909,
  [3518] = 2027,
  [3519] = 2910,
  [3520] = 2768,
  [3521] = 3052,
  [3522] = 3522,
  [3523] = 2431,
  [3524] = 3088,
  [3525] = 2294,
  [3526] = 2306,
  [3527] = 2845,
  [3528] = 2500,
  [3529] = 2847,
  [3530] = 2432,
  [3531] = 2758,
  [3532] = 2837,
  [3533] = 2454,
  [3534] = 3089,
  [3535] = 2423,
  [3536] = 2433,
  [3537] = 2833,
  [3538] = 2434,
  [3539] = 2013,
  [3540] = 2882,
  [3541] = 2305,
  [3542] = 2746,
  [3543] = 2832,
  [3544] = 2421,
  [3545] = 2501,
  [3546] = 2823,
  [3547] = 2902,
  [3548] = 2874,
  [3549] = 2302,
  [3550] = 2904,
  [3551] = 3045,
  [3552] = 2764,
  [3553] = 2253,
  [3554] = 3046,
  [3555] = 3040,
  [3556] = 2454,
  [3557] = 2857,
  [3558] = 2827,
  [3559] = 2822,
  [3560] = 2264,
  [3561] = 3094,
  [3562] = 3040,
  [3563] = 3039,
  [3564] = 3049,
  [3565] = 2252,
  [3566] = 2300,
  [3567] = 3047,
  [3568] = 2918,
  [3569] = 2818,
  [3570] = 3055,
  [3571] = 3058,
  [3572] = 2259,
  [3573] = 2886,
  [3574] = 2315,
  [3575] = 2888,
  [3576] = 3039,
  [3577] = 2274,
  [3578] = 2273,
  [3579] = 2761,
  [3580] = 2260,
  [3581] = 2763,
  [3582] = 2920,
  [3583] = 3308,
  [3584] = 2298,
  [3585] = 2536,
  [3586] = 2257,
  [3587] = 2831,
  [3588] = 2889,
  [3589] = 2297,
  [3590] = 2816,
  [3591] = 2022,
  [3592] = 2025,
  [3593] = 2869,
  [3594] = 2020,
  [3595] = 2018,
  [3596] = 2255,
  [3597] = 3055,
  [3598] = 2906,
  [3599] = 2861,
  [3600] = 2457,
  [3601] = 2898,
  [3602] = 2878,
  [3603] = 2880,
  [3604] = 2866,
  [3605] = 3049,
  [3606] = 2258,
  [3607] = 3607,
  [3608] = 2438,
  [3609] = 3609,
  [3610] = 3047,
  [3611] = 2178,
  [3612] = 2865,
  [3613] = 2442,
  [3614] = 2774,
  [3615] = 2911,
  [3616] = 2017,
  [3617] = 3045,
  [3618] = 2913,
  [3619] = 2243,
  [3620] = 3058,
  [3621] = 2674,
  [3622] = 2921,
  [3623] = 2238,
  [3624] = 2752,
  [3625] = 2796,
  [3626] = 3057,
  [3627] = 2762,
  [3628] = 2771,
  [3629] = 2792,
  [3630] = 2805,
  [3631] = 2294,
  [3632] = 2907,
  [3633] = 2280,
  [3634] = 2244,
  [3635] = 2912,
  [3636] = 2096,
  [3637] = 2908,
  [3638] = 2287,
  [3639] = 2205,
  [3640] = 2094,
  [3641] = 2766,
  [3642] = 2885,
  [3643] = 3067,
  [3644] = 2029,
  [3645] = 2296,
  [3646] = 2281,
  [3647] = 2299,
  [3648] = 2403,
  [3649] = 2772,
  [3650] = 1954,
  [3651] = 2016,
  [3652] = 2678,
  [3653] = 2774,
  [3654] = 2325,
  [3655] = 3088,
  [3656] = 2301,
  [3657] = 2303,
  [3658] = 3658,
  [3659] = 3659,
  [3660] = 3659,
  [3661] = 3661,
  [3662] = 2864,
  [3663] = 1968,
  [3664] = 2260,
  [3665] = 3265,
  [3666] = 2135,
  [3667] = 3661,
  [3668] = 2776,
  [3669] = 2754,
  [3670] = 2271,
  [3671] = 2277,
  [3672] = 2857,
  [3673] = 2831,
  [3674] = 2847,
  [3675] = 2845,
  [3676] = 2674,
  [3677] = 3661,
  [3678] = 2478,
  [3679] = 2308,
  [3680] = 2785,
  [3681] = 2315,
  [3682] = 2284,
  [3683] = 2305,
  [3684] = 2525,
  [3685] = 2272,
  [3686] = 2205,
  [3687] = 2259,
  [3688] = 3088,
  [3689] = 3661,
  [3690] = 2273,
  [3691] = 2816,
  [3692] = 2294,
  [3693] = 2481,
  [3694] = 2292,
  [3695] = 2528,
  [3696] = 3146,
  [3697] = 2277,
  [3698] = 2892,
  [3699] = 2255,
  [3700] = 3661,
  [3701] = 3094,
  [3702] = 3089,
  [3703] = 3067,
  [3704] = 3222,
  [3705] = 2178,
  [3706] = 2253,
  [3707] = 3057,
  [3708] = 3058,
  [3709] = 2029,
  [3710] = 2844,
  [3711] = 3055,
  [3712] = 3047,
  [3713] = 3049,
  [3714] = 3039,
  [3715] = 3040,
  [3716] = 3046,
  [3717] = 2764,
  [3718] = 3045,
  [3719] = 2841,
  [3720] = 3661,
  [3721] = 2796,
  [3722] = 3052,
  [3723] = 3661,
  [3724] = 3219,
  [3725] = 1968,
  [3726] = 2276,
  [3727] = 3661,
  [3728] = 2311,
  [3729] = 3661,
  [3730] = 2746,
  [3731] = 2013,
  [3732] = 3732,
  [3733] = 2763,
  [3734] = 2840,
  [3735] = 2678,
  [3736] = 2247,
  [3737] = 2271,
  [3738] = 2249,
  [3739] = 2246,
  [3740] = 2274,
  [3741] = 2250,
  [3742] = 2256,
  [3743] = 2306,
  [3744] = 3661,
  [3745] = 2308,
  [3746] = 2247,
  [3747] = 2264,
  [3748] = 2256,
  [3749] = 2257,
  [3750] = 2918,
  [3751] = 2258,
  [3752] = 3752,
  [3753] = 2287,
  [3754] = 2753,
  [3755] = 2297,
  [3756] = 2805,
  [3757] = 2784,
  [3758] = 3659,
  [3759] = 2774,
  [3760] = 2311,
  [3761] = 2774,
  [3762] = 2298,
  [3763] = 2831,
  [3764] = 1092,
  [3765] = 3095,
  [3766] = 2774,
  [3767] = 3767,
  [3768] = 2817,
  [3769] = 2252,
  [3770] = 3048,
  [3771] = 2300,
  [3772] = 2296,
  [3773] = 2299,
  [3774] = 3146,
  [3775] = 2526,
  [3776] = 2527,
  [3777] = 2272,
  [3778] = 2244,
  [3779] = 2774,
  [3780] = 2301,
  [3781] = 2512,
  [3782] = 2513,
  [3783] = 2518,
  [3784] = 2303,
  [3785] = 2281,
  [3786] = 2520,
  [3787] = 2280,
  [3788] = 3732,
  [3789] = 2238,
  [3790] = 2243,
  [3791] = 2096,
  [3792] = 3308,
  [3793] = 3219,
  [3794] = 3661,
  [3795] = 2892,
  [3796] = 2759,
  [3797] = 3060,
  [3798] = 2025,
  [3799] = 3222,
  [3800] = 2094,
  [3801] = 2062,
  [3802] = 2918,
  [3803] = 2598,
  [3804] = 1091,
  [3805] = 2246,
  [3806] = 2302,
  [3807] = 3807,
  [3808] = 2832,
  [3809] = 2598,
  [3810] = 2889,
  [3811] = 1091,
  [3812] = 2835,
  [3813] = 2921,
  [3814] = 2892,
  [3815] = 2027,
  [3816] = 2028,
  [3817] = 2026,
  [3818] = 3818,
  [3819] = 3146,
  [3820] = 2906,
  [3821] = 3821,
  [3822] = 2762,
  [3823] = 2030,
  [3824] = 2051,
  [3825] = 2046,
  [3826] = 2053,
  [3827] = 3827,
  [3828] = 2796,
  [3829] = 2763,
  [3830] = 3818,
  [3831] = 2752,
  [3832] = 3767,
  [3833] = 2771,
  [3834] = 3265,
  [3835] = 3094,
  [3836] = 3052,
  [3837] = 3089,
  [3838] = 3088,
  [3839] = 2816,
  [3840] = 2792,
  [3841] = 3841,
  [3842] = 3067,
  [3843] = 3057,
  [3844] = 3058,
  [3845] = 2520,
  [3846] = 2518,
  [3847] = 2761,
  [3848] = 2019,
  [3849] = 2031,
  [3850] = 2907,
  [3851] = 2513,
  [3852] = 3852,
  [3853] = 2766,
  [3854] = 2512,
  [3855] = 3055,
  [3856] = 3047,
  [3857] = 3049,
  [3858] = 3039,
  [3859] = 2022,
  [3860] = 3040,
  [3861] = 3219,
  [3862] = 3046,
  [3863] = 2020,
  [3864] = 2764,
  [3865] = 2018,
  [3866] = 2885,
  [3867] = 3852,
  [3868] = 3821,
  [3869] = 2882,
  [3870] = 2872,
  [3871] = 3045,
  [3872] = 3222,
  [3873] = 3048,
  [3874] = 3060,
  [3875] = 2817,
  [3876] = 3095,
  [3877] = 3807,
  [3878] = 2784,
  [3879] = 3879,
  [3880] = 2805,
  [3881] = 2918,
  [3882] = 3841,
  [3883] = 2754,
  [3884] = 2753,
  [3885] = 2774,
  [3886] = 2311,
  [3887] = 2023,
  [3888] = 152,
  [3889] = 2024,
  [3890] = 2818,
  [3891] = 2902,
  [3892] = 2264,
  [3893] = 2255,
  [3894] = 3852,
  [3895] = 2048,
  [3896] = 1092,
  [3897] = 2330,
  [3898] = 2237,
  [3899] = 3879,
  [3900] = 2481,
  [3901] = 2277,
  [3902] = 3841,
  [3903] = 2871,
  [3904] = 2831,
  [3905] = 2827,
  [3906] = 2012,
  [3907] = 3827,
  [3908] = 2330,
  [3909] = 2523,
  [3910] = 2521,
  [3911] = 3827,
  [3912] = 2014,
  [3913] = 2030,
  [3914] = 2026,
  [3915] = 2870,
  [3916] = 154,
  [3917] = 2017,
  [3918] = 2473,
  [3919] = 2028,
  [3920] = 2330,
  [3921] = 2774,
  [3922] = 2467,
  [3923] = 2776,
  [3924] = 3852,
  [3925] = 2024,
  [3926] = 3827,
  [3927] = 2023,
  [3928] = 3827,
  [3929] = 2297,
  [3930] = 2298,
  [3931] = 2300,
  [3932] = 2302,
  [3933] = 2828,
  [3934] = 2911,
  [3935] = 2305,
  [3936] = 2306,
  [3937] = 2470,
  [3938] = 2824,
  [3939] = 3807,
  [3940] = 2501,
  [3941] = 2823,
  [3942] = 2822,
  [3943] = 2527,
  [3944] = 2014,
  [3945] = 2526,
  [3946] = 3827,
  [3947] = 2888,
  [3948] = 2849,
  [3949] = 3841,
  [3950] = 2850,
  [3951] = 2886,
  [3952] = 2759,
  [3953] = 2920,
  [3954] = 2879,
  [3955] = 3807,
  [3956] = 2858,
  [3957] = 2860,
  [3958] = 3879,
  [3959] = 2528,
  [3960] = 2012,
  [3961] = 2525,
  [3962] = 2861,
  [3963] = 2904,
  [3964] = 2536,
  [3965] = 3827,
  [3966] = 2478,
  [3967] = 2869,
  [3968] = 3879,
  [3969] = 2874,
  [3970] = 2284,
  [3971] = 3852,
  [3972] = 2837,
  [3973] = 2029,
  [3974] = 2016,
  [3975] = 3821,
  [3976] = 2054,
  [3977] = 2834,
  [3978] = 2772,
  [3979] = 2259,
  [3980] = 2260,
  [3981] = 2836,
  [3982] = 2463,
  [3983] = 3265,
  [3984] = 2027,
  [3985] = 2276,
  [3986] = 2274,
  [3987] = 2454,
  [3988] = 2031,
  [3989] = 154,
  [3990] = 2908,
  [3991] = 2273,
  [3992] = 2287,
  [3993] = 2258,
  [3994] = 2257,
  [3995] = 2294,
  [3996] = 2250,
  [3997] = 2249,
  [3998] = 2299,
  [3999] = 2866,
  [4000] = 2301,
  [4001] = 2457,
  [4002] = 2303,
  [4003] = 2025,
  [4004] = 2315,
  [4005] = 2912,
  [4006] = 2864,
  [4007] = 3852,
  [4008] = 2880,
  [4009] = 3879,
  [4010] = 2878,
  [4011] = 2857,
  [4012] = 2847,
  [4013] = 2845,
  [4014] = 2017,
  [4015] = 2901,
  [4016] = 3821,
  [4017] = 2844,
  [4018] = 2841,
  [4019] = 2840,
  [4020] = 2774,
  [4021] = 2758,
  [4022] = 3807,
  [4023] = 3821,
  [4024] = 2016,
  [4025] = 2913,
  [4026] = 2019,
  [4027] = 2529,
  [4028] = 3879,
  [4029] = 3841,
  [4030] = 2018,
  [4031] = 2500,
  [4032] = 2020,
  [4033] = 2013,
  [4034] = 2022,
  [4035] = 2768,
  [4036] = 3841,
  [4037] = 2865,
  [4038] = 3827,
  [4039] = 2785,
  [4040] = 2296,
  [4041] = 2244,
  [4042] = 2281,
  [4043] = 2898,
  [4044] = 2280,
  [4045] = 2238,
  [4046] = 2243,
  [4047] = 2252,
  [4048] = 3827,
  [4049] = 2253,
  [4050] = 2833,
  [4051] = 2910,
  [4052] = 2909,
  [4053] = 3807,
  [4054] = 152,
  [4055] = 4055,
  [4056] = 2529,
  [4057] = 2012,
  [4058] = 2027,
  [4059] = 2845,
  [4060] = 2870,
  [4061] = 2874,
  [4062] = 2869,
  [4063] = 4063,
  [4064] = 3060,
  [4065] = 2861,
  [4066] = 2844,
  [4067] = 2463,
  [4068] = 2752,
  [4069] = 2771,
  [4070] = 2792,
  [4071] = 2911,
  [4072] = 3048,
  [4073] = 4073,
  [4074] = 2018,
  [4075] = 2907,
  [4076] = 2020,
  [4077] = 2822,
  [4078] = 154,
  [4079] = 2888,
  [4080] = 2827,
  [4081] = 2772,
  [4082] = 2014,
  [4083] = 3045,
  [4084] = 2837,
  [4085] = 2832,
  [4086] = 2022,
  [4087] = 2764,
  [4088] = 3046,
  [4089] = 3040,
  [4090] = 3039,
  [4091] = 3049,
  [4092] = 2094,
  [4093] = 3047,
  [4094] = 2096,
  [4095] = 3055,
  [4096] = 3058,
  [4097] = 3057,
  [4098] = 3067,
  [4099] = 2766,
  [4100] = 2768,
  [4101] = 152,
  [4102] = 2901,
  [4103] = 2294,
  [4104] = 2758,
  [4105] = 2918,
  [4106] = 4073,
  [4107] = 3818,
  [4108] = 2817,
  [4109] = 3095,
  [4110] = 2102,
  [4111] = 2816,
  [4112] = 2470,
  [4113] = 2784,
  [4114] = 2805,
  [4115] = 3265,
  [4116] = 2834,
  [4117] = 2473,
  [4118] = 2864,
  [4119] = 2836,
  [4120] = 4120,
  [4121] = 2885,
  [4122] = 2467,
  [4123] = 2871,
  [4124] = 2754,
  [4125] = 2523,
  [4126] = 3094,
  [4127] = 2828,
  [4128] = 2062,
  [4129] = 3265,
  [4130] = 2824,
  [4131] = 2823,
  [4132] = 1092,
  [4133] = 2835,
  [4134] = 4073,
  [4135] = 2529,
  [4136] = 2849,
  [4137] = 2913,
  [4138] = 2878,
  [4139] = 2850,
  [4140] = 2880,
  [4141] = 2470,
  [4142] = 2912,
  [4143] = 2908,
  [4144] = 2762,
  [4145] = 3088,
  [4146] = 2858,
  [4147] = 2023,
  [4148] = 2860,
  [4149] = 2024,
  [4150] = 2463,
  [4151] = 2898,
  [4152] = 2831,
  [4153] = 4073,
  [4154] = 2521,
  [4155] = 2237,
  [4156] = 2046,
  [4157] = 2906,
  [4158] = 2886,
  [4159] = 4073,
  [4160] = 2051,
  [4161] = 2048,
  [4162] = 2101,
  [4163] = 2872,
  [4164] = 2857,
  [4165] = 2054,
  [4166] = 2841,
  [4167] = 2467,
  [4168] = 2053,
  [4169] = 3089,
  [4170] = 1968,
  [4171] = 2909,
  [4172] = 2460,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 2910,
  [4176] = 4176,
  [4177] = 2847,
  [4178] = 2921,
  [4179] = 2473,
  [4180] = 2026,
  [4181] = 4073,
  [4182] = 2102,
  [4183] = 2889,
  [4184] = 2818,
  [4185] = 3052,
  [4186] = 2017,
  [4187] = 2865,
  [4188] = 2521,
  [4189] = 2904,
  [4190] = 4073,
  [4191] = 2761,
  [4192] = 2523,
  [4193] = 2879,
  [4194] = 2866,
  [4195] = 2882,
  [4196] = 4073,
  [4197] = 3818,
  [4198] = 2833,
  [4199] = 2016,
  [4200] = 2460,
  [4201] = 4201,
  [4202] = 2062,
  [4203] = 2892,
  [4204] = 4073,
  [4205] = 2031,
  [4206] = 2840,
  [4207] = 2920,
  [4208] = 2028,
  [4209] = 1091,
  [4210] = 2101,
  [4211] = 2746,
  [4212] = 2019,
  [4213] = 2030,
  [4214] = 2902,
  [4215] = 3522,
  [4216] = 3219,
  [4217] = 2048,
  [4218] = 2111,
  [4219] = 2118,
  [4220] = 4173,
  [4221] = 3146,
  [4222] = 1968,
  [4223] = 2102,
  [4224] = 4224,
  [4225] = 3818,
  [4226] = 2053,
  [4227] = 2054,
  [4228] = 2101,
  [4229] = 2785,
  [4230] = 3222,
  [4231] = 3818,
  [4232] = 2051,
  [4233] = 1956,
  [4234] = 3818,
  [4235] = 3265,
  [4236] = 1959,
  [4237] = 1960,
  [4238] = 2608,
  [4239] = 2609,
  [4240] = 2094,
  [4241] = 2460,
  [4242] = 1962,
  [4243] = 2122,
  [4244] = 1961,
  [4245] = 1963,
  [4246] = 2096,
  [4247] = 2609,
  [4248] = 1955,
  [4249] = 3818,
  [4250] = 2608,
  [4251] = 2746,
  [4252] = 3818,
  [4253] = 3818,
  [4254] = 2330,
  [4255] = 3818,
  [4256] = 2185,
  [4257] = 4063,
  [4258] = 3818,
  [4259] = 2007,
  [4260] = 2277,
  [4261] = 2046,
  [4262] = 2311,
  [4263] = 2784,
  [4264] = 2014,
  [4265] = 2902,
  [4266] = 4266,
  [4267] = 152,
  [4268] = 2817,
  [4269] = 4266,
  [4270] = 3818,
  [4271] = 2030,
  [4272] = 2027,
  [4273] = 2872,
  [4274] = 2053,
  [4275] = 2874,
  [4276] = 2833,
  [4277] = 2022,
  [4278] = 2102,
  [4279] = 2473,
  [4280] = 2322,
  [4281] = 2837,
  [4282] = 2467,
  [4283] = 2906,
  [4284] = 2101,
  [4285] = 2754,
  [4286] = 2869,
  [4287] = 2861,
  [4288] = 2860,
  [4289] = 2858,
  [4290] = 2529,
  [4291] = 2764,
  [4292] = 2048,
  [4293] = 2019,
  [4294] = 2523,
  [4295] = 2913,
  [4296] = 2101,
  [4297] = 2850,
  [4298] = 2849,
  [4299] = 2822,
  [4300] = 2823,
  [4301] = 2898,
  [4302] = 2046,
  [4303] = 2827,
  [4304] = 2828,
  [4305] = 4266,
  [4306] = 2869,
  [4307] = 2031,
  [4308] = 2908,
  [4309] = 2020,
  [4310] = 2910,
  [4311] = 2054,
  [4312] = 2018,
  [4313] = 2012,
  [4314] = 2330,
  [4315] = 2772,
  [4316] = 2017,
  [4317] = 2911,
  [4318] = 2282,
  [4319] = 4266,
  [4320] = 2865,
  [4321] = 2866,
  [4322] = 2053,
  [4323] = 2921,
  [4324] = 2912,
  [4325] = 4266,
  [4326] = 2824,
  [4327] = 2832,
  [4328] = 2028,
  [4329] = 2762,
  [4330] = 2913,
  [4331] = 2023,
  [4332] = 154,
  [4333] = 2024,
  [4334] = 2100,
  [4335] = 4266,
  [4336] = 2470,
  [4337] = 2463,
  [4338] = 4266,
  [4339] = 2016,
  [4340] = 3818,
  [4341] = 2102,
  [4342] = 2521,
  [4343] = 4266,
  [4344] = 2051,
  [4345] = 3818,
  [4346] = 2026,
  [4347] = 2099,
  [4348] = 2805,
  [4349] = 2889,
  [4350] = 2909,
  [4351] = 2818,
  [4352] = 2093,
  [4353] = 2885,
  [4354] = 2882,
  [4355] = 2090,
  [4356] = 2888,
  [4357] = 2292,
  [4358] = 4266,
  [4359] = 2886,
  [4360] = 2785,
  [4361] = 2816,
  [4362] = 2872,
  [4363] = 2879,
  [4364] = 2835,
  [4365] = 3818,
  [4366] = 2053,
  [4367] = 2871,
  [4368] = 2054,
  [4369] = 2870,
  [4370] = 2048,
  [4371] = 2051,
  [4372] = 2832,
  [4373] = 2054,
  [4374] = 2833,
  [4375] = 1962,
  [4376] = 1961,
  [4377] = 2118,
  [4378] = 1963,
  [4379] = 2048,
  [4380] = 1956,
  [4381] = 2870,
  [4382] = 2858,
  [4383] = 2122,
  [4384] = 3818,
  [4385] = 2054,
  [4386] = 2111,
  [4387] = 4120,
  [4388] = 1959,
  [4389] = 2860,
  [4390] = 1955,
  [4391] = 2898,
  [4392] = 2053,
  [4393] = 2861,
  [4394] = 1960,
  [4395] = 2827,
  [4396] = 2882,
  [4397] = 3818,
  [4398] = 2282,
  [4399] = 2909,
  [4400] = 2910,
  [4401] = 2051,
  [4402] = 2885,
  [4403] = 2911,
  [4404] = 2608,
  [4405] = 2609,
  [4406] = 2330,
  [4407] = 2879,
  [4408] = 2866,
  [4409] = 2828,
  [4410] = 2886,
  [4411] = 2865,
  [4412] = 2874,
  [4413] = 2294,
  [4414] = 4414,
  [4415] = 2818,
  [4416] = 2889,
  [4417] = 2837,
  [4418] = 2007,
  [4419] = 2608,
  [4420] = 2912,
  [4421] = 2460,
  [4422] = 2908,
  [4423] = 2850,
  [4424] = 2849,
  [4425] = 2322,
  [4426] = 2609,
  [4427] = 4120,
  [4428] = 2282,
  [4429] = 2888,
  [4430] = 2871,
  [4431] = 2322,
  [4432] = 2185,
  [4433] = 2822,
  [4434] = 2823,
  [4435] = 2824,
  [4436] = 2500,
  [4437] = 2434,
  [4438] = 2424,
  [4439] = 2425,
  [4440] = 2423,
  [4441] = 2421,
  [4442] = 2099,
  [4443] = 2093,
  [4444] = 2100,
  [4445] = 2090,
  [4446] = 2101,
  [4447] = 2431,
  [4448] = 2432,
  [4449] = 2433,
  [4450] = 2100,
  [4451] = 2434,
  [4452] = 2421,
  [4453] = 2099,
  [4454] = 2325,
  [4455] = 2403,
  [4456] = 2423,
  [4457] = 2403,
  [4458] = 2442,
  [4459] = 2102,
  [4460] = 2438,
  [4461] = 2093,
  [4462] = 2424,
  [4463] = 2425,
  [4464] = 2325,
  [4465] = 2434,
  [4466] = 2325,
  [4467] = 2433,
  [4468] = 2438,
  [4469] = 2536,
  [4470] = 2432,
  [4471] = 2431,
  [4472] = 2425,
  [4473] = 2424,
  [4474] = 2330,
  [4475] = 2457,
  [4476] = 4476,
  [4477] = 2423,
  [4478] = 2421,
  [4479] = 2090,
  [4480] = 2433,
  [4481] = 2432,
  [4482] = 2403,
  [4483] = 2431,
  [4484] = 2292,
  [4485] = 2442,
  [4486] = 2501,
  [4487] = 2442,
  [4488] = 2438,
  [4489] = 4489,
  [4490] = 4174,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4492,
  [4494] = 2608,
  [4495] = 4492,
  [4496] = 4491,
  [4497] = 4491,
  [4498] = 4492,
  [4499] = 4492,
  [4500] = 3818,
  [4501] = 2282,
  [4502] = 4491,
  [4503] = 2101,
  [4504] = 4504,
  [4505] = 4492,
  [4506] = 4491,
  [4507] = 2135,
  [4508] = 4491,
  [4509] = 4492,
  [4510] = 4510,
  [4511] = 4511,
  [4512] = 4512,
  [4513] = 4489,
  [4514] = 4514,
  [4515] = 4491,
  [4516] = 4516,
  [4517] = 2102,
  [4518] = 4514,
  [4519] = 4510,
  [4520] = 2322,
  [4521] = 4516,
  [4522] = 4516,
  [4523] = 4523,
  [4524] = 4516,
  [4525] = 3818,
  [4526] = 4516,
  [4527] = 2178,
  [4528] = 4516,
  [4529] = 4516,
  [4530] = 3818,
  [4531] = 4514,
  [4532] = 4492,
  [4533] = 4516,
  [4534] = 4510,
  [4535] = 2247,
  [4536] = 4491,
  [4537] = 4516,
  [4538] = 3818,
  [4539] = 4523,
  [4540] = 2256,
  [4541] = 4516,
  [4542] = 4492,
  [4543] = 4491,
  [4544] = 2271,
  [4545] = 2205,
  [4546] = 4514,
  [4547] = 2454,
  [4548] = 4510,
  [4549] = 4549,
  [4550] = 4516,
  [4551] = 4491,
  [4552] = 4492,
  [4553] = 4491,
  [4554] = 4523,
  [4555] = 2272,
  [4556] = 4523,
  [4557] = 4510,
  [4558] = 4558,
  [4559] = 4523,
  [4560] = 4510,
  [4561] = 4512,
  [4562] = 4523,
  [4563] = 4516,
  [4564] = 4510,
  [4565] = 4523,
  [4566] = 4489,
  [4567] = 4514,
  [4568] = 4512,
  [4569] = 4489,
  [4570] = 4523,
  [4571] = 4512,
  [4572] = 4512,
  [4573] = 4489,
  [4574] = 4514,
  [4575] = 4510,
  [4576] = 4120,
  [4577] = 4510,
  [4578] = 4512,
  [4579] = 4523,
  [4580] = 1954,
  [4581] = 4512,
  [4582] = 4514,
  [4583] = 4489,
  [4584] = 4489,
  [4585] = 4512,
  [4586] = 4510,
  [4587] = 2285,
  [4588] = 4523,
  [4589] = 4510,
  [4590] = 4489,
  [4591] = 4523,
  [4592] = 2308,
  [4593] = 4514,
  [4594] = 3609,
  [4595] = 2609,
  [4596] = 2246,
  [4597] = 4492,
  [4598] = 2274,
  [4599] = 2431,
  [4600] = 2302,
  [4601] = 2299,
  [4602] = 2300,
  [4603] = 2243,
  [4604] = 2298,
  [4605] = 2297,
  [4606] = 2244,
  [4607] = 4607,
  [4608] = 2305,
  [4609] = 2301,
  [4610] = 4607,
  [4611] = 2306,
  [4612] = 2252,
  [4613] = 2303,
  [4614] = 4607,
  [4615] = 2253,
  [4616] = 2425,
  [4617] = 2424,
  [4618] = 2260,
  [4619] = 2423,
  [4620] = 2259,
  [4621] = 2421,
  [4622] = 2296,
  [4623] = 4607,
  [4624] = 2238,
  [4625] = 4607,
  [4626] = 2608,
  [4627] = 2255,
  [4628] = 2609,
  [4629] = 2264,
  [4630] = 4607,
  [4631] = 2325,
  [4632] = 4632,
  [4633] = 2100,
  [4634] = 2432,
  [4635] = 2284,
  [4636] = 2433,
  [4637] = 2434,
  [4638] = 2062,
  [4639] = 2276,
  [4640] = 1968,
  [4641] = 2281,
  [4642] = 4607,
  [4643] = 2273,
  [4644] = 2609,
  [4645] = 4607,
  [4646] = 2287,
  [4647] = 2258,
  [4648] = 4607,
  [4649] = 2608,
  [4650] = 2257,
  [4651] = 4607,
  [4652] = 4607,
  [4653] = 2250,
  [4654] = 4607,
  [4655] = 2249,
  [4656] = 2438,
  [4657] = 2090,
  [4658] = 2093,
  [4659] = 2315,
  [4660] = 2099,
  [4661] = 2280,
  [4662] = 4607,
  [4663] = 2442,
  [4664] = 4607,
  [4665] = 2403,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4666,
  [4671] = 4671,
  [4672] = 2308,
  [4673] = 2906,
  [4674] = 4674,
  [4675] = 4669,
  [4676] = 2921,
  [4677] = 2135,
  [4678] = 3060,
  [4679] = 2093,
  [4680] = 3260,
  [4681] = 4669,
  [4682] = 4674,
  [4683] = 2090,
  [4684] = 2271,
  [4685] = 2902,
  [4686] = 4666,
  [4687] = 4674,
  [4688] = 2256,
  [4689] = 2178,
  [4690] = 2099,
  [4691] = 3058,
  [4692] = 3055,
  [4693] = 3088,
  [4694] = 2247,
  [4695] = 3047,
  [4696] = 4674,
  [4697] = 2835,
  [4698] = 3049,
  [4699] = 4674,
  [4700] = 4669,
  [4701] = 4669,
  [4702] = 4666,
  [4703] = 4674,
  [4704] = 3039,
  [4705] = 3040,
  [4706] = 4666,
  [4707] = 3046,
  [4708] = 3239,
  [4709] = 2100,
  [4710] = 2272,
  [4711] = 3089,
  [4712] = 3045,
  [4713] = 3094,
  [4714] = 4666,
  [4715] = 2246,
  [4716] = 4669,
  [4717] = 3057,
  [4718] = 4667,
  [4719] = 2205,
  [4720] = 3052,
  [4721] = 3048,
  [4722] = 3095,
  [4723] = 3067,
  [4724] = 2287,
  [4725] = 3219,
  [4726] = 2243,
  [4727] = 2260,
  [4728] = 2264,
  [4729] = 2255,
  [4730] = 2500,
  [4731] = 2536,
  [4732] = 1954,
  [4733] = 2500,
  [4734] = 2501,
  [4735] = 2536,
  [4736] = 3146,
  [4737] = 2297,
  [4738] = 2457,
  [4739] = 2238,
  [4740] = 2280,
  [4741] = 2252,
  [4742] = 2298,
  [4743] = 2296,
  [4744] = 2300,
  [4745] = 2253,
  [4746] = 2281,
  [4747] = 2244,
  [4748] = 2299,
  [4749] = 2301,
  [4750] = 2302,
  [4751] = 2303,
  [4752] = 2305,
  [4753] = 2306,
  [4754] = 2237,
  [4755] = 3827,
  [4756] = 3827,
  [4757] = 2284,
  [4758] = 2501,
  [4759] = 2259,
  [4760] = 2457,
  [4761] = 2249,
  [4762] = 2250,
  [4763] = 2276,
  [4764] = 2454,
  [4765] = 3222,
  [4766] = 1954,
  [4767] = 2273,
  [4768] = 2315,
  [4769] = 2257,
  [4770] = 2258,
  [4771] = 2274,
  [4772] = 3094,
  [4773] = 3067,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 2754,
  [4778] = 4776,
  [4779] = 2816,
  [4780] = 4774,
  [4781] = 2805,
  [4782] = 287,
  [4783] = 2772,
  [4784] = 2784,
  [4785] = 3095,
  [4786] = 2817,
  [4787] = 2762,
  [4788] = 3222,
  [4789] = 337,
  [4790] = 4790,
  [4791] = 4775,
  [4792] = 1953,
  [4793] = 2772,
  [4794] = 2608,
  [4795] = 2609,
  [4796] = 2762,
  [4797] = 4776,
  [4798] = 3060,
  [4799] = 3046,
  [4800] = 352,
  [4801] = 350,
  [4802] = 333,
  [4803] = 383,
  [4804] = 4804,
  [4805] = 4671,
  [4806] = 3052,
  [4807] = 3146,
  [4808] = 4776,
  [4809] = 3089,
  [4810] = 3088,
  [4811] = 2746,
  [4812] = 3219,
  [4813] = 3057,
  [4814] = 3045,
  [4815] = 3048,
  [4816] = 4775,
  [4817] = 1968,
  [4818] = 4774,
  [4819] = 2764,
  [4820] = 3058,
  [4821] = 3055,
  [4822] = 3047,
  [4823] = 3049,
  [4824] = 3039,
  [4825] = 3040,
  [4826] = 3047,
  [4827] = 3048,
  [4828] = 4828,
  [4829] = 3095,
  [4830] = 2102,
  [4831] = 4511,
  [4832] = 4558,
  [4833] = 3049,
  [4834] = 3089,
  [4835] = 2294,
  [4836] = 2785,
  [4837] = 2101,
  [4838] = 4838,
  [4839] = 3045,
  [4840] = 4775,
  [4841] = 3046,
  [4842] = 2330,
  [4843] = 3088,
  [4844] = 3040,
  [4845] = 3503,
  [4846] = 3039,
  [4847] = 2330,
  [4848] = 3607,
  [4849] = 3052,
  [4850] = 3146,
  [4851] = 3055,
  [4852] = 3058,
  [4853] = 3057,
  [4854] = 3067,
  [4855] = 1954,
  [4856] = 3060,
  [4857] = 1968,
  [4858] = 3522,
  [4859] = 3222,
  [4860] = 4774,
  [4861] = 3219,
  [4862] = 3094,
  [4863] = 4790,
  [4864] = 2911,
  [4865] = 4865,
  [4866] = 2046,
  [4867] = 4867,
  [4868] = 2536,
  [4869] = 4869,
  [4870] = 4775,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4775,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4867,
  [4877] = 4877,
  [4878] = 2906,
  [4879] = 2028,
  [4880] = 4869,
  [4881] = 4869,
  [4882] = 4869,
  [4883] = 4869,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 2026,
  [4887] = 4877,
  [4888] = 3089,
  [4889] = 4869,
  [4890] = 2500,
  [4891] = 4884,
  [4892] = 4892,
  [4893] = 3095,
  [4894] = 4885,
  [4895] = 4867,
  [4896] = 4885,
  [4897] = 2828,
  [4898] = 4867,
  [4899] = 3040,
  [4900] = 3052,
  [4901] = 2824,
  [4902] = 2823,
  [4903] = 2908,
  [4904] = 2016,
  [4905] = 2772,
  [4906] = 2912,
  [4907] = 4885,
  [4908] = 4872,
  [4909] = 2017,
  [4910] = 2849,
  [4911] = 2850,
  [4912] = 4869,
  [4913] = 2030,
  [4914] = 2858,
  [4915] = 2860,
  [4916] = 2913,
  [4917] = 4884,
  [4918] = 2014,
  [4919] = 2018,
  [4920] = 2020,
  [4921] = 2022,
  [4922] = 2022,
  [4923] = 2020,
  [4924] = 2889,
  [4925] = 2018,
  [4926] = 2833,
  [4927] = 3048,
  [4928] = 2762,
  [4929] = 2902,
  [4930] = 2818,
  [4931] = 2024,
  [4932] = 2023,
  [4933] = 4869,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 2031,
  [4937] = 4937,
  [4938] = 4869,
  [4939] = 2501,
  [4940] = 4872,
  [4941] = 2888,
  [4942] = 4942,
  [4943] = 4774,
  [4944] = 4944,
  [4945] = 4869,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4869,
  [4949] = 2019,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 2031,
  [4953] = 4869,
  [4954] = 4954,
  [4955] = 4869,
  [4956] = 4867,
  [4957] = 2832,
  [4958] = 2921,
  [4959] = 3088,
  [4960] = 4867,
  [4961] = 2872,
  [4962] = 2019,
  [4963] = 4774,
  [4964] = 152,
  [4965] = 4867,
  [4966] = 2012,
  [4967] = 2014,
  [4968] = 2017,
  [4969] = 2865,
  [4970] = 3045,
  [4971] = 2886,
  [4972] = 2909,
  [4973] = 2910,
  [4974] = 3060,
  [4975] = 4872,
  [4976] = 4935,
  [4977] = 2871,
  [4978] = 2027,
  [4979] = 4869,
  [4980] = 4872,
  [4981] = 3046,
  [4982] = 152,
  [4983] = 4872,
  [4984] = 2016,
  [4985] = 4869,
  [4986] = 4869,
  [4987] = 2870,
  [4988] = 154,
  [4989] = 4872,
  [4990] = 2457,
  [4991] = 4884,
  [4992] = 4884,
  [4993] = 4885,
  [4994] = 2837,
  [4995] = 2898,
  [4996] = 2879,
  [4997] = 4997,
  [4998] = 4885,
  [4999] = 2882,
  [5000] = 3039,
  [5001] = 2028,
  [5002] = 2026,
  [5003] = 2835,
  [5004] = 2030,
  [5005] = 3094,
  [5006] = 4885,
  [5007] = 2311,
  [5008] = 2874,
  [5009] = 2866,
  [5010] = 4885,
  [5011] = 2869,
  [5012] = 2024,
  [5013] = 2023,
  [5014] = 3067,
  [5015] = 5015,
  [5016] = 4884,
  [5017] = 4869,
  [5018] = 2861,
  [5019] = 4884,
  [5020] = 4884,
  [5021] = 4869,
  [5022] = 4885,
  [5023] = 3058,
  [5024] = 2885,
  [5025] = 4874,
  [5026] = 4877,
  [5027] = 3057,
  [5028] = 2277,
  [5029] = 4872,
  [5030] = 2822,
  [5031] = 154,
  [5032] = 2827,
  [5033] = 2012,
  [5034] = 4867,
  [5035] = 2027,
  [5036] = 3049,
  [5037] = 4790,
  [5038] = 5038,
  [5039] = 4869,
  [5040] = 3047,
  [5041] = 4877,
  [5042] = 4867,
  [5043] = 3055,
  [5044] = 4947,
  [5045] = 4946,
  [5046] = 5046,
  [5047] = 3146,
  [5048] = 2784,
  [5049] = 2805,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 2754,
  [5058] = 5058,
  [5059] = 4790,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 4775,
  [5064] = 5053,
  [5065] = 2817,
  [5066] = 1968,
  [5067] = 5067,
  [5068] = 5067,
  [5069] = 5069,
  [5070] = 3060,
  [5071] = 3095,
  [5072] = 5050,
  [5073] = 5046,
  [5074] = 5061,
  [5075] = 5075,
  [5076] = 5053,
  [5077] = 5067,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5052,
  [5081] = 3048,
  [5082] = 2816,
  [5083] = 5053,
  [5084] = 3219,
  [5085] = 5056,
  [5086] = 4774,
  [5087] = 5087,
  [5088] = 4828,
  [5089] = 3094,
  [5090] = 5090,
  [5091] = 5067,
  [5092] = 3045,
  [5093] = 5093,
  [5094] = 3095,
  [5095] = 5095,
  [5096] = 3046,
  [5097] = 5056,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 3040,
  [5101] = 3088,
  [5102] = 5067,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 5046,
  [5106] = 5053,
  [5107] = 5107,
  [5108] = 3039,
  [5109] = 3049,
  [5110] = 3047,
  [5111] = 3055,
  [5112] = 2746,
  [5113] = 5050,
  [5114] = 5095,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 3058,
  [5118] = 3057,
  [5119] = 3222,
  [5120] = 5052,
  [5121] = 5052,
  [5122] = 3067,
  [5123] = 5054,
  [5124] = 5056,
  [5125] = 5054,
  [5126] = 5046,
  [5127] = 5056,
  [5128] = 5046,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 3052,
  [5132] = 5132,
  [5133] = 5052,
  [5134] = 5050,
  [5135] = 5053,
  [5136] = 3088,
  [5137] = 5053,
  [5138] = 3089,
  [5139] = 3089,
  [5140] = 2294,
  [5141] = 5099,
  [5142] = 3732,
  [5143] = 5054,
  [5144] = 5067,
  [5145] = 5052,
  [5146] = 5054,
  [5147] = 3052,
  [5148] = 5067,
  [5149] = 3045,
  [5150] = 2764,
  [5151] = 3046,
  [5152] = 3094,
  [5153] = 5153,
  [5154] = 5154,
  [5155] = 4671,
  [5156] = 5067,
  [5157] = 3060,
  [5158] = 5107,
  [5159] = 5103,
  [5160] = 5046,
  [5161] = 5053,
  [5162] = 3040,
  [5163] = 5056,
  [5164] = 5129,
  [5165] = 5130,
  [5166] = 5107,
  [5167] = 3058,
  [5168] = 5099,
  [5169] = 3067,
  [5170] = 5050,
  [5171] = 5050,
  [5172] = 5095,
  [5173] = 3039,
  [5174] = 5103,
  [5175] = 3049,
  [5176] = 3048,
  [5177] = 5046,
  [5178] = 3057,
  [5179] = 5046,
  [5180] = 5056,
  [5181] = 5054,
  [5182] = 5053,
  [5183] = 5056,
  [5184] = 3047,
  [5185] = 5185,
  [5186] = 3055,
  [5187] = 1968,
  [5188] = 5052,
  [5189] = 5189,
  [5190] = 5052,
  [5191] = 5054,
  [5192] = 2608,
  [5193] = 2460,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 2816,
  [5199] = 5199,
  [5200] = 5195,
  [5201] = 5197,
  [5202] = 5202,
  [5203] = 5203,
  [5204] = 5204,
  [5205] = 5205,
  [5206] = 5195,
  [5207] = 2764,
  [5208] = 2101,
  [5209] = 2521,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5194,
  [5213] = 5213,
  [5214] = 2473,
  [5215] = 5215,
  [5216] = 2467,
  [5217] = 5217,
  [5218] = 5213,
  [5219] = 5213,
  [5220] = 5204,
  [5221] = 5221,
  [5222] = 5199,
  [5223] = 5203,
  [5224] = 2523,
  [5225] = 5213,
  [5226] = 5221,
  [5227] = 5227,
  [5228] = 5227,
  [5229] = 5213,
  [5230] = 2529,
  [5231] = 2127,
  [5232] = 5204,
  [5233] = 5194,
  [5234] = 5234,
  [5235] = 5221,
  [5236] = 5204,
  [5237] = 5237,
  [5238] = 5227,
  [5239] = 5195,
  [5240] = 5197,
  [5241] = 5215,
  [5242] = 5195,
  [5243] = 5194,
  [5244] = 2609,
  [5245] = 5245,
  [5246] = 2463,
  [5247] = 5247,
  [5248] = 5194,
  [5249] = 5211,
  [5250] = 5250,
  [5251] = 5194,
  [5252] = 5195,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 2470,
  [5256] = 5213,
  [5257] = 5257,
  [5258] = 5197,
  [5259] = 5195,
  [5260] = 5260,
  [5261] = 5221,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5263,
  [5265] = 5254,
  [5266] = 5204,
  [5267] = 5267,
  [5268] = 5195,
  [5269] = 5197,
  [5270] = 5194,
  [5271] = 5262,
  [5272] = 5195,
  [5273] = 3222,
  [5274] = 5194,
  [5275] = 5196,
  [5276] = 3146,
  [5277] = 5221,
  [5278] = 2330,
  [5279] = 5095,
  [5280] = 5217,
  [5281] = 5204,
  [5282] = 5282,
  [5283] = 4774,
  [5284] = 5284,
  [5285] = 5213,
  [5286] = 5196,
  [5287] = 5221,
  [5288] = 5099,
  [5289] = 5204,
  [5290] = 3060,
  [5291] = 3048,
  [5292] = 3045,
  [5293] = 3046,
  [5294] = 5254,
  [5295] = 5263,
  [5296] = 5262,
  [5297] = 3040,
  [5298] = 3039,
  [5299] = 3049,
  [5300] = 5197,
  [5301] = 5262,
  [5302] = 5263,
  [5303] = 5195,
  [5304] = 5254,
  [5305] = 2754,
  [5306] = 5262,
  [5307] = 3047,
  [5308] = 5217,
  [5309] = 3055,
  [5310] = 5310,
  [5311] = 5263,
  [5312] = 3058,
  [5313] = 3057,
  [5314] = 3067,
  [5315] = 4775,
  [5316] = 3088,
  [5317] = 5196,
  [5318] = 3089,
  [5319] = 3052,
  [5320] = 3094,
  [5321] = 5194,
  [5322] = 5215,
  [5323] = 2805,
  [5324] = 5262,
  [5325] = 2784,
  [5326] = 5263,
  [5327] = 5217,
  [5328] = 5254,
  [5329] = 5196,
  [5330] = 5195,
  [5331] = 2785,
  [5332] = 5195,
  [5333] = 3219,
  [5334] = 5217,
  [5335] = 2046,
  [5336] = 5217,
  [5337] = 3095,
  [5338] = 5217,
  [5339] = 5339,
  [5340] = 2102,
  [5341] = 5197,
  [5342] = 5195,
  [5343] = 5205,
  [5344] = 5194,
  [5345] = 2817,
  [5346] = 5197,
  [5347] = 2311,
  [5348] = 5103,
  [5349] = 2277,
  [5350] = 5217,
  [5351] = 5195,
  [5352] = 5197,
  [5353] = 5195,
  [5354] = 5107,
  [5355] = 5215,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5204,
  [5359] = 5221,
  [5360] = 5360,
  [5361] = 5194,
  [5362] = 5196,
  [5363] = 5213,
  [5364] = 5227,
  [5365] = 5227,
  [5366] = 5213,
  [5367] = 5215,
  [5368] = 5254,
  [5369] = 5237,
  [5370] = 5221,
  [5371] = 5204,
  [5372] = 2874,
  [5373] = 2888,
  [5374] = 5374,
  [5375] = 2908,
  [5376] = 2912,
  [5377] = 2833,
  [5378] = 5099,
  [5379] = 5379,
  [5380] = 2906,
  [5381] = 2294,
  [5382] = 2835,
  [5383] = 2889,
  [5384] = 5374,
  [5385] = 2860,
  [5386] = 2818,
  [5387] = 5107,
  [5388] = 2913,
  [5389] = 2910,
  [5390] = 2870,
  [5391] = 5095,
  [5392] = 2871,
  [5393] = 5393,
  [5394] = 2909,
  [5395] = 2837,
  [5396] = 2886,
  [5397] = 2872,
  [5398] = 2898,
  [5399] = 2902,
  [5400] = 5400,
  [5401] = 2858,
  [5402] = 2879,
  [5403] = 2882,
  [5404] = 4774,
  [5405] = 5405,
  [5406] = 2865,
  [5407] = 5107,
  [5408] = 2866,
  [5409] = 2885,
  [5410] = 2772,
  [5411] = 2828,
  [5412] = 2921,
  [5413] = 2911,
  [5414] = 2827,
  [5415] = 2824,
  [5416] = 2861,
  [5417] = 5103,
  [5418] = 5095,
  [5419] = 2869,
  [5420] = 2823,
  [5421] = 5099,
  [5422] = 5103,
  [5423] = 2822,
  [5424] = 4775,
  [5425] = 2062,
  [5426] = 2832,
  [5427] = 2762,
  [5428] = 2849,
  [5429] = 2850,
  [5430] = 2127,
  [5431] = 2294,
  [5432] = 2473,
  [5433] = 2467,
  [5434] = 2529,
  [5435] = 2118,
  [5436] = 1963,
  [5437] = 1961,
  [5438] = 1962,
  [5439] = 1960,
  [5440] = 1959,
  [5441] = 1956,
  [5442] = 2062,
  [5443] = 2007,
  [5444] = 2523,
  [5445] = 2521,
  [5446] = 2470,
  [5447] = 2463,
  [5448] = 1955,
  [5449] = 2111,
  [5450] = 2776,
  [5451] = 2753,
  [5452] = 2185,
  [5453] = 2122,
  [5454] = 2330,
  [5455] = 5099,
  [5456] = 4775,
  [5457] = 5095,
  [5458] = 2285,
  [5459] = 2759,
  [5460] = 5460,
  [5461] = 5374,
  [5462] = 2609,
  [5463] = 2237,
  [5464] = 4774,
  [5465] = 5107,
  [5466] = 5374,
  [5467] = 5103,
  [5468] = 2608,
  [5469] = 5374,
  [5470] = 5374,
  [5471] = 5471,
  [5472] = 5374,
  [5473] = 5374,
  [5474] = 2292,
  [5475] = 2322,
  [5476] = 5374,
  [5477] = 2282,
  [5478] = 5095,
  [5479] = 5107,
  [5480] = 5374,
  [5481] = 5103,
  [5482] = 2608,
  [5483] = 2101,
  [5484] = 2102,
  [5485] = 5374,
  [5486] = 2609,
  [5487] = 2102,
  [5488] = 5400,
  [5489] = 2101,
  [5490] = 5379,
  [5491] = 4774,
  [5492] = 4775,
  [5493] = 2460,
  [5494] = 5374,
  [5495] = 5099,
  [5496] = 5405,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 2325,
  [5500] = 2433,
  [5501] = 4775,
  [5502] = 5498,
  [5503] = 2424,
  [5504] = 2425,
  [5505] = 4774,
  [5506] = 2434,
  [5507] = 5497,
  [5508] = 2432,
  [5509] = 5509,
  [5510] = 5095,
  [5511] = 2403,
  [5512] = 5374,
  [5513] = 5103,
  [5514] = 2135,
  [5515] = 5374,
  [5516] = 2285,
  [5517] = 2431,
  [5518] = 5099,
  [5519] = 5107,
  [5520] = 2421,
  [5521] = 2442,
  [5522] = 2438,
  [5523] = 2423,
  [5524] = 5374,
  [5525] = 2330,
  [5526] = 5374,
  [5527] = 4774,
  [5528] = 4775,
  [5529] = 2284,
  [5530] = 2273,
  [5531] = 2255,
  [5532] = 5498,
  [5533] = 2282,
  [5534] = 5534,
  [5535] = 2257,
  [5536] = 5536,
  [5537] = 2244,
  [5538] = 5534,
  [5539] = 2322,
  [5540] = 5374,
  [5541] = 5534,
  [5542] = 5536,
  [5543] = 2238,
  [5544] = 2330,
  [5545] = 5534,
  [5546] = 2264,
  [5547] = 2276,
  [5548] = 5497,
  [5549] = 5536,
  [5550] = 5536,
  [5551] = 2260,
  [5552] = 2258,
  [5553] = 5534,
  [5554] = 2315,
  [5555] = 2253,
  [5556] = 2252,
  [5557] = 5534,
  [5558] = 2256,
  [5559] = 2271,
  [5560] = 5560,
  [5561] = 5536,
  [5562] = 5536,
  [5563] = 2297,
  [5564] = 5498,
  [5565] = 2287,
  [5566] = 2272,
  [5567] = 5534,
  [5568] = 2308,
  [5569] = 5534,
  [5570] = 2062,
  [5571] = 5536,
  [5572] = 2306,
  [5573] = 5497,
  [5574] = 2127,
  [5575] = 2305,
  [5576] = 2281,
  [5577] = 5095,
  [5578] = 2296,
  [5579] = 5534,
  [5580] = 5536,
  [5581] = 5536,
  [5582] = 5534,
  [5583] = 2280,
  [5584] = 5099,
  [5585] = 5534,
  [5586] = 2250,
  [5587] = 2246,
  [5588] = 5536,
  [5589] = 2298,
  [5590] = 2249,
  [5591] = 5536,
  [5592] = 5107,
  [5593] = 2247,
  [5594] = 5594,
  [5595] = 2274,
  [5596] = 2299,
  [5597] = 5374,
  [5598] = 2301,
  [5599] = 2303,
  [5600] = 2259,
  [5601] = 2302,
  [5602] = 2300,
  [5603] = 5103,
  [5604] = 2243,
  [5605] = 5497,
  [5606] = 2438,
  [5607] = 5498,
  [5608] = 5498,
  [5609] = 5498,
  [5610] = 2609,
  [5611] = 2442,
  [5612] = 5612,
  [5613] = 5497,
  [5614] = 2325,
  [5615] = 2433,
  [5616] = 5497,
  [5617] = 5617,
  [5618] = 5099,
  [5619] = 5619,
  [5620] = 2102,
  [5621] = 2101,
  [5622] = 5619,
  [5623] = 2608,
  [5624] = 5497,
  [5625] = 5095,
  [5626] = 2432,
  [5627] = 5498,
  [5628] = 5497,
  [5629] = 2421,
  [5630] = 5617,
  [5631] = 2403,
  [5632] = 5498,
  [5633] = 5497,
  [5634] = 5498,
  [5635] = 5498,
  [5636] = 5497,
  [5637] = 2608,
  [5638] = 4775,
  [5639] = 2425,
  [5640] = 5107,
  [5641] = 4774,
  [5642] = 2424,
  [5643] = 2609,
  [5644] = 5612,
  [5645] = 5103,
  [5646] = 2434,
  [5647] = 2431,
  [5648] = 5103,
  [5649] = 2423,
  [5650] = 5498,
  [5651] = 5095,
  [5652] = 5497,
  [5653] = 2308,
  [5654] = 5654,
  [5655] = 5497,
  [5656] = 5656,
  [5657] = 2246,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 2127,
  [5661] = 5659,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5663,
  [5665] = 5665,
  [5666] = 5663,
  [5667] = 5659,
  [5668] = 5668,
  [5669] = 5498,
  [5670] = 5374,
  [5671] = 5099,
  [5672] = 5498,
  [5673] = 5656,
  [5674] = 5659,
  [5675] = 5663,
  [5676] = 5665,
  [5677] = 2272,
  [5678] = 2205,
  [5679] = 5662,
  [5680] = 5662,
  [5681] = 5663,
  [5682] = 2178,
  [5683] = 2127,
  [5684] = 5103,
  [5685] = 5656,
  [5686] = 5095,
  [5687] = 5663,
  [5688] = 5668,
  [5689] = 5107,
  [5690] = 5656,
  [5691] = 5691,
  [5692] = 5659,
  [5693] = 5095,
  [5694] = 5663,
  [5695] = 5662,
  [5696] = 5103,
  [5697] = 2135,
  [5698] = 5659,
  [5699] = 5665,
  [5700] = 5656,
  [5701] = 5691,
  [5702] = 5663,
  [5703] = 5659,
  [5704] = 5654,
  [5705] = 5498,
  [5706] = 5656,
  [5707] = 5663,
  [5708] = 5665,
  [5709] = 5709,
  [5710] = 5656,
  [5711] = 5663,
  [5712] = 5654,
  [5713] = 5663,
  [5714] = 5668,
  [5715] = 5654,
  [5716] = 5663,
  [5717] = 5663,
  [5718] = 5691,
  [5719] = 5691,
  [5720] = 5656,
  [5721] = 5374,
  [5722] = 5663,
  [5723] = 3767,
  [5724] = 5665,
  [5725] = 5374,
  [5726] = 5665,
  [5727] = 5497,
  [5728] = 5668,
  [5729] = 5668,
  [5730] = 5663,
  [5731] = 5663,
  [5732] = 5732,
  [5733] = 5665,
  [5734] = 5374,
  [5735] = 5099,
  [5736] = 2247,
  [5737] = 5691,
  [5738] = 5691,
  [5739] = 5662,
  [5740] = 5668,
  [5741] = 5659,
  [5742] = 5659,
  [5743] = 5662,
  [5744] = 5654,
  [5745] = 5656,
  [5746] = 5107,
  [5747] = 2271,
  [5748] = 5663,
  [5749] = 5665,
  [5750] = 5663,
  [5751] = 5663,
  [5752] = 5665,
  [5753] = 5654,
  [5754] = 5668,
  [5755] = 5755,
  [5756] = 5654,
  [5757] = 5663,
  [5758] = 5668,
  [5759] = 5759,
  [5760] = 5654,
  [5761] = 5659,
  [5762] = 5663,
  [5763] = 5497,
  [5764] = 5662,
  [5765] = 5659,
  [5766] = 5662,
  [5767] = 5497,
  [5768] = 5656,
  [5769] = 5656,
  [5770] = 2256,
  [5771] = 5498,
  [5772] = 5772,
  [5773] = 5773,
  [5774] = 2255,
  [5775] = 2264,
  [5776] = 5776,
  [5777] = 5776,
  [5778] = 5778,
  [5779] = 5776,
  [5780] = 5778,
  [5781] = 5773,
  [5782] = 5772,
  [5783] = 5783,
  [5784] = 5778,
  [5785] = 5785,
  [5786] = 2609,
  [5787] = 5785,
  [5788] = 2257,
  [5789] = 5772,
  [5790] = 5773,
  [5791] = 5773,
  [5792] = 5792,
  [5793] = 5776,
  [5794] = 5778,
  [5795] = 5773,
  [5796] = 5785,
  [5797] = 2297,
  [5798] = 2298,
  [5799] = 5783,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5783,
  [5803] = 5773,
  [5804] = 5778,
  [5805] = 5776,
  [5806] = 5773,
  [5807] = 2300,
  [5808] = 2302,
  [5809] = 2305,
  [5810] = 2306,
  [5811] = 5778,
  [5812] = 5776,
  [5813] = 2284,
  [5814] = 5778,
  [5815] = 2276,
  [5816] = 2274,
  [5817] = 2273,
  [5818] = 2287,
  [5819] = 5801,
  [5820] = 5792,
  [5821] = 5773,
  [5822] = 2258,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 5801,
  [5826] = 5776,
  [5827] = 2250,
  [5828] = 5778,
  [5829] = 2249,
  [5830] = 5773,
  [5831] = 5792,
  [5832] = 2237,
  [5833] = 5776,
  [5834] = 5823,
  [5835] = 5801,
  [5836] = 5776,
  [5837] = 5778,
  [5838] = 5792,
  [5839] = 5801,
  [5840] = 5823,
  [5841] = 5773,
  [5842] = 2454,
  [5843] = 5773,
  [5844] = 5778,
  [5845] = 5776,
  [5846] = 5776,
  [5847] = 5847,
  [5848] = 5801,
  [5849] = 2244,
  [5850] = 5778,
  [5851] = 5773,
  [5852] = 2281,
  [5853] = 5772,
  [5854] = 5785,
  [5855] = 2280,
  [5856] = 2238,
  [5857] = 2243,
  [5858] = 2252,
  [5859] = 2253,
  [5860] = 5783,
  [5861] = 2608,
  [5862] = 2294,
  [5863] = 2315,
  [5864] = 5823,
  [5865] = 5783,
  [5866] = 5785,
  [5867] = 5772,
  [5868] = 5776,
  [5869] = 5778,
  [5870] = 5776,
  [5871] = 5778,
  [5872] = 5773,
  [5873] = 5772,
  [5874] = 5773,
  [5875] = 5772,
  [5876] = 5785,
  [5877] = 5785,
  [5878] = 5783,
  [5879] = 5498,
  [5880] = 5783,
  [5881] = 5801,
  [5882] = 2303,
  [5883] = 5497,
  [5884] = 5792,
  [5885] = 5773,
  [5886] = 5886,
  [5887] = 2301,
  [5888] = 5778,
  [5889] = 5776,
  [5890] = 5776,
  [5891] = 5778,
  [5892] = 2299,
  [5893] = 2296,
  [5894] = 5773,
  [5895] = 5773,
  [5896] = 5778,
  [5897] = 5783,
  [5898] = 5776,
  [5899] = 5785,
  [5900] = 5801,
  [5901] = 2608,
  [5902] = 2609,
  [5903] = 5903,
  [5904] = 5594,
  [5905] = 5773,
  [5906] = 5792,
  [5907] = 5776,
  [5908] = 5778,
  [5909] = 5778,
  [5910] = 2260,
  [5911] = 5776,
  [5912] = 5773,
  [5913] = 5801,
  [5914] = 5823,
  [5915] = 5497,
  [5916] = 2259,
  [5917] = 5772,
  [5918] = 5778,
  [5919] = 5776,
  [5920] = 5498,
  [5921] = 5772,
  [5922] = 5785,
  [5923] = 5773,
  [5924] = 5783,
  [5925] = 5778,
  [5926] = 5776,
  [5927] = 5927,
  [5928] = 5927,
  [5929] = 2485,
  [5930] = 5927,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5927,
  [5934] = 5927,
  [5935] = 5927,
  [5936] = 5927,
  [5937] = 5927,
  [5938] = 5932,
  [5939] = 5927,
  [5940] = 5927,
  [5941] = 5927,
  [5942] = 5927,
  [5943] = 3767,
  [5944] = 5931,
  [5945] = 5927,
  [5946] = 5095,
  [5947] = 5927,
  [5948] = 5927,
  [5949] = 5927,
  [5950] = 5099,
  [5951] = 5951,
  [5952] = 5951,
  [5953] = 5927,
  [5954] = 5107,
  [5955] = 5927,
  [5956] = 5103,
  [5957] = 5927,
  [5958] = 5927,
  [5959] = 5931,
  [5960] = 5932,
  [5961] = 5498,
  [5962] = 5498,
  [5963] = 5951,
  [5964] = 2330,
  [5965] = 5932,
  [5966] = 5951,
  [5967] = 5497,
  [5968] = 5931,
  [5969] = 5497,
  [5970] = 5497,
  [5971] = 5498,
  [5972] = 5497,
  [5973] = 2322,
  [5974] = 5498,
  [5975] = 2282,
  [5976] = 5951,
  [5977] = 5951,
  [5978] = 5951,
  [5979] = 5932,
  [5980] = 5951,
  [5981] = 5932,
  [5982] = 2470,
  [5983] = 5932,
  [5984] = 2277,
  [5985] = 5951,
  [5986] = 5931,
  [5987] = 5931,
  [5988] = 2463,
  [5989] = 5932,
  [5990] = 5932,
  [5991] = 5951,
  [5992] = 5992,
  [5993] = 5951,
  [5994] = 2467,
  [5995] = 2473,
  [5996] = 5932,
  [5997] = 5951,
  [5998] = 5931,
  [5999] = 2311,
  [6000] = 5932,
  [6001] = 5824,
  [6002] = 5886,
  [6003] = 2529,
  [6004] = 5931,
  [6005] = 6005,
  [6006] = 5931,
  [6007] = 5931,
  [6008] = 2523,
  [6009] = 2521,
  [6010] = 5932,
  [6011] = 5931,
  [6012] = 5931,
  [6013] = 5932,
  [6014] = 5932,
  [6015] = 5951,
  [6016] = 4511,
  [6017] = 2433,
  [6018] = 5951,
  [6019] = 5951,
  [6020] = 2325,
  [6021] = 6021,
  [6022] = 6021,
  [6023] = 2403,
  [6024] = 6021,
  [6025] = 2442,
  [6026] = 2432,
  [6027] = 2438,
  [6028] = 5931,
  [6029] = 5931,
  [6030] = 5931,
  [6031] = 2434,
  [6032] = 6021,
  [6033] = 6021,
  [6034] = 5951,
  [6035] = 5932,
  [6036] = 6021,
  [6037] = 2421,
  [6038] = 2431,
  [6039] = 2423,
  [6040] = 6021,
  [6041] = 2424,
  [6042] = 2425,
  [6043] = 5931,
  [6044] = 6021,
  [6045] = 5932,
  [6046] = 6021,
  [6047] = 5932,
  [6048] = 5931,
  [6049] = 5931,
  [6050] = 2460,
  [6051] = 6051,
  [6052] = 5951,
  [6053] = 6051,
  [6054] = 5951,
  [6055] = 6051,
  [6056] = 5932,
  [6057] = 4558,
  [6058] = 6058,
  [6059] = 6051,
  [6060] = 2127,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6062,
  [6066] = 6062,
  [6067] = 6064,
  [6068] = 6068,
  [6069] = 6068,
  [6070] = 6064,
  [6071] = 6062,
  [6072] = 6072,
  [6073] = 6072,
  [6074] = 5931,
  [6075] = 5951,
  [6076] = 5932,
  [6077] = 6062,
  [6078] = 6064,
  [6079] = 6062,
  [6080] = 6062,
  [6081] = 6064,
  [6082] = 6062,
  [6083] = 6064,
  [6084] = 6068,
  [6085] = 6072,
  [6086] = 6086,
  [6087] = 6068,
  [6088] = 6072,
  [6089] = 5932,
  [6090] = 5951,
  [6091] = 5931,
  [6092] = 6062,
  [6093] = 6064,
  [6094] = 6094,
  [6095] = 6064,
  [6096] = 6062,
  [6097] = 6064,
  [6098] = 6062,
  [6099] = 6062,
  [6100] = 6100,
  [6101] = 6064,
  [6102] = 6068,
  [6103] = 6064,
  [6104] = 6062,
  [6105] = 6051,
  [6106] = 6068,
  [6107] = 6064,
  [6108] = 6064,
  [6109] = 6062,
  [6110] = 5932,
  [6111] = 6100,
  [6112] = 6064,
  [6113] = 5932,
  [6114] = 6068,
  [6115] = 6062,
  [6116] = 6062,
  [6117] = 6062,
  [6118] = 6062,
  [6119] = 6068,
  [6120] = 5951,
  [6121] = 5951,
  [6122] = 6064,
  [6123] = 6064,
  [6124] = 6051,
  [6125] = 6064,
  [6126] = 6100,
  [6127] = 6064,
  [6128] = 6068,
  [6129] = 5931,
  [6130] = 5931,
  [6131] = 6131,
  [6132] = 6051,
  [6133] = 6133,
  [6134] = 6134,
  [6135] = 6135,
  [6136] = 6136,
  [6137] = 6137,
  [6138] = 6136,
  [6139] = 6135,
  [6140] = 6134,
  [6141] = 6133,
  [6142] = 6135,
  [6143] = 6134,
  [6144] = 6134,
  [6145] = 6136,
  [6146] = 6133,
  [6147] = 6137,
  [6148] = 6136,
  [6149] = 6137,
  [6150] = 6135,
  [6151] = 6151,
  [6152] = 6131,
  [6153] = 6133,
  [6154] = 6137,
  [6155] = 6133,
  [6156] = 6134,
  [6157] = 6135,
  [6158] = 6137,
  [6159] = 6134,
  [6160] = 6135,
  [6161] = 6136,
  [6162] = 6135,
  [6163] = 6137,
  [6164] = 6134,
  [6165] = 6136,
  [6166] = 6136,
  [6167] = 6133,
  [6168] = 6133,
  [6169] = 6137,
  [6170] = 6135,
  [6171] = 6134,
  [6172] = 6136,
  [6173] = 6137,
  [6174] = 6136,
  [6175] = 6135,
  [6176] = 6136,
  [6177] = 6134,
  [6178] = 6137,
  [6179] = 6063,
  [6180] = 6180,
  [6181] = 6133,
  [6182] = 6137,
  [6183] = 6133,
  [6184] = 6136,
  [6185] = 6133,
  [6186] = 6135,
  [6187] = 6135,
  [6188] = 6134,
  [6189] = 6134,
  [6190] = 6135,
  [6191] = 6134,
  [6192] = 6137,
  [6193] = 6134,
  [6194] = 6134,
  [6195] = 6135,
  [6196] = 6133,
  [6197] = 6135,
  [6198] = 6137,
  [6199] = 6133,
  [6200] = 6134,
  [6201] = 6133,
  [6202] = 6202,
  [6203] = 6135,
  [6204] = 6133,
  [6205] = 6135,
  [6206] = 6134,
  [6207] = 6133,
  [6208] = 6133,
  [6209] = 6137,
  [6210] = 6133,
  [6211] = 6136,
  [6212] = 6133,
  [6213] = 6136,
  [6214] = 6137,
  [6215] = 6136,
  [6216] = 6134,
  [6217] = 6135,
  [6218] = 6133,
  [6219] = 6135,
  [6220] = 2285,
  [6221] = 6136,
  [6222] = 6202,
  [6223] = 6137,
  [6224] = 6134,
  [6225] = 6136,
  [6226] = 6131,
  [6227] = 6136,
  [6228] = 6137,
  [6229] = 6137,
  [6230] = 6137,
  [6231] = 6202,
  [6232] = 6136,
  [6233] = 6134,
  [6234] = 6135,
  [6235] = 6133,
  [6236] = 6136,
  [6237] = 6137,
  [6238] = 6137,
  [6239] = 6134,
  [6240] = 6136,
  [6241] = 6135,
  [6242] = 6242,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 6245,
  [6247] = 6247,
  [6248] = 6248,
  [6249] = 6249,
  [6250] = 6250,
  [6251] = 6251,
  [6252] = 6252,
  [6253] = 6253,
  [6254] = 6245,
  [6255] = 6249,
  [6256] = 6256,
  [6257] = 6253,
  [6258] = 6245,
  [6259] = 6259,
  [6260] = 6260,
  [6261] = 6245,
  [6262] = 6262,
  [6263] = 6263,
  [6264] = 6264,
  [6265] = 6265,
  [6266] = 6266,
  [6267] = 6245,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6270,
  [6271] = 6243,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6269,
  [6276] = 6252,
  [6277] = 6249,
  [6278] = 6245,
  [6279] = 6279,
  [6280] = 6280,
  [6281] = 6248,
  [6282] = 6252,
  [6283] = 6244,
  [6284] = 6284,
  [6285] = 6245,
  [6286] = 6245,
  [6287] = 6094,
  [6288] = 6245,
  [6289] = 6289,
  [6290] = 6290,
  [6291] = 6249,
  [6292] = 6292,
  [6293] = 6256,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 6296,
  [6297] = 6297,
  [6298] = 6298,
  [6299] = 6299,
  [6300] = 6249,
  [6301] = 6245,
  [6302] = 6249,
  [6303] = 3146,
  [6304] = 6270,
  [6305] = 6305,
  [6306] = 6269,
  [6307] = 6273,
  [6308] = 6051,
  [6309] = 6273,
  [6310] = 6273,
  [6311] = 6269,
  [6312] = 6249,
  [6313] = 6263,
  [6314] = 6314,
  [6315] = 6262,
  [6316] = 6245,
  [6317] = 6317,
  [6318] = 6274,
  [6319] = 6319,
  [6320] = 6249,
  [6321] = 6245,
  [6322] = 6322,
  [6323] = 6086,
  [6324] = 6249,
  [6325] = 6245,
  [6326] = 6260,
  [6327] = 6259,
  [6328] = 6268,
  [6329] = 6273,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 6252,
  [6333] = 6333,
  [6334] = 6334,
  [6335] = 6335,
  [6336] = 6336,
  [6337] = 6337,
  [6338] = 6338,
  [6339] = 6295,
  [6340] = 6340,
  [6341] = 6341,
  [6342] = 6342,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 6345,
  [6346] = 2031,
  [6347] = 6247,
  [6348] = 6292,
  [6349] = 2772,
  [6350] = 2772,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6342,
  [6354] = 6354,
  [6355] = 6051,
  [6356] = 2020,
  [6357] = 6352,
  [6358] = 6358,
  [6359] = 2026,
  [6360] = 6360,
  [6361] = 6290,
  [6362] = 6362,
  [6363] = 6363,
  [6364] = 6364,
  [6365] = 6289,
  [6366] = 6342,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6279,
  [6371] = 6272,
  [6372] = 6296,
  [6373] = 6317,
  [6374] = 6298,
  [6375] = 2022,
  [6376] = 6376,
  [6377] = 6377,
  [6378] = 6351,
  [6379] = 2017,
  [6380] = 6351,
  [6381] = 6342,
  [6382] = 6299,
  [6383] = 2762,
  [6384] = 6362,
  [6385] = 6344,
  [6386] = 6351,
  [6387] = 6342,
  [6388] = 3146,
  [6389] = 2028,
  [6390] = 6390,
  [6391] = 6250,
  [6392] = 6352,
  [6393] = 6297,
  [6394] = 6322,
  [6395] = 6251,
  [6396] = 6343,
  [6397] = 2018,
  [6398] = 6343,
  [6399] = 6399,
  [6400] = 6344,
  [6401] = 6368,
  [6402] = 6402,
  [6403] = 6342,
  [6404] = 6368,
  [6405] = 6343,
  [6406] = 6344,
  [6407] = 6368,
  [6408] = 6343,
  [6409] = 6344,
  [6410] = 6333,
  [6411] = 6411,
  [6412] = 2762,
  [6413] = 6402,
  [6414] = 6335,
  [6415] = 6344,
  [6416] = 6333,
  [6417] = 154,
  [6418] = 6362,
  [6419] = 6333,
  [6420] = 6351,
  [6421] = 6421,
  [6422] = 6333,
  [6423] = 2024,
  [6424] = 6345,
  [6425] = 6425,
  [6426] = 6343,
  [6427] = 6333,
  [6428] = 6368,
  [6429] = 6330,
  [6430] = 6345,
  [6431] = 2012,
  [6432] = 2014,
  [6433] = 6294,
  [6434] = 6376,
  [6435] = 2030,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 152,
  [6440] = 6440,
  [6441] = 6402,
  [6442] = 6437,
  [6443] = 2019,
  [6444] = 6376,
  [6445] = 6437,
  [6446] = 6368,
  [6447] = 6376,
  [6448] = 6352,
  [6449] = 6362,
  [6450] = 6345,
  [6451] = 6437,
  [6452] = 6265,
  [6453] = 6402,
  [6454] = 2023,
  [6455] = 2016,
  [6456] = 2027,
  [6457] = 6337,
  [6458] = 6368,
  [6459] = 6343,
  [6460] = 6344,
  [6461] = 6368,
  [6462] = 6344,
  [6463] = 6333,
  [6464] = 6333,
  [6465] = 6336,
  [6466] = 2485,
  [6467] = 6467,
  [6468] = 6051,
  [6469] = 6399,
  [6470] = 6343,
  [6471] = 6471,
  [6472] = 6343,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6343,
  [6476] = 6476,
  [6477] = 6473,
  [6478] = 6473,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 6344,
  [6483] = 2101,
  [6484] = 6333,
  [6485] = 6485,
  [6486] = 6481,
  [6487] = 2102,
  [6488] = 6473,
  [6489] = 6489,
  [6490] = 6481,
  [6491] = 6479,
  [6492] = 6479,
  [6493] = 6493,
  [6494] = 6344,
  [6495] = 6481,
  [6496] = 6333,
  [6497] = 6497,
  [6498] = 6498,
  [6499] = 6471,
  [6500] = 6474,
  [6501] = 6368,
  [6502] = 6368,
  [6503] = 6474,
  [6504] = 6504,
  [6505] = 6471,
  [6506] = 6474,
  [6507] = 6481,
  [6508] = 6508,
  [6509] = 6509,
  [6510] = 6510,
  [6511] = 6474,
  [6512] = 6473,
  [6513] = 6513,
  [6514] = 6481,
  [6515] = 6479,
  [6516] = 6516,
  [6517] = 6474,
  [6518] = 6481,
  [6519] = 6471,
  [6520] = 6471,
  [6521] = 6474,
  [6522] = 6481,
  [6523] = 6481,
  [6524] = 6479,
  [6525] = 6333,
  [6526] = 6481,
  [6527] = 6527,
  [6528] = 6343,
  [6529] = 6529,
  [6530] = 6344,
  [6531] = 6508,
  [6532] = 6471,
  [6533] = 6481,
  [6534] = 6479,
  [6535] = 6479,
  [6536] = 6471,
  [6537] = 6474,
  [6538] = 6471,
  [6539] = 6539,
  [6540] = 6368,
  [6541] = 6479,
  [6542] = 6474,
  [6543] = 6479,
  [6544] = 6471,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6471,
  [6549] = 6479,
  [6550] = 6051,
  [6551] = 6333,
  [6552] = 6552,
  [6553] = 6344,
  [6554] = 6343,
  [6555] = 6474,
  [6556] = 6368,
  [6557] = 6481,
  [6558] = 6474,
  [6559] = 6471,
  [6560] = 6051,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6473,
  [6565] = 6479,
  [6566] = 6474,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6344,
  [6571] = 2013,
  [6572] = 6569,
  [6573] = 6376,
  [6574] = 6574,
  [6575] = 6569,
  [6576] = 6576,
  [6577] = 2762,
  [6578] = 6362,
  [6579] = 6333,
  [6580] = 2027,
  [6581] = 6581,
  [6582] = 6581,
  [6583] = 6569,
  [6584] = 2029,
  [6585] = 6569,
  [6586] = 6569,
  [6587] = 6569,
  [6588] = 2023,
  [6589] = 2024,
  [6590] = 6569,
  [6591] = 6438,
  [6592] = 6569,
  [6593] = 6345,
  [6594] = 6581,
  [6595] = 6569,
  [6596] = 6569,
  [6597] = 2016,
  [6598] = 2030,
  [6599] = 2772,
  [6600] = 2026,
  [6601] = 6352,
  [6602] = 6051,
  [6603] = 6569,
  [6604] = 6569,
  [6605] = 6569,
  [6606] = 2028,
  [6607] = 6333,
  [6608] = 6363,
  [6609] = 6609,
  [6610] = 6569,
  [6611] = 2017,
  [6612] = 6612,
  [6613] = 6343,
  [6614] = 1091,
  [6615] = 6376,
  [6616] = 2025,
  [6617] = 6368,
  [6618] = 6437,
  [6619] = 6352,
  [6620] = 6569,
  [6621] = 152,
  [6622] = 6581,
  [6623] = 6569,
  [6624] = 154,
  [6625] = 6569,
  [6626] = 6569,
  [6627] = 6343,
  [6628] = 2014,
  [6629] = 6569,
  [6630] = 2012,
  [6631] = 6437,
  [6632] = 6368,
  [6633] = 6345,
  [6634] = 2018,
  [6635] = 2020,
  [6636] = 6581,
  [6637] = 6344,
  [6638] = 6051,
  [6639] = 2796,
  [6640] = 6362,
  [6641] = 1092,
  [6642] = 2022,
  [6643] = 2031,
  [6644] = 2019,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 6333,
  [6648] = 6645,
  [6649] = 6646,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6344,
  [6653] = 6653,
  [6654] = 6654,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6657,
  [6658] = 6658,
  [6659] = 6343,
  [6660] = 2485,
  [6661] = 2360,
  [6662] = 6658,
  [6663] = 6646,
  [6664] = 6645,
  [6665] = 6658,
  [6666] = 6666,
  [6667] = 6645,
  [6668] = 6668,
  [6669] = 6658,
  [6670] = 6658,
  [6671] = 6646,
  [6672] = 6645,
  [6673] = 6368,
  [6674] = 6646,
  [6675] = 6675,
  [6676] = 6645,
  [6677] = 6675,
  [6678] = 6678,
  [6679] = 6675,
  [6680] = 6675,
  [6681] = 6658,
  [6682] = 2400,
  [6683] = 6646,
  [6684] = 6646,
  [6685] = 6344,
  [6686] = 6658,
  [6687] = 2831,
  [6688] = 6343,
  [6689] = 2441,
  [6690] = 6658,
  [6691] = 6646,
  [6692] = 6645,
  [6693] = 2918,
  [6694] = 6658,
  [6695] = 6657,
  [6696] = 6656,
  [6697] = 6645,
  [6698] = 6333,
  [6699] = 6655,
  [6700] = 6646,
  [6701] = 6654,
  [6702] = 6645,
  [6703] = 2774,
  [6704] = 6650,
  [6705] = 6651,
  [6706] = 6653,
  [6707] = 6654,
  [6708] = 6655,
  [6709] = 6656,
  [6710] = 6657,
  [6711] = 6653,
  [6712] = 6650,
  [6713] = 6658,
  [6714] = 6658,
  [6715] = 6651,
  [6716] = 6675,
  [6717] = 6658,
  [6718] = 2405,
  [6719] = 6368,
  [6720] = 6655,
  [6721] = 6721,
  [6722] = 6722,
  [6723] = 6721,
  [6724] = 6345,
  [6725] = 6725,
  [6726] = 6721,
  [6727] = 6498,
  [6728] = 6051,
  [6729] = 6721,
  [6730] = 6516,
  [6731] = 6362,
  [6732] = 6493,
  [6733] = 6352,
  [6734] = 6527,
  [6735] = 6735,
  [6736] = 6736,
  [6737] = 6352,
  [6738] = 6368,
  [6739] = 6510,
  [6740] = 6721,
  [6741] = 6343,
  [6742] = 6742,
  [6743] = 6546,
  [6744] = 6344,
  [6745] = 2493,
  [6746] = 6567,
  [6747] = 6333,
  [6748] = 6748,
  [6749] = 6749,
  [6750] = 6547,
  [6751] = 6735,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6721,
  [6755] = 6656,
  [6756] = 6721,
  [6757] = 6757,
  [6758] = 6657,
  [6759] = 6721,
  [6760] = 2772,
  [6761] = 6362,
  [6762] = 6504,
  [6763] = 6725,
  [6764] = 6721,
  [6765] = 6437,
  [6766] = 6513,
  [6767] = 6561,
  [6768] = 6721,
  [6769] = 6769,
  [6770] = 6654,
  [6771] = 6480,
  [6772] = 6735,
  [6773] = 6653,
  [6774] = 6345,
  [6775] = 6376,
  [6776] = 6721,
  [6777] = 6777,
  [6778] = 6437,
  [6779] = 6352,
  [6780] = 6362,
  [6781] = 6721,
  [6782] = 6735,
  [6783] = 6753,
  [6784] = 6721,
  [6785] = 6735,
  [6786] = 6345,
  [6787] = 6345,
  [6788] = 6352,
  [6789] = 6497,
  [6790] = 6437,
  [6791] = 1968,
  [6792] = 6376,
  [6793] = 6437,
  [6794] = 6749,
  [6795] = 6368,
  [6796] = 6721,
  [6797] = 6362,
  [6798] = 6721,
  [6799] = 6476,
  [6800] = 6721,
  [6801] = 6769,
  [6802] = 6735,
  [6803] = 6735,
  [6804] = 6343,
  [6805] = 6376,
  [6806] = 2772,
  [6807] = 6344,
  [6808] = 6376,
  [6809] = 6721,
  [6810] = 6735,
  [6811] = 6489,
  [6812] = 6650,
  [6813] = 6721,
  [6814] = 6814,
  [6815] = 6651,
  [6816] = 6333,
  [6817] = 6748,
  [6818] = 6721,
  [6819] = 6562,
  [6820] = 6721,
  [6821] = 6735,
  [6822] = 6539,
  [6823] = 6545,
  [6824] = 2762,
  [6825] = 2762,
  [6826] = 6563,
  [6827] = 6721,
  [6828] = 6552,
  [6829] = 2847,
  [6830] = 6830,
  [6831] = 6650,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6835,
  [6837] = 6344,
  [6838] = 6830,
  [6839] = 6651,
  [6840] = 2527,
  [6841] = 2512,
  [6842] = 2513,
  [6843] = 6830,
  [6844] = 2051,
  [6845] = 6653,
  [6846] = 6846,
  [6847] = 6835,
  [6848] = 6832,
  [6849] = 6835,
  [6850] = 6835,
  [6851] = 6851,
  [6852] = 6834,
  [6853] = 6832,
  [6854] = 6854,
  [6855] = 6834,
  [6856] = 6851,
  [6857] = 6657,
  [6858] = 6656,
  [6859] = 2048,
  [6860] = 6655,
  [6861] = 6654,
  [6862] = 6653,
  [6863] = 2857,
  [6864] = 2518,
  [6865] = 6832,
  [6866] = 2520,
  [6867] = 2840,
  [6868] = 6651,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6657,
  [6872] = 2841,
  [6873] = 2054,
  [6874] = 6851,
  [6875] = 6835,
  [6876] = 6834,
  [6877] = 6830,
  [6878] = 6333,
  [6879] = 6851,
  [6880] = 6654,
  [6881] = 6832,
  [6882] = 2844,
  [6883] = 6869,
  [6884] = 6830,
  [6885] = 6650,
  [6886] = 2892,
  [6887] = 6832,
  [6888] = 6888,
  [6889] = 2405,
  [6890] = 6656,
  [6891] = 6835,
  [6892] = 2478,
  [6893] = 6835,
  [6894] = 6835,
  [6895] = 2528,
  [6896] = 6896,
  [6897] = 6897,
  [6898] = 2845,
  [6899] = 6655,
  [6900] = 6832,
  [6901] = 6901,
  [6902] = 6851,
  [6903] = 6835,
  [6904] = 6830,
  [6905] = 6905,
  [6906] = 6834,
  [6907] = 6368,
  [6908] = 6835,
  [6909] = 6343,
  [6910] = 6851,
  [6911] = 2481,
  [6912] = 2526,
  [6913] = 6913,
  [6914] = 6869,
  [6915] = 6830,
  [6916] = 6869,
  [6917] = 6834,
  [6918] = 2400,
  [6919] = 6834,
  [6920] = 6869,
  [6921] = 6832,
  [6922] = 6832,
  [6923] = 6851,
  [6924] = 6924,
  [6925] = 6925,
  [6926] = 6851,
  [6927] = 6834,
  [6928] = 2360,
  [6929] = 2525,
  [6930] = 6832,
  [6931] = 6869,
  [6932] = 6851,
  [6933] = 6344,
  [6934] = 6333,
  [6935] = 6368,
  [6936] = 2053,
  [6937] = 6343,
  [6938] = 2441,
  [6939] = 6830,
  [6940] = 6832,
  [6941] = 2864,
  [6942] = 6834,
  [6943] = 6832,
  [6944] = 6835,
  [6945] = 6830,
  [6946] = 6946,
  [6947] = 6362,
  [6948] = 6948,
  [6949] = 6653,
  [6950] = 6651,
  [6951] = 6650,
  [6952] = 6946,
  [6953] = 6946,
  [6954] = 6769,
  [6955] = 6946,
  [6956] = 2493,
  [6957] = 6946,
  [6958] = 6946,
  [6959] = 6959,
  [6960] = 6368,
  [6961] = 6655,
  [6962] = 6656,
  [6963] = 6753,
  [6964] = 6736,
  [6965] = 6657,
  [6966] = 6966,
  [6967] = 6967,
  [6968] = 6725,
  [6969] = 2772,
  [6970] = 6946,
  [6971] = 6971,
  [6972] = 6959,
  [6973] = 6748,
  [6974] = 6437,
  [6975] = 6946,
  [6976] = 6368,
  [6977] = 6343,
  [6978] = 6946,
  [6979] = 6345,
  [6980] = 6959,
  [6981] = 6959,
  [6982] = 6362,
  [6983] = 6352,
  [6984] = 6343,
  [6985] = 6376,
  [6986] = 6946,
  [6987] = 6946,
  [6988] = 6946,
  [6989] = 6946,
  [6990] = 6946,
  [6991] = 2405,
  [6992] = 6971,
  [6993] = 2762,
  [6994] = 6946,
  [6995] = 6946,
  [6996] = 2400,
  [6997] = 2441,
  [6998] = 6998,
  [6999] = 6376,
  [7000] = 6344,
  [7001] = 6749,
  [7002] = 6946,
  [7003] = 6352,
  [7004] = 6946,
  [7005] = 6959,
  [7006] = 6333,
  [7007] = 6971,
  [7008] = 6333,
  [7009] = 7009,
  [7010] = 7010,
  [7011] = 2360,
  [7012] = 6946,
  [7013] = 7013,
  [7014] = 6971,
  [7015] = 6971,
  [7016] = 6654,
  [7017] = 7017,
  [7018] = 6946,
  [7019] = 6946,
  [7020] = 6345,
  [7021] = 6344,
  [7022] = 6437,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 6650,
  [7026] = 7024,
  [7027] = 7027,
  [7028] = 6651,
  [7029] = 6376,
  [7030] = 6352,
  [7031] = 7031,
  [7032] = 6362,
  [7033] = 7024,
  [7034] = 7034,
  [7035] = 6345,
  [7036] = 6656,
  [7037] = 7024,
  [7038] = 6437,
  [7039] = 7031,
  [7040] = 6725,
  [7041] = 6656,
  [7042] = 6753,
  [7043] = 7043,
  [7044] = 2761,
  [7045] = 6376,
  [7046] = 7046,
  [7047] = 7047,
  [7048] = 7048,
  [7049] = 7024,
  [7050] = 6749,
  [7051] = 7031,
  [7052] = 7024,
  [7053] = 6352,
  [7054] = 7054,
  [7055] = 7031,
  [7056] = 6769,
  [7057] = 6657,
  [7058] = 7024,
  [7059] = 7024,
  [7060] = 2493,
  [7061] = 6655,
  [7062] = 7062,
  [7063] = 7031,
  [7064] = 7064,
  [7065] = 2762,
  [7066] = 7024,
  [7067] = 6654,
  [7068] = 6651,
  [7069] = 7031,
  [7070] = 6653,
  [7071] = 7031,
  [7072] = 7072,
  [7073] = 6748,
  [7074] = 7031,
  [7075] = 7075,
  [7076] = 6437,
  [7077] = 7077,
  [7078] = 2772,
  [7079] = 6655,
  [7080] = 7080,
  [7081] = 7031,
  [7082] = 6345,
  [7083] = 6362,
  [7084] = 7084,
  [7085] = 1963,
  [7086] = 7086,
  [7087] = 7087,
  [7088] = 7087,
  [7089] = 6651,
  [7090] = 7087,
  [7091] = 1955,
  [7092] = 7087,
  [7093] = 7086,
  [7094] = 7087,
  [7095] = 7087,
  [7096] = 7087,
  [7097] = 7097,
  [7098] = 6653,
  [7099] = 7087,
  [7100] = 7100,
  [7101] = 6654,
  [7102] = 6655,
  [7103] = 7103,
  [7104] = 6650,
  [7105] = 6656,
  [7106] = 1961,
  [7107] = 7087,
  [7108] = 1962,
  [7109] = 7087,
  [7110] = 7087,
  [7111] = 7087,
  [7112] = 7112,
  [7113] = 7113,
  [7114] = 7087,
  [7115] = 7115,
  [7116] = 7087,
  [7117] = 7117,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 6657,
  [7121] = 7087,
  [7122] = 1956,
  [7123] = 1959,
  [7124] = 1960,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 7127,
  [7128] = 7127,
  [7129] = 7127,
  [7130] = 7125,
  [7131] = 7126,
  [7132] = 6651,
  [7133] = 7127,
  [7134] = 7127,
  [7135] = 7127,
  [7136] = 6612,
  [7137] = 7127,
  [7138] = 6656,
  [7139] = 7127,
  [7140] = 6653,
  [7141] = 6655,
  [7142] = 7126,
  [7143] = 6650,
  [7144] = 7125,
  [7145] = 7127,
  [7146] = 7146,
  [7147] = 7127,
  [7148] = 7127,
  [7149] = 7125,
  [7150] = 7127,
  [7151] = 7127,
  [7152] = 7125,
  [7153] = 7127,
  [7154] = 7127,
  [7155] = 7125,
  [7156] = 7126,
  [7157] = 7127,
  [7158] = 6657,
  [7159] = 7127,
  [7160] = 7125,
  [7161] = 2762,
  [7162] = 7127,
  [7163] = 7127,
  [7164] = 7127,
  [7165] = 7125,
  [7166] = 6574,
  [7167] = 7126,
  [7168] = 7125,
  [7169] = 7127,
  [7170] = 7127,
  [7171] = 7127,
  [7172] = 7172,
  [7173] = 6654,
  [7174] = 2772,
  [7175] = 7175,
  [7176] = 7176,
  [7177] = 7177,
  [7178] = 7178,
  [7179] = 6612,
  [7180] = 7180,
  [7181] = 7178,
  [7182] = 7182,
  [7183] = 6777,
  [7184] = 7184,
  [7185] = 7175,
  [7186] = 7175,
  [7187] = 7187,
  [7188] = 6725,
  [7189] = 7178,
  [7190] = 7190,
  [7191] = 7191,
  [7192] = 7192,
  [7193] = 7193,
  [7194] = 7194,
  [7195] = 7195,
  [7196] = 7187,
  [7197] = 7187,
  [7198] = 7198,
  [7199] = 7178,
  [7200] = 6814,
  [7201] = 6753,
  [7202] = 7202,
  [7203] = 7178,
  [7204] = 7204,
  [7205] = 7205,
  [7206] = 6657,
  [7207] = 6722,
  [7208] = 7187,
  [7209] = 7187,
  [7210] = 7175,
  [7211] = 7178,
  [7212] = 7212,
  [7213] = 6769,
  [7214] = 7214,
  [7215] = 7178,
  [7216] = 6757,
  [7217] = 2774,
  [7218] = 7218,
  [7219] = 7178,
  [7220] = 6656,
  [7221] = 6655,
  [7222] = 6748,
  [7223] = 7223,
  [7224] = 6654,
  [7225] = 6653,
  [7226] = 7226,
  [7227] = 6749,
  [7228] = 7178,
  [7229] = 6742,
  [7230] = 7230,
  [7231] = 6574,
  [7232] = 7232,
  [7233] = 7175,
  [7234] = 6651,
  [7235] = 6650,
  [7236] = 7236,
  [7237] = 6651,
  [7238] = 7238,
  [7239] = 6654,
  [7240] = 2948,
  [7241] = 7241,
  [7242] = 6650,
  [7243] = 6656,
  [7244] = 7244,
  [7245] = 6655,
  [7246] = 6657,
  [7247] = 7244,
  [7248] = 7248,
  [7249] = 6653,
  [7250] = 7250,
  [7251] = 7250,
  [7252] = 6657,
  [7253] = 6650,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7250,
  [7257] = 2774,
  [7258] = 7258,
  [7259] = 2941,
  [7260] = 7244,
  [7261] = 7258,
  [7262] = 2945,
  [7263] = 7258,
  [7264] = 2405,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7258,
  [7268] = 2360,
  [7269] = 2400,
  [7270] = 7244,
  [7271] = 6656,
  [7272] = 6651,
  [7273] = 7258,
  [7274] = 7274,
  [7275] = 6653,
  [7276] = 2441,
  [7277] = 7250,
  [7278] = 6654,
  [7279] = 6655,
  [7280] = 7280,
  [7281] = 7281,
  [7282] = 7250,
  [7283] = 7244,
  [7284] = 7284,
  [7285] = 7285,
  [7286] = 7286,
  [7287] = 7287,
  [7288] = 7288,
  [7289] = 7287,
  [7290] = 7288,
  [7291] = 7284,
  [7292] = 7292,
  [7293] = 7284,
  [7294] = 7288,
  [7295] = 7288,
  [7296] = 2774,
  [7297] = 7297,
  [7298] = 7287,
  [7299] = 7299,
  [7300] = 7190,
  [7301] = 7292,
  [7302] = 7302,
  [7303] = 6948,
  [7304] = 7288,
  [7305] = 7288,
  [7306] = 7306,
  [7307] = 7297,
  [7308] = 7308,
  [7309] = 2774,
  [7310] = 7287,
  [7311] = 7287,
  [7312] = 7297,
  [7313] = 2493,
  [7314] = 7287,
  [7315] = 7287,
  [7316] = 7288,
  [7317] = 6998,
  [7318] = 7297,
  [7319] = 7288,
  [7320] = 7184,
  [7321] = 7176,
  [7322] = 7284,
  [7323] = 7284,
  [7324] = 7284,
  [7325] = 7297,
  [7326] = 7297,
  [7327] = 7287,
  [7328] = 7297,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 7287,
  [7333] = 7284,
  [7334] = 7334,
  [7335] = 7284,
  [7336] = 7336,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7297,
  [7341] = 7297,
  [7342] = 7284,
  [7343] = 7343,
  [7344] = 7288,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7302,
  [7348] = 7009,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 6654,
  [7353] = 7350,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7351,
  [7358] = 7349,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 7361,
  [7362] = 7355,
  [7363] = 7350,
  [7364] = 7350,
  [7365] = 7360,
  [7366] = 7366,
  [7367] = 7266,
  [7368] = 7349,
  [7369] = 7369,
  [7370] = 6655,
  [7371] = 6657,
  [7372] = 7351,
  [7373] = 7373,
  [7374] = 6656,
  [7375] = 7360,
  [7376] = 7376,
  [7377] = 2674,
  [7378] = 7378,
  [7379] = 6650,
  [7380] = 7359,
  [7381] = 7369,
  [7382] = 7361,
  [7383] = 7366,
  [7384] = 6653,
  [7385] = 2774,
  [7386] = 7386,
  [7387] = 7351,
  [7388] = 2774,
  [7389] = 7369,
  [7390] = 7355,
  [7391] = 7361,
  [7392] = 7376,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7366,
  [7396] = 7386,
  [7397] = 7386,
  [7398] = 7386,
  [7399] = 7376,
  [7400] = 7376,
  [7401] = 7369,
  [7402] = 7355,
  [7403] = 7403,
  [7404] = 7393,
  [7405] = 7405,
  [7406] = 7406,
  [7407] = 7386,
  [7408] = 7376,
  [7409] = 7366,
  [7410] = 7360,
  [7411] = 7361,
  [7412] = 7412,
  [7413] = 6651,
  [7414] = 7414,
  [7415] = 7386,
  [7416] = 7373,
  [7417] = 7349,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 7420,
  [7421] = 7421,
  [7422] = 7419,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7425,
  [7426] = 7426,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7418,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7421,
  [7435] = 7426,
  [7436] = 7421,
  [7437] = 7424,
  [7438] = 7425,
  [7439] = 7439,
  [7440] = 7428,
  [7441] = 7441,
  [7442] = 7418,
  [7443] = 7443,
  [7444] = 7424,
  [7445] = 7425,
  [7446] = 7446,
  [7447] = 7447,
  [7448] = 7432,
  [7449] = 7449,
  [7450] = 7450,
  [7451] = 7420,
  [7452] = 7446,
  [7453] = 7421,
  [7454] = 7433,
  [7455] = 7421,
  [7456] = 7427,
  [7457] = 7423,
  [7458] = 7458,
  [7459] = 7424,
  [7460] = 7425,
  [7461] = 7458,
  [7462] = 7433,
  [7463] = 7424,
  [7464] = 7464,
  [7465] = 7425,
  [7466] = 7449,
  [7467] = 7443,
  [7468] = 7418,
  [7469] = 7469,
  [7470] = 7429,
  [7471] = 7449,
  [7472] = 6612,
  [7473] = 7443,
  [7474] = 7449,
  [7475] = 7420,
  [7476] = 7450,
  [7477] = 7447,
  [7478] = 7478,
  [7479] = 7426,
  [7480] = 7432,
  [7481] = 7481,
  [7482] = 7443,
  [7483] = 7418,
  [7484] = 7447,
  [7485] = 7424,
  [7486] = 7425,
  [7487] = 7446,
  [7488] = 7488,
  [7489] = 7458,
  [7490] = 7490,
  [7491] = 7432,
  [7492] = 7492,
  [7493] = 7449,
  [7494] = 7429,
  [7495] = 7424,
  [7496] = 7439,
  [7497] = 7418,
  [7498] = 7498,
  [7499] = 7432,
  [7500] = 7447,
  [7501] = 7424,
  [7502] = 7488,
  [7503] = 7432,
  [7504] = 7431,
  [7505] = 7421,
  [7506] = 7423,
  [7507] = 7421,
  [7508] = 7421,
  [7509] = 7433,
  [7510] = 7432,
  [7511] = 7511,
  [7512] = 7450,
  [7513] = 7488,
  [7514] = 7426,
  [7515] = 7431,
  [7516] = 7329,
  [7517] = 7439,
  [7518] = 7431,
  [7519] = 7519,
  [7520] = 7447,
  [7521] = 7418,
  [7522] = 7426,
  [7523] = 7458,
  [7524] = 7458,
  [7525] = 7425,
  [7526] = 7424,
  [7527] = 7481,
  [7528] = 7418,
  [7529] = 7423,
  [7530] = 7419,
  [7531] = 7531,
  [7532] = 7428,
  [7533] = 7418,
  [7534] = 7421,
  [7535] = 7419,
  [7536] = 7424,
  [7537] = 7423,
  [7538] = 7425,
  [7539] = 7458,
  [7540] = 7433,
  [7541] = 7423,
  [7542] = 7542,
  [7543] = 7543,
  [7544] = 7426,
  [7545] = 7432,
  [7546] = 7424,
  [7547] = 7429,
  [7548] = 7426,
  [7549] = 7419,
  [7550] = 7550,
  [7551] = 7427,
  [7552] = 7423,
  [7553] = 7425,
  [7554] = 7418,
  [7555] = 7428,
  [7556] = 7556,
  [7557] = 7557,
  [7558] = 7558,
  [7559] = 7559,
  [7560] = 7439,
  [7561] = 7433,
  [7562] = 7562,
  [7563] = 7458,
  [7564] = 7421,
  [7565] = 7433,
  [7566] = 7447,
  [7567] = 7481,
  [7568] = 7446,
  [7569] = 7421,
  [7570] = 7419,
  [7571] = 7418,
  [7572] = 7421,
  [7573] = 7419,
  [7574] = 7424,
  [7575] = 7425,
  [7576] = 7424,
  [7577] = 7428,
  [7578] = 7443,
  [7579] = 7579,
  [7580] = 7449,
  [7581] = 7433,
  [7582] = 7450,
  [7583] = 7421,
  [7584] = 7481,
  [7585] = 7427,
  [7586] = 7443,
  [7587] = 7449,
  [7588] = 7420,
  [7589] = 7428,
  [7590] = 7590,
  [7591] = 7446,
  [7592] = 7418,
  [7593] = 7450,
  [7594] = 7420,
  [7595] = 7450,
  [7596] = 7420,
  [7597] = 7597,
  [7598] = 7446,
  [7599] = 7418,
  [7600] = 7423,
  [7601] = 7421,
  [7602] = 7421,
  [7603] = 7433,
  [7604] = 7433,
  [7605] = 7447,
  [7606] = 7439,
  [7607] = 7427,
  [7608] = 7418,
  [7609] = 7426,
  [7610] = 7446,
  [7611] = 7423,
  [7612] = 7420,
  [7613] = 7419,
  [7614] = 7450,
  [7615] = 7433,
  [7616] = 7488,
  [7617] = 7446,
  [7618] = 7481,
  [7619] = 7447,
  [7620] = 7449,
  [7621] = 7424,
  [7622] = 7443,
  [7623] = 7424,
  [7624] = 7425,
  [7625] = 7447,
  [7626] = 7458,
  [7627] = 7424,
  [7628] = 7458,
  [7629] = 7432,
  [7630] = 7450,
  [7631] = 7421,
  [7632] = 7427,
  [7633] = 7443,
  [7634] = 7421,
  [7635] = 7418,
  [7636] = 7447,
  [7637] = 7418,
  [7638] = 7420,
  [7639] = 7639,
  [7640] = 7450,
  [7641] = 7449,
  [7642] = 7424,
  [7643] = 7419,
  [7644] = 7458,
  [7645] = 7418,
  [7646] = 7428,
  [7647] = 7420,
  [7648] = 7421,
  [7649] = 7424,
  [7650] = 7433,
  [7651] = 7424,
  [7652] = 7425,
  [7653] = 7432,
  [7654] = 7432,
  [7655] = 7458,
  [7656] = 7656,
  [7657] = 7481,
  [7658] = 7423,
  [7659] = 7429,
  [7660] = 7426,
  [7661] = 7488,
  [7662] = 7427,
  [7663] = 7458,
  [7664] = 7427,
  [7665] = 7446,
  [7666] = 7666,
  [7667] = 7418,
  [7668] = 7449,
  [7669] = 7488,
  [7670] = 7429,
  [7671] = 7423,
  [7672] = 7420,
  [7673] = 7431,
  [7674] = 7428,
  [7675] = 7675,
  [7676] = 7449,
  [7677] = 7443,
  [7678] = 7431,
  [7679] = 7449,
  [7680] = 7450,
  [7681] = 7443,
  [7682] = 7429,
  [7683] = 7419,
  [7684] = 7418,
  [7685] = 7685,
  [7686] = 7686,
  [7687] = 7687,
  [7688] = 7688,
  [7689] = 7443,
  [7690] = 7458,
  [7691] = 7691,
  [7692] = 7425,
  [7693] = 7424,
  [7694] = 7446,
  [7695] = 7424,
  [7696] = 7420,
  [7697] = 7450,
  [7698] = 7425,
  [7699] = 7699,
  [7700] = 7446,
  [7701] = 7701,
  [7702] = 7419,
  [7703] = 7446,
  [7704] = 7458,
  [7705] = 7431,
  [7706] = 7488,
  [7707] = 7447,
  [7708] = 7423,
  [7709] = 7481,
  [7710] = 7433,
  [7711] = 7427,
  [7712] = 7426,
  [7713] = 7481,
  [7714] = 7428,
  [7715] = 7426,
  [7716] = 7481,
  [7717] = 7433,
  [7718] = 7418,
  [7719] = 7431,
  [7720] = 7431,
  [7721] = 7421,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7488,
  [7726] = 7418,
  [7727] = 7727,
  [7728] = 7728,
  [7729] = 7727,
  [7730] = 7730,
  [7731] = 2774,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7736,
  [7737] = 7737,
  [7738] = 7738,
  [7739] = 7739,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7743,
  [7744] = 7744,
  [7745] = 7745,
  [7746] = 7746,
  [7747] = 7747,
  [7748] = 7727,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7734,
  [7752] = 7735,
  [7753] = 7753,
  [7754] = 7740,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7758,
  [7760] = 7736,
  [7761] = 7737,
  [7762] = 7757,
  [7763] = 7740,
  [7764] = 7764,
  [7765] = 7741,
  [7766] = 7736,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7769,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 7745,
  [7774] = 7746,
  [7775] = 7747,
  [7776] = 7776,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7739,
  [7780] = 7750,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 7785,
  [7786] = 7785,
  [7787] = 7772,
  [7788] = 7764,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7784,
  [7792] = 7743,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7737,
  [7796] = 7732,
  [7797] = 7782,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7778,
  [7803] = 7803,
  [7804] = 7767,
  [7805] = 7768,
  [7806] = 7769,
  [7807] = 7770,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7771,
  [7811] = 7730,
  [7812] = 7743,
  [7813] = 7813,
  [7814] = 7777,
  [7815] = 7815,
  [7816] = 7730,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7819,
  [7820] = 7820,
  [7821] = 7764,
  [7822] = 7757,
  [7823] = 7772,
  [7824] = 7777,
  [7825] = 7785,
  [7826] = 7784,
  [7827] = 7813,
  [7828] = 7778,
  [7829] = 7758,
  [7830] = 7782,
  [7831] = 7736,
  [7832] = 7778,
  [7833] = 7777,
  [7834] = 7834,
  [7835] = 7800,
  [7836] = 7771,
  [7837] = 7740,
  [7838] = 7782,
  [7839] = 7770,
  [7840] = 7771,
  [7841] = 7727,
  [7842] = 7769,
  [7843] = 7770,
  [7844] = 7743,
  [7845] = 7769,
  [7846] = 7768,
  [7847] = 7767,
  [7848] = 7768,
  [7849] = 7767,
  [7850] = 7784,
  [7851] = 7785,
  [7852] = 7732,
  [7853] = 7737,
  [7854] = 7783,
  [7855] = 7855,
  [7856] = 7856,
  [7857] = 7857,
  [7858] = 7742,
  [7859] = 7757,
  [7860] = 7772,
  [7861] = 7764,
  [7862] = 7190,
  [7863] = 7745,
  [7864] = 7746,
  [7865] = 7747,
  [7866] = 7866,
  [7867] = 7732,
  [7868] = 7741,
  [7869] = 7737,
  [7870] = 7742,
  [7871] = 7758,
  [7872] = 7750,
  [7873] = 7776,
  [7874] = 7743,
  [7875] = 7769,
  [7876] = 7770,
  [7877] = 7771,
  [7878] = 7747,
  [7879] = 7746,
  [7880] = 7730,
  [7881] = 7777,
  [7882] = 7882,
  [7883] = 7750,
  [7884] = 7884,
  [7885] = 7745,
  [7886] = 7742,
  [7887] = 7887,
  [7888] = 7747,
  [7889] = 7746,
  [7890] = 7745,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 7742,
  [7894] = 7741,
  [7895] = 7895,
  [7896] = 7764,
  [7897] = 7741,
  [7898] = 7755,
  [7899] = 7772,
  [7900] = 7753,
  [7901] = 7755,
  [7902] = 7902,
  [7903] = 7735,
  [7904] = 7735,
  [7905] = 7905,
  [7906] = 7906,
  [7907] = 7734,
  [7908] = 7733,
  [7909] = 7734,
  [7910] = 7755,
  [7911] = 7911,
  [7912] = 7758,
  [7913] = 7733,
  [7914] = 7727,
  [7915] = 7915,
  [7916] = 7727,
  [7917] = 7740,
  [7918] = 7739,
  [7919] = 7740,
  [7920] = 7767,
  [7921] = 7768,
  [7922] = 7769,
  [7923] = 7736,
  [7924] = 7770,
  [7925] = 7753,
  [7926] = 7742,
  [7927] = 7736,
  [7928] = 7727,
  [7929] = 7736,
  [7930] = 7771,
  [7931] = 7931,
  [7932] = 7932,
  [7933] = 7933,
  [7934] = 7934,
  [7935] = 7740,
  [7936] = 7739,
  [7937] = 7937,
  [7938] = 7727,
  [7939] = 7758,
  [7940] = 7734,
  [7941] = 7941,
  [7942] = 7735,
  [7943] = 7753,
  [7944] = 7742,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7739,
  [7948] = 7755,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7742,
  [7953] = 7953,
  [7954] = 7741,
  [7955] = 7742,
  [7956] = 7733,
  [7957] = 7957,
  [7958] = 7769,
  [7959] = 7770,
  [7960] = 7771,
  [7961] = 7745,
  [7962] = 7962,
  [7963] = 7963,
  [7964] = 7964,
  [7965] = 7746,
  [7966] = 7966,
  [7967] = 7747,
  [7968] = 7968,
  [7969] = 7776,
  [7970] = 7730,
  [7971] = 7743,
  [7972] = 7972,
  [7973] = 7973,
  [7974] = 7750,
  [7975] = 7764,
  [7976] = 7772,
  [7977] = 7977,
  [7978] = 7785,
  [7979] = 7784,
  [7980] = 7735,
  [7981] = 7785,
  [7982] = 7784,
  [7983] = 7983,
  [7984] = 7737,
  [7985] = 7985,
  [7986] = 7782,
  [7987] = 7734,
  [7988] = 7778,
  [7989] = 7732,
  [7990] = 7777,
  [7991] = 7991,
  [7992] = 7758,
  [7993] = 7993,
  [7994] = 7757,
  [7995] = 7767,
  [7996] = 7769,
  [7997] = 7770,
  [7998] = 7771,
  [7999] = 7770,
  [8000] = 7769,
  [8001] = 7768,
  [8002] = 7727,
  [8003] = 7771,
  [8004] = 8004,
  [8005] = 7767,
  [8006] = 7757,
  [8007] = 8007,
  [8008] = 7777,
  [8009] = 7813,
  [8010] = 7778,
  [8011] = 7782,
  [8012] = 7727,
  [8013] = 7784,
  [8014] = 7758,
  [8015] = 7785,
  [8016] = 7727,
  [8017] = 7742,
  [8018] = 7733,
  [8019] = 7777,
  [8020] = 7772,
  [8021] = 7732,
  [8022] = 7764,
  [8023] = 8023,
  [8024] = 7730,
  [8025] = 7743,
  [8026] = 7769,
  [8027] = 7770,
  [8028] = 7771,
  [8029] = 7730,
  [8030] = 7737,
  [8031] = 7739,
  [8032] = 8032,
  [8033] = 7739,
  [8034] = 7768,
  [8035] = 7750,
  [8036] = 7743,
  [8037] = 7736,
  [8038] = 8038,
  [8039] = 7747,
  [8040] = 7746,
  [8041] = 7745,
  [8042] = 7764,
  [8043] = 7772,
  [8044] = 7783,
  [8045] = 7742,
  [8046] = 7727,
  [8047] = 7758,
  [8048] = 7741,
  [8049] = 7740,
  [8050] = 8050,
  [8051] = 7742,
  [8052] = 7769,
  [8053] = 7770,
  [8054] = 7771,
  [8055] = 7785,
  [8056] = 7784,
  [8057] = 7758,
  [8058] = 7782,
  [8059] = 7727,
  [8060] = 7739,
  [8061] = 7755,
  [8062] = 7782,
  [8063] = 7735,
  [8064] = 7758,
  [8065] = 7734,
  [8066] = 7799,
  [8067] = 7750,
  [8068] = 7758,
  [8069] = 8069,
  [8070] = 7727,
  [8071] = 7736,
  [8072] = 8072,
  [8073] = 7727,
  [8074] = 7758,
  [8075] = 7742,
  [8076] = 7769,
  [8077] = 7770,
  [8078] = 7771,
  [8079] = 8079,
  [8080] = 8080,
  [8081] = 7740,
  [8082] = 7740,
  [8083] = 7800,
  [8084] = 7782,
  [8085] = 7736,
  [8086] = 7727,
  [8087] = 8087,
  [8088] = 7778,
  [8089] = 8089,
  [8090] = 7739,
  [8091] = 7813,
  [8092] = 7727,
  [8093] = 7758,
  [8094] = 7745,
  [8095] = 7777,
  [8096] = 7742,
  [8097] = 7769,
  [8098] = 7770,
  [8099] = 7771,
  [8100] = 7799,
  [8101] = 8101,
  [8102] = 7734,
  [8103] = 7735,
  [8104] = 7753,
  [8105] = 7757,
  [8106] = 7734,
  [8107] = 7735,
  [8108] = 7746,
  [8109] = 7755,
  [8110] = 7747,
  [8111] = 7776,
  [8112] = 7728,
  [8113] = 7755,
  [8114] = 8114,
  [8115] = 7771,
  [8116] = 7730,
  [8117] = 7742,
  [8118] = 7769,
  [8119] = 7770,
  [8120] = 7771,
  [8121] = 7770,
  [8122] = 7741,
  [8123] = 7743,
  [8124] = 7742,
  [8125] = 267,
  [8126] = 7741,
  [8127] = 7764,
  [8128] = 7772,
  [8129] = 7742,
  [8130] = 7785,
  [8131] = 7784,
  [8132] = 7953,
  [8133] = 7769,
  [8134] = 7727,
  [8135] = 7778,
  [8136] = 7770,
  [8137] = 7742,
  [8138] = 7769,
  [8139] = 7770,
  [8140] = 7771,
  [8141] = 7745,
  [8142] = 7746,
  [8143] = 7777,
  [8144] = 7747,
  [8145] = 7776,
  [8146] = 7771,
  [8147] = 271,
  [8148] = 7771,
  [8149] = 7770,
  [8150] = 7750,
  [8151] = 7769,
  [8152] = 7768,
  [8153] = 7767,
  [8154] = 7727,
  [8155] = 7783,
  [8156] = 7768,
  [8157] = 7742,
  [8158] = 7769,
  [8159] = 7770,
  [8160] = 7771,
  [8161] = 7769,
  [8162] = 7800,
  [8163] = 7813,
  [8164] = 7737,
  [8165] = 7747,
  [8166] = 8166,
  [8167] = 7732,
  [8168] = 7778,
  [8169] = 7746,
  [8170] = 7737,
  [8171] = 7732,
  [8172] = 7727,
  [8173] = 7767,
  [8174] = 7727,
  [8175] = 7750,
  [8176] = 7745,
  [8177] = 8177,
  [8178] = 8178,
  [8179] = 8179,
  [8180] = 8180,
  [8181] = 8181,
  [8182] = 8182,
  [8183] = 8183,
  [8184] = 8184,
  [8185] = 8185,
  [8186] = 8186,
  [8187] = 8185,
  [8188] = 8182,
  [8189] = 8186,
  [8190] = 8184,
  [8191] = 8177,
  [8192] = 8192,
  [8193] = 8192,
  [8194] = 8194,
  [8195] = 8195,
  [8196] = 8177,
  [8197] = 8197,
  [8198] = 8198,
  [8199] = 8194,
  [8200] = 8177,
  [8201] = 8201,
  [8202] = 8202,
  [8203] = 8198,
  [8204] = 8204,
  [8205] = 8181,
  [8206] = 8206,
  [8207] = 8207,
  [8208] = 8208,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 8192,
  [8215] = 8192,
  [8216] = 8216,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 8197,
  [8220] = 8220,
  [8221] = 8221,
  [8222] = 8183,
  [8223] = 8223,
  [8224] = 8224,
  [8225] = 8224,
  [8226] = 8178,
  [8227] = 8208,
  [8228] = 8221,
  [8229] = 8192,
  [8230] = 8180,
  [8231] = 8216,
  [8232] = 8232,
  [8233] = 8192,
  [8234] = 8234,
  [8235] = 8234,
  [8236] = 8192,
  [8237] = 8216,
  [8238] = 8195,
  [8239] = 8204,
  [8240] = 8197,
  [8241] = 8178,
  [8242] = 8234,
  [8243] = 8243,
  [8244] = 8244,
  [8245] = 8198,
  [8246] = 8194,
  [8247] = 8247,
  [8248] = 8248,
  [8249] = 8234,
  [8250] = 8217,
  [8251] = 8208,
  [8252] = 8216,
  [8253] = 8221,
  [8254] = 8206,
  [8255] = 8192,
  [8256] = 8224,
  [8257] = 8257,
  [8258] = 8258,
  [8259] = 8232,
  [8260] = 8234,
  [8261] = 8248,
  [8262] = 8262,
  [8263] = 8208,
  [8264] = 8258,
  [8265] = 8179,
  [8266] = 8244,
  [8267] = 8182,
  [8268] = 8208,
  [8269] = 8184,
  [8270] = 8234,
  [8271] = 8271,
  [8272] = 8186,
  [8273] = 8185,
  [8274] = 8186,
  [8275] = 8197,
  [8276] = 8177,
  [8277] = 8217,
  [8278] = 8194,
  [8279] = 8184,
  [8280] = 8202,
  [8281] = 8194,
  [8282] = 8178,
  [8283] = 8177,
  [8284] = 8284,
  [8285] = 8183,
  [8286] = 8184,
  [8287] = 8287,
  [8288] = 8206,
  [8289] = 8177,
  [8290] = 8195,
  [8291] = 8232,
  [8292] = 8248,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8258,
  [8296] = 8211,
  [8297] = 8204,
  [8298] = 8210,
  [8299] = 8248,
  [8300] = 8181,
  [8301] = 8198,
  [8302] = 8192,
  [8303] = 8204,
  [8304] = 8257,
  [8305] = 8234,
  [8306] = 8181,
  [8307] = 8307,
  [8308] = 8217,
  [8309] = 8184,
  [8310] = 8197,
  [8311] = 8202,
  [8312] = 8186,
  [8313] = 8232,
  [8314] = 8314,
  [8315] = 8182,
  [8316] = 8185,
  [8317] = 8208,
  [8318] = 8318,
  [8319] = 8211,
  [8320] = 8320,
  [8321] = 8182,
  [8322] = 8322,
  [8323] = 8178,
  [8324] = 8180,
  [8325] = 8325,
  [8326] = 8232,
  [8327] = 8327,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 8325,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 8333,
  [8334] = 8206,
  [8335] = 8210,
  [8336] = 8184,
  [8337] = 8248,
  [8338] = 8181,
  [8339] = 8208,
  [8340] = 8186,
  [8341] = 8208,
  [8342] = 8248,
  [8343] = 8258,
  [8344] = 8204,
  [8345] = 8194,
  [8346] = 8177,
  [8347] = 8206,
  [8348] = 8234,
  [8349] = 8198,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8207,
  [8353] = 8208,
  [8354] = 8354,
  [8355] = 8217,
  [8356] = 8356,
  [8357] = 8194,
  [8358] = 8202,
  [8359] = 8192,
  [8360] = 8197,
  [8361] = 8216,
  [8362] = 8244,
  [8363] = 8179,
  [8364] = 8192,
  [8365] = 8221,
  [8366] = 8366,
  [8367] = 8224,
  [8368] = 8368,
  [8369] = 8325,
  [8370] = 8198,
  [8371] = 8197,
  [8372] = 8232,
  [8373] = 8192,
  [8374] = 8224,
  [8375] = 8375,
  [8376] = 8376,
  [8377] = 8248,
  [8378] = 8179,
  [8379] = 8197,
  [8380] = 8380,
  [8381] = 8293,
  [8382] = 8197,
  [8383] = 8257,
  [8384] = 8207,
  [8385] = 8385,
  [8386] = 8224,
  [8387] = 8224,
  [8388] = 8258,
  [8389] = 8221,
  [8390] = 8221,
  [8391] = 8244,
  [8392] = 8197,
  [8393] = 8195,
  [8394] = 8234,
  [8395] = 8216,
  [8396] = 8208,
  [8397] = 8179,
  [8398] = 8217,
  [8399] = 8271,
  [8400] = 8216,
  [8401] = 8209,
  [8402] = 8206,
  [8403] = 8202,
  [8404] = 8192,
  [8405] = 8405,
  [8406] = 8208,
  [8407] = 8207,
  [8408] = 8325,
  [8409] = 8232,
  [8410] = 8198,
  [8411] = 8198,
  [8412] = 8248,
  [8413] = 8204,
  [8414] = 8221,
  [8415] = 8293,
  [8416] = 8192,
  [8417] = 8194,
  [8418] = 8258,
  [8419] = 8177,
  [8420] = 8194,
  [8421] = 8244,
  [8422] = 8195,
  [8423] = 8234,
  [8424] = 8424,
  [8425] = 8197,
  [8426] = 8177,
  [8427] = 8194,
  [8428] = 8181,
  [8429] = 8184,
  [8430] = 8180,
  [8431] = 8217,
  [8432] = 8184,
  [8433] = 8186,
  [8434] = 8211,
  [8435] = 8182,
  [8436] = 8209,
  [8437] = 8206,
  [8438] = 8198,
  [8439] = 8186,
  [8440] = 8440,
  [8441] = 8202,
  [8442] = 8182,
  [8443] = 8194,
  [8444] = 8185,
  [8445] = 8177,
  [8446] = 8186,
  [8447] = 8184,
  [8448] = 8184,
  [8449] = 2910,
  [8450] = 8184,
  [8451] = 8451,
  [8452] = 8424,
  [8453] = 8198,
  [8454] = 8192,
  [8455] = 8325,
  [8456] = 8178,
  [8457] = 8181,
  [8458] = 8217,
  [8459] = 8232,
  [8460] = 8181,
  [8461] = 8183,
  [8462] = 8224,
  [8463] = 8463,
  [8464] = 8211,
  [8465] = 8208,
  [8466] = 8197,
  [8467] = 8210,
  [8468] = 8209,
  [8469] = 8248,
  [8470] = 8192,
  [8471] = 8471,
  [8472] = 8210,
  [8473] = 8180,
  [8474] = 8181,
  [8475] = 8208,
  [8476] = 8424,
  [8477] = 8202,
  [8478] = 8424,
  [8479] = 8479,
  [8480] = 8293,
  [8481] = 8424,
  [8482] = 8424,
  [8483] = 8183,
  [8484] = 8204,
  [8485] = 8184,
  [8486] = 8293,
  [8487] = 8178,
  [8488] = 8258,
  [8489] = 8258,
  [8490] = 8186,
  [8491] = 8491,
  [8492] = 8185,
  [8493] = 8424,
  [8494] = 8208,
  [8495] = 8177,
  [8496] = 8424,
  [8497] = 8497,
  [8498] = 8182,
  [8499] = 8424,
  [8500] = 8424,
  [8501] = 8424,
  [8502] = 8180,
  [8503] = 8244,
  [8504] = 8195,
  [8505] = 8424,
  [8506] = 8424,
  [8507] = 8424,
  [8508] = 8424,
  [8509] = 8234,
  [8510] = 8208,
  [8511] = 8194,
  [8512] = 8424,
  [8513] = 8181,
  [8514] = 8184,
  [8515] = 8197,
  [8516] = 8424,
  [8517] = 8202,
  [8518] = 8217,
  [8519] = 8424,
  [8520] = 8209,
  [8521] = 8186,
  [8522] = 8211,
  [8523] = 8211,
  [8524] = 8194,
  [8525] = 8224,
  [8526] = 8209,
  [8527] = 8217,
  [8528] = 8177,
  [8529] = 8424,
  [8530] = 8202,
  [8531] = 2860,
  [8532] = 8179,
  [8533] = 8198,
  [8534] = 8208,
  [8535] = 8182,
  [8536] = 8232,
  [8537] = 8207,
  [8538] = 8224,
  [8539] = 8221,
  [8540] = 2828,
  [8541] = 8234,
  [8542] = 8195,
  [8543] = 8244,
  [8544] = 8197,
  [8545] = 8192,
  [8546] = 2824,
  [8547] = 8216,
  [8548] = 8208,
  [8549] = 8208,
  [8550] = 2823,
  [8551] = 8551,
  [8552] = 8221,
  [8553] = 8258,
  [8554] = 2849,
  [8555] = 8325,
  [8556] = 2850,
  [8557] = 2858,
  [8558] = 8224,
  [8559] = 2885,
  [8560] = 8257,
  [8561] = 8194,
  [8562] = 8204,
  [8563] = 8177,
  [8564] = 2909,
  [8565] = 8293,
  [8566] = 8198,
  [8567] = 8204,
  [8568] = 8192,
  [8569] = 8257,
  [8570] = 8248,
  [8571] = 8325,
  [8572] = 8185,
  [8573] = 8573,
  [8574] = 8186,
  [8575] = 8206,
  [8576] = 8216,
  [8577] = 8577,
  [8578] = 8578,
  [8579] = 8579,
  [8580] = 8580,
  [8581] = 8581,
  [8582] = 8582,
  [8583] = 8583,
  [8584] = 8584,
  [8585] = 8585,
  [8586] = 8586,
  [8587] = 8587,
  [8588] = 8588,
  [8589] = 8589,
  [8590] = 8590,
  [8591] = 8591,
  [8592] = 8592,
  [8593] = 8593,
  [8594] = 8594,
  [8595] = 8595,
  [8596] = 8596,
  [8597] = 8597,
  [8598] = 8598,
  [8599] = 8587,
  [8600] = 8600,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8603,
  [8604] = 8604,
  [8605] = 8605,
  [8606] = 8606,
  [8607] = 8607,
  [8608] = 8608,
  [8609] = 8609,
  [8610] = 8610,
  [8611] = 8611,
  [8612] = 8612,
  [8613] = 8613,
  [8614] = 8614,
  [8615] = 8615,
  [8616] = 8616,
  [8617] = 8617,
  [8618] = 8618,
  [8619] = 8619,
  [8620] = 8620,
  [8621] = 8621,
  [8622] = 8622,
  [8623] = 8623,
  [8624] = 8624,
  [8625] = 8625,
  [8626] = 8626,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8629,
  [8630] = 8630,
  [8631] = 8627,
  [8632] = 8632,
  [8633] = 8633,
  [8634] = 8634,
  [8635] = 8635,
  [8636] = 8636,
  [8637] = 8637,
  [8638] = 8637,
  [8639] = 8577,
  [8640] = 8640,
  [8641] = 8593,
  [8642] = 8642,
  [8643] = 8643,
  [8644] = 8628,
  [8645] = 8645,
  [8646] = 8646,
  [8647] = 8647,
  [8648] = 8648,
  [8649] = 8649,
  [8650] = 8650,
  [8651] = 8651,
  [8652] = 8652,
  [8653] = 8653,
  [8654] = 8654,
  [8655] = 8655,
  [8656] = 8656,
  [8657] = 8657,
  [8658] = 8658,
  [8659] = 8659,
  [8660] = 8660,
  [8661] = 8661,
  [8662] = 8662,
  [8663] = 8584,
  [8664] = 8613,
  [8665] = 8585,
  [8666] = 8617,
  [8667] = 8667,
  [8668] = 8618,
  [8669] = 8669,
  [8670] = 8589,
  [8671] = 8671,
  [8672] = 8672,
  [8673] = 8673,
  [8674] = 8590,
  [8675] = 8591,
  [8676] = 8592,
  [8677] = 8677,
  [8678] = 8678,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8681,
  [8682] = 8679,
  [8683] = 8595,
  [8684] = 8678,
  [8685] = 8681,
  [8686] = 8680,
  [8687] = 8667,
  [8688] = 8688,
  [8689] = 8689,
  [8690] = 8690,
  [8691] = 8691,
  [8692] = 8661,
  [8693] = 8693,
  [8694] = 8602,
  [8695] = 8677,
  [8696] = 8647,
  [8697] = 8671,
  [8698] = 8659,
  [8699] = 8609,
  [8700] = 8618,
  [8701] = 8610,
  [8702] = 8617,
  [8703] = 8613,
  [8704] = 8652,
  [8705] = 8705,
  [8706] = 8651,
  [8707] = 8707,
  [8708] = 8662,
  [8709] = 8660,
  [8710] = 8627,
  [8711] = 8628,
  [8712] = 8658,
  [8713] = 8650,
  [8714] = 8714,
  [8715] = 8649,
  [8716] = 8606,
  [8717] = 8646,
  [8718] = 8648,
  [8719] = 8640,
  [8720] = 8637,
  [8721] = 8635,
  [8722] = 8632,
  [8723] = 8629,
  [8724] = 8626,
  [8725] = 8656,
  [8726] = 8655,
  [8727] = 8645,
  [8728] = 8625,
  [8729] = 8623,
  [8730] = 8622,
  [8731] = 8621,
  [8732] = 8732,
  [8733] = 8620,
  [8734] = 8734,
  [8735] = 8735,
  [8736] = 8654,
  [8737] = 8671,
  [8738] = 8653,
  [8739] = 8739,
  [8740] = 8740,
  [8741] = 8643,
  [8742] = 8742,
  [8743] = 8642,
  [8744] = 8585,
  [8745] = 8591,
  [8746] = 8590,
  [8747] = 8747,
  [8748] = 8748,
  [8749] = 8749,
  [8750] = 8750,
  [8751] = 8751,
  [8752] = 8590,
  [8753] = 8591,
  [8754] = 8592,
  [8755] = 8634,
  [8756] = 8756,
  [8757] = 8757,
  [8758] = 8579,
  [8759] = 8759,
  [8760] = 8760,
  [8761] = 8595,
  [8762] = 8594,
  [8763] = 8616,
  [8764] = 8597,
  [8765] = 8765,
  [8766] = 8580,
  [8767] = 8615,
  [8768] = 8614,
  [8769] = 8602,
  [8770] = 8770,
  [8771] = 8771,
  [8772] = 8609,
  [8773] = 8581,
  [8774] = 8610,
  [8775] = 8775,
  [8776] = 8627,
  [8777] = 8608,
  [8778] = 8662,
  [8779] = 8779,
  [8780] = 8780,
  [8781] = 8637,
  [8782] = 8782,
  [8783] = 8612,
  [8784] = 8677,
  [8785] = 8785,
  [8786] = 8582,
  [8787] = 8645,
  [8788] = 8611,
  [8789] = 8583,
  [8790] = 8602,
  [8791] = 8791,
  [8792] = 8607,
  [8793] = 8584,
  [8794] = 8636,
  [8795] = 8605,
  [8796] = 8577,
  [8797] = 8797,
  [8798] = 8798,
  [8799] = 8601,
  [8800] = 8585,
  [8801] = 8801,
  [8802] = 8802,
  [8803] = 8587,
  [8804] = 8600,
  [8805] = 8598,
  [8806] = 8806,
  [8807] = 8592,
  [8808] = 8808,
  [8809] = 8809,
  [8810] = 8810,
  [8811] = 8597,
  [8812] = 8593,
  [8813] = 8595,
  [8814] = 8594,
  [8815] = 8815,
  [8816] = 8593,
  [8817] = 8680,
  [8818] = 8594,
  [8819] = 8597,
  [8820] = 8604,
  [8821] = 8602,
  [8822] = 8587,
  [8823] = 8584,
  [8824] = 8609,
  [8825] = 8583,
  [8826] = 8610,
  [8827] = 8598,
  [8828] = 8627,
  [8829] = 8582,
  [8830] = 8581,
  [8831] = 8610,
  [8832] = 8600,
  [8833] = 8609,
  [8834] = 8601,
  [8835] = 8580,
  [8836] = 8579,
  [8837] = 8660,
  [8838] = 8603,
  [8839] = 8604,
  [8840] = 8605,
  [8841] = 8841,
  [8842] = 8636,
  [8843] = 8585,
  [8844] = 8607,
  [8845] = 8845,
  [8846] = 8642,
  [8847] = 8643,
  [8848] = 8611,
  [8849] = 8592,
  [8850] = 8602,
  [8851] = 8653,
  [8852] = 8619,
  [8853] = 8612,
  [8854] = 6297,
  [8855] = 8595,
  [8856] = 8658,
  [8857] = 8654,
  [8858] = 8678,
  [8859] = 8655,
  [8860] = 8656,
  [8861] = 8679,
  [8862] = 8648,
  [8863] = 8602,
  [8864] = 8614,
  [8865] = 8615,
  [8866] = 8609,
  [8867] = 8658,
  [8868] = 8610,
  [8869] = 8660,
  [8870] = 8627,
  [8871] = 8662,
  [8872] = 8613,
  [8873] = 8617,
  [8874] = 8616,
  [8875] = 8671,
  [8876] = 8681,
  [8877] = 8677,
  [8878] = 8878,
  [8879] = 8595,
  [8880] = 8680,
  [8881] = 8881,
  [8882] = 8678,
  [8883] = 8592,
  [8884] = 8884,
  [8885] = 8585,
  [8886] = 8591,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 8889,
  [8890] = 8598,
  [8891] = 8592,
  [8892] = 8892,
  [8893] = 8590,
  [8894] = 8894,
  [8895] = 8895,
  [8896] = 8896,
  [8897] = 8595,
  [8898] = 8600,
  [8899] = 8679,
  [8900] = 8681,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8903,
  [8904] = 8602,
  [8905] = 8680,
  [8906] = 8600,
  [8907] = 8609,
  [8908] = 8589,
  [8909] = 8610,
  [8910] = 8910,
  [8911] = 8627,
  [8912] = 8667,
  [8913] = 8659,
  [8914] = 8584,
  [8915] = 8915,
  [8916] = 8652,
  [8917] = 8620,
  [8918] = 8640,
  [8919] = 8577,
  [8920] = 8623,
  [8921] = 8621,
  [8922] = 8622,
  [8923] = 8620,
  [8924] = 8585,
  [8925] = 8585,
  [8926] = 8623,
  [8927] = 8625,
  [8928] = 8626,
  [8929] = 8629,
  [8930] = 6265,
  [8931] = 8632,
  [8932] = 8635,
  [8933] = 8583,
  [8934] = 8595,
  [8935] = 8585,
  [8936] = 8577,
  [8937] = 8640,
  [8938] = 8616,
  [8939] = 8615,
  [8940] = 8646,
  [8941] = 8606,
  [8942] = 8609,
  [8943] = 8649,
  [8944] = 8610,
  [8945] = 8614,
  [8946] = 8611,
  [8947] = 8650,
  [8948] = 8915,
  [8949] = 8651,
  [8950] = 8585,
  [8951] = 8652,
  [8952] = 8607,
  [8953] = 8636,
  [8954] = 8595,
  [8955] = 8605,
  [8956] = 8659,
  [8957] = 8610,
  [8958] = 8604,
  [8959] = 8647,
  [8960] = 8601,
  [8961] = 8661,
  [8962] = 8585,
  [8963] = 8656,
  [8964] = 8598,
  [8965] = 8595,
  [8966] = 8667,
  [8967] = 8610,
  [8968] = 8910,
  [8969] = 8648,
  [8970] = 8597,
  [8971] = 8585,
  [8972] = 8595,
  [8973] = 8610,
  [8974] = 8594,
  [8975] = 8595,
  [8976] = 8610,
  [8977] = 8593,
  [8978] = 8595,
  [8979] = 8610,
  [8980] = 8595,
  [8981] = 8610,
  [8982] = 8595,
  [8983] = 8610,
  [8984] = 8595,
  [8985] = 8610,
  [8986] = 8595,
  [8987] = 8610,
  [8988] = 8595,
  [8989] = 8610,
  [8990] = 8587,
  [8991] = 8645,
  [8992] = 8656,
  [8993] = 8993,
  [8994] = 8583,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8581,
  [8998] = 8613,
  [8999] = 8999,
  [9000] = 8681,
  [9001] = 9001,
  [9002] = 9002,
  [9003] = 8679,
  [9004] = 9004,
  [9005] = 8678,
  [9006] = 8637,
  [9007] = 8607,
  [9008] = 8601,
  [9009] = 8655,
  [9010] = 8580,
  [9011] = 8579,
  [9012] = 8628,
  [9013] = 8627,
  [9014] = 8642,
  [9015] = 8643,
  [9016] = 8653,
  [9017] = 8654,
  [9018] = 8775,
  [9019] = 8677,
  [9020] = 8750,
  [9021] = 9021,
  [9022] = 8671,
  [9023] = 8582,
  [9024] = 8655,
  [9025] = 8596,
  [9026] = 8586,
  [9027] = 8680,
  [9028] = 8618,
  [9029] = 8617,
  [9030] = 8584,
  [9031] = 8634,
  [9032] = 8604,
  [9033] = 8620,
  [9034] = 8648,
  [9035] = 8658,
  [9036] = 8595,
  [9037] = 8613,
  [9038] = 8617,
  [9039] = 8662,
  [9040] = 9040,
  [9041] = 8642,
  [9042] = 9042,
  [9043] = 8577,
  [9044] = 8660,
  [9045] = 8841,
  [9046] = 8658,
  [9047] = 8680,
  [9048] = 8671,
  [9049] = 8648,
  [9050] = 8677,
  [9051] = 9051,
  [9052] = 8656,
  [9053] = 8655,
  [9054] = 8679,
  [9055] = 8681,
  [9056] = 8680,
  [9057] = 8577,
  [9058] = 8878,
  [9059] = 8654,
  [9060] = 8680,
  [9061] = 8653,
  [9062] = 8659,
  [9063] = 9063,
  [9064] = 8645,
  [9065] = 8652,
  [9066] = 8643,
  [9067] = 8642,
  [9068] = 8591,
  [9069] = 8590,
  [9070] = 8640,
  [9071] = 8577,
  [9072] = 8623,
  [9073] = 8577,
  [9074] = 8579,
  [9075] = 8680,
  [9076] = 9076,
  [9077] = 8580,
  [9078] = 9078,
  [9079] = 8611,
  [9080] = 8607,
  [9081] = 9081,
  [9082] = 8636,
  [9083] = 8605,
  [9084] = 8581,
  [9085] = 8577,
  [9086] = 8680,
  [9087] = 8604,
  [9088] = 8601,
  [9089] = 8667,
  [9090] = 9090,
  [9091] = 6247,
  [9092] = 8598,
  [9093] = 8593,
  [9094] = 9094,
  [9095] = 8587,
  [9096] = 8577,
  [9097] = 8680,
  [9098] = 8583,
  [9099] = 8582,
  [9100] = 8581,
  [9101] = 8583,
  [9102] = 9102,
  [9103] = 8584,
  [9104] = 8580,
  [9105] = 8579,
  [9106] = 8577,
  [9107] = 8680,
  [9108] = 8642,
  [9109] = 8643,
  [9110] = 8587,
  [9111] = 8653,
  [9112] = 8654,
  [9113] = 8654,
  [9114] = 8593,
  [9115] = 9115,
  [9116] = 9116,
  [9117] = 8594,
  [9118] = 8597,
  [9119] = 9119,
  [9120] = 8655,
  [9121] = 8656,
  [9122] = 8648,
  [9123] = 8598,
  [9124] = 8600,
  [9125] = 9125,
  [9126] = 8658,
  [9127] = 9127,
  [9128] = 8601,
  [9129] = 9129,
  [9130] = 8603,
  [9131] = 8604,
  [9132] = 8605,
  [9133] = 8636,
  [9134] = 8607,
  [9135] = 8608,
  [9136] = 8661,
  [9137] = 8577,
  [9138] = 8611,
  [9139] = 8680,
  [9140] = 8613,
  [9141] = 8648,
  [9142] = 8653,
  [9143] = 8613,
  [9144] = 8612,
  [9145] = 8617,
  [9146] = 8642,
  [9147] = 8603,
  [9148] = 8647,
  [9149] = 8642,
  [9150] = 8636,
  [9151] = 8605,
  [9152] = 8614,
  [9153] = 8615,
  [9154] = 9154,
  [9155] = 8616,
  [9156] = 8579,
  [9157] = 8581,
  [9158] = 8581,
  [9159] = 8680,
  [9160] = 8679,
  [9161] = 8681,
  [9162] = 8580,
  [9163] = 9163,
  [9164] = 9164,
  [9165] = 9165,
  [9166] = 8659,
  [9167] = 9063,
  [9168] = 9168,
  [9169] = 9169,
  [9170] = 8607,
  [9171] = 8993,
  [9172] = 8996,
  [9173] = 8999,
  [9174] = 8659,
  [9175] = 9001,
  [9176] = 8607,
  [9177] = 8607,
  [9178] = 8608,
  [9179] = 9081,
  [9180] = 8775,
  [9181] = 8652,
  [9182] = 8750,
  [9183] = 8640,
  [9184] = 8577,
  [9185] = 8623,
  [9186] = 8596,
  [9187] = 8586,
  [9188] = 8584,
  [9189] = 8620,
  [9190] = 8642,
  [9191] = 9042,
  [9192] = 8577,
  [9193] = 8652,
  [9194] = 8652,
  [9195] = 8878,
  [9196] = 9063,
  [9197] = 8609,
  [9198] = 8610,
  [9199] = 8993,
  [9200] = 8999,
  [9201] = 8680,
  [9202] = 9001,
  [9203] = 8679,
  [9204] = 9204,
  [9205] = 8775,
  [9206] = 8613,
  [9207] = 8750,
  [9208] = 8611,
  [9209] = 8611,
  [9210] = 8596,
  [9211] = 8586,
  [9212] = 8648,
  [9213] = 9042,
  [9214] = 9214,
  [9215] = 8607,
  [9216] = 8653,
  [9217] = 8878,
  [9218] = 9063,
  [9219] = 8636,
  [9220] = 8605,
  [9221] = 8993,
  [9222] = 8999,
  [9223] = 8642,
  [9224] = 9001,
  [9225] = 8604,
  [9226] = 8579,
  [9227] = 8775,
  [9228] = 6322,
  [9229] = 8750,
  [9230] = 8677,
  [9231] = 8581,
  [9232] = 8596,
  [9233] = 8586,
  [9234] = 9042,
  [9235] = 8587,
  [9236] = 8580,
  [9237] = 9237,
  [9238] = 8878,
  [9239] = 9063,
  [9240] = 9240,
  [9241] = 8993,
  [9242] = 8999,
  [9243] = 8606,
  [9244] = 9001,
  [9245] = 9245,
  [9246] = 8583,
  [9247] = 8775,
  [9248] = 8750,
  [9249] = 9249,
  [9250] = 9250,
  [9251] = 8596,
  [9252] = 8586,
  [9253] = 9042,
  [9254] = 9254,
  [9255] = 9255,
  [9256] = 9256,
  [9257] = 8878,
  [9258] = 9063,
  [9259] = 9259,
  [9260] = 8993,
  [9261] = 8999,
  [9262] = 9262,
  [9263] = 9001,
  [9264] = 9264,
  [9265] = 9265,
  [9266] = 8750,
  [9267] = 8651,
  [9268] = 8581,
  [9269] = 8596,
  [9270] = 8586,
  [9271] = 9042,
  [9272] = 8650,
  [9273] = 8649,
  [9274] = 9274,
  [9275] = 8878,
  [9276] = 9063,
  [9277] = 8646,
  [9278] = 8993,
  [9279] = 8999,
  [9280] = 8604,
  [9281] = 9001,
  [9282] = 8612,
  [9283] = 8605,
  [9284] = 8750,
  [9285] = 8636,
  [9286] = 8607,
  [9287] = 8596,
  [9288] = 8586,
  [9289] = 9042,
  [9290] = 9290,
  [9291] = 9291,
  [9292] = 9292,
  [9293] = 8878,
  [9294] = 9063,
  [9295] = 9295,
  [9296] = 8993,
  [9297] = 9297,
  [9298] = 9001,
  [9299] = 9299,
  [9300] = 9300,
  [9301] = 9301,
  [9302] = 9302,
  [9303] = 8596,
  [9304] = 8586,
  [9305] = 9305,
  [9306] = 8653,
  [9307] = 8579,
  [9308] = 8878,
  [9309] = 8642,
  [9310] = 8993,
  [9311] = 9001,
  [9312] = 8640,
  [9313] = 8586,
  [9314] = 8577,
  [9315] = 8643,
  [9316] = 8878,
  [9317] = 9317,
  [9318] = 8993,
  [9319] = 9001,
  [9320] = 8653,
  [9321] = 8586,
  [9322] = 9322,
  [9323] = 8878,
  [9324] = 8993,
  [9325] = 9001,
  [9326] = 8586,
  [9327] = 8878,
  [9328] = 8586,
  [9329] = 8878,
  [9330] = 8586,
  [9331] = 8878,
  [9332] = 8586,
  [9333] = 8878,
  [9334] = 8586,
  [9335] = 8878,
  [9336] = 8586,
  [9337] = 8878,
  [9338] = 8586,
  [9339] = 8878,
  [9340] = 8586,
  [9341] = 8878,
  [9342] = 8654,
  [9343] = 9343,
  [9344] = 8996,
  [9345] = 9345,
  [9346] = 9346,
  [9347] = 8655,
  [9348] = 9348,
  [9349] = 9349,
  [9350] = 9350,
  [9351] = 9351,
  [9352] = 8656,
  [9353] = 9353,
  [9354] = 9354,
  [9355] = 8635,
  [9356] = 9356,
  [9357] = 8577,
  [9358] = 8652,
  [9359] = 8653,
  [9360] = 8680,
  [9361] = 9040,
  [9362] = 9102,
  [9363] = 8679,
  [9364] = 8632,
  [9365] = 8629,
  [9366] = 8613,
  [9367] = 8626,
  [9368] = 8625,
  [9369] = 8658,
  [9370] = 8648,
  [9371] = 8640,
  [9372] = 8613,
  [9373] = 9373,
  [9374] = 9374,
  [9375] = 8645,
  [9376] = 8617,
  [9377] = 8642,
  [9378] = 9378,
  [9379] = 9379,
  [9380] = 8579,
  [9381] = 8677,
  [9382] = 9346,
  [9383] = 9345,
  [9384] = 8623,
  [9385] = 8607,
  [9386] = 8579,
  [9387] = 9387,
  [9388] = 8581,
  [9389] = 8679,
  [9390] = 8681,
  [9391] = 9391,
  [9392] = 9002,
  [9393] = 9001,
  [9394] = 9394,
  [9395] = 9395,
  [9396] = 8680,
  [9397] = 9397,
  [9398] = 9398,
  [9399] = 9399,
  [9400] = 9400,
  [9401] = 8999,
  [9402] = 8637,
  [9403] = 8614,
  [9404] = 8615,
  [9405] = 8996,
  [9406] = 8634,
  [9407] = 8616,
  [9408] = 8659,
  [9409] = 9409,
  [9410] = 8652,
  [9411] = 9411,
  [9412] = 8589,
  [9413] = 8622,
  [9414] = 8621,
  [9415] = 8583,
  [9416] = 8577,
  [9417] = 8623,
  [9418] = 8604,
  [9419] = 9419,
  [9420] = 8605,
  [9421] = 8636,
  [9422] = 8996,
  [9423] = 9345,
  [9424] = 9346,
  [9425] = 8607,
  [9426] = 8995,
  [9427] = 8620,
  [9428] = 9040,
  [9429] = 9102,
  [9430] = 7403,
  [9431] = 8620,
  [9432] = 9042,
  [9433] = 8996,
  [9434] = 9345,
  [9435] = 9346,
  [9436] = 8643,
  [9437] = 9437,
  [9438] = 9040,
  [9439] = 9102,
  [9440] = 9440,
  [9441] = 9441,
  [9442] = 8642,
  [9443] = 8996,
  [9444] = 9345,
  [9445] = 9346,
  [9446] = 8648,
  [9447] = 9447,
  [9448] = 9040,
  [9449] = 9102,
  [9450] = 8591,
  [9451] = 9451,
  [9452] = 8993,
  [9453] = 9345,
  [9454] = 9346,
  [9455] = 9455,
  [9456] = 9456,
  [9457] = 9040,
  [9458] = 9102,
  [9459] = 8590,
  [9460] = 9460,
  [9461] = 9345,
  [9462] = 9346,
  [9463] = 9463,
  [9464] = 9464,
  [9465] = 9040,
  [9466] = 9102,
  [9467] = 8611,
  [9468] = 9468,
  [9469] = 9345,
  [9470] = 9346,
  [9471] = 8607,
  [9472] = 8620,
  [9473] = 9040,
  [9474] = 9102,
  [9475] = 8623,
  [9476] = 8577,
  [9477] = 9345,
  [9478] = 9346,
  [9479] = 8640,
  [9480] = 9040,
  [9481] = 9102,
  [9482] = 2053,
  [9483] = 8652,
  [9484] = 9040,
  [9485] = 9102,
  [9486] = 2054,
  [9487] = 8636,
  [9488] = 9102,
  [9489] = 8605,
  [9490] = 9102,
  [9491] = 8604,
  [9492] = 9102,
  [9493] = 8680,
  [9494] = 9102,
  [9495] = 9040,
  [9496] = 9102,
  [9497] = 8681,
  [9498] = 9102,
  [9499] = 8679,
  [9500] = 9102,
  [9501] = 8617,
  [9502] = 9102,
  [9503] = 8613,
  [9504] = 9102,
  [9505] = 9400,
  [9506] = 8588,
  [9507] = 9259,
  [9508] = 9400,
  [9509] = 8588,
  [9510] = 8587,
  [9511] = 9400,
  [9512] = 8588,
  [9513] = 8658,
  [9514] = 9400,
  [9515] = 8588,
  [9516] = 8592,
  [9517] = 9400,
  [9518] = 8588,
  [9519] = 8648,
  [9520] = 9400,
  [9521] = 8588,
  [9522] = 8656,
  [9523] = 9400,
  [9524] = 8588,
  [9525] = 8655,
  [9526] = 8588,
  [9527] = 8588,
  [9528] = 8588,
  [9529] = 8588,
  [9530] = 8588,
  [9531] = 8588,
  [9532] = 8588,
  [9533] = 8588,
  [9534] = 8588,
  [9535] = 8588,
  [9536] = 8588,
  [9537] = 8654,
  [9538] = 8653,
  [9539] = 8642,
  [9540] = 8579,
  [9541] = 8628,
  [9542] = 8581,
  [9543] = 8627,
  [9544] = 9399,
  [9545] = 9399,
  [9546] = 9399,
  [9547] = 9399,
  [9548] = 9399,
  [9549] = 9399,
  [9550] = 9399,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43312
    ? (c < 3804
      ? (c < 2579
        ? (c < 1646
          ? (c < 710
            ? (c < 'j'
              ? (c < 'V'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'K' || (c < 'S'
                    ? (c >= 'M' && c <= 'Q')
                    : c <= 'S')))
                : (c <= 'Z' || (c < 'e'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'a')
                  : (c <= 'e' || (c >= 'g' && c <= 'h')))))
              : (c <= 'l' || (c < 181
                ? (c < 'w'
                  ? (c < 'q'
                    ? c == 'o'
                    : c <= 'r')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))))
            : (c <= 721 || (c < 910
              ? (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))
              : (c <= 929 || (c < 1369
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))))))
          : (c <= 1647 || (c < 2185
            ? (c < 1994
              ? (c < 1791
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))
              : (c <= 2026 || (c < 2084
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))))
            : (c <= 2190 || (c < 2482
              ? (c < 2417
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || (c < 2392
                    ? c == 2384
                    : c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))
              : (c <= 2482 || (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))))))))
        : (c <= 2600 || (c < 3114
          ? (c < 2858
            ? (c < 2730
              ? (c < 2654
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))
              : (c <= 2736 || (c < 2784
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))))
            : (c <= 2864 || (c < 2969
              ? (c < 2929
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))
              : (c <= 2970 || (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))))))
          : (c <= 3129 || (c < 3423
            ? (c < 3261
              ? (c < 3205
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))
              : (c <= 3261 || (c < 3342
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))))
            : (c <= 3425 || (c < 3713
              ? (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))
              : (c <= 3714 || (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3807 || (c < 8027
        ? (c < 5888
          ? (c < 4696
            ? (c < 4206
              ? (c < 4159
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))
              : (c <= 4208 || (c < 4301
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))))
            : (c <= 4696 || (c < 4882
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))
              : (c <= 4885 || (c < 5121
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5905 || (c < 6981
            ? (c < 6320
              ? (c < 6103
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))
              : (c <= 6389 || (c < 6576
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))))))
            : (c <= 6988 || (c < 7406
              ? (c < 7258
                ? (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))
              : (c <= 7411 || (c < 7960
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))))))))))
        : (c <= 8027 || (c < 11712
          ? (c < 8484
            ? (c < 8178
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))
              : (c <= 8180 || (c < 8450
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))
                : (c <= 8450 || (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))))))
            : (c <= 8484 || (c < 11520
              ? (c < 8526
                ? (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))
              : (c <= 11557 || (c < 11648
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))))))))
          : (c <= 11718 || (c < 42538
            ? (c < 12540
              ? (c < 12337
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))
              : (c <= 12543 || (c < 13312
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))))))
            : (c <= 42539 || (c < 42994
              ? (c < 42786
                ? (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))))
              : (c <= 43009 || (c < 43138
                ? (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))
                : (c <= 43187 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))))))))))))))
    : (c <= 43334 || (c < 70480
      ? (c < 66816
        ? (c < 64323
          ? (c < 43777
            ? (c < 43642
              ? (c < 43514
                ? (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))
              : (c <= 43642 || (c < 43712
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))))))
            : (c <= 43782 || (c < 63744
              ? (c < 43868
                ? (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))
              : (c <= 64109 || (c < 64287
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))
                : (c <= 64296 || (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))))))))
          : (c <= 64324 || (c < 65498
            ? (c < 65147
              ? (c < 65008
                ? (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))
              : (c <= 65147 || (c < 65382
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65437 || (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))))
            : (c <= 65500 || (c < 66304
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))
              : (c <= 66335 || (c < 66504
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))
                : (c <= 66511 || (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))))))))))
        : (c <= 66855 || (c < 68608
          ? (c < 67647
            ? (c < 67392
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))
              : (c <= 67413 || (c < 67584
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))
                : (c <= 67589 || (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))))))
            : (c <= 67669 || (c < 68117
              ? (c < 67872
                ? (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))
              : (c <= 68119 || (c < 68297
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c >= 68288 && c <= 68295)))
                : (c <= 68324 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c >= 68480 && c <= 68497)))))))))
          : (c <= 68680 || (c < 70006
            ? (c < 69600
              ? (c < 69376
                ? (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68899 || (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))
              : (c <= 69622 || (c < 69840
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))
                : (c <= 69864 || (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))))))
            : (c <= 70006 || (c < 70287
              ? (c < 70144
                ? (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))
                : (c <= 70161 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))
              : (c <= 70301 || (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))))))))))
      : (c <= 70480 || (c < 119808
        ? (c < 72971
          ? (c < 71957
            ? (c < 71236
              ? (c < 70852
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))
              : (c <= 71236 || (c < 71680
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))))
            : (c <= 71958 || (c < 72272
              ? (c < 72161
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))
              : (c <= 72272 || (c < 72714
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c >= 72704 && c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))))))
          : (c <= 73008 || (c < 93053
            ? (c < 77712
              ? (c < 73440
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)))
                : (c <= 73458 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c >= 74880 && c <= 75075)))))
              : (c <= 77808 || (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c >= 92736 && c <= 92766)))
                : (c <= 92862 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92975)
                  : (c <= 92995 || (c >= 93027 && c <= 93047)))))))
            : (c <= 93071 || (c < 110581
              ? (c < 94179
                ? (c < 94032
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94032 || (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43396
    ? (c < 3913
      ? (c < 2613
        ? (c < 1765
          ? (c < 750
            ? (c < 'w'
              ? (c < 'g'
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 'e'
                    ? c == 'a'
                    : c <= 'e')))
                : (c <= 'h' || (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || c == 't'))))
              : (c <= 'z' || (c < 216
                ? (c < 186
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 186 || (c >= 192 && c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))))
            : (c <= 750 || (c < 1162
              ? (c < 904
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 902)))
                : (c <= 906 || (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))))
              : (c <= 1327 || (c < 1519
                ? (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c >= 1488 && c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))))))
          : (c <= 1766 || (c < 2365
            ? (c < 2048
              ? (c < 1869
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1810
                    ? c == 1808
                    : c <= 1839)))
                : (c <= 1957 || (c < 2036
                  ? (c < 1994
                    ? c == 1969
                    : c <= 2026)
                  : (c <= 2037 || c == 2042))))
              : (c <= 2069 || (c < 2144
                ? (c < 2088
                  ? (c < 2084
                    ? c == 2074
                    : c <= 2084)
                  : (c <= 2088 || (c >= 2112 && c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))))
            : (c <= 2365 || (c < 2510
              ? (c < 2451
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))
                : (c <= 2472 || (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || c == 2493))))
              : (c <= 2510 || (c < 2565
                ? (c < 2544
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)
                  : (c <= 2545 || c == 2556))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))))))))
        : (c <= 2614 || (c < 3165
          ? (c < 2877
            ? (c < 2749
              ? (c < 2703
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))))
              : (c <= 2749 || (c < 2831
                ? (c < 2809
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))))
            : (c <= 2877 || (c < 2979
              ? (c < 2958
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : c <= 2954)))
                : (c <= 2960 || (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))))
              : (c <= 2980 || (c < 3086
                ? (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))))))
          : (c <= 3165 || (c < 3482
            ? (c < 3313
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c >= 3296 && c <= 3297)))))
              : (c <= 3314 || (c < 3406
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))))
            : (c <= 3505 || (c < 3724
              ? (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))
              : (c <= 3747 || (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))))))))))
      : (c <= 3948 || (c < 8031
        ? (c < 5984
          ? (c < 4746
            ? (c < 4256
              ? (c < 4193
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)))
                : (c <= 4193 || (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || c == 4238))))
              : (c <= 4293 || (c < 4682
                ? (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))))
            : (c <= 4749 || (c < 5024
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))))
              : (c <= 5109 || (c < 5792
                ? (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))))))
          : (c <= 5996 || (c < 7098
            ? (c < 6512
              ? (c < 6272
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || (c < 6176
                    ? c == 6108
                    : c <= 6264)))
                : (c <= 6312 || (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c >= 6480 && c <= 6509)))))
              : (c <= 6516 || (c < 6823
                ? (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))))
            : (c <= 7141 || (c < 7418
              ? (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))
              : (c <= 7418 || (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))))))))
        : (c <= 8061 || (c < 11728
          ? (c < 8488
            ? (c < 8305
              ? (c < 8144
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))
                : (c <= 8147 || (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))))
              : (c <= 8305 || (c < 8458
                ? (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))))
            : (c <= 8488 || (c < 11565
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))))
              : (c <= 11565 || (c < 11688
                ? (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))))))
          : (c <= 11734 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70493
      ? (c < 66864
        ? (c < 64467
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64256
              ? (c < 44032
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)))
                : (c <= 55203 || (c < 63744
                  ? (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))))
              : (c <= 64262 || (c < 64312
                ? (c < 64287
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64285)
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))))))
          : (c <= 64605 || (c < 65549
            ? (c < 65151
              ? (c < 65139
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)))
                : (c <= 65139 || (c < 65147
                  ? (c < 65145
                    ? c == 65143
                    : c <= 65145)
                  : (c <= 65147 || c == 65149))))
              : (c <= 65276 || (c < 65474
                ? (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65437 || (c >= 65440 && c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))))
            : (c <= 65574 || (c < 66349
              ? (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'Q' || (c < 'V'
                    ? (c >= 'S' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_7(int32_t c) {
  return (c < 43360
    ? (c < 3840
      ? (c < 2602
        ? (c < 1649
          ? (c < 736
            ? (c < 'q'
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'a' || (c < 'j'
                  ? (c < 'g'
                    ? c == 'e'
                    : c <= 'h')
                  : (c <= 'l' || c == 'o'))))
              : (c <= 'r' || (c < 186
                ? (c < 170
                  ? (c < 'w'
                    ? c == 't'
                    : c <= 'z')
                  : (c <= 170 || c == 181))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))))
            : (c <= 740 || (c < 931
              ? (c < 895
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))
              : (c <= 1013 || (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))))))
          : (c <= 1747 || (c < 2208
            ? (c < 2036
              ? (c < 1808
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : c <= 1791)))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))
              : (c <= 2037 || (c < 2088
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))))
            : (c <= 2249 || (c < 2486
              ? (c < 2437
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c < 2417
                    ? (c >= 2392 && c <= 2401)
                    : c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))
              : (c <= 2489 || (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))))))))
        : (c <= 2608 || (c < 3133
          ? (c < 2866
            ? (c < 2738
              ? (c < 2674
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))
              : (c <= 2739 || (c < 2809
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))))
            : (c <= 2867 || (c < 2972
              ? (c < 2947
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))
              : (c <= 2972 || (c < 3024
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))))))
          : (c <= 3133 || (c < 3450
            ? (c < 3293
              ? (c < 3214
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || (c < 3205
                    ? c == 3200
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))
              : (c <= 3294 || (c < 3346
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))))
            : (c <= 3455 || (c < 3716
              ? (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))
              : (c <= 3716 || (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))))))))))
      : (c <= 3840 || (c < 8029
        ? (c < 5919
          ? (c < 4698
            ? (c < 4213
              ? (c < 4176
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))
              : (c <= 4225 || (c < 4304
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))))
            : (c <= 4701 || (c < 4888
              ? (c < 4800
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))
              : (c <= 4954 || (c < 5743
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))))))
          : (c <= 5937 || (c < 7043
            ? (c < 6400
              ? (c < 6108
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))
              : (c <= 6430 || (c < 6656
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))))
            : (c <= 7072 || (c < 7413
              ? (c < 7296
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))
              : (c <= 7414 || (c < 7968
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11720
          ? (c < 8486
            ? (c < 8182
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))
              : (c <= 8188 || (c < 8455
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))))
            : (c <= 8486 || (c < 11559
              ? (c < 8544
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))
              : (c <= 11559 || (c < 11680
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))))))
          : (c <= 11726 || (c < 42560
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))
              : (c <= 12591 || (c < 19968
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))))
            : (c <= 42606 || (c < 43011
              ? (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))
              : (c <= 43013 || (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))))))))))))
    : (c <= 43388 || (c < 70493
      ? (c < 66864
        ? (c < 64326
          ? (c < 43785
            ? (c < 43646
              ? (c < 43520
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))
              : (c <= 43695 || (c < 43714
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))))
            : (c <= 43790 || (c < 64112
              ? (c < 43888
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65536
            ? (c < 65149
              ? (c < 65137
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))
              : (c <= 65149 || (c < 65440
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))))
            : (c <= 65547 || (c < 66349
              ? (c < 65664
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_8(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < 'a'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'S' || (c < '_'
                    ? (c >= 'U' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'e' || (c < 170
                  ? (c < 'u'
                    ? (c >= 'g' && c <= 's')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_9(int32_t c) {
  return (c < 43520
    ? (c < 3724
      ? (c < 2703
        ? (c < 1791
          ? (c < 895
            ? (c < 183
              ? (c < 'A'
                ? (c < '4'
                  ? (c < '0'
                    ? c == '$'
                    : (c <= '0' || c == '2'))
                  : (c <= '5' || (c < '9'
                    ? c == '7'
                    : c <= '9')))
                : (c <= 'Z' || (c < 'q'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'o')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))))
              : (c <= 183 || (c < 736
                ? (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))
                : (c <= 740 || (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))))))
            : (c <= 895 || (c < 1471
              ? (c < 1155
                ? (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))
                : (c <= 1159 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))))
              : (c <= 1471 || (c < 1552
                ? (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))
                : (c <= 1562 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))))))))
          : (c <= 1791 || (c < 2519
            ? (c < 2275
              ? (c < 2048
                ? (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))
                : (c <= 2093 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))))
              : (c <= 2403 || (c < 2474
                ? (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))
                : (c <= 2480 || (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))))))
            : (c <= 2519 || (c < 2613
              ? (c < 2561
                ? (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))
                : (c <= 2563 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))))
              : (c <= 2614 || (c < 2641
                ? (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))
                : (c <= 2641 || (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))))))))))
        : (c <= 2705 || (c < 3142
          ? (c < 2911
            ? (c < 2817
              ? (c < 2759
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))
                : (c <= 2761 || (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))))
              : (c <= 2819 || (c < 2869
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))
                : (c <= 2873 || (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))))))
            : (c <= 2915 || (c < 2990
              ? (c < 2962
                ? (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))
                : (c <= 2965 || (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))
              : (c <= 3001 || (c < 3046
                ? (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))
                : (c <= 3055 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))))))))
          : (c <= 3144 || (c < 3398
            ? (c < 3253
              ? (c < 3174
                ? (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))
                : (c <= 3183 || (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3296
                ? (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))
                : (c <= 3299 || (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))))))
            : (c <= 3400 || (c < 3530
              ? (c < 3457
                ? (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))
                : (c <= 3459 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))))
              : (c <= 3530 || (c < 3585
                ? (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))
                : (c <= 3642 || (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))))))))))))
      : (c <= 3747 || (c < 7960
        ? (c < 5743
          ? (c < 4301
            ? (c < 3895
              ? (c < 3792
                ? (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || (c < 3784
                    ? c == 3782
                    : c <= 3789)))
                : (c <= 3801 || (c < 3864
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3865 || (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)))))
              : (c <= 3895 || (c < 3993
                ? (c < 3913
                  ? (c < 3902
                    ? c == 3897
                    : c <= 3911)
                  : (c <= 3948 || (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)))
                : (c <= 4028 || (c < 4176
                  ? (c < 4096
                    ? c == 4038
                    : c <= 4169)
                  : (c <= 4253 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))))))
            : (c <= 4301 || (c < 4800
              ? (c < 4698
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))))
              : (c <= 4800 || (c < 4957
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)))
                : (c <= 4959 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))))))))
          : (c <= 5759 || (c < 6528
            ? (c < 6108
              ? (c < 5952
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)))
                : (c <= 5971 || (c < 6002
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6003 || (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)))))
              : (c <= 6109 || (c < 6320
                ? (c < 6159
                  ? (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)
                  : (c <= 6169 || (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6448
                  ? (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)
                  : (c <= 6459 || (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)))))))
            : (c <= 6571 || (c < 6992
              ? (c < 6783
                ? (c < 6656
                  ? (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)
                  : (c <= 6683 || (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)))
                : (c <= 6793 || (c < 6832
                  ? (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)
                  : (c <= 6845 || (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)))))
              : (c <= 7001 || (c < 7296
                ? (c < 7168
                  ? (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)
                  : (c <= 7223 || (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7376
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7378 || (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)))))))))))
        : (c <= 7965 || (c < 11688
          ? (c < 8417
            ? (c < 8134
              ? (c < 8029
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || (c < 8027
                    ? c == 8025
                    : c <= 8027)))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))))
              : (c <= 8140 || (c < 8255
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8256 || (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))))))
            : (c <= 8417 || (c < 8517
              ? (c < 8472
                ? (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))))
              : (c <= 8521 || (c < 11559
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))))))))
          : (c <= 11694 || (c < 42240
            ? (c < 12353
              ? (c < 11736
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))
                : (c <= 11742 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))))
              : (c <= 12438 || (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))))))
            : (c <= 42508 || (c < 43052
              ? (c < 42786
                ? (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))))
              : (c <= 43052 || (c < 43261
                ? (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))
                : (c <= 43309 || (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))))))))))))))
    : (c <= 43574 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : (c <= 43609 || (c >= 43616 && c <= 43638)))
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_10(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_11(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Q' || (c < '_'
                    ? (c >= 'S' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_12(int32_t c) {
  return (c < 43584
    ? (c < 3749
      ? (c < 2707
        ? (c < 1808
          ? (c < 902
            ? (c < 186
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'j'
                    ? (c >= 'a' && c <= 'h')
                    : c <= 'z')
                  : (c <= 170 || (c < 183
                    ? c == 181
                    : c <= 183)))))
              : (c <= 186 || (c < 748
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 768
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)))))))
            : (c <= 906 || (c < 1473
              ? (c < 1162
                ? (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)))
                : (c <= 1327 || (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)))))
              : (c <= 1474 || (c < 1568
                ? (c < 1488
                  ? (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)
                  : (c <= 1514 || (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)))
                : (c <= 1641 || (c < 1759
                  ? (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)
                  : (c <= 1768 || (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)))))))))
          : (c <= 1866 || (c < 2524
            ? (c < 2406
              ? (c < 2112
                ? (c < 2042
                  ? (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2048
                    ? c == 2045
                    : c <= 2093)))
                : (c <= 2139 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)))))
              : (c <= 2415 || (c < 2482
                ? (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)
                  : (c <= 2448 || (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)))
                : (c <= 2482 || (c < 2503
                  ? (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)
                  : (c <= 2504 || (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)))))))
            : (c <= 2525 || (c < 2616
              ? (c < 2565
                ? (c < 2556
                  ? (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)
                  : (c <= 2556 || (c < 2561
                    ? c == 2558
                    : c <= 2563)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)))))
              : (c <= 2617 || (c < 2649
                ? (c < 2631
                  ? (c < 2622
                    ? c == 2620
                    : c <= 2626)
                  : (c <= 2632 || (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)))
                : (c <= 2652 || (c < 2689
                  ? (c < 2662
                    ? c == 2654
                    : c <= 2677)
                  : (c <= 2691 || (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)))))))))))
        : (c <= 2728 || (c < 3146
          ? (c < 2918
            ? (c < 2821
              ? (c < 2763
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)))
                : (c <= 2765 || (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))))
              : (c <= 2828 || (c < 2876
                ? (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))
                : (c <= 2884 || (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))))))
            : (c <= 2927 || (c < 3006
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))
              : (c <= 3010 || (c < 3072
                ? (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))))))))
          : (c <= 3149 || (c < 3402
            ? (c < 3260
              ? (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))
                : (c <= 3203 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3268 || (c < 3302
                ? (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))
                : (c <= 3311 || (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))))))
            : (c <= 3406 || (c < 3535
              ? (c < 3461
                ? (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))))
              : (c <= 3540 || (c < 3648
                ? (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))
                : (c <= 3662 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))))))))))))
      : (c <= 3749 || (c < 7968
        ? (c < 5761
          ? (c < 4304
            ? (c < 3897
              ? (c < 3804
                ? (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)))
                : (c <= 3807 || (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))))
              : (c <= 3897 || (c < 4038
                ? (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))
                : (c <= 4038 || (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))))))
            : (c <= 4346 || (c < 4802
              ? (c < 4704
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))))
              : (c <= 4805 || (c < 4969
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))
                : (c <= 4977 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))))))))
          : (c <= 5786 || (c < 6576
            ? (c < 6112
              ? (c < 5984
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))
                : (c <= 5996 || (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))))
              : (c <= 6121 || (c < 6400
                ? (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))
                : (c <= 6430 || (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))))))
            : (c <= 6601 || (c < 7019
              ? (c < 6800
                ? (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))
                : (c <= 6809 || (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))))
              : (c <= 7027 || (c < 7312
                ? (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7354 || (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))))))))))
        : (c <= 8005 || (c < 11696
          ? (c < 8421
            ? (c < 8144
              ? (c < 8031
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || (c < 8029
                    ? c == 8027
                    : c <= 8029)))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))))
              : (c <= 8147 || (c < 8276
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)))
                : (c <= 8276 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)))))))
            : (c <= 8432 || (c < 8526
              ? (c < 8484
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || (c < 8472
                    ? c == 8469
                    : c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))))
              : (c <= 8526 || (c < 11565
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11507 || (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)))
                : (c <= 11565 || (c < 11647
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)))))))))
          : (c <= 11702 || (c < 42512
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12442 || (c < 12704
                ? (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)))
                : (c <= 12735 || (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)))))))
            : (c <= 42539 || (c < 43072
              ? (c < 42891
                ? (c < 42623
                  ? (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)
                  : (c <= 42737 || (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)))))
              : (c <= 43123 || (c < 43312
                ? (c < 43232
                  ? (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)
                  : (c <= 43255 || (c < 43261
                    ? c == 43259
                    : c <= 43309)))
                : (c <= 43347 || (c < 43471
                  ? (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)
                  : (c <= 43481 || (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_13(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 181
                  ? (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_14(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'h' || (c < 181
                  ? (c < 170
                    ? (c >= 'j' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_15(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_16(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'r' || (c < 181
                  ? (c < 170
                    ? (c >= 't' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_17(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_18(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '3'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '1')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_19(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '5'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '3')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_20(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '7'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '5')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_21(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'D' || (c < '_'
                    ? (c >= 'F' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_22(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'K' || (c < '_'
                    ? (c >= 'M' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_23(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'R' || (c < '_'
                    ? (c >= 'T' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_24(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_25(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_26(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'c'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'a')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_27(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'e'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'c')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_28(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'f'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'd')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_29(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'g'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'e')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_30(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'h'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'f')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_31(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'i'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'g')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_32(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_33(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_34(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'o'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'm')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_35(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'p'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'n')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_36(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'q'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'o')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_37(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 's'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'q')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_38(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 't'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'r')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_39(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'u'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 's')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_40(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'v'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 't')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_41(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'y'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'w')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_42(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'y')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_43(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_44(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_45(int32_t c) {
  return (c < 43739
    ? (c < 3804
      ? (c < 2768
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))))))))))
        : (c <= 2768 || (c < 3205
          ? (c < 2972
            ? (c < 2887
              ? (c < 2831
                ? (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))))
              : (c <= 2888 || (c < 2929
                ? (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))))))
            : (c <= 2972 || (c < 3086
              ? (c < 3014
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))
                : (c <= 3016 || (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))))
              : (c <= 3088 || (c < 3157
                ? (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))
                : (c <= 3158 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))))))))
          : (c <= 3212 || (c < 3482
            ? (c < 3313
              ? (c < 3270
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))
                : (c <= 3272 || (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))))
              : (c <= 3314 || (c < 3412
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))
                : (c <= 3415 || (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))))))
            : (c <= 3505 || (c < 3664
              ? (c < 3542
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))
                : (c <= 3542 || (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))))
              : (c <= 3673 || (c < 3751
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))
                : (c <= 3773 || (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c >= 3792 && c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8029
        ? (c < 5984
          ? (c < 4704
            ? (c < 4038
              ? (c < 3897
                ? (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))
                : (c <= 3897 || (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))))
              : (c <= 4038 || (c < 4304
                ? (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))))))
            : (c <= 4744 || (c < 4969
              ? (c < 4802
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))))
              : (c <= 4977 || (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))))))))
          : (c <= 5996 || (c < 6800
            ? (c < 6400
              ? (c < 6112
                ? (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))
                : (c <= 6121 || (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))))
              : (c <= 6430 || (c < 6576
                ? (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))))))
            : (c <= 6809 || (c < 7312
              ? (c < 7019
                ? (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))
                : (c <= 7027 || (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))))
              : (c <= 7354 || (c < 7968
                ? (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11736
          ? (c < 8472
            ? (c < 8255
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))))
              : (c <= 8256 || (c < 8417
                ? (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))
                : (c <= 8417 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))))))
            : (c <= 8477 || (c < 11559
              ? (c < 8517
                ? (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))
                : (c <= 8521 || (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))))
              : (c <= 11559 || (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))))))))
          : (c <= 11742 || (c < 42786
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))))
              : (c <= 12686 || (c < 42240
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))
                : (c <= 42508 || (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))))))
            : (c <= 42888 || (c < 43261
              ? (c < 43052
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))
                : (c <= 43052 || (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))))
              : (c <= 43309 || (c < 43520
                ? (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))
                : (c <= 43574 || (c < 43616
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)
                  : (c <= 43638 || (c >= 43642 && c <= 43714)))))))))))))))
    : (c <= 43741 || (c < 71472
      ? (c < 67644
        ? (c < 65474
          ? (c < 64320
            ? (c < 44016
              ? (c < 43808
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)
                  : (c <= 43782 || (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)))
                : (c <= 43814 || (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)))))
              : (c <= 44025 || (c < 64256
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)))
                : (c <= 64262 || (c < 64298
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)
                  : (c <= 64310 || (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)))))))
            : (c <= 64321 || (c < 65137
              ? (c < 64914
                ? (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)))
                : (c <= 64967 || (c < 65056
                  ? (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)
                  : (c <= 65071 || (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)))))
              : (c <= 65137 || (c < 65151
                ? (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || (c < 65149
                    ? c == 65147
                    : c <= 65149)))
                : (c <= 65276 || (c < 65343
                  ? (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)
                  : (c <= 65343 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)))))))))
          : (c <= 65479 || (c < 66720
            ? (c < 66045
              ? (c < 65576
                ? (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)))))
              : (c <= 66045 || (c < 66384
                ? (c < 66272
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66272 || (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)))
                : (c <= 66426 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)))))))
            : (c <= 66729 || (c < 67003
              ? (c < 66940
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)))
                : (c <= 66954 || (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))))
              : (c <= 67004 || (c < 67506
                ? (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)))
                : (c <= 67514 || (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(188)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(199)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(198)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(198)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(202)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(202)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(200)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(200)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(203)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(191)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(193)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(194)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(194)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(204)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(204)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(282)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(252)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(252)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(280)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(283)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(196)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(196)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(222)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(222)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(219)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(244)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(231)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(231)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(220)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(208)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(208)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(260)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(230)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(230)
      if (lookahead == '\r') SKIP(47)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(234)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(234)
      if (lookahead == '\r') SKIP(49)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(213)
      if (lookahead == '\r') SKIP(51)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(214)
      if (lookahead == '\r') SKIP(53)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(221)
      if (lookahead == '\r') SKIP(55)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(237)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(224)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(246)
      if (lookahead == '\r') SKIP(61)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(242)
      if (lookahead == '\r') SKIP(63)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(281)
      if (lookahead == '\r') SKIP(65)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(261)
      if (lookahead == '\r') SKIP(67)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(256)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(256)
      if (lookahead == '\r') SKIP(69)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(259)
      if (lookahead == '\r') SKIP(71)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(236)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(236)
      if (lookahead == '\r') SKIP(73)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(266)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(266)
      if (lookahead == '\r') SKIP(75)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(210)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(210)
      if (lookahead == '\r') SKIP(77)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(276)
      if (lookahead == '\r') SKIP(79)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(258)
      if (lookahead == '\r') SKIP(81)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(197)
      if (lookahead == '\r') SKIP(83)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(268)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(268)
      if (lookahead == '\r') SKIP(85)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(247)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(247)
      if (lookahead == '\r') SKIP(87)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(262)
      if (lookahead == '\r') SKIP(89)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(378)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(378)
      if (lookahead == '\r') SKIP(91)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(267)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(267)
      if (lookahead == '\r') SKIP(93)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(381)
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(381)
      if (lookahead == '\r') SKIP(95)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(271)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(271)
      if (lookahead == '\r') SKIP(97)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(379)
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(379)
      if (lookahead == '\r') SKIP(99)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(382)
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(382)
      if (lookahead == '\r') SKIP(101)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(380)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(380)
      if (lookahead == '\r') SKIP(103)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(107)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(107)
      if (lookahead == '\r') SKIP(105)
      END_STATE();
    case 107:
      if (lookahead == '\n') ADVANCE(397);
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '\\') SKIP(106)
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107)
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(205)
      if (lookahead == '\r') SKIP(108)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(277)
      if (lookahead == '\r') SKIP(110)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(383)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(383)
      if (lookahead == '\r') SKIP(112)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(278)
      if (lookahead == '\r') SKIP(114)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(275)
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '/') ADVANCE(580);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(583);
      if (lookahead != 0) ADVANCE(584);
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(586);
      if (lookahead == '\r') ADVANCE(585);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead != 0) ADVANCE(585);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(285)
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '/') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(572);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(574);
      if (lookahead != 0) ADVANCE(571);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 120:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(122);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(288)
      if (lookahead == '\r') SKIP(124)
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(189)
      if (lookahead == '\r') SKIP(126)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(201)
      if (lookahead == '\r') SKIP(128)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(192)
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(192)
      if (lookahead == '\r') SKIP(130)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(195)
      if (lookahead == '\r') SKIP(132)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(226)
      if (lookahead == '\r') SKIP(134)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(209)
      if (lookahead == '\r') SKIP(136)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(265)
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(265)
      if (lookahead == '\r') SKIP(138)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(229)
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(229)
      if (lookahead == '\r') SKIP(140)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(232)
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(232)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(225)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(245)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(284)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(257)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(235)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(235)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(273)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(269)
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(269)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(248)
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(248)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(264)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(190)
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(190)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(243)
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(233)
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(233)
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(249)
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(249)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(239)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(272)
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(272)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(270)
      if (lookahead == '\r') SKIP(176)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(251)
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(251)
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(263)
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(238)
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(250)
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(250)
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(274)
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 188:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 189:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(127);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(308);
      if (lookahead == '>') ADVANCE(311);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(487);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(332);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(297);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(324);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(326);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(459);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == 'L') ADVANCE(679);
      if (lookahead == 'U') ADVANCE(680);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead == 'u') ADVANCE(617);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(347);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(327);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 275:
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275)
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_7(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'L') ADVANCE(595);
      if (lookahead == 'U') ADVANCE(599);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(602);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '\\') ADVANCE(111);
      if (lookahead == 'u') ADVANCE(601);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(682);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '<') ADVANCE(315);
      if (lookahead == 'L') ADVANCE(595);
      if (lookahead == 'U') ADVANCE(599);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(603);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(701);
      END_STATE();
    case 280:
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      END_STATE();
    case 281:
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      END_STATE();
    case 282:
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(325);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      END_STATE();
    case 285:
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      END_STATE();
    case 286:
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 287:
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 289:
      if (lookahead == ')') ADVANCE(699);
      END_STATE();
    case 290:
      if (lookahead == '*') ADVANCE(547);
      END_STATE();
    case 291:
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 292:
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead == '/') ADVANCE(683);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 296:
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 297:
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 298:
      if (lookahead == '.') ADVANCE(393);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 300:
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 301:
      if (lookahead == '1') ADVANCE(305);
      END_STATE();
    case 302:
      if (lookahead == '2') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == '2') ADVANCE(306);
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 304:
      if (lookahead == '4') ADVANCE(550);
      END_STATE();
    case 305:
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 306:
      if (lookahead == '8') ADVANCE(550);
      END_STATE();
    case 307:
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 308:
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 309:
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 310:
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 311:
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 313:
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 314:
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 315:
      if (lookahead == '>') ADVANCE(589);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 317:
      if (lookahead == 'F') ADVANCE(301);
      END_STATE();
    case 318:
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 319:
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 320:
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 321:
      if (lookahead == ']') ADVANCE(515);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(344);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(336);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(350);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(332);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(333);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(349);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(337);
      END_STATE();
    case 338:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 341:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(410);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(404);
      END_STATE();
    case 344:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(340);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(343);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 348:
      if (lookahead == 'l') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(346);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 351:
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 352:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 353:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 354:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 355:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 356:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(682);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(585);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(363);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(378)
      END_STATE();
    case 379:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379)
      END_STATE();
    case 380:
      if (sym_identifier_character_set_8(lookahead)) ADVANCE(682);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == 'f') ADVANCE(672);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380)
      END_STATE();
    case 381:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381)
      END_STATE();
    case 382:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382)
      END_STATE();
    case 383:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383)
      END_STATE();
    case 384:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(689);
      END_STATE();
    case 385:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(418);
      END_STATE();
    case 386:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 387:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(433);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(435);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(684);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      if (lookahead != 0) ADVANCE(686);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '\r') ADVANCE(416);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '\r') ADVANCE(422);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '\r') ADVANCE(423);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '\r') ADVANCE(690);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (lookahead == 'n') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(448);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(450);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(533);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(539);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(511);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(540);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(682);
      if (lookahead == '1') ADVANCE(616);
      if (lookahead == '3') ADVANCE(614);
      if (lookahead == '6') ADVANCE(615);
      if (lookahead == '8') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(357);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(356);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(359);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(353);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(303);
      if (lookahead == '3') ADVANCE(302);
      if (lookahead == '6') ADVANCE(304);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(550);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(561);
      if (lookahead == 'l') ADVANCE(564);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(550);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(586);
      if (lookahead == '\r') ADVANCE(585);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead != 0) ADVANCE(585);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(582);
      if (lookahead == '/') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(581);
      if (lookahead == '/') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(582);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(580);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(583);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(589);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_true);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_false);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(566);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(693);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(568);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(567);
      if (lookahead == '8') ADVANCE(606);
      if (lookahead == 'R') ADVANCE(609);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(607);
      if (lookahead == 'R') ADVANCE(609);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_14(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(694);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == 'R') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(695);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(682);
      if (lookahead == '1') ADVANCE(616);
      if (lookahead == '3') ADVANCE(614);
      if (lookahead == '6') ADVANCE(615);
      if (lookahead == '8') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_16(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(671);
      if (lookahead == 's') ADVANCE(636);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(641);
      if (lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_18(lookahead)) ADVANCE(682);
      if (lookahead == '2') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_19(lookahead)) ADVANCE(682);
      if (lookahead == '4') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_20(lookahead)) ADVANCE(682);
      if (lookahead == '6') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(567);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(682);
      if (lookahead == 'E') ADVANCE(591);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(682);
      if (lookahead == 'E') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_22(lookahead)) ADVANCE(682);
      if (lookahead == 'L') ADVANCE(622);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(682);
      if (lookahead == 'S') ADVANCE(619);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_24(lookahead)) ADVANCE(682);
      if (lookahead == 'U') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_25(lookahead)) ADVANCE(682);
      if (lookahead == 'A') ADVANCE(620);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_26(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(646);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(526);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(637);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(592);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(678);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(632);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'g') ADVANCE(649);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'h') ADVANCE(674);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(671);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(633);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(634);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(626);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(661);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(629);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(662);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(678);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(664);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(667);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(639);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(675);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(642);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(654);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(627);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(678);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(669);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_38(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 's') ADVANCE(630);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(525);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(526);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(611);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(658);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(659);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(625);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(644);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(628);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'x') ADVANCE(677);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'z') ADVANCE(631);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(641);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(670);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(657);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(663);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(645);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(676);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(663);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0) ADVANCE(686);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(686);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(686);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(687);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '\r') ADVANCE(690);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(693);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(707);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(708);
      if (lookahead == 'R') ADVANCE(709);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(694);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(710);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(695);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'd') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == 't') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(95);
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(420);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(426);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(438);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(444);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(447);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(452);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(453);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(456);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(468);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(470);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(471);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 421:
      if (lookahead == 'b') ADVANCE(480);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 425:
      if (lookahead == 'p') ADVANCE(482);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 427:
      if (lookahead == 's') ADVANCE(484);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(485);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(491);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(492);
      END_STATE();
    case 437:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 438:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 439:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(496);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 444:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 445:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(500);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(501);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 450:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(505);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(509);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 466:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 473:
      if (lookahead == 'd') ADVANCE(520);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 478:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 479:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 480:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 484:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'c') ADVANCE(532);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(534);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 493:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 494:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 502:
      if (lookahead == 't') ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 512:
      if (lookahead == 'd') ADVANCE(543);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 518:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(546);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 526:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 527:
      if (lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 528:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 531:
      if (lookahead == '_') ADVANCE(552);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 534:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 535:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(557);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 545:
      if (lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 546:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 549:
      if (lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 551:
      if (lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 555:
      if (lookahead == 'd') ADVANCE(565);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(568);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(569);
      END_STATE();
    case 562:
      if (lookahead == '_') ADVANCE(570);
      END_STATE();
    case 563:
      if (lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 567:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 387},
  [2] = {.lex_state = 387},
  [3] = {.lex_state = 387},
  [4] = {.lex_state = 387},
  [5] = {.lex_state = 387},
  [6] = {.lex_state = 387},
  [7] = {.lex_state = 387},
  [8] = {.lex_state = 387},
  [9] = {.lex_state = 387},
  [10] = {.lex_state = 387},
  [11] = {.lex_state = 387},
  [12] = {.lex_state = 387},
  [13] = {.lex_state = 387},
  [14] = {.lex_state = 387},
  [15] = {.lex_state = 387},
  [16] = {.lex_state = 198},
  [17] = {.lex_state = 198},
  [18] = {.lex_state = 198},
  [19] = {.lex_state = 198},
  [20] = {.lex_state = 198},
  [21] = {.lex_state = 198},
  [22] = {.lex_state = 198},
  [23] = {.lex_state = 198},
  [24] = {.lex_state = 198},
  [25] = {.lex_state = 198},
  [26] = {.lex_state = 202},
  [27] = {.lex_state = 202},
  [28] = {.lex_state = 202},
  [29] = {.lex_state = 202},
  [30] = {.lex_state = 202},
  [31] = {.lex_state = 202},
  [32] = {.lex_state = 202},
  [33] = {.lex_state = 202},
  [34] = {.lex_state = 198},
  [35] = {.lex_state = 202},
  [36] = {.lex_state = 202},
  [37] = {.lex_state = 202},
  [38] = {.lex_state = 202},
  [39] = {.lex_state = 202},
  [40] = {.lex_state = 202},
  [41] = {.lex_state = 202},
  [42] = {.lex_state = 387},
  [43] = {.lex_state = 387},
  [44] = {.lex_state = 387},
  [45] = {.lex_state = 387},
  [46] = {.lex_state = 387},
  [47] = {.lex_state = 387},
  [48] = {.lex_state = 387},
  [49] = {.lex_state = 387},
  [50] = {.lex_state = 387},
  [51] = {.lex_state = 387},
  [52] = {.lex_state = 387},
  [53] = {.lex_state = 387},
  [54] = {.lex_state = 387},
  [55] = {.lex_state = 387},
  [56] = {.lex_state = 201},
  [57] = {.lex_state = 387},
  [58] = {.lex_state = 387},
  [59] = {.lex_state = 387},
  [60] = {.lex_state = 387},
  [61] = {.lex_state = 387},
  [62] = {.lex_state = 387},
  [63] = {.lex_state = 387},
  [64] = {.lex_state = 387},
  [65] = {.lex_state = 387},
  [66] = {.lex_state = 387},
  [67] = {.lex_state = 387},
  [68] = {.lex_state = 387},
  [69] = {.lex_state = 387},
  [70] = {.lex_state = 201},
  [71] = {.lex_state = 387},
  [72] = {.lex_state = 387},
  [73] = {.lex_state = 387},
  [74] = {.lex_state = 387},
  [75] = {.lex_state = 387},
  [76] = {.lex_state = 387},
  [77] = {.lex_state = 387},
  [78] = {.lex_state = 387},
  [79] = {.lex_state = 387},
  [80] = {.lex_state = 387},
  [81] = {.lex_state = 387},
  [82] = {.lex_state = 387},
  [83] = {.lex_state = 387},
  [84] = {.lex_state = 387},
  [85] = {.lex_state = 387},
  [86] = {.lex_state = 387},
  [87] = {.lex_state = 387},
  [88] = {.lex_state = 387},
  [89] = {.lex_state = 201},
  [90] = {.lex_state = 387},
  [91] = {.lex_state = 387},
  [92] = {.lex_state = 387},
  [93] = {.lex_state = 387},
  [94] = {.lex_state = 387},
  [95] = {.lex_state = 387},
  [96] = {.lex_state = 387},
  [97] = {.lex_state = 387},
  [98] = {.lex_state = 387},
  [99] = {.lex_state = 387},
  [100] = {.lex_state = 198},
  [101] = {.lex_state = 198},
  [102] = {.lex_state = 198},
  [103] = {.lex_state = 198},
  [104] = {.lex_state = 198},
  [105] = {.lex_state = 202},
  [106] = {.lex_state = 202},
  [107] = {.lex_state = 202},
  [108] = {.lex_state = 202},
  [109] = {.lex_state = 202},
  [110] = {.lex_state = 387},
  [111] = {.lex_state = 387},
  [112] = {.lex_state = 387},
  [113] = {.lex_state = 201},
  [114] = {.lex_state = 201},
  [115] = {.lex_state = 387},
  [116] = {.lex_state = 387},
  [117] = {.lex_state = 387},
  [118] = {.lex_state = 387},
  [119] = {.lex_state = 387},
  [120] = {.lex_state = 201},
  [121] = {.lex_state = 387},
  [122] = {.lex_state = 201},
  [123] = {.lex_state = 387},
  [124] = {.lex_state = 201},
  [125] = {.lex_state = 200},
  [126] = {.lex_state = 200},
  [127] = {.lex_state = 200},
  [128] = {.lex_state = 200},
  [129] = {.lex_state = 200},
  [130] = {.lex_state = 200},
  [131] = {.lex_state = 200},
  [132] = {.lex_state = 200},
  [133] = {.lex_state = 200},
  [134] = {.lex_state = 200},
  [135] = {.lex_state = 200},
  [136] = {.lex_state = 200},
  [137] = {.lex_state = 200},
  [138] = {.lex_state = 200},
  [139] = {.lex_state = 200},
  [140] = {.lex_state = 200},
  [141] = {.lex_state = 200},
  [142] = {.lex_state = 200},
  [143] = {.lex_state = 200},
  [144] = {.lex_state = 200},
  [145] = {.lex_state = 200},
  [146] = {.lex_state = 200},
  [147] = {.lex_state = 200},
  [148] = {.lex_state = 203},
  [149] = {.lex_state = 203},
  [150] = {.lex_state = 203},
  [151] = {.lex_state = 189},
  [152] = {.lex_state = 387},
  [153] = {.lex_state = 189},
  [154] = {.lex_state = 387},
  [155] = {.lex_state = 191},
  [156] = {.lex_state = 193},
  [157] = {.lex_state = 200},
  [158] = {.lex_state = 189},
  [159] = {.lex_state = 200},
  [160] = {.lex_state = 200},
  [161] = {.lex_state = 200},
  [162] = {.lex_state = 200},
  [163] = {.lex_state = 200},
  [164] = {.lex_state = 200},
  [165] = {.lex_state = 200},
  [166] = {.lex_state = 194},
  [167] = {.lex_state = 200},
  [168] = {.lex_state = 200},
  [169] = {.lex_state = 200},
  [170] = {.lex_state = 200},
  [171] = {.lex_state = 200},
  [172] = {.lex_state = 200},
  [173] = {.lex_state = 200},
  [174] = {.lex_state = 200},
  [175] = {.lex_state = 200},
  [176] = {.lex_state = 200},
  [177] = {.lex_state = 200},
  [178] = {.lex_state = 200},
  [179] = {.lex_state = 200},
  [180] = {.lex_state = 200},
  [181] = {.lex_state = 200},
  [182] = {.lex_state = 200},
  [183] = {.lex_state = 200},
  [184] = {.lex_state = 200},
  [185] = {.lex_state = 200},
  [186] = {.lex_state = 200},
  [187] = {.lex_state = 200},
  [188] = {.lex_state = 200},
  [189] = {.lex_state = 200},
  [190] = {.lex_state = 200},
  [191] = {.lex_state = 200},
  [192] = {.lex_state = 200},
  [193] = {.lex_state = 200},
  [194] = {.lex_state = 200},
  [195] = {.lex_state = 200},
  [196] = {.lex_state = 200},
  [197] = {.lex_state = 200},
  [198] = {.lex_state = 200},
  [199] = {.lex_state = 200},
  [200] = {.lex_state = 200},
  [201] = {.lex_state = 200},
  [202] = {.lex_state = 200},
  [203] = {.lex_state = 200},
  [204] = {.lex_state = 200},
  [205] = {.lex_state = 200},
  [206] = {.lex_state = 200},
  [207] = {.lex_state = 200},
  [208] = {.lex_state = 200},
  [209] = {.lex_state = 200},
  [210] = {.lex_state = 200},
  [211] = {.lex_state = 200},
  [212] = {.lex_state = 200},
  [213] = {.lex_state = 200},
  [214] = {.lex_state = 200},
  [215] = {.lex_state = 200},
  [216] = {.lex_state = 200},
  [217] = {.lex_state = 200},
  [218] = {.lex_state = 200},
  [219] = {.lex_state = 200},
  [220] = {.lex_state = 200},
  [221] = {.lex_state = 200},
  [222] = {.lex_state = 200},
  [223] = {.lex_state = 200},
  [224] = {.lex_state = 200},
  [225] = {.lex_state = 200},
  [226] = {.lex_state = 200},
  [227] = {.lex_state = 200},
  [228] = {.lex_state = 200},
  [229] = {.lex_state = 189},
  [230] = {.lex_state = 198},
  [231] = {.lex_state = 198},
  [232] = {.lex_state = 193},
  [233] = {.lex_state = 204},
  [234] = {.lex_state = 204},
  [235] = {.lex_state = 204},
  [236] = {.lex_state = 204},
  [237] = {.lex_state = 204},
  [238] = {.lex_state = 204},
  [239] = {.lex_state = 198},
  [240] = {.lex_state = 204},
  [241] = {.lex_state = 204},
  [242] = {.lex_state = 204},
  [243] = {.lex_state = 204},
  [244] = {.lex_state = 204},
  [245] = {.lex_state = 204},
  [246] = {.lex_state = 204},
  [247] = {.lex_state = 204},
  [248] = {.lex_state = 204},
  [249] = {.lex_state = 204},
  [250] = {.lex_state = 204},
  [251] = {.lex_state = 204},
  [252] = {.lex_state = 204},
  [253] = {.lex_state = 198},
  [254] = {.lex_state = 204},
  [255] = {.lex_state = 204},
  [256] = {.lex_state = 204},
  [257] = {.lex_state = 204},
  [258] = {.lex_state = 204},
  [259] = {.lex_state = 204},
  [260] = {.lex_state = 204},
  [261] = {.lex_state = 204},
  [262] = {.lex_state = 204},
  [263] = {.lex_state = 204},
  [264] = {.lex_state = 204},
  [265] = {.lex_state = 198},
  [266] = {.lex_state = 198},
  [267] = {.lex_state = 198},
  [268] = {.lex_state = 202},
  [269] = {.lex_state = 198},
  [270] = {.lex_state = 202},
  [271] = {.lex_state = 198},
  [272] = {.lex_state = 198},
  [273] = {.lex_state = 198},
  [274] = {.lex_state = 198},
  [275] = {.lex_state = 198},
  [276] = {.lex_state = 198},
  [277] = {.lex_state = 198},
  [278] = {.lex_state = 198},
  [279] = {.lex_state = 198},
  [280] = {.lex_state = 202},
  [281] = {.lex_state = 198},
  [282] = {.lex_state = 198},
  [283] = {.lex_state = 198},
  [284] = {.lex_state = 202},
  [285] = {.lex_state = 198},
  [286] = {.lex_state = 198},
  [287] = {.lex_state = 198},
  [288] = {.lex_state = 198},
  [289] = {.lex_state = 198},
  [290] = {.lex_state = 198},
  [291] = {.lex_state = 198},
  [292] = {.lex_state = 198},
  [293] = {.lex_state = 198},
  [294] = {.lex_state = 198},
  [295] = {.lex_state = 198},
  [296] = {.lex_state = 198},
  [297] = {.lex_state = 198},
  [298] = {.lex_state = 198},
  [299] = {.lex_state = 198},
  [300] = {.lex_state = 198},
  [301] = {.lex_state = 198},
  [302] = {.lex_state = 198},
  [303] = {.lex_state = 198},
  [304] = {.lex_state = 198},
  [305] = {.lex_state = 198},
  [306] = {.lex_state = 198},
  [307] = {.lex_state = 198},
  [308] = {.lex_state = 198},
  [309] = {.lex_state = 198},
  [310] = {.lex_state = 198},
  [311] = {.lex_state = 198},
  [312] = {.lex_state = 198},
  [313] = {.lex_state = 198},
  [314] = {.lex_state = 198},
  [315] = {.lex_state = 198},
  [316] = {.lex_state = 198},
  [317] = {.lex_state = 198},
  [318] = {.lex_state = 198},
  [319] = {.lex_state = 198},
  [320] = {.lex_state = 198},
  [321] = {.lex_state = 198},
  [322] = {.lex_state = 198},
  [323] = {.lex_state = 198},
  [324] = {.lex_state = 198},
  [325] = {.lex_state = 198},
  [326] = {.lex_state = 198},
  [327] = {.lex_state = 198},
  [328] = {.lex_state = 198},
  [329] = {.lex_state = 198},
  [330] = {.lex_state = 198},
  [331] = {.lex_state = 198},
  [332] = {.lex_state = 198},
  [333] = {.lex_state = 198},
  [334] = {.lex_state = 198},
  [335] = {.lex_state = 198},
  [336] = {.lex_state = 198},
  [337] = {.lex_state = 198},
  [338] = {.lex_state = 198},
  [339] = {.lex_state = 198},
  [340] = {.lex_state = 198},
  [341] = {.lex_state = 198},
  [342] = {.lex_state = 198},
  [343] = {.lex_state = 198},
  [344] = {.lex_state = 198},
  [345] = {.lex_state = 198},
  [346] = {.lex_state = 198},
  [347] = {.lex_state = 198},
  [348] = {.lex_state = 198},
  [349] = {.lex_state = 198},
  [350] = {.lex_state = 198},
  [351] = {.lex_state = 198},
  [352] = {.lex_state = 198},
  [353] = {.lex_state = 282},
  [354] = {.lex_state = 282},
  [355] = {.lex_state = 387},
  [356] = {.lex_state = 387},
  [357] = {.lex_state = 200},
  [358] = {.lex_state = 282},
  [359] = {.lex_state = 282},
  [360] = {.lex_state = 282},
  [361] = {.lex_state = 282},
  [362] = {.lex_state = 200},
  [363] = {.lex_state = 200},
  [364] = {.lex_state = 201},
  [365] = {.lex_state = 282},
  [366] = {.lex_state = 282},
  [367] = {.lex_state = 198},
  [368] = {.lex_state = 198},
  [369] = {.lex_state = 198},
  [370] = {.lex_state = 198},
  [371] = {.lex_state = 387},
  [372] = {.lex_state = 198},
  [373] = {.lex_state = 198},
  [374] = {.lex_state = 198},
  [375] = {.lex_state = 198},
  [376] = {.lex_state = 198},
  [377] = {.lex_state = 198},
  [378] = {.lex_state = 198},
  [379] = {.lex_state = 198},
  [380] = {.lex_state = 198},
  [381] = {.lex_state = 198},
  [382] = {.lex_state = 198},
  [383] = {.lex_state = 198},
  [384] = {.lex_state = 198},
  [385] = {.lex_state = 198},
  [386] = {.lex_state = 198},
  [387] = {.lex_state = 198},
  [388] = {.lex_state = 198},
  [389] = {.lex_state = 198},
  [390] = {.lex_state = 198},
  [391] = {.lex_state = 198},
  [392] = {.lex_state = 198},
  [393] = {.lex_state = 198},
  [394] = {.lex_state = 198},
  [395] = {.lex_state = 198},
  [396] = {.lex_state = 198},
  [397] = {.lex_state = 198},
  [398] = {.lex_state = 198},
  [399] = {.lex_state = 198},
  [400] = {.lex_state = 201},
  [401] = {.lex_state = 198},
  [402] = {.lex_state = 198},
  [403] = {.lex_state = 387},
  [404] = {.lex_state = 198},
  [405] = {.lex_state = 198},
  [406] = {.lex_state = 198},
  [407] = {.lex_state = 198},
  [408] = {.lex_state = 198},
  [409] = {.lex_state = 198},
  [410] = {.lex_state = 198},
  [411] = {.lex_state = 198},
  [412] = {.lex_state = 198},
  [413] = {.lex_state = 202},
  [414] = {.lex_state = 202},
  [415] = {.lex_state = 198},
  [416] = {.lex_state = 198},
  [417] = {.lex_state = 202},
  [418] = {.lex_state = 198},
  [419] = {.lex_state = 202},
  [420] = {.lex_state = 198},
  [421] = {.lex_state = 198},
  [422] = {.lex_state = 198},
  [423] = {.lex_state = 198},
  [424] = {.lex_state = 198},
  [425] = {.lex_state = 198},
  [426] = {.lex_state = 202},
  [427] = {.lex_state = 198},
  [428] = {.lex_state = 198},
  [429] = {.lex_state = 198},
  [430] = {.lex_state = 198},
  [431] = {.lex_state = 198},
  [432] = {.lex_state = 198},
  [433] = {.lex_state = 198},
  [434] = {.lex_state = 202},
  [435] = {.lex_state = 202},
  [436] = {.lex_state = 204},
  [437] = {.lex_state = 202},
  [438] = {.lex_state = 202},
  [439] = {.lex_state = 202},
  [440] = {.lex_state = 202},
  [441] = {.lex_state = 202},
  [442] = {.lex_state = 202},
  [443] = {.lex_state = 202},
  [444] = {.lex_state = 204},
  [445] = {.lex_state = 202},
  [446] = {.lex_state = 202},
  [447] = {.lex_state = 202},
  [448] = {.lex_state = 204},
  [449] = {.lex_state = 202},
  [450] = {.lex_state = 204},
  [451] = {.lex_state = 202},
  [452] = {.lex_state = 202},
  [453] = {.lex_state = 204},
  [454] = {.lex_state = 202},
  [455] = {.lex_state = 202},
  [456] = {.lex_state = 202},
  [457] = {.lex_state = 202},
  [458] = {.lex_state = 202},
  [459] = {.lex_state = 204},
  [460] = {.lex_state = 202},
  [461] = {.lex_state = 202},
  [462] = {.lex_state = 387},
  [463] = {.lex_state = 204},
  [464] = {.lex_state = 202},
  [465] = {.lex_state = 204},
  [466] = {.lex_state = 202},
  [467] = {.lex_state = 202},
  [468] = {.lex_state = 202},
  [469] = {.lex_state = 202},
  [470] = {.lex_state = 202},
  [471] = {.lex_state = 204},
  [472] = {.lex_state = 202},
  [473] = {.lex_state = 202},
  [474] = {.lex_state = 201},
  [475] = {.lex_state = 204},
  [476] = {.lex_state = 202},
  [477] = {.lex_state = 204},
  [478] = {.lex_state = 202},
  [479] = {.lex_state = 201},
  [480] = {.lex_state = 202},
  [481] = {.lex_state = 202},
  [482] = {.lex_state = 204},
  [483] = {.lex_state = 204},
  [484] = {.lex_state = 204},
  [485] = {.lex_state = 202},
  [486] = {.lex_state = 202},
  [487] = {.lex_state = 202},
  [488] = {.lex_state = 387},
  [489] = {.lex_state = 202},
  [490] = {.lex_state = 202},
  [491] = {.lex_state = 202},
  [492] = {.lex_state = 204},
  [493] = {.lex_state = 202},
  [494] = {.lex_state = 202},
  [495] = {.lex_state = 202},
  [496] = {.lex_state = 202},
  [497] = {.lex_state = 202},
  [498] = {.lex_state = 202},
  [499] = {.lex_state = 202},
  [500] = {.lex_state = 202},
  [501] = {.lex_state = 202},
  [502] = {.lex_state = 202},
  [503] = {.lex_state = 202},
  [504] = {.lex_state = 202},
  [505] = {.lex_state = 202},
  [506] = {.lex_state = 202},
  [507] = {.lex_state = 202},
  [508] = {.lex_state = 202},
  [509] = {.lex_state = 202},
  [510] = {.lex_state = 204},
  [511] = {.lex_state = 204},
  [512] = {.lex_state = 202},
  [513] = {.lex_state = 202},
  [514] = {.lex_state = 202},
  [515] = {.lex_state = 202},
  [516] = {.lex_state = 202},
  [517] = {.lex_state = 202},
  [518] = {.lex_state = 202},
  [519] = {.lex_state = 202},
  [520] = {.lex_state = 202},
  [521] = {.lex_state = 202},
  [522] = {.lex_state = 202},
  [523] = {.lex_state = 202},
  [524] = {.lex_state = 202},
  [525] = {.lex_state = 204},
  [526] = {.lex_state = 202},
  [527] = {.lex_state = 202},
  [528] = {.lex_state = 202},
  [529] = {.lex_state = 202},
  [530] = {.lex_state = 202},
  [531] = {.lex_state = 204},
  [532] = {.lex_state = 202},
  [533] = {.lex_state = 202},
  [534] = {.lex_state = 202},
  [535] = {.lex_state = 202},
  [536] = {.lex_state = 202},
  [537] = {.lex_state = 202},
  [538] = {.lex_state = 202},
  [539] = {.lex_state = 202},
  [540] = {.lex_state = 202},
  [541] = {.lex_state = 201},
  [542] = {.lex_state = 202},
  [543] = {.lex_state = 202},
  [544] = {.lex_state = 202},
  [545] = {.lex_state = 202},
  [546] = {.lex_state = 202},
  [547] = {.lex_state = 202},
  [548] = {.lex_state = 202},
  [549] = {.lex_state = 202},
  [550] = {.lex_state = 202},
  [551] = {.lex_state = 202},
  [552] = {.lex_state = 202},
  [553] = {.lex_state = 202},
  [554] = {.lex_state = 202},
  [555] = {.lex_state = 202},
  [556] = {.lex_state = 201},
  [557] = {.lex_state = 387},
  [558] = {.lex_state = 202},
  [559] = {.lex_state = 202},
  [560] = {.lex_state = 202},
  [561] = {.lex_state = 202},
  [562] = {.lex_state = 201},
  [563] = {.lex_state = 202},
  [564] = {.lex_state = 202},
  [565] = {.lex_state = 202},
  [566] = {.lex_state = 202},
  [567] = {.lex_state = 202},
  [568] = {.lex_state = 202},
  [569] = {.lex_state = 202},
  [570] = {.lex_state = 387},
  [571] = {.lex_state = 202},
  [572] = {.lex_state = 202},
  [573] = {.lex_state = 201},
  [574] = {.lex_state = 202},
  [575] = {.lex_state = 202},
  [576] = {.lex_state = 202},
  [577] = {.lex_state = 202},
  [578] = {.lex_state = 201},
  [579] = {.lex_state = 202},
  [580] = {.lex_state = 202},
  [581] = {.lex_state = 202},
  [582] = {.lex_state = 202},
  [583] = {.lex_state = 202},
  [584] = {.lex_state = 202},
  [585] = {.lex_state = 387},
  [586] = {.lex_state = 387},
  [587] = {.lex_state = 202},
  [588] = {.lex_state = 204},
  [589] = {.lex_state = 202},
  [590] = {.lex_state = 202},
  [591] = {.lex_state = 202},
  [592] = {.lex_state = 387},
  [593] = {.lex_state = 387},
  [594] = {.lex_state = 202},
  [595] = {.lex_state = 202},
  [596] = {.lex_state = 202},
  [597] = {.lex_state = 200},
  [598] = {.lex_state = 202},
  [599] = {.lex_state = 202},
  [600] = {.lex_state = 202},
  [601] = {.lex_state = 202},
  [602] = {.lex_state = 202},
  [603] = {.lex_state = 387},
  [604] = {.lex_state = 202},
  [605] = {.lex_state = 202},
  [606] = {.lex_state = 202},
  [607] = {.lex_state = 202},
  [608] = {.lex_state = 387},
  [609] = {.lex_state = 202},
  [610] = {.lex_state = 203},
  [611] = {.lex_state = 203},
  [612] = {.lex_state = 387},
  [613] = {.lex_state = 201},
  [614] = {.lex_state = 387},
  [615] = {.lex_state = 201},
  [616] = {.lex_state = 387},
  [617] = {.lex_state = 252},
  [618] = {.lex_state = 201},
  [619] = {.lex_state = 387},
  [620] = {.lex_state = 387},
  [621] = {.lex_state = 201},
  [622] = {.lex_state = 387},
  [623] = {.lex_state = 387},
  [624] = {.lex_state = 387},
  [625] = {.lex_state = 387},
  [626] = {.lex_state = 387},
  [627] = {.lex_state = 387},
  [628] = {.lex_state = 387},
  [629] = {.lex_state = 387},
  [630] = {.lex_state = 387},
  [631] = {.lex_state = 387},
  [632] = {.lex_state = 201},
  [633] = {.lex_state = 387},
  [634] = {.lex_state = 387},
  [635] = {.lex_state = 387},
  [636] = {.lex_state = 201},
  [637] = {.lex_state = 201},
  [638] = {.lex_state = 201},
  [639] = {.lex_state = 387},
  [640] = {.lex_state = 387},
  [641] = {.lex_state = 387},
  [642] = {.lex_state = 387},
  [643] = {.lex_state = 387},
  [644] = {.lex_state = 387},
  [645] = {.lex_state = 387},
  [646] = {.lex_state = 387},
  [647] = {.lex_state = 387},
  [648] = {.lex_state = 201},
  [649] = {.lex_state = 387},
  [650] = {.lex_state = 387},
  [651] = {.lex_state = 387},
  [652] = {.lex_state = 201},
  [653] = {.lex_state = 387},
  [654] = {.lex_state = 387},
  [655] = {.lex_state = 387},
  [656] = {.lex_state = 387},
  [657] = {.lex_state = 387},
  [658] = {.lex_state = 387},
  [659] = {.lex_state = 387},
  [660] = {.lex_state = 387},
  [661] = {.lex_state = 387},
  [662] = {.lex_state = 387},
  [663] = {.lex_state = 387},
  [664] = {.lex_state = 387},
  [665] = {.lex_state = 387},
  [666] = {.lex_state = 201},
  [667] = {.lex_state = 201},
  [668] = {.lex_state = 201},
  [669] = {.lex_state = 387},
  [670] = {.lex_state = 387},
  [671] = {.lex_state = 387},
  [672] = {.lex_state = 387},
  [673] = {.lex_state = 387},
  [674] = {.lex_state = 387},
  [675] = {.lex_state = 387},
  [676] = {.lex_state = 387},
  [677] = {.lex_state = 387},
  [678] = {.lex_state = 387},
  [679] = {.lex_state = 201},
  [680] = {.lex_state = 201},
  [681] = {.lex_state = 387},
  [682] = {.lex_state = 282},
  [683] = {.lex_state = 201},
  [684] = {.lex_state = 201},
  [685] = {.lex_state = 387},
  [686] = {.lex_state = 387},
  [687] = {.lex_state = 387},
  [688] = {.lex_state = 387},
  [689] = {.lex_state = 387},
  [690] = {.lex_state = 387},
  [691] = {.lex_state = 387},
  [692] = {.lex_state = 387},
  [693] = {.lex_state = 387},
  [694] = {.lex_state = 387},
  [695] = {.lex_state = 201},
  [696] = {.lex_state = 387},
  [697] = {.lex_state = 201},
  [698] = {.lex_state = 387},
  [699] = {.lex_state = 201},
  [700] = {.lex_state = 201},
  [701] = {.lex_state = 201},
  [702] = {.lex_state = 201},
  [703] = {.lex_state = 387},
  [704] = {.lex_state = 201},
  [705] = {.lex_state = 201},
  [706] = {.lex_state = 387},
  [707] = {.lex_state = 201},
  [708] = {.lex_state = 201},
  [709] = {.lex_state = 387},
  [710] = {.lex_state = 201},
  [711] = {.lex_state = 387},
  [712] = {.lex_state = 387},
  [713] = {.lex_state = 201},
  [714] = {.lex_state = 201},
  [715] = {.lex_state = 201},
  [716] = {.lex_state = 201},
  [717] = {.lex_state = 201},
  [718] = {.lex_state = 201},
  [719] = {.lex_state = 252},
  [720] = {.lex_state = 201},
  [721] = {.lex_state = 201},
  [722] = {.lex_state = 387},
  [723] = {.lex_state = 201},
  [724] = {.lex_state = 201},
  [725] = {.lex_state = 201},
  [726] = {.lex_state = 201},
  [727] = {.lex_state = 201},
  [728] = {.lex_state = 201},
  [729] = {.lex_state = 201},
  [730] = {.lex_state = 201},
  [731] = {.lex_state = 387},
  [732] = {.lex_state = 252},
  [733] = {.lex_state = 201},
  [734] = {.lex_state = 201},
  [735] = {.lex_state = 201},
  [736] = {.lex_state = 387},
  [737] = {.lex_state = 387},
  [738] = {.lex_state = 252},
  [739] = {.lex_state = 201},
  [740] = {.lex_state = 387},
  [741] = {.lex_state = 252},
  [742] = {.lex_state = 252},
  [743] = {.lex_state = 252},
  [744] = {.lex_state = 387},
  [745] = {.lex_state = 252},
  [746] = {.lex_state = 201},
  [747] = {.lex_state = 387},
  [748] = {.lex_state = 201},
  [749] = {.lex_state = 201},
  [750] = {.lex_state = 387},
  [751] = {.lex_state = 252},
  [752] = {.lex_state = 387},
  [753] = {.lex_state = 387},
  [754] = {.lex_state = 387},
  [755] = {.lex_state = 201},
  [756] = {.lex_state = 387},
  [757] = {.lex_state = 252},
  [758] = {.lex_state = 387},
  [759] = {.lex_state = 387},
  [760] = {.lex_state = 387},
  [761] = {.lex_state = 387},
  [762] = {.lex_state = 387},
  [763] = {.lex_state = 387},
  [764] = {.lex_state = 387},
  [765] = {.lex_state = 201},
  [766] = {.lex_state = 387},
  [767] = {.lex_state = 387},
  [768] = {.lex_state = 387},
  [769] = {.lex_state = 387},
  [770] = {.lex_state = 387},
  [771] = {.lex_state = 387},
  [772] = {.lex_state = 387},
  [773] = {.lex_state = 387},
  [774] = {.lex_state = 387},
  [775] = {.lex_state = 387},
  [776] = {.lex_state = 387},
  [777] = {.lex_state = 387},
  [778] = {.lex_state = 387},
  [779] = {.lex_state = 387},
  [780] = {.lex_state = 387},
  [781] = {.lex_state = 387},
  [782] = {.lex_state = 201},
  [783] = {.lex_state = 387},
  [784] = {.lex_state = 201},
  [785] = {.lex_state = 201},
  [786] = {.lex_state = 201},
  [787] = {.lex_state = 201},
  [788] = {.lex_state = 201},
  [789] = {.lex_state = 387},
  [790] = {.lex_state = 201},
  [791] = {.lex_state = 387},
  [792] = {.lex_state = 387},
  [793] = {.lex_state = 387},
  [794] = {.lex_state = 387},
  [795] = {.lex_state = 201},
  [796] = {.lex_state = 201},
  [797] = {.lex_state = 387},
  [798] = {.lex_state = 387},
  [799] = {.lex_state = 387},
  [800] = {.lex_state = 201},
  [801] = {.lex_state = 387},
  [802] = {.lex_state = 201},
  [803] = {.lex_state = 387},
  [804] = {.lex_state = 201},
  [805] = {.lex_state = 387},
  [806] = {.lex_state = 387},
  [807] = {.lex_state = 201},
  [808] = {.lex_state = 201},
  [809] = {.lex_state = 387},
  [810] = {.lex_state = 387},
  [811] = {.lex_state = 387},
  [812] = {.lex_state = 387},
  [813] = {.lex_state = 387},
  [814] = {.lex_state = 201},
  [815] = {.lex_state = 387},
  [816] = {.lex_state = 387},
  [817] = {.lex_state = 387},
  [818] = {.lex_state = 387},
  [819] = {.lex_state = 201},
  [820] = {.lex_state = 201},
  [821] = {.lex_state = 387},
  [822] = {.lex_state = 387},
  [823] = {.lex_state = 387},
  [824] = {.lex_state = 387},
  [825] = {.lex_state = 252},
  [826] = {.lex_state = 387},
  [827] = {.lex_state = 201},
  [828] = {.lex_state = 252},
  [829] = {.lex_state = 387},
  [830] = {.lex_state = 387},
  [831] = {.lex_state = 201},
  [832] = {.lex_state = 387},
  [833] = {.lex_state = 387},
  [834] = {.lex_state = 201},
  [835] = {.lex_state = 387},
  [836] = {.lex_state = 387},
  [837] = {.lex_state = 387},
  [838] = {.lex_state = 387},
  [839] = {.lex_state = 387},
  [840] = {.lex_state = 387},
  [841] = {.lex_state = 387},
  [842] = {.lex_state = 201},
  [843] = {.lex_state = 201},
  [844] = {.lex_state = 387},
  [845] = {.lex_state = 387},
  [846] = {.lex_state = 387},
  [847] = {.lex_state = 201},
  [848] = {.lex_state = 387},
  [849] = {.lex_state = 387},
  [850] = {.lex_state = 387},
  [851] = {.lex_state = 387},
  [852] = {.lex_state = 387},
  [853] = {.lex_state = 387},
  [854] = {.lex_state = 387},
  [855] = {.lex_state = 201},
  [856] = {.lex_state = 387},
  [857] = {.lex_state = 387},
  [858] = {.lex_state = 387},
  [859] = {.lex_state = 387},
  [860] = {.lex_state = 387},
  [861] = {.lex_state = 201},
  [862] = {.lex_state = 201},
  [863] = {.lex_state = 387},
  [864] = {.lex_state = 201},
  [865] = {.lex_state = 387},
  [866] = {.lex_state = 387},
  [867] = {.lex_state = 387},
  [868] = {.lex_state = 387},
  [869] = {.lex_state = 387},
  [870] = {.lex_state = 201},
  [871] = {.lex_state = 201},
  [872] = {.lex_state = 387},
  [873] = {.lex_state = 201},
  [874] = {.lex_state = 387},
  [875] = {.lex_state = 201},
  [876] = {.lex_state = 201},
  [877] = {.lex_state = 201},
  [878] = {.lex_state = 387},
  [879] = {.lex_state = 201},
  [880] = {.lex_state = 387},
  [881] = {.lex_state = 387},
  [882] = {.lex_state = 387},
  [883] = {.lex_state = 201},
  [884] = {.lex_state = 387},
  [885] = {.lex_state = 201},
  [886] = {.lex_state = 201},
  [887] = {.lex_state = 201},
  [888] = {.lex_state = 201},
  [889] = {.lex_state = 387},
  [890] = {.lex_state = 387},
  [891] = {.lex_state = 387},
  [892] = {.lex_state = 387},
  [893] = {.lex_state = 387},
  [894] = {.lex_state = 387},
  [895] = {.lex_state = 201},
  [896] = {.lex_state = 387},
  [897] = {.lex_state = 387},
  [898] = {.lex_state = 387},
  [899] = {.lex_state = 387},
  [900] = {.lex_state = 387},
  [901] = {.lex_state = 201},
  [902] = {.lex_state = 387},
  [903] = {.lex_state = 190},
  [904] = {.lex_state = 201},
  [905] = {.lex_state = 201},
  [906] = {.lex_state = 201},
  [907] = {.lex_state = 201},
  [908] = {.lex_state = 201},
  [909] = {.lex_state = 201},
  [910] = {.lex_state = 201},
  [911] = {.lex_state = 201},
  [912] = {.lex_state = 201},
  [913] = {.lex_state = 387},
  [914] = {.lex_state = 387},
  [915] = {.lex_state = 387},
  [916] = {.lex_state = 387},
  [917] = {.lex_state = 201},
  [918] = {.lex_state = 387},
  [919] = {.lex_state = 387},
  [920] = {.lex_state = 387},
  [921] = {.lex_state = 387},
  [922] = {.lex_state = 387},
  [923] = {.lex_state = 387},
  [924] = {.lex_state = 201},
  [925] = {.lex_state = 201},
  [926] = {.lex_state = 387},
  [927] = {.lex_state = 387},
  [928] = {.lex_state = 387},
  [929] = {.lex_state = 387},
  [930] = {.lex_state = 387},
  [931] = {.lex_state = 201},
  [932] = {.lex_state = 201},
  [933] = {.lex_state = 201},
  [934] = {.lex_state = 201},
  [935] = {.lex_state = 387},
  [936] = {.lex_state = 201},
  [937] = {.lex_state = 387},
  [938] = {.lex_state = 387},
  [939] = {.lex_state = 387},
  [940] = {.lex_state = 201},
  [941] = {.lex_state = 201},
  [942] = {.lex_state = 387},
  [943] = {.lex_state = 387},
  [944] = {.lex_state = 387},
  [945] = {.lex_state = 387},
  [946] = {.lex_state = 201},
  [947] = {.lex_state = 201},
  [948] = {.lex_state = 387},
  [949] = {.lex_state = 201},
  [950] = {.lex_state = 201},
  [951] = {.lex_state = 201},
  [952] = {.lex_state = 201},
  [953] = {.lex_state = 201},
  [954] = {.lex_state = 201},
  [955] = {.lex_state = 201},
  [956] = {.lex_state = 201},
  [957] = {.lex_state = 201},
  [958] = {.lex_state = 387},
  [959] = {.lex_state = 201},
  [960] = {.lex_state = 201},
  [961] = {.lex_state = 201},
  [962] = {.lex_state = 201},
  [963] = {.lex_state = 387},
  [964] = {.lex_state = 387},
  [965] = {.lex_state = 387},
  [966] = {.lex_state = 201},
  [967] = {.lex_state = 201},
  [968] = {.lex_state = 201},
  [969] = {.lex_state = 201},
  [970] = {.lex_state = 201},
  [971] = {.lex_state = 387},
  [972] = {.lex_state = 201},
  [973] = {.lex_state = 387},
  [974] = {.lex_state = 387},
  [975] = {.lex_state = 201},
  [976] = {.lex_state = 387},
  [977] = {.lex_state = 201},
  [978] = {.lex_state = 201},
  [979] = {.lex_state = 387},
  [980] = {.lex_state = 387},
  [981] = {.lex_state = 201},
  [982] = {.lex_state = 387},
  [983] = {.lex_state = 252},
  [984] = {.lex_state = 387},
  [985] = {.lex_state = 190},
  [986] = {.lex_state = 192},
  [987] = {.lex_state = 387},
  [988] = {.lex_state = 387},
  [989] = {.lex_state = 387},
  [990] = {.lex_state = 387},
  [991] = {.lex_state = 280},
  [992] = {.lex_state = 387},
  [993] = {.lex_state = 280},
  [994] = {.lex_state = 387},
  [995] = {.lex_state = 387},
  [996] = {.lex_state = 280},
  [997] = {.lex_state = 280},
  [998] = {.lex_state = 387},
  [999] = {.lex_state = 387},
  [1000] = {.lex_state = 283},
  [1001] = {.lex_state = 280},
  [1002] = {.lex_state = 280},
  [1003] = {.lex_state = 387},
  [1004] = {.lex_state = 387},
  [1005] = {.lex_state = 387},
  [1006] = {.lex_state = 387},
  [1007] = {.lex_state = 387},
  [1008] = {.lex_state = 387},
  [1009] = {.lex_state = 387},
  [1010] = {.lex_state = 387},
  [1011] = {.lex_state = 280},
  [1012] = {.lex_state = 387},
  [1013] = {.lex_state = 387},
  [1014] = {.lex_state = 387},
  [1015] = {.lex_state = 387},
  [1016] = {.lex_state = 280},
  [1017] = {.lex_state = 387},
  [1018] = {.lex_state = 387},
  [1019] = {.lex_state = 387},
  [1020] = {.lex_state = 387},
  [1021] = {.lex_state = 387},
  [1022] = {.lex_state = 387},
  [1023] = {.lex_state = 387},
  [1024] = {.lex_state = 387},
  [1025] = {.lex_state = 280},
  [1026] = {.lex_state = 280},
  [1027] = {.lex_state = 387},
  [1028] = {.lex_state = 283},
  [1029] = {.lex_state = 387},
  [1030] = {.lex_state = 280},
  [1031] = {.lex_state = 280},
  [1032] = {.lex_state = 387},
  [1033] = {.lex_state = 387},
  [1034] = {.lex_state = 280},
  [1035] = {.lex_state = 280},
  [1036] = {.lex_state = 387},
  [1037] = {.lex_state = 280},
  [1038] = {.lex_state = 280},
  [1039] = {.lex_state = 387},
  [1040] = {.lex_state = 280},
  [1041] = {.lex_state = 387},
  [1042] = {.lex_state = 387},
  [1043] = {.lex_state = 387},
  [1044] = {.lex_state = 387},
  [1045] = {.lex_state = 387},
  [1046] = {.lex_state = 387},
  [1047] = {.lex_state = 387},
  [1048] = {.lex_state = 387},
  [1049] = {.lex_state = 280},
  [1050] = {.lex_state = 280},
  [1051] = {.lex_state = 387},
  [1052] = {.lex_state = 387},
  [1053] = {.lex_state = 387},
  [1054] = {.lex_state = 280},
  [1055] = {.lex_state = 387},
  [1056] = {.lex_state = 387},
  [1057] = {.lex_state = 280},
  [1058] = {.lex_state = 387},
  [1059] = {.lex_state = 280},
  [1060] = {.lex_state = 387},
  [1061] = {.lex_state = 387},
  [1062] = {.lex_state = 280},
  [1063] = {.lex_state = 387},
  [1064] = {.lex_state = 387},
  [1065] = {.lex_state = 387},
  [1066] = {.lex_state = 387},
  [1067] = {.lex_state = 387},
  [1068] = {.lex_state = 280},
  [1069] = {.lex_state = 283},
  [1070] = {.lex_state = 387},
  [1071] = {.lex_state = 387},
  [1072] = {.lex_state = 280},
  [1073] = {.lex_state = 387},
  [1074] = {.lex_state = 190},
  [1075] = {.lex_state = 387},
  [1076] = {.lex_state = 195},
  [1077] = {.lex_state = 190},
  [1078] = {.lex_state = 190},
  [1079] = {.lex_state = 190},
  [1080] = {.lex_state = 196},
  [1081] = {.lex_state = 196},
  [1082] = {.lex_state = 282},
  [1083] = {.lex_state = 282},
  [1084] = {.lex_state = 282},
  [1085] = {.lex_state = 282},
  [1086] = {.lex_state = 282},
  [1087] = {.lex_state = 282},
  [1088] = {.lex_state = 282},
  [1089] = {.lex_state = 282},
  [1090] = {.lex_state = 282},
  [1091] = {.lex_state = 387},
  [1092] = {.lex_state = 387},
  [1093] = {.lex_state = 282},
  [1094] = {.lex_state = 282},
  [1095] = {.lex_state = 282},
  [1096] = {.lex_state = 282},
  [1097] = {.lex_state = 282},
  [1098] = {.lex_state = 282},
  [1099] = {.lex_state = 282},
  [1100] = {.lex_state = 282},
  [1101] = {.lex_state = 282},
  [1102] = {.lex_state = 387},
  [1103] = {.lex_state = 204},
  [1104] = {.lex_state = 204},
  [1105] = {.lex_state = 204},
  [1106] = {.lex_state = 204},
  [1107] = {.lex_state = 204},
  [1108] = {.lex_state = 204},
  [1109] = {.lex_state = 204},
  [1110] = {.lex_state = 204},
  [1111] = {.lex_state = 204},
  [1112] = {.lex_state = 204},
  [1113] = {.lex_state = 204},
  [1114] = {.lex_state = 204},
  [1115] = {.lex_state = 204},
  [1116] = {.lex_state = 204},
  [1117] = {.lex_state = 204},
  [1118] = {.lex_state = 204},
  [1119] = {.lex_state = 204},
  [1120] = {.lex_state = 204},
  [1121] = {.lex_state = 200},
  [1122] = {.lex_state = 204},
  [1123] = {.lex_state = 200},
  [1124] = {.lex_state = 204},
  [1125] = {.lex_state = 204},
  [1126] = {.lex_state = 204},
  [1127] = {.lex_state = 204},
  [1128] = {.lex_state = 203},
  [1129] = {.lex_state = 203},
  [1130] = {.lex_state = 200},
  [1131] = {.lex_state = 200},
  [1132] = {.lex_state = 200},
  [1133] = {.lex_state = 200},
  [1134] = {.lex_state = 200},
  [1135] = {.lex_state = 200},
  [1136] = {.lex_state = 200},
  [1137] = {.lex_state = 200},
  [1138] = {.lex_state = 200},
  [1139] = {.lex_state = 200},
  [1140] = {.lex_state = 200},
  [1141] = {.lex_state = 200},
  [1142] = {.lex_state = 200},
  [1143] = {.lex_state = 200},
  [1144] = {.lex_state = 200},
  [1145] = {.lex_state = 200},
  [1146] = {.lex_state = 200},
  [1147] = {.lex_state = 200},
  [1148] = {.lex_state = 200},
  [1149] = {.lex_state = 200},
  [1150] = {.lex_state = 200},
  [1151] = {.lex_state = 200},
  [1152] = {.lex_state = 200},
  [1153] = {.lex_state = 200},
  [1154] = {.lex_state = 200},
  [1155] = {.lex_state = 200},
  [1156] = {.lex_state = 200},
  [1157] = {.lex_state = 200},
  [1158] = {.lex_state = 200},
  [1159] = {.lex_state = 200},
  [1160] = {.lex_state = 200},
  [1161] = {.lex_state = 200},
  [1162] = {.lex_state = 200},
  [1163] = {.lex_state = 200},
  [1164] = {.lex_state = 200},
  [1165] = {.lex_state = 200},
  [1166] = {.lex_state = 200},
  [1167] = {.lex_state = 200},
  [1168] = {.lex_state = 200},
  [1169] = {.lex_state = 200},
  [1170] = {.lex_state = 200},
  [1171] = {.lex_state = 200},
  [1172] = {.lex_state = 200},
  [1173] = {.lex_state = 200},
  [1174] = {.lex_state = 200},
  [1175] = {.lex_state = 200},
  [1176] = {.lex_state = 200},
  [1177] = {.lex_state = 200},
  [1178] = {.lex_state = 200},
  [1179] = {.lex_state = 200},
  [1180] = {.lex_state = 200},
  [1181] = {.lex_state = 200},
  [1182] = {.lex_state = 200},
  [1183] = {.lex_state = 200},
  [1184] = {.lex_state = 200},
  [1185] = {.lex_state = 200},
  [1186] = {.lex_state = 200},
  [1187] = {.lex_state = 200},
  [1188] = {.lex_state = 200},
  [1189] = {.lex_state = 200},
  [1190] = {.lex_state = 200},
  [1191] = {.lex_state = 200},
  [1192] = {.lex_state = 200},
  [1193] = {.lex_state = 200},
  [1194] = {.lex_state = 200},
  [1195] = {.lex_state = 200},
  [1196] = {.lex_state = 200},
  [1197] = {.lex_state = 200},
  [1198] = {.lex_state = 200},
  [1199] = {.lex_state = 200},
  [1200] = {.lex_state = 200},
  [1201] = {.lex_state = 200},
  [1202] = {.lex_state = 200},
  [1203] = {.lex_state = 200},
  [1204] = {.lex_state = 200},
  [1205] = {.lex_state = 200},
  [1206] = {.lex_state = 200},
  [1207] = {.lex_state = 200},
  [1208] = {.lex_state = 200},
  [1209] = {.lex_state = 200},
  [1210] = {.lex_state = 200},
  [1211] = {.lex_state = 200},
  [1212] = {.lex_state = 200},
  [1213] = {.lex_state = 200},
  [1214] = {.lex_state = 204},
  [1215] = {.lex_state = 204},
  [1216] = {.lex_state = 204},
  [1217] = {.lex_state = 204},
  [1218] = {.lex_state = 204},
  [1219] = {.lex_state = 204},
  [1220] = {.lex_state = 204},
  [1221] = {.lex_state = 204},
  [1222] = {.lex_state = 204},
  [1223] = {.lex_state = 204},
  [1224] = {.lex_state = 204},
  [1225] = {.lex_state = 204},
  [1226] = {.lex_state = 204},
  [1227] = {.lex_state = 204},
  [1228] = {.lex_state = 204},
  [1229] = {.lex_state = 204},
  [1230] = {.lex_state = 204},
  [1231] = {.lex_state = 204},
  [1232] = {.lex_state = 204},
  [1233] = {.lex_state = 204},
  [1234] = {.lex_state = 204},
  [1235] = {.lex_state = 204},
  [1236] = {.lex_state = 222},
  [1237] = {.lex_state = 204},
  [1238] = {.lex_state = 204},
  [1239] = {.lex_state = 204},
  [1240] = {.lex_state = 204},
  [1241] = {.lex_state = 204},
  [1242] = {.lex_state = 204},
  [1243] = {.lex_state = 204},
  [1244] = {.lex_state = 204},
  [1245] = {.lex_state = 204},
  [1246] = {.lex_state = 204},
  [1247] = {.lex_state = 222},
  [1248] = {.lex_state = 204},
  [1249] = {.lex_state = 204},
  [1250] = {.lex_state = 204},
  [1251] = {.lex_state = 222},
  [1252] = {.lex_state = 204},
  [1253] = {.lex_state = 204},
  [1254] = {.lex_state = 222},
  [1255] = {.lex_state = 222},
  [1256] = {.lex_state = 219},
  [1257] = {.lex_state = 222},
  [1258] = {.lex_state = 204},
  [1259] = {.lex_state = 204},
  [1260] = {.lex_state = 222},
  [1261] = {.lex_state = 204},
  [1262] = {.lex_state = 222},
  [1263] = {.lex_state = 204},
  [1264] = {.lex_state = 222},
  [1265] = {.lex_state = 222},
  [1266] = {.lex_state = 204},
  [1267] = {.lex_state = 204},
  [1268] = {.lex_state = 204},
  [1269] = {.lex_state = 204},
  [1270] = {.lex_state = 204},
  [1271] = {.lex_state = 204},
  [1272] = {.lex_state = 222},
  [1273] = {.lex_state = 222},
  [1274] = {.lex_state = 204},
  [1275] = {.lex_state = 222},
  [1276] = {.lex_state = 204},
  [1277] = {.lex_state = 222},
  [1278] = {.lex_state = 204},
  [1279] = {.lex_state = 204},
  [1280] = {.lex_state = 204},
  [1281] = {.lex_state = 204},
  [1282] = {.lex_state = 204},
  [1283] = {.lex_state = 204},
  [1284] = {.lex_state = 204},
  [1285] = {.lex_state = 204},
  [1286] = {.lex_state = 282},
  [1287] = {.lex_state = 204},
  [1288] = {.lex_state = 204},
  [1289] = {.lex_state = 204},
  [1290] = {.lex_state = 204},
  [1291] = {.lex_state = 204},
  [1292] = {.lex_state = 204},
  [1293] = {.lex_state = 204},
  [1294] = {.lex_state = 204},
  [1295] = {.lex_state = 204},
  [1296] = {.lex_state = 204},
  [1297] = {.lex_state = 204},
  [1298] = {.lex_state = 204},
  [1299] = {.lex_state = 204},
  [1300] = {.lex_state = 204},
  [1301] = {.lex_state = 204},
  [1302] = {.lex_state = 204},
  [1303] = {.lex_state = 204},
  [1304] = {.lex_state = 204},
  [1305] = {.lex_state = 204},
  [1306] = {.lex_state = 203},
  [1307] = {.lex_state = 204},
  [1308] = {.lex_state = 204},
  [1309] = {.lex_state = 204},
  [1310] = {.lex_state = 204},
  [1311] = {.lex_state = 204},
  [1312] = {.lex_state = 204},
  [1313] = {.lex_state = 203},
  [1314] = {.lex_state = 204},
  [1315] = {.lex_state = 203},
  [1316] = {.lex_state = 204},
  [1317] = {.lex_state = 203},
  [1318] = {.lex_state = 203},
  [1319] = {.lex_state = 204},
  [1320] = {.lex_state = 204},
  [1321] = {.lex_state = 204},
  [1322] = {.lex_state = 203},
  [1323] = {.lex_state = 204},
  [1324] = {.lex_state = 204},
  [1325] = {.lex_state = 204},
  [1326] = {.lex_state = 203},
  [1327] = {.lex_state = 203},
  [1328] = {.lex_state = 203},
  [1329] = {.lex_state = 203},
  [1330] = {.lex_state = 204},
  [1331] = {.lex_state = 203},
  [1332] = {.lex_state = 204},
  [1333] = {.lex_state = 204},
  [1334] = {.lex_state = 203},
  [1335] = {.lex_state = 204},
  [1336] = {.lex_state = 204},
  [1337] = {.lex_state = 203},
  [1338] = {.lex_state = 204},
  [1339] = {.lex_state = 203},
  [1340] = {.lex_state = 203},
  [1341] = {.lex_state = 203},
  [1342] = {.lex_state = 203},
  [1343] = {.lex_state = 204},
  [1344] = {.lex_state = 204},
  [1345] = {.lex_state = 204},
  [1346] = {.lex_state = 204},
  [1347] = {.lex_state = 204},
  [1348] = {.lex_state = 203},
  [1349] = {.lex_state = 204},
  [1350] = {.lex_state = 204},
  [1351] = {.lex_state = 204},
  [1352] = {.lex_state = 203},
  [1353] = {.lex_state = 204},
  [1354] = {.lex_state = 203},
  [1355] = {.lex_state = 204},
  [1356] = {.lex_state = 204},
  [1357] = {.lex_state = 204},
  [1358] = {.lex_state = 203},
  [1359] = {.lex_state = 204},
  [1360] = {.lex_state = 204},
  [1361] = {.lex_state = 204},
  [1362] = {.lex_state = 203},
  [1363] = {.lex_state = 204},
  [1364] = {.lex_state = 204},
  [1365] = {.lex_state = 203},
  [1366] = {.lex_state = 204},
  [1367] = {.lex_state = 203},
  [1368] = {.lex_state = 204},
  [1369] = {.lex_state = 204},
  [1370] = {.lex_state = 204},
  [1371] = {.lex_state = 204},
  [1372] = {.lex_state = 204},
  [1373] = {.lex_state = 203},
  [1374] = {.lex_state = 204},
  [1375] = {.lex_state = 204},
  [1376] = {.lex_state = 204},
  [1377] = {.lex_state = 203},
  [1378] = {.lex_state = 204},
  [1379] = {.lex_state = 203},
  [1380] = {.lex_state = 204},
  [1381] = {.lex_state = 204},
  [1382] = {.lex_state = 204},
  [1383] = {.lex_state = 204},
  [1384] = {.lex_state = 204},
  [1385] = {.lex_state = 204},
  [1386] = {.lex_state = 203},
  [1387] = {.lex_state = 203},
  [1388] = {.lex_state = 203},
  [1389] = {.lex_state = 204},
  [1390] = {.lex_state = 204},
  [1391] = {.lex_state = 204},
  [1392] = {.lex_state = 204},
  [1393] = {.lex_state = 204},
  [1394] = {.lex_state = 204},
  [1395] = {.lex_state = 204},
  [1396] = {.lex_state = 204},
  [1397] = {.lex_state = 204},
  [1398] = {.lex_state = 204},
  [1399] = {.lex_state = 204},
  [1400] = {.lex_state = 204},
  [1401] = {.lex_state = 204},
  [1402] = {.lex_state = 204},
  [1403] = {.lex_state = 204},
  [1404] = {.lex_state = 204},
  [1405] = {.lex_state = 204},
  [1406] = {.lex_state = 204},
  [1407] = {.lex_state = 204},
  [1408] = {.lex_state = 204},
  [1409] = {.lex_state = 204},
  [1410] = {.lex_state = 204},
  [1411] = {.lex_state = 204},
  [1412] = {.lex_state = 204},
  [1413] = {.lex_state = 204},
  [1414] = {.lex_state = 204},
  [1415] = {.lex_state = 204},
  [1416] = {.lex_state = 204},
  [1417] = {.lex_state = 204},
  [1418] = {.lex_state = 204},
  [1419] = {.lex_state = 204},
  [1420] = {.lex_state = 204},
  [1421] = {.lex_state = 204},
  [1422] = {.lex_state = 204},
  [1423] = {.lex_state = 204},
  [1424] = {.lex_state = 204},
  [1425] = {.lex_state = 204},
  [1426] = {.lex_state = 204},
  [1427] = {.lex_state = 204},
  [1428] = {.lex_state = 204},
  [1429] = {.lex_state = 204},
  [1430] = {.lex_state = 204},
  [1431] = {.lex_state = 204},
  [1432] = {.lex_state = 204},
  [1433] = {.lex_state = 204},
  [1434] = {.lex_state = 204},
  [1435] = {.lex_state = 204},
  [1436] = {.lex_state = 204},
  [1437] = {.lex_state = 204},
  [1438] = {.lex_state = 204},
  [1439] = {.lex_state = 204},
  [1440] = {.lex_state = 204},
  [1441] = {.lex_state = 204},
  [1442] = {.lex_state = 204},
  [1443] = {.lex_state = 204},
  [1444] = {.lex_state = 204},
  [1445] = {.lex_state = 204},
  [1446] = {.lex_state = 204},
  [1447] = {.lex_state = 204},
  [1448] = {.lex_state = 204},
  [1449] = {.lex_state = 204},
  [1450] = {.lex_state = 204},
  [1451] = {.lex_state = 204},
  [1452] = {.lex_state = 204},
  [1453] = {.lex_state = 204},
  [1454] = {.lex_state = 204},
  [1455] = {.lex_state = 204},
  [1456] = {.lex_state = 204},
  [1457] = {.lex_state = 204},
  [1458] = {.lex_state = 204},
  [1459] = {.lex_state = 204},
  [1460] = {.lex_state = 204},
  [1461] = {.lex_state = 204},
  [1462] = {.lex_state = 204},
  [1463] = {.lex_state = 204},
  [1464] = {.lex_state = 204},
  [1465] = {.lex_state = 204},
  [1466] = {.lex_state = 204},
  [1467] = {.lex_state = 204},
  [1468] = {.lex_state = 204},
  [1469] = {.lex_state = 204},
  [1470] = {.lex_state = 204},
  [1471] = {.lex_state = 204},
  [1472] = {.lex_state = 204},
  [1473] = {.lex_state = 204},
  [1474] = {.lex_state = 204},
  [1475] = {.lex_state = 204},
  [1476] = {.lex_state = 204},
  [1477] = {.lex_state = 204},
  [1478] = {.lex_state = 204},
  [1479] = {.lex_state = 204},
  [1480] = {.lex_state = 204},
  [1481] = {.lex_state = 204},
  [1482] = {.lex_state = 204},
  [1483] = {.lex_state = 204},
  [1484] = {.lex_state = 204},
  [1485] = {.lex_state = 204},
  [1486] = {.lex_state = 204},
  [1487] = {.lex_state = 204},
  [1488] = {.lex_state = 204},
  [1489] = {.lex_state = 204},
  [1490] = {.lex_state = 204},
  [1491] = {.lex_state = 204},
  [1492] = {.lex_state = 204},
  [1493] = {.lex_state = 204},
  [1494] = {.lex_state = 204},
  [1495] = {.lex_state = 204},
  [1496] = {.lex_state = 204},
  [1497] = {.lex_state = 204},
  [1498] = {.lex_state = 204},
  [1499] = {.lex_state = 204},
  [1500] = {.lex_state = 204},
  [1501] = {.lex_state = 204},
  [1502] = {.lex_state = 204},
  [1503] = {.lex_state = 204},
  [1504] = {.lex_state = 204},
  [1505] = {.lex_state = 204},
  [1506] = {.lex_state = 204},
  [1507] = {.lex_state = 204},
  [1508] = {.lex_state = 204},
  [1509] = {.lex_state = 204},
  [1510] = {.lex_state = 204},
  [1511] = {.lex_state = 204},
  [1512] = {.lex_state = 204},
  [1513] = {.lex_state = 204},
  [1514] = {.lex_state = 204},
  [1515] = {.lex_state = 204},
  [1516] = {.lex_state = 204},
  [1517] = {.lex_state = 204},
  [1518] = {.lex_state = 204},
  [1519] = {.lex_state = 204},
  [1520] = {.lex_state = 204},
  [1521] = {.lex_state = 204},
  [1522] = {.lex_state = 204},
  [1523] = {.lex_state = 204},
  [1524] = {.lex_state = 204},
  [1525] = {.lex_state = 204},
  [1526] = {.lex_state = 204},
  [1527] = {.lex_state = 204},
  [1528] = {.lex_state = 204},
  [1529] = {.lex_state = 204},
  [1530] = {.lex_state = 204},
  [1531] = {.lex_state = 204},
  [1532] = {.lex_state = 204},
  [1533] = {.lex_state = 204},
  [1534] = {.lex_state = 204},
  [1535] = {.lex_state = 204},
  [1536] = {.lex_state = 204},
  [1537] = {.lex_state = 204},
  [1538] = {.lex_state = 204},
  [1539] = {.lex_state = 204},
  [1540] = {.lex_state = 204},
  [1541] = {.lex_state = 204},
  [1542] = {.lex_state = 204},
  [1543] = {.lex_state = 204},
  [1544] = {.lex_state = 204},
  [1545] = {.lex_state = 204},
  [1546] = {.lex_state = 204},
  [1547] = {.lex_state = 204},
  [1548] = {.lex_state = 204},
  [1549] = {.lex_state = 204},
  [1550] = {.lex_state = 204},
  [1551] = {.lex_state = 204},
  [1552] = {.lex_state = 204},
  [1553] = {.lex_state = 204},
  [1554] = {.lex_state = 204},
  [1555] = {.lex_state = 204},
  [1556] = {.lex_state = 204},
  [1557] = {.lex_state = 204},
  [1558] = {.lex_state = 204},
  [1559] = {.lex_state = 204},
  [1560] = {.lex_state = 204},
  [1561] = {.lex_state = 204},
  [1562] = {.lex_state = 204},
  [1563] = {.lex_state = 204},
  [1564] = {.lex_state = 204},
  [1565] = {.lex_state = 204},
  [1566] = {.lex_state = 204},
  [1567] = {.lex_state = 204},
  [1568] = {.lex_state = 204},
  [1569] = {.lex_state = 204},
  [1570] = {.lex_state = 204},
  [1571] = {.lex_state = 204},
  [1572] = {.lex_state = 204},
  [1573] = {.lex_state = 204},
  [1574] = {.lex_state = 204},
  [1575] = {.lex_state = 204},
  [1576] = {.lex_state = 204},
  [1577] = {.lex_state = 204},
  [1578] = {.lex_state = 204},
  [1579] = {.lex_state = 204},
  [1580] = {.lex_state = 204},
  [1581] = {.lex_state = 204},
  [1582] = {.lex_state = 204},
  [1583] = {.lex_state = 204},
  [1584] = {.lex_state = 204},
  [1585] = {.lex_state = 204},
  [1586] = {.lex_state = 204},
  [1587] = {.lex_state = 204},
  [1588] = {.lex_state = 204},
  [1589] = {.lex_state = 204},
  [1590] = {.lex_state = 204},
  [1591] = {.lex_state = 204},
  [1592] = {.lex_state = 204},
  [1593] = {.lex_state = 204},
  [1594] = {.lex_state = 204},
  [1595] = {.lex_state = 204},
  [1596] = {.lex_state = 204},
  [1597] = {.lex_state = 204},
  [1598] = {.lex_state = 204},
  [1599] = {.lex_state = 204},
  [1600] = {.lex_state = 204},
  [1601] = {.lex_state = 204},
  [1602] = {.lex_state = 204},
  [1603] = {.lex_state = 204},
  [1604] = {.lex_state = 204},
  [1605] = {.lex_state = 204},
  [1606] = {.lex_state = 204},
  [1607] = {.lex_state = 204},
  [1608] = {.lex_state = 204},
  [1609] = {.lex_state = 204},
  [1610] = {.lex_state = 204},
  [1611] = {.lex_state = 204},
  [1612] = {.lex_state = 204},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 204},
  [1618] = {.lex_state = 204},
  [1619] = {.lex_state = 204},
  [1620] = {.lex_state = 204},
  [1621] = {.lex_state = 204},
  [1622] = {.lex_state = 204},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 204},
  [1625] = {.lex_state = 204},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 204},
  [1628] = {.lex_state = 204},
  [1629] = {.lex_state = 204},
  [1630] = {.lex_state = 204},
  [1631] = {.lex_state = 204},
  [1632] = {.lex_state = 204},
  [1633] = {.lex_state = 204},
  [1634] = {.lex_state = 204},
  [1635] = {.lex_state = 204},
  [1636] = {.lex_state = 204},
  [1637] = {.lex_state = 204},
  [1638] = {.lex_state = 204},
  [1639] = {.lex_state = 204},
  [1640] = {.lex_state = 204},
  [1641] = {.lex_state = 204},
  [1642] = {.lex_state = 204},
  [1643] = {.lex_state = 204},
  [1644] = {.lex_state = 204},
  [1645] = {.lex_state = 204},
  [1646] = {.lex_state = 204},
  [1647] = {.lex_state = 204},
  [1648] = {.lex_state = 204},
  [1649] = {.lex_state = 204},
  [1650] = {.lex_state = 204},
  [1651] = {.lex_state = 204},
  [1652] = {.lex_state = 204},
  [1653] = {.lex_state = 204},
  [1654] = {.lex_state = 204},
  [1655] = {.lex_state = 204},
  [1656] = {.lex_state = 204},
  [1657] = {.lex_state = 204},
  [1658] = {.lex_state = 204},
  [1659] = {.lex_state = 204},
  [1660] = {.lex_state = 204},
  [1661] = {.lex_state = 204},
  [1662] = {.lex_state = 204},
  [1663] = {.lex_state = 204},
  [1664] = {.lex_state = 204},
  [1665] = {.lex_state = 204},
  [1666] = {.lex_state = 204},
  [1667] = {.lex_state = 204},
  [1668] = {.lex_state = 204},
  [1669] = {.lex_state = 204},
  [1670] = {.lex_state = 204},
  [1671] = {.lex_state = 204},
  [1672] = {.lex_state = 204},
  [1673] = {.lex_state = 204},
  [1674] = {.lex_state = 204},
  [1675] = {.lex_state = 204},
  [1676] = {.lex_state = 204},
  [1677] = {.lex_state = 204},
  [1678] = {.lex_state = 204},
  [1679] = {.lex_state = 204},
  [1680] = {.lex_state = 204},
  [1681] = {.lex_state = 204},
  [1682] = {.lex_state = 204},
  [1683] = {.lex_state = 204},
  [1684] = {.lex_state = 204},
  [1685] = {.lex_state = 204},
  [1686] = {.lex_state = 204},
  [1687] = {.lex_state = 204},
  [1688] = {.lex_state = 204},
  [1689] = {.lex_state = 204},
  [1690] = {.lex_state = 204},
  [1691] = {.lex_state = 204},
  [1692] = {.lex_state = 204},
  [1693] = {.lex_state = 204},
  [1694] = {.lex_state = 204},
  [1695] = {.lex_state = 204},
  [1696] = {.lex_state = 204},
  [1697] = {.lex_state = 204},
  [1698] = {.lex_state = 204},
  [1699] = {.lex_state = 204},
  [1700] = {.lex_state = 204},
  [1701] = {.lex_state = 204},
  [1702] = {.lex_state = 204},
  [1703] = {.lex_state = 204},
  [1704] = {.lex_state = 204},
  [1705] = {.lex_state = 204},
  [1706] = {.lex_state = 204},
  [1707] = {.lex_state = 204},
  [1708] = {.lex_state = 204},
  [1709] = {.lex_state = 204},
  [1710] = {.lex_state = 204},
  [1711] = {.lex_state = 204},
  [1712] = {.lex_state = 204},
  [1713] = {.lex_state = 204},
  [1714] = {.lex_state = 204},
  [1715] = {.lex_state = 204},
  [1716] = {.lex_state = 204},
  [1717] = {.lex_state = 204},
  [1718] = {.lex_state = 204},
  [1719] = {.lex_state = 204},
  [1720] = {.lex_state = 204},
  [1721] = {.lex_state = 204},
  [1722] = {.lex_state = 204},
  [1723] = {.lex_state = 204},
  [1724] = {.lex_state = 204},
  [1725] = {.lex_state = 204},
  [1726] = {.lex_state = 204},
  [1727] = {.lex_state = 204},
  [1728] = {.lex_state = 204},
  [1729] = {.lex_state = 204},
  [1730] = {.lex_state = 204},
  [1731] = {.lex_state = 204},
  [1732] = {.lex_state = 204},
  [1733] = {.lex_state = 204},
  [1734] = {.lex_state = 204},
  [1735] = {.lex_state = 204},
  [1736] = {.lex_state = 204},
  [1737] = {.lex_state = 204},
  [1738] = {.lex_state = 204},
  [1739] = {.lex_state = 204},
  [1740] = {.lex_state = 204},
  [1741] = {.lex_state = 204},
  [1742] = {.lex_state = 204},
  [1743] = {.lex_state = 204},
  [1744] = {.lex_state = 204},
  [1745] = {.lex_state = 204},
  [1746] = {.lex_state = 204},
  [1747] = {.lex_state = 204},
  [1748] = {.lex_state = 204},
  [1749] = {.lex_state = 204},
  [1750] = {.lex_state = 204},
  [1751] = {.lex_state = 204},
  [1752] = {.lex_state = 204},
  [1753] = {.lex_state = 204},
  [1754] = {.lex_state = 204},
  [1755] = {.lex_state = 204},
  [1756] = {.lex_state = 204},
  [1757] = {.lex_state = 204},
  [1758] = {.lex_state = 204},
  [1759] = {.lex_state = 204},
  [1760] = {.lex_state = 204},
  [1761] = {.lex_state = 204},
  [1762] = {.lex_state = 204},
  [1763] = {.lex_state = 204},
  [1764] = {.lex_state = 204},
  [1765] = {.lex_state = 204},
  [1766] = {.lex_state = 204},
  [1767] = {.lex_state = 204},
  [1768] = {.lex_state = 204},
  [1769] = {.lex_state = 204},
  [1770] = {.lex_state = 204},
  [1771] = {.lex_state = 204},
  [1772] = {.lex_state = 204},
  [1773] = {.lex_state = 204},
  [1774] = {.lex_state = 204},
  [1775] = {.lex_state = 204},
  [1776] = {.lex_state = 204},
  [1777] = {.lex_state = 204},
  [1778] = {.lex_state = 204},
  [1779] = {.lex_state = 204},
  [1780] = {.lex_state = 204},
  [1781] = {.lex_state = 204},
  [1782] = {.lex_state = 204},
  [1783] = {.lex_state = 204},
  [1784] = {.lex_state = 204},
  [1785] = {.lex_state = 204},
  [1786] = {.lex_state = 204},
  [1787] = {.lex_state = 204},
  [1788] = {.lex_state = 204},
  [1789] = {.lex_state = 204},
  [1790] = {.lex_state = 204},
  [1791] = {.lex_state = 204},
  [1792] = {.lex_state = 204},
  [1793] = {.lex_state = 204},
  [1794] = {.lex_state = 204},
  [1795] = {.lex_state = 204},
  [1796] = {.lex_state = 204},
  [1797] = {.lex_state = 204},
  [1798] = {.lex_state = 204},
  [1799] = {.lex_state = 204},
  [1800] = {.lex_state = 204},
  [1801] = {.lex_state = 204},
  [1802] = {.lex_state = 204},
  [1803] = {.lex_state = 204},
  [1804] = {.lex_state = 204},
  [1805] = {.lex_state = 204},
  [1806] = {.lex_state = 204},
  [1807] = {.lex_state = 204},
  [1808] = {.lex_state = 204},
  [1809] = {.lex_state = 204},
  [1810] = {.lex_state = 204},
  [1811] = {.lex_state = 204},
  [1812] = {.lex_state = 204},
  [1813] = {.lex_state = 204},
  [1814] = {.lex_state = 204},
  [1815] = {.lex_state = 204},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 204},
  [1818] = {.lex_state = 204},
  [1819] = {.lex_state = 204},
  [1820] = {.lex_state = 204},
  [1821] = {.lex_state = 204},
  [1822] = {.lex_state = 204},
  [1823] = {.lex_state = 204},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 204},
  [1826] = {.lex_state = 204},
  [1827] = {.lex_state = 204},
  [1828] = {.lex_state = 204},
  [1829] = {.lex_state = 204},
  [1830] = {.lex_state = 204},
  [1831] = {.lex_state = 204},
  [1832] = {.lex_state = 204},
  [1833] = {.lex_state = 204},
  [1834] = {.lex_state = 204},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 204},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 204},
  [1841] = {.lex_state = 204},
  [1842] = {.lex_state = 204},
  [1843] = {.lex_state = 204},
  [1844] = {.lex_state = 204},
  [1845] = {.lex_state = 204},
  [1846] = {.lex_state = 204},
  [1847] = {.lex_state = 204},
  [1848] = {.lex_state = 204},
  [1849] = {.lex_state = 204},
  [1850] = {.lex_state = 204},
  [1851] = {.lex_state = 204},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 204},
  [1854] = {.lex_state = 204},
  [1855] = {.lex_state = 204},
  [1856] = {.lex_state = 204},
  [1857] = {.lex_state = 204},
  [1858] = {.lex_state = 204},
  [1859] = {.lex_state = 204},
  [1860] = {.lex_state = 204},
  [1861] = {.lex_state = 204},
  [1862] = {.lex_state = 204},
  [1863] = {.lex_state = 204},
  [1864] = {.lex_state = 204},
  [1865] = {.lex_state = 204},
  [1866] = {.lex_state = 204},
  [1867] = {.lex_state = 204},
  [1868] = {.lex_state = 204},
  [1869] = {.lex_state = 204},
  [1870] = {.lex_state = 204},
  [1871] = {.lex_state = 204},
  [1872] = {.lex_state = 204},
  [1873] = {.lex_state = 204},
  [1874] = {.lex_state = 204},
  [1875] = {.lex_state = 204},
  [1876] = {.lex_state = 204},
  [1877] = {.lex_state = 204},
  [1878] = {.lex_state = 204},
  [1879] = {.lex_state = 204},
  [1880] = {.lex_state = 204},
  [1881] = {.lex_state = 204},
  [1882] = {.lex_state = 204},
  [1883] = {.lex_state = 204},
  [1884] = {.lex_state = 204},
  [1885] = {.lex_state = 204},
  [1886] = {.lex_state = 204},
  [1887] = {.lex_state = 204},
  [1888] = {.lex_state = 204},
  [1889] = {.lex_state = 204},
  [1890] = {.lex_state = 204},
  [1891] = {.lex_state = 204},
  [1892] = {.lex_state = 204},
  [1893] = {.lex_state = 204},
  [1894] = {.lex_state = 204},
  [1895] = {.lex_state = 204},
  [1896] = {.lex_state = 204},
  [1897] = {.lex_state = 204},
  [1898] = {.lex_state = 204},
  [1899] = {.lex_state = 204},
  [1900] = {.lex_state = 204},
  [1901] = {.lex_state = 204},
  [1902] = {.lex_state = 204},
  [1903] = {.lex_state = 204},
  [1904] = {.lex_state = 204},
  [1905] = {.lex_state = 204},
  [1906] = {.lex_state = 204},
  [1907] = {.lex_state = 204},
  [1908] = {.lex_state = 204},
  [1909] = {.lex_state = 204},
  [1910] = {.lex_state = 204},
  [1911] = {.lex_state = 204},
  [1912] = {.lex_state = 204},
  [1913] = {.lex_state = 204},
  [1914] = {.lex_state = 204},
  [1915] = {.lex_state = 204},
  [1916] = {.lex_state = 204},
  [1917] = {.lex_state = 204},
  [1918] = {.lex_state = 204},
  [1919] = {.lex_state = 204},
  [1920] = {.lex_state = 204},
  [1921] = {.lex_state = 204},
  [1922] = {.lex_state = 204},
  [1923] = {.lex_state = 204},
  [1924] = {.lex_state = 204},
  [1925] = {.lex_state = 204},
  [1926] = {.lex_state = 204},
  [1927] = {.lex_state = 204},
  [1928] = {.lex_state = 204},
  [1929] = {.lex_state = 204},
  [1930] = {.lex_state = 204},
  [1931] = {.lex_state = 204},
  [1932] = {.lex_state = 204},
  [1933] = {.lex_state = 204},
  [1934] = {.lex_state = 204},
  [1935] = {.lex_state = 204},
  [1936] = {.lex_state = 204},
  [1937] = {.lex_state = 204},
  [1938] = {.lex_state = 204},
  [1939] = {.lex_state = 204},
  [1940] = {.lex_state = 204},
  [1941] = {.lex_state = 204},
  [1942] = {.lex_state = 204},
  [1943] = {.lex_state = 204},
  [1944] = {.lex_state = 204},
  [1945] = {.lex_state = 204},
  [1946] = {.lex_state = 282},
  [1947] = {.lex_state = 282},
  [1948] = {.lex_state = 282},
  [1949] = {.lex_state = 282},
  [1950] = {.lex_state = 282},
  [1951] = {.lex_state = 200},
  [1952] = {.lex_state = 200},
  [1953] = {.lex_state = 200},
  [1954] = {.lex_state = 244},
  [1955] = {.lex_state = 244},
  [1956] = {.lex_state = 244},
  [1957] = {.lex_state = 244},
  [1958] = {.lex_state = 231},
  [1959] = {.lex_state = 244},
  [1960] = {.lex_state = 244},
  [1961] = {.lex_state = 244},
  [1962] = {.lex_state = 244},
  [1963] = {.lex_state = 244},
  [1964] = {.lex_state = 231},
  [1965] = {.lex_state = 231},
  [1966] = {.lex_state = 219},
  [1967] = {.lex_state = 231},
  [1968] = {.lex_state = 244},
  [1969] = {.lex_state = 244},
  [1970] = {.lex_state = 231},
  [1971] = {.lex_state = 231},
  [1972] = {.lex_state = 244},
  [1973] = {.lex_state = 231},
  [1974] = {.lex_state = 231},
  [1975] = {.lex_state = 231},
  [1976] = {.lex_state = 220},
  [1977] = {.lex_state = 244},
  [1978] = {.lex_state = 282},
  [1979] = {.lex_state = 282},
  [1980] = {.lex_state = 223},
  [1981] = {.lex_state = 231},
  [1982] = {.lex_state = 231},
  [1983] = {.lex_state = 231},
  [1984] = {.lex_state = 231},
  [1985] = {.lex_state = 231},
  [1986] = {.lex_state = 231},
  [1987] = {.lex_state = 231},
  [1988] = {.lex_state = 231},
  [1989] = {.lex_state = 226},
  [1990] = {.lex_state = 226},
  [1991] = {.lex_state = 226},
  [1992] = {.lex_state = 226},
  [1993] = {.lex_state = 226},
  [1994] = {.lex_state = 226},
  [1995] = {.lex_state = 226},
  [1996] = {.lex_state = 282},
  [1997] = {.lex_state = 282},
  [1998] = {.lex_state = 282},
  [1999] = {.lex_state = 282},
  [2000] = {.lex_state = 282},
  [2001] = {.lex_state = 282},
  [2002] = {.lex_state = 282},
  [2003] = {.lex_state = 282},
  [2004] = {.lex_state = 282},
  [2005] = {.lex_state = 282},
  [2006] = {.lex_state = 282},
  [2007] = {.lex_state = 282},
  [2008] = {.lex_state = 282},
  [2009] = {.lex_state = 282},
  [2010] = {.lex_state = 282},
  [2011] = {.lex_state = 208},
  [2012] = {.lex_state = 282},
  [2013] = {.lex_state = 206},
  [2014] = {.lex_state = 282},
  [2015] = {.lex_state = 282},
  [2016] = {.lex_state = 282},
  [2017] = {.lex_state = 282},
  [2018] = {.lex_state = 282},
  [2019] = {.lex_state = 282},
  [2020] = {.lex_state = 282},
  [2021] = {.lex_state = 282},
  [2022] = {.lex_state = 282},
  [2023] = {.lex_state = 282},
  [2024] = {.lex_state = 282},
  [2025] = {.lex_state = 206},
  [2026] = {.lex_state = 282},
  [2027] = {.lex_state = 282},
  [2028] = {.lex_state = 282},
  [2029] = {.lex_state = 206},
  [2030] = {.lex_state = 282},
  [2031] = {.lex_state = 282},
  [2032] = {.lex_state = 282},
  [2033] = {.lex_state = 200},
  [2034] = {.lex_state = 226},
  [2035] = {.lex_state = 226},
  [2036] = {.lex_state = 226},
  [2037] = {.lex_state = 200},
  [2038] = {.lex_state = 282},
  [2039] = {.lex_state = 282},
  [2040] = {.lex_state = 260},
  [2041] = {.lex_state = 260},
  [2042] = {.lex_state = 282},
  [2043] = {.lex_state = 282},
  [2044] = {.lex_state = 260},
  [2045] = {.lex_state = 282},
  [2046] = {.lex_state = 230},
  [2047] = {.lex_state = 260},
  [2048] = {.lex_state = 206},
  [2049] = {.lex_state = 260},
  [2050] = {.lex_state = 260},
  [2051] = {.lex_state = 206},
  [2052] = {.lex_state = 260},
  [2053] = {.lex_state = 206},
  [2054] = {.lex_state = 206},
  [2055] = {.lex_state = 265},
  [2056] = {.lex_state = 229},
  [2057] = {.lex_state = 265},
  [2058] = {.lex_state = 282},
  [2059] = {.lex_state = 282},
  [2060] = {.lex_state = 282},
  [2061] = {.lex_state = 265},
  [2062] = {.lex_state = 234},
  [2063] = {.lex_state = 282},
  [2064] = {.lex_state = 208},
  [2065] = {.lex_state = 265},
  [2066] = {.lex_state = 282},
  [2067] = {.lex_state = 265},
  [2068] = {.lex_state = 265},
  [2069] = {.lex_state = 265},
  [2070] = {.lex_state = 282},
  [2071] = {.lex_state = 226},
  [2072] = {.lex_state = 282},
  [2073] = {.lex_state = 226},
  [2074] = {.lex_state = 226},
  [2075] = {.lex_state = 226},
  [2076] = {.lex_state = 226},
  [2077] = {.lex_state = 231},
  [2078] = {.lex_state = 282},
  [2079] = {.lex_state = 226},
  [2080] = {.lex_state = 226},
  [2081] = {.lex_state = 231},
  [2082] = {.lex_state = 226},
  [2083] = {.lex_state = 226},
  [2084] = {.lex_state = 226},
  [2085] = {.lex_state = 226},
  [2086] = {.lex_state = 226},
  [2087] = {.lex_state = 282},
  [2088] = {.lex_state = 226},
  [2089] = {.lex_state = 226},
  [2090] = {.lex_state = 234},
  [2091] = {.lex_state = 213},
  [2092] = {.lex_state = 252},
  [2093] = {.lex_state = 234},
  [2094] = {.lex_state = 206},
  [2095] = {.lex_state = 252},
  [2096] = {.lex_state = 206},
  [2097] = {.lex_state = 282},
  [2098] = {.lex_state = 213},
  [2099] = {.lex_state = 234},
  [2100] = {.lex_state = 234},
  [2101] = {.lex_state = 232},
  [2102] = {.lex_state = 232},
  [2103] = {.lex_state = 252},
  [2104] = {.lex_state = 260},
  [2105] = {.lex_state = 282},
  [2106] = {.lex_state = 252},
  [2107] = {.lex_state = 282},
  [2108] = {.lex_state = 243},
  [2109] = {.lex_state = 282},
  [2110] = {.lex_state = 282},
  [2111] = {.lex_state = 243},
  [2112] = {.lex_state = 282},
  [2113] = {.lex_state = 206},
  [2114] = {.lex_state = 243},
  [2115] = {.lex_state = 243},
  [2116] = {.lex_state = 243},
  [2117] = {.lex_state = 243},
  [2118] = {.lex_state = 243},
  [2119] = {.lex_state = 232},
  [2120] = {.lex_state = 282},
  [2121] = {.lex_state = 282},
  [2122] = {.lex_state = 243},
  [2123] = {.lex_state = 260},
  [2124] = {.lex_state = 243},
  [2125] = {.lex_state = 206},
  [2126] = {.lex_state = 232},
  [2127] = {.lex_state = 204},
  [2128] = {.lex_state = 232},
  [2129] = {.lex_state = 232},
  [2130] = {.lex_state = 208},
  [2131] = {.lex_state = 282},
  [2132] = {.lex_state = 232},
  [2133] = {.lex_state = 282},
  [2134] = {.lex_state = 232},
  [2135] = {.lex_state = 230},
  [2136] = {.lex_state = 282},
  [2137] = {.lex_state = 282},
  [2138] = {.lex_state = 282},
  [2139] = {.lex_state = 282},
  [2140] = {.lex_state = 282},
  [2141] = {.lex_state = 232},
  [2142] = {.lex_state = 211},
  [2143] = {.lex_state = 243},
  [2144] = {.lex_state = 282},
  [2145] = {.lex_state = 282},
  [2146] = {.lex_state = 282},
  [2147] = {.lex_state = 208},
  [2148] = {.lex_state = 282},
  [2149] = {.lex_state = 282},
  [2150] = {.lex_state = 232},
  [2151] = {.lex_state = 282},
  [2152] = {.lex_state = 282},
  [2153] = {.lex_state = 282},
  [2154] = {.lex_state = 282},
  [2155] = {.lex_state = 282},
  [2156] = {.lex_state = 282},
  [2157] = {.lex_state = 282},
  [2158] = {.lex_state = 282},
  [2159] = {.lex_state = 282},
  [2160] = {.lex_state = 282},
  [2161] = {.lex_state = 282},
  [2162] = {.lex_state = 282},
  [2163] = {.lex_state = 282},
  [2164] = {.lex_state = 282},
  [2165] = {.lex_state = 282},
  [2166] = {.lex_state = 282},
  [2167] = {.lex_state = 282},
  [2168] = {.lex_state = 282},
  [2169] = {.lex_state = 232},
  [2170] = {.lex_state = 282},
  [2171] = {.lex_state = 222},
  [2172] = {.lex_state = 282},
  [2173] = {.lex_state = 282},
  [2174] = {.lex_state = 282},
  [2175] = {.lex_state = 282},
  [2176] = {.lex_state = 282},
  [2177] = {.lex_state = 222},
  [2178] = {.lex_state = 243},
  [2179] = {.lex_state = 219},
  [2180] = {.lex_state = 282},
  [2181] = {.lex_state = 282},
  [2182] = {.lex_state = 232},
  [2183] = {.lex_state = 219},
  [2184] = {.lex_state = 282},
  [2185] = {.lex_state = 243},
  [2186] = {.lex_state = 282},
  [2187] = {.lex_state = 282},
  [2188] = {.lex_state = 282},
  [2189] = {.lex_state = 282},
  [2190] = {.lex_state = 282},
  [2191] = {.lex_state = 282},
  [2192] = {.lex_state = 282},
  [2193] = {.lex_state = 282},
  [2194] = {.lex_state = 282},
  [2195] = {.lex_state = 282},
  [2196] = {.lex_state = 282},
  [2197] = {.lex_state = 282},
  [2198] = {.lex_state = 282},
  [2199] = {.lex_state = 282},
  [2200] = {.lex_state = 282},
  [2201] = {.lex_state = 282},
  [2202] = {.lex_state = 282},
  [2203] = {.lex_state = 282},
  [2204] = {.lex_state = 282},
  [2205] = {.lex_state = 243},
  [2206] = {.lex_state = 282},
  [2207] = {.lex_state = 282},
  [2208] = {.lex_state = 282},
  [2209] = {.lex_state = 265},
  [2210] = {.lex_state = 282},
  [2211] = {.lex_state = 282},
  [2212] = {.lex_state = 282},
  [2213] = {.lex_state = 208},
  [2214] = {.lex_state = 282},
  [2215] = {.lex_state = 252},
  [2216] = {.lex_state = 282},
  [2217] = {.lex_state = 232},
  [2218] = {.lex_state = 282},
  [2219] = {.lex_state = 282},
  [2220] = {.lex_state = 211},
  [2221] = {.lex_state = 211},
  [2222] = {.lex_state = 282},
  [2223] = {.lex_state = 222},
  [2224] = {.lex_state = 282},
  [2225] = {.lex_state = 252},
  [2226] = {.lex_state = 282},
  [2227] = {.lex_state = 282},
  [2228] = {.lex_state = 282},
  [2229] = {.lex_state = 282},
  [2230] = {.lex_state = 282},
  [2231] = {.lex_state = 282},
  [2232] = {.lex_state = 282},
  [2233] = {.lex_state = 282},
  [2234] = {.lex_state = 232},
  [2235] = {.lex_state = 282},
  [2236] = {.lex_state = 220},
  [2237] = {.lex_state = 282},
  [2238] = {.lex_state = 230},
  [2239] = {.lex_state = 280},
  [2240] = {.lex_state = 282},
  [2241] = {.lex_state = 208},
  [2242] = {.lex_state = 283},
  [2243] = {.lex_state = 230},
  [2244] = {.lex_state = 230},
  [2245] = {.lex_state = 282},
  [2246] = {.lex_state = 230},
  [2247] = {.lex_state = 230},
  [2248] = {.lex_state = 283},
  [2249] = {.lex_state = 230},
  [2250] = {.lex_state = 230},
  [2251] = {.lex_state = 282},
  [2252] = {.lex_state = 230},
  [2253] = {.lex_state = 230},
  [2254] = {.lex_state = 208},
  [2255] = {.lex_state = 230},
  [2256] = {.lex_state = 230},
  [2257] = {.lex_state = 230},
  [2258] = {.lex_state = 230},
  [2259] = {.lex_state = 230},
  [2260] = {.lex_state = 230},
  [2261] = {.lex_state = 280},
  [2262] = {.lex_state = 252},
  [2263] = {.lex_state = 252},
  [2264] = {.lex_state = 230},
  [2265] = {.lex_state = 282},
  [2266] = {.lex_state = 208},
  [2267] = {.lex_state = 208},
  [2268] = {.lex_state = 282},
  [2269] = {.lex_state = 283},
  [2270] = {.lex_state = 282},
  [2271] = {.lex_state = 230},
  [2272] = {.lex_state = 230},
  [2273] = {.lex_state = 230},
  [2274] = {.lex_state = 230},
  [2275] = {.lex_state = 252},
  [2276] = {.lex_state = 230},
  [2277] = {.lex_state = 230},
  [2278] = {.lex_state = 208},
  [2279] = {.lex_state = 282},
  [2280] = {.lex_state = 230},
  [2281] = {.lex_state = 230},
  [2282] = {.lex_state = 234},
  [2283] = {.lex_state = 216},
  [2284] = {.lex_state = 230},
  [2285] = {.lex_state = 282},
  [2286] = {.lex_state = 265},
  [2287] = {.lex_state = 230},
  [2288] = {.lex_state = 206},
  [2289] = {.lex_state = 237},
  [2290] = {.lex_state = 216},
  [2291] = {.lex_state = 208},
  [2292] = {.lex_state = 230},
  [2293] = {.lex_state = 280},
  [2294] = {.lex_state = 232},
  [2295] = {.lex_state = 208},
  [2296] = {.lex_state = 230},
  [2297] = {.lex_state = 230},
  [2298] = {.lex_state = 230},
  [2299] = {.lex_state = 230},
  [2300] = {.lex_state = 230},
  [2301] = {.lex_state = 230},
  [2302] = {.lex_state = 230},
  [2303] = {.lex_state = 230},
  [2304] = {.lex_state = 220},
  [2305] = {.lex_state = 230},
  [2306] = {.lex_state = 230},
  [2307] = {.lex_state = 280},
  [2308] = {.lex_state = 230},
  [2309] = {.lex_state = 282},
  [2310] = {.lex_state = 216},
  [2311] = {.lex_state = 230},
  [2312] = {.lex_state = 208},
  [2313] = {.lex_state = 282},
  [2314] = {.lex_state = 206},
  [2315] = {.lex_state = 230},
  [2316] = {.lex_state = 206},
  [2317] = {.lex_state = 234},
  [2318] = {.lex_state = 208},
  [2319] = {.lex_state = 283},
  [2320] = {.lex_state = 211},
  [2321] = {.lex_state = 211},
  [2322] = {.lex_state = 234},
  [2323] = {.lex_state = 282},
  [2324] = {.lex_state = 208},
  [2325] = {.lex_state = 234},
  [2326] = {.lex_state = 252},
  [2327] = {.lex_state = 252},
  [2328] = {.lex_state = 252},
  [2329] = {.lex_state = 252},
  [2330] = {.lex_state = 232},
  [2331] = {.lex_state = 252},
  [2332] = {.lex_state = 252},
  [2333] = {.lex_state = 252},
  [2334] = {.lex_state = 252},
  [2335] = {.lex_state = 252},
  [2336] = {.lex_state = 252},
  [2337] = {.lex_state = 252},
  [2338] = {.lex_state = 229},
  [2339] = {.lex_state = 252},
  [2340] = {.lex_state = 252},
  [2341] = {.lex_state = 252},
  [2342] = {.lex_state = 252},
  [2343] = {.lex_state = 252},
  [2344] = {.lex_state = 252},
  [2345] = {.lex_state = 252},
  [2346] = {.lex_state = 252},
  [2347] = {.lex_state = 252},
  [2348] = {.lex_state = 252},
  [2349] = {.lex_state = 252},
  [2350] = {.lex_state = 252},
  [2351] = {.lex_state = 252},
  [2352] = {.lex_state = 252},
  [2353] = {.lex_state = 252},
  [2354] = {.lex_state = 252},
  [2355] = {.lex_state = 252},
  [2356] = {.lex_state = 252},
  [2357] = {.lex_state = 252},
  [2358] = {.lex_state = 252},
  [2359] = {.lex_state = 252},
  [2360] = {.lex_state = 233},
  [2361] = {.lex_state = 283},
  [2362] = {.lex_state = 206},
  [2363] = {.lex_state = 252},
  [2364] = {.lex_state = 252},
  [2365] = {.lex_state = 252},
  [2366] = {.lex_state = 252},
  [2367] = {.lex_state = 252},
  [2368] = {.lex_state = 252},
  [2369] = {.lex_state = 252},
  [2370] = {.lex_state = 252},
  [2371] = {.lex_state = 252},
  [2372] = {.lex_state = 252},
  [2373] = {.lex_state = 252},
  [2374] = {.lex_state = 252},
  [2375] = {.lex_state = 252},
  [2376] = {.lex_state = 252},
  [2377] = {.lex_state = 252},
  [2378] = {.lex_state = 252},
  [2379] = {.lex_state = 252},
  [2380] = {.lex_state = 252},
  [2381] = {.lex_state = 252},
  [2382] = {.lex_state = 208},
  [2383] = {.lex_state = 252},
  [2384] = {.lex_state = 206},
  [2385] = {.lex_state = 252},
  [2386] = {.lex_state = 252},
  [2387] = {.lex_state = 252},
  [2388] = {.lex_state = 252},
  [2389] = {.lex_state = 282},
  [2390] = {.lex_state = 252},
  [2391] = {.lex_state = 252},
  [2392] = {.lex_state = 252},
  [2393] = {.lex_state = 252},
  [2394] = {.lex_state = 252},
  [2395] = {.lex_state = 204},
  [2396] = {.lex_state = 252},
  [2397] = {.lex_state = 252},
  [2398] = {.lex_state = 232},
  [2399] = {.lex_state = 223},
  [2400] = {.lex_state = 233},
  [2401] = {.lex_state = 252},
  [2402] = {.lex_state = 252},
  [2403] = {.lex_state = 234},
  [2404] = {.lex_state = 252},
  [2405] = {.lex_state = 233},
  [2406] = {.lex_state = 206},
  [2407] = {.lex_state = 234},
  [2408] = {.lex_state = 252},
  [2409] = {.lex_state = 252},
  [2410] = {.lex_state = 229},
  [2411] = {.lex_state = 252},
  [2412] = {.lex_state = 252},
  [2413] = {.lex_state = 232},
  [2414] = {.lex_state = 282},
  [2415] = {.lex_state = 252},
  [2416] = {.lex_state = 232},
  [2417] = {.lex_state = 229},
  [2418] = {.lex_state = 252},
  [2419] = {.lex_state = 280},
  [2420] = {.lex_state = 229},
  [2421] = {.lex_state = 234},
  [2422] = {.lex_state = 252},
  [2423] = {.lex_state = 234},
  [2424] = {.lex_state = 234},
  [2425] = {.lex_state = 234},
  [2426] = {.lex_state = 206},
  [2427] = {.lex_state = 217},
  [2428] = {.lex_state = 252},
  [2429] = {.lex_state = 282},
  [2430] = {.lex_state = 238},
  [2431] = {.lex_state = 234},
  [2432] = {.lex_state = 234},
  [2433] = {.lex_state = 234},
  [2434] = {.lex_state = 234},
  [2435] = {.lex_state = 280},
  [2436] = {.lex_state = 232},
  [2437] = {.lex_state = 217},
  [2438] = {.lex_state = 234},
  [2439] = {.lex_state = 252},
  [2440] = {.lex_state = 252},
  [2441] = {.lex_state = 233},
  [2442] = {.lex_state = 234},
  [2443] = {.lex_state = 282},
  [2444] = {.lex_state = 283},
  [2445] = {.lex_state = 252},
  [2446] = {.lex_state = 252},
  [2447] = {.lex_state = 252},
  [2448] = {.lex_state = 252},
  [2449] = {.lex_state = 252},
  [2450] = {.lex_state = 252},
  [2451] = {.lex_state = 252},
  [2452] = {.lex_state = 223},
  [2453] = {.lex_state = 217},
  [2454] = {.lex_state = 238},
  [2455] = {.lex_state = 252},
  [2456] = {.lex_state = 234},
  [2457] = {.lex_state = 234},
  [2458] = {.lex_state = 234},
  [2459] = {.lex_state = 234},
  [2460] = {.lex_state = 238},
  [2461] = {.lex_state = 234},
  [2462] = {.lex_state = 234},
  [2463] = {.lex_state = 238},
  [2464] = {.lex_state = 234},
  [2465] = {.lex_state = 280},
  [2466] = {.lex_state = 234},
  [2467] = {.lex_state = 238},
  [2468] = {.lex_state = 234},
  [2469] = {.lex_state = 234},
  [2470] = {.lex_state = 238},
  [2471] = {.lex_state = 234},
  [2472] = {.lex_state = 282},
  [2473] = {.lex_state = 238},
  [2474] = {.lex_state = 234},
  [2475] = {.lex_state = 280},
  [2476] = {.lex_state = 234},
  [2477] = {.lex_state = 246},
  [2478] = {.lex_state = 233},
  [2479] = {.lex_state = 234},
  [2480] = {.lex_state = 280},
  [2481] = {.lex_state = 233},
  [2482] = {.lex_state = 206},
  [2483] = {.lex_state = 211},
  [2484] = {.lex_state = 206},
  [2485] = {.lex_state = 233},
  [2486] = {.lex_state = 234},
  [2487] = {.lex_state = 211},
  [2488] = {.lex_state = 234},
  [2489] = {.lex_state = 234},
  [2490] = {.lex_state = 234},
  [2491] = {.lex_state = 234},
  [2492] = {.lex_state = 234},
  [2493] = {.lex_state = 233},
  [2494] = {.lex_state = 211},
  [2495] = {.lex_state = 234},
  [2496] = {.lex_state = 234},
  [2497] = {.lex_state = 234},
  [2498] = {.lex_state = 208},
  [2499] = {.lex_state = 234},
  [2500] = {.lex_state = 234},
  [2501] = {.lex_state = 234},
  [2502] = {.lex_state = 234},
  [2503] = {.lex_state = 234},
  [2504] = {.lex_state = 234},
  [2505] = {.lex_state = 216},
  [2506] = {.lex_state = 211},
  [2507] = {.lex_state = 234},
  [2508] = {.lex_state = 234},
  [2509] = {.lex_state = 234},
  [2510] = {.lex_state = 234},
  [2511] = {.lex_state = 234},
  [2512] = {.lex_state = 233},
  [2513] = {.lex_state = 233},
  [2514] = {.lex_state = 234},
  [2515] = {.lex_state = 234},
  [2516] = {.lex_state = 234},
  [2517] = {.lex_state = 234},
  [2518] = {.lex_state = 233},
  [2519] = {.lex_state = 234},
  [2520] = {.lex_state = 233},
  [2521] = {.lex_state = 238},
  [2522] = {.lex_state = 234},
  [2523] = {.lex_state = 234},
  [2524] = {.lex_state = 238},
  [2525] = {.lex_state = 233},
  [2526] = {.lex_state = 233},
  [2527] = {.lex_state = 233},
  [2528] = {.lex_state = 233},
  [2529] = {.lex_state = 238},
  [2530] = {.lex_state = 234},
  [2531] = {.lex_state = 234},
  [2532] = {.lex_state = 232},
  [2533] = {.lex_state = 234},
  [2534] = {.lex_state = 234},
  [2535] = {.lex_state = 234},
  [2536] = {.lex_state = 234},
  [2537] = {.lex_state = 283},
  [2538] = {.lex_state = 283},
  [2539] = {.lex_state = 245},
  [2540] = {.lex_state = 234},
  [2541] = {.lex_state = 283},
  [2542] = {.lex_state = 234},
  [2543] = {.lex_state = 234},
  [2544] = {.lex_state = 282},
  [2545] = {.lex_state = 216},
  [2546] = {.lex_state = 234},
  [2547] = {.lex_state = 280},
  [2548] = {.lex_state = 280},
  [2549] = {.lex_state = 280},
  [2550] = {.lex_state = 217},
  [2551] = {.lex_state = 280},
  [2552] = {.lex_state = 280},
  [2553] = {.lex_state = 283},
  [2554] = {.lex_state = 280},
  [2555] = {.lex_state = 206},
  [2556] = {.lex_state = 283},
  [2557] = {.lex_state = 280},
  [2558] = {.lex_state = 283},
  [2559] = {.lex_state = 280},
  [2560] = {.lex_state = 280},
  [2561] = {.lex_state = 280},
  [2562] = {.lex_state = 283},
  [2563] = {.lex_state = 283},
  [2564] = {.lex_state = 216},
  [2565] = {.lex_state = 280},
  [2566] = {.lex_state = 280},
  [2567] = {.lex_state = 280},
  [2568] = {.lex_state = 280},
  [2569] = {.lex_state = 280},
  [2570] = {.lex_state = 280},
  [2571] = {.lex_state = 280},
  [2572] = {.lex_state = 234},
  [2573] = {.lex_state = 280},
  [2574] = {.lex_state = 234},
  [2575] = {.lex_state = 280},
  [2576] = {.lex_state = 283},
  [2577] = {.lex_state = 283},
  [2578] = {.lex_state = 206},
  [2579] = {.lex_state = 280},
  [2580] = {.lex_state = 206},
  [2581] = {.lex_state = 283},
  [2582] = {.lex_state = 283},
  [2583] = {.lex_state = 280},
  [2584] = {.lex_state = 280},
  [2585] = {.lex_state = 283},
  [2586] = {.lex_state = 283},
  [2587] = {.lex_state = 283},
  [2588] = {.lex_state = 280},
  [2589] = {.lex_state = 280},
  [2590] = {.lex_state = 242},
  [2591] = {.lex_state = 283},
  [2592] = {.lex_state = 234},
  [2593] = {.lex_state = 216},
  [2594] = {.lex_state = 283},
  [2595] = {.lex_state = 283},
  [2596] = {.lex_state = 280},
  [2597] = {.lex_state = 280},
  [2598] = {.lex_state = 232},
  [2599] = {.lex_state = 280},
  [2600] = {.lex_state = 280},
  [2601] = {.lex_state = 280},
  [2602] = {.lex_state = 280},
  [2603] = {.lex_state = 280},
  [2604] = {.lex_state = 280},
  [2605] = {.lex_state = 280},
  [2606] = {.lex_state = 242},
  [2607] = {.lex_state = 283},
  [2608] = {.lex_state = 234},
  [2609] = {.lex_state = 234},
  [2610] = {.lex_state = 280},
  [2611] = {.lex_state = 280},
  [2612] = {.lex_state = 280},
  [2613] = {.lex_state = 283},
  [2614] = {.lex_state = 245},
  [2615] = {.lex_state = 283},
  [2616] = {.lex_state = 280},
  [2617] = {.lex_state = 280},
  [2618] = {.lex_state = 283},
  [2619] = {.lex_state = 280},
  [2620] = {.lex_state = 280},
  [2621] = {.lex_state = 280},
  [2622] = {.lex_state = 280},
  [2623] = {.lex_state = 206},
  [2624] = {.lex_state = 283},
  [2625] = {.lex_state = 242},
  [2626] = {.lex_state = 280},
  [2627] = {.lex_state = 283},
  [2628] = {.lex_state = 283},
  [2629] = {.lex_state = 283},
  [2630] = {.lex_state = 280},
  [2631] = {.lex_state = 283},
  [2632] = {.lex_state = 280},
  [2633] = {.lex_state = 280},
  [2634] = {.lex_state = 283},
  [2635] = {.lex_state = 280},
  [2636] = {.lex_state = 283},
  [2637] = {.lex_state = 280},
  [2638] = {.lex_state = 280},
  [2639] = {.lex_state = 234},
  [2640] = {.lex_state = 280},
  [2641] = {.lex_state = 280},
  [2642] = {.lex_state = 283},
  [2643] = {.lex_state = 283},
  [2644] = {.lex_state = 283},
  [2645] = {.lex_state = 234},
  [2646] = {.lex_state = 280},
  [2647] = {.lex_state = 283},
  [2648] = {.lex_state = 280},
  [2649] = {.lex_state = 283},
  [2650] = {.lex_state = 283},
  [2651] = {.lex_state = 283},
  [2652] = {.lex_state = 280},
  [2653] = {.lex_state = 216},
  [2654] = {.lex_state = 234},
  [2655] = {.lex_state = 280},
  [2656] = {.lex_state = 283},
  [2657] = {.lex_state = 280},
  [2658] = {.lex_state = 281},
  [2659] = {.lex_state = 283},
  [2660] = {.lex_state = 280},
  [2661] = {.lex_state = 283},
  [2662] = {.lex_state = 234},
  [2663] = {.lex_state = 280},
  [2664] = {.lex_state = 216},
  [2665] = {.lex_state = 280},
  [2666] = {.lex_state = 216},
  [2667] = {.lex_state = 280},
  [2668] = {.lex_state = 216},
  [2669] = {.lex_state = 234},
  [2670] = {.lex_state = 280},
  [2671] = {.lex_state = 280},
  [2672] = {.lex_state = 280},
  [2673] = {.lex_state = 232},
  [2674] = {.lex_state = 232},
  [2675] = {.lex_state = 283},
  [2676] = {.lex_state = 280},
  [2677] = {.lex_state = 280},
  [2678] = {.lex_state = 232},
  [2679] = {.lex_state = 283},
  [2680] = {.lex_state = 280},
  [2681] = {.lex_state = 283},
  [2682] = {.lex_state = 280},
  [2683] = {.lex_state = 280},
  [2684] = {.lex_state = 283},
  [2685] = {.lex_state = 283},
  [2686] = {.lex_state = 283},
  [2687] = {.lex_state = 283},
  [2688] = {.lex_state = 238},
  [2689] = {.lex_state = 280},
  [2690] = {.lex_state = 234},
  [2691] = {.lex_state = 216},
  [2692] = {.lex_state = 280},
  [2693] = {.lex_state = 280},
  [2694] = {.lex_state = 283},
  [2695] = {.lex_state = 283},
  [2696] = {.lex_state = 280},
  [2697] = {.lex_state = 283},
  [2698] = {.lex_state = 280},
  [2699] = {.lex_state = 280},
  [2700] = {.lex_state = 283},
  [2701] = {.lex_state = 280},
  [2702] = {.lex_state = 283},
  [2703] = {.lex_state = 280},
  [2704] = {.lex_state = 283},
  [2705] = {.lex_state = 283},
  [2706] = {.lex_state = 283},
  [2707] = {.lex_state = 283},
  [2708] = {.lex_state = 283},
  [2709] = {.lex_state = 283},
  [2710] = {.lex_state = 283},
  [2711] = {.lex_state = 283},
  [2712] = {.lex_state = 283},
  [2713] = {.lex_state = 283},
  [2714] = {.lex_state = 283},
  [2715] = {.lex_state = 283},
  [2716] = {.lex_state = 283},
  [2717] = {.lex_state = 283},
  [2718] = {.lex_state = 283},
  [2719] = {.lex_state = 280},
  [2720] = {.lex_state = 280},
  [2721] = {.lex_state = 283},
  [2722] = {.lex_state = 283},
  [2723] = {.lex_state = 280},
  [2724] = {.lex_state = 280},
  [2725] = {.lex_state = 280},
  [2726] = {.lex_state = 283},
  [2727] = {.lex_state = 283},
  [2728] = {.lex_state = 283},
  [2729] = {.lex_state = 283},
  [2730] = {.lex_state = 283},
  [2731] = {.lex_state = 283},
  [2732] = {.lex_state = 283},
  [2733] = {.lex_state = 283},
  [2734] = {.lex_state = 283},
  [2735] = {.lex_state = 283},
  [2736] = {.lex_state = 283},
  [2737] = {.lex_state = 283},
  [2738] = {.lex_state = 283},
  [2739] = {.lex_state = 283},
  [2740] = {.lex_state = 283},
  [2741] = {.lex_state = 283},
  [2742] = {.lex_state = 283},
  [2743] = {.lex_state = 280},
  [2744] = {.lex_state = 280},
  [2745] = {.lex_state = 280},
  [2746] = {.lex_state = 234},
  [2747] = {.lex_state = 283},
  [2748] = {.lex_state = 283},
  [2749] = {.lex_state = 217},
  [2750] = {.lex_state = 246},
  [2751] = {.lex_state = 261},
  [2752] = {.lex_state = 234},
  [2753] = {.lex_state = 233},
  [2754] = {.lex_state = 234},
  [2755] = {.lex_state = 216},
  [2756] = {.lex_state = 216},
  [2757] = {.lex_state = 256},
  [2758] = {.lex_state = 234},
  [2759] = {.lex_state = 233},
  [2760] = {.lex_state = 245},
  [2761] = {.lex_state = 234},
  [2762] = {.lex_state = 282},
  [2763] = {.lex_state = 234},
  [2764] = {.lex_state = 234},
  [2765] = {.lex_state = 216},
  [2766] = {.lex_state = 234},
  [2767] = {.lex_state = 282},
  [2768] = {.lex_state = 234},
  [2769] = {.lex_state = 217},
  [2770] = {.lex_state = 217},
  [2771] = {.lex_state = 234},
  [2772] = {.lex_state = 282},
  [2773] = {.lex_state = 259},
  [2774] = {.lex_state = 234},
  [2775] = {.lex_state = 282},
  [2776] = {.lex_state = 233},
  [2777] = {.lex_state = 246},
  [2778] = {.lex_state = 246},
  [2779] = {.lex_state = 246},
  [2780] = {.lex_state = 246},
  [2781] = {.lex_state = 282},
  [2782] = {.lex_state = 245},
  [2783] = {.lex_state = 256},
  [2784] = {.lex_state = 234},
  [2785] = {.lex_state = 234},
  [2786] = {.lex_state = 246},
  [2787] = {.lex_state = 246},
  [2788] = {.lex_state = 246},
  [2789] = {.lex_state = 260},
  [2790] = {.lex_state = 233},
  [2791] = {.lex_state = 217},
  [2792] = {.lex_state = 234},
  [2793] = {.lex_state = 217},
  [2794] = {.lex_state = 233},
  [2795] = {.lex_state = 206},
  [2796] = {.lex_state = 236},
  [2797] = {.lex_state = 206},
  [2798] = {.lex_state = 206},
  [2799] = {.lex_state = 206},
  [2800] = {.lex_state = 282},
  [2801] = {.lex_state = 282},
  [2802] = {.lex_state = 282},
  [2803] = {.lex_state = 282},
  [2804] = {.lex_state = 282},
  [2805] = {.lex_state = 234},
  [2806] = {.lex_state = 282},
  [2807] = {.lex_state = 282},
  [2808] = {.lex_state = 259},
  [2809] = {.lex_state = 216},
  [2810] = {.lex_state = 282},
  [2811] = {.lex_state = 282},
  [2812] = {.lex_state = 282},
  [2813] = {.lex_state = 259},
  [2814] = {.lex_state = 256},
  [2815] = {.lex_state = 282},
  [2816] = {.lex_state = 234},
  [2817] = {.lex_state = 234},
  [2818] = {.lex_state = 234},
  [2819] = {.lex_state = 245},
  [2820] = {.lex_state = 234},
  [2821] = {.lex_state = 234},
  [2822] = {.lex_state = 234},
  [2823] = {.lex_state = 234},
  [2824] = {.lex_state = 234},
  [2825] = {.lex_state = 234},
  [2826] = {.lex_state = 234},
  [2827] = {.lex_state = 234},
  [2828] = {.lex_state = 234},
  [2829] = {.lex_state = 257},
  [2830] = {.lex_state = 238},
  [2831] = {.lex_state = 234},
  [2832] = {.lex_state = 234},
  [2833] = {.lex_state = 234},
  [2834] = {.lex_state = 234},
  [2835] = {.lex_state = 234},
  [2836] = {.lex_state = 234},
  [2837] = {.lex_state = 234},
  [2838] = {.lex_state = 234},
  [2839] = {.lex_state = 234},
  [2840] = {.lex_state = 234},
  [2841] = {.lex_state = 234},
  [2842] = {.lex_state = 245},
  [2843] = {.lex_state = 245},
  [2844] = {.lex_state = 234},
  [2845] = {.lex_state = 234},
  [2846] = {.lex_state = 245},
  [2847] = {.lex_state = 234},
  [2848] = {.lex_state = 245},
  [2849] = {.lex_state = 234},
  [2850] = {.lex_state = 234},
  [2851] = {.lex_state = 234},
  [2852] = {.lex_state = 245},
  [2853] = {.lex_state = 245},
  [2854] = {.lex_state = 245},
  [2855] = {.lex_state = 234},
  [2856] = {.lex_state = 245},
  [2857] = {.lex_state = 234},
  [2858] = {.lex_state = 234},
  [2859] = {.lex_state = 234},
  [2860] = {.lex_state = 234},
  [2861] = {.lex_state = 234},
  [2862] = {.lex_state = 234},
  [2863] = {.lex_state = 234},
  [2864] = {.lex_state = 234},
  [2865] = {.lex_state = 234},
  [2866] = {.lex_state = 234},
  [2867] = {.lex_state = 234},
  [2868] = {.lex_state = 234},
  [2869] = {.lex_state = 234},
  [2870] = {.lex_state = 234},
  [2871] = {.lex_state = 234},
  [2872] = {.lex_state = 234},
  [2873] = {.lex_state = 281},
  [2874] = {.lex_state = 234},
  [2875] = {.lex_state = 257},
  [2876] = {.lex_state = 237},
  [2877] = {.lex_state = 266},
  [2878] = {.lex_state = 234},
  [2879] = {.lex_state = 234},
  [2880] = {.lex_state = 234},
  [2881] = {.lex_state = 257},
  [2882] = {.lex_state = 234},
  [2883] = {.lex_state = 234},
  [2884] = {.lex_state = 234},
  [2885] = {.lex_state = 234},
  [2886] = {.lex_state = 234},
  [2887] = {.lex_state = 265},
  [2888] = {.lex_state = 234},
  [2889] = {.lex_state = 234},
  [2890] = {.lex_state = 234},
  [2891] = {.lex_state = 260},
  [2892] = {.lex_state = 234},
  [2893] = {.lex_state = 234},
  [2894] = {.lex_state = 234},
  [2895] = {.lex_state = 217},
  [2896] = {.lex_state = 234},
  [2897] = {.lex_state = 216},
  [2898] = {.lex_state = 234},
  [2899] = {.lex_state = 246},
  [2900] = {.lex_state = 216},
  [2901] = {.lex_state = 234},
  [2902] = {.lex_state = 234},
  [2903] = {.lex_state = 217},
  [2904] = {.lex_state = 234},
  [2905] = {.lex_state = 234},
  [2906] = {.lex_state = 234},
  [2907] = {.lex_state = 234},
  [2908] = {.lex_state = 234},
  [2909] = {.lex_state = 234},
  [2910] = {.lex_state = 234},
  [2911] = {.lex_state = 234},
  [2912] = {.lex_state = 234},
  [2913] = {.lex_state = 234},
  [2914] = {.lex_state = 238},
  [2915] = {.lex_state = 217},
  [2916] = {.lex_state = 246},
  [2917] = {.lex_state = 245},
  [2918] = {.lex_state = 234},
  [2919] = {.lex_state = 217},
  [2920] = {.lex_state = 234},
  [2921] = {.lex_state = 234},
  [2922] = {.lex_state = 246},
  [2923] = {.lex_state = 245},
  [2924] = {.lex_state = 234},
  [2925] = {.lex_state = 245},
  [2926] = {.lex_state = 260},
  [2927] = {.lex_state = 246},
  [2928] = {.lex_state = 237},
  [2929] = {.lex_state = 246},
  [2930] = {.lex_state = 238},
  [2931] = {.lex_state = 207},
  [2932] = {.lex_state = 238},
  [2933] = {.lex_state = 238},
  [2934] = {.lex_state = 273},
  [2935] = {.lex_state = 260},
  [2936] = {.lex_state = 238},
  [2937] = {.lex_state = 260},
  [2938] = {.lex_state = 246},
  [2939] = {.lex_state = 260},
  [2940] = {.lex_state = 207},
  [2941] = {.lex_state = 282},
  [2942] = {.lex_state = 273},
  [2943] = {.lex_state = 273},
  [2944] = {.lex_state = 273},
  [2945] = {.lex_state = 282},
  [2946] = {.lex_state = 238},
  [2947] = {.lex_state = 238},
  [2948] = {.lex_state = 282},
  [2949] = {.lex_state = 265},
  [2950] = {.lex_state = 273},
  [2951] = {.lex_state = 260},
  [2952] = {.lex_state = 273},
  [2953] = {.lex_state = 238},
  [2954] = {.lex_state = 238},
  [2955] = {.lex_state = 246},
  [2956] = {.lex_state = 260},
  [2957] = {.lex_state = 216},
  [2958] = {.lex_state = 273},
  [2959] = {.lex_state = 238},
  [2960] = {.lex_state = 238},
  [2961] = {.lex_state = 216},
  [2962] = {.lex_state = 238},
  [2963] = {.lex_state = 246},
  [2964] = {.lex_state = 238},
  [2965] = {.lex_state = 216},
  [2966] = {.lex_state = 216},
  [2967] = {.lex_state = 207},
  [2968] = {.lex_state = 260},
  [2969] = {.lex_state = 273},
  [2970] = {.lex_state = 260},
  [2971] = {.lex_state = 260},
  [2972] = {.lex_state = 260},
  [2973] = {.lex_state = 261},
  [2974] = {.lex_state = 261},
  [2975] = {.lex_state = 261},
  [2976] = {.lex_state = 265},
  [2977] = {.lex_state = 273},
  [2978] = {.lex_state = 265},
  [2979] = {.lex_state = 265},
  [2980] = {.lex_state = 265},
  [2981] = {.lex_state = 216},
  [2982] = {.lex_state = 256},
  [2983] = {.lex_state = 260},
  [2984] = {.lex_state = 265},
  [2985] = {.lex_state = 265},
  [2986] = {.lex_state = 265},
  [2987] = {.lex_state = 265},
  [2988] = {.lex_state = 260},
  [2989] = {.lex_state = 216},
  [2990] = {.lex_state = 260},
  [2991] = {.lex_state = 246},
  [2992] = {.lex_state = 216},
  [2993] = {.lex_state = 256},
  [2994] = {.lex_state = 216},
  [2995] = {.lex_state = 246},
  [2996] = {.lex_state = 256},
  [2997] = {.lex_state = 260},
  [2998] = {.lex_state = 260},
  [2999] = {.lex_state = 265},
  [3000] = {.lex_state = 260},
  [3001] = {.lex_state = 246},
  [3002] = {.lex_state = 260},
  [3003] = {.lex_state = 265},
  [3004] = {.lex_state = 246},
  [3005] = {.lex_state = 246},
  [3006] = {.lex_state = 260},
  [3007] = {.lex_state = 282},
  [3008] = {.lex_state = 260},
  [3009] = {.lex_state = 265},
  [3010] = {.lex_state = 246},
  [3011] = {.lex_state = 266},
  [3012] = {.lex_state = 265},
  [3013] = {.lex_state = 260},
  [3014] = {.lex_state = 246},
  [3015] = {.lex_state = 261},
  [3016] = {.lex_state = 246},
  [3017] = {.lex_state = 265},
  [3018] = {.lex_state = 260},
  [3019] = {.lex_state = 204},
  [3020] = {.lex_state = 265},
  [3021] = {.lex_state = 246},
  [3022] = {.lex_state = 204},
  [3023] = {.lex_state = 246},
  [3024] = {.lex_state = 266},
  [3025] = {.lex_state = 246},
  [3026] = {.lex_state = 246},
  [3027] = {.lex_state = 265},
  [3028] = {.lex_state = 260},
  [3029] = {.lex_state = 246},
  [3030] = {.lex_state = 246},
  [3031] = {.lex_state = 272},
  [3032] = {.lex_state = 246},
  [3033] = {.lex_state = 272},
  [3034] = {.lex_state = 272},
  [3035] = {.lex_state = 265},
  [3036] = {.lex_state = 272},
  [3037] = {.lex_state = 273},
  [3038] = {.lex_state = 272},
  [3039] = {.lex_state = 234},
  [3040] = {.lex_state = 234},
  [3041] = {.lex_state = 260},
  [3042] = {.lex_state = 272},
  [3043] = {.lex_state = 272},
  [3044] = {.lex_state = 260},
  [3045] = {.lex_state = 234},
  [3046] = {.lex_state = 234},
  [3047] = {.lex_state = 234},
  [3048] = {.lex_state = 234},
  [3049] = {.lex_state = 234},
  [3050] = {.lex_state = 272},
  [3051] = {.lex_state = 244},
  [3052] = {.lex_state = 234},
  [3053] = {.lex_state = 260},
  [3054] = {.lex_state = 245},
  [3055] = {.lex_state = 234},
  [3056] = {.lex_state = 244},
  [3057] = {.lex_state = 234},
  [3058] = {.lex_state = 234},
  [3059] = {.lex_state = 246},
  [3060] = {.lex_state = 234},
  [3061] = {.lex_state = 245},
  [3062] = {.lex_state = 207},
  [3063] = {.lex_state = 260},
  [3064] = {.lex_state = 246},
  [3065] = {.lex_state = 260},
  [3066] = {.lex_state = 207},
  [3067] = {.lex_state = 234},
  [3068] = {.lex_state = 246},
  [3069] = {.lex_state = 272},
  [3070] = {.lex_state = 246},
  [3071] = {.lex_state = 260},
  [3072] = {.lex_state = 284},
  [3073] = {.lex_state = 260},
  [3074] = {.lex_state = 265},
  [3075] = {.lex_state = 284},
  [3076] = {.lex_state = 207},
  [3077] = {.lex_state = 260},
  [3078] = {.lex_state = 273},
  [3079] = {.lex_state = 260},
  [3080] = {.lex_state = 260},
  [3081] = {.lex_state = 272},
  [3082] = {.lex_state = 272},
  [3083] = {.lex_state = 246},
  [3084] = {.lex_state = 265},
  [3085] = {.lex_state = 265},
  [3086] = {.lex_state = 244},
  [3087] = {.lex_state = 266},
  [3088] = {.lex_state = 234},
  [3089] = {.lex_state = 234},
  [3090] = {.lex_state = 207},
  [3091] = {.lex_state = 272},
  [3092] = {.lex_state = 260},
  [3093] = {.lex_state = 244},
  [3094] = {.lex_state = 234},
  [3095] = {.lex_state = 234},
  [3096] = {.lex_state = 246},
  [3097] = {.lex_state = 246},
  [3098] = {.lex_state = 260},
  [3099] = {.lex_state = 244},
  [3100] = {.lex_state = 273},
  [3101] = {.lex_state = 204},
  [3102] = {.lex_state = 260},
  [3103] = {.lex_state = 260},
  [3104] = {.lex_state = 260},
  [3105] = {.lex_state = 260},
  [3106] = {.lex_state = 273},
  [3107] = {.lex_state = 260},
  [3108] = {.lex_state = 276},
  [3109] = {.lex_state = 260},
  [3110] = {.lex_state = 260},
  [3111] = {.lex_state = 233},
  [3112] = {.lex_state = 246},
  [3113] = {.lex_state = 258},
  [3114] = {.lex_state = 284},
  [3115] = {.lex_state = 260},
  [3116] = {.lex_state = 260},
  [3117] = {.lex_state = 245},
  [3118] = {.lex_state = 273},
  [3119] = {.lex_state = 260},
  [3120] = {.lex_state = 246},
  [3121] = {.lex_state = 246},
  [3122] = {.lex_state = 260},
  [3123] = {.lex_state = 260},
  [3124] = {.lex_state = 204},
  [3125] = {.lex_state = 204},
  [3126] = {.lex_state = 204},
  [3127] = {.lex_state = 273},
  [3128] = {.lex_state = 204},
  [3129] = {.lex_state = 204},
  [3130] = {.lex_state = 204},
  [3131] = {.lex_state = 284},
  [3132] = {.lex_state = 284},
  [3133] = {.lex_state = 284},
  [3134] = {.lex_state = 260},
  [3135] = {.lex_state = 204},
  [3136] = {.lex_state = 204},
  [3137] = {.lex_state = 204},
  [3138] = {.lex_state = 260},
  [3139] = {.lex_state = 260},
  [3140] = {.lex_state = 260},
  [3141] = {.lex_state = 276},
  [3142] = {.lex_state = 260},
  [3143] = {.lex_state = 260},
  [3144] = {.lex_state = 246},
  [3145] = {.lex_state = 260},
  [3146] = {.lex_state = 227},
  [3147] = {.lex_state = 258},
  [3148] = {.lex_state = 265},
  [3149] = {.lex_state = 284},
  [3150] = {.lex_state = 260},
  [3151] = {.lex_state = 260},
  [3152] = {.lex_state = 284},
  [3153] = {.lex_state = 261},
  [3154] = {.lex_state = 284},
  [3155] = {.lex_state = 284},
  [3156] = {.lex_state = 273},
  [3157] = {.lex_state = 258},
  [3158] = {.lex_state = 246},
  [3159] = {.lex_state = 246},
  [3160] = {.lex_state = 246},
  [3161] = {.lex_state = 204},
  [3162] = {.lex_state = 246},
  [3163] = {.lex_state = 244},
  [3164] = {.lex_state = 246},
  [3165] = {.lex_state = 273},
  [3166] = {.lex_state = 246},
  [3167] = {.lex_state = 246},
  [3168] = {.lex_state = 246},
  [3169] = {.lex_state = 246},
  [3170] = {.lex_state = 204},
  [3171] = {.lex_state = 246},
  [3172] = {.lex_state = 246},
  [3173] = {.lex_state = 246},
  [3174] = {.lex_state = 276},
  [3175] = {.lex_state = 246},
  [3176] = {.lex_state = 246},
  [3177] = {.lex_state = 265},
  [3178] = {.lex_state = 246},
  [3179] = {.lex_state = 246},
  [3180] = {.lex_state = 246},
  [3181] = {.lex_state = 284},
  [3182] = {.lex_state = 273},
  [3183] = {.lex_state = 276},
  [3184] = {.lex_state = 246},
  [3185] = {.lex_state = 260},
  [3186] = {.lex_state = 204},
  [3187] = {.lex_state = 246},
  [3188] = {.lex_state = 246},
  [3189] = {.lex_state = 204},
  [3190] = {.lex_state = 246},
  [3191] = {.lex_state = 233},
  [3192] = {.lex_state = 273},
  [3193] = {.lex_state = 284},
  [3194] = {.lex_state = 233},
  [3195] = {.lex_state = 284},
  [3196] = {.lex_state = 233},
  [3197] = {.lex_state = 233},
  [3198] = {.lex_state = 233},
  [3199] = {.lex_state = 284},
  [3200] = {.lex_state = 246},
  [3201] = {.lex_state = 233},
  [3202] = {.lex_state = 246},
  [3203] = {.lex_state = 246},
  [3204] = {.lex_state = 273},
  [3205] = {.lex_state = 276},
  [3206] = {.lex_state = 246},
  [3207] = {.lex_state = 273},
  [3208] = {.lex_state = 260},
  [3209] = {.lex_state = 244},
  [3210] = {.lex_state = 261},
  [3211] = {.lex_state = 246},
  [3212] = {.lex_state = 204},
  [3213] = {.lex_state = 204},
  [3214] = {.lex_state = 246},
  [3215] = {.lex_state = 246},
  [3216] = {.lex_state = 204},
  [3217] = {.lex_state = 246},
  [3218] = {.lex_state = 246},
  [3219] = {.lex_state = 227},
  [3220] = {.lex_state = 246},
  [3221] = {.lex_state = 246},
  [3222] = {.lex_state = 227},
  [3223] = {.lex_state = 204},
  [3224] = {.lex_state = 258},
  [3225] = {.lex_state = 204},
  [3226] = {.lex_state = 204},
  [3227] = {.lex_state = 273},
  [3228] = {.lex_state = 273},
  [3229] = {.lex_state = 273},
  [3230] = {.lex_state = 265},
  [3231] = {.lex_state = 260},
  [3232] = {.lex_state = 273},
  [3233] = {.lex_state = 260},
  [3234] = {.lex_state = 273},
  [3235] = {.lex_state = 246},
  [3236] = {.lex_state = 234},
  [3237] = {.lex_state = 246},
  [3238] = {.lex_state = 260},
  [3239] = {.lex_state = 284},
  [3240] = {.lex_state = 265},
  [3241] = {.lex_state = 231},
  [3242] = {.lex_state = 260},
  [3243] = {.lex_state = 234},
  [3244] = {.lex_state = 245},
  [3245] = {.lex_state = 265},
  [3246] = {.lex_state = 246},
  [3247] = {.lex_state = 260},
  [3248] = {.lex_state = 260},
  [3249] = {.lex_state = 273},
  [3250] = {.lex_state = 260},
  [3251] = {.lex_state = 272},
  [3252] = {.lex_state = 246},
  [3253] = {.lex_state = 273},
  [3254] = {.lex_state = 245},
  [3255] = {.lex_state = 246},
  [3256] = {.lex_state = 260},
  [3257] = {.lex_state = 227},
  [3258] = {.lex_state = 234},
  [3259] = {.lex_state = 246},
  [3260] = {.lex_state = 284},
  [3261] = {.lex_state = 234},
  [3262] = {.lex_state = 231},
  [3263] = {.lex_state = 273},
  [3264] = {.lex_state = 234},
  [3265] = {.lex_state = 234},
  [3266] = {.lex_state = 261},
  [3267] = {.lex_state = 234},
  [3268] = {.lex_state = 246},
  [3269] = {.lex_state = 273},
  [3270] = {.lex_state = 234},
  [3271] = {.lex_state = 246},
  [3272] = {.lex_state = 246},
  [3273] = {.lex_state = 234},
  [3274] = {.lex_state = 234},
  [3275] = {.lex_state = 246},
  [3276] = {.lex_state = 260},
  [3277] = {.lex_state = 246},
  [3278] = {.lex_state = 234},
  [3279] = {.lex_state = 260},
  [3280] = {.lex_state = 234},
  [3281] = {.lex_state = 234},
  [3282] = {.lex_state = 234},
  [3283] = {.lex_state = 234},
  [3284] = {.lex_state = 246},
  [3285] = {.lex_state = 265},
  [3286] = {.lex_state = 246},
  [3287] = {.lex_state = 234},
  [3288] = {.lex_state = 265},
  [3289] = {.lex_state = 260},
  [3290] = {.lex_state = 246},
  [3291] = {.lex_state = 246},
  [3292] = {.lex_state = 245},
  [3293] = {.lex_state = 260},
  [3294] = {.lex_state = 231},
  [3295] = {.lex_state = 246},
  [3296] = {.lex_state = 246},
  [3297] = {.lex_state = 260},
  [3298] = {.lex_state = 246},
  [3299] = {.lex_state = 234},
  [3300] = {.lex_state = 265},
  [3301] = {.lex_state = 246},
  [3302] = {.lex_state = 246},
  [3303] = {.lex_state = 273},
  [3304] = {.lex_state = 246},
  [3305] = {.lex_state = 265},
  [3306] = {.lex_state = 265},
  [3307] = {.lex_state = 246},
  [3308] = {.lex_state = 281},
  [3309] = {.lex_state = 246},
  [3310] = {.lex_state = 246},
  [3311] = {.lex_state = 244},
  [3312] = {.lex_state = 260},
  [3313] = {.lex_state = 260},
  [3314] = {.lex_state = 231},
  [3315] = {.lex_state = 234},
  [3316] = {.lex_state = 260},
  [3317] = {.lex_state = 227},
  [3318] = {.lex_state = 265},
  [3319] = {.lex_state = 246},
  [3320] = {.lex_state = 231},
  [3321] = {.lex_state = 265},
  [3322] = {.lex_state = 260},
  [3323] = {.lex_state = 272},
  [3324] = {.lex_state = 227},
  [3325] = {.lex_state = 265},
  [3326] = {.lex_state = 265},
  [3327] = {.lex_state = 265},
  [3328] = {.lex_state = 197},
  [3329] = {.lex_state = 246},
  [3330] = {.lex_state = 273},
  [3331] = {.lex_state = 265},
  [3332] = {.lex_state = 273},
  [3333] = {.lex_state = 197},
  [3334] = {.lex_state = 260},
  [3335] = {.lex_state = 268},
  [3336] = {.lex_state = 197},
  [3337] = {.lex_state = 240},
  [3338] = {.lex_state = 260},
  [3339] = {.lex_state = 260},
  [3340] = {.lex_state = 273},
  [3341] = {.lex_state = 273},
  [3342] = {.lex_state = 260},
  [3343] = {.lex_state = 197},
  [3344] = {.lex_state = 273},
  [3345] = {.lex_state = 260},
  [3346] = {.lex_state = 244},
  [3347] = {.lex_state = 273},
  [3348] = {.lex_state = 273},
  [3349] = {.lex_state = 197},
  [3350] = {.lex_state = 245},
  [3351] = {.lex_state = 265},
  [3352] = {.lex_state = 260},
  [3353] = {.lex_state = 265},
  [3354] = {.lex_state = 244},
  [3355] = {.lex_state = 273},
  [3356] = {.lex_state = 260},
  [3357] = {.lex_state = 273},
  [3358] = {.lex_state = 265},
  [3359] = {.lex_state = 244},
  [3360] = {.lex_state = 265},
  [3361] = {.lex_state = 244},
  [3362] = {.lex_state = 260},
  [3363] = {.lex_state = 248},
  [3364] = {.lex_state = 244},
  [3365] = {.lex_state = 244},
  [3366] = {.lex_state = 273},
  [3367] = {.lex_state = 260},
  [3368] = {.lex_state = 260},
  [3369] = {.lex_state = 273},
  [3370] = {.lex_state = 273},
  [3371] = {.lex_state = 260},
  [3372] = {.lex_state = 231},
  [3373] = {.lex_state = 273},
  [3374] = {.lex_state = 260},
  [3375] = {.lex_state = 260},
  [3376] = {.lex_state = 260},
  [3377] = {.lex_state = 244},
  [3378] = {.lex_state = 260},
  [3379] = {.lex_state = 260},
  [3380] = {.lex_state = 265},
  [3381] = {.lex_state = 260},
  [3382] = {.lex_state = 260},
  [3383] = {.lex_state = 273},
  [3384] = {.lex_state = 265},
  [3385] = {.lex_state = 273},
  [3386] = {.lex_state = 207},
  [3387] = {.lex_state = 207},
  [3388] = {.lex_state = 273},
  [3389] = {.lex_state = 244},
  [3390] = {.lex_state = 260},
  [3391] = {.lex_state = 273},
  [3392] = {.lex_state = 273},
  [3393] = {.lex_state = 260},
  [3394] = {.lex_state = 260},
  [3395] = {.lex_state = 268},
  [3396] = {.lex_state = 244},
  [3397] = {.lex_state = 244},
  [3398] = {.lex_state = 244},
  [3399] = {.lex_state = 244},
  [3400] = {.lex_state = 260},
  [3401] = {.lex_state = 273},
  [3402] = {.lex_state = 197},
  [3403] = {.lex_state = 231},
  [3404] = {.lex_state = 246},
  [3405] = {.lex_state = 260},
  [3406] = {.lex_state = 260},
  [3407] = {.lex_state = 273},
  [3408] = {.lex_state = 260},
  [3409] = {.lex_state = 260},
  [3410] = {.lex_state = 260},
  [3411] = {.lex_state = 273},
  [3412] = {.lex_state = 273},
  [3413] = {.lex_state = 273},
  [3414] = {.lex_state = 260},
  [3415] = {.lex_state = 197},
  [3416] = {.lex_state = 260},
  [3417] = {.lex_state = 240},
  [3418] = {.lex_state = 260},
  [3419] = {.lex_state = 240},
  [3420] = {.lex_state = 260},
  [3421] = {.lex_state = 246},
  [3422] = {.lex_state = 273},
  [3423] = {.lex_state = 246},
  [3424] = {.lex_state = 260},
  [3425] = {.lex_state = 246},
  [3426] = {.lex_state = 260},
  [3427] = {.lex_state = 246},
  [3428] = {.lex_state = 260},
  [3429] = {.lex_state = 244},
  [3430] = {.lex_state = 273},
  [3431] = {.lex_state = 260},
  [3432] = {.lex_state = 260},
  [3433] = {.lex_state = 260},
  [3434] = {.lex_state = 260},
  [3435] = {.lex_state = 231},
  [3436] = {.lex_state = 260},
  [3437] = {.lex_state = 273},
  [3438] = {.lex_state = 273},
  [3439] = {.lex_state = 273},
  [3440] = {.lex_state = 244},
  [3441] = {.lex_state = 260},
  [3442] = {.lex_state = 268},
  [3443] = {.lex_state = 246},
  [3444] = {.lex_state = 246},
  [3445] = {.lex_state = 273},
  [3446] = {.lex_state = 268},
  [3447] = {.lex_state = 246},
  [3448] = {.lex_state = 273},
  [3449] = {.lex_state = 273},
  [3450] = {.lex_state = 273},
  [3451] = {.lex_state = 273},
  [3452] = {.lex_state = 265},
  [3453] = {.lex_state = 244},
  [3454] = {.lex_state = 246},
  [3455] = {.lex_state = 246},
  [3456] = {.lex_state = 246},
  [3457] = {.lex_state = 234},
  [3458] = {.lex_state = 246},
  [3459] = {.lex_state = 265},
  [3460] = {.lex_state = 246},
  [3461] = {.lex_state = 246},
  [3462] = {.lex_state = 246},
  [3463] = {.lex_state = 234},
  [3464] = {.lex_state = 246},
  [3465] = {.lex_state = 284},
  [3466] = {.lex_state = 234},
  [3467] = {.lex_state = 246},
  [3468] = {.lex_state = 246},
  [3469] = {.lex_state = 260},
  [3470] = {.lex_state = 260},
  [3471] = {.lex_state = 260},
  [3472] = {.lex_state = 246},
  [3473] = {.lex_state = 244},
  [3474] = {.lex_state = 246},
  [3475] = {.lex_state = 265},
  [3476] = {.lex_state = 265},
  [3477] = {.lex_state = 265},
  [3478] = {.lex_state = 265},
  [3479] = {.lex_state = 260},
  [3480] = {.lex_state = 246},
  [3481] = {.lex_state = 246},
  [3482] = {.lex_state = 246},
  [3483] = {.lex_state = 246},
  [3484] = {.lex_state = 246},
  [3485] = {.lex_state = 246},
  [3486] = {.lex_state = 260},
  [3487] = {.lex_state = 260},
  [3488] = {.lex_state = 234},
  [3489] = {.lex_state = 237},
  [3490] = {.lex_state = 246},
  [3491] = {.lex_state = 260},
  [3492] = {.lex_state = 260},
  [3493] = {.lex_state = 246},
  [3494] = {.lex_state = 246},
  [3495] = {.lex_state = 260},
  [3496] = {.lex_state = 284},
  [3497] = {.lex_state = 246},
  [3498] = {.lex_state = 246},
  [3499] = {.lex_state = 234},
  [3500] = {.lex_state = 234},
  [3501] = {.lex_state = 262},
  [3502] = {.lex_state = 246},
  [3503] = {.lex_state = 284},
  [3504] = {.lex_state = 246},
  [3505] = {.lex_state = 246},
  [3506] = {.lex_state = 246},
  [3507] = {.lex_state = 231},
  [3508] = {.lex_state = 246},
  [3509] = {.lex_state = 268},
  [3510] = {.lex_state = 260},
  [3511] = {.lex_state = 268},
  [3512] = {.lex_state = 246},
  [3513] = {.lex_state = 260},
  [3514] = {.lex_state = 260},
  [3515] = {.lex_state = 246},
  [3516] = {.lex_state = 246},
  [3517] = {.lex_state = 246},
  [3518] = {.lex_state = 246},
  [3519] = {.lex_state = 246},
  [3520] = {.lex_state = 246},
  [3521] = {.lex_state = 234},
  [3522] = {.lex_state = 284},
  [3523] = {.lex_state = 260},
  [3524] = {.lex_state = 260},
  [3525] = {.lex_state = 284},
  [3526] = {.lex_state = 265},
  [3527] = {.lex_state = 246},
  [3528] = {.lex_state = 265},
  [3529] = {.lex_state = 246},
  [3530] = {.lex_state = 260},
  [3531] = {.lex_state = 246},
  [3532] = {.lex_state = 246},
  [3533] = {.lex_state = 265},
  [3534] = {.lex_state = 234},
  [3535] = {.lex_state = 260},
  [3536] = {.lex_state = 260},
  [3537] = {.lex_state = 246},
  [3538] = {.lex_state = 260},
  [3539] = {.lex_state = 212},
  [3540] = {.lex_state = 246},
  [3541] = {.lex_state = 265},
  [3542] = {.lex_state = 260},
  [3543] = {.lex_state = 246},
  [3544] = {.lex_state = 260},
  [3545] = {.lex_state = 265},
  [3546] = {.lex_state = 246},
  [3547] = {.lex_state = 246},
  [3548] = {.lex_state = 246},
  [3549] = {.lex_state = 265},
  [3550] = {.lex_state = 246},
  [3551] = {.lex_state = 260},
  [3552] = {.lex_state = 260},
  [3553] = {.lex_state = 265},
  [3554] = {.lex_state = 234},
  [3555] = {.lex_state = 234},
  [3556] = {.lex_state = 378},
  [3557] = {.lex_state = 246},
  [3558] = {.lex_state = 246},
  [3559] = {.lex_state = 246},
  [3560] = {.lex_state = 265},
  [3561] = {.lex_state = 260},
  [3562] = {.lex_state = 260},
  [3563] = {.lex_state = 234},
  [3564] = {.lex_state = 234},
  [3565] = {.lex_state = 265},
  [3566] = {.lex_state = 265},
  [3567] = {.lex_state = 234},
  [3568] = {.lex_state = 246},
  [3569] = {.lex_state = 246},
  [3570] = {.lex_state = 234},
  [3571] = {.lex_state = 234},
  [3572] = {.lex_state = 265},
  [3573] = {.lex_state = 246},
  [3574] = {.lex_state = 265},
  [3575] = {.lex_state = 246},
  [3576] = {.lex_state = 260},
  [3577] = {.lex_state = 265},
  [3578] = {.lex_state = 265},
  [3579] = {.lex_state = 246},
  [3580] = {.lex_state = 265},
  [3581] = {.lex_state = 260},
  [3582] = {.lex_state = 246},
  [3583] = {.lex_state = 281},
  [3584] = {.lex_state = 265},
  [3585] = {.lex_state = 265},
  [3586] = {.lex_state = 265},
  [3587] = {.lex_state = 246},
  [3588] = {.lex_state = 246},
  [3589] = {.lex_state = 265},
  [3590] = {.lex_state = 260},
  [3591] = {.lex_state = 246},
  [3592] = {.lex_state = 212},
  [3593] = {.lex_state = 246},
  [3594] = {.lex_state = 246},
  [3595] = {.lex_state = 246},
  [3596] = {.lex_state = 265},
  [3597] = {.lex_state = 260},
  [3598] = {.lex_state = 246},
  [3599] = {.lex_state = 246},
  [3600] = {.lex_state = 265},
  [3601] = {.lex_state = 246},
  [3602] = {.lex_state = 246},
  [3603] = {.lex_state = 246},
  [3604] = {.lex_state = 246},
  [3605] = {.lex_state = 260},
  [3606] = {.lex_state = 265},
  [3607] = {.lex_state = 284},
  [3608] = {.lex_state = 260},
  [3609] = {.lex_state = 282},
  [3610] = {.lex_state = 260},
  [3611] = {.lex_state = 284},
  [3612] = {.lex_state = 246},
  [3613] = {.lex_state = 260},
  [3614] = {.lex_state = 244},
  [3615] = {.lex_state = 246},
  [3616] = {.lex_state = 246},
  [3617] = {.lex_state = 234},
  [3618] = {.lex_state = 246},
  [3619] = {.lex_state = 265},
  [3620] = {.lex_state = 260},
  [3621] = {.lex_state = 260},
  [3622] = {.lex_state = 246},
  [3623] = {.lex_state = 265},
  [3624] = {.lex_state = 246},
  [3625] = {.lex_state = 267},
  [3626] = {.lex_state = 260},
  [3627] = {.lex_state = 246},
  [3628] = {.lex_state = 246},
  [3629] = {.lex_state = 246},
  [3630] = {.lex_state = 260},
  [3631] = {.lex_state = 284},
  [3632] = {.lex_state = 246},
  [3633] = {.lex_state = 265},
  [3634] = {.lex_state = 265},
  [3635] = {.lex_state = 246},
  [3636] = {.lex_state = 207},
  [3637] = {.lex_state = 246},
  [3638] = {.lex_state = 265},
  [3639] = {.lex_state = 284},
  [3640] = {.lex_state = 207},
  [3641] = {.lex_state = 246},
  [3642] = {.lex_state = 246},
  [3643] = {.lex_state = 260},
  [3644] = {.lex_state = 212},
  [3645] = {.lex_state = 265},
  [3646] = {.lex_state = 265},
  [3647] = {.lex_state = 265},
  [3648] = {.lex_state = 260},
  [3649] = {.lex_state = 246},
  [3650] = {.lex_state = 265},
  [3651] = {.lex_state = 246},
  [3652] = {.lex_state = 260},
  [3653] = {.lex_state = 231},
  [3654] = {.lex_state = 260},
  [3655] = {.lex_state = 234},
  [3656] = {.lex_state = 265},
  [3657] = {.lex_state = 265},
  [3658] = {.lex_state = 204},
  [3659] = {.lex_state = 244},
  [3660] = {.lex_state = 244},
  [3661] = {.lex_state = 260},
  [3662] = {.lex_state = 231},
  [3663] = {.lex_state = 272},
  [3664] = {.lex_state = 284},
  [3665] = {.lex_state = 234},
  [3666] = {.lex_state = 260},
  [3667] = {.lex_state = 260},
  [3668] = {.lex_state = 231},
  [3669] = {.lex_state = 265},
  [3670] = {.lex_state = 284},
  [3671] = {.lex_state = 282},
  [3672] = {.lex_state = 231},
  [3673] = {.lex_state = 244},
  [3674] = {.lex_state = 231},
  [3675] = {.lex_state = 231},
  [3676] = {.lex_state = 265},
  [3677] = {.lex_state = 260},
  [3678] = {.lex_state = 231},
  [3679] = {.lex_state = 260},
  [3680] = {.lex_state = 260},
  [3681] = {.lex_state = 284},
  [3682] = {.lex_state = 284},
  [3683] = {.lex_state = 284},
  [3684] = {.lex_state = 231},
  [3685] = {.lex_state = 284},
  [3686] = {.lex_state = 260},
  [3687] = {.lex_state = 284},
  [3688] = {.lex_state = 265},
  [3689] = {.lex_state = 260},
  [3690] = {.lex_state = 284},
  [3691] = {.lex_state = 265},
  [3692] = {.lex_state = 237},
  [3693] = {.lex_state = 231},
  [3694] = {.lex_state = 381},
  [3695] = {.lex_state = 231},
  [3696] = {.lex_state = 227},
  [3697] = {.lex_state = 282},
  [3698] = {.lex_state = 244},
  [3699] = {.lex_state = 284},
  [3700] = {.lex_state = 260},
  [3701] = {.lex_state = 265},
  [3702] = {.lex_state = 265},
  [3703] = {.lex_state = 265},
  [3704] = {.lex_state = 227},
  [3705] = {.lex_state = 260},
  [3706] = {.lex_state = 284},
  [3707] = {.lex_state = 265},
  [3708] = {.lex_state = 265},
  [3709] = {.lex_state = 207},
  [3710] = {.lex_state = 231},
  [3711] = {.lex_state = 265},
  [3712] = {.lex_state = 265},
  [3713] = {.lex_state = 265},
  [3714] = {.lex_state = 265},
  [3715] = {.lex_state = 265},
  [3716] = {.lex_state = 265},
  [3717] = {.lex_state = 265},
  [3718] = {.lex_state = 265},
  [3719] = {.lex_state = 231},
  [3720] = {.lex_state = 260},
  [3721] = {.lex_state = 264},
  [3722] = {.lex_state = 265},
  [3723] = {.lex_state = 260},
  [3724] = {.lex_state = 227},
  [3725] = {.lex_state = 265},
  [3726] = {.lex_state = 284},
  [3727] = {.lex_state = 260},
  [3728] = {.lex_state = 282},
  [3729] = {.lex_state = 260},
  [3730] = {.lex_state = 265},
  [3731] = {.lex_state = 207},
  [3732] = {.lex_state = 244},
  [3733] = {.lex_state = 265},
  [3734] = {.lex_state = 231},
  [3735] = {.lex_state = 265},
  [3736] = {.lex_state = 284},
  [3737] = {.lex_state = 260},
  [3738] = {.lex_state = 284},
  [3739] = {.lex_state = 260},
  [3740] = {.lex_state = 284},
  [3741] = {.lex_state = 284},
  [3742] = {.lex_state = 260},
  [3743] = {.lex_state = 284},
  [3744] = {.lex_state = 260},
  [3745] = {.lex_state = 284},
  [3746] = {.lex_state = 260},
  [3747] = {.lex_state = 284},
  [3748] = {.lex_state = 284},
  [3749] = {.lex_state = 284},
  [3750] = {.lex_state = 231},
  [3751] = {.lex_state = 284},
  [3752] = {.lex_state = 234},
  [3753] = {.lex_state = 284},
  [3754] = {.lex_state = 231},
  [3755] = {.lex_state = 284},
  [3756] = {.lex_state = 265},
  [3757] = {.lex_state = 265},
  [3758] = {.lex_state = 231},
  [3759] = {.lex_state = 260},
  [3760] = {.lex_state = 282},
  [3761] = {.lex_state = 234},
  [3762] = {.lex_state = 284},
  [3763] = {.lex_state = 231},
  [3764] = {.lex_state = 231},
  [3765] = {.lex_state = 265},
  [3766] = {.lex_state = 260},
  [3767] = {.lex_state = 284},
  [3768] = {.lex_state = 265},
  [3769] = {.lex_state = 284},
  [3770] = {.lex_state = 265},
  [3771] = {.lex_state = 284},
  [3772] = {.lex_state = 284},
  [3773] = {.lex_state = 284},
  [3774] = {.lex_state = 253},
  [3775] = {.lex_state = 231},
  [3776] = {.lex_state = 231},
  [3777] = {.lex_state = 260},
  [3778] = {.lex_state = 284},
  [3779] = {.lex_state = 260},
  [3780] = {.lex_state = 284},
  [3781] = {.lex_state = 231},
  [3782] = {.lex_state = 231},
  [3783] = {.lex_state = 231},
  [3784] = {.lex_state = 284},
  [3785] = {.lex_state = 284},
  [3786] = {.lex_state = 231},
  [3787] = {.lex_state = 284},
  [3788] = {.lex_state = 231},
  [3789] = {.lex_state = 284},
  [3790] = {.lex_state = 284},
  [3791] = {.lex_state = 212},
  [3792] = {.lex_state = 237},
  [3793] = {.lex_state = 253},
  [3794] = {.lex_state = 260},
  [3795] = {.lex_state = 231},
  [3796] = {.lex_state = 231},
  [3797] = {.lex_state = 265},
  [3798] = {.lex_state = 207},
  [3799] = {.lex_state = 253},
  [3800] = {.lex_state = 212},
  [3801] = {.lex_state = 238},
  [3802] = {.lex_state = 244},
  [3803] = {.lex_state = 260},
  [3804] = {.lex_state = 231},
  [3805] = {.lex_state = 284},
  [3806] = {.lex_state = 284},
  [3807] = {.lex_state = 237},
  [3808] = {.lex_state = 260},
  [3809] = {.lex_state = 265},
  [3810] = {.lex_state = 260},
  [3811] = {.lex_state = 268},
  [3812] = {.lex_state = 260},
  [3813] = {.lex_state = 260},
  [3814] = {.lex_state = 260},
  [3815] = {.lex_state = 238},
  [3816] = {.lex_state = 260},
  [3817] = {.lex_state = 260},
  [3818] = {.lex_state = 284},
  [3819] = {.lex_state = 254},
  [3820] = {.lex_state = 260},
  [3821] = {.lex_state = 282},
  [3822] = {.lex_state = 260},
  [3823] = {.lex_state = 260},
  [3824] = {.lex_state = 207},
  [3825] = {.lex_state = 284},
  [3826] = {.lex_state = 207},
  [3827] = {.lex_state = 282},
  [3828] = {.lex_state = 270},
  [3829] = {.lex_state = 234},
  [3830] = {.lex_state = 284},
  [3831] = {.lex_state = 260},
  [3832] = {.lex_state = 284},
  [3833] = {.lex_state = 260},
  [3834] = {.lex_state = 234},
  [3835] = {.lex_state = 234},
  [3836] = {.lex_state = 234},
  [3837] = {.lex_state = 234},
  [3838] = {.lex_state = 234},
  [3839] = {.lex_state = 234},
  [3840] = {.lex_state = 260},
  [3841] = {.lex_state = 237},
  [3842] = {.lex_state = 234},
  [3843] = {.lex_state = 234},
  [3844] = {.lex_state = 234},
  [3845] = {.lex_state = 268},
  [3846] = {.lex_state = 268},
  [3847] = {.lex_state = 260},
  [3848] = {.lex_state = 238},
  [3849] = {.lex_state = 238},
  [3850] = {.lex_state = 260},
  [3851] = {.lex_state = 268},
  [3852] = {.lex_state = 237},
  [3853] = {.lex_state = 260},
  [3854] = {.lex_state = 268},
  [3855] = {.lex_state = 234},
  [3856] = {.lex_state = 234},
  [3857] = {.lex_state = 234},
  [3858] = {.lex_state = 234},
  [3859] = {.lex_state = 238},
  [3860] = {.lex_state = 234},
  [3861] = {.lex_state = 254},
  [3862] = {.lex_state = 234},
  [3863] = {.lex_state = 238},
  [3864] = {.lex_state = 234},
  [3865] = {.lex_state = 238},
  [3866] = {.lex_state = 260},
  [3867] = {.lex_state = 237},
  [3868] = {.lex_state = 282},
  [3869] = {.lex_state = 260},
  [3870] = {.lex_state = 260},
  [3871] = {.lex_state = 234},
  [3872] = {.lex_state = 254},
  [3873] = {.lex_state = 234},
  [3874] = {.lex_state = 234},
  [3875] = {.lex_state = 234},
  [3876] = {.lex_state = 234},
  [3877] = {.lex_state = 237},
  [3878] = {.lex_state = 234},
  [3879] = {.lex_state = 237},
  [3880] = {.lex_state = 234},
  [3881] = {.lex_state = 260},
  [3882] = {.lex_state = 237},
  [3883] = {.lex_state = 234},
  [3884] = {.lex_state = 268},
  [3885] = {.lex_state = 265},
  [3886] = {.lex_state = 230},
  [3887] = {.lex_state = 238},
  [3888] = {.lex_state = 238},
  [3889] = {.lex_state = 238},
  [3890] = {.lex_state = 260},
  [3891] = {.lex_state = 260},
  [3892] = {.lex_state = 260},
  [3893] = {.lex_state = 260},
  [3894] = {.lex_state = 237},
  [3895] = {.lex_state = 207},
  [3896] = {.lex_state = 268},
  [3897] = {.lex_state = 237},
  [3898] = {.lex_state = 260},
  [3899] = {.lex_state = 237},
  [3900] = {.lex_state = 268},
  [3901] = {.lex_state = 230},
  [3902] = {.lex_state = 237},
  [3903] = {.lex_state = 260},
  [3904] = {.lex_state = 260},
  [3905] = {.lex_state = 260},
  [3906] = {.lex_state = 238},
  [3907] = {.lex_state = 282},
  [3908] = {.lex_state = 284},
  [3909] = {.lex_state = 284},
  [3910] = {.lex_state = 284},
  [3911] = {.lex_state = 282},
  [3912] = {.lex_state = 238},
  [3913] = {.lex_state = 238},
  [3914] = {.lex_state = 238},
  [3915] = {.lex_state = 260},
  [3916] = {.lex_state = 238},
  [3917] = {.lex_state = 238},
  [3918] = {.lex_state = 284},
  [3919] = {.lex_state = 238},
  [3920] = {.lex_state = 237},
  [3921] = {.lex_state = 265},
  [3922] = {.lex_state = 284},
  [3923] = {.lex_state = 268},
  [3924] = {.lex_state = 237},
  [3925] = {.lex_state = 260},
  [3926] = {.lex_state = 282},
  [3927] = {.lex_state = 260},
  [3928] = {.lex_state = 282},
  [3929] = {.lex_state = 260},
  [3930] = {.lex_state = 260},
  [3931] = {.lex_state = 260},
  [3932] = {.lex_state = 260},
  [3933] = {.lex_state = 260},
  [3934] = {.lex_state = 260},
  [3935] = {.lex_state = 260},
  [3936] = {.lex_state = 260},
  [3937] = {.lex_state = 284},
  [3938] = {.lex_state = 260},
  [3939] = {.lex_state = 237},
  [3940] = {.lex_state = 260},
  [3941] = {.lex_state = 260},
  [3942] = {.lex_state = 260},
  [3943] = {.lex_state = 268},
  [3944] = {.lex_state = 260},
  [3945] = {.lex_state = 268},
  [3946] = {.lex_state = 282},
  [3947] = {.lex_state = 260},
  [3948] = {.lex_state = 260},
  [3949] = {.lex_state = 237},
  [3950] = {.lex_state = 260},
  [3951] = {.lex_state = 260},
  [3952] = {.lex_state = 268},
  [3953] = {.lex_state = 260},
  [3954] = {.lex_state = 260},
  [3955] = {.lex_state = 237},
  [3956] = {.lex_state = 260},
  [3957] = {.lex_state = 260},
  [3958] = {.lex_state = 237},
  [3959] = {.lex_state = 268},
  [3960] = {.lex_state = 260},
  [3961] = {.lex_state = 268},
  [3962] = {.lex_state = 260},
  [3963] = {.lex_state = 260},
  [3964] = {.lex_state = 260},
  [3965] = {.lex_state = 282},
  [3966] = {.lex_state = 268},
  [3967] = {.lex_state = 260},
  [3968] = {.lex_state = 237},
  [3969] = {.lex_state = 260},
  [3970] = {.lex_state = 260},
  [3971] = {.lex_state = 237},
  [3972] = {.lex_state = 260},
  [3973] = {.lex_state = 218},
  [3974] = {.lex_state = 260},
  [3975] = {.lex_state = 282},
  [3976] = {.lex_state = 207},
  [3977] = {.lex_state = 260},
  [3978] = {.lex_state = 260},
  [3979] = {.lex_state = 260},
  [3980] = {.lex_state = 260},
  [3981] = {.lex_state = 260},
  [3982] = {.lex_state = 284},
  [3983] = {.lex_state = 260},
  [3984] = {.lex_state = 260},
  [3985] = {.lex_state = 260},
  [3986] = {.lex_state = 260},
  [3987] = {.lex_state = 260},
  [3988] = {.lex_state = 260},
  [3989] = {.lex_state = 260},
  [3990] = {.lex_state = 260},
  [3991] = {.lex_state = 260},
  [3992] = {.lex_state = 260},
  [3993] = {.lex_state = 260},
  [3994] = {.lex_state = 260},
  [3995] = {.lex_state = 237},
  [3996] = {.lex_state = 260},
  [3997] = {.lex_state = 260},
  [3998] = {.lex_state = 260},
  [3999] = {.lex_state = 260},
  [4000] = {.lex_state = 260},
  [4001] = {.lex_state = 260},
  [4002] = {.lex_state = 260},
  [4003] = {.lex_state = 218},
  [4004] = {.lex_state = 260},
  [4005] = {.lex_state = 260},
  [4006] = {.lex_state = 260},
  [4007] = {.lex_state = 237},
  [4008] = {.lex_state = 260},
  [4009] = {.lex_state = 237},
  [4010] = {.lex_state = 260},
  [4011] = {.lex_state = 260},
  [4012] = {.lex_state = 260},
  [4013] = {.lex_state = 260},
  [4014] = {.lex_state = 260},
  [4015] = {.lex_state = 260},
  [4016] = {.lex_state = 282},
  [4017] = {.lex_state = 260},
  [4018] = {.lex_state = 260},
  [4019] = {.lex_state = 260},
  [4020] = {.lex_state = 234},
  [4021] = {.lex_state = 260},
  [4022] = {.lex_state = 237},
  [4023] = {.lex_state = 282},
  [4024] = {.lex_state = 238},
  [4025] = {.lex_state = 260},
  [4026] = {.lex_state = 260},
  [4027] = {.lex_state = 284},
  [4028] = {.lex_state = 237},
  [4029] = {.lex_state = 237},
  [4030] = {.lex_state = 260},
  [4031] = {.lex_state = 260},
  [4032] = {.lex_state = 260},
  [4033] = {.lex_state = 218},
  [4034] = {.lex_state = 260},
  [4035] = {.lex_state = 260},
  [4036] = {.lex_state = 237},
  [4037] = {.lex_state = 260},
  [4038] = {.lex_state = 282},
  [4039] = {.lex_state = 265},
  [4040] = {.lex_state = 260},
  [4041] = {.lex_state = 260},
  [4042] = {.lex_state = 260},
  [4043] = {.lex_state = 260},
  [4044] = {.lex_state = 260},
  [4045] = {.lex_state = 260},
  [4046] = {.lex_state = 260},
  [4047] = {.lex_state = 260},
  [4048] = {.lex_state = 282},
  [4049] = {.lex_state = 260},
  [4050] = {.lex_state = 260},
  [4051] = {.lex_state = 260},
  [4052] = {.lex_state = 260},
  [4053] = {.lex_state = 237},
  [4054] = {.lex_state = 260},
  [4055] = {.lex_state = 282},
  [4056] = {.lex_state = 237},
  [4057] = {.lex_state = 265},
  [4058] = {.lex_state = 265},
  [4059] = {.lex_state = 265},
  [4060] = {.lex_state = 265},
  [4061] = {.lex_state = 265},
  [4062] = {.lex_state = 265},
  [4063] = {.lex_state = 282},
  [4064] = {.lex_state = 260},
  [4065] = {.lex_state = 265},
  [4066] = {.lex_state = 265},
  [4067] = {.lex_state = 237},
  [4068] = {.lex_state = 265},
  [4069] = {.lex_state = 265},
  [4070] = {.lex_state = 265},
  [4071] = {.lex_state = 265},
  [4072] = {.lex_state = 260},
  [4073] = {.lex_state = 226},
  [4074] = {.lex_state = 265},
  [4075] = {.lex_state = 265},
  [4076] = {.lex_state = 265},
  [4077] = {.lex_state = 265},
  [4078] = {.lex_state = 265},
  [4079] = {.lex_state = 265},
  [4080] = {.lex_state = 265},
  [4081] = {.lex_state = 265},
  [4082] = {.lex_state = 265},
  [4083] = {.lex_state = 260},
  [4084] = {.lex_state = 265},
  [4085] = {.lex_state = 265},
  [4086] = {.lex_state = 265},
  [4087] = {.lex_state = 260},
  [4088] = {.lex_state = 260},
  [4089] = {.lex_state = 260},
  [4090] = {.lex_state = 260},
  [4091] = {.lex_state = 260},
  [4092] = {.lex_state = 207},
  [4093] = {.lex_state = 260},
  [4094] = {.lex_state = 207},
  [4095] = {.lex_state = 260},
  [4096] = {.lex_state = 260},
  [4097] = {.lex_state = 260},
  [4098] = {.lex_state = 260},
  [4099] = {.lex_state = 265},
  [4100] = {.lex_state = 265},
  [4101] = {.lex_state = 265},
  [4102] = {.lex_state = 265},
  [4103] = {.lex_state = 249},
  [4104] = {.lex_state = 265},
  [4105] = {.lex_state = 265},
  [4106] = {.lex_state = 226},
  [4107] = {.lex_state = 381},
  [4108] = {.lex_state = 260},
  [4109] = {.lex_state = 260},
  [4110] = {.lex_state = 284},
  [4111] = {.lex_state = 260},
  [4112] = {.lex_state = 237},
  [4113] = {.lex_state = 260},
  [4114] = {.lex_state = 260},
  [4115] = {.lex_state = 265},
  [4116] = {.lex_state = 265},
  [4117] = {.lex_state = 284},
  [4118] = {.lex_state = 265},
  [4119] = {.lex_state = 265},
  [4120] = {.lex_state = 284},
  [4121] = {.lex_state = 265},
  [4122] = {.lex_state = 284},
  [4123] = {.lex_state = 265},
  [4124] = {.lex_state = 260},
  [4125] = {.lex_state = 237},
  [4126] = {.lex_state = 260},
  [4127] = {.lex_state = 265},
  [4128] = {.lex_state = 250},
  [4129] = {.lex_state = 234},
  [4130] = {.lex_state = 265},
  [4131] = {.lex_state = 265},
  [4132] = {.lex_state = 282},
  [4133] = {.lex_state = 265},
  [4134] = {.lex_state = 226},
  [4135] = {.lex_state = 284},
  [4136] = {.lex_state = 265},
  [4137] = {.lex_state = 265},
  [4138] = {.lex_state = 265},
  [4139] = {.lex_state = 265},
  [4140] = {.lex_state = 265},
  [4141] = {.lex_state = 284},
  [4142] = {.lex_state = 265},
  [4143] = {.lex_state = 265},
  [4144] = {.lex_state = 265},
  [4145] = {.lex_state = 260},
  [4146] = {.lex_state = 265},
  [4147] = {.lex_state = 265},
  [4148] = {.lex_state = 265},
  [4149] = {.lex_state = 265},
  [4150] = {.lex_state = 284},
  [4151] = {.lex_state = 265},
  [4152] = {.lex_state = 265},
  [4153] = {.lex_state = 226},
  [4154] = {.lex_state = 237},
  [4155] = {.lex_state = 284},
  [4156] = {.lex_state = 237},
  [4157] = {.lex_state = 265},
  [4158] = {.lex_state = 265},
  [4159] = {.lex_state = 226},
  [4160] = {.lex_state = 212},
  [4161] = {.lex_state = 212},
  [4162] = {.lex_state = 237},
  [4163] = {.lex_state = 265},
  [4164] = {.lex_state = 265},
  [4165] = {.lex_state = 212},
  [4166] = {.lex_state = 265},
  [4167] = {.lex_state = 237},
  [4168] = {.lex_state = 212},
  [4169] = {.lex_state = 260},
  [4170] = {.lex_state = 260},
  [4171] = {.lex_state = 265},
  [4172] = {.lex_state = 284},
  [4173] = {.lex_state = 282},
  [4174] = {.lex_state = 282},
  [4175] = {.lex_state = 265},
  [4176] = {.lex_state = 284},
  [4177] = {.lex_state = 265},
  [4178] = {.lex_state = 265},
  [4179] = {.lex_state = 237},
  [4180] = {.lex_state = 265},
  [4181] = {.lex_state = 226},
  [4182] = {.lex_state = 237},
  [4183] = {.lex_state = 265},
  [4184] = {.lex_state = 265},
  [4185] = {.lex_state = 260},
  [4186] = {.lex_state = 265},
  [4187] = {.lex_state = 265},
  [4188] = {.lex_state = 284},
  [4189] = {.lex_state = 265},
  [4190] = {.lex_state = 226},
  [4191] = {.lex_state = 265},
  [4192] = {.lex_state = 284},
  [4193] = {.lex_state = 265},
  [4194] = {.lex_state = 265},
  [4195] = {.lex_state = 265},
  [4196] = {.lex_state = 226},
  [4197] = {.lex_state = 381},
  [4198] = {.lex_state = 265},
  [4199] = {.lex_state = 265},
  [4200] = {.lex_state = 284},
  [4201] = {.lex_state = 226},
  [4202] = {.lex_state = 381},
  [4203] = {.lex_state = 265},
  [4204] = {.lex_state = 226},
  [4205] = {.lex_state = 265},
  [4206] = {.lex_state = 265},
  [4207] = {.lex_state = 265},
  [4208] = {.lex_state = 265},
  [4209] = {.lex_state = 282},
  [4210] = {.lex_state = 284},
  [4211] = {.lex_state = 260},
  [4212] = {.lex_state = 265},
  [4213] = {.lex_state = 265},
  [4214] = {.lex_state = 265},
  [4215] = {.lex_state = 282},
  [4216] = {.lex_state = 253},
  [4217] = {.lex_state = 207},
  [4218] = {.lex_state = 237},
  [4219] = {.lex_state = 237},
  [4220] = {.lex_state = 284},
  [4221] = {.lex_state = 253},
  [4222] = {.lex_state = 237},
  [4223] = {.lex_state = 284},
  [4224] = {.lex_state = 284},
  [4225] = {.lex_state = 284},
  [4226] = {.lex_state = 207},
  [4227] = {.lex_state = 207},
  [4228] = {.lex_state = 284},
  [4229] = {.lex_state = 260},
  [4230] = {.lex_state = 253},
  [4231] = {.lex_state = 284},
  [4232] = {.lex_state = 207},
  [4233] = {.lex_state = 237},
  [4234] = {.lex_state = 381},
  [4235] = {.lex_state = 234},
  [4236] = {.lex_state = 237},
  [4237] = {.lex_state = 237},
  [4238] = {.lex_state = 238},
  [4239] = {.lex_state = 238},
  [4240] = {.lex_state = 218},
  [4241] = {.lex_state = 237},
  [4242] = {.lex_state = 237},
  [4243] = {.lex_state = 237},
  [4244] = {.lex_state = 237},
  [4245] = {.lex_state = 237},
  [4246] = {.lex_state = 218},
  [4247] = {.lex_state = 284},
  [4248] = {.lex_state = 237},
  [4249] = {.lex_state = 381},
  [4250] = {.lex_state = 284},
  [4251] = {.lex_state = 238},
  [4252] = {.lex_state = 284},
  [4253] = {.lex_state = 381},
  [4254] = {.lex_state = 249},
  [4255] = {.lex_state = 284},
  [4256] = {.lex_state = 237},
  [4257] = {.lex_state = 284},
  [4258] = {.lex_state = 381},
  [4259] = {.lex_state = 284},
  [4260] = {.lex_state = 243},
  [4261] = {.lex_state = 243},
  [4262] = {.lex_state = 243},
  [4263] = {.lex_state = 237},
  [4264] = {.lex_state = 260},
  [4265] = {.lex_state = 260},
  [4266] = {.lex_state = 226},
  [4267] = {.lex_state = 260},
  [4268] = {.lex_state = 237},
  [4269] = {.lex_state = 226},
  [4270] = {.lex_state = 226},
  [4271] = {.lex_state = 260},
  [4272] = {.lex_state = 260},
  [4273] = {.lex_state = 238},
  [4274] = {.lex_state = 282},
  [4275] = {.lex_state = 260},
  [4276] = {.lex_state = 260},
  [4277] = {.lex_state = 260},
  [4278] = {.lex_state = 249},
  [4279] = {.lex_state = 249},
  [4280] = {.lex_state = 284},
  [4281] = {.lex_state = 260},
  [4282] = {.lex_state = 249},
  [4283] = {.lex_state = 260},
  [4284] = {.lex_state = 237},
  [4285] = {.lex_state = 237},
  [4286] = {.lex_state = 260},
  [4287] = {.lex_state = 260},
  [4288] = {.lex_state = 260},
  [4289] = {.lex_state = 260},
  [4290] = {.lex_state = 249},
  [4291] = {.lex_state = 237},
  [4292] = {.lex_state = 218},
  [4293] = {.lex_state = 260},
  [4294] = {.lex_state = 249},
  [4295] = {.lex_state = 238},
  [4296] = {.lex_state = 249},
  [4297] = {.lex_state = 260},
  [4298] = {.lex_state = 260},
  [4299] = {.lex_state = 260},
  [4300] = {.lex_state = 260},
  [4301] = {.lex_state = 260},
  [4302] = {.lex_state = 249},
  [4303] = {.lex_state = 260},
  [4304] = {.lex_state = 260},
  [4305] = {.lex_state = 226},
  [4306] = {.lex_state = 238},
  [4307] = {.lex_state = 260},
  [4308] = {.lex_state = 260},
  [4309] = {.lex_state = 260},
  [4310] = {.lex_state = 260},
  [4311] = {.lex_state = 218},
  [4312] = {.lex_state = 260},
  [4313] = {.lex_state = 260},
  [4314] = {.lex_state = 284},
  [4315] = {.lex_state = 260},
  [4316] = {.lex_state = 260},
  [4317] = {.lex_state = 260},
  [4318] = {.lex_state = 284},
  [4319] = {.lex_state = 226},
  [4320] = {.lex_state = 260},
  [4321] = {.lex_state = 260},
  [4322] = {.lex_state = 218},
  [4323] = {.lex_state = 260},
  [4324] = {.lex_state = 260},
  [4325] = {.lex_state = 226},
  [4326] = {.lex_state = 260},
  [4327] = {.lex_state = 260},
  [4328] = {.lex_state = 260},
  [4329] = {.lex_state = 260},
  [4330] = {.lex_state = 260},
  [4331] = {.lex_state = 260},
  [4332] = {.lex_state = 260},
  [4333] = {.lex_state = 260},
  [4334] = {.lex_state = 237},
  [4335] = {.lex_state = 226},
  [4336] = {.lex_state = 249},
  [4337] = {.lex_state = 249},
  [4338] = {.lex_state = 226},
  [4339] = {.lex_state = 260},
  [4340] = {.lex_state = 226},
  [4341] = {.lex_state = 237},
  [4342] = {.lex_state = 249},
  [4343] = {.lex_state = 226},
  [4344] = {.lex_state = 218},
  [4345] = {.lex_state = 226},
  [4346] = {.lex_state = 260},
  [4347] = {.lex_state = 237},
  [4348] = {.lex_state = 237},
  [4349] = {.lex_state = 260},
  [4350] = {.lex_state = 260},
  [4351] = {.lex_state = 260},
  [4352] = {.lex_state = 237},
  [4353] = {.lex_state = 260},
  [4354] = {.lex_state = 260},
  [4355] = {.lex_state = 237},
  [4356] = {.lex_state = 260},
  [4357] = {.lex_state = 238},
  [4358] = {.lex_state = 226},
  [4359] = {.lex_state = 260},
  [4360] = {.lex_state = 238},
  [4361] = {.lex_state = 237},
  [4362] = {.lex_state = 260},
  [4363] = {.lex_state = 260},
  [4364] = {.lex_state = 260},
  [4365] = {.lex_state = 226},
  [4366] = {.lex_state = 207},
  [4367] = {.lex_state = 260},
  [4368] = {.lex_state = 207},
  [4369] = {.lex_state = 260},
  [4370] = {.lex_state = 207},
  [4371] = {.lex_state = 207},
  [4372] = {.lex_state = 238},
  [4373] = {.lex_state = 282},
  [4374] = {.lex_state = 238},
  [4375] = {.lex_state = 249},
  [4376] = {.lex_state = 249},
  [4377] = {.lex_state = 249},
  [4378] = {.lex_state = 249},
  [4379] = {.lex_state = 218},
  [4380] = {.lex_state = 249},
  [4381] = {.lex_state = 238},
  [4382] = {.lex_state = 238},
  [4383] = {.lex_state = 249},
  [4384] = {.lex_state = 284},
  [4385] = {.lex_state = 218},
  [4386] = {.lex_state = 249},
  [4387] = {.lex_state = 284},
  [4388] = {.lex_state = 249},
  [4389] = {.lex_state = 238},
  [4390] = {.lex_state = 249},
  [4391] = {.lex_state = 238},
  [4392] = {.lex_state = 218},
  [4393] = {.lex_state = 238},
  [4394] = {.lex_state = 249},
  [4395] = {.lex_state = 238},
  [4396] = {.lex_state = 238},
  [4397] = {.lex_state = 284},
  [4398] = {.lex_state = 237},
  [4399] = {.lex_state = 238},
  [4400] = {.lex_state = 238},
  [4401] = {.lex_state = 218},
  [4402] = {.lex_state = 238},
  [4403] = {.lex_state = 238},
  [4404] = {.lex_state = 238},
  [4405] = {.lex_state = 238},
  [4406] = {.lex_state = 284},
  [4407] = {.lex_state = 238},
  [4408] = {.lex_state = 238},
  [4409] = {.lex_state = 238},
  [4410] = {.lex_state = 238},
  [4411] = {.lex_state = 238},
  [4412] = {.lex_state = 238},
  [4413] = {.lex_state = 272},
  [4414] = {.lex_state = 284},
  [4415] = {.lex_state = 238},
  [4416] = {.lex_state = 238},
  [4417] = {.lex_state = 238},
  [4418] = {.lex_state = 249},
  [4419] = {.lex_state = 250},
  [4420] = {.lex_state = 238},
  [4421] = {.lex_state = 249},
  [4422] = {.lex_state = 238},
  [4423] = {.lex_state = 238},
  [4424] = {.lex_state = 238},
  [4425] = {.lex_state = 284},
  [4426] = {.lex_state = 250},
  [4427] = {.lex_state = 284},
  [4428] = {.lex_state = 284},
  [4429] = {.lex_state = 238},
  [4430] = {.lex_state = 238},
  [4431] = {.lex_state = 237},
  [4432] = {.lex_state = 249},
  [4433] = {.lex_state = 238},
  [4434] = {.lex_state = 238},
  [4435] = {.lex_state = 238},
  [4436] = {.lex_state = 238},
  [4437] = {.lex_state = 237},
  [4438] = {.lex_state = 284},
  [4439] = {.lex_state = 284},
  [4440] = {.lex_state = 284},
  [4441] = {.lex_state = 284},
  [4442] = {.lex_state = 237},
  [4443] = {.lex_state = 237},
  [4444] = {.lex_state = 237},
  [4445] = {.lex_state = 237},
  [4446] = {.lex_state = 284},
  [4447] = {.lex_state = 284},
  [4448] = {.lex_state = 284},
  [4449] = {.lex_state = 284},
  [4450] = {.lex_state = 249},
  [4451] = {.lex_state = 284},
  [4452] = {.lex_state = 237},
  [4453] = {.lex_state = 249},
  [4454] = {.lex_state = 284},
  [4455] = {.lex_state = 284},
  [4456] = {.lex_state = 237},
  [4457] = {.lex_state = 237},
  [4458] = {.lex_state = 237},
  [4459] = {.lex_state = 284},
  [4460] = {.lex_state = 237},
  [4461] = {.lex_state = 249},
  [4462] = {.lex_state = 237},
  [4463] = {.lex_state = 237},
  [4464] = {.lex_state = 284},
  [4465] = {.lex_state = 284},
  [4466] = {.lex_state = 237},
  [4467] = {.lex_state = 284},
  [4468] = {.lex_state = 284},
  [4469] = {.lex_state = 238},
  [4470] = {.lex_state = 284},
  [4471] = {.lex_state = 284},
  [4472] = {.lex_state = 284},
  [4473] = {.lex_state = 284},
  [4474] = {.lex_state = 272},
  [4475] = {.lex_state = 238},
  [4476] = {.lex_state = 282},
  [4477] = {.lex_state = 284},
  [4478] = {.lex_state = 284},
  [4479] = {.lex_state = 249},
  [4480] = {.lex_state = 237},
  [4481] = {.lex_state = 237},
  [4482] = {.lex_state = 284},
  [4483] = {.lex_state = 237},
  [4484] = {.lex_state = 250},
  [4485] = {.lex_state = 284},
  [4486] = {.lex_state = 238},
  [4487] = {.lex_state = 284},
  [4488] = {.lex_state = 284},
  [4489] = {.lex_state = 282},
  [4490] = {.lex_state = 284},
  [4491] = {.lex_state = 282},
  [4492] = {.lex_state = 282},
  [4493] = {.lex_state = 282},
  [4494] = {.lex_state = 226},
  [4495] = {.lex_state = 282},
  [4496] = {.lex_state = 282},
  [4497] = {.lex_state = 282},
  [4498] = {.lex_state = 282},
  [4499] = {.lex_state = 282},
  [4500] = {.lex_state = 381},
  [4501] = {.lex_state = 249},
  [4502] = {.lex_state = 282},
  [4503] = {.lex_state = 272},
  [4504] = {.lex_state = 282},
  [4505] = {.lex_state = 282},
  [4506] = {.lex_state = 282},
  [4507] = {.lex_state = 237},
  [4508] = {.lex_state = 282},
  [4509] = {.lex_state = 282},
  [4510] = {.lex_state = 282},
  [4511] = {.lex_state = 284},
  [4512] = {.lex_state = 282},
  [4513] = {.lex_state = 282},
  [4514] = {.lex_state = 282},
  [4515] = {.lex_state = 282},
  [4516] = {.lex_state = 282},
  [4517] = {.lex_state = 272},
  [4518] = {.lex_state = 282},
  [4519] = {.lex_state = 282},
  [4520] = {.lex_state = 249},
  [4521] = {.lex_state = 282},
  [4522] = {.lex_state = 282},
  [4523] = {.lex_state = 282},
  [4524] = {.lex_state = 282},
  [4525] = {.lex_state = 381},
  [4526] = {.lex_state = 282},
  [4527] = {.lex_state = 237},
  [4528] = {.lex_state = 282},
  [4529] = {.lex_state = 282},
  [4530] = {.lex_state = 381},
  [4531] = {.lex_state = 282},
  [4532] = {.lex_state = 282},
  [4533] = {.lex_state = 282},
  [4534] = {.lex_state = 282},
  [4535] = {.lex_state = 237},
  [4536] = {.lex_state = 282},
  [4537] = {.lex_state = 282},
  [4538] = {.lex_state = 381},
  [4539] = {.lex_state = 282},
  [4540] = {.lex_state = 237},
  [4541] = {.lex_state = 282},
  [4542] = {.lex_state = 282},
  [4543] = {.lex_state = 282},
  [4544] = {.lex_state = 237},
  [4545] = {.lex_state = 237},
  [4546] = {.lex_state = 282},
  [4547] = {.lex_state = 284},
  [4548] = {.lex_state = 282},
  [4549] = {.lex_state = 282},
  [4550] = {.lex_state = 282},
  [4551] = {.lex_state = 282},
  [4552] = {.lex_state = 282},
  [4553] = {.lex_state = 282},
  [4554] = {.lex_state = 282},
  [4555] = {.lex_state = 237},
  [4556] = {.lex_state = 282},
  [4557] = {.lex_state = 282},
  [4558] = {.lex_state = 284},
  [4559] = {.lex_state = 282},
  [4560] = {.lex_state = 282},
  [4561] = {.lex_state = 282},
  [4562] = {.lex_state = 282},
  [4563] = {.lex_state = 282},
  [4564] = {.lex_state = 282},
  [4565] = {.lex_state = 282},
  [4566] = {.lex_state = 282},
  [4567] = {.lex_state = 282},
  [4568] = {.lex_state = 282},
  [4569] = {.lex_state = 282},
  [4570] = {.lex_state = 282},
  [4571] = {.lex_state = 282},
  [4572] = {.lex_state = 282},
  [4573] = {.lex_state = 282},
  [4574] = {.lex_state = 282},
  [4575] = {.lex_state = 282},
  [4576] = {.lex_state = 284},
  [4577] = {.lex_state = 282},
  [4578] = {.lex_state = 282},
  [4579] = {.lex_state = 282},
  [4580] = {.lex_state = 284},
  [4581] = {.lex_state = 282},
  [4582] = {.lex_state = 282},
  [4583] = {.lex_state = 282},
  [4584] = {.lex_state = 282},
  [4585] = {.lex_state = 282},
  [4586] = {.lex_state = 282},
  [4587] = {.lex_state = 284},
  [4588] = {.lex_state = 282},
  [4589] = {.lex_state = 282},
  [4590] = {.lex_state = 282},
  [4591] = {.lex_state = 282},
  [4592] = {.lex_state = 237},
  [4593] = {.lex_state = 282},
  [4594] = {.lex_state = 284},
  [4595] = {.lex_state = 226},
  [4596] = {.lex_state = 237},
  [4597] = {.lex_state = 282},
  [4598] = {.lex_state = 237},
  [4599] = {.lex_state = 249},
  [4600] = {.lex_state = 237},
  [4601] = {.lex_state = 237},
  [4602] = {.lex_state = 237},
  [4603] = {.lex_state = 237},
  [4604] = {.lex_state = 237},
  [4605] = {.lex_state = 237},
  [4606] = {.lex_state = 237},
  [4607] = {.lex_state = 282},
  [4608] = {.lex_state = 237},
  [4609] = {.lex_state = 237},
  [4610] = {.lex_state = 282},
  [4611] = {.lex_state = 237},
  [4612] = {.lex_state = 237},
  [4613] = {.lex_state = 237},
  [4614] = {.lex_state = 282},
  [4615] = {.lex_state = 237},
  [4616] = {.lex_state = 249},
  [4617] = {.lex_state = 249},
  [4618] = {.lex_state = 237},
  [4619] = {.lex_state = 249},
  [4620] = {.lex_state = 237},
  [4621] = {.lex_state = 249},
  [4622] = {.lex_state = 237},
  [4623] = {.lex_state = 282},
  [4624] = {.lex_state = 237},
  [4625] = {.lex_state = 282},
  [4626] = {.lex_state = 381},
  [4627] = {.lex_state = 237},
  [4628] = {.lex_state = 381},
  [4629] = {.lex_state = 237},
  [4630] = {.lex_state = 282},
  [4631] = {.lex_state = 249},
  [4632] = {.lex_state = 282},
  [4633] = {.lex_state = 238},
  [4634] = {.lex_state = 249},
  [4635] = {.lex_state = 237},
  [4636] = {.lex_state = 249},
  [4637] = {.lex_state = 249},
  [4638] = {.lex_state = 381},
  [4639] = {.lex_state = 237},
  [4640] = {.lex_state = 284},
  [4641] = {.lex_state = 237},
  [4642] = {.lex_state = 282},
  [4643] = {.lex_state = 237},
  [4644] = {.lex_state = 273},
  [4645] = {.lex_state = 282},
  [4646] = {.lex_state = 237},
  [4647] = {.lex_state = 237},
  [4648] = {.lex_state = 282},
  [4649] = {.lex_state = 273},
  [4650] = {.lex_state = 237},
  [4651] = {.lex_state = 282},
  [4652] = {.lex_state = 282},
  [4653] = {.lex_state = 237},
  [4654] = {.lex_state = 282},
  [4655] = {.lex_state = 237},
  [4656] = {.lex_state = 249},
  [4657] = {.lex_state = 238},
  [4658] = {.lex_state = 238},
  [4659] = {.lex_state = 237},
  [4660] = {.lex_state = 238},
  [4661] = {.lex_state = 237},
  [4662] = {.lex_state = 282},
  [4663] = {.lex_state = 249},
  [4664] = {.lex_state = 282},
  [4665] = {.lex_state = 249},
  [4666] = {.lex_state = 237},
  [4667] = {.lex_state = 281},
  [4668] = {.lex_state = 281},
  [4669] = {.lex_state = 237},
  [4670] = {.lex_state = 237},
  [4671] = {.lex_state = 237},
  [4672] = {.lex_state = 249},
  [4673] = {.lex_state = 238},
  [4674] = {.lex_state = 237},
  [4675] = {.lex_state = 237},
  [4676] = {.lex_state = 238},
  [4677] = {.lex_state = 249},
  [4678] = {.lex_state = 237},
  [4679] = {.lex_state = 273},
  [4680] = {.lex_state = 226},
  [4681] = {.lex_state = 237},
  [4682] = {.lex_state = 237},
  [4683] = {.lex_state = 273},
  [4684] = {.lex_state = 249},
  [4685] = {.lex_state = 238},
  [4686] = {.lex_state = 237},
  [4687] = {.lex_state = 237},
  [4688] = {.lex_state = 249},
  [4689] = {.lex_state = 249},
  [4690] = {.lex_state = 273},
  [4691] = {.lex_state = 237},
  [4692] = {.lex_state = 237},
  [4693] = {.lex_state = 237},
  [4694] = {.lex_state = 249},
  [4695] = {.lex_state = 237},
  [4696] = {.lex_state = 237},
  [4697] = {.lex_state = 238},
  [4698] = {.lex_state = 237},
  [4699] = {.lex_state = 237},
  [4700] = {.lex_state = 237},
  [4701] = {.lex_state = 237},
  [4702] = {.lex_state = 237},
  [4703] = {.lex_state = 237},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 237},
  [4706] = {.lex_state = 237},
  [4707] = {.lex_state = 237},
  [4708] = {.lex_state = 226},
  [4709] = {.lex_state = 273},
  [4710] = {.lex_state = 249},
  [4711] = {.lex_state = 237},
  [4712] = {.lex_state = 237},
  [4713] = {.lex_state = 237},
  [4714] = {.lex_state = 237},
  [4715] = {.lex_state = 249},
  [4716] = {.lex_state = 237},
  [4717] = {.lex_state = 237},
  [4718] = {.lex_state = 281},
  [4719] = {.lex_state = 249},
  [4720] = {.lex_state = 237},
  [4721] = {.lex_state = 237},
  [4722] = {.lex_state = 237},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 249},
  [4725] = {.lex_state = 228},
  [4726] = {.lex_state = 249},
  [4727] = {.lex_state = 249},
  [4728] = {.lex_state = 249},
  [4729] = {.lex_state = 249},
  [4730] = {.lex_state = 237},
  [4731] = {.lex_state = 237},
  [4732] = {.lex_state = 284},
  [4733] = {.lex_state = 249},
  [4734] = {.lex_state = 249},
  [4735] = {.lex_state = 249},
  [4736] = {.lex_state = 228},
  [4737] = {.lex_state = 249},
  [4738] = {.lex_state = 237},
  [4739] = {.lex_state = 249},
  [4740] = {.lex_state = 249},
  [4741] = {.lex_state = 249},
  [4742] = {.lex_state = 249},
  [4743] = {.lex_state = 249},
  [4744] = {.lex_state = 249},
  [4745] = {.lex_state = 249},
  [4746] = {.lex_state = 249},
  [4747] = {.lex_state = 249},
  [4748] = {.lex_state = 249},
  [4749] = {.lex_state = 249},
  [4750] = {.lex_state = 249},
  [4751] = {.lex_state = 249},
  [4752] = {.lex_state = 249},
  [4753] = {.lex_state = 249},
  [4754] = {.lex_state = 249},
  [4755] = {.lex_state = 282},
  [4756] = {.lex_state = 282},
  [4757] = {.lex_state = 249},
  [4758] = {.lex_state = 237},
  [4759] = {.lex_state = 249},
  [4760] = {.lex_state = 249},
  [4761] = {.lex_state = 249},
  [4762] = {.lex_state = 249},
  [4763] = {.lex_state = 249},
  [4764] = {.lex_state = 249},
  [4765] = {.lex_state = 228},
  [4766] = {.lex_state = 284},
  [4767] = {.lex_state = 249},
  [4768] = {.lex_state = 249},
  [4769] = {.lex_state = 249},
  [4770] = {.lex_state = 249},
  [4771] = {.lex_state = 249},
  [4772] = {.lex_state = 249},
  [4773] = {.lex_state = 249},
  [4774] = {.lex_state = 381},
  [4775] = {.lex_state = 284},
  [4776] = {.lex_state = 237},
  [4777] = {.lex_state = 249},
  [4778] = {.lex_state = 237},
  [4779] = {.lex_state = 249},
  [4780] = {.lex_state = 284},
  [4781] = {.lex_state = 249},
  [4782] = {.lex_state = 282},
  [4783] = {.lex_state = 237},
  [4784] = {.lex_state = 249},
  [4785] = {.lex_state = 249},
  [4786] = {.lex_state = 249},
  [4787] = {.lex_state = 237},
  [4788] = {.lex_state = 228},
  [4789] = {.lex_state = 282},
  [4790] = {.lex_state = 281},
  [4791] = {.lex_state = 381},
  [4792] = {.lex_state = 282},
  [4793] = {.lex_state = 238},
  [4794] = {.lex_state = 381},
  [4795] = {.lex_state = 381},
  [4796] = {.lex_state = 238},
  [4797] = {.lex_state = 237},
  [4798] = {.lex_state = 249},
  [4799] = {.lex_state = 249},
  [4800] = {.lex_state = 282},
  [4801] = {.lex_state = 282},
  [4802] = {.lex_state = 282},
  [4803] = {.lex_state = 282},
  [4804] = {.lex_state = 282},
  [4805] = {.lex_state = 249},
  [4806] = {.lex_state = 249},
  [4807] = {.lex_state = 228},
  [4808] = {.lex_state = 237},
  [4809] = {.lex_state = 249},
  [4810] = {.lex_state = 249},
  [4811] = {.lex_state = 249},
  [4812] = {.lex_state = 228},
  [4813] = {.lex_state = 249},
  [4814] = {.lex_state = 249},
  [4815] = {.lex_state = 249},
  [4816] = {.lex_state = 381},
  [4817] = {.lex_state = 249},
  [4818] = {.lex_state = 381},
  [4819] = {.lex_state = 249},
  [4820] = {.lex_state = 249},
  [4821] = {.lex_state = 249},
  [4822] = {.lex_state = 249},
  [4823] = {.lex_state = 249},
  [4824] = {.lex_state = 249},
  [4825] = {.lex_state = 249},
  [4826] = {.lex_state = 237},
  [4827] = {.lex_state = 237},
  [4828] = {.lex_state = 284},
  [4829] = {.lex_state = 237},
  [4830] = {.lex_state = 284},
  [4831] = {.lex_state = 226},
  [4832] = {.lex_state = 226},
  [4833] = {.lex_state = 237},
  [4834] = {.lex_state = 237},
  [4835] = {.lex_state = 284},
  [4836] = {.lex_state = 249},
  [4837] = {.lex_state = 284},
  [4838] = {.lex_state = 237},
  [4839] = {.lex_state = 237},
  [4840] = {.lex_state = 281},
  [4841] = {.lex_state = 237},
  [4842] = {.lex_state = 284},
  [4843] = {.lex_state = 237},
  [4844] = {.lex_state = 237},
  [4845] = {.lex_state = 226},
  [4846] = {.lex_state = 237},
  [4847] = {.lex_state = 284},
  [4848] = {.lex_state = 226},
  [4849] = {.lex_state = 237},
  [4850] = {.lex_state = 241},
  [4851] = {.lex_state = 237},
  [4852] = {.lex_state = 237},
  [4853] = {.lex_state = 237},
  [4854] = {.lex_state = 237},
  [4855] = {.lex_state = 284},
  [4856] = {.lex_state = 237},
  [4857] = {.lex_state = 226},
  [4858] = {.lex_state = 226},
  [4859] = {.lex_state = 241},
  [4860] = {.lex_state = 281},
  [4861] = {.lex_state = 241},
  [4862] = {.lex_state = 237},
  [4863] = {.lex_state = 237},
  [4864] = {.lex_state = 249},
  [4865] = {.lex_state = 237},
  [4866] = {.lex_state = 378},
  [4867] = {.lex_state = 237},
  [4868] = {.lex_state = 273},
  [4869] = {.lex_state = 273},
  [4870] = {.lex_state = 381},
  [4871] = {.lex_state = 237},
  [4872] = {.lex_state = 237},
  [4873] = {.lex_state = 284},
  [4874] = {.lex_state = 226},
  [4875] = {.lex_state = 237},
  [4876] = {.lex_state = 237},
  [4877] = {.lex_state = 237},
  [4878] = {.lex_state = 249},
  [4879] = {.lex_state = 273},
  [4880] = {.lex_state = 273},
  [4881] = {.lex_state = 273},
  [4882] = {.lex_state = 273},
  [4883] = {.lex_state = 273},
  [4884] = {.lex_state = 237},
  [4885] = {.lex_state = 237},
  [4886] = {.lex_state = 273},
  [4887] = {.lex_state = 237},
  [4888] = {.lex_state = 237},
  [4889] = {.lex_state = 273},
  [4890] = {.lex_state = 273},
  [4891] = {.lex_state = 237},
  [4892] = {.lex_state = 237},
  [4893] = {.lex_state = 237},
  [4894] = {.lex_state = 237},
  [4895] = {.lex_state = 237},
  [4896] = {.lex_state = 237},
  [4897] = {.lex_state = 249},
  [4898] = {.lex_state = 237},
  [4899] = {.lex_state = 237},
  [4900] = {.lex_state = 237},
  [4901] = {.lex_state = 249},
  [4902] = {.lex_state = 249},
  [4903] = {.lex_state = 249},
  [4904] = {.lex_state = 249},
  [4905] = {.lex_state = 249},
  [4906] = {.lex_state = 249},
  [4907] = {.lex_state = 237},
  [4908] = {.lex_state = 237},
  [4909] = {.lex_state = 249},
  [4910] = {.lex_state = 249},
  [4911] = {.lex_state = 249},
  [4912] = {.lex_state = 273},
  [4913] = {.lex_state = 273},
  [4914] = {.lex_state = 249},
  [4915] = {.lex_state = 249},
  [4916] = {.lex_state = 249},
  [4917] = {.lex_state = 237},
  [4918] = {.lex_state = 273},
  [4919] = {.lex_state = 249},
  [4920] = {.lex_state = 249},
  [4921] = {.lex_state = 249},
  [4922] = {.lex_state = 273},
  [4923] = {.lex_state = 273},
  [4924] = {.lex_state = 249},
  [4925] = {.lex_state = 273},
  [4926] = {.lex_state = 249},
  [4927] = {.lex_state = 237},
  [4928] = {.lex_state = 249},
  [4929] = {.lex_state = 249},
  [4930] = {.lex_state = 249},
  [4931] = {.lex_state = 273},
  [4932] = {.lex_state = 273},
  [4933] = {.lex_state = 273},
  [4934] = {.lex_state = 237},
  [4935] = {.lex_state = 226},
  [4936] = {.lex_state = 273},
  [4937] = {.lex_state = 237},
  [4938] = {.lex_state = 273},
  [4939] = {.lex_state = 273},
  [4940] = {.lex_state = 237},
  [4941] = {.lex_state = 249},
  [4942] = {.lex_state = 237},
  [4943] = {.lex_state = 381},
  [4944] = {.lex_state = 237},
  [4945] = {.lex_state = 273},
  [4946] = {.lex_state = 226},
  [4947] = {.lex_state = 226},
  [4948] = {.lex_state = 273},
  [4949] = {.lex_state = 249},
  [4950] = {.lex_state = 237},
  [4951] = {.lex_state = 226},
  [4952] = {.lex_state = 249},
  [4953] = {.lex_state = 273},
  [4954] = {.lex_state = 271},
  [4955] = {.lex_state = 273},
  [4956] = {.lex_state = 237},
  [4957] = {.lex_state = 249},
  [4958] = {.lex_state = 249},
  [4959] = {.lex_state = 237},
  [4960] = {.lex_state = 237},
  [4961] = {.lex_state = 249},
  [4962] = {.lex_state = 273},
  [4963] = {.lex_state = 284},
  [4964] = {.lex_state = 273},
  [4965] = {.lex_state = 237},
  [4966] = {.lex_state = 249},
  [4967] = {.lex_state = 249},
  [4968] = {.lex_state = 273},
  [4969] = {.lex_state = 249},
  [4970] = {.lex_state = 237},
  [4971] = {.lex_state = 249},
  [4972] = {.lex_state = 249},
  [4973] = {.lex_state = 249},
  [4974] = {.lex_state = 237},
  [4975] = {.lex_state = 237},
  [4976] = {.lex_state = 226},
  [4977] = {.lex_state = 249},
  [4978] = {.lex_state = 273},
  [4979] = {.lex_state = 273},
  [4980] = {.lex_state = 237},
  [4981] = {.lex_state = 237},
  [4982] = {.lex_state = 249},
  [4983] = {.lex_state = 237},
  [4984] = {.lex_state = 273},
  [4985] = {.lex_state = 273},
  [4986] = {.lex_state = 273},
  [4987] = {.lex_state = 249},
  [4988] = {.lex_state = 249},
  [4989] = {.lex_state = 237},
  [4990] = {.lex_state = 273},
  [4991] = {.lex_state = 237},
  [4992] = {.lex_state = 237},
  [4993] = {.lex_state = 237},
  [4994] = {.lex_state = 249},
  [4995] = {.lex_state = 249},
  [4996] = {.lex_state = 249},
  [4997] = {.lex_state = 226},
  [4998] = {.lex_state = 237},
  [4999] = {.lex_state = 249},
  [5000] = {.lex_state = 237},
  [5001] = {.lex_state = 249},
  [5002] = {.lex_state = 249},
  [5003] = {.lex_state = 249},
  [5004] = {.lex_state = 249},
  [5005] = {.lex_state = 237},
  [5006] = {.lex_state = 237},
  [5007] = {.lex_state = 378},
  [5008] = {.lex_state = 249},
  [5009] = {.lex_state = 249},
  [5010] = {.lex_state = 237},
  [5011] = {.lex_state = 249},
  [5012] = {.lex_state = 249},
  [5013] = {.lex_state = 249},
  [5014] = {.lex_state = 237},
  [5015] = {.lex_state = 226},
  [5016] = {.lex_state = 237},
  [5017] = {.lex_state = 273},
  [5018] = {.lex_state = 249},
  [5019] = {.lex_state = 237},
  [5020] = {.lex_state = 237},
  [5021] = {.lex_state = 273},
  [5022] = {.lex_state = 237},
  [5023] = {.lex_state = 237},
  [5024] = {.lex_state = 249},
  [5025] = {.lex_state = 226},
  [5026] = {.lex_state = 237},
  [5027] = {.lex_state = 237},
  [5028] = {.lex_state = 378},
  [5029] = {.lex_state = 237},
  [5030] = {.lex_state = 249},
  [5031] = {.lex_state = 273},
  [5032] = {.lex_state = 249},
  [5033] = {.lex_state = 273},
  [5034] = {.lex_state = 237},
  [5035] = {.lex_state = 249},
  [5036] = {.lex_state = 237},
  [5037] = {.lex_state = 281},
  [5038] = {.lex_state = 237},
  [5039] = {.lex_state = 273},
  [5040] = {.lex_state = 237},
  [5041] = {.lex_state = 237},
  [5042] = {.lex_state = 237},
  [5043] = {.lex_state = 237},
  [5044] = {.lex_state = 226},
  [5045] = {.lex_state = 226},
  [5046] = {.lex_state = 282},
  [5047] = {.lex_state = 228},
  [5048] = {.lex_state = 273},
  [5049] = {.lex_state = 273},
  [5050] = {.lex_state = 237},
  [5051] = {.lex_state = 237},
  [5052] = {.lex_state = 282},
  [5053] = {.lex_state = 237},
  [5054] = {.lex_state = 237},
  [5055] = {.lex_state = 237},
  [5056] = {.lex_state = 282},
  [5057] = {.lex_state = 273},
  [5058] = {.lex_state = 237},
  [5059] = {.lex_state = 237},
  [5060] = {.lex_state = 237},
  [5061] = {.lex_state = 273},
  [5062] = {.lex_state = 237},
  [5063] = {.lex_state = 226},
  [5064] = {.lex_state = 237},
  [5065] = {.lex_state = 273},
  [5066] = {.lex_state = 272},
  [5067] = {.lex_state = 282},
  [5068] = {.lex_state = 282},
  [5069] = {.lex_state = 273},
  [5070] = {.lex_state = 237},
  [5071] = {.lex_state = 273},
  [5072] = {.lex_state = 237},
  [5073] = {.lex_state = 282},
  [5074] = {.lex_state = 237},
  [5075] = {.lex_state = 237},
  [5076] = {.lex_state = 237},
  [5077] = {.lex_state = 282},
  [5078] = {.lex_state = 237},
  [5079] = {.lex_state = 237},
  [5080] = {.lex_state = 282},
  [5081] = {.lex_state = 237},
  [5082] = {.lex_state = 273},
  [5083] = {.lex_state = 237},
  [5084] = {.lex_state = 228},
  [5085] = {.lex_state = 282},
  [5086] = {.lex_state = 226},
  [5087] = {.lex_state = 237},
  [5088] = {.lex_state = 381},
  [5089] = {.lex_state = 273},
  [5090] = {.lex_state = 237},
  [5091] = {.lex_state = 282},
  [5092] = {.lex_state = 237},
  [5093] = {.lex_state = 237},
  [5094] = {.lex_state = 237},
  [5095] = {.lex_state = 381},
  [5096] = {.lex_state = 237},
  [5097] = {.lex_state = 282},
  [5098] = {.lex_state = 237},
  [5099] = {.lex_state = 381},
  [5100] = {.lex_state = 237},
  [5101] = {.lex_state = 273},
  [5102] = {.lex_state = 282},
  [5103] = {.lex_state = 381},
  [5104] = {.lex_state = 237},
  [5105] = {.lex_state = 282},
  [5106] = {.lex_state = 237},
  [5107] = {.lex_state = 381},
  [5108] = {.lex_state = 237},
  [5109] = {.lex_state = 237},
  [5110] = {.lex_state = 237},
  [5111] = {.lex_state = 237},
  [5112] = {.lex_state = 273},
  [5113] = {.lex_state = 237},
  [5114] = {.lex_state = 381},
  [5115] = {.lex_state = 237},
  [5116] = {.lex_state = 237},
  [5117] = {.lex_state = 237},
  [5118] = {.lex_state = 237},
  [5119] = {.lex_state = 228},
  [5120] = {.lex_state = 282},
  [5121] = {.lex_state = 282},
  [5122] = {.lex_state = 237},
  [5123] = {.lex_state = 237},
  [5124] = {.lex_state = 282},
  [5125] = {.lex_state = 237},
  [5126] = {.lex_state = 282},
  [5127] = {.lex_state = 282},
  [5128] = {.lex_state = 282},
  [5129] = {.lex_state = 237},
  [5130] = {.lex_state = 237},
  [5131] = {.lex_state = 273},
  [5132] = {.lex_state = 237},
  [5133] = {.lex_state = 282},
  [5134] = {.lex_state = 237},
  [5135] = {.lex_state = 237},
  [5136] = {.lex_state = 237},
  [5137] = {.lex_state = 237},
  [5138] = {.lex_state = 237},
  [5139] = {.lex_state = 273},
  [5140] = {.lex_state = 281},
  [5141] = {.lex_state = 381},
  [5142] = {.lex_state = 226},
  [5143] = {.lex_state = 237},
  [5144] = {.lex_state = 282},
  [5145] = {.lex_state = 282},
  [5146] = {.lex_state = 237},
  [5147] = {.lex_state = 237},
  [5148] = {.lex_state = 282},
  [5149] = {.lex_state = 273},
  [5150] = {.lex_state = 273},
  [5151] = {.lex_state = 273},
  [5152] = {.lex_state = 237},
  [5153] = {.lex_state = 237},
  [5154] = {.lex_state = 237},
  [5155] = {.lex_state = 237},
  [5156] = {.lex_state = 282},
  [5157] = {.lex_state = 273},
  [5158] = {.lex_state = 284},
  [5159] = {.lex_state = 284},
  [5160] = {.lex_state = 282},
  [5161] = {.lex_state = 237},
  [5162] = {.lex_state = 273},
  [5163] = {.lex_state = 282},
  [5164] = {.lex_state = 273},
  [5165] = {.lex_state = 273},
  [5166] = {.lex_state = 381},
  [5167] = {.lex_state = 273},
  [5168] = {.lex_state = 284},
  [5169] = {.lex_state = 273},
  [5170] = {.lex_state = 237},
  [5171] = {.lex_state = 237},
  [5172] = {.lex_state = 284},
  [5173] = {.lex_state = 273},
  [5174] = {.lex_state = 381},
  [5175] = {.lex_state = 273},
  [5176] = {.lex_state = 273},
  [5177] = {.lex_state = 282},
  [5178] = {.lex_state = 273},
  [5179] = {.lex_state = 282},
  [5180] = {.lex_state = 282},
  [5181] = {.lex_state = 237},
  [5182] = {.lex_state = 237},
  [5183] = {.lex_state = 282},
  [5184] = {.lex_state = 273},
  [5185] = {.lex_state = 237},
  [5186] = {.lex_state = 273},
  [5187] = {.lex_state = 226},
  [5188] = {.lex_state = 282},
  [5189] = {.lex_state = 237},
  [5190] = {.lex_state = 282},
  [5191] = {.lex_state = 237},
  [5192] = {.lex_state = 381},
  [5193] = {.lex_state = 381},
  [5194] = {.lex_state = 237},
  [5195] = {.lex_state = 238},
  [5196] = {.lex_state = 238},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 238},
  [5199] = {.lex_state = 237},
  [5200] = {.lex_state = 238},
  [5201] = {.lex_state = 237},
  [5202] = {.lex_state = 237},
  [5203] = {.lex_state = 237},
  [5204] = {.lex_state = 237},
  [5205] = {.lex_state = 237},
  [5206] = {.lex_state = 238},
  [5207] = {.lex_state = 238},
  [5208] = {.lex_state = 281},
  [5209] = {.lex_state = 381},
  [5210] = {.lex_state = 237},
  [5211] = {.lex_state = 237},
  [5212] = {.lex_state = 237},
  [5213] = {.lex_state = 237},
  [5214] = {.lex_state = 381},
  [5215] = {.lex_state = 237},
  [5216] = {.lex_state = 381},
  [5217] = {.lex_state = 237},
  [5218] = {.lex_state = 237},
  [5219] = {.lex_state = 237},
  [5220] = {.lex_state = 237},
  [5221] = {.lex_state = 237},
  [5222] = {.lex_state = 237},
  [5223] = {.lex_state = 237},
  [5224] = {.lex_state = 381},
  [5225] = {.lex_state = 237},
  [5226] = {.lex_state = 237},
  [5227] = {.lex_state = 237},
  [5228] = {.lex_state = 237},
  [5229] = {.lex_state = 237},
  [5230] = {.lex_state = 381},
  [5231] = {.lex_state = 284},
  [5232] = {.lex_state = 237},
  [5233] = {.lex_state = 237},
  [5234] = {.lex_state = 237},
  [5235] = {.lex_state = 237},
  [5236] = {.lex_state = 237},
  [5237] = {.lex_state = 237},
  [5238] = {.lex_state = 237},
  [5239] = {.lex_state = 238},
  [5240] = {.lex_state = 237},
  [5241] = {.lex_state = 237},
  [5242] = {.lex_state = 238},
  [5243] = {.lex_state = 237},
  [5244] = {.lex_state = 381},
  [5245] = {.lex_state = 237},
  [5246] = {.lex_state = 381},
  [5247] = {.lex_state = 237},
  [5248] = {.lex_state = 237},
  [5249] = {.lex_state = 237},
  [5250] = {.lex_state = 237},
  [5251] = {.lex_state = 237},
  [5252] = {.lex_state = 238},
  [5253] = {.lex_state = 237},
  [5254] = {.lex_state = 237},
  [5255] = {.lex_state = 381},
  [5256] = {.lex_state = 237},
  [5257] = {.lex_state = 237},
  [5258] = {.lex_state = 237},
  [5259] = {.lex_state = 238},
  [5260] = {.lex_state = 237},
  [5261] = {.lex_state = 237},
  [5262] = {.lex_state = 237},
  [5263] = {.lex_state = 237},
  [5264] = {.lex_state = 237},
  [5265] = {.lex_state = 237},
  [5266] = {.lex_state = 237},
  [5267] = {.lex_state = 237},
  [5268] = {.lex_state = 238},
  [5269] = {.lex_state = 237},
  [5270] = {.lex_state = 237},
  [5271] = {.lex_state = 237},
  [5272] = {.lex_state = 238},
  [5273] = {.lex_state = 255},
  [5274] = {.lex_state = 237},
  [5275] = {.lex_state = 238},
  [5276] = {.lex_state = 255},
  [5277] = {.lex_state = 237},
  [5278] = {.lex_state = 281},
  [5279] = {.lex_state = 281},
  [5280] = {.lex_state = 237},
  [5281] = {.lex_state = 237},
  [5282] = {.lex_state = 237},
  [5283] = {.lex_state = 237},
  [5284] = {.lex_state = 237},
  [5285] = {.lex_state = 237},
  [5286] = {.lex_state = 238},
  [5287] = {.lex_state = 237},
  [5288] = {.lex_state = 281},
  [5289] = {.lex_state = 237},
  [5290] = {.lex_state = 238},
  [5291] = {.lex_state = 238},
  [5292] = {.lex_state = 238},
  [5293] = {.lex_state = 238},
  [5294] = {.lex_state = 237},
  [5295] = {.lex_state = 237},
  [5296] = {.lex_state = 237},
  [5297] = {.lex_state = 238},
  [5298] = {.lex_state = 238},
  [5299] = {.lex_state = 238},
  [5300] = {.lex_state = 237},
  [5301] = {.lex_state = 237},
  [5302] = {.lex_state = 237},
  [5303] = {.lex_state = 238},
  [5304] = {.lex_state = 237},
  [5305] = {.lex_state = 238},
  [5306] = {.lex_state = 237},
  [5307] = {.lex_state = 238},
  [5308] = {.lex_state = 237},
  [5309] = {.lex_state = 238},
  [5310] = {.lex_state = 237},
  [5311] = {.lex_state = 237},
  [5312] = {.lex_state = 238},
  [5313] = {.lex_state = 238},
  [5314] = {.lex_state = 238},
  [5315] = {.lex_state = 237},
  [5316] = {.lex_state = 238},
  [5317] = {.lex_state = 238},
  [5318] = {.lex_state = 238},
  [5319] = {.lex_state = 238},
  [5320] = {.lex_state = 238},
  [5321] = {.lex_state = 237},
  [5322] = {.lex_state = 237},
  [5323] = {.lex_state = 238},
  [5324] = {.lex_state = 237},
  [5325] = {.lex_state = 238},
  [5326] = {.lex_state = 237},
  [5327] = {.lex_state = 237},
  [5328] = {.lex_state = 237},
  [5329] = {.lex_state = 238},
  [5330] = {.lex_state = 238},
  [5331] = {.lex_state = 273},
  [5332] = {.lex_state = 238},
  [5333] = {.lex_state = 255},
  [5334] = {.lex_state = 237},
  [5335] = {.lex_state = 379},
  [5336] = {.lex_state = 237},
  [5337] = {.lex_state = 238},
  [5338] = {.lex_state = 237},
  [5339] = {.lex_state = 237},
  [5340] = {.lex_state = 281},
  [5341] = {.lex_state = 237},
  [5342] = {.lex_state = 238},
  [5343] = {.lex_state = 237},
  [5344] = {.lex_state = 237},
  [5345] = {.lex_state = 238},
  [5346] = {.lex_state = 237},
  [5347] = {.lex_state = 379},
  [5348] = {.lex_state = 281},
  [5349] = {.lex_state = 379},
  [5350] = {.lex_state = 237},
  [5351] = {.lex_state = 238},
  [5352] = {.lex_state = 237},
  [5353] = {.lex_state = 238},
  [5354] = {.lex_state = 281},
  [5355] = {.lex_state = 237},
  [5356] = {.lex_state = 237},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 237},
  [5359] = {.lex_state = 237},
  [5360] = {.lex_state = 237},
  [5361] = {.lex_state = 237},
  [5362] = {.lex_state = 238},
  [5363] = {.lex_state = 237},
  [5364] = {.lex_state = 237},
  [5365] = {.lex_state = 237},
  [5366] = {.lex_state = 237},
  [5367] = {.lex_state = 237},
  [5368] = {.lex_state = 237},
  [5369] = {.lex_state = 237},
  [5370] = {.lex_state = 237},
  [5371] = {.lex_state = 237},
  [5372] = {.lex_state = 273},
  [5373] = {.lex_state = 273},
  [5374] = {.lex_state = 284},
  [5375] = {.lex_state = 273},
  [5376] = {.lex_state = 273},
  [5377] = {.lex_state = 273},
  [5378] = {.lex_state = 284},
  [5379] = {.lex_state = 284},
  [5380] = {.lex_state = 273},
  [5381] = {.lex_state = 281},
  [5382] = {.lex_state = 273},
  [5383] = {.lex_state = 273},
  [5384] = {.lex_state = 284},
  [5385] = {.lex_state = 273},
  [5386] = {.lex_state = 273},
  [5387] = {.lex_state = 381},
  [5388] = {.lex_state = 273},
  [5389] = {.lex_state = 273},
  [5390] = {.lex_state = 273},
  [5391] = {.lex_state = 284},
  [5392] = {.lex_state = 273},
  [5393] = {.lex_state = 237},
  [5394] = {.lex_state = 273},
  [5395] = {.lex_state = 273},
  [5396] = {.lex_state = 273},
  [5397] = {.lex_state = 273},
  [5398] = {.lex_state = 273},
  [5399] = {.lex_state = 273},
  [5400] = {.lex_state = 284},
  [5401] = {.lex_state = 273},
  [5402] = {.lex_state = 273},
  [5403] = {.lex_state = 273},
  [5404] = {.lex_state = 281},
  [5405] = {.lex_state = 284},
  [5406] = {.lex_state = 273},
  [5407] = {.lex_state = 284},
  [5408] = {.lex_state = 273},
  [5409] = {.lex_state = 273},
  [5410] = {.lex_state = 273},
  [5411] = {.lex_state = 273},
  [5412] = {.lex_state = 273},
  [5413] = {.lex_state = 273},
  [5414] = {.lex_state = 273},
  [5415] = {.lex_state = 273},
  [5416] = {.lex_state = 273},
  [5417] = {.lex_state = 284},
  [5418] = {.lex_state = 381},
  [5419] = {.lex_state = 273},
  [5420] = {.lex_state = 273},
  [5421] = {.lex_state = 381},
  [5422] = {.lex_state = 381},
  [5423] = {.lex_state = 273},
  [5424] = {.lex_state = 281},
  [5425] = {.lex_state = 381},
  [5426] = {.lex_state = 273},
  [5427] = {.lex_state = 273},
  [5428] = {.lex_state = 273},
  [5429] = {.lex_state = 273},
  [5430] = {.lex_state = 381},
  [5431] = {.lex_state = 281},
  [5432] = {.lex_state = 281},
  [5433] = {.lex_state = 281},
  [5434] = {.lex_state = 281},
  [5435] = {.lex_state = 281},
  [5436] = {.lex_state = 281},
  [5437] = {.lex_state = 281},
  [5438] = {.lex_state = 281},
  [5439] = {.lex_state = 281},
  [5440] = {.lex_state = 281},
  [5441] = {.lex_state = 281},
  [5442] = {.lex_state = 382},
  [5443] = {.lex_state = 281},
  [5444] = {.lex_state = 281},
  [5445] = {.lex_state = 281},
  [5446] = {.lex_state = 281},
  [5447] = {.lex_state = 281},
  [5448] = {.lex_state = 281},
  [5449] = {.lex_state = 281},
  [5450] = {.lex_state = 381},
  [5451] = {.lex_state = 381},
  [5452] = {.lex_state = 281},
  [5453] = {.lex_state = 281},
  [5454] = {.lex_state = 281},
  [5455] = {.lex_state = 226},
  [5456] = {.lex_state = 381},
  [5457] = {.lex_state = 226},
  [5458] = {.lex_state = 281},
  [5459] = {.lex_state = 381},
  [5460] = {.lex_state = 237},
  [5461] = {.lex_state = 381},
  [5462] = {.lex_state = 381},
  [5463] = {.lex_state = 381},
  [5464] = {.lex_state = 381},
  [5465] = {.lex_state = 226},
  [5466] = {.lex_state = 381},
  [5467] = {.lex_state = 226},
  [5468] = {.lex_state = 381},
  [5469] = {.lex_state = 284},
  [5470] = {.lex_state = 284},
  [5471] = {.lex_state = 282},
  [5472] = {.lex_state = 381},
  [5473] = {.lex_state = 381},
  [5474] = {.lex_state = 382},
  [5475] = {.lex_state = 381},
  [5476] = {.lex_state = 381},
  [5477] = {.lex_state = 381},
  [5478] = {.lex_state = 237},
  [5479] = {.lex_state = 237},
  [5480] = {.lex_state = 284},
  [5481] = {.lex_state = 237},
  [5482] = {.lex_state = 382},
  [5483] = {.lex_state = 281},
  [5484] = {.lex_state = 281},
  [5485] = {.lex_state = 284},
  [5486] = {.lex_state = 382},
  [5487] = {.lex_state = 281},
  [5488] = {.lex_state = 381},
  [5489] = {.lex_state = 281},
  [5490] = {.lex_state = 381},
  [5491] = {.lex_state = 238},
  [5492] = {.lex_state = 238},
  [5493] = {.lex_state = 281},
  [5494] = {.lex_state = 381},
  [5495] = {.lex_state = 237},
  [5496] = {.lex_state = 381},
  [5497] = {.lex_state = 284},
  [5498] = {.lex_state = 284},
  [5499] = {.lex_state = 381},
  [5500] = {.lex_state = 381},
  [5501] = {.lex_state = 281},
  [5502] = {.lex_state = 284},
  [5503] = {.lex_state = 381},
  [5504] = {.lex_state = 381},
  [5505] = {.lex_state = 281},
  [5506] = {.lex_state = 381},
  [5507] = {.lex_state = 284},
  [5508] = {.lex_state = 381},
  [5509] = {.lex_state = 284},
  [5510] = {.lex_state = 281},
  [5511] = {.lex_state = 381},
  [5512] = {.lex_state = 226},
  [5513] = {.lex_state = 281},
  [5514] = {.lex_state = 381},
  [5515] = {.lex_state = 226},
  [5516] = {.lex_state = 381},
  [5517] = {.lex_state = 381},
  [5518] = {.lex_state = 281},
  [5519] = {.lex_state = 281},
  [5520] = {.lex_state = 381},
  [5521] = {.lex_state = 381},
  [5522] = {.lex_state = 381},
  [5523] = {.lex_state = 381},
  [5524] = {.lex_state = 226},
  [5525] = {.lex_state = 281},
  [5526] = {.lex_state = 226},
  [5527] = {.lex_state = 237},
  [5528] = {.lex_state = 237},
  [5529] = {.lex_state = 381},
  [5530] = {.lex_state = 381},
  [5531] = {.lex_state = 381},
  [5532] = {.lex_state = 381},
  [5533] = {.lex_state = 281},
  [5534] = {.lex_state = 282},
  [5535] = {.lex_state = 381},
  [5536] = {.lex_state = 282},
  [5537] = {.lex_state = 381},
  [5538] = {.lex_state = 282},
  [5539] = {.lex_state = 281},
  [5540] = {.lex_state = 284},
  [5541] = {.lex_state = 282},
  [5542] = {.lex_state = 282},
  [5543] = {.lex_state = 381},
  [5544] = {.lex_state = 284},
  [5545] = {.lex_state = 282},
  [5546] = {.lex_state = 381},
  [5547] = {.lex_state = 381},
  [5548] = {.lex_state = 381},
  [5549] = {.lex_state = 282},
  [5550] = {.lex_state = 282},
  [5551] = {.lex_state = 381},
  [5552] = {.lex_state = 381},
  [5553] = {.lex_state = 282},
  [5554] = {.lex_state = 381},
  [5555] = {.lex_state = 381},
  [5556] = {.lex_state = 381},
  [5557] = {.lex_state = 282},
  [5558] = {.lex_state = 381},
  [5559] = {.lex_state = 381},
  [5560] = {.lex_state = 381},
  [5561] = {.lex_state = 282},
  [5562] = {.lex_state = 282},
  [5563] = {.lex_state = 381},
  [5564] = {.lex_state = 381},
  [5565] = {.lex_state = 381},
  [5566] = {.lex_state = 381},
  [5567] = {.lex_state = 282},
  [5568] = {.lex_state = 381},
  [5569] = {.lex_state = 282},
  [5570] = {.lex_state = 230},
  [5571] = {.lex_state = 282},
  [5572] = {.lex_state = 381},
  [5573] = {.lex_state = 381},
  [5574] = {.lex_state = 282},
  [5575] = {.lex_state = 381},
  [5576] = {.lex_state = 381},
  [5577] = {.lex_state = 381},
  [5578] = {.lex_state = 381},
  [5579] = {.lex_state = 282},
  [5580] = {.lex_state = 282},
  [5581] = {.lex_state = 282},
  [5582] = {.lex_state = 282},
  [5583] = {.lex_state = 381},
  [5584] = {.lex_state = 381},
  [5585] = {.lex_state = 282},
  [5586] = {.lex_state = 381},
  [5587] = {.lex_state = 381},
  [5588] = {.lex_state = 282},
  [5589] = {.lex_state = 381},
  [5590] = {.lex_state = 381},
  [5591] = {.lex_state = 282},
  [5592] = {.lex_state = 381},
  [5593] = {.lex_state = 381},
  [5594] = {.lex_state = 237},
  [5595] = {.lex_state = 381},
  [5596] = {.lex_state = 381},
  [5597] = {.lex_state = 284},
  [5598] = {.lex_state = 381},
  [5599] = {.lex_state = 381},
  [5600] = {.lex_state = 381},
  [5601] = {.lex_state = 381},
  [5602] = {.lex_state = 381},
  [5603] = {.lex_state = 381},
  [5604] = {.lex_state = 381},
  [5605] = {.lex_state = 381},
  [5606] = {.lex_state = 281},
  [5607] = {.lex_state = 381},
  [5608] = {.lex_state = 381},
  [5609] = {.lex_state = 284},
  [5610] = {.lex_state = 273},
  [5611] = {.lex_state = 281},
  [5612] = {.lex_state = 226},
  [5613] = {.lex_state = 381},
  [5614] = {.lex_state = 281},
  [5615] = {.lex_state = 281},
  [5616] = {.lex_state = 284},
  [5617] = {.lex_state = 226},
  [5618] = {.lex_state = 238},
  [5619] = {.lex_state = 226},
  [5620] = {.lex_state = 282},
  [5621] = {.lex_state = 282},
  [5622] = {.lex_state = 226},
  [5623] = {.lex_state = 238},
  [5624] = {.lex_state = 284},
  [5625] = {.lex_state = 238},
  [5626] = {.lex_state = 281},
  [5627] = {.lex_state = 381},
  [5628] = {.lex_state = 284},
  [5629] = {.lex_state = 281},
  [5630] = {.lex_state = 226},
  [5631] = {.lex_state = 281},
  [5632] = {.lex_state = 381},
  [5633] = {.lex_state = 381},
  [5634] = {.lex_state = 284},
  [5635] = {.lex_state = 284},
  [5636] = {.lex_state = 381},
  [5637] = {.lex_state = 273},
  [5638] = {.lex_state = 238},
  [5639] = {.lex_state = 281},
  [5640] = {.lex_state = 238},
  [5641] = {.lex_state = 238},
  [5642] = {.lex_state = 281},
  [5643] = {.lex_state = 238},
  [5644] = {.lex_state = 226},
  [5645] = {.lex_state = 238},
  [5646] = {.lex_state = 281},
  [5647] = {.lex_state = 281},
  [5648] = {.lex_state = 281},
  [5649] = {.lex_state = 281},
  [5650] = {.lex_state = 284},
  [5651] = {.lex_state = 281},
  [5652] = {.lex_state = 284},
  [5653] = {.lex_state = 281},
  [5654] = {.lex_state = 282},
  [5655] = {.lex_state = 244},
  [5656] = {.lex_state = 282},
  [5657] = {.lex_state = 281},
  [5658] = {.lex_state = 282},
  [5659] = {.lex_state = 282},
  [5660] = {.lex_state = 281},
  [5661] = {.lex_state = 282},
  [5662] = {.lex_state = 282},
  [5663] = {.lex_state = 282},
  [5664] = {.lex_state = 282},
  [5665] = {.lex_state = 237},
  [5666] = {.lex_state = 282},
  [5667] = {.lex_state = 282},
  [5668] = {.lex_state = 282},
  [5669] = {.lex_state = 244},
  [5670] = {.lex_state = 381},
  [5671] = {.lex_state = 281},
  [5672] = {.lex_state = 244},
  [5673] = {.lex_state = 282},
  [5674] = {.lex_state = 282},
  [5675] = {.lex_state = 282},
  [5676] = {.lex_state = 237},
  [5677] = {.lex_state = 281},
  [5678] = {.lex_state = 281},
  [5679] = {.lex_state = 282},
  [5680] = {.lex_state = 282},
  [5681] = {.lex_state = 282},
  [5682] = {.lex_state = 281},
  [5683] = {.lex_state = 281},
  [5684] = {.lex_state = 281},
  [5685] = {.lex_state = 282},
  [5686] = {.lex_state = 281},
  [5687] = {.lex_state = 282},
  [5688] = {.lex_state = 282},
  [5689] = {.lex_state = 237},
  [5690] = {.lex_state = 282},
  [5691] = {.lex_state = 237},
  [5692] = {.lex_state = 282},
  [5693] = {.lex_state = 237},
  [5694] = {.lex_state = 282},
  [5695] = {.lex_state = 282},
  [5696] = {.lex_state = 237},
  [5697] = {.lex_state = 281},
  [5698] = {.lex_state = 282},
  [5699] = {.lex_state = 237},
  [5700] = {.lex_state = 282},
  [5701] = {.lex_state = 237},
  [5702] = {.lex_state = 282},
  [5703] = {.lex_state = 282},
  [5704] = {.lex_state = 282},
  [5705] = {.lex_state = 244},
  [5706] = {.lex_state = 282},
  [5707] = {.lex_state = 282},
  [5708] = {.lex_state = 237},
  [5709] = {.lex_state = 237},
  [5710] = {.lex_state = 282},
  [5711] = {.lex_state = 282},
  [5712] = {.lex_state = 282},
  [5713] = {.lex_state = 282},
  [5714] = {.lex_state = 282},
  [5715] = {.lex_state = 282},
  [5716] = {.lex_state = 282},
  [5717] = {.lex_state = 282},
  [5718] = {.lex_state = 237},
  [5719] = {.lex_state = 237},
  [5720] = {.lex_state = 282},
  [5721] = {.lex_state = 381},
  [5722] = {.lex_state = 282},
  [5723] = {.lex_state = 281},
  [5724] = {.lex_state = 237},
  [5725] = {.lex_state = 381},
  [5726] = {.lex_state = 237},
  [5727] = {.lex_state = 244},
  [5728] = {.lex_state = 282},
  [5729] = {.lex_state = 282},
  [5730] = {.lex_state = 282},
  [5731] = {.lex_state = 282},
  [5732] = {.lex_state = 237},
  [5733] = {.lex_state = 237},
  [5734] = {.lex_state = 381},
  [5735] = {.lex_state = 237},
  [5736] = {.lex_state = 281},
  [5737] = {.lex_state = 237},
  [5738] = {.lex_state = 237},
  [5739] = {.lex_state = 282},
  [5740] = {.lex_state = 282},
  [5741] = {.lex_state = 282},
  [5742] = {.lex_state = 282},
  [5743] = {.lex_state = 282},
  [5744] = {.lex_state = 282},
  [5745] = {.lex_state = 282},
  [5746] = {.lex_state = 281},
  [5747] = {.lex_state = 281},
  [5748] = {.lex_state = 282},
  [5749] = {.lex_state = 237},
  [5750] = {.lex_state = 282},
  [5751] = {.lex_state = 282},
  [5752] = {.lex_state = 237},
  [5753] = {.lex_state = 282},
  [5754] = {.lex_state = 282},
  [5755] = {.lex_state = 282},
  [5756] = {.lex_state = 282},
  [5757] = {.lex_state = 282},
  [5758] = {.lex_state = 282},
  [5759] = {.lex_state = 237},
  [5760] = {.lex_state = 282},
  [5761] = {.lex_state = 282},
  [5762] = {.lex_state = 282},
  [5763] = {.lex_state = 244},
  [5764] = {.lex_state = 282},
  [5765] = {.lex_state = 282},
  [5766] = {.lex_state = 282},
  [5767] = {.lex_state = 244},
  [5768] = {.lex_state = 282},
  [5769] = {.lex_state = 282},
  [5770] = {.lex_state = 281},
  [5771] = {.lex_state = 244},
  [5772] = {.lex_state = 244},
  [5773] = {.lex_state = 244},
  [5774] = {.lex_state = 281},
  [5775] = {.lex_state = 281},
  [5776] = {.lex_state = 244},
  [5777] = {.lex_state = 244},
  [5778] = {.lex_state = 244},
  [5779] = {.lex_state = 244},
  [5780] = {.lex_state = 244},
  [5781] = {.lex_state = 244},
  [5782] = {.lex_state = 244},
  [5783] = {.lex_state = 244},
  [5784] = {.lex_state = 244},
  [5785] = {.lex_state = 244},
  [5786] = {.lex_state = 230},
  [5787] = {.lex_state = 244},
  [5788] = {.lex_state = 281},
  [5789] = {.lex_state = 244},
  [5790] = {.lex_state = 244},
  [5791] = {.lex_state = 244},
  [5792] = {.lex_state = 237},
  [5793] = {.lex_state = 244},
  [5794] = {.lex_state = 244},
  [5795] = {.lex_state = 244},
  [5796] = {.lex_state = 244},
  [5797] = {.lex_state = 281},
  [5798] = {.lex_state = 281},
  [5799] = {.lex_state = 244},
  [5800] = {.lex_state = 237},
  [5801] = {.lex_state = 237},
  [5802] = {.lex_state = 244},
  [5803] = {.lex_state = 244},
  [5804] = {.lex_state = 244},
  [5805] = {.lex_state = 244},
  [5806] = {.lex_state = 244},
  [5807] = {.lex_state = 281},
  [5808] = {.lex_state = 281},
  [5809] = {.lex_state = 281},
  [5810] = {.lex_state = 281},
  [5811] = {.lex_state = 244},
  [5812] = {.lex_state = 244},
  [5813] = {.lex_state = 281},
  [5814] = {.lex_state = 244},
  [5815] = {.lex_state = 281},
  [5816] = {.lex_state = 281},
  [5817] = {.lex_state = 281},
  [5818] = {.lex_state = 281},
  [5819] = {.lex_state = 237},
  [5820] = {.lex_state = 237},
  [5821] = {.lex_state = 244},
  [5822] = {.lex_state = 281},
  [5823] = {.lex_state = 237},
  [5824] = {.lex_state = 237},
  [5825] = {.lex_state = 237},
  [5826] = {.lex_state = 244},
  [5827] = {.lex_state = 281},
  [5828] = {.lex_state = 244},
  [5829] = {.lex_state = 281},
  [5830] = {.lex_state = 244},
  [5831] = {.lex_state = 237},
  [5832] = {.lex_state = 281},
  [5833] = {.lex_state = 244},
  [5834] = {.lex_state = 237},
  [5835] = {.lex_state = 237},
  [5836] = {.lex_state = 244},
  [5837] = {.lex_state = 244},
  [5838] = {.lex_state = 237},
  [5839] = {.lex_state = 237},
  [5840] = {.lex_state = 237},
  [5841] = {.lex_state = 244},
  [5842] = {.lex_state = 281},
  [5843] = {.lex_state = 244},
  [5844] = {.lex_state = 244},
  [5845] = {.lex_state = 244},
  [5846] = {.lex_state = 244},
  [5847] = {.lex_state = 237},
  [5848] = {.lex_state = 237},
  [5849] = {.lex_state = 281},
  [5850] = {.lex_state = 244},
  [5851] = {.lex_state = 244},
  [5852] = {.lex_state = 281},
  [5853] = {.lex_state = 244},
  [5854] = {.lex_state = 244},
  [5855] = {.lex_state = 281},
  [5856] = {.lex_state = 281},
  [5857] = {.lex_state = 281},
  [5858] = {.lex_state = 281},
  [5859] = {.lex_state = 281},
  [5860] = {.lex_state = 244},
  [5861] = {.lex_state = 230},
  [5862] = {.lex_state = 282},
  [5863] = {.lex_state = 281},
  [5864] = {.lex_state = 237},
  [5865] = {.lex_state = 244},
  [5866] = {.lex_state = 244},
  [5867] = {.lex_state = 244},
  [5868] = {.lex_state = 244},
  [5869] = {.lex_state = 244},
  [5870] = {.lex_state = 244},
  [5871] = {.lex_state = 244},
  [5872] = {.lex_state = 244},
  [5873] = {.lex_state = 244},
  [5874] = {.lex_state = 244},
  [5875] = {.lex_state = 244},
  [5876] = {.lex_state = 244},
  [5877] = {.lex_state = 244},
  [5878] = {.lex_state = 244},
  [5879] = {.lex_state = 284},
  [5880] = {.lex_state = 244},
  [5881] = {.lex_state = 237},
  [5882] = {.lex_state = 281},
  [5883] = {.lex_state = 284},
  [5884] = {.lex_state = 237},
  [5885] = {.lex_state = 244},
  [5886] = {.lex_state = 237},
  [5887] = {.lex_state = 281},
  [5888] = {.lex_state = 244},
  [5889] = {.lex_state = 244},
  [5890] = {.lex_state = 244},
  [5891] = {.lex_state = 244},
  [5892] = {.lex_state = 281},
  [5893] = {.lex_state = 281},
  [5894] = {.lex_state = 244},
  [5895] = {.lex_state = 244},
  [5896] = {.lex_state = 244},
  [5897] = {.lex_state = 244},
  [5898] = {.lex_state = 244},
  [5899] = {.lex_state = 244},
  [5900] = {.lex_state = 237},
  [5901] = {.lex_state = 381},
  [5902] = {.lex_state = 381},
  [5903] = {.lex_state = 237},
  [5904] = {.lex_state = 282},
  [5905] = {.lex_state = 244},
  [5906] = {.lex_state = 237},
  [5907] = {.lex_state = 244},
  [5908] = {.lex_state = 244},
  [5909] = {.lex_state = 244},
  [5910] = {.lex_state = 281},
  [5911] = {.lex_state = 244},
  [5912] = {.lex_state = 244},
  [5913] = {.lex_state = 237},
  [5914] = {.lex_state = 237},
  [5915] = {.lex_state = 284},
  [5916] = {.lex_state = 281},
  [5917] = {.lex_state = 244},
  [5918] = {.lex_state = 244},
  [5919] = {.lex_state = 244},
  [5920] = {.lex_state = 284},
  [5921] = {.lex_state = 244},
  [5922] = {.lex_state = 244},
  [5923] = {.lex_state = 244},
  [5924] = {.lex_state = 244},
  [5925] = {.lex_state = 244},
  [5926] = {.lex_state = 244},
  [5927] = {.lex_state = 244},
  [5928] = {.lex_state = 244},
  [5929] = {.lex_state = 284},
  [5930] = {.lex_state = 244},
  [5931] = {.lex_state = 284},
  [5932] = {.lex_state = 284},
  [5933] = {.lex_state = 244},
  [5934] = {.lex_state = 244},
  [5935] = {.lex_state = 244},
  [5936] = {.lex_state = 244},
  [5937] = {.lex_state = 244},
  [5938] = {.lex_state = 284},
  [5939] = {.lex_state = 244},
  [5940] = {.lex_state = 244},
  [5941] = {.lex_state = 244},
  [5942] = {.lex_state = 244},
  [5943] = {.lex_state = 237},
  [5944] = {.lex_state = 284},
  [5945] = {.lex_state = 244},
  [5946] = {.lex_state = 238},
  [5947] = {.lex_state = 244},
  [5948] = {.lex_state = 244},
  [5949] = {.lex_state = 244},
  [5950] = {.lex_state = 238},
  [5951] = {.lex_state = 284},
  [5952] = {.lex_state = 284},
  [5953] = {.lex_state = 244},
  [5954] = {.lex_state = 238},
  [5955] = {.lex_state = 244},
  [5956] = {.lex_state = 238},
  [5957] = {.lex_state = 244},
  [5958] = {.lex_state = 244},
  [5959] = {.lex_state = 381},
  [5960] = {.lex_state = 381},
  [5961] = {.lex_state = 233},
  [5962] = {.lex_state = 233},
  [5963] = {.lex_state = 381},
  [5964] = {.lex_state = 282},
  [5965] = {.lex_state = 381},
  [5966] = {.lex_state = 381},
  [5967] = {.lex_state = 233},
  [5968] = {.lex_state = 381},
  [5969] = {.lex_state = 233},
  [5970] = {.lex_state = 233},
  [5971] = {.lex_state = 233},
  [5972] = {.lex_state = 233},
  [5973] = {.lex_state = 282},
  [5974] = {.lex_state = 233},
  [5975] = {.lex_state = 282},
  [5976] = {.lex_state = 381},
  [5977] = {.lex_state = 381},
  [5978] = {.lex_state = 284},
  [5979] = {.lex_state = 284},
  [5980] = {.lex_state = 381},
  [5981] = {.lex_state = 284},
  [5982] = {.lex_state = 282},
  [5983] = {.lex_state = 381},
  [5984] = {.lex_state = 282},
  [5985] = {.lex_state = 284},
  [5986] = {.lex_state = 381},
  [5987] = {.lex_state = 381},
  [5988] = {.lex_state = 282},
  [5989] = {.lex_state = 284},
  [5990] = {.lex_state = 381},
  [5991] = {.lex_state = 381},
  [5992] = {.lex_state = 282},
  [5993] = {.lex_state = 284},
  [5994] = {.lex_state = 282},
  [5995] = {.lex_state = 282},
  [5996] = {.lex_state = 284},
  [5997] = {.lex_state = 284},
  [5998] = {.lex_state = 284},
  [5999] = {.lex_state = 282},
  [6000] = {.lex_state = 381},
  [6001] = {.lex_state = 282},
  [6002] = {.lex_state = 282},
  [6003] = {.lex_state = 282},
  [6004] = {.lex_state = 381},
  [6005] = {.lex_state = 282},
  [6006] = {.lex_state = 284},
  [6007] = {.lex_state = 284},
  [6008] = {.lex_state = 282},
  [6009] = {.lex_state = 282},
  [6010] = {.lex_state = 381},
  [6011] = {.lex_state = 284},
  [6012] = {.lex_state = 381},
  [6013] = {.lex_state = 244},
  [6014] = {.lex_state = 244},
  [6015] = {.lex_state = 244},
  [6016] = {.lex_state = 281},
  [6017] = {.lex_state = 282},
  [6018] = {.lex_state = 244},
  [6019] = {.lex_state = 244},
  [6020] = {.lex_state = 282},
  [6021] = {.lex_state = 380},
  [6022] = {.lex_state = 380},
  [6023] = {.lex_state = 282},
  [6024] = {.lex_state = 380},
  [6025] = {.lex_state = 282},
  [6026] = {.lex_state = 282},
  [6027] = {.lex_state = 282},
  [6028] = {.lex_state = 244},
  [6029] = {.lex_state = 244},
  [6030] = {.lex_state = 244},
  [6031] = {.lex_state = 282},
  [6032] = {.lex_state = 380},
  [6033] = {.lex_state = 380},
  [6034] = {.lex_state = 244},
  [6035] = {.lex_state = 244},
  [6036] = {.lex_state = 380},
  [6037] = {.lex_state = 282},
  [6038] = {.lex_state = 282},
  [6039] = {.lex_state = 282},
  [6040] = {.lex_state = 380},
  [6041] = {.lex_state = 282},
  [6042] = {.lex_state = 282},
  [6043] = {.lex_state = 244},
  [6044] = {.lex_state = 380},
  [6045] = {.lex_state = 244},
  [6046] = {.lex_state = 380},
  [6047] = {.lex_state = 284},
  [6048] = {.lex_state = 284},
  [6049] = {.lex_state = 284},
  [6050] = {.lex_state = 282},
  [6051] = {.lex_state = 381},
  [6052] = {.lex_state = 284},
  [6053] = {.lex_state = 284},
  [6054] = {.lex_state = 284},
  [6055] = {.lex_state = 381},
  [6056] = {.lex_state = 284},
  [6057] = {.lex_state = 281},
  [6058] = {.lex_state = 282},
  [6059] = {.lex_state = 281},
  [6060] = {.lex_state = 238},
  [6061] = {.lex_state = 282},
  [6062] = {.lex_state = 380},
  [6063] = {.lex_state = 252},
  [6064] = {.lex_state = 380},
  [6065] = {.lex_state = 380},
  [6066] = {.lex_state = 380},
  [6067] = {.lex_state = 380},
  [6068] = {.lex_state = 380},
  [6069] = {.lex_state = 380},
  [6070] = {.lex_state = 380},
  [6071] = {.lex_state = 380},
  [6072] = {.lex_state = 381},
  [6073] = {.lex_state = 381},
  [6074] = {.lex_state = 233},
  [6075] = {.lex_state = 233},
  [6076] = {.lex_state = 233},
  [6077] = {.lex_state = 380},
  [6078] = {.lex_state = 380},
  [6079] = {.lex_state = 380},
  [6080] = {.lex_state = 380},
  [6081] = {.lex_state = 380},
  [6082] = {.lex_state = 380},
  [6083] = {.lex_state = 380},
  [6084] = {.lex_state = 380},
  [6085] = {.lex_state = 381},
  [6086] = {.lex_state = 284},
  [6087] = {.lex_state = 380},
  [6088] = {.lex_state = 381},
  [6089] = {.lex_state = 233},
  [6090] = {.lex_state = 233},
  [6091] = {.lex_state = 233},
  [6092] = {.lex_state = 380},
  [6093] = {.lex_state = 380},
  [6094] = {.lex_state = 284},
  [6095] = {.lex_state = 380},
  [6096] = {.lex_state = 380},
  [6097] = {.lex_state = 380},
  [6098] = {.lex_state = 380},
  [6099] = {.lex_state = 380},
  [6100] = {.lex_state = 226},
  [6101] = {.lex_state = 380},
  [6102] = {.lex_state = 380},
  [6103] = {.lex_state = 380},
  [6104] = {.lex_state = 380},
  [6105] = {.lex_state = 381},
  [6106] = {.lex_state = 380},
  [6107] = {.lex_state = 380},
  [6108] = {.lex_state = 380},
  [6109] = {.lex_state = 380},
  [6110] = {.lex_state = 233},
  [6111] = {.lex_state = 226},
  [6112] = {.lex_state = 380},
  [6113] = {.lex_state = 233},
  [6114] = {.lex_state = 380},
  [6115] = {.lex_state = 380},
  [6116] = {.lex_state = 380},
  [6117] = {.lex_state = 380},
  [6118] = {.lex_state = 380},
  [6119] = {.lex_state = 380},
  [6120] = {.lex_state = 233},
  [6121] = {.lex_state = 233},
  [6122] = {.lex_state = 380},
  [6123] = {.lex_state = 380},
  [6124] = {.lex_state = 284},
  [6125] = {.lex_state = 380},
  [6126] = {.lex_state = 226},
  [6127] = {.lex_state = 380},
  [6128] = {.lex_state = 380},
  [6129] = {.lex_state = 233},
  [6130] = {.lex_state = 233},
  [6131] = {.lex_state = 252},
  [6132] = {.lex_state = 226},
  [6133] = {.lex_state = 244},
  [6134] = {.lex_state = 244},
  [6135] = {.lex_state = 244},
  [6136] = {.lex_state = 244},
  [6137] = {.lex_state = 244},
  [6138] = {.lex_state = 244},
  [6139] = {.lex_state = 244},
  [6140] = {.lex_state = 244},
  [6141] = {.lex_state = 244},
  [6142] = {.lex_state = 244},
  [6143] = {.lex_state = 244},
  [6144] = {.lex_state = 244},
  [6145] = {.lex_state = 244},
  [6146] = {.lex_state = 244},
  [6147] = {.lex_state = 244},
  [6148] = {.lex_state = 244},
  [6149] = {.lex_state = 244},
  [6150] = {.lex_state = 244},
  [6151] = {.lex_state = 226},
  [6152] = {.lex_state = 252},
  [6153] = {.lex_state = 244},
  [6154] = {.lex_state = 244},
  [6155] = {.lex_state = 244},
  [6156] = {.lex_state = 244},
  [6157] = {.lex_state = 244},
  [6158] = {.lex_state = 244},
  [6159] = {.lex_state = 244},
  [6160] = {.lex_state = 244},
  [6161] = {.lex_state = 244},
  [6162] = {.lex_state = 244},
  [6163] = {.lex_state = 244},
  [6164] = {.lex_state = 244},
  [6165] = {.lex_state = 244},
  [6166] = {.lex_state = 244},
  [6167] = {.lex_state = 244},
  [6168] = {.lex_state = 244},
  [6169] = {.lex_state = 244},
  [6170] = {.lex_state = 244},
  [6171] = {.lex_state = 244},
  [6172] = {.lex_state = 244},
  [6173] = {.lex_state = 244},
  [6174] = {.lex_state = 244},
  [6175] = {.lex_state = 244},
  [6176] = {.lex_state = 244},
  [6177] = {.lex_state = 244},
  [6178] = {.lex_state = 244},
  [6179] = {.lex_state = 107},
  [6180] = {.lex_state = 381},
  [6181] = {.lex_state = 244},
  [6182] = {.lex_state = 244},
  [6183] = {.lex_state = 244},
  [6184] = {.lex_state = 244},
  [6185] = {.lex_state = 244},
  [6186] = {.lex_state = 244},
  [6187] = {.lex_state = 244},
  [6188] = {.lex_state = 244},
  [6189] = {.lex_state = 244},
  [6190] = {.lex_state = 244},
  [6191] = {.lex_state = 244},
  [6192] = {.lex_state = 244},
  [6193] = {.lex_state = 244},
  [6194] = {.lex_state = 244},
  [6195] = {.lex_state = 244},
  [6196] = {.lex_state = 244},
  [6197] = {.lex_state = 244},
  [6198] = {.lex_state = 244},
  [6199] = {.lex_state = 244},
  [6200] = {.lex_state = 244},
  [6201] = {.lex_state = 244},
  [6202] = {.lex_state = 205},
  [6203] = {.lex_state = 244},
  [6204] = {.lex_state = 244},
  [6205] = {.lex_state = 244},
  [6206] = {.lex_state = 244},
  [6207] = {.lex_state = 244},
  [6208] = {.lex_state = 244},
  [6209] = {.lex_state = 244},
  [6210] = {.lex_state = 244},
  [6211] = {.lex_state = 244},
  [6212] = {.lex_state = 244},
  [6213] = {.lex_state = 244},
  [6214] = {.lex_state = 244},
  [6215] = {.lex_state = 244},
  [6216] = {.lex_state = 244},
  [6217] = {.lex_state = 244},
  [6218] = {.lex_state = 244},
  [6219] = {.lex_state = 244},
  [6220] = {.lex_state = 238},
  [6221] = {.lex_state = 244},
  [6222] = {.lex_state = 205},
  [6223] = {.lex_state = 244},
  [6224] = {.lex_state = 244},
  [6225] = {.lex_state = 244},
  [6226] = {.lex_state = 252},
  [6227] = {.lex_state = 244},
  [6228] = {.lex_state = 244},
  [6229] = {.lex_state = 244},
  [6230] = {.lex_state = 244},
  [6231] = {.lex_state = 205},
  [6232] = {.lex_state = 244},
  [6233] = {.lex_state = 244},
  [6234] = {.lex_state = 244},
  [6235] = {.lex_state = 244},
  [6236] = {.lex_state = 244},
  [6237] = {.lex_state = 244},
  [6238] = {.lex_state = 244},
  [6239] = {.lex_state = 244},
  [6240] = {.lex_state = 244},
  [6241] = {.lex_state = 244},
  [6242] = {.lex_state = 205},
  [6243] = {.lex_state = 205},
  [6244] = {.lex_state = 205},
  [6245] = {.lex_state = 226},
  [6246] = {.lex_state = 226},
  [6247] = {.lex_state = 252},
  [6248] = {.lex_state = 205},
  [6249] = {.lex_state = 284},
  [6250] = {.lex_state = 252},
  [6251] = {.lex_state = 252},
  [6252] = {.lex_state = 205},
  [6253] = {.lex_state = 205},
  [6254] = {.lex_state = 226},
  [6255] = {.lex_state = 284},
  [6256] = {.lex_state = 205},
  [6257] = {.lex_state = 205},
  [6258] = {.lex_state = 226},
  [6259] = {.lex_state = 205},
  [6260] = {.lex_state = 205},
  [6261] = {.lex_state = 226},
  [6262] = {.lex_state = 205},
  [6263] = {.lex_state = 205},
  [6264] = {.lex_state = 205},
  [6265] = {.lex_state = 252},
  [6266] = {.lex_state = 205},
  [6267] = {.lex_state = 226},
  [6268] = {.lex_state = 205},
  [6269] = {.lex_state = 226},
  [6270] = {.lex_state = 205},
  [6271] = {.lex_state = 205},
  [6272] = {.lex_state = 252},
  [6273] = {.lex_state = 205},
  [6274] = {.lex_state = 205},
  [6275] = {.lex_state = 226},
  [6276] = {.lex_state = 205},
  [6277] = {.lex_state = 284},
  [6278] = {.lex_state = 226},
  [6279] = {.lex_state = 252},
  [6280] = {.lex_state = 205},
  [6281] = {.lex_state = 205},
  [6282] = {.lex_state = 205},
  [6283] = {.lex_state = 205},
  [6284] = {.lex_state = 252},
  [6285] = {.lex_state = 226},
  [6286] = {.lex_state = 226},
  [6287] = {.lex_state = 381},
  [6288] = {.lex_state = 226},
  [6289] = {.lex_state = 252},
  [6290] = {.lex_state = 252},
  [6291] = {.lex_state = 284},
  [6292] = {.lex_state = 252},
  [6293] = {.lex_state = 205},
  [6294] = {.lex_state = 252},
  [6295] = {.lex_state = 252},
  [6296] = {.lex_state = 252},
  [6297] = {.lex_state = 252},
  [6298] = {.lex_state = 252},
  [6299] = {.lex_state = 252},
  [6300] = {.lex_state = 284},
  [6301] = {.lex_state = 226},
  [6302] = {.lex_state = 284},
  [6303] = {.lex_state = 252},
  [6304] = {.lex_state = 205},
  [6305] = {.lex_state = 205},
  [6306] = {.lex_state = 226},
  [6307] = {.lex_state = 205},
  [6308] = {.lex_state = 237},
  [6309] = {.lex_state = 205},
  [6310] = {.lex_state = 205},
  [6311] = {.lex_state = 226},
  [6312] = {.lex_state = 284},
  [6313] = {.lex_state = 205},
  [6314] = {.lex_state = 205},
  [6315] = {.lex_state = 205},
  [6316] = {.lex_state = 226},
  [6317] = {.lex_state = 252},
  [6318] = {.lex_state = 205},
  [6319] = {.lex_state = 205},
  [6320] = {.lex_state = 284},
  [6321] = {.lex_state = 226},
  [6322] = {.lex_state = 252},
  [6323] = {.lex_state = 381},
  [6324] = {.lex_state = 284},
  [6325] = {.lex_state = 226},
  [6326] = {.lex_state = 205},
  [6327] = {.lex_state = 205},
  [6328] = {.lex_state = 205},
  [6329] = {.lex_state = 205},
  [6330] = {.lex_state = 252},
  [6331] = {.lex_state = 205},
  [6332] = {.lex_state = 205},
  [6333] = {.lex_state = 284},
  [6334] = {.lex_state = 107},
  [6335] = {.lex_state = 252},
  [6336] = {.lex_state = 284},
  [6337] = {.lex_state = 284},
  [6338] = {.lex_state = 381},
  [6339] = {.lex_state = 107},
  [6340] = {.lex_state = 381},
  [6341] = {.lex_state = 107},
  [6342] = {.lex_state = 226},
  [6343] = {.lex_state = 381},
  [6344] = {.lex_state = 381},
  [6345] = {.lex_state = 381},
  [6346] = {.lex_state = 381},
  [6347] = {.lex_state = 107},
  [6348] = {.lex_state = 107},
  [6349] = {.lex_state = 381},
  [6350] = {.lex_state = 284},
  [6351] = {.lex_state = 107},
  [6352] = {.lex_state = 284},
  [6353] = {.lex_state = 226},
  [6354] = {.lex_state = 381},
  [6355] = {.lex_state = 281},
  [6356] = {.lex_state = 381},
  [6357] = {.lex_state = 381},
  [6358] = {.lex_state = 107},
  [6359] = {.lex_state = 381},
  [6360] = {.lex_state = 381},
  [6361] = {.lex_state = 107},
  [6362] = {.lex_state = 381},
  [6363] = {.lex_state = 381},
  [6364] = {.lex_state = 244},
  [6365] = {.lex_state = 107},
  [6366] = {.lex_state = 226},
  [6367] = {.lex_state = 244},
  [6368] = {.lex_state = 381},
  [6369] = {.lex_state = 107},
  [6370] = {.lex_state = 107},
  [6371] = {.lex_state = 107},
  [6372] = {.lex_state = 107},
  [6373] = {.lex_state = 107},
  [6374] = {.lex_state = 107},
  [6375] = {.lex_state = 381},
  [6376] = {.lex_state = 381},
  [6377] = {.lex_state = 107},
  [6378] = {.lex_state = 107},
  [6379] = {.lex_state = 381},
  [6380] = {.lex_state = 107},
  [6381] = {.lex_state = 226},
  [6382] = {.lex_state = 107},
  [6383] = {.lex_state = 284},
  [6384] = {.lex_state = 381},
  [6385] = {.lex_state = 381},
  [6386] = {.lex_state = 107},
  [6387] = {.lex_state = 226},
  [6388] = {.lex_state = 107},
  [6389] = {.lex_state = 381},
  [6390] = {.lex_state = 107},
  [6391] = {.lex_state = 107},
  [6392] = {.lex_state = 381},
  [6393] = {.lex_state = 107},
  [6394] = {.lex_state = 107},
  [6395] = {.lex_state = 107},
  [6396] = {.lex_state = 381},
  [6397] = {.lex_state = 381},
  [6398] = {.lex_state = 284},
  [6399] = {.lex_state = 284},
  [6400] = {.lex_state = 284},
  [6401] = {.lex_state = 284},
  [6402] = {.lex_state = 107},
  [6403] = {.lex_state = 226},
  [6404] = {.lex_state = 381},
  [6405] = {.lex_state = 381},
  [6406] = {.lex_state = 381},
  [6407] = {.lex_state = 381},
  [6408] = {.lex_state = 381},
  [6409] = {.lex_state = 381},
  [6410] = {.lex_state = 381},
  [6411] = {.lex_state = 107},
  [6412] = {.lex_state = 381},
  [6413] = {.lex_state = 107},
  [6414] = {.lex_state = 252},
  [6415] = {.lex_state = 284},
  [6416] = {.lex_state = 381},
  [6417] = {.lex_state = 381},
  [6418] = {.lex_state = 284},
  [6419] = {.lex_state = 284},
  [6420] = {.lex_state = 107},
  [6421] = {.lex_state = 381},
  [6422] = {.lex_state = 381},
  [6423] = {.lex_state = 381},
  [6424] = {.lex_state = 284},
  [6425] = {.lex_state = 244},
  [6426] = {.lex_state = 284},
  [6427] = {.lex_state = 381},
  [6428] = {.lex_state = 381},
  [6429] = {.lex_state = 107},
  [6430] = {.lex_state = 381},
  [6431] = {.lex_state = 381},
  [6432] = {.lex_state = 381},
  [6433] = {.lex_state = 107},
  [6434] = {.lex_state = 284},
  [6435] = {.lex_state = 381},
  [6436] = {.lex_state = 381},
  [6437] = {.lex_state = 381},
  [6438] = {.lex_state = 381},
  [6439] = {.lex_state = 381},
  [6440] = {.lex_state = 244},
  [6441] = {.lex_state = 107},
  [6442] = {.lex_state = 381},
  [6443] = {.lex_state = 381},
  [6444] = {.lex_state = 381},
  [6445] = {.lex_state = 284},
  [6446] = {.lex_state = 284},
  [6447] = {.lex_state = 284},
  [6448] = {.lex_state = 284},
  [6449] = {.lex_state = 284},
  [6450] = {.lex_state = 284},
  [6451] = {.lex_state = 284},
  [6452] = {.lex_state = 107},
  [6453] = {.lex_state = 107},
  [6454] = {.lex_state = 381},
  [6455] = {.lex_state = 381},
  [6456] = {.lex_state = 381},
  [6457] = {.lex_state = 381},
  [6458] = {.lex_state = 281},
  [6459] = {.lex_state = 281},
  [6460] = {.lex_state = 281},
  [6461] = {.lex_state = 281},
  [6462] = {.lex_state = 281},
  [6463] = {.lex_state = 281},
  [6464] = {.lex_state = 281},
  [6465] = {.lex_state = 381},
  [6466] = {.lex_state = 381},
  [6467] = {.lex_state = 381},
  [6468] = {.lex_state = 381},
  [6469] = {.lex_state = 381},
  [6470] = {.lex_state = 281},
  [6471] = {.lex_state = 282},
  [6472] = {.lex_state = 381},
  [6473] = {.lex_state = 284},
  [6474] = {.lex_state = 237},
  [6475] = {.lex_state = 381},
  [6476] = {.lex_state = 381},
  [6477] = {.lex_state = 284},
  [6478] = {.lex_state = 284},
  [6479] = {.lex_state = 282},
  [6480] = {.lex_state = 381},
  [6481] = {.lex_state = 203},
  [6482] = {.lex_state = 381},
  [6483] = {.lex_state = 281},
  [6484] = {.lex_state = 284},
  [6485] = {.lex_state = 284},
  [6486] = {.lex_state = 203},
  [6487] = {.lex_state = 281},
  [6488] = {.lex_state = 284},
  [6489] = {.lex_state = 381},
  [6490] = {.lex_state = 203},
  [6491] = {.lex_state = 282},
  [6492] = {.lex_state = 282},
  [6493] = {.lex_state = 381},
  [6494] = {.lex_state = 284},
  [6495] = {.lex_state = 203},
  [6496] = {.lex_state = 381},
  [6497] = {.lex_state = 381},
  [6498] = {.lex_state = 381},
  [6499] = {.lex_state = 282},
  [6500] = {.lex_state = 237},
  [6501] = {.lex_state = 284},
  [6502] = {.lex_state = 381},
  [6503] = {.lex_state = 237},
  [6504] = {.lex_state = 381},
  [6505] = {.lex_state = 282},
  [6506] = {.lex_state = 237},
  [6507] = {.lex_state = 203},
  [6508] = {.lex_state = 226},
  [6509] = {.lex_state = 226},
  [6510] = {.lex_state = 381},
  [6511] = {.lex_state = 237},
  [6512] = {.lex_state = 284},
  [6513] = {.lex_state = 381},
  [6514] = {.lex_state = 203},
  [6515] = {.lex_state = 282},
  [6516] = {.lex_state = 381},
  [6517] = {.lex_state = 237},
  [6518] = {.lex_state = 203},
  [6519] = {.lex_state = 282},
  [6520] = {.lex_state = 282},
  [6521] = {.lex_state = 237},
  [6522] = {.lex_state = 203},
  [6523] = {.lex_state = 203},
  [6524] = {.lex_state = 282},
  [6525] = {.lex_state = 381},
  [6526] = {.lex_state = 203},
  [6527] = {.lex_state = 381},
  [6528] = {.lex_state = 284},
  [6529] = {.lex_state = 226},
  [6530] = {.lex_state = 381},
  [6531] = {.lex_state = 226},
  [6532] = {.lex_state = 282},
  [6533] = {.lex_state = 203},
  [6534] = {.lex_state = 282},
  [6535] = {.lex_state = 282},
  [6536] = {.lex_state = 282},
  [6537] = {.lex_state = 237},
  [6538] = {.lex_state = 282},
  [6539] = {.lex_state = 381},
  [6540] = {.lex_state = 381},
  [6541] = {.lex_state = 282},
  [6542] = {.lex_state = 237},
  [6543] = {.lex_state = 282},
  [6544] = {.lex_state = 282},
  [6545] = {.lex_state = 381},
  [6546] = {.lex_state = 381},
  [6547] = {.lex_state = 381},
  [6548] = {.lex_state = 282},
  [6549] = {.lex_state = 282},
  [6550] = {.lex_state = 238},
  [6551] = {.lex_state = 284},
  [6552] = {.lex_state = 381},
  [6553] = {.lex_state = 284},
  [6554] = {.lex_state = 284},
  [6555] = {.lex_state = 237},
  [6556] = {.lex_state = 284},
  [6557] = {.lex_state = 203},
  [6558] = {.lex_state = 237},
  [6559] = {.lex_state = 282},
  [6560] = {.lex_state = 281},
  [6561] = {.lex_state = 381},
  [6562] = {.lex_state = 381},
  [6563] = {.lex_state = 381},
  [6564] = {.lex_state = 284},
  [6565] = {.lex_state = 282},
  [6566] = {.lex_state = 237},
  [6567] = {.lex_state = 381},
  [6568] = {.lex_state = 244},
  [6569] = {.lex_state = 282},
  [6570] = {.lex_state = 244},
  [6571] = {.lex_state = 277},
  [6572] = {.lex_state = 282},
  [6573] = {.lex_state = 281},
  [6574] = {.lex_state = 284},
  [6575] = {.lex_state = 282},
  [6576] = {.lex_state = 284},
  [6577] = {.lex_state = 281},
  [6578] = {.lex_state = 281},
  [6579] = {.lex_state = 244},
  [6580] = {.lex_state = 281},
  [6581] = {.lex_state = 282},
  [6582] = {.lex_state = 282},
  [6583] = {.lex_state = 282},
  [6584] = {.lex_state = 277},
  [6585] = {.lex_state = 282},
  [6586] = {.lex_state = 282},
  [6587] = {.lex_state = 282},
  [6588] = {.lex_state = 281},
  [6589] = {.lex_state = 281},
  [6590] = {.lex_state = 282},
  [6591] = {.lex_state = 382},
  [6592] = {.lex_state = 282},
  [6593] = {.lex_state = 281},
  [6594] = {.lex_state = 282},
  [6595] = {.lex_state = 282},
  [6596] = {.lex_state = 282},
  [6597] = {.lex_state = 281},
  [6598] = {.lex_state = 281},
  [6599] = {.lex_state = 281},
  [6600] = {.lex_state = 281},
  [6601] = {.lex_state = 281},
  [6602] = {.lex_state = 203},
  [6603] = {.lex_state = 282},
  [6604] = {.lex_state = 282},
  [6605] = {.lex_state = 282},
  [6606] = {.lex_state = 281},
  [6607] = {.lex_state = 244},
  [6608] = {.lex_state = 382},
  [6609] = {.lex_state = 282},
  [6610] = {.lex_state = 282},
  [6611] = {.lex_state = 281},
  [6612] = {.lex_state = 284},
  [6613] = {.lex_state = 244},
  [6614] = {.lex_state = 381},
  [6615] = {.lex_state = 281},
  [6616] = {.lex_state = 277},
  [6617] = {.lex_state = 244},
  [6618] = {.lex_state = 281},
  [6619] = {.lex_state = 281},
  [6620] = {.lex_state = 282},
  [6621] = {.lex_state = 281},
  [6622] = {.lex_state = 282},
  [6623] = {.lex_state = 282},
  [6624] = {.lex_state = 281},
  [6625] = {.lex_state = 282},
  [6626] = {.lex_state = 282},
  [6627] = {.lex_state = 244},
  [6628] = {.lex_state = 281},
  [6629] = {.lex_state = 282},
  [6630] = {.lex_state = 281},
  [6631] = {.lex_state = 281},
  [6632] = {.lex_state = 244},
  [6633] = {.lex_state = 281},
  [6634] = {.lex_state = 281},
  [6635] = {.lex_state = 281},
  [6636] = {.lex_state = 282},
  [6637] = {.lex_state = 244},
  [6638] = {.lex_state = 203},
  [6639] = {.lex_state = 383},
  [6640] = {.lex_state = 281},
  [6641] = {.lex_state = 381},
  [6642] = {.lex_state = 281},
  [6643] = {.lex_state = 281},
  [6644] = {.lex_state = 281},
  [6645] = {.lex_state = 222},
  [6646] = {.lex_state = 222},
  [6647] = {.lex_state = 265},
  [6648] = {.lex_state = 222},
  [6649] = {.lex_state = 222},
  [6650] = {.lex_state = 381},
  [6651] = {.lex_state = 381},
  [6652] = {.lex_state = 265},
  [6653] = {.lex_state = 381},
  [6654] = {.lex_state = 381},
  [6655] = {.lex_state = 381},
  [6656] = {.lex_state = 381},
  [6657] = {.lex_state = 381},
  [6658] = {.lex_state = 203},
  [6659] = {.lex_state = 265},
  [6660] = {.lex_state = 284},
  [6661] = {.lex_state = 284},
  [6662] = {.lex_state = 203},
  [6663] = {.lex_state = 222},
  [6664] = {.lex_state = 222},
  [6665] = {.lex_state = 203},
  [6666] = {.lex_state = 244},
  [6667] = {.lex_state = 222},
  [6668] = {.lex_state = 381},
  [6669] = {.lex_state = 203},
  [6670] = {.lex_state = 203},
  [6671] = {.lex_state = 222},
  [6672] = {.lex_state = 222},
  [6673] = {.lex_state = 265},
  [6674] = {.lex_state = 222},
  [6675] = {.lex_state = 244},
  [6676] = {.lex_state = 222},
  [6677] = {.lex_state = 244},
  [6678] = {.lex_state = 231},
  [6679] = {.lex_state = 244},
  [6680] = {.lex_state = 244},
  [6681] = {.lex_state = 203},
  [6682] = {.lex_state = 284},
  [6683] = {.lex_state = 222},
  [6684] = {.lex_state = 222},
  [6685] = {.lex_state = 265},
  [6686] = {.lex_state = 203},
  [6687] = {.lex_state = 381},
  [6688] = {.lex_state = 265},
  [6689] = {.lex_state = 284},
  [6690] = {.lex_state = 203},
  [6691] = {.lex_state = 222},
  [6692] = {.lex_state = 222},
  [6693] = {.lex_state = 381},
  [6694] = {.lex_state = 203},
  [6695] = {.lex_state = 284},
  [6696] = {.lex_state = 284},
  [6697] = {.lex_state = 222},
  [6698] = {.lex_state = 265},
  [6699] = {.lex_state = 284},
  [6700] = {.lex_state = 222},
  [6701] = {.lex_state = 284},
  [6702] = {.lex_state = 222},
  [6703] = {.lex_state = 381},
  [6704] = {.lex_state = 381},
  [6705] = {.lex_state = 381},
  [6706] = {.lex_state = 381},
  [6707] = {.lex_state = 381},
  [6708] = {.lex_state = 381},
  [6709] = {.lex_state = 381},
  [6710] = {.lex_state = 381},
  [6711] = {.lex_state = 284},
  [6712] = {.lex_state = 284},
  [6713] = {.lex_state = 203},
  [6714] = {.lex_state = 203},
  [6715] = {.lex_state = 284},
  [6716] = {.lex_state = 244},
  [6717] = {.lex_state = 203},
  [6718] = {.lex_state = 284},
  [6719] = {.lex_state = 265},
  [6720] = {.lex_state = 281},
  [6721] = {.lex_state = 244},
  [6722] = {.lex_state = 381},
  [6723] = {.lex_state = 244},
  [6724] = {.lex_state = 234},
  [6725] = {.lex_state = 284},
  [6726] = {.lex_state = 244},
  [6727] = {.lex_state = 382},
  [6728] = {.lex_state = 230},
  [6729] = {.lex_state = 244},
  [6730] = {.lex_state = 382},
  [6731] = {.lex_state = 234},
  [6732] = {.lex_state = 382},
  [6733] = {.lex_state = 234},
  [6734] = {.lex_state = 382},
  [6735] = {.lex_state = 222},
  [6736] = {.lex_state = 284},
  [6737] = {.lex_state = 244},
  [6738] = {.lex_state = 265},
  [6739] = {.lex_state = 382},
  [6740] = {.lex_state = 244},
  [6741] = {.lex_state = 265},
  [6742] = {.lex_state = 381},
  [6743] = {.lex_state = 382},
  [6744] = {.lex_state = 265},
  [6745] = {.lex_state = 284},
  [6746] = {.lex_state = 382},
  [6747] = {.lex_state = 265},
  [6748] = {.lex_state = 381},
  [6749] = {.lex_state = 381},
  [6750] = {.lex_state = 382},
  [6751] = {.lex_state = 222},
  [6752] = {.lex_state = 206},
  [6753] = {.lex_state = 381},
  [6754] = {.lex_state = 244},
  [6755] = {.lex_state = 281},
  [6756] = {.lex_state = 244},
  [6757] = {.lex_state = 381},
  [6758] = {.lex_state = 281},
  [6759] = {.lex_state = 244},
  [6760] = {.lex_state = 234},
  [6761] = {.lex_state = 244},
  [6762] = {.lex_state = 382},
  [6763] = {.lex_state = 381},
  [6764] = {.lex_state = 244},
  [6765] = {.lex_state = 234},
  [6766] = {.lex_state = 382},
  [6767] = {.lex_state = 382},
  [6768] = {.lex_state = 244},
  [6769] = {.lex_state = 381},
  [6770] = {.lex_state = 281},
  [6771] = {.lex_state = 382},
  [6772] = {.lex_state = 222},
  [6773] = {.lex_state = 281},
  [6774] = {.lex_state = 244},
  [6775] = {.lex_state = 244},
  [6776] = {.lex_state = 244},
  [6777] = {.lex_state = 381},
  [6778] = {.lex_state = 244},
  [6779] = {.lex_state = 244},
  [6780] = {.lex_state = 244},
  [6781] = {.lex_state = 244},
  [6782] = {.lex_state = 222},
  [6783] = {.lex_state = 284},
  [6784] = {.lex_state = 244},
  [6785] = {.lex_state = 222},
  [6786] = {.lex_state = 244},
  [6787] = {.lex_state = 234},
  [6788] = {.lex_state = 234},
  [6789] = {.lex_state = 382},
  [6790] = {.lex_state = 234},
  [6791] = {.lex_state = 284},
  [6792] = {.lex_state = 244},
  [6793] = {.lex_state = 244},
  [6794] = {.lex_state = 284},
  [6795] = {.lex_state = 265},
  [6796] = {.lex_state = 244},
  [6797] = {.lex_state = 234},
  [6798] = {.lex_state = 244},
  [6799] = {.lex_state = 382},
  [6800] = {.lex_state = 244},
  [6801] = {.lex_state = 284},
  [6802] = {.lex_state = 222},
  [6803] = {.lex_state = 222},
  [6804] = {.lex_state = 265},
  [6805] = {.lex_state = 234},
  [6806] = {.lex_state = 244},
  [6807] = {.lex_state = 265},
  [6808] = {.lex_state = 234},
  [6809] = {.lex_state = 244},
  [6810] = {.lex_state = 222},
  [6811] = {.lex_state = 382},
  [6812] = {.lex_state = 281},
  [6813] = {.lex_state = 244},
  [6814] = {.lex_state = 381},
  [6815] = {.lex_state = 281},
  [6816] = {.lex_state = 265},
  [6817] = {.lex_state = 284},
  [6818] = {.lex_state = 244},
  [6819] = {.lex_state = 382},
  [6820] = {.lex_state = 244},
  [6821] = {.lex_state = 222},
  [6822] = {.lex_state = 382},
  [6823] = {.lex_state = 382},
  [6824] = {.lex_state = 234},
  [6825] = {.lex_state = 244},
  [6826] = {.lex_state = 382},
  [6827] = {.lex_state = 244},
  [6828] = {.lex_state = 382},
  [6829] = {.lex_state = 381},
  [6830] = {.lex_state = 0},
  [6831] = {.lex_state = 381},
  [6832] = {.lex_state = 226},
  [6833] = {.lex_state = 381},
  [6834] = {.lex_state = 381},
  [6835] = {.lex_state = 226},
  [6836] = {.lex_state = 226},
  [6837] = {.lex_state = 233},
  [6838] = {.lex_state = 0},
  [6839] = {.lex_state = 381},
  [6840] = {.lex_state = 381},
  [6841] = {.lex_state = 381},
  [6842] = {.lex_state = 381},
  [6843] = {.lex_state = 0},
  [6844] = {.lex_state = 277},
  [6845] = {.lex_state = 381},
  [6846] = {.lex_state = 381},
  [6847] = {.lex_state = 226},
  [6848] = {.lex_state = 226},
  [6849] = {.lex_state = 226},
  [6850] = {.lex_state = 226},
  [6851] = {.lex_state = 381},
  [6852] = {.lex_state = 381},
  [6853] = {.lex_state = 226},
  [6854] = {.lex_state = 381},
  [6855] = {.lex_state = 381},
  [6856] = {.lex_state = 381},
  [6857] = {.lex_state = 284},
  [6858] = {.lex_state = 284},
  [6859] = {.lex_state = 277},
  [6860] = {.lex_state = 284},
  [6861] = {.lex_state = 284},
  [6862] = {.lex_state = 284},
  [6863] = {.lex_state = 381},
  [6864] = {.lex_state = 381},
  [6865] = {.lex_state = 226},
  [6866] = {.lex_state = 381},
  [6867] = {.lex_state = 381},
  [6868] = {.lex_state = 284},
  [6869] = {.lex_state = 244},
  [6870] = {.lex_state = 203},
  [6871] = {.lex_state = 381},
  [6872] = {.lex_state = 381},
  [6873] = {.lex_state = 277},
  [6874] = {.lex_state = 381},
  [6875] = {.lex_state = 226},
  [6876] = {.lex_state = 381},
  [6877] = {.lex_state = 0},
  [6878] = {.lex_state = 233},
  [6879] = {.lex_state = 381},
  [6880] = {.lex_state = 381},
  [6881] = {.lex_state = 226},
  [6882] = {.lex_state = 381},
  [6883] = {.lex_state = 244},
  [6884] = {.lex_state = 0},
  [6885] = {.lex_state = 284},
  [6886] = {.lex_state = 381},
  [6887] = {.lex_state = 226},
  [6888] = {.lex_state = 381},
  [6889] = {.lex_state = 381},
  [6890] = {.lex_state = 381},
  [6891] = {.lex_state = 226},
  [6892] = {.lex_state = 381},
  [6893] = {.lex_state = 226},
  [6894] = {.lex_state = 226},
  [6895] = {.lex_state = 381},
  [6896] = {.lex_state = 381},
  [6897] = {.lex_state = 381},
  [6898] = {.lex_state = 381},
  [6899] = {.lex_state = 381},
  [6900] = {.lex_state = 226},
  [6901] = {.lex_state = 381},
  [6902] = {.lex_state = 381},
  [6903] = {.lex_state = 226},
  [6904] = {.lex_state = 0},
  [6905] = {.lex_state = 381},
  [6906] = {.lex_state = 381},
  [6907] = {.lex_state = 233},
  [6908] = {.lex_state = 226},
  [6909] = {.lex_state = 233},
  [6910] = {.lex_state = 381},
  [6911] = {.lex_state = 381},
  [6912] = {.lex_state = 381},
  [6913] = {.lex_state = 244},
  [6914] = {.lex_state = 244},
  [6915] = {.lex_state = 0},
  [6916] = {.lex_state = 244},
  [6917] = {.lex_state = 381},
  [6918] = {.lex_state = 381},
  [6919] = {.lex_state = 381},
  [6920] = {.lex_state = 244},
  [6921] = {.lex_state = 226},
  [6922] = {.lex_state = 226},
  [6923] = {.lex_state = 381},
  [6924] = {.lex_state = 381},
  [6925] = {.lex_state = 244},
  [6926] = {.lex_state = 381},
  [6927] = {.lex_state = 381},
  [6928] = {.lex_state = 381},
  [6929] = {.lex_state = 381},
  [6930] = {.lex_state = 226},
  [6931] = {.lex_state = 244},
  [6932] = {.lex_state = 381},
  [6933] = {.lex_state = 233},
  [6934] = {.lex_state = 233},
  [6935] = {.lex_state = 233},
  [6936] = {.lex_state = 277},
  [6937] = {.lex_state = 233},
  [6938] = {.lex_state = 381},
  [6939] = {.lex_state = 0},
  [6940] = {.lex_state = 226},
  [6941] = {.lex_state = 381},
  [6942] = {.lex_state = 381},
  [6943] = {.lex_state = 226},
  [6944] = {.lex_state = 226},
  [6945] = {.lex_state = 0},
  [6946] = {.lex_state = 244},
  [6947] = {.lex_state = 265},
  [6948] = {.lex_state = 381},
  [6949] = {.lex_state = 244},
  [6950] = {.lex_state = 244},
  [6951] = {.lex_state = 244},
  [6952] = {.lex_state = 244},
  [6953] = {.lex_state = 244},
  [6954] = {.lex_state = 387},
  [6955] = {.lex_state = 244},
  [6956] = {.lex_state = 381},
  [6957] = {.lex_state = 244},
  [6958] = {.lex_state = 244},
  [6959] = {.lex_state = 381},
  [6960] = {.lex_state = 234},
  [6961] = {.lex_state = 244},
  [6962] = {.lex_state = 244},
  [6963] = {.lex_state = 387},
  [6964] = {.lex_state = 381},
  [6965] = {.lex_state = 244},
  [6966] = {.lex_state = 244},
  [6967] = {.lex_state = 244},
  [6968] = {.lex_state = 387},
  [6969] = {.lex_state = 265},
  [6970] = {.lex_state = 244},
  [6971] = {.lex_state = 381},
  [6972] = {.lex_state = 381},
  [6973] = {.lex_state = 387},
  [6974] = {.lex_state = 265},
  [6975] = {.lex_state = 244},
  [6976] = {.lex_state = 234},
  [6977] = {.lex_state = 234},
  [6978] = {.lex_state = 244},
  [6979] = {.lex_state = 265},
  [6980] = {.lex_state = 381},
  [6981] = {.lex_state = 381},
  [6982] = {.lex_state = 265},
  [6983] = {.lex_state = 265},
  [6984] = {.lex_state = 234},
  [6985] = {.lex_state = 265},
  [6986] = {.lex_state = 244},
  [6987] = {.lex_state = 244},
  [6988] = {.lex_state = 244},
  [6989] = {.lex_state = 244},
  [6990] = {.lex_state = 244},
  [6991] = {.lex_state = 244},
  [6992] = {.lex_state = 381},
  [6993] = {.lex_state = 265},
  [6994] = {.lex_state = 244},
  [6995] = {.lex_state = 244},
  [6996] = {.lex_state = 244},
  [6997] = {.lex_state = 244},
  [6998] = {.lex_state = 381},
  [6999] = {.lex_state = 265},
  [7000] = {.lex_state = 234},
  [7001] = {.lex_state = 387},
  [7002] = {.lex_state = 244},
  [7003] = {.lex_state = 265},
  [7004] = {.lex_state = 244},
  [7005] = {.lex_state = 381},
  [7006] = {.lex_state = 234},
  [7007] = {.lex_state = 381},
  [7008] = {.lex_state = 234},
  [7009] = {.lex_state = 381},
  [7010] = {.lex_state = 244},
  [7011] = {.lex_state = 244},
  [7012] = {.lex_state = 244},
  [7013] = {.lex_state = 244},
  [7014] = {.lex_state = 381},
  [7015] = {.lex_state = 381},
  [7016] = {.lex_state = 244},
  [7017] = {.lex_state = 0},
  [7018] = {.lex_state = 244},
  [7019] = {.lex_state = 244},
  [7020] = {.lex_state = 265},
  [7021] = {.lex_state = 234},
  [7022] = {.lex_state = 265},
  [7023] = {.lex_state = 381},
  [7024] = {.lex_state = 244},
  [7025] = {.lex_state = 260},
  [7026] = {.lex_state = 244},
  [7027] = {.lex_state = 381},
  [7028] = {.lex_state = 281},
  [7029] = {.lex_state = 233},
  [7030] = {.lex_state = 233},
  [7031] = {.lex_state = 244},
  [7032] = {.lex_state = 233},
  [7033] = {.lex_state = 244},
  [7034] = {.lex_state = 381},
  [7035] = {.lex_state = 233},
  [7036] = {.lex_state = 281},
  [7037] = {.lex_state = 244},
  [7038] = {.lex_state = 233},
  [7039] = {.lex_state = 244},
  [7040] = {.lex_state = 244},
  [7041] = {.lex_state = 260},
  [7042] = {.lex_state = 244},
  [7043] = {.lex_state = 231},
  [7044] = {.lex_state = 381},
  [7045] = {.lex_state = 233},
  [7046] = {.lex_state = 226},
  [7047] = {.lex_state = 244},
  [7048] = {.lex_state = 381},
  [7049] = {.lex_state = 244},
  [7050] = {.lex_state = 244},
  [7051] = {.lex_state = 244},
  [7052] = {.lex_state = 244},
  [7053] = {.lex_state = 233},
  [7054] = {.lex_state = 231},
  [7055] = {.lex_state = 244},
  [7056] = {.lex_state = 244},
  [7057] = {.lex_state = 260},
  [7058] = {.lex_state = 244},
  [7059] = {.lex_state = 244},
  [7060] = {.lex_state = 244},
  [7061] = {.lex_state = 260},
  [7062] = {.lex_state = 381},
  [7063] = {.lex_state = 244},
  [7064] = {.lex_state = 381},
  [7065] = {.lex_state = 233},
  [7066] = {.lex_state = 244},
  [7067] = {.lex_state = 260},
  [7068] = {.lex_state = 260},
  [7069] = {.lex_state = 244},
  [7070] = {.lex_state = 260},
  [7071] = {.lex_state = 244},
  [7072] = {.lex_state = 244},
  [7073] = {.lex_state = 244},
  [7074] = {.lex_state = 244},
  [7075] = {.lex_state = 244},
  [7076] = {.lex_state = 233},
  [7077] = {.lex_state = 381},
  [7078] = {.lex_state = 233},
  [7079] = {.lex_state = 281},
  [7080] = {.lex_state = 381},
  [7081] = {.lex_state = 244},
  [7082] = {.lex_state = 233},
  [7083] = {.lex_state = 233},
  [7084] = {.lex_state = 231},
  [7085] = {.lex_state = 381},
  [7086] = {.lex_state = 387},
  [7087] = {.lex_state = 226},
  [7088] = {.lex_state = 226},
  [7089] = {.lex_state = 265},
  [7090] = {.lex_state = 226},
  [7091] = {.lex_state = 381},
  [7092] = {.lex_state = 226},
  [7093] = {.lex_state = 387},
  [7094] = {.lex_state = 226},
  [7095] = {.lex_state = 226},
  [7096] = {.lex_state = 226},
  [7097] = {.lex_state = 244},
  [7098] = {.lex_state = 265},
  [7099] = {.lex_state = 226},
  [7100] = {.lex_state = 244},
  [7101] = {.lex_state = 265},
  [7102] = {.lex_state = 265},
  [7103] = {.lex_state = 206},
  [7104] = {.lex_state = 265},
  [7105] = {.lex_state = 265},
  [7106] = {.lex_state = 381},
  [7107] = {.lex_state = 226},
  [7108] = {.lex_state = 381},
  [7109] = {.lex_state = 226},
  [7110] = {.lex_state = 226},
  [7111] = {.lex_state = 226},
  [7112] = {.lex_state = 244},
  [7113] = {.lex_state = 244},
  [7114] = {.lex_state = 226},
  [7115] = {.lex_state = 387},
  [7116] = {.lex_state = 226},
  [7117] = {.lex_state = 244},
  [7118] = {.lex_state = 244},
  [7119] = {.lex_state = 206},
  [7120] = {.lex_state = 265},
  [7121] = {.lex_state = 226},
  [7122] = {.lex_state = 381},
  [7123] = {.lex_state = 381},
  [7124] = {.lex_state = 381},
  [7125] = {.lex_state = 244},
  [7126] = {.lex_state = 278},
  [7127] = {.lex_state = 244},
  [7128] = {.lex_state = 244},
  [7129] = {.lex_state = 244},
  [7130] = {.lex_state = 244},
  [7131] = {.lex_state = 278},
  [7132] = {.lex_state = 233},
  [7133] = {.lex_state = 244},
  [7134] = {.lex_state = 244},
  [7135] = {.lex_state = 244},
  [7136] = {.lex_state = 387},
  [7137] = {.lex_state = 244},
  [7138] = {.lex_state = 233},
  [7139] = {.lex_state = 244},
  [7140] = {.lex_state = 233},
  [7141] = {.lex_state = 233},
  [7142] = {.lex_state = 278},
  [7143] = {.lex_state = 233},
  [7144] = {.lex_state = 244},
  [7145] = {.lex_state = 244},
  [7146] = {.lex_state = 203},
  [7147] = {.lex_state = 244},
  [7148] = {.lex_state = 244},
  [7149] = {.lex_state = 244},
  [7150] = {.lex_state = 244},
  [7151] = {.lex_state = 244},
  [7152] = {.lex_state = 244},
  [7153] = {.lex_state = 244},
  [7154] = {.lex_state = 244},
  [7155] = {.lex_state = 244},
  [7156] = {.lex_state = 278},
  [7157] = {.lex_state = 244},
  [7158] = {.lex_state = 233},
  [7159] = {.lex_state = 244},
  [7160] = {.lex_state = 244},
  [7161] = {.lex_state = 237},
  [7162] = {.lex_state = 244},
  [7163] = {.lex_state = 244},
  [7164] = {.lex_state = 244},
  [7165] = {.lex_state = 244},
  [7166] = {.lex_state = 387},
  [7167] = {.lex_state = 278},
  [7168] = {.lex_state = 244},
  [7169] = {.lex_state = 244},
  [7170] = {.lex_state = 244},
  [7171] = {.lex_state = 244},
  [7172] = {.lex_state = 244},
  [7173] = {.lex_state = 233},
  [7174] = {.lex_state = 237},
  [7175] = {.lex_state = 387},
  [7176] = {.lex_state = 231},
  [7177] = {.lex_state = 203},
  [7178] = {.lex_state = 387},
  [7179] = {.lex_state = 284},
  [7180] = {.lex_state = 387},
  [7181] = {.lex_state = 387},
  [7182] = {.lex_state = 244},
  [7183] = {.lex_state = 387},
  [7184] = {.lex_state = 231},
  [7185] = {.lex_state = 387},
  [7186] = {.lex_state = 387},
  [7187] = {.lex_state = 387},
  [7188] = {.lex_state = 233},
  [7189] = {.lex_state = 387},
  [7190] = {.lex_state = 281},
  [7191] = {.lex_state = 244},
  [7192] = {.lex_state = 244},
  [7193] = {.lex_state = 244},
  [7194] = {.lex_state = 226},
  [7195] = {.lex_state = 203},
  [7196] = {.lex_state = 387},
  [7197] = {.lex_state = 387},
  [7198] = {.lex_state = 233},
  [7199] = {.lex_state = 387},
  [7200] = {.lex_state = 387},
  [7201] = {.lex_state = 233},
  [7202] = {.lex_state = 387},
  [7203] = {.lex_state = 387},
  [7204] = {.lex_state = 244},
  [7205] = {.lex_state = 244},
  [7206] = {.lex_state = 234},
  [7207] = {.lex_state = 387},
  [7208] = {.lex_state = 387},
  [7209] = {.lex_state = 387},
  [7210] = {.lex_state = 387},
  [7211] = {.lex_state = 387},
  [7212] = {.lex_state = 281},
  [7213] = {.lex_state = 233},
  [7214] = {.lex_state = 244},
  [7215] = {.lex_state = 387},
  [7216] = {.lex_state = 387},
  [7217] = {.lex_state = 378},
  [7218] = {.lex_state = 226},
  [7219] = {.lex_state = 387},
  [7220] = {.lex_state = 234},
  [7221] = {.lex_state = 234},
  [7222] = {.lex_state = 233},
  [7223] = {.lex_state = 244},
  [7224] = {.lex_state = 234},
  [7225] = {.lex_state = 234},
  [7226] = {.lex_state = 206},
  [7227] = {.lex_state = 233},
  [7228] = {.lex_state = 387},
  [7229] = {.lex_state = 387},
  [7230] = {.lex_state = 244},
  [7231] = {.lex_state = 284},
  [7232] = {.lex_state = 244},
  [7233] = {.lex_state = 387},
  [7234] = {.lex_state = 234},
  [7235] = {.lex_state = 234},
  [7236] = {.lex_state = 244},
  [7237] = {.lex_state = 203},
  [7238] = {.lex_state = 203},
  [7239] = {.lex_state = 203},
  [7240] = {.lex_state = 237},
  [7241] = {.lex_state = 203},
  [7242] = {.lex_state = 203},
  [7243] = {.lex_state = 203},
  [7244] = {.lex_state = 244},
  [7245] = {.lex_state = 203},
  [7246] = {.lex_state = 203},
  [7247] = {.lex_state = 244},
  [7248] = {.lex_state = 203},
  [7249] = {.lex_state = 203},
  [7250] = {.lex_state = 244},
  [7251] = {.lex_state = 244},
  [7252] = {.lex_state = 203},
  [7253] = {.lex_state = 203},
  [7254] = {.lex_state = 203},
  [7255] = {.lex_state = 203},
  [7256] = {.lex_state = 244},
  [7257] = {.lex_state = 284},
  [7258] = {.lex_state = 387},
  [7259] = {.lex_state = 237},
  [7260] = {.lex_state = 244},
  [7261] = {.lex_state = 387},
  [7262] = {.lex_state = 237},
  [7263] = {.lex_state = 387},
  [7264] = {.lex_state = 233},
  [7265] = {.lex_state = 387},
  [7266] = {.lex_state = 231},
  [7267] = {.lex_state = 387},
  [7268] = {.lex_state = 233},
  [7269] = {.lex_state = 233},
  [7270] = {.lex_state = 244},
  [7271] = {.lex_state = 203},
  [7272] = {.lex_state = 203},
  [7273] = {.lex_state = 387},
  [7274] = {.lex_state = 387},
  [7275] = {.lex_state = 203},
  [7276] = {.lex_state = 233},
  [7277] = {.lex_state = 244},
  [7278] = {.lex_state = 203},
  [7279] = {.lex_state = 203},
  [7280] = {.lex_state = 203},
  [7281] = {.lex_state = 203},
  [7282] = {.lex_state = 244},
  [7283] = {.lex_state = 244},
  [7284] = {.lex_state = 281},
  [7285] = {.lex_state = 226},
  [7286] = {.lex_state = 226},
  [7287] = {.lex_state = 244},
  [7288] = {.lex_state = 244},
  [7289] = {.lex_state = 244},
  [7290] = {.lex_state = 244},
  [7291] = {.lex_state = 281},
  [7292] = {.lex_state = 203},
  [7293] = {.lex_state = 281},
  [7294] = {.lex_state = 244},
  [7295] = {.lex_state = 244},
  [7296] = {.lex_state = 387},
  [7297] = {.lex_state = 281},
  [7298] = {.lex_state = 244},
  [7299] = {.lex_state = 0},
  [7300] = {.lex_state = 284},
  [7301] = {.lex_state = 203},
  [7302] = {.lex_state = 244},
  [7303] = {.lex_state = 387},
  [7304] = {.lex_state = 244},
  [7305] = {.lex_state = 244},
  [7306] = {.lex_state = 226},
  [7307] = {.lex_state = 281},
  [7308] = {.lex_state = 226},
  [7309] = {.lex_state = 387},
  [7310] = {.lex_state = 244},
  [7311] = {.lex_state = 244},
  [7312] = {.lex_state = 281},
  [7313] = {.lex_state = 233},
  [7314] = {.lex_state = 244},
  [7315] = {.lex_state = 244},
  [7316] = {.lex_state = 244},
  [7317] = {.lex_state = 387},
  [7318] = {.lex_state = 281},
  [7319] = {.lex_state = 244},
  [7320] = {.lex_state = 244},
  [7321] = {.lex_state = 244},
  [7322] = {.lex_state = 281},
  [7323] = {.lex_state = 281},
  [7324] = {.lex_state = 281},
  [7325] = {.lex_state = 281},
  [7326] = {.lex_state = 281},
  [7327] = {.lex_state = 244},
  [7328] = {.lex_state = 281},
  [7329] = {.lex_state = 231},
  [7330] = {.lex_state = 244},
  [7331] = {.lex_state = 226},
  [7332] = {.lex_state = 244},
  [7333] = {.lex_state = 281},
  [7334] = {.lex_state = 226},
  [7335] = {.lex_state = 281},
  [7336] = {.lex_state = 0},
  [7337] = {.lex_state = 226},
  [7338] = {.lex_state = 226},
  [7339] = {.lex_state = 226},
  [7340] = {.lex_state = 281},
  [7341] = {.lex_state = 281},
  [7342] = {.lex_state = 281},
  [7343] = {.lex_state = 226},
  [7344] = {.lex_state = 244},
  [7345] = {.lex_state = 0},
  [7346] = {.lex_state = 226},
  [7347] = {.lex_state = 244},
  [7348] = {.lex_state = 387},
  [7349] = {.lex_state = 244},
  [7350] = {.lex_state = 244},
  [7351] = {.lex_state = 244},
  [7352] = {.lex_state = 206},
  [7353] = {.lex_state = 244},
  [7354] = {.lex_state = 244},
  [7355] = {.lex_state = 244},
  [7356] = {.lex_state = 387},
  [7357] = {.lex_state = 244},
  [7358] = {.lex_state = 244},
  [7359] = {.lex_state = 203},
  [7360] = {.lex_state = 244},
  [7361] = {.lex_state = 244},
  [7362] = {.lex_state = 244},
  [7363] = {.lex_state = 244},
  [7364] = {.lex_state = 244},
  [7365] = {.lex_state = 244},
  [7366] = {.lex_state = 244},
  [7367] = {.lex_state = 244},
  [7368] = {.lex_state = 244},
  [7369] = {.lex_state = 244},
  [7370] = {.lex_state = 206},
  [7371] = {.lex_state = 206},
  [7372] = {.lex_state = 244},
  [7373] = {.lex_state = 387},
  [7374] = {.lex_state = 206},
  [7375] = {.lex_state = 244},
  [7376] = {.lex_state = 244},
  [7377] = {.lex_state = 387},
  [7378] = {.lex_state = 244},
  [7379] = {.lex_state = 206},
  [7380] = {.lex_state = 203},
  [7381] = {.lex_state = 244},
  [7382] = {.lex_state = 244},
  [7383] = {.lex_state = 244},
  [7384] = {.lex_state = 206},
  [7385] = {.lex_state = 387},
  [7386] = {.lex_state = 244},
  [7387] = {.lex_state = 244},
  [7388] = {.lex_state = 387},
  [7389] = {.lex_state = 244},
  [7390] = {.lex_state = 244},
  [7391] = {.lex_state = 244},
  [7392] = {.lex_state = 244},
  [7393] = {.lex_state = 203},
  [7394] = {.lex_state = 244},
  [7395] = {.lex_state = 244},
  [7396] = {.lex_state = 244},
  [7397] = {.lex_state = 244},
  [7398] = {.lex_state = 244},
  [7399] = {.lex_state = 244},
  [7400] = {.lex_state = 244},
  [7401] = {.lex_state = 244},
  [7402] = {.lex_state = 244},
  [7403] = {.lex_state = 244},
  [7404] = {.lex_state = 203},
  [7405] = {.lex_state = 281},
  [7406] = {.lex_state = 265},
  [7407] = {.lex_state = 244},
  [7408] = {.lex_state = 244},
  [7409] = {.lex_state = 244},
  [7410] = {.lex_state = 244},
  [7411] = {.lex_state = 244},
  [7412] = {.lex_state = 265},
  [7413] = {.lex_state = 206},
  [7414] = {.lex_state = 244},
  [7415] = {.lex_state = 244},
  [7416] = {.lex_state = 387},
  [7417] = {.lex_state = 244},
  [7418] = {.lex_state = 116},
  [7419] = {.lex_state = 387},
  [7420] = {.lex_state = 244},
  [7421] = {.lex_state = 0},
  [7422] = {.lex_state = 387},
  [7423] = {.lex_state = 203},
  [7424] = {.lex_state = 116},
  [7425] = {.lex_state = 118},
  [7426] = {.lex_state = 244},
  [7427] = {.lex_state = 281},
  [7428] = {.lex_state = 387},
  [7429] = {.lex_state = 244},
  [7430] = {.lex_state = 116},
  [7431] = {.lex_state = 119},
  [7432] = {.lex_state = 387},
  [7433] = {.lex_state = 206},
  [7434] = {.lex_state = 0},
  [7435] = {.lex_state = 244},
  [7436] = {.lex_state = 0},
  [7437] = {.lex_state = 116},
  [7438] = {.lex_state = 118},
  [7439] = {.lex_state = 387},
  [7440] = {.lex_state = 387},
  [7441] = {.lex_state = 244},
  [7442] = {.lex_state = 116},
  [7443] = {.lex_state = 244},
  [7444] = {.lex_state = 116},
  [7445] = {.lex_state = 118},
  [7446] = {.lex_state = 203},
  [7447] = {.lex_state = 387},
  [7448] = {.lex_state = 387},
  [7449] = {.lex_state = 203},
  [7450] = {.lex_state = 244},
  [7451] = {.lex_state = 244},
  [7452] = {.lex_state = 203},
  [7453] = {.lex_state = 0},
  [7454] = {.lex_state = 206},
  [7455] = {.lex_state = 0},
  [7456] = {.lex_state = 281},
  [7457] = {.lex_state = 203},
  [7458] = {.lex_state = 206},
  [7459] = {.lex_state = 116},
  [7460] = {.lex_state = 118},
  [7461] = {.lex_state = 206},
  [7462] = {.lex_state = 206},
  [7463] = {.lex_state = 116},
  [7464] = {.lex_state = 206},
  [7465] = {.lex_state = 118},
  [7466] = {.lex_state = 203},
  [7467] = {.lex_state = 244},
  [7468] = {.lex_state = 116},
  [7469] = {.lex_state = 206},
  [7470] = {.lex_state = 244},
  [7471] = {.lex_state = 203},
  [7472] = {.lex_state = 387},
  [7473] = {.lex_state = 244},
  [7474] = {.lex_state = 203},
  [7475] = {.lex_state = 244},
  [7476] = {.lex_state = 244},
  [7477] = {.lex_state = 387},
  [7478] = {.lex_state = 244},
  [7479] = {.lex_state = 244},
  [7480] = {.lex_state = 387},
  [7481] = {.lex_state = 206},
  [7482] = {.lex_state = 244},
  [7483] = {.lex_state = 116},
  [7484] = {.lex_state = 387},
  [7485] = {.lex_state = 116},
  [7486] = {.lex_state = 118},
  [7487] = {.lex_state = 203},
  [7488] = {.lex_state = 387},
  [7489] = {.lex_state = 206},
  [7490] = {.lex_state = 281},
  [7491] = {.lex_state = 387},
  [7492] = {.lex_state = 206},
  [7493] = {.lex_state = 203},
  [7494] = {.lex_state = 244},
  [7495] = {.lex_state = 116},
  [7496] = {.lex_state = 387},
  [7497] = {.lex_state = 116},
  [7498] = {.lex_state = 244},
  [7499] = {.lex_state = 387},
  [7500] = {.lex_state = 387},
  [7501] = {.lex_state = 116},
  [7502] = {.lex_state = 387},
  [7503] = {.lex_state = 387},
  [7504] = {.lex_state = 119},
  [7505] = {.lex_state = 0},
  [7506] = {.lex_state = 203},
  [7507] = {.lex_state = 0},
  [7508] = {.lex_state = 0},
  [7509] = {.lex_state = 206},
  [7510] = {.lex_state = 387},
  [7511] = {.lex_state = 244},
  [7512] = {.lex_state = 244},
  [7513] = {.lex_state = 387},
  [7514] = {.lex_state = 244},
  [7515] = {.lex_state = 119},
  [7516] = {.lex_state = 244},
  [7517] = {.lex_state = 387},
  [7518] = {.lex_state = 119},
  [7519] = {.lex_state = 0},
  [7520] = {.lex_state = 387},
  [7521] = {.lex_state = 116},
  [7522] = {.lex_state = 244},
  [7523] = {.lex_state = 206},
  [7524] = {.lex_state = 206},
  [7525] = {.lex_state = 118},
  [7526] = {.lex_state = 116},
  [7527] = {.lex_state = 206},
  [7528] = {.lex_state = 116},
  [7529] = {.lex_state = 203},
  [7530] = {.lex_state = 387},
  [7531] = {.lex_state = 0},
  [7532] = {.lex_state = 387},
  [7533] = {.lex_state = 116},
  [7534] = {.lex_state = 0},
  [7535] = {.lex_state = 387},
  [7536] = {.lex_state = 116},
  [7537] = {.lex_state = 203},
  [7538] = {.lex_state = 118},
  [7539] = {.lex_state = 206},
  [7540] = {.lex_state = 206},
  [7541] = {.lex_state = 203},
  [7542] = {.lex_state = 244},
  [7543] = {.lex_state = 244},
  [7544] = {.lex_state = 244},
  [7545] = {.lex_state = 387},
  [7546] = {.lex_state = 116},
  [7547] = {.lex_state = 244},
  [7548] = {.lex_state = 244},
  [7549] = {.lex_state = 387},
  [7550] = {.lex_state = 116},
  [7551] = {.lex_state = 281},
  [7552] = {.lex_state = 203},
  [7553] = {.lex_state = 118},
  [7554] = {.lex_state = 116},
  [7555] = {.lex_state = 387},
  [7556] = {.lex_state = 387},
  [7557] = {.lex_state = 244},
  [7558] = {.lex_state = 244},
  [7559] = {.lex_state = 244},
  [7560] = {.lex_state = 387},
  [7561] = {.lex_state = 206},
  [7562] = {.lex_state = 118},
  [7563] = {.lex_state = 206},
  [7564] = {.lex_state = 0},
  [7565] = {.lex_state = 206},
  [7566] = {.lex_state = 387},
  [7567] = {.lex_state = 206},
  [7568] = {.lex_state = 203},
  [7569] = {.lex_state = 0},
  [7570] = {.lex_state = 387},
  [7571] = {.lex_state = 116},
  [7572] = {.lex_state = 0},
  [7573] = {.lex_state = 387},
  [7574] = {.lex_state = 116},
  [7575] = {.lex_state = 118},
  [7576] = {.lex_state = 116},
  [7577] = {.lex_state = 387},
  [7578] = {.lex_state = 244},
  [7579] = {.lex_state = 244},
  [7580] = {.lex_state = 203},
  [7581] = {.lex_state = 206},
  [7582] = {.lex_state = 244},
  [7583] = {.lex_state = 0},
  [7584] = {.lex_state = 206},
  [7585] = {.lex_state = 281},
  [7586] = {.lex_state = 244},
  [7587] = {.lex_state = 203},
  [7588] = {.lex_state = 244},
  [7589] = {.lex_state = 387},
  [7590] = {.lex_state = 203},
  [7591] = {.lex_state = 203},
  [7592] = {.lex_state = 116},
  [7593] = {.lex_state = 244},
  [7594] = {.lex_state = 244},
  [7595] = {.lex_state = 244},
  [7596] = {.lex_state = 244},
  [7597] = {.lex_state = 244},
  [7598] = {.lex_state = 203},
  [7599] = {.lex_state = 116},
  [7600] = {.lex_state = 203},
  [7601] = {.lex_state = 0},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 206},
  [7604] = {.lex_state = 206},
  [7605] = {.lex_state = 387},
  [7606] = {.lex_state = 387},
  [7607] = {.lex_state = 281},
  [7608] = {.lex_state = 116},
  [7609] = {.lex_state = 244},
  [7610] = {.lex_state = 203},
  [7611] = {.lex_state = 203},
  [7612] = {.lex_state = 244},
  [7613] = {.lex_state = 387},
  [7614] = {.lex_state = 244},
  [7615] = {.lex_state = 206},
  [7616] = {.lex_state = 387},
  [7617] = {.lex_state = 203},
  [7618] = {.lex_state = 206},
  [7619] = {.lex_state = 387},
  [7620] = {.lex_state = 203},
  [7621] = {.lex_state = 116},
  [7622] = {.lex_state = 244},
  [7623] = {.lex_state = 116},
  [7624] = {.lex_state = 118},
  [7625] = {.lex_state = 387},
  [7626] = {.lex_state = 206},
  [7627] = {.lex_state = 116},
  [7628] = {.lex_state = 206},
  [7629] = {.lex_state = 387},
  [7630] = {.lex_state = 244},
  [7631] = {.lex_state = 0},
  [7632] = {.lex_state = 281},
  [7633] = {.lex_state = 244},
  [7634] = {.lex_state = 0},
  [7635] = {.lex_state = 116},
  [7636] = {.lex_state = 387},
  [7637] = {.lex_state = 116},
  [7638] = {.lex_state = 244},
  [7639] = {.lex_state = 206},
  [7640] = {.lex_state = 244},
  [7641] = {.lex_state = 203},
  [7642] = {.lex_state = 116},
  [7643] = {.lex_state = 387},
  [7644] = {.lex_state = 206},
  [7645] = {.lex_state = 116},
  [7646] = {.lex_state = 387},
  [7647] = {.lex_state = 244},
  [7648] = {.lex_state = 0},
  [7649] = {.lex_state = 116},
  [7650] = {.lex_state = 206},
  [7651] = {.lex_state = 116},
  [7652] = {.lex_state = 118},
  [7653] = {.lex_state = 387},
  [7654] = {.lex_state = 387},
  [7655] = {.lex_state = 206},
  [7656] = {.lex_state = 206},
  [7657] = {.lex_state = 206},
  [7658] = {.lex_state = 203},
  [7659] = {.lex_state = 244},
  [7660] = {.lex_state = 244},
  [7661] = {.lex_state = 387},
  [7662] = {.lex_state = 281},
  [7663] = {.lex_state = 206},
  [7664] = {.lex_state = 281},
  [7665] = {.lex_state = 203},
  [7666] = {.lex_state = 206},
  [7667] = {.lex_state = 116},
  [7668] = {.lex_state = 203},
  [7669] = {.lex_state = 387},
  [7670] = {.lex_state = 244},
  [7671] = {.lex_state = 203},
  [7672] = {.lex_state = 244},
  [7673] = {.lex_state = 119},
  [7674] = {.lex_state = 387},
  [7675] = {.lex_state = 206},
  [7676] = {.lex_state = 203},
  [7677] = {.lex_state = 244},
  [7678] = {.lex_state = 119},
  [7679] = {.lex_state = 203},
  [7680] = {.lex_state = 244},
  [7681] = {.lex_state = 244},
  [7682] = {.lex_state = 244},
  [7683] = {.lex_state = 387},
  [7684] = {.lex_state = 116},
  [7685] = {.lex_state = 387},
  [7686] = {.lex_state = 206},
  [7687] = {.lex_state = 206},
  [7688] = {.lex_state = 281},
  [7689] = {.lex_state = 244},
  [7690] = {.lex_state = 206},
  [7691] = {.lex_state = 281},
  [7692] = {.lex_state = 118},
  [7693] = {.lex_state = 116},
  [7694] = {.lex_state = 203},
  [7695] = {.lex_state = 116},
  [7696] = {.lex_state = 244},
  [7697] = {.lex_state = 244},
  [7698] = {.lex_state = 118},
  [7699] = {.lex_state = 265},
  [7700] = {.lex_state = 203},
  [7701] = {.lex_state = 0},
  [7702] = {.lex_state = 387},
  [7703] = {.lex_state = 203},
  [7704] = {.lex_state = 206},
  [7705] = {.lex_state = 119},
  [7706] = {.lex_state = 387},
  [7707] = {.lex_state = 387},
  [7708] = {.lex_state = 203},
  [7709] = {.lex_state = 206},
  [7710] = {.lex_state = 206},
  [7711] = {.lex_state = 281},
  [7712] = {.lex_state = 244},
  [7713] = {.lex_state = 206},
  [7714] = {.lex_state = 387},
  [7715] = {.lex_state = 244},
  [7716] = {.lex_state = 206},
  [7717] = {.lex_state = 206},
  [7718] = {.lex_state = 116},
  [7719] = {.lex_state = 119},
  [7720] = {.lex_state = 119},
  [7721] = {.lex_state = 0},
  [7722] = {.lex_state = 244},
  [7723] = {.lex_state = 244},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 387},
  [7726] = {.lex_state = 116},
  [7727] = {.lex_state = 244},
  [7728] = {.lex_state = 0},
  [7729] = {.lex_state = 244},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 387},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 121},
  [7734] = {.lex_state = 387},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 244},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 203},
  [7739] = {.lex_state = 387},
  [7740] = {.lex_state = 0},
  [7741] = {.lex_state = 206},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 206},
  [7744] = {.lex_state = 387},
  [7745] = {.lex_state = 0},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 244},
  [7749] = {.lex_state = 0},
  [7750] = {.lex_state = 244},
  [7751] = {.lex_state = 387},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 0},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 244},
  [7758] = {.lex_state = 118},
  [7759] = {.lex_state = 118},
  [7760] = {.lex_state = 244},
  [7761] = {.lex_state = 0},
  [7762] = {.lex_state = 244},
  [7763] = {.lex_state = 0},
  [7764] = {.lex_state = 206},
  [7765] = {.lex_state = 206},
  [7766] = {.lex_state = 244},
  [7767] = {.lex_state = 206},
  [7768] = {.lex_state = 206},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 206},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 0},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 244},
  [7779] = {.lex_state = 387},
  [7780] = {.lex_state = 244},
  [7781] = {.lex_state = 0},
  [7782] = {.lex_state = 0},
  [7783] = {.lex_state = 0},
  [7784] = {.lex_state = 206},
  [7785] = {.lex_state = 206},
  [7786] = {.lex_state = 206},
  [7787] = {.lex_state = 206},
  [7788] = {.lex_state = 206},
  [7789] = {.lex_state = 206},
  [7790] = {.lex_state = 0},
  [7791] = {.lex_state = 206},
  [7792] = {.lex_state = 206},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 0},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 0},
  [7798] = {.lex_state = 206},
  [7799] = {.lex_state = 0},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 206},
  [7802] = {.lex_state = 244},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 206},
  [7805] = {.lex_state = 206},
  [7806] = {.lex_state = 0},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 0},
  [7809] = {.lex_state = 206},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 206},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 206},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 206},
  [7820] = {.lex_state = 244},
  [7821] = {.lex_state = 206},
  [7822] = {.lex_state = 244},
  [7823] = {.lex_state = 206},
  [7824] = {.lex_state = 0},
  [7825] = {.lex_state = 206},
  [7826] = {.lex_state = 206},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 244},
  [7829] = {.lex_state = 118},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 244},
  [7832] = {.lex_state = 244},
  [7833] = {.lex_state = 0},
  [7834] = {.lex_state = 0},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 0},
  [7839] = {.lex_state = 0},
  [7840] = {.lex_state = 0},
  [7841] = {.lex_state = 244},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 206},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 206},
  [7847] = {.lex_state = 206},
  [7848] = {.lex_state = 206},
  [7849] = {.lex_state = 206},
  [7850] = {.lex_state = 206},
  [7851] = {.lex_state = 206},
  [7852] = {.lex_state = 0},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 0},
  [7855] = {.lex_state = 206},
  [7856] = {.lex_state = 0},
  [7857] = {.lex_state = 0},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 244},
  [7860] = {.lex_state = 206},
  [7861] = {.lex_state = 206},
  [7862] = {.lex_state = 387},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 0},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 206},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 0},
  [7871] = {.lex_state = 118},
  [7872] = {.lex_state = 244},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 206},
  [7875] = {.lex_state = 0},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 0},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 244},
  [7883] = {.lex_state = 244},
  [7884] = {.lex_state = 244},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 0},
  [7887] = {.lex_state = 203},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 0},
  [7892] = {.lex_state = 189},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 206},
  [7895] = {.lex_state = 387},
  [7896] = {.lex_state = 206},
  [7897] = {.lex_state = 206},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 206},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 387},
  [7908] = {.lex_state = 121},
  [7909] = {.lex_state = 387},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 203},
  [7912] = {.lex_state = 118},
  [7913] = {.lex_state = 121},
  [7914] = {.lex_state = 244},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 244},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 387},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 206},
  [7921] = {.lex_state = 206},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 244},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 244},
  [7928] = {.lex_state = 244},
  [7929] = {.lex_state = 244},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 0},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 265},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 387},
  [7937] = {.lex_state = 0},
  [7938] = {.lex_state = 244},
  [7939] = {.lex_state = 118},
  [7940] = {.lex_state = 387},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 387},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 206},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 121},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 206},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 244},
  [7975] = {.lex_state = 206},
  [7976] = {.lex_state = 206},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 206},
  [7979] = {.lex_state = 206},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 206},
  [7982] = {.lex_state = 206},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 387},
  [7988] = {.lex_state = 244},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 118},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 244},
  [7995] = {.lex_state = 206},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 206},
  [8002] = {.lex_state = 244},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 206},
  [8006] = {.lex_state = 244},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 244},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 244},
  [8013] = {.lex_state = 206},
  [8014] = {.lex_state = 118},
  [8015] = {.lex_state = 206},
  [8016] = {.lex_state = 244},
  [8017] = {.lex_state = 0},
  [8018] = {.lex_state = 121},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 206},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 206},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 206},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 387},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 387},
  [8034] = {.lex_state = 206},
  [8035] = {.lex_state = 244},
  [8036] = {.lex_state = 206},
  [8037] = {.lex_state = 244},
  [8038] = {.lex_state = 244},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 0},
  [8042] = {.lex_state = 206},
  [8043] = {.lex_state = 206},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 244},
  [8047] = {.lex_state = 118},
  [8048] = {.lex_state = 206},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 0},
  [8055] = {.lex_state = 206},
  [8056] = {.lex_state = 206},
  [8057] = {.lex_state = 118},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 244},
  [8060] = {.lex_state = 387},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 118},
  [8065] = {.lex_state = 387},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 244},
  [8068] = {.lex_state = 118},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 244},
  [8071] = {.lex_state = 244},
  [8072] = {.lex_state = 0},
  [8073] = {.lex_state = 244},
  [8074] = {.lex_state = 118},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 244},
  [8086] = {.lex_state = 244},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 244},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 387},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 244},
  [8093] = {.lex_state = 118},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 387},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 244},
  [8106] = {.lex_state = 387},
  [8107] = {.lex_state = 0},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 206},
  [8123] = {.lex_state = 206},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 244},
  [8126] = {.lex_state = 206},
  [8127] = {.lex_state = 206},
  [8128] = {.lex_state = 206},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 206},
  [8131] = {.lex_state = 206},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 244},
  [8135] = {.lex_state = 244},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 0},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 0},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 244},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 244},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 206},
  [8153] = {.lex_state = 206},
  [8154] = {.lex_state = 244},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 206},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 0},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 244},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 244},
  [8173] = {.lex_state = 206},
  [8174] = {.lex_state = 244},
  [8175] = {.lex_state = 244},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 387},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 387},
  [8184] = {.lex_state = 0},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 0},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 387},
  [8193] = {.lex_state = 387},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 0},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 244},
  [8202] = {.lex_state = 244},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 120},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 244},
  [8209] = {.lex_state = 387},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 387},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 244},
  [8214] = {.lex_state = 387},
  [8215] = {.lex_state = 387},
  [8216] = {.lex_state = 120},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 120},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 387},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 387},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 244},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 387},
  [8230] = {.lex_state = 387},
  [8231] = {.lex_state = 120},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 387},
  [8234] = {.lex_state = 387},
  [8235] = {.lex_state = 387},
  [8236] = {.lex_state = 387},
  [8237] = {.lex_state = 120},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 120},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 387},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 387},
  [8245] = {.lex_state = 0},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 0},
  [8248] = {.lex_state = 387},
  [8249] = {.lex_state = 387},
  [8250] = {.lex_state = 0},
  [8251] = {.lex_state = 244},
  [8252] = {.lex_state = 120},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 387},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 244},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 387},
  [8261] = {.lex_state = 387},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 244},
  [8264] = {.lex_state = 244},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 387},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 244},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 387},
  [8271] = {.lex_state = 244},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 0},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 0},
  [8279] = {.lex_state = 0},
  [8280] = {.lex_state = 244},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 387},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 387},
  [8293] = {.lex_state = 387},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 244},
  [8296] = {.lex_state = 387},
  [8297] = {.lex_state = 120},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 387},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 0},
  [8302] = {.lex_state = 387},
  [8303] = {.lex_state = 120},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 387},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 0},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 244},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 387},
  [8315] = {.lex_state = 0},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 244},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 387},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 387},
  [8325] = {.lex_state = 387},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 387},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 0},
  [8333] = {.lex_state = 120},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 0},
  [8337] = {.lex_state = 387},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 244},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 244},
  [8342] = {.lex_state = 387},
  [8343] = {.lex_state = 244},
  [8344] = {.lex_state = 120},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 387},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 244},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 244},
  [8359] = {.lex_state = 387},
  [8360] = {.lex_state = 0},
  [8361] = {.lex_state = 120},
  [8362] = {.lex_state = 387},
  [8363] = {.lex_state = 0},
  [8364] = {.lex_state = 387},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 0},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 387},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 0},
  [8373] = {.lex_state = 387},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 387},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 387},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 120},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 244},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 387},
  [8392] = {.lex_state = 0},
  [8393] = {.lex_state = 0},
  [8394] = {.lex_state = 387},
  [8395] = {.lex_state = 120},
  [8396] = {.lex_state = 244},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 244},
  [8400] = {.lex_state = 120},
  [8401] = {.lex_state = 387},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 244},
  [8404] = {.lex_state = 387},
  [8405] = {.lex_state = 0},
  [8406] = {.lex_state = 244},
  [8407] = {.lex_state = 0},
  [8408] = {.lex_state = 387},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 387},
  [8413] = {.lex_state = 120},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 387},
  [8416] = {.lex_state = 387},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 244},
  [8419] = {.lex_state = 0},
  [8420] = {.lex_state = 0},
  [8421] = {.lex_state = 387},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 387},
  [8424] = {.lex_state = 387, .external_lex_state = 2},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 0},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 0},
  [8430] = {.lex_state = 387},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 0},
  [8434] = {.lex_state = 387},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 387},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 0},
  [8439] = {.lex_state = 0},
  [8440] = {.lex_state = 0},
  [8441] = {.lex_state = 244},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 0},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 244},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 244},
  [8452] = {.lex_state = 387, .external_lex_state = 2},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 387},
  [8455] = {.lex_state = 387},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 0},
  [8458] = {.lex_state = 0},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 387},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 387},
  [8465] = {.lex_state = 244},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 387},
  [8469] = {.lex_state = 387},
  [8470] = {.lex_state = 387},
  [8471] = {.lex_state = 387},
  [8472] = {.lex_state = 0},
  [8473] = {.lex_state = 387},
  [8474] = {.lex_state = 0},
  [8475] = {.lex_state = 244},
  [8476] = {.lex_state = 387, .external_lex_state = 2},
  [8477] = {.lex_state = 244},
  [8478] = {.lex_state = 387, .external_lex_state = 2},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 387},
  [8481] = {.lex_state = 387, .external_lex_state = 2},
  [8482] = {.lex_state = 387, .external_lex_state = 2},
  [8483] = {.lex_state = 387},
  [8484] = {.lex_state = 120},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 387},
  [8487] = {.lex_state = 0},
  [8488] = {.lex_state = 244},
  [8489] = {.lex_state = 244},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 0},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 387, .external_lex_state = 2},
  [8494] = {.lex_state = 244},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 387, .external_lex_state = 2},
  [8497] = {.lex_state = 0},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 387, .external_lex_state = 2},
  [8500] = {.lex_state = 387, .external_lex_state = 2},
  [8501] = {.lex_state = 387, .external_lex_state = 2},
  [8502] = {.lex_state = 387},
  [8503] = {.lex_state = 387},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 387, .external_lex_state = 2},
  [8506] = {.lex_state = 387, .external_lex_state = 2},
  [8507] = {.lex_state = 387, .external_lex_state = 2},
  [8508] = {.lex_state = 387, .external_lex_state = 2},
  [8509] = {.lex_state = 387},
  [8510] = {.lex_state = 244},
  [8511] = {.lex_state = 0},
  [8512] = {.lex_state = 387, .external_lex_state = 2},
  [8513] = {.lex_state = 0},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 387, .external_lex_state = 2},
  [8517] = {.lex_state = 244},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 387, .external_lex_state = 2},
  [8520] = {.lex_state = 387},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 387},
  [8523] = {.lex_state = 387},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 387},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 387, .external_lex_state = 2},
  [8530] = {.lex_state = 244},
  [8531] = {.lex_state = 244},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 244},
  [8535] = {.lex_state = 0},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 244},
  [8541] = {.lex_state = 387},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 387},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 387},
  [8546] = {.lex_state = 244},
  [8547] = {.lex_state = 120},
  [8548] = {.lex_state = 244},
  [8549] = {.lex_state = 244},
  [8550] = {.lex_state = 244},
  [8551] = {.lex_state = 387},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 244},
  [8554] = {.lex_state = 244},
  [8555] = {.lex_state = 387},
  [8556] = {.lex_state = 244},
  [8557] = {.lex_state = 244},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 244},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 120},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 244},
  [8565] = {.lex_state = 387},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 120},
  [8568] = {.lex_state = 387},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 387},
  [8571] = {.lex_state = 387},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 0},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 120},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 387},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 0},
  [8582] = {.lex_state = 200},
  [8583] = {.lex_state = 121},
  [8584] = {.lex_state = 387},
  [8585] = {.lex_state = 387},
  [8586] = {.lex_state = 0, .external_lex_state = 3},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 387},
  [8589] = {.lex_state = 244},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 244},
  [8593] = {.lex_state = 244},
  [8594] = {.lex_state = 0},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 387},
  [8597] = {.lex_state = 0},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 244},
  [8602] = {.lex_state = 244},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 0},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 0, .external_lex_state = 2},
  [8611] = {.lex_state = 121},
  [8612] = {.lex_state = 121},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 206},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 387},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 0},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 244},
  [8628] = {.lex_state = 244},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 244},
  [8631] = {.lex_state = 244},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 244},
  [8634] = {.lex_state = 206},
  [8635] = {.lex_state = 200},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 244},
  [8638] = {.lex_state = 244},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 0},
  [8641] = {.lex_state = 244},
  [8642] = {.lex_state = 0},
  [8643] = {.lex_state = 0},
  [8644] = {.lex_state = 244},
  [8645] = {.lex_state = 387},
  [8646] = {.lex_state = 0},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 244},
  [8649] = {.lex_state = 0},
  [8650] = {.lex_state = 200},
  [8651] = {.lex_state = 200},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 0},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 0},
  [8657] = {.lex_state = 198},
  [8658] = {.lex_state = 121},
  [8659] = {.lex_state = 0},
  [8660] = {.lex_state = 200},
  [8661] = {.lex_state = 200},
  [8662] = {.lex_state = 200},
  [8663] = {.lex_state = 387},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 387},
  [8666] = {.lex_state = 0},
  [8667] = {.lex_state = 200},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 244},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 0},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 244},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 0},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 0},
  [8682] = {.lex_state = 0},
  [8683] = {.lex_state = 0},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 200},
  [8688] = {.lex_state = 244},
  [8689] = {.lex_state = 244},
  [8690] = {.lex_state = 244},
  [8691] = {.lex_state = 244},
  [8692] = {.lex_state = 200},
  [8693] = {.lex_state = 244},
  [8694] = {.lex_state = 244},
  [8695] = {.lex_state = 0},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 0},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 0},
  [8701] = {.lex_state = 0, .external_lex_state = 2},
  [8702] = {.lex_state = 0},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 0},
  [8705] = {.lex_state = 282},
  [8706] = {.lex_state = 200},
  [8707] = {.lex_state = 0},
  [8708] = {.lex_state = 200},
  [8709] = {.lex_state = 200},
  [8710] = {.lex_state = 244},
  [8711] = {.lex_state = 244},
  [8712] = {.lex_state = 121},
  [8713] = {.lex_state = 200},
  [8714] = {.lex_state = 0},
  [8715] = {.lex_state = 0},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 0},
  [8718] = {.lex_state = 244},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 244},
  [8721] = {.lex_state = 200},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 387},
  [8728] = {.lex_state = 0},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 0},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 0},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 0},
  [8735] = {.lex_state = 198},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 0},
  [8738] = {.lex_state = 0},
  [8739] = {.lex_state = 0},
  [8740] = {.lex_state = 0},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 387},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 0},
  [8750] = {.lex_state = 387},
  [8751] = {.lex_state = 0},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 244},
  [8755] = {.lex_state = 206},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 0},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 387},
  [8760] = {.lex_state = 202},
  [8761] = {.lex_state = 0},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 206},
  [8764] = {.lex_state = 0},
  [8765] = {.lex_state = 198},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 244},
  [8770] = {.lex_state = 387},
  [8771] = {.lex_state = 198},
  [8772] = {.lex_state = 0},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 0, .external_lex_state = 2},
  [8775] = {.lex_state = 244},
  [8776] = {.lex_state = 244},
  [8777] = {.lex_state = 0},
  [8778] = {.lex_state = 200},
  [8779] = {.lex_state = 201},
  [8780] = {.lex_state = 387},
  [8781] = {.lex_state = 244},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 121},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 200},
  [8787] = {.lex_state = 387},
  [8788] = {.lex_state = 121},
  [8789] = {.lex_state = 121},
  [8790] = {.lex_state = 244},
  [8791] = {.lex_state = 200},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 387},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 0},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 387},
  [8798] = {.lex_state = 198},
  [8799] = {.lex_state = 244},
  [8800] = {.lex_state = 387},
  [8801] = {.lex_state = 0},
  [8802] = {.lex_state = 0},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 0},
  [8805] = {.lex_state = 0},
  [8806] = {.lex_state = 387},
  [8807] = {.lex_state = 244},
  [8808] = {.lex_state = 387},
  [8809] = {.lex_state = 387},
  [8810] = {.lex_state = 252},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 244},
  [8813] = {.lex_state = 0},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 0},
  [8816] = {.lex_state = 244},
  [8817] = {.lex_state = 0},
  [8818] = {.lex_state = 0},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 244},
  [8822] = {.lex_state = 0},
  [8823] = {.lex_state = 387},
  [8824] = {.lex_state = 0},
  [8825] = {.lex_state = 121},
  [8826] = {.lex_state = 0, .external_lex_state = 2},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 244},
  [8829] = {.lex_state = 200},
  [8830] = {.lex_state = 0},
  [8831] = {.lex_state = 0, .external_lex_state = 2},
  [8832] = {.lex_state = 0},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 244},
  [8835] = {.lex_state = 0},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 200},
  [8838] = {.lex_state = 0},
  [8839] = {.lex_state = 0},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 387},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 0},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 0},
  [8848] = {.lex_state = 121},
  [8849] = {.lex_state = 244},
  [8850] = {.lex_state = 244},
  [8851] = {.lex_state = 0},
  [8852] = {.lex_state = 387},
  [8853] = {.lex_state = 121},
  [8854] = {.lex_state = 121},
  [8855] = {.lex_state = 0},
  [8856] = {.lex_state = 121},
  [8857] = {.lex_state = 0},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 0},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 0},
  [8862] = {.lex_state = 244},
  [8863] = {.lex_state = 244},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 0},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 121},
  [8868] = {.lex_state = 0, .external_lex_state = 2},
  [8869] = {.lex_state = 200},
  [8870] = {.lex_state = 244},
  [8871] = {.lex_state = 200},
  [8872] = {.lex_state = 0},
  [8873] = {.lex_state = 0},
  [8874] = {.lex_state = 206},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 0},
  [8877] = {.lex_state = 0},
  [8878] = {.lex_state = 0},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 0},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 0},
  [8883] = {.lex_state = 244},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 387},
  [8886] = {.lex_state = 0},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 0},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 244},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 0},
  [8894] = {.lex_state = 0},
  [8895] = {.lex_state = 0},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 0},
  [8898] = {.lex_state = 0},
  [8899] = {.lex_state = 0},
  [8900] = {.lex_state = 0},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 0},
  [8903] = {.lex_state = 0},
  [8904] = {.lex_state = 244},
  [8905] = {.lex_state = 0},
  [8906] = {.lex_state = 0},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 244},
  [8909] = {.lex_state = 0, .external_lex_state = 2},
  [8910] = {.lex_state = 244},
  [8911] = {.lex_state = 244},
  [8912] = {.lex_state = 200},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 387},
  [8915] = {.lex_state = 244},
  [8916] = {.lex_state = 0},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 0},
  [8922] = {.lex_state = 0},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 387},
  [8925] = {.lex_state = 387},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 0},
  [8929] = {.lex_state = 0},
  [8930] = {.lex_state = 121},
  [8931] = {.lex_state = 0},
  [8932] = {.lex_state = 200},
  [8933] = {.lex_state = 121},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 387},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 0},
  [8938] = {.lex_state = 206},
  [8939] = {.lex_state = 0},
  [8940] = {.lex_state = 0},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 0},
  [8944] = {.lex_state = 0, .external_lex_state = 2},
  [8945] = {.lex_state = 0},
  [8946] = {.lex_state = 121},
  [8947] = {.lex_state = 200},
  [8948] = {.lex_state = 244},
  [8949] = {.lex_state = 200},
  [8950] = {.lex_state = 387},
  [8951] = {.lex_state = 0},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 0},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 0},
  [8957] = {.lex_state = 0, .external_lex_state = 2},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 0},
  [8960] = {.lex_state = 244},
  [8961] = {.lex_state = 200},
  [8962] = {.lex_state = 387},
  [8963] = {.lex_state = 0},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 0},
  [8966] = {.lex_state = 200},
  [8967] = {.lex_state = 0, .external_lex_state = 2},
  [8968] = {.lex_state = 244},
  [8969] = {.lex_state = 244},
  [8970] = {.lex_state = 0},
  [8971] = {.lex_state = 387},
  [8972] = {.lex_state = 0},
  [8973] = {.lex_state = 0, .external_lex_state = 2},
  [8974] = {.lex_state = 0},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 0, .external_lex_state = 2},
  [8977] = {.lex_state = 244},
  [8978] = {.lex_state = 0},
  [8979] = {.lex_state = 0, .external_lex_state = 2},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 0, .external_lex_state = 2},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 0, .external_lex_state = 2},
  [8984] = {.lex_state = 0},
  [8985] = {.lex_state = 0, .external_lex_state = 2},
  [8986] = {.lex_state = 0},
  [8987] = {.lex_state = 0, .external_lex_state = 2},
  [8988] = {.lex_state = 0},
  [8989] = {.lex_state = 0, .external_lex_state = 2},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 387},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 387},
  [8994] = {.lex_state = 121},
  [8995] = {.lex_state = 387},
  [8996] = {.lex_state = 387},
  [8997] = {.lex_state = 0},
  [8998] = {.lex_state = 0},
  [8999] = {.lex_state = 387},
  [9000] = {.lex_state = 0},
  [9001] = {.lex_state = 387},
  [9002] = {.lex_state = 387},
  [9003] = {.lex_state = 0},
  [9004] = {.lex_state = 244},
  [9005] = {.lex_state = 0},
  [9006] = {.lex_state = 244},
  [9007] = {.lex_state = 0},
  [9008] = {.lex_state = 244},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 0},
  [9011] = {.lex_state = 0},
  [9012] = {.lex_state = 244},
  [9013] = {.lex_state = 244},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 0},
  [9016] = {.lex_state = 0},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 244},
  [9019] = {.lex_state = 0},
  [9020] = {.lex_state = 387},
  [9021] = {.lex_state = 244},
  [9022] = {.lex_state = 0},
  [9023] = {.lex_state = 200},
  [9024] = {.lex_state = 0},
  [9025] = {.lex_state = 387},
  [9026] = {.lex_state = 0, .external_lex_state = 3},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 0},
  [9030] = {.lex_state = 387},
  [9031] = {.lex_state = 206},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 244},
  [9035] = {.lex_state = 121},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 0},
  [9038] = {.lex_state = 0},
  [9039] = {.lex_state = 200},
  [9040] = {.lex_state = 244},
  [9041] = {.lex_state = 0},
  [9042] = {.lex_state = 0},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 200},
  [9045] = {.lex_state = 0},
  [9046] = {.lex_state = 121},
  [9047] = {.lex_state = 0},
  [9048] = {.lex_state = 0},
  [9049] = {.lex_state = 244},
  [9050] = {.lex_state = 0},
  [9051] = {.lex_state = 0},
  [9052] = {.lex_state = 0},
  [9053] = {.lex_state = 0},
  [9054] = {.lex_state = 0},
  [9055] = {.lex_state = 0},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 0},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 0},
  [9060] = {.lex_state = 0},
  [9061] = {.lex_state = 0},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 206},
  [9064] = {.lex_state = 387},
  [9065] = {.lex_state = 0},
  [9066] = {.lex_state = 0},
  [9067] = {.lex_state = 0},
  [9068] = {.lex_state = 0},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 0},
  [9074] = {.lex_state = 0},
  [9075] = {.lex_state = 0},
  [9076] = {.lex_state = 244},
  [9077] = {.lex_state = 0},
  [9078] = {.lex_state = 387},
  [9079] = {.lex_state = 121},
  [9080] = {.lex_state = 0},
  [9081] = {.lex_state = 0},
  [9082] = {.lex_state = 0},
  [9083] = {.lex_state = 0},
  [9084] = {.lex_state = 0},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 0},
  [9088] = {.lex_state = 244},
  [9089] = {.lex_state = 200},
  [9090] = {.lex_state = 200},
  [9091] = {.lex_state = 121},
  [9092] = {.lex_state = 0},
  [9093] = {.lex_state = 244},
  [9094] = {.lex_state = 0},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 0},
  [9097] = {.lex_state = 0},
  [9098] = {.lex_state = 121},
  [9099] = {.lex_state = 200},
  [9100] = {.lex_state = 0},
  [9101] = {.lex_state = 121},
  [9102] = {.lex_state = 0, .external_lex_state = 3},
  [9103] = {.lex_state = 387},
  [9104] = {.lex_state = 0},
  [9105] = {.lex_state = 0},
  [9106] = {.lex_state = 0},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 0},
  [9109] = {.lex_state = 0},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 0},
  [9113] = {.lex_state = 0},
  [9114] = {.lex_state = 244},
  [9115] = {.lex_state = 244},
  [9116] = {.lex_state = 200},
  [9117] = {.lex_state = 0},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 200},
  [9120] = {.lex_state = 0},
  [9121] = {.lex_state = 0},
  [9122] = {.lex_state = 244},
  [9123] = {.lex_state = 0},
  [9124] = {.lex_state = 0},
  [9125] = {.lex_state = 244},
  [9126] = {.lex_state = 121},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 244},
  [9129] = {.lex_state = 244},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 0},
  [9132] = {.lex_state = 0},
  [9133] = {.lex_state = 0},
  [9134] = {.lex_state = 0},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 200},
  [9137] = {.lex_state = 0},
  [9138] = {.lex_state = 121},
  [9139] = {.lex_state = 0},
  [9140] = {.lex_state = 0},
  [9141] = {.lex_state = 244},
  [9142] = {.lex_state = 0},
  [9143] = {.lex_state = 0},
  [9144] = {.lex_state = 121},
  [9145] = {.lex_state = 0},
  [9146] = {.lex_state = 0},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 0},
  [9149] = {.lex_state = 0},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 0},
  [9152] = {.lex_state = 0},
  [9153] = {.lex_state = 0},
  [9154] = {.lex_state = 0},
  [9155] = {.lex_state = 206},
  [9156] = {.lex_state = 0},
  [9157] = {.lex_state = 0},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 0},
  [9160] = {.lex_state = 0},
  [9161] = {.lex_state = 0},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 0},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 0},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 206},
  [9168] = {.lex_state = 244},
  [9169] = {.lex_state = 387},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 387},
  [9172] = {.lex_state = 387},
  [9173] = {.lex_state = 387},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 387},
  [9176] = {.lex_state = 0},
  [9177] = {.lex_state = 0},
  [9178] = {.lex_state = 0},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 244},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 387},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 387},
  [9187] = {.lex_state = 0, .external_lex_state = 3},
  [9188] = {.lex_state = 387},
  [9189] = {.lex_state = 0},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 0},
  [9193] = {.lex_state = 0},
  [9194] = {.lex_state = 0},
  [9195] = {.lex_state = 0},
  [9196] = {.lex_state = 206},
  [9197] = {.lex_state = 0},
  [9198] = {.lex_state = 0, .external_lex_state = 2},
  [9199] = {.lex_state = 387},
  [9200] = {.lex_state = 387},
  [9201] = {.lex_state = 0},
  [9202] = {.lex_state = 387},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 244},
  [9206] = {.lex_state = 0},
  [9207] = {.lex_state = 387},
  [9208] = {.lex_state = 121},
  [9209] = {.lex_state = 121},
  [9210] = {.lex_state = 387},
  [9211] = {.lex_state = 0, .external_lex_state = 3},
  [9212] = {.lex_state = 244},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 244},
  [9215] = {.lex_state = 0},
  [9216] = {.lex_state = 0},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 206},
  [9219] = {.lex_state = 0},
  [9220] = {.lex_state = 0},
  [9221] = {.lex_state = 387},
  [9222] = {.lex_state = 387},
  [9223] = {.lex_state = 0},
  [9224] = {.lex_state = 387},
  [9225] = {.lex_state = 0},
  [9226] = {.lex_state = 0},
  [9227] = {.lex_state = 244},
  [9228] = {.lex_state = 121},
  [9229] = {.lex_state = 387},
  [9230] = {.lex_state = 0},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 387},
  [9233] = {.lex_state = 0, .external_lex_state = 3},
  [9234] = {.lex_state = 0},
  [9235] = {.lex_state = 0},
  [9236] = {.lex_state = 0},
  [9237] = {.lex_state = 200},
  [9238] = {.lex_state = 0},
  [9239] = {.lex_state = 206},
  [9240] = {.lex_state = 200},
  [9241] = {.lex_state = 387},
  [9242] = {.lex_state = 387},
  [9243] = {.lex_state = 0},
  [9244] = {.lex_state = 387},
  [9245] = {.lex_state = 244},
  [9246] = {.lex_state = 121},
  [9247] = {.lex_state = 244},
  [9248] = {.lex_state = 387},
  [9249] = {.lex_state = 200},
  [9250] = {.lex_state = 200},
  [9251] = {.lex_state = 387},
  [9252] = {.lex_state = 0, .external_lex_state = 3},
  [9253] = {.lex_state = 0},
  [9254] = {.lex_state = 0},
  [9255] = {.lex_state = 244},
  [9256] = {.lex_state = 200},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 206},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 387},
  [9261] = {.lex_state = 387},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 387},
  [9264] = {.lex_state = 244},
  [9265] = {.lex_state = 200},
  [9266] = {.lex_state = 387},
  [9267] = {.lex_state = 200},
  [9268] = {.lex_state = 0},
  [9269] = {.lex_state = 387},
  [9270] = {.lex_state = 0, .external_lex_state = 3},
  [9271] = {.lex_state = 0},
  [9272] = {.lex_state = 200},
  [9273] = {.lex_state = 0},
  [9274] = {.lex_state = 0},
  [9275] = {.lex_state = 0},
  [9276] = {.lex_state = 206},
  [9277] = {.lex_state = 0},
  [9278] = {.lex_state = 387},
  [9279] = {.lex_state = 387},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 387},
  [9282] = {.lex_state = 121},
  [9283] = {.lex_state = 0},
  [9284] = {.lex_state = 387},
  [9285] = {.lex_state = 0},
  [9286] = {.lex_state = 0},
  [9287] = {.lex_state = 387},
  [9288] = {.lex_state = 0, .external_lex_state = 3},
  [9289] = {.lex_state = 0},
  [9290] = {.lex_state = 0},
  [9291] = {.lex_state = 0},
  [9292] = {.lex_state = 0},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 206},
  [9295] = {.lex_state = 0},
  [9296] = {.lex_state = 387},
  [9297] = {.lex_state = 0},
  [9298] = {.lex_state = 387},
  [9299] = {.lex_state = 0},
  [9300] = {.lex_state = 244},
  [9301] = {.lex_state = 244},
  [9302] = {.lex_state = 0},
  [9303] = {.lex_state = 387},
  [9304] = {.lex_state = 0, .external_lex_state = 3},
  [9305] = {.lex_state = 387},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 0},
  [9308] = {.lex_state = 0},
  [9309] = {.lex_state = 0},
  [9310] = {.lex_state = 387},
  [9311] = {.lex_state = 387},
  [9312] = {.lex_state = 0},
  [9313] = {.lex_state = 0, .external_lex_state = 3},
  [9314] = {.lex_state = 0},
  [9315] = {.lex_state = 0},
  [9316] = {.lex_state = 0},
  [9317] = {.lex_state = 0},
  [9318] = {.lex_state = 387},
  [9319] = {.lex_state = 387},
  [9320] = {.lex_state = 0},
  [9321] = {.lex_state = 0, .external_lex_state = 3},
  [9322] = {.lex_state = 200},
  [9323] = {.lex_state = 0},
  [9324] = {.lex_state = 387},
  [9325] = {.lex_state = 387},
  [9326] = {.lex_state = 0, .external_lex_state = 3},
  [9327] = {.lex_state = 0},
  [9328] = {.lex_state = 0, .external_lex_state = 3},
  [9329] = {.lex_state = 0},
  [9330] = {.lex_state = 0, .external_lex_state = 3},
  [9331] = {.lex_state = 0},
  [9332] = {.lex_state = 0, .external_lex_state = 3},
  [9333] = {.lex_state = 0},
  [9334] = {.lex_state = 0, .external_lex_state = 3},
  [9335] = {.lex_state = 0},
  [9336] = {.lex_state = 0, .external_lex_state = 3},
  [9337] = {.lex_state = 0},
  [9338] = {.lex_state = 0, .external_lex_state = 3},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 0, .external_lex_state = 3},
  [9341] = {.lex_state = 0},
  [9342] = {.lex_state = 0},
  [9343] = {.lex_state = 0},
  [9344] = {.lex_state = 387},
  [9345] = {.lex_state = 387},
  [9346] = {.lex_state = 244},
  [9347] = {.lex_state = 0},
  [9348] = {.lex_state = 200},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 200},
  [9351] = {.lex_state = 200},
  [9352] = {.lex_state = 0},
  [9353] = {.lex_state = 200},
  [9354] = {.lex_state = 0},
  [9355] = {.lex_state = 200},
  [9356] = {.lex_state = 200},
  [9357] = {.lex_state = 0},
  [9358] = {.lex_state = 0},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 0},
  [9361] = {.lex_state = 244},
  [9362] = {.lex_state = 0, .external_lex_state = 3},
  [9363] = {.lex_state = 0},
  [9364] = {.lex_state = 0},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 0},
  [9367] = {.lex_state = 0},
  [9368] = {.lex_state = 0},
  [9369] = {.lex_state = 121},
  [9370] = {.lex_state = 244},
  [9371] = {.lex_state = 0},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 0},
  [9374] = {.lex_state = 0},
  [9375] = {.lex_state = 387},
  [9376] = {.lex_state = 0},
  [9377] = {.lex_state = 0},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 0},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 0},
  [9382] = {.lex_state = 244},
  [9383] = {.lex_state = 387},
  [9384] = {.lex_state = 0},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 0},
  [9387] = {.lex_state = 0},
  [9388] = {.lex_state = 0},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 0},
  [9391] = {.lex_state = 0},
  [9392] = {.lex_state = 387},
  [9393] = {.lex_state = 387},
  [9394] = {.lex_state = 200},
  [9395] = {.lex_state = 200},
  [9396] = {.lex_state = 0},
  [9397] = {.lex_state = 200},
  [9398] = {.lex_state = 200},
  [9399] = {.lex_state = 387},
  [9400] = {.lex_state = 387},
  [9401] = {.lex_state = 387},
  [9402] = {.lex_state = 244},
  [9403] = {.lex_state = 0},
  [9404] = {.lex_state = 0},
  [9405] = {.lex_state = 387},
  [9406] = {.lex_state = 206},
  [9407] = {.lex_state = 206},
  [9408] = {.lex_state = 0},
  [9409] = {.lex_state = 200},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 200},
  [9412] = {.lex_state = 244},
  [9413] = {.lex_state = 0},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 121},
  [9416] = {.lex_state = 0},
  [9417] = {.lex_state = 0},
  [9418] = {.lex_state = 0},
  [9419] = {.lex_state = 387},
  [9420] = {.lex_state = 0},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 387},
  [9423] = {.lex_state = 387},
  [9424] = {.lex_state = 244},
  [9425] = {.lex_state = 0},
  [9426] = {.lex_state = 387},
  [9427] = {.lex_state = 0},
  [9428] = {.lex_state = 244},
  [9429] = {.lex_state = 0, .external_lex_state = 3},
  [9430] = {.lex_state = 206},
  [9431] = {.lex_state = 0},
  [9432] = {.lex_state = 0},
  [9433] = {.lex_state = 387},
  [9434] = {.lex_state = 387},
  [9435] = {.lex_state = 244},
  [9436] = {.lex_state = 0},
  [9437] = {.lex_state = 200},
  [9438] = {.lex_state = 244},
  [9439] = {.lex_state = 0, .external_lex_state = 3},
  [9440] = {.lex_state = 200},
  [9441] = {.lex_state = 200},
  [9442] = {.lex_state = 0},
  [9443] = {.lex_state = 387},
  [9444] = {.lex_state = 387},
  [9445] = {.lex_state = 244},
  [9446] = {.lex_state = 244},
  [9447] = {.lex_state = 206},
  [9448] = {.lex_state = 244},
  [9449] = {.lex_state = 0, .external_lex_state = 3},
  [9450] = {.lex_state = 0},
  [9451] = {.lex_state = 244},
  [9452] = {.lex_state = 387},
  [9453] = {.lex_state = 387},
  [9454] = {.lex_state = 244},
  [9455] = {.lex_state = 0},
  [9456] = {.lex_state = 387},
  [9457] = {.lex_state = 244},
  [9458] = {.lex_state = 0, .external_lex_state = 3},
  [9459] = {.lex_state = 0},
  [9460] = {.lex_state = 244},
  [9461] = {.lex_state = 387},
  [9462] = {.lex_state = 244},
  [9463] = {.lex_state = 0},
  [9464] = {.lex_state = 244},
  [9465] = {.lex_state = 244},
  [9466] = {.lex_state = 0, .external_lex_state = 3},
  [9467] = {.lex_state = 121},
  [9468] = {.lex_state = 0},
  [9469] = {.lex_state = 387},
  [9470] = {.lex_state = 244},
  [9471] = {.lex_state = 0},
  [9472] = {.lex_state = 0},
  [9473] = {.lex_state = 244},
  [9474] = {.lex_state = 0, .external_lex_state = 3},
  [9475] = {.lex_state = 0},
  [9476] = {.lex_state = 0},
  [9477] = {.lex_state = 387},
  [9478] = {.lex_state = 244},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 244},
  [9481] = {.lex_state = 0, .external_lex_state = 3},
  [9482] = {.lex_state = 121},
  [9483] = {.lex_state = 0},
  [9484] = {.lex_state = 244},
  [9485] = {.lex_state = 0, .external_lex_state = 3},
  [9486] = {.lex_state = 121},
  [9487] = {.lex_state = 0},
  [9488] = {.lex_state = 0, .external_lex_state = 3},
  [9489] = {.lex_state = 0},
  [9490] = {.lex_state = 0, .external_lex_state = 3},
  [9491] = {.lex_state = 0},
  [9492] = {.lex_state = 0, .external_lex_state = 3},
  [9493] = {.lex_state = 0},
  [9494] = {.lex_state = 0, .external_lex_state = 3},
  [9495] = {.lex_state = 244},
  [9496] = {.lex_state = 0, .external_lex_state = 3},
  [9497] = {.lex_state = 0},
  [9498] = {.lex_state = 0, .external_lex_state = 3},
  [9499] = {.lex_state = 0},
  [9500] = {.lex_state = 0, .external_lex_state = 3},
  [9501] = {.lex_state = 0},
  [9502] = {.lex_state = 0, .external_lex_state = 3},
  [9503] = {.lex_state = 0},
  [9504] = {.lex_state = 0, .external_lex_state = 3},
  [9505] = {.lex_state = 387},
  [9506] = {.lex_state = 387},
  [9507] = {.lex_state = 0},
  [9508] = {.lex_state = 387},
  [9509] = {.lex_state = 387},
  [9510] = {.lex_state = 0},
  [9511] = {.lex_state = 387},
  [9512] = {.lex_state = 387},
  [9513] = {.lex_state = 121},
  [9514] = {.lex_state = 387},
  [9515] = {.lex_state = 387},
  [9516] = {.lex_state = 244},
  [9517] = {.lex_state = 387},
  [9518] = {.lex_state = 387},
  [9519] = {.lex_state = 244},
  [9520] = {.lex_state = 387},
  [9521] = {.lex_state = 387},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 387},
  [9524] = {.lex_state = 387},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 387},
  [9527] = {.lex_state = 387},
  [9528] = {.lex_state = 387},
  [9529] = {.lex_state = 387},
  [9530] = {.lex_state = 387},
  [9531] = {.lex_state = 387},
  [9532] = {.lex_state = 387},
  [9533] = {.lex_state = 387},
  [9534] = {.lex_state = 387},
  [9535] = {.lex_state = 387},
  [9536] = {.lex_state = 387},
  [9537] = {.lex_state = 0},
  [9538] = {.lex_state = 0},
  [9539] = {.lex_state = 0},
  [9540] = {.lex_state = 0},
  [9541] = {.lex_state = 244},
  [9542] = {.lex_state = 0},
  [9543] = {.lex_state = 244},
  [9544] = {.lex_state = 387},
  [9545] = {.lex_state = 387},
  [9546] = {.lex_state = 387},
  [9547] = {.lex_state = 387},
  [9548] = {.lex_state = 387},
  [9549] = {.lex_state = 387},
  [9550] = {.lex_state = 387},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9378),
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2323),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6992),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4196),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5393),
    [sym__expression_not_binary] = STATE(5460),
    [sym__string] = STATE(5460),
    [sym_conditional_expression] = STATE(5460),
    [sym_assignment_expression] = STATE(5460),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(5460),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(5460),
    [sym_cast_expression] = STATE(5460),
    [sym_sizeof_expression] = STATE(5460),
    [sym_alignof_expression] = STATE(5460),
    [sym_offsetof_expression] = STATE(5460),
    [sym_generic_expression] = STATE(5460),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(5460),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(5460),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(5460),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2075),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7293),
    [sym__constructor_specifiers] = STATE(2075),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(5460),
    [sym_new_expression] = STATE(5460),
    [sym_delete_expression] = STATE(5460),
    [sym_requires_clause] = STATE(5460),
    [sym_requires_expression] = STATE(5460),
    [sym_lambda_expression] = STATE(5460),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(5460),
    [sym_parameter_pack_expansion] = STATE(5460),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7293),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [2] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_case_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(83),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(83),
    [sym_template_instantiation] = STATE(83),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(83),
    [sym_operator_cast_declaration] = STATE(83),
    [sym_constructor_or_destructor_definition] = STATE(83),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(83),
    [sym_namespace_alias_definition] = STATE(83),
    [sym_using_declaration] = STATE(83),
    [sym_alias_declaration] = STATE(83),
    [sym_static_assert_declaration] = STATE(83),
    [sym_concept_definition] = STATE(83),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(83),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [3] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_case_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(83),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(83),
    [sym_template_instantiation] = STATE(83),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(83),
    [sym_operator_cast_declaration] = STATE(83),
    [sym_constructor_or_destructor_definition] = STATE(83),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(83),
    [sym_namespace_alias_definition] = STATE(83),
    [sym_using_declaration] = STATE(83),
    [sym_alias_declaration] = STATE(83),
    [sym_static_assert_declaration] = STATE(83),
    [sym_concept_definition] = STATE(83),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(83),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [4] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [5] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [6] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [7] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [8] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [9] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [10] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [11] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [12] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [13] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [14] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [15] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [16] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8871),
    [sym_preproc_elif] = STATE(8871),
    [sym_preproc_elifdef] = STATE(8871),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [17] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8778),
    [sym_preproc_elif] = STATE(8778),
    [sym_preproc_elifdef] = STATE(8778),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [18] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(8829),
    [sym_preproc_elif] = STATE(8829),
    [sym_preproc_elifdef] = STATE(8829),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(16),
    [sym_co_return_statement] = STATE(16),
    [sym_co_yield_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [19] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(8582),
    [sym_preproc_elif] = STATE(8582),
    [sym_preproc_elifdef] = STATE(8582),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(23),
    [sym_co_return_statement] = STATE(23),
    [sym_co_yield_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [20] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(9023),
    [sym_preproc_elif] = STATE(9023),
    [sym_preproc_elifdef] = STATE(9023),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(17),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(17),
    [sym_template_instantiation] = STATE(17),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(17),
    [sym_operator_cast_declaration] = STATE(17),
    [sym_constructor_or_destructor_definition] = STATE(17),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(17),
    [sym_namespace_alias_definition] = STATE(17),
    [sym_using_declaration] = STATE(17),
    [sym_alias_declaration] = STATE(17),
    [sym_static_assert_declaration] = STATE(17),
    [sym_concept_definition] = STATE(17),
    [sym_for_range_loop] = STATE(17),
    [sym_co_return_statement] = STATE(17),
    [sym_co_yield_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [21] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(8786),
    [sym_preproc_elif] = STATE(8786),
    [sym_preproc_elifdef] = STATE(8786),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(24),
    [sym_co_return_statement] = STATE(24),
    [sym_co_yield_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [22] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(9099),
    [sym_preproc_elif] = STATE(9099),
    [sym_preproc_elifdef] = STATE(9099),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(25),
    [sym_co_return_statement] = STATE(25),
    [sym_co_yield_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [23] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8662),
    [sym_preproc_elif] = STATE(8662),
    [sym_preproc_elifdef] = STATE(8662),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [24] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(8708),
    [sym_preproc_elif] = STATE(8708),
    [sym_preproc_elifdef] = STATE(8708),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [25] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(9039),
    [sym_preproc_elif] = STATE(9039),
    [sym_preproc_elifdef] = STATE(9039),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [26] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9240),
    [sym_preproc_elif] = STATE(9240),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [27] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8667),
    [sym_preproc_elif] = STATE(8667),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [28] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(9044),
    [sym_preproc_elif] = STATE(9044),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [29] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8687),
    [sym_preproc_elif] = STATE(8687),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [30] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_preproc_else] = STATE(9237),
    [sym_preproc_elif] = STATE(9237),
    [sym_function_definition] = STATE(35),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(35),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(35),
    [sym_labeled_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_switch_statement] = STATE(35),
    [sym_case_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym_seh_try_statement] = STATE(35),
    [sym_seh_leave_statement] = STATE(35),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(35),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(35),
    [sym_template_instantiation] = STATE(35),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(35),
    [sym_operator_cast_declaration] = STATE(35),
    [sym_constructor_or_destructor_definition] = STATE(35),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_alias_definition] = STATE(35),
    [sym_using_declaration] = STATE(35),
    [sym_alias_declaration] = STATE(35),
    [sym_static_assert_declaration] = STATE(35),
    [sym_concept_definition] = STATE(35),
    [sym_for_range_loop] = STATE(35),
    [sym_co_return_statement] = STATE(35),
    [sym_co_yield_statement] = STATE(35),
    [sym_throw_statement] = STATE(35),
    [sym_try_statement] = STATE(35),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [31] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8709),
    [sym_preproc_elif] = STATE(8709),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(27),
    [sym_co_return_statement] = STATE(27),
    [sym_co_yield_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [32] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(9090),
    [sym_preproc_elif] = STATE(9090),
    [sym_function_definition] = STATE(26),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(26),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(26),
    [sym_template_instantiation] = STATE(26),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(26),
    [sym_operator_cast_declaration] = STATE(26),
    [sym_constructor_or_destructor_definition] = STATE(26),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(26),
    [sym_namespace_alias_definition] = STATE(26),
    [sym_using_declaration] = STATE(26),
    [sym_alias_declaration] = STATE(26),
    [sym_static_assert_declaration] = STATE(26),
    [sym_concept_definition] = STATE(26),
    [sym_for_range_loop] = STATE(26),
    [sym_co_return_statement] = STATE(26),
    [sym_co_yield_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [33] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8912),
    [sym_preproc_elif] = STATE(8912),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [34] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2074),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2074),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2074),
    [sym_identifier] = ACTIONS(441),
    [aux_sym_preproc_include_token1] = ACTIONS(444),
    [aux_sym_preproc_def_token1] = ACTIONS(447),
    [aux_sym_preproc_if_token1] = ACTIONS(450),
    [aux_sym_preproc_if_token2] = ACTIONS(453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(455),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(455),
    [aux_sym_preproc_else_token1] = ACTIONS(453),
    [aux_sym_preproc_elif_token1] = ACTIONS(453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(453),
    [sym_preproc_directive] = ACTIONS(458),
    [anon_sym_LPAREN2] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(482),
    [anon_sym___extension__] = ACTIONS(485),
    [anon_sym_typedef] = ACTIONS(488),
    [anon_sym_extern] = ACTIONS(491),
    [anon_sym___attribute__] = ACTIONS(494),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(500),
    [anon_sym___declspec] = ACTIONS(503),
    [anon_sym___based] = ACTIONS(506),
    [anon_sym___cdecl] = ACTIONS(509),
    [anon_sym___clrcall] = ACTIONS(509),
    [anon_sym___stdcall] = ACTIONS(509),
    [anon_sym___fastcall] = ACTIONS(509),
    [anon_sym___thiscall] = ACTIONS(509),
    [anon_sym___vectorcall] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(512),
    [anon_sym_signed] = ACTIONS(515),
    [anon_sym_unsigned] = ACTIONS(515),
    [anon_sym_long] = ACTIONS(515),
    [anon_sym_short] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_register] = ACTIONS(521),
    [anon_sym_inline] = ACTIONS(524),
    [anon_sym___inline] = ACTIONS(521),
    [anon_sym___inline__] = ACTIONS(521),
    [anon_sym___forceinline] = ACTIONS(521),
    [anon_sym_thread_local] = ACTIONS(521),
    [anon_sym___thread] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(527),
    [anon_sym_constexpr] = ACTIONS(527),
    [anon_sym_volatile] = ACTIONS(527),
    [anon_sym_restrict] = ACTIONS(527),
    [anon_sym___restrict__] = ACTIONS(527),
    [anon_sym__Atomic] = ACTIONS(527),
    [anon_sym__Noreturn] = ACTIONS(527),
    [anon_sym_noreturn] = ACTIONS(527),
    [anon_sym_mutable] = ACTIONS(527),
    [anon_sym_constinit] = ACTIONS(527),
    [anon_sym_consteval] = ACTIONS(527),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(533),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(539),
    [anon_sym_union] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(545),
    [anon_sym_switch] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(551),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_while] = ACTIONS(557),
    [anon_sym_do] = ACTIONS(560),
    [anon_sym_for] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(578),
    [anon_sym___leave] = ACTIONS(581),
    [anon_sym_not] = ACTIONS(470),
    [anon_sym_compl] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_sizeof] = ACTIONS(587),
    [anon_sym___alignof__] = ACTIONS(590),
    [anon_sym___alignof] = ACTIONS(590),
    [anon_sym__alignof] = ACTIONS(590),
    [anon_sym_alignof] = ACTIONS(590),
    [anon_sym__Alignof] = ACTIONS(590),
    [anon_sym_offsetof] = ACTIONS(593),
    [anon_sym__Generic] = ACTIONS(596),
    [anon_sym_asm] = ACTIONS(599),
    [anon_sym___asm__] = ACTIONS(599),
    [sym_number_literal] = ACTIONS(602),
    [anon_sym_L_SQUOTE] = ACTIONS(605),
    [anon_sym_u_SQUOTE] = ACTIONS(605),
    [anon_sym_U_SQUOTE] = ACTIONS(605),
    [anon_sym_u8_SQUOTE] = ACTIONS(605),
    [anon_sym_SQUOTE] = ACTIONS(605),
    [anon_sym_L_DQUOTE] = ACTIONS(608),
    [anon_sym_u_DQUOTE] = ACTIONS(608),
    [anon_sym_U_DQUOTE] = ACTIONS(608),
    [anon_sym_u8_DQUOTE] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [sym_true] = ACTIONS(611),
    [sym_false] = ACTIONS(611),
    [anon_sym_NULL] = ACTIONS(614),
    [anon_sym_nullptr] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(617),
    [anon_sym_decltype] = ACTIONS(620),
    [anon_sym_virtual] = ACTIONS(623),
    [anon_sym_alignas] = ACTIONS(626),
    [anon_sym_explicit] = ACTIONS(629),
    [anon_sym_typename] = ACTIONS(632),
    [anon_sym_template] = ACTIONS(635),
    [anon_sym_operator] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(641),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(647),
    [anon_sym_namespace] = ACTIONS(650),
    [anon_sym_using] = ACTIONS(653),
    [anon_sym_static_assert] = ACTIONS(656),
    [anon_sym_concept] = ACTIONS(659),
    [anon_sym_co_return] = ACTIONS(662),
    [anon_sym_co_yield] = ACTIONS(665),
    [anon_sym_R_DQUOTE] = ACTIONS(668),
    [anon_sym_LR_DQUOTE] = ACTIONS(668),
    [anon_sym_uR_DQUOTE] = ACTIONS(668),
    [anon_sym_UR_DQUOTE] = ACTIONS(668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(668),
    [anon_sym_co_await] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(674),
    [anon_sym_requires] = ACTIONS(677),
    [sym_this] = ACTIONS(611),
  },
  [35] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9322),
    [sym_preproc_elif] = STATE(9322),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [36] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(8660),
    [sym_preproc_elif] = STATE(8660),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(29),
    [sym_co_return_statement] = STATE(29),
    [sym_co_yield_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [37] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8966),
    [sym_preproc_elif] = STATE(8966),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [38] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9089),
    [sym_preproc_elif] = STATE(9089),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [39] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8837),
    [sym_preproc_elif] = STATE(8837),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [40] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8869),
    [sym_preproc_elif] = STATE(8869),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6971),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2076),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2076),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2076),
    [sym_identifier] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(695),
    [aux_sym_preproc_def_token1] = ACTIONS(698),
    [aux_sym_preproc_if_token1] = ACTIONS(701),
    [aux_sym_preproc_if_token2] = ACTIONS(453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(704),
    [aux_sym_preproc_else_token1] = ACTIONS(453),
    [aux_sym_preproc_elif_token1] = ACTIONS(453),
    [sym_preproc_directive] = ACTIONS(707),
    [anon_sym_LPAREN2] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym___extension__] = ACTIONS(713),
    [anon_sym_typedef] = ACTIONS(716),
    [anon_sym_extern] = ACTIONS(719),
    [anon_sym___attribute__] = ACTIONS(494),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(500),
    [anon_sym___declspec] = ACTIONS(503),
    [anon_sym___based] = ACTIONS(506),
    [anon_sym___cdecl] = ACTIONS(509),
    [anon_sym___clrcall] = ACTIONS(509),
    [anon_sym___stdcall] = ACTIONS(509),
    [anon_sym___fastcall] = ACTIONS(509),
    [anon_sym___thiscall] = ACTIONS(509),
    [anon_sym___vectorcall] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(515),
    [anon_sym_unsigned] = ACTIONS(515),
    [anon_sym_long] = ACTIONS(515),
    [anon_sym_short] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_register] = ACTIONS(521),
    [anon_sym_inline] = ACTIONS(725),
    [anon_sym___inline] = ACTIONS(521),
    [anon_sym___inline__] = ACTIONS(521),
    [anon_sym___forceinline] = ACTIONS(521),
    [anon_sym_thread_local] = ACTIONS(521),
    [anon_sym___thread] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(527),
    [anon_sym_constexpr] = ACTIONS(527),
    [anon_sym_volatile] = ACTIONS(527),
    [anon_sym_restrict] = ACTIONS(527),
    [anon_sym___restrict__] = ACTIONS(527),
    [anon_sym__Atomic] = ACTIONS(527),
    [anon_sym__Noreturn] = ACTIONS(527),
    [anon_sym_noreturn] = ACTIONS(527),
    [anon_sym_mutable] = ACTIONS(527),
    [anon_sym_constinit] = ACTIONS(527),
    [anon_sym_consteval] = ACTIONS(527),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(533),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(539),
    [anon_sym_union] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(734),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(743),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(755),
    [anon_sym_goto] = ACTIONS(758),
    [anon_sym___try] = ACTIONS(761),
    [anon_sym___leave] = ACTIONS(764),
    [anon_sym_not] = ACTIONS(470),
    [anon_sym_compl] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_sizeof] = ACTIONS(587),
    [anon_sym___alignof__] = ACTIONS(590),
    [anon_sym___alignof] = ACTIONS(590),
    [anon_sym__alignof] = ACTIONS(590),
    [anon_sym_alignof] = ACTIONS(590),
    [anon_sym__Alignof] = ACTIONS(590),
    [anon_sym_offsetof] = ACTIONS(593),
    [anon_sym__Generic] = ACTIONS(596),
    [anon_sym_asm] = ACTIONS(599),
    [anon_sym___asm__] = ACTIONS(599),
    [sym_number_literal] = ACTIONS(602),
    [anon_sym_L_SQUOTE] = ACTIONS(605),
    [anon_sym_u_SQUOTE] = ACTIONS(605),
    [anon_sym_U_SQUOTE] = ACTIONS(605),
    [anon_sym_u8_SQUOTE] = ACTIONS(605),
    [anon_sym_SQUOTE] = ACTIONS(605),
    [anon_sym_L_DQUOTE] = ACTIONS(608),
    [anon_sym_u_DQUOTE] = ACTIONS(608),
    [anon_sym_U_DQUOTE] = ACTIONS(608),
    [anon_sym_u8_DQUOTE] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [sym_true] = ACTIONS(611),
    [sym_false] = ACTIONS(611),
    [anon_sym_NULL] = ACTIONS(614),
    [anon_sym_nullptr] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(617),
    [anon_sym_decltype] = ACTIONS(620),
    [anon_sym_virtual] = ACTIONS(623),
    [anon_sym_alignas] = ACTIONS(626),
    [anon_sym_explicit] = ACTIONS(629),
    [anon_sym_typename] = ACTIONS(632),
    [anon_sym_template] = ACTIONS(767),
    [anon_sym_operator] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_namespace] = ACTIONS(776),
    [anon_sym_using] = ACTIONS(779),
    [anon_sym_static_assert] = ACTIONS(782),
    [anon_sym_concept] = ACTIONS(785),
    [anon_sym_co_return] = ACTIONS(788),
    [anon_sym_co_yield] = ACTIONS(791),
    [anon_sym_R_DQUOTE] = ACTIONS(668),
    [anon_sym_LR_DQUOTE] = ACTIONS(668),
    [anon_sym_uR_DQUOTE] = ACTIONS(668),
    [anon_sym_UR_DQUOTE] = ACTIONS(668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(668),
    [anon_sym_co_await] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(674),
    [anon_sym_requires] = ACTIONS(677),
    [sym_this] = ACTIONS(611),
  },
  [42] = {
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_case_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(57),
    [sym_co_return_statement] = STATE(57),
    [sym_co_yield_statement] = STATE(57),
    [sym_throw_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [43] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [44] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_case_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(83),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(83),
    [sym_template_instantiation] = STATE(83),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(83),
    [sym_operator_cast_declaration] = STATE(83),
    [sym_constructor_or_destructor_definition] = STATE(83),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(83),
    [sym_namespace_alias_definition] = STATE(83),
    [sym_using_declaration] = STATE(83),
    [sym_alias_declaration] = STATE(83),
    [sym_static_assert_declaration] = STATE(83),
    [sym_concept_definition] = STATE(83),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(83),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [45] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [46] = {
    [sym_preproc_include] = STATE(45),
    [sym_preproc_def] = STATE(45),
    [sym_preproc_function_def] = STATE(45),
    [sym_preproc_call] = STATE(45),
    [sym_preproc_if] = STATE(45),
    [sym_preproc_ifdef] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym_declaration] = STATE(45),
    [sym_type_definition] = STATE(45),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(45),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(45),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(45),
    [sym_labeled_statement] = STATE(45),
    [sym_expression_statement] = STATE(45),
    [sym_if_statement] = STATE(45),
    [sym_switch_statement] = STATE(45),
    [sym_case_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_do_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_return_statement] = STATE(45),
    [sym_break_statement] = STATE(45),
    [sym_continue_statement] = STATE(45),
    [sym_goto_statement] = STATE(45),
    [sym_seh_try_statement] = STATE(45),
    [sym_seh_leave_statement] = STATE(45),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(45),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(45),
    [sym_template_instantiation] = STATE(45),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(45),
    [sym_operator_cast_declaration] = STATE(45),
    [sym_constructor_or_destructor_definition] = STATE(45),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(45),
    [sym_namespace_alias_definition] = STATE(45),
    [sym_using_declaration] = STATE(45),
    [sym_alias_declaration] = STATE(45),
    [sym_static_assert_declaration] = STATE(45),
    [sym_concept_definition] = STATE(45),
    [sym_for_range_loop] = STATE(45),
    [sym_co_return_statement] = STATE(45),
    [sym_co_yield_statement] = STATE(45),
    [sym_throw_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(45),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [47] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [48] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [49] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [50] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [51] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [52] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [53] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [54] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [55] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_case_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(54),
    [sym_co_return_statement] = STATE(54),
    [sym_co_yield_statement] = STATE(54),
    [sym_throw_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [56] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2245),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4159),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2089),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(7291),
    [sym__constructor_specifiers] = STATE(2089),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7291),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2089),
    [sym_identifier] = ACTIONS(826),
    [aux_sym_preproc_include_token1] = ACTIONS(829),
    [aux_sym_preproc_def_token1] = ACTIONS(832),
    [aux_sym_preproc_if_token1] = ACTIONS(835),
    [aux_sym_preproc_if_token2] = ACTIONS(453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(838),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(838),
    [sym_preproc_directive] = ACTIONS(841),
    [anon_sym_LPAREN2] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(844),
    [anon_sym___extension__] = ACTIONS(847),
    [anon_sym_typedef] = ACTIONS(850),
    [anon_sym_extern] = ACTIONS(853),
    [anon_sym___attribute__] = ACTIONS(494),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(500),
    [anon_sym___declspec] = ACTIONS(503),
    [anon_sym___based] = ACTIONS(506),
    [anon_sym___cdecl] = ACTIONS(509),
    [anon_sym___clrcall] = ACTIONS(509),
    [anon_sym___stdcall] = ACTIONS(509),
    [anon_sym___fastcall] = ACTIONS(509),
    [anon_sym___thiscall] = ACTIONS(509),
    [anon_sym___vectorcall] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(856),
    [anon_sym_signed] = ACTIONS(515),
    [anon_sym_unsigned] = ACTIONS(515),
    [anon_sym_long] = ACTIONS(515),
    [anon_sym_short] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_register] = ACTIONS(521),
    [anon_sym_inline] = ACTIONS(859),
    [anon_sym___inline] = ACTIONS(521),
    [anon_sym___inline__] = ACTIONS(521),
    [anon_sym___forceinline] = ACTIONS(521),
    [anon_sym_thread_local] = ACTIONS(521),
    [anon_sym___thread] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(527),
    [anon_sym_constexpr] = ACTIONS(527),
    [anon_sym_volatile] = ACTIONS(527),
    [anon_sym_restrict] = ACTIONS(527),
    [anon_sym___restrict__] = ACTIONS(527),
    [anon_sym__Atomic] = ACTIONS(527),
    [anon_sym__Noreturn] = ACTIONS(527),
    [anon_sym_noreturn] = ACTIONS(527),
    [anon_sym_mutable] = ACTIONS(527),
    [anon_sym_constinit] = ACTIONS(527),
    [anon_sym_consteval] = ACTIONS(527),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(533),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(539),
    [anon_sym_union] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(862),
    [anon_sym_switch] = ACTIONS(865),
    [anon_sym_case] = ACTIONS(868),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(874),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_return] = ACTIONS(883),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(889),
    [anon_sym_goto] = ACTIONS(892),
    [anon_sym___try] = ACTIONS(895),
    [anon_sym___leave] = ACTIONS(898),
    [anon_sym_not] = ACTIONS(470),
    [anon_sym_compl] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_sizeof] = ACTIONS(587),
    [anon_sym___alignof__] = ACTIONS(590),
    [anon_sym___alignof] = ACTIONS(590),
    [anon_sym__alignof] = ACTIONS(590),
    [anon_sym_alignof] = ACTIONS(590),
    [anon_sym__Alignof] = ACTIONS(590),
    [anon_sym_offsetof] = ACTIONS(593),
    [anon_sym__Generic] = ACTIONS(596),
    [anon_sym_asm] = ACTIONS(599),
    [anon_sym___asm__] = ACTIONS(599),
    [sym_number_literal] = ACTIONS(602),
    [anon_sym_L_SQUOTE] = ACTIONS(605),
    [anon_sym_u_SQUOTE] = ACTIONS(605),
    [anon_sym_U_SQUOTE] = ACTIONS(605),
    [anon_sym_u8_SQUOTE] = ACTIONS(605),
    [anon_sym_SQUOTE] = ACTIONS(605),
    [anon_sym_L_DQUOTE] = ACTIONS(608),
    [anon_sym_u_DQUOTE] = ACTIONS(608),
    [anon_sym_U_DQUOTE] = ACTIONS(608),
    [anon_sym_u8_DQUOTE] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [sym_true] = ACTIONS(611),
    [sym_false] = ACTIONS(611),
    [anon_sym_NULL] = ACTIONS(614),
    [anon_sym_nullptr] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(617),
    [anon_sym_decltype] = ACTIONS(620),
    [anon_sym_virtual] = ACTIONS(623),
    [anon_sym_alignas] = ACTIONS(626),
    [anon_sym_explicit] = ACTIONS(629),
    [anon_sym_typename] = ACTIONS(632),
    [anon_sym_template] = ACTIONS(901),
    [anon_sym_operator] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(907),
    [anon_sym_namespace] = ACTIONS(910),
    [anon_sym_using] = ACTIONS(913),
    [anon_sym_static_assert] = ACTIONS(916),
    [anon_sym_concept] = ACTIONS(919),
    [anon_sym_co_return] = ACTIONS(922),
    [anon_sym_co_yield] = ACTIONS(925),
    [anon_sym_R_DQUOTE] = ACTIONS(668),
    [anon_sym_LR_DQUOTE] = ACTIONS(668),
    [anon_sym_uR_DQUOTE] = ACTIONS(668),
    [anon_sym_UR_DQUOTE] = ACTIONS(668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(668),
    [anon_sym_co_await] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(674),
    [anon_sym_requires] = ACTIONS(677),
    [sym_this] = ACTIONS(611),
  },
  [57] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [58] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [59] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [60] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(934),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [61] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(53),
    [sym_co_return_statement] = STATE(53),
    [sym_co_yield_statement] = STATE(53),
    [sym_throw_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [62] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(938),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [63] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(940),
    [aux_sym_preproc_include_token1] = ACTIONS(943),
    [aux_sym_preproc_def_token1] = ACTIONS(946),
    [aux_sym_preproc_if_token1] = ACTIONS(949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(952),
    [sym_preproc_directive] = ACTIONS(955),
    [anon_sym_LPAREN2] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(473),
    [anon_sym_AMP_AMP] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym___extension__] = ACTIONS(961),
    [anon_sym_typedef] = ACTIONS(964),
    [anon_sym_extern] = ACTIONS(967),
    [anon_sym___attribute__] = ACTIONS(494),
    [anon_sym_COLON_COLON] = ACTIONS(497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(500),
    [anon_sym___declspec] = ACTIONS(503),
    [anon_sym___based] = ACTIONS(506),
    [anon_sym___cdecl] = ACTIONS(509),
    [anon_sym___clrcall] = ACTIONS(509),
    [anon_sym___stdcall] = ACTIONS(509),
    [anon_sym___fastcall] = ACTIONS(509),
    [anon_sym___thiscall] = ACTIONS(509),
    [anon_sym___vectorcall] = ACTIONS(509),
    [anon_sym_LBRACE] = ACTIONS(970),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_signed] = ACTIONS(515),
    [anon_sym_unsigned] = ACTIONS(515),
    [anon_sym_long] = ACTIONS(515),
    [anon_sym_short] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(521),
    [anon_sym_register] = ACTIONS(521),
    [anon_sym_inline] = ACTIONS(975),
    [anon_sym___inline] = ACTIONS(521),
    [anon_sym___inline__] = ACTIONS(521),
    [anon_sym___forceinline] = ACTIONS(521),
    [anon_sym_thread_local] = ACTIONS(521),
    [anon_sym___thread] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(527),
    [anon_sym_constexpr] = ACTIONS(527),
    [anon_sym_volatile] = ACTIONS(527),
    [anon_sym_restrict] = ACTIONS(527),
    [anon_sym___restrict__] = ACTIONS(527),
    [anon_sym__Atomic] = ACTIONS(527),
    [anon_sym__Noreturn] = ACTIONS(527),
    [anon_sym_noreturn] = ACTIONS(527),
    [anon_sym_mutable] = ACTIONS(527),
    [anon_sym_constinit] = ACTIONS(527),
    [anon_sym_consteval] = ACTIONS(527),
    [sym_primitive_type] = ACTIONS(530),
    [anon_sym_enum] = ACTIONS(533),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(539),
    [anon_sym_union] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(978),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_case] = ACTIONS(984),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(990),
    [anon_sym_do] = ACTIONS(993),
    [anon_sym_for] = ACTIONS(996),
    [anon_sym_return] = ACTIONS(999),
    [anon_sym_break] = ACTIONS(1002),
    [anon_sym_continue] = ACTIONS(1005),
    [anon_sym_goto] = ACTIONS(1008),
    [anon_sym___try] = ACTIONS(1011),
    [anon_sym___leave] = ACTIONS(1014),
    [anon_sym_not] = ACTIONS(470),
    [anon_sym_compl] = ACTIONS(470),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_sizeof] = ACTIONS(587),
    [anon_sym___alignof__] = ACTIONS(590),
    [anon_sym___alignof] = ACTIONS(590),
    [anon_sym__alignof] = ACTIONS(590),
    [anon_sym_alignof] = ACTIONS(590),
    [anon_sym__Alignof] = ACTIONS(590),
    [anon_sym_offsetof] = ACTIONS(593),
    [anon_sym__Generic] = ACTIONS(596),
    [anon_sym_asm] = ACTIONS(599),
    [anon_sym___asm__] = ACTIONS(599),
    [sym_number_literal] = ACTIONS(602),
    [anon_sym_L_SQUOTE] = ACTIONS(605),
    [anon_sym_u_SQUOTE] = ACTIONS(605),
    [anon_sym_U_SQUOTE] = ACTIONS(605),
    [anon_sym_u8_SQUOTE] = ACTIONS(605),
    [anon_sym_SQUOTE] = ACTIONS(605),
    [anon_sym_L_DQUOTE] = ACTIONS(608),
    [anon_sym_u_DQUOTE] = ACTIONS(608),
    [anon_sym_U_DQUOTE] = ACTIONS(608),
    [anon_sym_u8_DQUOTE] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [sym_true] = ACTIONS(611),
    [sym_false] = ACTIONS(611),
    [anon_sym_NULL] = ACTIONS(614),
    [anon_sym_nullptr] = ACTIONS(614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(617),
    [anon_sym_decltype] = ACTIONS(620),
    [anon_sym_virtual] = ACTIONS(623),
    [anon_sym_alignas] = ACTIONS(626),
    [anon_sym_explicit] = ACTIONS(629),
    [anon_sym_typename] = ACTIONS(632),
    [anon_sym_template] = ACTIONS(1017),
    [anon_sym_operator] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(644),
    [anon_sym_throw] = ACTIONS(1023),
    [anon_sym_namespace] = ACTIONS(1026),
    [anon_sym_using] = ACTIONS(1029),
    [anon_sym_static_assert] = ACTIONS(1032),
    [anon_sym_concept] = ACTIONS(1035),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1041),
    [anon_sym_R_DQUOTE] = ACTIONS(668),
    [anon_sym_LR_DQUOTE] = ACTIONS(668),
    [anon_sym_uR_DQUOTE] = ACTIONS(668),
    [anon_sym_UR_DQUOTE] = ACTIONS(668),
    [anon_sym_u8R_DQUOTE] = ACTIONS(668),
    [anon_sym_co_await] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(674),
    [anon_sym_requires] = ACTIONS(677),
    [sym_this] = ACTIONS(611),
  },
  [64] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [65] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [66] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [67] = {
    [sym_preproc_include] = STATE(88),
    [sym_preproc_def] = STATE(88),
    [sym_preproc_function_def] = STATE(88),
    [sym_preproc_call] = STATE(88),
    [sym_preproc_if] = STATE(88),
    [sym_preproc_ifdef] = STATE(88),
    [sym_function_definition] = STATE(88),
    [sym_declaration] = STATE(88),
    [sym_type_definition] = STATE(88),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(88),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(88),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(88),
    [sym_labeled_statement] = STATE(88),
    [sym_expression_statement] = STATE(88),
    [sym_if_statement] = STATE(88),
    [sym_switch_statement] = STATE(88),
    [sym_case_statement] = STATE(88),
    [sym_while_statement] = STATE(88),
    [sym_do_statement] = STATE(88),
    [sym_for_statement] = STATE(88),
    [sym_return_statement] = STATE(88),
    [sym_break_statement] = STATE(88),
    [sym_continue_statement] = STATE(88),
    [sym_goto_statement] = STATE(88),
    [sym_seh_try_statement] = STATE(88),
    [sym_seh_leave_statement] = STATE(88),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(88),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(88),
    [sym_template_instantiation] = STATE(88),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(88),
    [sym_operator_cast_declaration] = STATE(88),
    [sym_constructor_or_destructor_definition] = STATE(88),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(88),
    [sym_namespace_alias_definition] = STATE(88),
    [sym_using_declaration] = STATE(88),
    [sym_alias_declaration] = STATE(88),
    [sym_static_assert_declaration] = STATE(88),
    [sym_concept_definition] = STATE(88),
    [sym_for_range_loop] = STATE(88),
    [sym_co_return_statement] = STATE(88),
    [sym_co_yield_statement] = STATE(88),
    [sym_throw_statement] = STATE(88),
    [sym_try_statement] = STATE(88),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(88),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [68] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [69] = {
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_case_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(68),
    [sym_co_return_statement] = STATE(68),
    [sym_co_yield_statement] = STATE(68),
    [sym_throw_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [70] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2245),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4159),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_case_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(89),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2089),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(89),
    [sym_template_instantiation] = STATE(89),
    [sym_operator_cast] = STATE(7291),
    [sym__constructor_specifiers] = STATE(2089),
    [sym_operator_cast_definition] = STATE(89),
    [sym_operator_cast_declaration] = STATE(89),
    [sym_constructor_or_destructor_definition] = STATE(89),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(89),
    [sym_namespace_alias_definition] = STATE(89),
    [sym_using_declaration] = STATE(89),
    [sym_alias_declaration] = STATE(89),
    [sym_static_assert_declaration] = STATE(89),
    [sym_concept_definition] = STATE(89),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7291),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(89),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2089),
    [sym_identifier] = ACTIONS(1056),
    [aux_sym_preproc_include_token1] = ACTIONS(1058),
    [aux_sym_preproc_def_token1] = ACTIONS(1060),
    [aux_sym_preproc_if_token1] = ACTIONS(1062),
    [aux_sym_preproc_if_token2] = ACTIONS(1064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1066),
    [sym_preproc_directive] = ACTIONS(1068),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1076),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1080),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1108),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1114),
    [anon_sym_using] = ACTIONS(1116),
    [anon_sym_static_assert] = ACTIONS(1118),
    [anon_sym_concept] = ACTIONS(1120),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [71] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [72] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [73] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [74] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [75] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [76] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [77] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [78] = {
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_case_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(58),
    [sym_co_return_statement] = STATE(58),
    [sym_co_yield_statement] = STATE(58),
    [sym_throw_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [79] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_if] = STATE(85),
    [sym_preproc_ifdef] = STATE(85),
    [sym_function_definition] = STATE(85),
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(85),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_case_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(85),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(85),
    [sym_template_instantiation] = STATE(85),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(85),
    [sym_operator_cast_declaration] = STATE(85),
    [sym_constructor_or_destructor_definition] = STATE(85),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(85),
    [sym_namespace_alias_definition] = STATE(85),
    [sym_using_declaration] = STATE(85),
    [sym_alias_declaration] = STATE(85),
    [sym_static_assert_declaration] = STATE(85),
    [sym_concept_definition] = STATE(85),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(85),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [80] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [81] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [82] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [83] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [84] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [85] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [86] = {
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_case_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym_seh_try_statement] = STATE(76),
    [sym_seh_leave_statement] = STATE(76),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(76),
    [sym_co_return_statement] = STATE(76),
    [sym_co_yield_statement] = STATE(76),
    [sym_throw_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [87] = {
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(75),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(75),
    [sym_labeled_statement] = STATE(75),
    [sym_expression_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_case_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_return_statement] = STATE(75),
    [sym_break_statement] = STATE(75),
    [sym_continue_statement] = STATE(75),
    [sym_goto_statement] = STATE(75),
    [sym_seh_try_statement] = STATE(75),
    [sym_seh_leave_statement] = STATE(75),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(75),
    [sym_co_return_statement] = STATE(75),
    [sym_co_yield_statement] = STATE(75),
    [sym_throw_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [88] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [89] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2245),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4159),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2089),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(7291),
    [sym__constructor_specifiers] = STATE(2089),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7291),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2089),
    [sym_identifier] = ACTIONS(1056),
    [aux_sym_preproc_include_token1] = ACTIONS(1058),
    [aux_sym_preproc_def_token1] = ACTIONS(1060),
    [aux_sym_preproc_if_token1] = ACTIONS(1062),
    [aux_sym_preproc_if_token2] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1066),
    [sym_preproc_directive] = ACTIONS(1068),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(1076),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1080),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1108),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1114),
    [anon_sym_using] = ACTIONS(1116),
    [anon_sym_static_assert] = ACTIONS(1118),
    [anon_sym_concept] = ACTIONS(1120),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [90] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [91] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_if] = STATE(90),
    [sym_preproc_ifdef] = STATE(90),
    [sym_function_definition] = STATE(90),
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(90),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(90),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(90),
    [sym_template_instantiation] = STATE(90),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(90),
    [sym_operator_cast_declaration] = STATE(90),
    [sym_constructor_or_destructor_definition] = STATE(90),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(90),
    [sym_namespace_alias_definition] = STATE(90),
    [sym_using_declaration] = STATE(90),
    [sym_alias_declaration] = STATE(90),
    [sym_static_assert_declaration] = STATE(90),
    [sym_concept_definition] = STATE(90),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(90),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [92] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [93] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym_seh_try_statement] = STATE(52),
    [sym_seh_leave_statement] = STATE(52),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(52),
    [sym_co_return_statement] = STATE(52),
    [sym_co_yield_statement] = STATE(52),
    [sym_throw_statement] = STATE(52),
    [sym_try_statement] = STATE(52),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [94] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [95] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [96] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [97] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7014),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2079),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2079),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [98] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2323),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6992),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4196),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5393),
    [sym__expression_not_binary] = STATE(5460),
    [sym__string] = STATE(5460),
    [sym_conditional_expression] = STATE(5460),
    [sym_assignment_expression] = STATE(5460),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(5460),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(5460),
    [sym_cast_expression] = STATE(5460),
    [sym_sizeof_expression] = STATE(5460),
    [sym_alignof_expression] = STATE(5460),
    [sym_offsetof_expression] = STATE(5460),
    [sym_generic_expression] = STATE(5460),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(5460),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(5460),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(5460),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2075),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7293),
    [sym__constructor_specifiers] = STATE(2075),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(5460),
    [sym_new_expression] = STATE(5460),
    [sym_delete_expression] = STATE(5460),
    [sym_requires_clause] = STATE(5460),
    [sym_requires_expression] = STATE(5460),
    [sym_lambda_expression] = STATE(5460),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(5460),
    [sym_parameter_pack_expansion] = STATE(5460),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7293),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1185),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1221),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(1233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___based] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1245),
    [anon_sym___clrcall] = ACTIONS(1245),
    [anon_sym___stdcall] = ACTIONS(1245),
    [anon_sym___fastcall] = ACTIONS(1245),
    [anon_sym___thiscall] = ACTIONS(1245),
    [anon_sym___vectorcall] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_register] = ACTIONS(1257),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1257),
    [anon_sym___inline__] = ACTIONS(1257),
    [anon_sym___forceinline] = ACTIONS(1257),
    [anon_sym_thread_local] = ACTIONS(1257),
    [anon_sym___thread] = ACTIONS(1257),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_not] = ACTIONS(1209),
    [anon_sym_compl] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [anon_sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1359),
    [anon_sym_typename] = ACTIONS(1362),
    [anon_sym_template] = ACTIONS(1365),
    [anon_sym_operator] = ACTIONS(1368),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_namespace] = ACTIONS(1380),
    [anon_sym_using] = ACTIONS(1383),
    [anon_sym_static_assert] = ACTIONS(1386),
    [anon_sym_concept] = ACTIONS(1389),
    [anon_sym_co_return] = ACTIONS(1392),
    [anon_sym_co_yield] = ACTIONS(1395),
    [anon_sym_R_DQUOTE] = ACTIONS(1398),
    [anon_sym_LR_DQUOTE] = ACTIONS(1398),
    [anon_sym_uR_DQUOTE] = ACTIONS(1398),
    [anon_sym_UR_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1398),
    [anon_sym_co_await] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1404),
    [anon_sym_requires] = ACTIONS(1407),
    [sym_this] = ACTIONS(1341),
  },
  [99] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(1102),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2323),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6992),
    [sym_array_declarator] = STATE(6854),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4196),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5393),
    [sym__expression_not_binary] = STATE(5460),
    [sym__string] = STATE(5460),
    [sym_conditional_expression] = STATE(5460),
    [sym_assignment_expression] = STATE(5460),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(5460),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(5460),
    [sym_cast_expression] = STATE(5460),
    [sym_sizeof_expression] = STATE(5460),
    [sym_alignof_expression] = STATE(5460),
    [sym_offsetof_expression] = STATE(5460),
    [sym_generic_expression] = STATE(5460),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(5460),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(5460),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(5460),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2075),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7293),
    [sym__constructor_specifiers] = STATE(2075),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(5142),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(5460),
    [sym_new_expression] = STATE(5460),
    [sym_delete_expression] = STATE(5460),
    [sym_requires_clause] = STATE(5460),
    [sym_requires_expression] = STATE(5460),
    [sym_lambda_expression] = STATE(5460),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(5460),
    [sym_parameter_pack_expansion] = STATE(5460),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6111),
    [sym_qualified_identifier] = STATE(3659),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_qualified_operator_cast_identifier] = STATE(7293),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2075),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [100] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5691),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [101] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5691),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [102] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5691),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [103] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5691),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1463),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1535),
    [anon_sym___try] = ACTIONS(1538),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1595),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1601),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1604),
    [anon_sym_co_yield] = ACTIONS(1607),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [104] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5691),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [aux_sym_preproc_else_token1] = ACTIONS(1622),
    [aux_sym_preproc_elif_token1] = ACTIONS(1622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [105] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5718),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [106] = {
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5718),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(105),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(105),
    [sym_labeled_statement] = STATE(105),
    [sym_expression_statement] = STATE(105),
    [sym_if_statement] = STATE(105),
    [sym_switch_statement] = STATE(105),
    [sym_while_statement] = STATE(105),
    [sym_do_statement] = STATE(105),
    [sym_for_statement] = STATE(105),
    [sym_return_statement] = STATE(105),
    [sym_break_statement] = STATE(105),
    [sym_continue_statement] = STATE(105),
    [sym_goto_statement] = STATE(105),
    [sym_seh_try_statement] = STATE(105),
    [sym_seh_leave_statement] = STATE(105),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(105),
    [sym_co_return_statement] = STATE(105),
    [sym_co_yield_statement] = STATE(105),
    [sym_throw_statement] = STATE(105),
    [sym_try_statement] = STATE(105),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(105),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [aux_sym_preproc_else_token1] = ACTIONS(1622),
    [aux_sym_preproc_elif_token1] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [107] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5718),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [108] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5718),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1628),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1634),
    [anon_sym_typedef] = ACTIONS(1637),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1646),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1679),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1682),
    [anon_sym_co_yield] = ACTIONS(1685),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [109] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5718),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [110] = {
    [sym_declaration] = STATE(119),
    [sym_type_definition] = STATE(119),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5738),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(119),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(119),
    [sym_co_return_statement] = STATE(119),
    [sym_co_yield_statement] = STATE(119),
    [sym_throw_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(119),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [111] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5737),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym___extension__] = ACTIONS(1696),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1708),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1714),
    [anon_sym_for] = ACTIONS(1717),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1726),
    [anon_sym_goto] = ACTIONS(1729),
    [anon_sym___try] = ACTIONS(1732),
    [anon_sym___leave] = ACTIONS(1735),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1738),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1744),
    [anon_sym_co_yield] = ACTIONS(1747),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [112] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5737),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1750),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [113] = {
    [sym_declaration] = STATE(122),
    [sym_type_definition] = STATE(122),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5719),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(122),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(122),
    [sym_co_return_statement] = STATE(122),
    [sym_co_yield_statement] = STATE(122),
    [sym_throw_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [114] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5719),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1760),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym___extension__] = ACTIONS(1766),
    [anon_sym_typedef] = ACTIONS(1769),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1778),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1796),
    [anon_sym_goto] = ACTIONS(1799),
    [anon_sym___try] = ACTIONS(1802),
    [anon_sym___leave] = ACTIONS(1805),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1814),
    [anon_sym_co_yield] = ACTIONS(1817),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [115] = {
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5737),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(123),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(123),
    [sym_labeled_statement] = STATE(123),
    [sym_expression_statement] = STATE(123),
    [sym_if_statement] = STATE(123),
    [sym_switch_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_do_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(123),
    [sym_break_statement] = STATE(123),
    [sym_continue_statement] = STATE(123),
    [sym_goto_statement] = STATE(123),
    [sym_seh_try_statement] = STATE(123),
    [sym_seh_leave_statement] = STATE(123),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(123),
    [sym_co_return_statement] = STATE(123),
    [sym_co_yield_statement] = STATE(123),
    [sym_throw_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_identifier] = ACTIONS(1750),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [116] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5738),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(1820),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym___extension__] = ACTIONS(1826),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym___try] = ACTIONS(1862),
    [anon_sym___leave] = ACTIONS(1865),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1868),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1874),
    [anon_sym_co_yield] = ACTIONS(1877),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [117] = {
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5738),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(121),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(121),
    [sym_labeled_statement] = STATE(121),
    [sym_expression_statement] = STATE(121),
    [sym_if_statement] = STATE(121),
    [sym_switch_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_do_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_return_statement] = STATE(121),
    [sym_break_statement] = STATE(121),
    [sym_continue_statement] = STATE(121),
    [sym_goto_statement] = STATE(121),
    [sym_seh_try_statement] = STATE(121),
    [sym_seh_leave_statement] = STATE(121),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(121),
    [sym_co_return_statement] = STATE(121),
    [sym_co_yield_statement] = STATE(121),
    [sym_throw_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [118] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5737),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1750),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [119] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5738),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [120] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5719),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [121] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5738),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [122] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5719),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [123] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5737),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1750),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [124] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5719),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym___extension__] = ACTIONS(1072),
    [anon_sym_typedef] = ACTIONS(1074),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [125] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5701),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5701),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1929),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1962),
    [anon_sym___leave] = ACTIONS(1965),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1971),
    [anon_sym_co_return] = ACTIONS(1974),
    [anon_sym_co_yield] = ACTIONS(1977),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [127] = {
    [sym_declaration] = STATE(125),
    [sym_type_definition] = STATE(125),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5701),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(125),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(125),
    [sym_labeled_statement] = STATE(125),
    [sym_expression_statement] = STATE(125),
    [sym_if_statement] = STATE(125),
    [sym_switch_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_do_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_return_statement] = STATE(125),
    [sym_break_statement] = STATE(125),
    [sym_continue_statement] = STATE(125),
    [sym_goto_statement] = STATE(125),
    [sym_seh_try_statement] = STATE(125),
    [sym_seh_leave_statement] = STATE(125),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(125),
    [sym_co_return_statement] = STATE(125),
    [sym_co_yield_statement] = STATE(125),
    [sym_throw_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(125),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [128] = {
    [sym_declaration] = STATE(129),
    [sym_type_definition] = STATE(129),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5701),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(129),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym_seh_try_statement] = STATE(129),
    [sym_seh_leave_statement] = STATE(129),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(129),
    [sym_co_return_statement] = STATE(129),
    [sym_co_yield_statement] = STATE(129),
    [sym_throw_statement] = STATE(129),
    [sym_try_statement] = STATE(129),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [129] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5701),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(1151),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [130] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(8590),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(8591),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [131] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(8674),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(8675),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [132] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(9459),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(9450),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [133] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(9069),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(9068),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [134] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(8752),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(8753),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [135] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(8893),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(8886),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [136] = {
    [sym_declaration] = STATE(362),
    [sym_type_definition] = STATE(4792),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5732),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(4792),
    [sym__for_statement_body] = STATE(8746),
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9455),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(4792),
    [sym__for_range_loop_body] = STATE(8745),
    [sym_init_statement] = STATE(2309),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [137] = {
    [sym_declaration] = STATE(1953),
    [sym_type_definition] = STATE(1953),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5759),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_expression_statement] = STATE(1953),
    [sym__expression] = STATE(4950),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8491),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_alias_declaration] = STATE(1953),
    [sym_init_statement] = STATE(147),
    [sym_condition_declaration] = STATE(9463),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1992),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3689),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9421),
    [sym__unary_right_fold] = STATE(9420),
    [sym__binary_fold] = STATE(9418),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3744),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8953),
    [sym__unary_right_fold] = STATE(8955),
    [sym__binary_fold] = STATE(8958),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3677),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9285),
    [sym__unary_right_fold] = STATE(9283),
    [sym__binary_fold] = STATE(9280),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3667),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3661),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9133),
    [sym__unary_right_fold] = STATE(9132),
    [sym__binary_fold] = STATE(9131),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_compound_statement] = STATE(7980),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8111),
    [sym__expression] = STATE(4907),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7980),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8111),
    [sym_variadic_parameter_declaration] = STATE(8111),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6301),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(2058),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3723),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8794),
    [sym__unary_right_fold] = STATE(8795),
    [sym__binary_fold] = STATE(8820),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym__expression] = STATE(3729),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8402),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8636),
    [sym__unary_right_fold] = STATE(8605),
    [sym__binary_fold] = STATE(8604),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6278),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [147] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5903),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__expression] = STATE(5062),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8732),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8437),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4511),
    [sym_template_function] = STATE(4410),
    [sym_condition_declaration] = STATE(8732),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6321),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(4558),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7202),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8844),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3788),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6267),
    [sym_qualified_identifier] = STATE(3758),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [149] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7202),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9176),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3788),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6267),
    [sym_qualified_identifier] = STATE(3758),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [150] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7202),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3233),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9135),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9134),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3788),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9133),
    [sym__unary_right_fold] = STATE(9132),
    [sym__binary_fold] = STATE(9131),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6267),
    [sym_qualified_identifier] = STATE(3758),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9130),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [151] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2138),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(2180),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_PIPE_PIPE] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___except] = ACTIONS(2182),
    [anon_sym___finally] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_or] = ACTIONS(2182),
    [anon_sym_and] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_override] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_GT2] = ACTIONS(2180),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [153] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_RBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2208),
    [anon_sym_RPAREN] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_PIPE_PIPE] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___except] = ACTIONS(2210),
    [anon_sym___finally] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_or] = ACTIONS(2210),
    [anon_sym_and] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_final] = ACTIONS(2210),
    [anon_sym_override] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_GT2] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [155] = {
    [sym__expression] = STATE(3235),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_initializer_list] = STATE(3460),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [156] = {
    [sym__expression] = STATE(3590),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_initializer_list] = STATE(3915),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2136),
    [sym_this] = ACTIONS(2112),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(813),
    [sym_attributed_statement] = STATE(813),
    [sym_labeled_statement] = STATE(813),
    [sym_expression_statement] = STATE(813),
    [sym_if_statement] = STATE(813),
    [sym_switch_statement] = STATE(813),
    [sym_case_statement] = STATE(813),
    [sym_while_statement] = STATE(813),
    [sym_do_statement] = STATE(813),
    [sym_for_statement] = STATE(813),
    [sym_return_statement] = STATE(813),
    [sym_break_statement] = STATE(813),
    [sym_continue_statement] = STATE(813),
    [sym_goto_statement] = STATE(813),
    [sym_seh_try_statement] = STATE(813),
    [sym_seh_leave_statement] = STATE(813),
    [sym__expression] = STATE(4944),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8243),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(813),
    [sym_co_return_statement] = STATE(813),
    [sym_co_yield_statement] = STATE(813),
    [sym_throw_statement] = STATE(813),
    [sym_try_statement] = STATE(813),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [158] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(805),
    [sym_attributed_statement] = STATE(805),
    [sym_labeled_statement] = STATE(805),
    [sym_expression_statement] = STATE(805),
    [sym_if_statement] = STATE(805),
    [sym_switch_statement] = STATE(805),
    [sym_case_statement] = STATE(805),
    [sym_while_statement] = STATE(805),
    [sym_do_statement] = STATE(805),
    [sym_for_statement] = STATE(805),
    [sym_return_statement] = STATE(805),
    [sym_break_statement] = STATE(805),
    [sym_continue_statement] = STATE(805),
    [sym_goto_statement] = STATE(805),
    [sym_seh_try_statement] = STATE(805),
    [sym_seh_leave_statement] = STATE(805),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(805),
    [sym_co_return_statement] = STATE(805),
    [sym_co_yield_statement] = STATE(805),
    [sym_throw_statement] = STATE(805),
    [sym_try_statement] = STATE(805),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(496),
    [sym_attributed_statement] = STATE(496),
    [sym_labeled_statement] = STATE(496),
    [sym_expression_statement] = STATE(496),
    [sym_if_statement] = STATE(496),
    [sym_switch_statement] = STATE(496),
    [sym_case_statement] = STATE(496),
    [sym_while_statement] = STATE(496),
    [sym_do_statement] = STATE(496),
    [sym_for_statement] = STATE(496),
    [sym_return_statement] = STATE(496),
    [sym_break_statement] = STATE(496),
    [sym_continue_statement] = STATE(496),
    [sym_goto_statement] = STATE(496),
    [sym_seh_try_statement] = STATE(496),
    [sym_seh_leave_statement] = STATE(496),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(496),
    [sym_co_return_statement] = STATE(496),
    [sym_co_yield_statement] = STATE(496),
    [sym_throw_statement] = STATE(496),
    [sym_try_statement] = STATE(496),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(781),
    [sym_attributed_statement] = STATE(781),
    [sym_labeled_statement] = STATE(781),
    [sym_expression_statement] = STATE(781),
    [sym_if_statement] = STATE(781),
    [sym_switch_statement] = STATE(781),
    [sym_case_statement] = STATE(781),
    [sym_while_statement] = STATE(781),
    [sym_do_statement] = STATE(781),
    [sym_for_statement] = STATE(781),
    [sym_return_statement] = STATE(781),
    [sym_break_statement] = STATE(781),
    [sym_continue_statement] = STATE(781),
    [sym_goto_statement] = STATE(781),
    [sym_seh_try_statement] = STATE(781),
    [sym_seh_leave_statement] = STATE(781),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(781),
    [sym_co_return_statement] = STATE(781),
    [sym_co_yield_statement] = STATE(781),
    [sym_throw_statement] = STATE(781),
    [sym_try_statement] = STATE(781),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(541),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(541),
    [sym_case_statement] = STATE(541),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_seh_try_statement] = STATE(541),
    [sym_seh_leave_statement] = STATE(541),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(541),
    [sym_co_return_statement] = STATE(541),
    [sym_co_yield_statement] = STATE(541),
    [sym_throw_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(728),
    [sym_attributed_statement] = STATE(728),
    [sym_labeled_statement] = STATE(728),
    [sym_expression_statement] = STATE(728),
    [sym_if_statement] = STATE(728),
    [sym_switch_statement] = STATE(728),
    [sym_case_statement] = STATE(728),
    [sym_while_statement] = STATE(728),
    [sym_do_statement] = STATE(728),
    [sym_for_statement] = STATE(728),
    [sym_return_statement] = STATE(728),
    [sym_break_statement] = STATE(728),
    [sym_continue_statement] = STATE(728),
    [sym_goto_statement] = STATE(728),
    [sym_seh_try_statement] = STATE(728),
    [sym_seh_leave_statement] = STATE(728),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(728),
    [sym_co_return_statement] = STATE(728),
    [sym_co_yield_statement] = STATE(728),
    [sym_throw_statement] = STATE(728),
    [sym_try_statement] = STATE(728),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(585),
    [sym_attributed_statement] = STATE(585),
    [sym_labeled_statement] = STATE(585),
    [sym_expression_statement] = STATE(585),
    [sym_if_statement] = STATE(585),
    [sym_switch_statement] = STATE(585),
    [sym_case_statement] = STATE(585),
    [sym_while_statement] = STATE(585),
    [sym_do_statement] = STATE(585),
    [sym_for_statement] = STATE(585),
    [sym_return_statement] = STATE(585),
    [sym_break_statement] = STATE(585),
    [sym_continue_statement] = STATE(585),
    [sym_goto_statement] = STATE(585),
    [sym_seh_try_statement] = STATE(585),
    [sym_seh_leave_statement] = STATE(585),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(585),
    [sym_co_return_statement] = STATE(585),
    [sym_co_yield_statement] = STATE(585),
    [sym_throw_statement] = STATE(585),
    [sym_try_statement] = STATE(585),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [166] = {
    [sym__expression] = STATE(3691),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_initializer_list] = STATE(4060),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2292),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2134),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2134),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(529),
    [sym_attributed_statement] = STATE(530),
    [sym_labeled_statement] = STATE(532),
    [sym_expression_statement] = STATE(533),
    [sym_if_statement] = STATE(528),
    [sym_switch_statement] = STATE(523),
    [sym_case_statement] = STATE(522),
    [sym_while_statement] = STATE(516),
    [sym_do_statement] = STATE(515),
    [sym_for_statement] = STATE(513),
    [sym_return_statement] = STATE(509),
    [sym_break_statement] = STATE(506),
    [sym_continue_statement] = STATE(504),
    [sym_goto_statement] = STATE(498),
    [sym_seh_try_statement] = STATE(494),
    [sym_seh_leave_statement] = STATE(493),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(485),
    [sym_co_return_statement] = STATE(478),
    [sym_co_yield_statement] = STATE(476),
    [sym_throw_statement] = STATE(469),
    [sym_try_statement] = STATE(468),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym_seh_try_statement] = STATE(267),
    [sym_seh_leave_statement] = STATE(267),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(267),
    [sym_co_return_statement] = STATE(267),
    [sym_co_yield_statement] = STATE(267),
    [sym_throw_statement] = STATE(267),
    [sym_try_statement] = STATE(267),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(297),
    [sym_attributed_statement] = STATE(297),
    [sym_labeled_statement] = STATE(297),
    [sym_expression_statement] = STATE(297),
    [sym_if_statement] = STATE(297),
    [sym_switch_statement] = STATE(297),
    [sym_case_statement] = STATE(297),
    [sym_while_statement] = STATE(297),
    [sym_do_statement] = STATE(297),
    [sym_for_statement] = STATE(297),
    [sym_return_statement] = STATE(297),
    [sym_break_statement] = STATE(297),
    [sym_continue_statement] = STATE(297),
    [sym_goto_statement] = STATE(297),
    [sym_seh_try_statement] = STATE(297),
    [sym_seh_leave_statement] = STATE(297),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(297),
    [sym_co_return_statement] = STATE(297),
    [sym_co_yield_statement] = STATE(297),
    [sym_throw_statement] = STATE(297),
    [sym_try_statement] = STATE(297),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(9247),
    [sym_attributed_statement] = STATE(9247),
    [sym_labeled_statement] = STATE(9247),
    [sym_expression_statement] = STATE(9247),
    [sym_if_statement] = STATE(9247),
    [sym_switch_statement] = STATE(9247),
    [sym_case_statement] = STATE(9247),
    [sym_while_statement] = STATE(9247),
    [sym_do_statement] = STATE(9247),
    [sym_for_statement] = STATE(9247),
    [sym_return_statement] = STATE(9247),
    [sym_break_statement] = STATE(9247),
    [sym_continue_statement] = STATE(9247),
    [sym_goto_statement] = STATE(9247),
    [sym_seh_try_statement] = STATE(9247),
    [sym_seh_leave_statement] = STATE(9247),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(9247),
    [sym_co_return_statement] = STATE(9247),
    [sym_co_yield_statement] = STATE(9247),
    [sym_throw_statement] = STATE(9247),
    [sym_try_statement] = STATE(9247),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(735),
    [sym_attributed_statement] = STATE(735),
    [sym_labeled_statement] = STATE(735),
    [sym_expression_statement] = STATE(735),
    [sym_if_statement] = STATE(735),
    [sym_switch_statement] = STATE(735),
    [sym_case_statement] = STATE(735),
    [sym_while_statement] = STATE(735),
    [sym_do_statement] = STATE(735),
    [sym_for_statement] = STATE(735),
    [sym_return_statement] = STATE(735),
    [sym_break_statement] = STATE(735),
    [sym_continue_statement] = STATE(735),
    [sym_goto_statement] = STATE(735),
    [sym_seh_try_statement] = STATE(735),
    [sym_seh_leave_statement] = STATE(735),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(735),
    [sym_co_return_statement] = STATE(735),
    [sym_co_yield_statement] = STATE(735),
    [sym_throw_statement] = STATE(735),
    [sym_try_statement] = STATE(735),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(224),
    [sym_compound_statement] = STATE(1204),
    [sym_attributed_statement] = STATE(1204),
    [sym_labeled_statement] = STATE(1204),
    [sym_expression_statement] = STATE(1204),
    [sym_if_statement] = STATE(1204),
    [sym_switch_statement] = STATE(1204),
    [sym_case_statement] = STATE(1204),
    [sym_while_statement] = STATE(1204),
    [sym_do_statement] = STATE(1204),
    [sym_for_statement] = STATE(1204),
    [sym_return_statement] = STATE(1204),
    [sym_break_statement] = STATE(1204),
    [sym_continue_statement] = STATE(1204),
    [sym_goto_statement] = STATE(1204),
    [sym_seh_try_statement] = STATE(1204),
    [sym_seh_leave_statement] = STATE(1204),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1204),
    [sym_co_return_statement] = STATE(1204),
    [sym_co_yield_statement] = STATE(1204),
    [sym_throw_statement] = STATE(1204),
    [sym_try_statement] = STATE(1204),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(9227),
    [sym_attributed_statement] = STATE(9227),
    [sym_labeled_statement] = STATE(9227),
    [sym_expression_statement] = STATE(9227),
    [sym_if_statement] = STATE(9227),
    [sym_switch_statement] = STATE(9227),
    [sym_case_statement] = STATE(9227),
    [sym_while_statement] = STATE(9227),
    [sym_do_statement] = STATE(9227),
    [sym_for_statement] = STATE(9227),
    [sym_return_statement] = STATE(9227),
    [sym_break_statement] = STATE(9227),
    [sym_continue_statement] = STATE(9227),
    [sym_goto_statement] = STATE(9227),
    [sym_seh_try_statement] = STATE(9227),
    [sym_seh_leave_statement] = STATE(9227),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(9227),
    [sym_co_return_statement] = STATE(9227),
    [sym_co_yield_statement] = STATE(9227),
    [sym_throw_statement] = STATE(9227),
    [sym_try_statement] = STATE(9227),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(624),
    [sym_attributed_statement] = STATE(624),
    [sym_labeled_statement] = STATE(624),
    [sym_expression_statement] = STATE(624),
    [sym_if_statement] = STATE(624),
    [sym_switch_statement] = STATE(624),
    [sym_case_statement] = STATE(624),
    [sym_while_statement] = STATE(624),
    [sym_do_statement] = STATE(624),
    [sym_for_statement] = STATE(624),
    [sym_return_statement] = STATE(624),
    [sym_break_statement] = STATE(624),
    [sym_continue_statement] = STATE(624),
    [sym_goto_statement] = STATE(624),
    [sym_seh_try_statement] = STATE(624),
    [sym_seh_leave_statement] = STATE(624),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(624),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(624),
    [sym_throw_statement] = STATE(624),
    [sym_try_statement] = STATE(624),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(714),
    [sym_attributed_statement] = STATE(714),
    [sym_labeled_statement] = STATE(714),
    [sym_expression_statement] = STATE(714),
    [sym_if_statement] = STATE(714),
    [sym_switch_statement] = STATE(714),
    [sym_case_statement] = STATE(714),
    [sym_while_statement] = STATE(714),
    [sym_do_statement] = STATE(714),
    [sym_for_statement] = STATE(714),
    [sym_return_statement] = STATE(714),
    [sym_break_statement] = STATE(714),
    [sym_continue_statement] = STATE(714),
    [sym_goto_statement] = STATE(714),
    [sym_seh_try_statement] = STATE(714),
    [sym_seh_leave_statement] = STATE(714),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(714),
    [sym_co_return_statement] = STATE(714),
    [sym_co_yield_statement] = STATE(714),
    [sym_throw_statement] = STATE(714),
    [sym_try_statement] = STATE(714),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2350),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2365),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2383),
    [anon_sym_switch] = ACTIONS(2386),
    [anon_sym_case] = ACTIONS(2389),
    [anon_sym_default] = ACTIONS(2392),
    [anon_sym_while] = ACTIONS(2395),
    [anon_sym_do] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2401),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2407),
    [anon_sym_continue] = ACTIONS(2410),
    [anon_sym_goto] = ACTIONS(2413),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym___leave] = ACTIONS(2419),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2467),
    [anon_sym_co_return] = ACTIONS(2470),
    [anon_sym_co_yield] = ACTIONS(2473),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(419),
    [sym_attributed_statement] = STATE(419),
    [sym_labeled_statement] = STATE(419),
    [sym_expression_statement] = STATE(419),
    [sym_if_statement] = STATE(419),
    [sym_switch_statement] = STATE(419),
    [sym_case_statement] = STATE(419),
    [sym_while_statement] = STATE(419),
    [sym_do_statement] = STATE(419),
    [sym_for_statement] = STATE(419),
    [sym_return_statement] = STATE(419),
    [sym_break_statement] = STATE(419),
    [sym_continue_statement] = STATE(419),
    [sym_goto_statement] = STATE(419),
    [sym_seh_try_statement] = STATE(419),
    [sym_seh_leave_statement] = STATE(419),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(419),
    [sym_co_return_statement] = STATE(419),
    [sym_co_yield_statement] = STATE(419),
    [sym_throw_statement] = STATE(419),
    [sym_try_statement] = STATE(419),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(754),
    [sym_attributed_statement] = STATE(754),
    [sym_labeled_statement] = STATE(754),
    [sym_expression_statement] = STATE(754),
    [sym_if_statement] = STATE(754),
    [sym_switch_statement] = STATE(754),
    [sym_case_statement] = STATE(754),
    [sym_while_statement] = STATE(754),
    [sym_do_statement] = STATE(754),
    [sym_for_statement] = STATE(754),
    [sym_return_statement] = STATE(754),
    [sym_break_statement] = STATE(754),
    [sym_continue_statement] = STATE(754),
    [sym_goto_statement] = STATE(754),
    [sym_seh_try_statement] = STATE(754),
    [sym_seh_leave_statement] = STATE(754),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(754),
    [sym_co_return_statement] = STATE(754),
    [sym_co_yield_statement] = STATE(754),
    [sym_throw_statement] = STATE(754),
    [sym_try_statement] = STATE(754),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(9205),
    [sym_attributed_statement] = STATE(9205),
    [sym_labeled_statement] = STATE(9205),
    [sym_expression_statement] = STATE(9205),
    [sym_if_statement] = STATE(9205),
    [sym_switch_statement] = STATE(9205),
    [sym_case_statement] = STATE(9205),
    [sym_while_statement] = STATE(9205),
    [sym_do_statement] = STATE(9205),
    [sym_for_statement] = STATE(9205),
    [sym_return_statement] = STATE(9205),
    [sym_break_statement] = STATE(9205),
    [sym_continue_statement] = STATE(9205),
    [sym_goto_statement] = STATE(9205),
    [sym_seh_try_statement] = STATE(9205),
    [sym_seh_leave_statement] = STATE(9205),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(9205),
    [sym_co_return_statement] = STATE(9205),
    [sym_co_yield_statement] = STATE(9205),
    [sym_throw_statement] = STATE(9205),
    [sym_try_statement] = STATE(9205),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(686),
    [sym_attributed_statement] = STATE(686),
    [sym_labeled_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_if_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(686),
    [sym_do_statement] = STATE(686),
    [sym_for_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_break_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_goto_statement] = STATE(686),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(686),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(686),
    [sym_co_return_statement] = STATE(686),
    [sym_co_yield_statement] = STATE(686),
    [sym_throw_statement] = STATE(686),
    [sym_try_statement] = STATE(686),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(626),
    [sym_attributed_statement] = STATE(629),
    [sym_labeled_statement] = STATE(633),
    [sym_expression_statement] = STATE(634),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(639),
    [sym_case_statement] = STATE(640),
    [sym_while_statement] = STATE(641),
    [sym_do_statement] = STATE(642),
    [sym_for_statement] = STATE(643),
    [sym_return_statement] = STATE(644),
    [sym_break_statement] = STATE(646),
    [sym_continue_statement] = STATE(647),
    [sym_goto_statement] = STATE(651),
    [sym_seh_try_statement] = STATE(655),
    [sym_seh_leave_statement] = STATE(656),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(657),
    [sym_co_return_statement] = STATE(658),
    [sym_co_yield_statement] = STATE(659),
    [sym_throw_statement] = STATE(660),
    [sym_try_statement] = STATE(661),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(624),
    [sym_attributed_statement] = STATE(624),
    [sym_labeled_statement] = STATE(624),
    [sym_expression_statement] = STATE(624),
    [sym_if_statement] = STATE(624),
    [sym_switch_statement] = STATE(624),
    [sym_case_statement] = STATE(624),
    [sym_while_statement] = STATE(624),
    [sym_do_statement] = STATE(624),
    [sym_for_statement] = STATE(624),
    [sym_return_statement] = STATE(624),
    [sym_break_statement] = STATE(624),
    [sym_continue_statement] = STATE(624),
    [sym_goto_statement] = STATE(624),
    [sym_seh_try_statement] = STATE(624),
    [sym_seh_leave_statement] = STATE(624),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(624),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(624),
    [sym_throw_statement] = STATE(624),
    [sym_try_statement] = STATE(624),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(626),
    [sym_attributed_statement] = STATE(629),
    [sym_labeled_statement] = STATE(633),
    [sym_expression_statement] = STATE(634),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(639),
    [sym_case_statement] = STATE(640),
    [sym_while_statement] = STATE(641),
    [sym_do_statement] = STATE(642),
    [sym_for_statement] = STATE(643),
    [sym_return_statement] = STATE(644),
    [sym_break_statement] = STATE(646),
    [sym_continue_statement] = STATE(647),
    [sym_goto_statement] = STATE(651),
    [sym_seh_try_statement] = STATE(655),
    [sym_seh_leave_statement] = STATE(656),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(657),
    [sym_co_return_statement] = STATE(658),
    [sym_co_yield_statement] = STATE(659),
    [sym_throw_statement] = STATE(660),
    [sym_try_statement] = STATE(661),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(467),
    [sym_attributed_statement] = STATE(464),
    [sym_labeled_statement] = STATE(461),
    [sym_expression_statement] = STATE(455),
    [sym_if_statement] = STATE(452),
    [sym_switch_statement] = STATE(449),
    [sym_case_statement] = STATE(447),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(438),
    [sym_for_statement] = STATE(502),
    [sym_return_statement] = STATE(508),
    [sym_break_statement] = STATE(505),
    [sym_continue_statement] = STATE(503),
    [sym_goto_statement] = STATE(501),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(499),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(497),
    [sym_co_return_statement] = STATE(495),
    [sym_co_yield_statement] = STATE(486),
    [sym_throw_statement] = STATE(481),
    [sym_try_statement] = STATE(480),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(562),
    [sym_attributed_statement] = STATE(562),
    [sym_labeled_statement] = STATE(562),
    [sym_expression_statement] = STATE(562),
    [sym_if_statement] = STATE(562),
    [sym_switch_statement] = STATE(562),
    [sym_case_statement] = STATE(562),
    [sym_while_statement] = STATE(562),
    [sym_do_statement] = STATE(562),
    [sym_for_statement] = STATE(562),
    [sym_return_statement] = STATE(562),
    [sym_break_statement] = STATE(562),
    [sym_continue_statement] = STATE(562),
    [sym_goto_statement] = STATE(562),
    [sym_seh_try_statement] = STATE(562),
    [sym_seh_leave_statement] = STATE(562),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(562),
    [sym_co_return_statement] = STATE(562),
    [sym_co_yield_statement] = STATE(562),
    [sym_throw_statement] = STATE(562),
    [sym_try_statement] = STATE(562),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(9180),
    [sym_attributed_statement] = STATE(9180),
    [sym_labeled_statement] = STATE(9180),
    [sym_expression_statement] = STATE(9180),
    [sym_if_statement] = STATE(9180),
    [sym_switch_statement] = STATE(9180),
    [sym_case_statement] = STATE(9180),
    [sym_while_statement] = STATE(9180),
    [sym_do_statement] = STATE(9180),
    [sym_for_statement] = STATE(9180),
    [sym_return_statement] = STATE(9180),
    [sym_break_statement] = STATE(9180),
    [sym_continue_statement] = STATE(9180),
    [sym_goto_statement] = STATE(9180),
    [sym_seh_try_statement] = STATE(9180),
    [sym_seh_leave_statement] = STATE(9180),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(9180),
    [sym_co_return_statement] = STATE(9180),
    [sym_co_yield_statement] = STATE(9180),
    [sym_throw_statement] = STATE(9180),
    [sym_try_statement] = STATE(9180),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(662),
    [sym_attributed_statement] = STATE(663),
    [sym_labeled_statement] = STATE(664),
    [sym_expression_statement] = STATE(665),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(670),
    [sym_case_statement] = STATE(672),
    [sym_while_statement] = STATE(673),
    [sym_do_statement] = STATE(675),
    [sym_for_statement] = STATE(676),
    [sym_return_statement] = STATE(681),
    [sym_break_statement] = STATE(685),
    [sym_continue_statement] = STATE(687),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(690),
    [sym_seh_leave_statement] = STATE(691),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(692),
    [sym_co_return_statement] = STATE(693),
    [sym_co_yield_statement] = STATE(694),
    [sym_throw_statement] = STATE(696),
    [sym_try_statement] = STATE(698),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(496),
    [sym_attributed_statement] = STATE(496),
    [sym_labeled_statement] = STATE(496),
    [sym_expression_statement] = STATE(496),
    [sym_if_statement] = STATE(496),
    [sym_switch_statement] = STATE(496),
    [sym_case_statement] = STATE(496),
    [sym_while_statement] = STATE(496),
    [sym_do_statement] = STATE(496),
    [sym_for_statement] = STATE(496),
    [sym_return_statement] = STATE(496),
    [sym_break_statement] = STATE(496),
    [sym_continue_statement] = STATE(496),
    [sym_goto_statement] = STATE(496),
    [sym_seh_try_statement] = STATE(496),
    [sym_seh_leave_statement] = STATE(496),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(496),
    [sym_co_return_statement] = STATE(496),
    [sym_co_yield_statement] = STATE(496),
    [sym_throw_statement] = STATE(496),
    [sym_try_statement] = STATE(496),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2503),
    [anon_sym_default] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2515),
    [anon_sym_return] = ACTIONS(2518),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2527),
    [anon_sym___try] = ACTIONS(2530),
    [anon_sym___leave] = ACTIONS(2533),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2536),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2539),
    [anon_sym_co_return] = ACTIONS(2542),
    [anon_sym_co_yield] = ACTIONS(2545),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(274),
    [sym_attributed_statement] = STATE(274),
    [sym_labeled_statement] = STATE(274),
    [sym_expression_statement] = STATE(274),
    [sym_if_statement] = STATE(274),
    [sym_switch_statement] = STATE(274),
    [sym_case_statement] = STATE(274),
    [sym_while_statement] = STATE(274),
    [sym_do_statement] = STATE(274),
    [sym_for_statement] = STATE(274),
    [sym_return_statement] = STATE(274),
    [sym_break_statement] = STATE(274),
    [sym_continue_statement] = STATE(274),
    [sym_goto_statement] = STATE(274),
    [sym_seh_try_statement] = STATE(274),
    [sym_seh_leave_statement] = STATE(274),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(274),
    [sym_co_return_statement] = STATE(274),
    [sym_co_yield_statement] = STATE(274),
    [sym_throw_statement] = STATE(274),
    [sym_try_statement] = STATE(274),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(718),
    [sym_attributed_statement] = STATE(718),
    [sym_labeled_statement] = STATE(718),
    [sym_expression_statement] = STATE(718),
    [sym_if_statement] = STATE(718),
    [sym_switch_statement] = STATE(718),
    [sym_case_statement] = STATE(718),
    [sym_while_statement] = STATE(718),
    [sym_do_statement] = STATE(718),
    [sym_for_statement] = STATE(718),
    [sym_return_statement] = STATE(718),
    [sym_break_statement] = STATE(718),
    [sym_continue_statement] = STATE(718),
    [sym_goto_statement] = STATE(718),
    [sym_seh_try_statement] = STATE(718),
    [sym_seh_leave_statement] = STATE(718),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(718),
    [sym_co_return_statement] = STATE(718),
    [sym_co_yield_statement] = STATE(718),
    [sym_throw_statement] = STATE(718),
    [sym_try_statement] = STATE(718),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(716),
    [sym_attributed_statement] = STATE(715),
    [sym_labeled_statement] = STATE(710),
    [sym_expression_statement] = STATE(727),
    [sym_if_statement] = STATE(708),
    [sym_switch_statement] = STATE(705),
    [sym_case_statement] = STATE(701),
    [sym_while_statement] = STATE(699),
    [sym_do_statement] = STATE(684),
    [sym_for_statement] = STATE(683),
    [sym_return_statement] = STATE(679),
    [sym_break_statement] = STATE(667),
    [sym_continue_statement] = STATE(666),
    [sym_goto_statement] = STATE(652),
    [sym_seh_try_statement] = STATE(648),
    [sym_seh_leave_statement] = STATE(638),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(637),
    [sym_co_return_statement] = STATE(636),
    [sym_co_yield_statement] = STATE(632),
    [sym_throw_statement] = STATE(621),
    [sym_try_statement] = STATE(618),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(615),
    [sym_attributed_statement] = STATE(790),
    [sym_labeled_statement] = STATE(723),
    [sym_expression_statement] = STATE(725),
    [sym_if_statement] = STATE(734),
    [sym_switch_statement] = STATE(819),
    [sym_case_statement] = STATE(847),
    [sym_while_statement] = STATE(843),
    [sym_do_statement] = STATE(842),
    [sym_for_statement] = STATE(834),
    [sym_return_statement] = STATE(820),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(802),
    [sym_goto_statement] = STATE(800),
    [sym_seh_try_statement] = STATE(796),
    [sym_seh_leave_statement] = STATE(795),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(787),
    [sym_co_return_statement] = STATE(786),
    [sym_co_yield_statement] = STATE(785),
    [sym_throw_statement] = STATE(784),
    [sym_try_statement] = STATE(782),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(662),
    [sym_attributed_statement] = STATE(663),
    [sym_labeled_statement] = STATE(664),
    [sym_expression_statement] = STATE(665),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(670),
    [sym_case_statement] = STATE(672),
    [sym_while_statement] = STATE(673),
    [sym_do_statement] = STATE(675),
    [sym_for_statement] = STATE(676),
    [sym_return_statement] = STATE(681),
    [sym_break_statement] = STATE(685),
    [sym_continue_statement] = STATE(687),
    [sym_goto_statement] = STATE(688),
    [sym_seh_try_statement] = STATE(690),
    [sym_seh_leave_statement] = STATE(691),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(692),
    [sym_co_return_statement] = STATE(693),
    [sym_co_yield_statement] = STATE(694),
    [sym_throw_statement] = STATE(696),
    [sym_try_statement] = STATE(698),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(193),
    [sym_compound_statement] = STATE(327),
    [sym_attributed_statement] = STATE(327),
    [sym_labeled_statement] = STATE(327),
    [sym_expression_statement] = STATE(327),
    [sym_if_statement] = STATE(327),
    [sym_switch_statement] = STATE(327),
    [sym_case_statement] = STATE(327),
    [sym_while_statement] = STATE(327),
    [sym_do_statement] = STATE(327),
    [sym_for_statement] = STATE(327),
    [sym_return_statement] = STATE(327),
    [sym_break_statement] = STATE(327),
    [sym_continue_statement] = STATE(327),
    [sym_goto_statement] = STATE(327),
    [sym_seh_try_statement] = STATE(327),
    [sym_seh_leave_statement] = STATE(327),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(327),
    [sym_co_return_statement] = STATE(327),
    [sym_co_yield_statement] = STATE(327),
    [sym_throw_statement] = STATE(327),
    [sym_try_statement] = STATE(327),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(193),
    [sym_identifier] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2563),
    [anon_sym_default] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2575),
    [anon_sym_return] = ACTIONS(2578),
    [anon_sym_break] = ACTIONS(2581),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2587),
    [anon_sym___try] = ACTIONS(2590),
    [anon_sym___leave] = ACTIONS(2593),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(271),
    [sym_attributed_statement] = STATE(271),
    [sym_labeled_statement] = STATE(271),
    [sym_expression_statement] = STATE(271),
    [sym_if_statement] = STATE(271),
    [sym_switch_statement] = STATE(271),
    [sym_case_statement] = STATE(271),
    [sym_while_statement] = STATE(271),
    [sym_do_statement] = STATE(271),
    [sym_for_statement] = STATE(271),
    [sym_return_statement] = STATE(271),
    [sym_break_statement] = STATE(271),
    [sym_continue_statement] = STATE(271),
    [sym_goto_statement] = STATE(271),
    [sym_seh_try_statement] = STATE(271),
    [sym_seh_leave_statement] = STATE(271),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(271),
    [sym_co_return_statement] = STATE(271),
    [sym_co_yield_statement] = STATE(271),
    [sym_throw_statement] = STATE(271),
    [sym_try_statement] = STATE(271),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(9018),
    [sym_attributed_statement] = STATE(9018),
    [sym_labeled_statement] = STATE(9018),
    [sym_expression_statement] = STATE(9018),
    [sym_if_statement] = STATE(9018),
    [sym_switch_statement] = STATE(9018),
    [sym_case_statement] = STATE(9018),
    [sym_while_statement] = STATE(9018),
    [sym_do_statement] = STATE(9018),
    [sym_for_statement] = STATE(9018),
    [sym_return_statement] = STATE(9018),
    [sym_break_statement] = STATE(9018),
    [sym_continue_statement] = STATE(9018),
    [sym_goto_statement] = STATE(9018),
    [sym_seh_try_statement] = STATE(9018),
    [sym_seh_leave_statement] = STATE(9018),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(9018),
    [sym_co_return_statement] = STATE(9018),
    [sym_co_yield_statement] = STATE(9018),
    [sym_throw_statement] = STATE(9018),
    [sym_try_statement] = STATE(9018),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1133),
    [sym_attributed_statement] = STATE(1133),
    [sym_labeled_statement] = STATE(1133),
    [sym_expression_statement] = STATE(1133),
    [sym_if_statement] = STATE(1133),
    [sym_switch_statement] = STATE(1133),
    [sym_case_statement] = STATE(1133),
    [sym_while_statement] = STATE(1133),
    [sym_do_statement] = STATE(1133),
    [sym_for_statement] = STATE(1133),
    [sym_return_statement] = STATE(1133),
    [sym_break_statement] = STATE(1133),
    [sym_continue_statement] = STATE(1133),
    [sym_goto_statement] = STATE(1133),
    [sym_seh_try_statement] = STATE(1133),
    [sym_seh_leave_statement] = STATE(1133),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1133),
    [sym_co_return_statement] = STATE(1133),
    [sym_co_yield_statement] = STATE(1133),
    [sym_throw_statement] = STATE(1133),
    [sym_try_statement] = STATE(1133),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(8775),
    [sym_attributed_statement] = STATE(8775),
    [sym_labeled_statement] = STATE(8775),
    [sym_expression_statement] = STATE(8775),
    [sym_if_statement] = STATE(8775),
    [sym_switch_statement] = STATE(8775),
    [sym_case_statement] = STATE(8775),
    [sym_while_statement] = STATE(8775),
    [sym_do_statement] = STATE(8775),
    [sym_for_statement] = STATE(8775),
    [sym_return_statement] = STATE(8775),
    [sym_break_statement] = STATE(8775),
    [sym_continue_statement] = STATE(8775),
    [sym_goto_statement] = STATE(8775),
    [sym_seh_try_statement] = STATE(8775),
    [sym_seh_leave_statement] = STATE(8775),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(8775),
    [sym_co_return_statement] = STATE(8775),
    [sym_co_yield_statement] = STATE(8775),
    [sym_throw_statement] = STATE(8775),
    [sym_try_statement] = STATE(8775),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(466),
    [sym_attributed_statement] = STATE(466),
    [sym_labeled_statement] = STATE(466),
    [sym_expression_statement] = STATE(466),
    [sym_if_statement] = STATE(466),
    [sym_switch_statement] = STATE(466),
    [sym_case_statement] = STATE(466),
    [sym_while_statement] = STATE(466),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(466),
    [sym_return_statement] = STATE(466),
    [sym_break_statement] = STATE(466),
    [sym_continue_statement] = STATE(466),
    [sym_goto_statement] = STATE(466),
    [sym_seh_try_statement] = STATE(466),
    [sym_seh_leave_statement] = STATE(466),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(466),
    [sym_co_return_statement] = STATE(466),
    [sym_co_yield_statement] = STATE(466),
    [sym_throw_statement] = STATE(466),
    [sym_try_statement] = STATE(466),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(330),
    [sym_attributed_statement] = STATE(330),
    [sym_labeled_statement] = STATE(330),
    [sym_expression_statement] = STATE(330),
    [sym_if_statement] = STATE(330),
    [sym_switch_statement] = STATE(330),
    [sym_case_statement] = STATE(330),
    [sym_while_statement] = STATE(330),
    [sym_do_statement] = STATE(330),
    [sym_for_statement] = STATE(330),
    [sym_return_statement] = STATE(330),
    [sym_break_statement] = STATE(330),
    [sym_continue_statement] = STATE(330),
    [sym_goto_statement] = STATE(330),
    [sym_seh_try_statement] = STATE(330),
    [sym_seh_leave_statement] = STATE(330),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(330),
    [sym_co_return_statement] = STATE(330),
    [sym_co_yield_statement] = STATE(330),
    [sym_throw_statement] = STATE(330),
    [sym_try_statement] = STATE(330),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(306),
    [sym_attributed_statement] = STATE(347),
    [sym_labeled_statement] = STATE(346),
    [sym_expression_statement] = STATE(341),
    [sym_if_statement] = STATE(314),
    [sym_switch_statement] = STATE(273),
    [sym_case_statement] = STATE(304),
    [sym_while_statement] = STATE(301),
    [sym_do_statement] = STATE(291),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(279),
    [sym_break_statement] = STATE(276),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(325),
    [sym_seh_try_statement] = STATE(326),
    [sym_seh_leave_statement] = STATE(329),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(339),
    [sym_co_return_statement] = STATE(344),
    [sym_co_yield_statement] = STATE(348),
    [sym_throw_statement] = STATE(303),
    [sym_try_statement] = STATE(292),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(202),
    [sym_compound_statement] = STATE(328),
    [sym_attributed_statement] = STATE(332),
    [sym_labeled_statement] = STATE(345),
    [sym_expression_statement] = STATE(308),
    [sym_if_statement] = STATE(336),
    [sym_switch_statement] = STATE(318),
    [sym_case_statement] = STATE(316),
    [sym_while_statement] = STATE(310),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(289),
    [sym_break_statement] = STATE(343),
    [sym_continue_statement] = STATE(340),
    [sym_goto_statement] = STATE(338),
    [sym_seh_try_statement] = STATE(334),
    [sym_seh_leave_statement] = STATE(331),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(324),
    [sym_co_return_statement] = STATE(321),
    [sym_co_yield_statement] = STATE(317),
    [sym_throw_statement] = STATE(313),
    [sym_try_statement] = STATE(295),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(202),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(193),
    [sym_compound_statement] = STATE(327),
    [sym_attributed_statement] = STATE(327),
    [sym_labeled_statement] = STATE(327),
    [sym_expression_statement] = STATE(327),
    [sym_if_statement] = STATE(327),
    [sym_switch_statement] = STATE(327),
    [sym_case_statement] = STATE(327),
    [sym_while_statement] = STATE(327),
    [sym_do_statement] = STATE(327),
    [sym_for_statement] = STATE(327),
    [sym_return_statement] = STATE(327),
    [sym_break_statement] = STATE(327),
    [sym_continue_statement] = STATE(327),
    [sym_goto_statement] = STATE(327),
    [sym_seh_try_statement] = STATE(327),
    [sym_seh_leave_statement] = STATE(327),
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8827),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(327),
    [sym_co_return_statement] = STATE(327),
    [sym_co_yield_statement] = STATE(327),
    [sym_throw_statement] = STATE(327),
    [sym_try_statement] = STATE(327),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(193),
    [sym_identifier] = ACTIONS(2332),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1131),
    [sym_attributed_statement] = STATE(1131),
    [sym_labeled_statement] = STATE(1131),
    [sym_expression_statement] = STATE(1131),
    [sym_if_statement] = STATE(1131),
    [sym_switch_statement] = STATE(1131),
    [sym_case_statement] = STATE(1131),
    [sym_while_statement] = STATE(1131),
    [sym_do_statement] = STATE(1131),
    [sym_for_statement] = STATE(1131),
    [sym_return_statement] = STATE(1131),
    [sym_break_statement] = STATE(1131),
    [sym_continue_statement] = STATE(1131),
    [sym_goto_statement] = STATE(1131),
    [sym_seh_try_statement] = STATE(1131),
    [sym_seh_leave_statement] = STATE(1131),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1131),
    [sym_co_return_statement] = STATE(1131),
    [sym_co_yield_statement] = STATE(1131),
    [sym_throw_statement] = STATE(1131),
    [sym_try_statement] = STATE(1131),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(592),
    [sym_attributed_statement] = STATE(592),
    [sym_labeled_statement] = STATE(592),
    [sym_expression_statement] = STATE(592),
    [sym_if_statement] = STATE(592),
    [sym_switch_statement] = STATE(592),
    [sym_case_statement] = STATE(592),
    [sym_while_statement] = STATE(592),
    [sym_do_statement] = STATE(592),
    [sym_for_statement] = STATE(592),
    [sym_return_statement] = STATE(592),
    [sym_break_statement] = STATE(592),
    [sym_continue_statement] = STATE(592),
    [sym_goto_statement] = STATE(592),
    [sym_seh_try_statement] = STATE(592),
    [sym_seh_leave_statement] = STATE(592),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(592),
    [sym_co_return_statement] = STATE(592),
    [sym_co_yield_statement] = STATE(592),
    [sym_throw_statement] = STATE(592),
    [sym_try_statement] = STATE(592),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(8125),
    [sym_attributed_statement] = STATE(8125),
    [sym_labeled_statement] = STATE(8125),
    [sym_expression_statement] = STATE(8125),
    [sym_if_statement] = STATE(8125),
    [sym_switch_statement] = STATE(8125),
    [sym_case_statement] = STATE(8125),
    [sym_while_statement] = STATE(8125),
    [sym_do_statement] = STATE(8125),
    [sym_for_statement] = STATE(8125),
    [sym_return_statement] = STATE(8125),
    [sym_break_statement] = STATE(8125),
    [sym_continue_statement] = STATE(8125),
    [sym_goto_statement] = STATE(8125),
    [sym_seh_try_statement] = STATE(8125),
    [sym_seh_leave_statement] = STATE(8125),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(8125),
    [sym_co_return_statement] = STATE(8125),
    [sym_co_yield_statement] = STATE(8125),
    [sym_throw_statement] = STATE(8125),
    [sym_try_statement] = STATE(8125),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(620),
    [sym_attributed_statement] = STATE(620),
    [sym_labeled_statement] = STATE(620),
    [sym_expression_statement] = STATE(620),
    [sym_if_statement] = STATE(620),
    [sym_switch_statement] = STATE(620),
    [sym_case_statement] = STATE(620),
    [sym_while_statement] = STATE(620),
    [sym_do_statement] = STATE(620),
    [sym_for_statement] = STATE(620),
    [sym_return_statement] = STATE(620),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(620),
    [sym_goto_statement] = STATE(620),
    [sym_seh_try_statement] = STATE(620),
    [sym_seh_leave_statement] = STATE(620),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(620),
    [sym_co_return_statement] = STATE(620),
    [sym_co_yield_statement] = STATE(620),
    [sym_throw_statement] = STATE(620),
    [sym_try_statement] = STATE(620),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(810),
    [sym_attributed_statement] = STATE(811),
    [sym_labeled_statement] = STATE(818),
    [sym_expression_statement] = STATE(822),
    [sym_if_statement] = STATE(824),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(829),
    [sym_while_statement] = STATE(830),
    [sym_do_statement] = STATE(832),
    [sym_for_statement] = STATE(833),
    [sym_return_statement] = STATE(838),
    [sym_break_statement] = STATE(841),
    [sym_continue_statement] = STATE(845),
    [sym_goto_statement] = STATE(853),
    [sym_seh_try_statement] = STATE(852),
    [sym_seh_leave_statement] = STATE(850),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(848),
    [sym_co_return_statement] = STATE(846),
    [sym_co_yield_statement] = STATE(840),
    [sym_throw_statement] = STATE(839),
    [sym_try_statement] = STATE(836),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(714),
    [sym_attributed_statement] = STATE(714),
    [sym_labeled_statement] = STATE(714),
    [sym_expression_statement] = STATE(714),
    [sym_if_statement] = STATE(714),
    [sym_switch_statement] = STATE(714),
    [sym_case_statement] = STATE(714),
    [sym_while_statement] = STATE(714),
    [sym_do_statement] = STATE(714),
    [sym_for_statement] = STATE(714),
    [sym_return_statement] = STATE(714),
    [sym_break_statement] = STATE(714),
    [sym_continue_statement] = STATE(714),
    [sym_goto_statement] = STATE(714),
    [sym_seh_try_statement] = STATE(714),
    [sym_seh_leave_statement] = STATE(714),
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(714),
    [sym_co_return_statement] = STATE(714),
    [sym_co_yield_statement] = STATE(714),
    [sym_throw_statement] = STATE(714),
    [sym_try_statement] = STATE(714),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1082),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_goto] = ACTIONS(1102),
    [anon_sym___try] = ACTIONS(1104),
    [anon_sym___leave] = ACTIONS(1106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_co_return] = ACTIONS(1122),
    [anon_sym_co_yield] = ACTIONS(1124),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(616),
    [sym_attributed_statement] = STATE(616),
    [sym_labeled_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_switch_statement] = STATE(616),
    [sym_case_statement] = STATE(616),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_seh_try_statement] = STATE(616),
    [sym_seh_leave_statement] = STATE(616),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(616),
    [sym_co_return_statement] = STATE(616),
    [sym_co_yield_statement] = STATE(616),
    [sym_throw_statement] = STATE(616),
    [sym_try_statement] = STATE(616),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1193),
    [sym_attributed_statement] = STATE(1193),
    [sym_labeled_statement] = STATE(1193),
    [sym_expression_statement] = STATE(1193),
    [sym_if_statement] = STATE(1193),
    [sym_switch_statement] = STATE(1193),
    [sym_case_statement] = STATE(1193),
    [sym_while_statement] = STATE(1193),
    [sym_do_statement] = STATE(1193),
    [sym_for_statement] = STATE(1193),
    [sym_return_statement] = STATE(1193),
    [sym_break_statement] = STATE(1193),
    [sym_continue_statement] = STATE(1193),
    [sym_goto_statement] = STATE(1193),
    [sym_seh_try_statement] = STATE(1193),
    [sym_seh_leave_statement] = STATE(1193),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1193),
    [sym_co_return_statement] = STATE(1193),
    [sym_co_yield_statement] = STATE(1193),
    [sym_throw_statement] = STATE(1193),
    [sym_try_statement] = STATE(1193),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(813),
    [sym_attributed_statement] = STATE(813),
    [sym_labeled_statement] = STATE(813),
    [sym_expression_statement] = STATE(813),
    [sym_if_statement] = STATE(813),
    [sym_switch_statement] = STATE(813),
    [sym_case_statement] = STATE(813),
    [sym_while_statement] = STATE(813),
    [sym_do_statement] = STATE(813),
    [sym_for_statement] = STATE(813),
    [sym_return_statement] = STATE(813),
    [sym_break_statement] = STATE(813),
    [sym_continue_statement] = STATE(813),
    [sym_goto_statement] = STATE(813),
    [sym_seh_try_statement] = STATE(813),
    [sym_seh_leave_statement] = STATE(813),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(813),
    [sym_co_return_statement] = STATE(813),
    [sym_co_yield_statement] = STATE(813),
    [sym_throw_statement] = STATE(813),
    [sym_try_statement] = STATE(813),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1207),
    [sym_attributed_statement] = STATE(1207),
    [sym_labeled_statement] = STATE(1207),
    [sym_expression_statement] = STATE(1207),
    [sym_if_statement] = STATE(1207),
    [sym_switch_statement] = STATE(1207),
    [sym_case_statement] = STATE(1207),
    [sym_while_statement] = STATE(1207),
    [sym_do_statement] = STATE(1207),
    [sym_for_statement] = STATE(1207),
    [sym_return_statement] = STATE(1207),
    [sym_break_statement] = STATE(1207),
    [sym_continue_statement] = STATE(1207),
    [sym_goto_statement] = STATE(1207),
    [sym_seh_try_statement] = STATE(1207),
    [sym_seh_leave_statement] = STATE(1207),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1207),
    [sym_co_return_statement] = STATE(1207),
    [sym_co_yield_statement] = STATE(1207),
    [sym_throw_statement] = STATE(1207),
    [sym_try_statement] = STATE(1207),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(213),
    [sym_compound_statement] = STATE(686),
    [sym_attributed_statement] = STATE(686),
    [sym_labeled_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_if_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(686),
    [sym_do_statement] = STATE(686),
    [sym_for_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_break_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_goto_statement] = STATE(686),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(686),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(686),
    [sym_co_return_statement] = STATE(686),
    [sym_co_yield_statement] = STATE(686),
    [sym_throw_statement] = STATE(686),
    [sym_try_statement] = STATE(686),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2623),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym___leave] = ACTIONS(2653),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1176),
    [sym_attributed_statement] = STATE(1176),
    [sym_labeled_statement] = STATE(1176),
    [sym_expression_statement] = STATE(1176),
    [sym_if_statement] = STATE(1176),
    [sym_switch_statement] = STATE(1176),
    [sym_case_statement] = STATE(1176),
    [sym_while_statement] = STATE(1176),
    [sym_do_statement] = STATE(1176),
    [sym_for_statement] = STATE(1176),
    [sym_return_statement] = STATE(1176),
    [sym_break_statement] = STATE(1176),
    [sym_continue_statement] = STATE(1176),
    [sym_goto_statement] = STATE(1176),
    [sym_seh_try_statement] = STATE(1176),
    [sym_seh_leave_statement] = STATE(1176),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1176),
    [sym_co_return_statement] = STATE(1176),
    [sym_co_yield_statement] = STATE(1176),
    [sym_throw_statement] = STATE(1176),
    [sym_try_statement] = STATE(1176),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(454),
    [sym_attributed_statement] = STATE(454),
    [sym_labeled_statement] = STATE(454),
    [sym_expression_statement] = STATE(454),
    [sym_if_statement] = STATE(454),
    [sym_switch_statement] = STATE(454),
    [sym_case_statement] = STATE(454),
    [sym_while_statement] = STATE(454),
    [sym_do_statement] = STATE(454),
    [sym_for_statement] = STATE(454),
    [sym_return_statement] = STATE(454),
    [sym_break_statement] = STATE(454),
    [sym_continue_statement] = STATE(454),
    [sym_goto_statement] = STATE(454),
    [sym_seh_try_statement] = STATE(454),
    [sym_seh_leave_statement] = STATE(454),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(454),
    [sym_co_yield_statement] = STATE(454),
    [sym_throw_statement] = STATE(454),
    [sym_try_statement] = STATE(454),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_seh_try_statement] = STATE(570),
    [sym_seh_leave_statement] = STATE(570),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(570),
    [sym_co_return_statement] = STATE(570),
    [sym_co_yield_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_try_statement] = STATE(570),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [217] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(612),
    [sym_attributed_statement] = STATE(758),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(760),
    [sym_if_statement] = STATE(761),
    [sym_switch_statement] = STATE(770),
    [sym_case_statement] = STATE(771),
    [sym_while_statement] = STATE(773),
    [sym_do_statement] = STATE(774),
    [sym_for_statement] = STATE(775),
    [sym_return_statement] = STATE(776),
    [sym_break_statement] = STATE(777),
    [sym_continue_statement] = STATE(778),
    [sym_goto_statement] = STATE(789),
    [sym_seh_try_statement] = STATE(791),
    [sym_seh_leave_statement] = STATE(792),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(797),
    [sym_co_return_statement] = STATE(798),
    [sym_co_yield_statement] = STATE(799),
    [sym_throw_statement] = STATE(801),
    [sym_try_statement] = STATE(809),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [218] = {
    [sym_attribute_declaration] = STATE(218),
    [sym_compound_statement] = STATE(686),
    [sym_attributed_statement] = STATE(686),
    [sym_labeled_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_if_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(686),
    [sym_do_statement] = STATE(686),
    [sym_for_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_break_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_goto_statement] = STATE(686),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(686),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(686),
    [sym_co_return_statement] = STATE(686),
    [sym_co_yield_statement] = STATE(686),
    [sym_throw_statement] = STATE(686),
    [sym_try_statement] = STATE(686),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(2668),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2620),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_do] = ACTIONS(2632),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2644),
    [anon_sym_goto] = ACTIONS(2647),
    [anon_sym___try] = ACTIONS(2689),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2656),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_co_return] = ACTIONS(2662),
    [anon_sym_co_yield] = ACTIONS(2665),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [219] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(620),
    [sym_attributed_statement] = STATE(620),
    [sym_labeled_statement] = STATE(620),
    [sym_expression_statement] = STATE(620),
    [sym_if_statement] = STATE(620),
    [sym_switch_statement] = STATE(620),
    [sym_case_statement] = STATE(620),
    [sym_while_statement] = STATE(620),
    [sym_do_statement] = STATE(620),
    [sym_for_statement] = STATE(620),
    [sym_return_statement] = STATE(620),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(620),
    [sym_goto_statement] = STATE(620),
    [sym_seh_try_statement] = STATE(620),
    [sym_seh_leave_statement] = STATE(620),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(620),
    [sym_co_return_statement] = STATE(620),
    [sym_co_yield_statement] = STATE(620),
    [sym_throw_statement] = STATE(620),
    [sym_try_statement] = STATE(620),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [220] = {
    [sym_attribute_declaration] = STATE(179),
    [sym_compound_statement] = STATE(616),
    [sym_attributed_statement] = STATE(616),
    [sym_labeled_statement] = STATE(616),
    [sym_expression_statement] = STATE(616),
    [sym_if_statement] = STATE(616),
    [sym_switch_statement] = STATE(616),
    [sym_case_statement] = STATE(616),
    [sym_while_statement] = STATE(616),
    [sym_do_statement] = STATE(616),
    [sym_for_statement] = STATE(616),
    [sym_return_statement] = STATE(616),
    [sym_break_statement] = STATE(616),
    [sym_continue_statement] = STATE(616),
    [sym_goto_statement] = STATE(616),
    [sym_seh_try_statement] = STATE(616),
    [sym_seh_leave_statement] = STATE(616),
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9123),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(616),
    [sym_co_return_statement] = STATE(616),
    [sym_co_yield_statement] = STATE(616),
    [sym_throw_statement] = STATE(616),
    [sym_try_statement] = STATE(616),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(179),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1754),
    [anon_sym___leave] = ACTIONS(1756),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1205),
    [sym_attributed_statement] = STATE(1203),
    [sym_labeled_statement] = STATE(1202),
    [sym_expression_statement] = STATE(1201),
    [sym_if_statement] = STATE(1200),
    [sym_switch_statement] = STATE(1199),
    [sym_case_statement] = STATE(1198),
    [sym_while_statement] = STATE(1197),
    [sym_do_statement] = STATE(1195),
    [sym_for_statement] = STATE(1194),
    [sym_return_statement] = STATE(1190),
    [sym_break_statement] = STATE(1189),
    [sym_continue_statement] = STATE(1187),
    [sym_goto_statement] = STATE(1186),
    [sym_seh_try_statement] = STATE(1135),
    [sym_seh_leave_statement] = STATE(1185),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1184),
    [sym_co_return_statement] = STATE(1183),
    [sym_co_yield_statement] = STATE(1182),
    [sym_throw_statement] = STATE(1181),
    [sym_try_statement] = STATE(1180),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(586),
    [sym_attributed_statement] = STATE(586),
    [sym_labeled_statement] = STATE(586),
    [sym_expression_statement] = STATE(586),
    [sym_if_statement] = STATE(586),
    [sym_switch_statement] = STATE(586),
    [sym_case_statement] = STATE(586),
    [sym_while_statement] = STATE(586),
    [sym_do_statement] = STATE(586),
    [sym_for_statement] = STATE(586),
    [sym_return_statement] = STATE(586),
    [sym_break_statement] = STATE(586),
    [sym_continue_statement] = STATE(586),
    [sym_goto_statement] = STATE(586),
    [sym_seh_try_statement] = STATE(586),
    [sym_seh_leave_statement] = STATE(586),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(586),
    [sym_co_return_statement] = STATE(586),
    [sym_co_yield_statement] = STATE(586),
    [sym_throw_statement] = STATE(586),
    [sym_try_statement] = STATE(586),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [223] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(8147),
    [sym_attributed_statement] = STATE(8147),
    [sym_labeled_statement] = STATE(8147),
    [sym_expression_statement] = STATE(8147),
    [sym_if_statement] = STATE(8147),
    [sym_switch_statement] = STATE(8147),
    [sym_case_statement] = STATE(8147),
    [sym_while_statement] = STATE(8147),
    [sym_do_statement] = STATE(8147),
    [sym_for_statement] = STATE(8147),
    [sym_return_statement] = STATE(8147),
    [sym_break_statement] = STATE(8147),
    [sym_continue_statement] = STATE(8147),
    [sym_goto_statement] = STATE(8147),
    [sym_seh_try_statement] = STATE(8147),
    [sym_seh_leave_statement] = STATE(8147),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(8147),
    [sym_co_return_statement] = STATE(8147),
    [sym_co_yield_statement] = STATE(8147),
    [sym_throw_statement] = STATE(8147),
    [sym_try_statement] = STATE(8147),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [224] = {
    [sym_attribute_declaration] = STATE(224),
    [sym_compound_statement] = STATE(1204),
    [sym_attributed_statement] = STATE(1204),
    [sym_labeled_statement] = STATE(1204),
    [sym_expression_statement] = STATE(1204),
    [sym_if_statement] = STATE(1204),
    [sym_switch_statement] = STATE(1204),
    [sym_case_statement] = STATE(1204),
    [sym_while_statement] = STATE(1204),
    [sym_do_statement] = STATE(1204),
    [sym_for_statement] = STATE(1204),
    [sym_return_statement] = STATE(1204),
    [sym_break_statement] = STATE(1204),
    [sym_continue_statement] = STATE(1204),
    [sym_goto_statement] = STATE(1204),
    [sym_seh_try_statement] = STATE(1204),
    [sym_seh_leave_statement] = STATE(1204),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1204),
    [sym_co_return_statement] = STATE(1204),
    [sym_co_yield_statement] = STATE(1204),
    [sym_throw_statement] = STATE(1204),
    [sym_try_statement] = STATE(1204),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(224),
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2698),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2704),
    [anon_sym_switch] = ACTIONS(2707),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2680),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2716),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_goto] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2731),
    [anon_sym___leave] = ACTIONS(2734),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2737),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2740),
    [anon_sym_co_return] = ACTIONS(2743),
    [anon_sym_co_yield] = ACTIONS(2746),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [225] = {
    [sym_attribute_declaration] = STATE(160),
    [sym_compound_statement] = STATE(414),
    [sym_attributed_statement] = STATE(414),
    [sym_labeled_statement] = STATE(414),
    [sym_expression_statement] = STATE(414),
    [sym_if_statement] = STATE(414),
    [sym_switch_statement] = STATE(414),
    [sym_case_statement] = STATE(414),
    [sym_while_statement] = STATE(414),
    [sym_do_statement] = STATE(414),
    [sym_for_statement] = STATE(414),
    [sym_return_statement] = STATE(414),
    [sym_break_statement] = STATE(414),
    [sym_continue_statement] = STATE(414),
    [sym_goto_statement] = STATE(414),
    [sym_seh_try_statement] = STATE(414),
    [sym_seh_leave_statement] = STATE(414),
    [sym__expression] = STATE(5181),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8805),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(414),
    [sym_co_return_statement] = STATE(414),
    [sym_co_yield_statement] = STATE(414),
    [sym_throw_statement] = STATE(414),
    [sym_try_statement] = STATE(414),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(160),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [226] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(781),
    [sym_attributed_statement] = STATE(781),
    [sym_labeled_statement] = STATE(781),
    [sym_expression_statement] = STATE(781),
    [sym_if_statement] = STATE(781),
    [sym_switch_statement] = STATE(781),
    [sym_case_statement] = STATE(781),
    [sym_while_statement] = STATE(781),
    [sym_do_statement] = STATE(781),
    [sym_for_statement] = STATE(781),
    [sym_return_statement] = STATE(781),
    [sym_break_statement] = STATE(781),
    [sym_continue_statement] = STATE(781),
    [sym_goto_statement] = STATE(781),
    [sym_seh_try_statement] = STATE(781),
    [sym_seh_leave_statement] = STATE(781),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(781),
    [sym_co_return_statement] = STATE(781),
    [sym_co_yield_statement] = STATE(781),
    [sym_throw_statement] = STATE(781),
    [sym_try_statement] = STATE(781),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_LPAREN2] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2359),
    [anon_sym_PLUS] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_LBRACK] = ACTIONS(2377),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_if] = ACTIONS(2755),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_while] = ACTIONS(2767),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2776),
    [anon_sym_break] = ACTIONS(2779),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2785),
    [anon_sym___try] = ACTIONS(2788),
    [anon_sym___leave] = ACTIONS(2692),
    [anon_sym_not] = ACTIONS(2359),
    [anon_sym_compl] = ACTIONS(2359),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2425),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2431),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2437),
    [anon_sym___asm__] = ACTIONS(2437),
    [sym_number_literal] = ACTIONS(2440),
    [anon_sym_L_SQUOTE] = ACTIONS(2443),
    [anon_sym_u_SQUOTE] = ACTIONS(2443),
    [anon_sym_U_SQUOTE] = ACTIONS(2443),
    [anon_sym_u8_SQUOTE] = ACTIONS(2443),
    [anon_sym_SQUOTE] = ACTIONS(2443),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2455),
    [anon_sym_template] = ACTIONS(2458),
    [anon_sym_try] = ACTIONS(2791),
    [anon_sym_delete] = ACTIONS(2464),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2476),
    [anon_sym_LR_DQUOTE] = ACTIONS(2476),
    [anon_sym_uR_DQUOTE] = ACTIONS(2476),
    [anon_sym_UR_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2476),
    [anon_sym_co_await] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2482),
    [anon_sym_requires] = ACTIONS(2485),
    [sym_this] = ACTIONS(2449),
  },
  [227] = {
    [sym_attribute_declaration] = STATE(172),
    [sym_compound_statement] = STATE(1177),
    [sym_attributed_statement] = STATE(1175),
    [sym_labeled_statement] = STATE(1174),
    [sym_expression_statement] = STATE(1173),
    [sym_if_statement] = STATE(1172),
    [sym_switch_statement] = STATE(1171),
    [sym_case_statement] = STATE(1170),
    [sym_while_statement] = STATE(1169),
    [sym_do_statement] = STATE(1166),
    [sym_for_statement] = STATE(1165),
    [sym_return_statement] = STATE(1164),
    [sym_break_statement] = STATE(1159),
    [sym_continue_statement] = STATE(1210),
    [sym_goto_statement] = STATE(1157),
    [sym_seh_try_statement] = STATE(1155),
    [sym_seh_leave_statement] = STATE(1152),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9092),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(1150),
    [sym_co_return_statement] = STATE(1148),
    [sym_co_yield_statement] = STATE(1147),
    [sym_throw_statement] = STATE(1145),
    [sym_try_statement] = STATE(1138),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(172),
    [sym_identifier] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [228] = {
    [sym_attribute_declaration] = STATE(218),
    [sym_compound_statement] = STATE(686),
    [sym_attributed_statement] = STATE(686),
    [sym_labeled_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_if_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(686),
    [sym_do_statement] = STATE(686),
    [sym_for_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_break_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_goto_statement] = STATE(686),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(686),
    [sym__expression] = STATE(5191),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_for_range_loop] = STATE(686),
    [sym_co_return_statement] = STATE(686),
    [sym_co_yield_statement] = STATE(686),
    [sym_throw_statement] = STATE(686),
    [sym_try_statement] = STATE(686),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_attributed_declarator_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(2334),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [229] = {
    [sym__expression] = STATE(3839),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_COLON] = ACTIONS(2134),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_and_eq] = ACTIONS(2134),
    [anon_sym_or_eq] = ACTIONS(2134),
    [anon_sym_xor_eq] = ACTIONS(2134),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [230] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [231] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [232] = {
    [sym__expression] = STATE(4111),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_initializer_list] = STATE(4369),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2134),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_STAR_EQ] = ACTIONS(2136),
    [anon_sym_SLASH_EQ] = ACTIONS(2136),
    [anon_sym_PERCENT_EQ] = ACTIONS(2136),
    [anon_sym_PLUS_EQ] = ACTIONS(2136),
    [anon_sym_DASH_EQ] = ACTIONS(2136),
    [anon_sym_LT_LT_EQ] = ACTIONS(2136),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2136),
    [anon_sym_CARET_EQ] = ACTIONS(2136),
    [anon_sym_PIPE_EQ] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2134),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2136),
    [sym_this] = ACTIONS(2038),
  },
  [233] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9539),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [234] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3250),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8608),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9146),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9285),
    [sym__unary_right_fold] = STATE(9283),
    [sym__binary_fold] = STATE(9280),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8603),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [235] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3233),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9135),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9134),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9133),
    [sym__unary_right_fold] = STATE(9132),
    [sym__binary_fold] = STATE(9131),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9130),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [236] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3276),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8777),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8607),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8636),
    [sym__unary_right_fold] = STATE(8605),
    [sym__binary_fold] = STATE(8604),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8838),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [237] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9108),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [238] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8844),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [239] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [240] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9442),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [241] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3276),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8777),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8642),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8636),
    [sym__unary_right_fold] = STATE(8605),
    [sym__binary_fold] = STATE(8604),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8838),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [242] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3250),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8608),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9425),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9421),
    [sym__unary_right_fold] = STATE(9420),
    [sym__binary_fold] = STATE(9418),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8603),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [243] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9471),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [244] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3233),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9135),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9067),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9133),
    [sym__unary_right_fold] = STATE(9132),
    [sym__binary_fold] = STATE(9131),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9130),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [245] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9176),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [246] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9223),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [247] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8743),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [248] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9080),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [249] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9286),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [250] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9190),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [251] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3250),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8608),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9377),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9421),
    [sym__unary_right_fold] = STATE(9420),
    [sym__binary_fold] = STATE(9418),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8603),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [252] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9309),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [253] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(2819),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [254] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3233),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9135),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8792),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8794),
    [sym__unary_right_fold] = STATE(8795),
    [sym__binary_fold] = STATE(8820),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9130),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [255] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9385),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [256] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3250),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8608),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9170),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9285),
    [sym__unary_right_fold] = STATE(9283),
    [sym__binary_fold] = STATE(9280),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8603),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [257] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9215),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [258] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9041),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [259] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9007),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [260] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3276),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8777),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9014),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8953),
    [sym__unary_right_fold] = STATE(8955),
    [sym__binary_fold] = STATE(8958),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8838),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [261] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3276),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(8777),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8952),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8953),
    [sym__unary_right_fold] = STATE(8955),
    [sym__binary_fold] = STATE(8958),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(8838),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [262] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9149),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [263] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3316),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(9177),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [264] = {
    [sym_type_qualifier] = STATE(4614),
    [sym__type_specifier] = STATE(5527),
    [sym_sized_type_specifier] = STATE(2260),
    [sym_enum_specifier] = STATE(2260),
    [sym_struct_specifier] = STATE(2260),
    [sym_union_specifier] = STATE(2260),
    [sym__expression] = STATE(3233),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_comma_expression] = STATE(9135),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_type_descriptor] = STATE(8846),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_placeholder_type_specifier] = STATE(2260),
    [sym_decltype_auto] = STATE(2259),
    [sym_decltype] = STATE(2205),
    [sym_class_specifier] = STATE(2260),
    [sym__class_name] = STATE(8288),
    [sym_dependent_type] = STATE(2260),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym__unary_left_fold] = STATE(8794),
    [sym__unary_right_fold] = STATE(8795),
    [sym__binary_fold] = STATE(8820),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6285),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym__assignment_expression_lhs] = STATE(9130),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4614),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2277),
    [sym_identifier] = ACTIONS(2834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [267] = {
    [sym_else_clause] = STATE(342),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [268] = {
    [sym_catch_clause] = STATE(270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(270),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [270] = {
    [sym_catch_clause] = STATE(270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(270),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2860),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [271] = {
    [sym_else_clause] = STATE(322),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [aux_sym_preproc_else_token1] = ACTIONS(2863),
    [aux_sym_preproc_elif_token1] = ACTIONS(2863),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [aux_sym_preproc_else_token1] = ACTIONS(2875),
    [aux_sym_preproc_elif_token1] = ACTIONS(2875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [aux_sym_preproc_else_token1] = ACTIONS(2879),
    [aux_sym_preproc_elif_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [aux_sym_preproc_else_token1] = ACTIONS(2883),
    [aux_sym_preproc_elif_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [280] = {
    [sym_catch_clause] = STATE(270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(270),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token2] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [aux_sym_preproc_else_token1] = ACTIONS(2891),
    [aux_sym_preproc_elif_token1] = ACTIONS(2891),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [284] = {
    [sym_catch_clause] = STATE(270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(270),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(2858),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [aux_sym_preproc_else_token1] = ACTIONS(2899),
    [aux_sym_preproc_elif_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2915),
    [aux_sym_preproc_include_token1] = ACTIONS(2915),
    [aux_sym_preproc_def_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token2] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2915),
    [aux_sym_preproc_else_token1] = ACTIONS(2915),
    [aux_sym_preproc_elif_token1] = ACTIONS(2915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2915),
    [sym_preproc_directive] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym___based] = ACTIONS(2915),
    [anon_sym___cdecl] = ACTIONS(2915),
    [anon_sym___clrcall] = ACTIONS(2915),
    [anon_sym___stdcall] = ACTIONS(2915),
    [anon_sym___fastcall] = ACTIONS(2915),
    [anon_sym___thiscall] = ACTIONS(2915),
    [anon_sym___vectorcall] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_case] = ACTIONS(2915),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_explicit] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_operator] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_static_assert] = ACTIONS(2915),
    [anon_sym_concept] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [aux_sym_preproc_else_token1] = ACTIONS(2919),
    [aux_sym_preproc_elif_token1] = ACTIONS(2919),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2923),
    [aux_sym_preproc_include_token1] = ACTIONS(2923),
    [aux_sym_preproc_def_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token2] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2923),
    [aux_sym_preproc_else_token1] = ACTIONS(2923),
    [aux_sym_preproc_elif_token1] = ACTIONS(2923),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2923),
    [sym_preproc_directive] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym___based] = ACTIONS(2923),
    [anon_sym___cdecl] = ACTIONS(2923),
    [anon_sym___clrcall] = ACTIONS(2923),
    [anon_sym___stdcall] = ACTIONS(2923),
    [anon_sym___fastcall] = ACTIONS(2923),
    [anon_sym___thiscall] = ACTIONS(2923),
    [anon_sym___vectorcall] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_case] = ACTIONS(2923),
    [anon_sym_default] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_explicit] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_static_assert] = ACTIONS(2923),
    [anon_sym_concept] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2927),
    [aux_sym_preproc_include_token1] = ACTIONS(2927),
    [aux_sym_preproc_def_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token2] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2927),
    [aux_sym_preproc_else_token1] = ACTIONS(2927),
    [aux_sym_preproc_elif_token1] = ACTIONS(2927),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2927),
    [sym_preproc_directive] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym___based] = ACTIONS(2927),
    [anon_sym___cdecl] = ACTIONS(2927),
    [anon_sym___clrcall] = ACTIONS(2927),
    [anon_sym___stdcall] = ACTIONS(2927),
    [anon_sym___fastcall] = ACTIONS(2927),
    [anon_sym___thiscall] = ACTIONS(2927),
    [anon_sym___vectorcall] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_case] = ACTIONS(2927),
    [anon_sym_default] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_explicit] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_namespace] = ACTIONS(2927),
    [anon_sym_using] = ACTIONS(2927),
    [anon_sym_static_assert] = ACTIONS(2927),
    [anon_sym_concept] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2931),
    [aux_sym_preproc_include_token1] = ACTIONS(2931),
    [aux_sym_preproc_def_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token2] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2931),
    [aux_sym_preproc_else_token1] = ACTIONS(2931),
    [aux_sym_preproc_elif_token1] = ACTIONS(2931),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2931),
    [sym_preproc_directive] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym___based] = ACTIONS(2931),
    [anon_sym___cdecl] = ACTIONS(2931),
    [anon_sym___clrcall] = ACTIONS(2931),
    [anon_sym___stdcall] = ACTIONS(2931),
    [anon_sym___fastcall] = ACTIONS(2931),
    [anon_sym___thiscall] = ACTIONS(2931),
    [anon_sym___vectorcall] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_case] = ACTIONS(2931),
    [anon_sym_default] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_explicit] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_namespace] = ACTIONS(2931),
    [anon_sym_using] = ACTIONS(2931),
    [anon_sym_static_assert] = ACTIONS(2931),
    [anon_sym_concept] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token2] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [aux_sym_preproc_else_token1] = ACTIONS(2935),
    [aux_sym_preproc_elif_token1] = ACTIONS(2935),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token2] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [aux_sym_preproc_else_token1] = ACTIONS(2939),
    [aux_sym_preproc_elif_token1] = ACTIONS(2939),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [aux_sym_preproc_else_token1] = ACTIONS(2943),
    [aux_sym_preproc_elif_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [aux_sym_preproc_else_token1] = ACTIONS(2993),
    [aux_sym_preproc_elif_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [353] = {
    [sym_preproc_def] = STATE(354),
    [sym_preproc_function_def] = STATE(354),
    [sym_preproc_call] = STATE(354),
    [sym_preproc_if_in_field_declaration_list] = STATE(354),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(354),
    [sym_preproc_else_in_field_declaration_list] = STATE(8961),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8961),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8961),
    [sym_type_definition] = STATE(354),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(354),
    [sym_field_declaration] = STATE(354),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(354),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(354),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(354),
    [sym_operator_cast_declaration] = STATE(354),
    [sym_constructor_or_destructor_definition] = STATE(354),
    [sym_constructor_or_destructor_declaration] = STATE(354),
    [sym_friend_declaration] = STATE(354),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(354),
    [sym_alias_declaration] = STATE(354),
    [sym_static_assert_declaration] = STATE(354),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(354),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [354] = {
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_field_declaration_list] = STATE(682),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(682),
    [sym_preproc_else_in_field_declaration_list] = STATE(8947),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8947),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8947),
    [sym_type_definition] = STATE(682),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(682),
    [sym_field_declaration] = STATE(682),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(682),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(682),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(682),
    [sym_operator_cast_declaration] = STATE(682),
    [sym_constructor_or_destructor_definition] = STATE(682),
    [sym_constructor_or_destructor_declaration] = STATE(682),
    [sym_friend_declaration] = STATE(682),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(682),
    [sym_alias_declaration] = STATE(682),
    [sym_static_assert_declaration] = STATE(682),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(682),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3069),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [355] = {
    [sym_catch_clause] = STATE(403),
    [aux_sym_constructor_try_statement_repeat1] = STATE(403),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [356] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [357] = {
    [sym__expression] = STATE(5058),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9165),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(3081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(3087),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(3090),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [358] = {
    [sym_preproc_def] = STATE(359),
    [sym_preproc_function_def] = STATE(359),
    [sym_preproc_call] = STATE(359),
    [sym_preproc_if_in_field_declaration_list] = STATE(359),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(359),
    [sym_preproc_else_in_field_declaration_list] = STATE(8661),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8661),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8661),
    [sym_type_definition] = STATE(359),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(359),
    [sym_field_declaration] = STATE(359),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(359),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(359),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(359),
    [sym_operator_cast_declaration] = STATE(359),
    [sym_constructor_or_destructor_definition] = STATE(359),
    [sym_constructor_or_destructor_declaration] = STATE(359),
    [sym_friend_declaration] = STATE(359),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(359),
    [sym_alias_declaration] = STATE(359),
    [sym_static_assert_declaration] = STATE(359),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(359),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [359] = {
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_field_declaration_list] = STATE(682),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(682),
    [sym_preproc_else_in_field_declaration_list] = STATE(8650),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8650),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8650),
    [sym_type_definition] = STATE(682),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(682),
    [sym_field_declaration] = STATE(682),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(682),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(682),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(682),
    [sym_operator_cast_declaration] = STATE(682),
    [sym_constructor_or_destructor_definition] = STATE(682),
    [sym_constructor_or_destructor_declaration] = STATE(682),
    [sym_friend_declaration] = STATE(682),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(682),
    [sym_alias_declaration] = STATE(682),
    [sym_static_assert_declaration] = STATE(682),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(682),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [360] = {
    [sym_preproc_def] = STATE(361),
    [sym_preproc_function_def] = STATE(361),
    [sym_preproc_call] = STATE(361),
    [sym_preproc_if_in_field_declaration_list] = STATE(361),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(361),
    [sym_preproc_else_in_field_declaration_list] = STATE(9136),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9136),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9136),
    [sym_type_definition] = STATE(361),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(361),
    [sym_field_declaration] = STATE(361),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(361),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(361),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(361),
    [sym_operator_cast_declaration] = STATE(361),
    [sym_constructor_or_destructor_definition] = STATE(361),
    [sym_constructor_or_destructor_declaration] = STATE(361),
    [sym_friend_declaration] = STATE(361),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(361),
    [sym_alias_declaration] = STATE(361),
    [sym_static_assert_declaration] = STATE(361),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(361),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3097),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [361] = {
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_field_declaration_list] = STATE(682),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(682),
    [sym_preproc_else_in_field_declaration_list] = STATE(9272),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9272),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9272),
    [sym_type_definition] = STATE(682),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(682),
    [sym_field_declaration] = STATE(682),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(682),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(682),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(682),
    [sym_operator_cast_declaration] = STATE(682),
    [sym_constructor_or_destructor_definition] = STATE(682),
    [sym_constructor_or_destructor_declaration] = STATE(682),
    [sym_friend_declaration] = STATE(682),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(682),
    [sym_alias_declaration] = STATE(682),
    [sym_static_assert_declaration] = STATE(682),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(682),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [362] = {
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8757),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3108),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [sym_primitive_type] = ACTIONS(3113),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3119),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [363] = {
    [sym__expression] = STATE(5060),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8747),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3125),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(3127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [364] = {
    [sym_catch_clause] = STATE(364),
    [aux_sym_constructor_try_statement_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3139),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [365] = {
    [sym_preproc_def] = STATE(366),
    [sym_preproc_function_def] = STATE(366),
    [sym_preproc_call] = STATE(366),
    [sym_preproc_if_in_field_declaration_list] = STATE(366),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(366),
    [sym_preproc_else_in_field_declaration_list] = STATE(8692),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8692),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8692),
    [sym_type_definition] = STATE(366),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(366),
    [sym_field_declaration] = STATE(366),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(366),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(366),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(366),
    [sym_operator_cast_declaration] = STATE(366),
    [sym_constructor_or_destructor_definition] = STATE(366),
    [sym_constructor_or_destructor_declaration] = STATE(366),
    [sym_friend_declaration] = STATE(366),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(366),
    [sym_alias_declaration] = STATE(366),
    [sym_static_assert_declaration] = STATE(366),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(366),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [366] = {
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_field_declaration_list] = STATE(682),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(682),
    [sym_preproc_else_in_field_declaration_list] = STATE(8713),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8713),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8713),
    [sym_type_definition] = STATE(682),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(682),
    [sym_field_declaration] = STATE(682),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(682),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(682),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(682),
    [sym_operator_cast_declaration] = STATE(682),
    [sym_constructor_or_destructor_definition] = STATE(682),
    [sym_constructor_or_destructor_declaration] = STATE(682),
    [sym_friend_declaration] = STATE(682),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(682),
    [sym_alias_declaration] = STATE(682),
    [sym_static_assert_declaration] = STATE(682),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(682),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3017),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3021),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3027),
    [sym_preproc_directive] = ACTIONS(3029),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3039),
    [anon_sym_typedef] = ACTIONS(3041),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3065),
    [anon_sym_static_assert] = ACTIONS(3067),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [368] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [371] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2817),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [sym_primitive_type] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [sym_number_literal] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [385] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [386] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [sym_primitive_type] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3222),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_include_token1] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [aux_sym_preproc_else_token1] = ACTIONS(3224),
    [aux_sym_preproc_elif_token1] = ACTIONS(3224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym___cdecl] = ACTIONS(3224),
    [anon_sym___clrcall] = ACTIONS(3224),
    [anon_sym___stdcall] = ACTIONS(3224),
    [anon_sym___fastcall] = ACTIONS(3224),
    [anon_sym___thiscall] = ACTIONS(3224),
    [anon_sym___vectorcall] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_goto] = ACTIONS(3224),
    [anon_sym___try] = ACTIONS(3224),
    [anon_sym___leave] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(3224),
    [anon_sym_compl] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_sizeof] = ACTIONS(3224),
    [anon_sym___alignof__] = ACTIONS(3224),
    [anon_sym___alignof] = ACTIONS(3224),
    [anon_sym__alignof] = ACTIONS(3224),
    [anon_sym_alignof] = ACTIONS(3224),
    [anon_sym__Alignof] = ACTIONS(3224),
    [anon_sym_offsetof] = ACTIONS(3224),
    [anon_sym__Generic] = ACTIONS(3224),
    [anon_sym_asm] = ACTIONS(3224),
    [anon_sym___asm__] = ACTIONS(3224),
    [sym_number_literal] = ACTIONS(3226),
    [anon_sym_L_SQUOTE] = ACTIONS(3226),
    [anon_sym_u_SQUOTE] = ACTIONS(3226),
    [anon_sym_U_SQUOTE] = ACTIONS(3226),
    [anon_sym_u8_SQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_L_DQUOTE] = ACTIONS(3226),
    [anon_sym_u_DQUOTE] = ACTIONS(3226),
    [anon_sym_U_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8_DQUOTE] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [anon_sym_NULL] = ACTIONS(3224),
    [anon_sym_nullptr] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
    [anon_sym_concept] = ACTIONS(3224),
    [anon_sym_co_return] = ACTIONS(3224),
    [anon_sym_co_yield] = ACTIONS(3224),
    [anon_sym_R_DQUOTE] = ACTIONS(3226),
    [anon_sym_LR_DQUOTE] = ACTIONS(3226),
    [anon_sym_uR_DQUOTE] = ACTIONS(3226),
    [anon_sym_UR_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3226),
    [anon_sym_co_await] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_requires] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_include_token1] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [aux_sym_preproc_else_token1] = ACTIONS(3228),
    [aux_sym_preproc_elif_token1] = ACTIONS(3228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym___cdecl] = ACTIONS(3228),
    [anon_sym___clrcall] = ACTIONS(3228),
    [anon_sym___stdcall] = ACTIONS(3228),
    [anon_sym___fastcall] = ACTIONS(3228),
    [anon_sym___thiscall] = ACTIONS(3228),
    [anon_sym___vectorcall] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym___try] = ACTIONS(3228),
    [anon_sym___leave] = ACTIONS(3228),
    [anon_sym_not] = ACTIONS(3228),
    [anon_sym_compl] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_sizeof] = ACTIONS(3228),
    [anon_sym___alignof__] = ACTIONS(3228),
    [anon_sym___alignof] = ACTIONS(3228),
    [anon_sym__alignof] = ACTIONS(3228),
    [anon_sym_alignof] = ACTIONS(3228),
    [anon_sym__Alignof] = ACTIONS(3228),
    [anon_sym_offsetof] = ACTIONS(3228),
    [anon_sym__Generic] = ACTIONS(3228),
    [anon_sym_asm] = ACTIONS(3228),
    [anon_sym___asm__] = ACTIONS(3228),
    [sym_number_literal] = ACTIONS(3230),
    [anon_sym_L_SQUOTE] = ACTIONS(3230),
    [anon_sym_u_SQUOTE] = ACTIONS(3230),
    [anon_sym_U_SQUOTE] = ACTIONS(3230),
    [anon_sym_u8_SQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_L_DQUOTE] = ACTIONS(3230),
    [anon_sym_u_DQUOTE] = ACTIONS(3230),
    [anon_sym_U_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8_DQUOTE] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [anon_sym_NULL] = ACTIONS(3228),
    [anon_sym_nullptr] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
    [anon_sym_concept] = ACTIONS(3228),
    [anon_sym_co_return] = ACTIONS(3228),
    [anon_sym_co_yield] = ACTIONS(3228),
    [anon_sym_R_DQUOTE] = ACTIONS(3230),
    [anon_sym_LR_DQUOTE] = ACTIONS(3230),
    [anon_sym_uR_DQUOTE] = ACTIONS(3230),
    [anon_sym_UR_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3230),
    [anon_sym_co_await] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_requires] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
  },
  [389] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_include_token1] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym___cdecl] = ACTIONS(3232),
    [anon_sym___clrcall] = ACTIONS(3232),
    [anon_sym___stdcall] = ACTIONS(3232),
    [anon_sym___fastcall] = ACTIONS(3232),
    [anon_sym___thiscall] = ACTIONS(3232),
    [anon_sym___vectorcall] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_goto] = ACTIONS(3232),
    [anon_sym___try] = ACTIONS(3232),
    [anon_sym___leave] = ACTIONS(3232),
    [anon_sym_not] = ACTIONS(3232),
    [anon_sym_compl] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_sizeof] = ACTIONS(3232),
    [anon_sym___alignof__] = ACTIONS(3232),
    [anon_sym___alignof] = ACTIONS(3232),
    [anon_sym__alignof] = ACTIONS(3232),
    [anon_sym_alignof] = ACTIONS(3232),
    [anon_sym__Alignof] = ACTIONS(3232),
    [anon_sym_offsetof] = ACTIONS(3232),
    [anon_sym__Generic] = ACTIONS(3232),
    [anon_sym_asm] = ACTIONS(3232),
    [anon_sym___asm__] = ACTIONS(3232),
    [sym_number_literal] = ACTIONS(3234),
    [anon_sym_L_SQUOTE] = ACTIONS(3234),
    [anon_sym_u_SQUOTE] = ACTIONS(3234),
    [anon_sym_U_SQUOTE] = ACTIONS(3234),
    [anon_sym_u8_SQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_L_DQUOTE] = ACTIONS(3234),
    [anon_sym_u_DQUOTE] = ACTIONS(3234),
    [anon_sym_U_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8_DQUOTE] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [anon_sym_NULL] = ACTIONS(3232),
    [anon_sym_nullptr] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
    [anon_sym_concept] = ACTIONS(3232),
    [anon_sym_co_return] = ACTIONS(3232),
    [anon_sym_co_yield] = ACTIONS(3232),
    [anon_sym_R_DQUOTE] = ACTIONS(3234),
    [anon_sym_LR_DQUOTE] = ACTIONS(3234),
    [anon_sym_uR_DQUOTE] = ACTIONS(3234),
    [anon_sym_UR_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3234),
    [anon_sym_co_await] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_requires] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
  },
  [390] = {
    [sym_identifier] = ACTIONS(3236),
    [aux_sym_preproc_include_token1] = ACTIONS(3236),
    [aux_sym_preproc_def_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3236),
    [aux_sym_preproc_else_token1] = ACTIONS(3236),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3236),
    [anon_sym_LPAREN2] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym___extension__] = ACTIONS(3236),
    [anon_sym_typedef] = ACTIONS(3236),
    [anon_sym_extern] = ACTIONS(3236),
    [anon_sym___attribute__] = ACTIONS(3236),
    [anon_sym_COLON_COLON] = ACTIONS(3238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3238),
    [anon_sym___declspec] = ACTIONS(3236),
    [anon_sym___based] = ACTIONS(3236),
    [anon_sym___cdecl] = ACTIONS(3236),
    [anon_sym___clrcall] = ACTIONS(3236),
    [anon_sym___stdcall] = ACTIONS(3236),
    [anon_sym___fastcall] = ACTIONS(3236),
    [anon_sym___thiscall] = ACTIONS(3236),
    [anon_sym___vectorcall] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(3236),
    [anon_sym_unsigned] = ACTIONS(3236),
    [anon_sym_long] = ACTIONS(3236),
    [anon_sym_short] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_register] = ACTIONS(3236),
    [anon_sym_inline] = ACTIONS(3236),
    [anon_sym___inline] = ACTIONS(3236),
    [anon_sym___inline__] = ACTIONS(3236),
    [anon_sym___forceinline] = ACTIONS(3236),
    [anon_sym_thread_local] = ACTIONS(3236),
    [anon_sym___thread] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_constexpr] = ACTIONS(3236),
    [anon_sym_volatile] = ACTIONS(3236),
    [anon_sym_restrict] = ACTIONS(3236),
    [anon_sym___restrict__] = ACTIONS(3236),
    [anon_sym__Atomic] = ACTIONS(3236),
    [anon_sym__Noreturn] = ACTIONS(3236),
    [anon_sym_noreturn] = ACTIONS(3236),
    [anon_sym_mutable] = ACTIONS(3236),
    [anon_sym_constinit] = ACTIONS(3236),
    [anon_sym_consteval] = ACTIONS(3236),
    [sym_primitive_type] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_struct] = ACTIONS(3236),
    [anon_sym_union] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_goto] = ACTIONS(3236),
    [anon_sym___try] = ACTIONS(3236),
    [anon_sym___leave] = ACTIONS(3236),
    [anon_sym_not] = ACTIONS(3236),
    [anon_sym_compl] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_sizeof] = ACTIONS(3236),
    [anon_sym___alignof__] = ACTIONS(3236),
    [anon_sym___alignof] = ACTIONS(3236),
    [anon_sym__alignof] = ACTIONS(3236),
    [anon_sym_alignof] = ACTIONS(3236),
    [anon_sym__Alignof] = ACTIONS(3236),
    [anon_sym_offsetof] = ACTIONS(3236),
    [anon_sym__Generic] = ACTIONS(3236),
    [anon_sym_asm] = ACTIONS(3236),
    [anon_sym___asm__] = ACTIONS(3236),
    [sym_number_literal] = ACTIONS(3238),
    [anon_sym_L_SQUOTE] = ACTIONS(3238),
    [anon_sym_u_SQUOTE] = ACTIONS(3238),
    [anon_sym_U_SQUOTE] = ACTIONS(3238),
    [anon_sym_u8_SQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_L_DQUOTE] = ACTIONS(3238),
    [anon_sym_u_DQUOTE] = ACTIONS(3238),
    [anon_sym_U_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8_DQUOTE] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [anon_sym_NULL] = ACTIONS(3236),
    [anon_sym_nullptr] = ACTIONS(3236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3236),
    [anon_sym_decltype] = ACTIONS(3236),
    [anon_sym_virtual] = ACTIONS(3236),
    [anon_sym_alignas] = ACTIONS(3236),
    [anon_sym_explicit] = ACTIONS(3236),
    [anon_sym_typename] = ACTIONS(3236),
    [anon_sym_template] = ACTIONS(3236),
    [anon_sym_operator] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_static_assert] = ACTIONS(3236),
    [anon_sym_concept] = ACTIONS(3236),
    [anon_sym_co_return] = ACTIONS(3236),
    [anon_sym_co_yield] = ACTIONS(3236),
    [anon_sym_R_DQUOTE] = ACTIONS(3238),
    [anon_sym_LR_DQUOTE] = ACTIONS(3238),
    [anon_sym_uR_DQUOTE] = ACTIONS(3238),
    [anon_sym_UR_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3238),
    [anon_sym_co_await] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_requires] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
  },
  [391] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [392] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [393] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [394] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [395] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [396] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [aux_sym_preproc_else_token1] = ACTIONS(3260),
    [aux_sym_preproc_elif_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [397] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [398] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [399] = {
    [sym_identifier] = ACTIONS(3272),
    [aux_sym_preproc_include_token1] = ACTIONS(3272),
    [aux_sym_preproc_def_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token2] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3272),
    [aux_sym_preproc_else_token1] = ACTIONS(3272),
    [aux_sym_preproc_elif_token1] = ACTIONS(3272),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3272),
    [sym_preproc_directive] = ACTIONS(3272),
    [anon_sym_LPAREN2] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3272),
    [anon_sym_extern] = ACTIONS(3272),
    [anon_sym___attribute__] = ACTIONS(3272),
    [anon_sym_COLON_COLON] = ACTIONS(3274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3274),
    [anon_sym___declspec] = ACTIONS(3272),
    [anon_sym___based] = ACTIONS(3272),
    [anon_sym___cdecl] = ACTIONS(3272),
    [anon_sym___clrcall] = ACTIONS(3272),
    [anon_sym___stdcall] = ACTIONS(3272),
    [anon_sym___fastcall] = ACTIONS(3272),
    [anon_sym___thiscall] = ACTIONS(3272),
    [anon_sym___vectorcall] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3272),
    [anon_sym_unsigned] = ACTIONS(3272),
    [anon_sym_long] = ACTIONS(3272),
    [anon_sym_short] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_register] = ACTIONS(3272),
    [anon_sym_inline] = ACTIONS(3272),
    [anon_sym___inline] = ACTIONS(3272),
    [anon_sym___inline__] = ACTIONS(3272),
    [anon_sym___forceinline] = ACTIONS(3272),
    [anon_sym_thread_local] = ACTIONS(3272),
    [anon_sym___thread] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_constexpr] = ACTIONS(3272),
    [anon_sym_volatile] = ACTIONS(3272),
    [anon_sym_restrict] = ACTIONS(3272),
    [anon_sym___restrict__] = ACTIONS(3272),
    [anon_sym__Atomic] = ACTIONS(3272),
    [anon_sym__Noreturn] = ACTIONS(3272),
    [anon_sym_noreturn] = ACTIONS(3272),
    [anon_sym_mutable] = ACTIONS(3272),
    [anon_sym_constinit] = ACTIONS(3272),
    [anon_sym_consteval] = ACTIONS(3272),
    [sym_primitive_type] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_struct] = ACTIONS(3272),
    [anon_sym_union] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_goto] = ACTIONS(3272),
    [anon_sym___try] = ACTIONS(3272),
    [anon_sym___leave] = ACTIONS(3272),
    [anon_sym_not] = ACTIONS(3272),
    [anon_sym_compl] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_sizeof] = ACTIONS(3272),
    [anon_sym___alignof__] = ACTIONS(3272),
    [anon_sym___alignof] = ACTIONS(3272),
    [anon_sym__alignof] = ACTIONS(3272),
    [anon_sym_alignof] = ACTIONS(3272),
    [anon_sym__Alignof] = ACTIONS(3272),
    [anon_sym_offsetof] = ACTIONS(3272),
    [anon_sym__Generic] = ACTIONS(3272),
    [anon_sym_asm] = ACTIONS(3272),
    [anon_sym___asm__] = ACTIONS(3272),
    [sym_number_literal] = ACTIONS(3274),
    [anon_sym_L_SQUOTE] = ACTIONS(3274),
    [anon_sym_u_SQUOTE] = ACTIONS(3274),
    [anon_sym_U_SQUOTE] = ACTIONS(3274),
    [anon_sym_u8_SQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_L_DQUOTE] = ACTIONS(3274),
    [anon_sym_u_DQUOTE] = ACTIONS(3274),
    [anon_sym_U_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8_DQUOTE] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [anon_sym_NULL] = ACTIONS(3272),
    [anon_sym_nullptr] = ACTIONS(3272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3272),
    [anon_sym_decltype] = ACTIONS(3272),
    [anon_sym_virtual] = ACTIONS(3272),
    [anon_sym_alignas] = ACTIONS(3272),
    [anon_sym_explicit] = ACTIONS(3272),
    [anon_sym_typename] = ACTIONS(3272),
    [anon_sym_template] = ACTIONS(3272),
    [anon_sym_operator] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_static_assert] = ACTIONS(3272),
    [anon_sym_concept] = ACTIONS(3272),
    [anon_sym_co_return] = ACTIONS(3272),
    [anon_sym_co_yield] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(3274),
    [anon_sym_LR_DQUOTE] = ACTIONS(3274),
    [anon_sym_uR_DQUOTE] = ACTIONS(3274),
    [anon_sym_UR_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3274),
    [anon_sym_co_await] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_requires] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
  },
  [400] = {
    [sym_catch_clause] = STATE(364),
    [aux_sym_constructor_try_statement_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_include_token1] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym___cdecl] = ACTIONS(2815),
    [anon_sym___clrcall] = ACTIONS(2815),
    [anon_sym___stdcall] = ACTIONS(2815),
    [anon_sym___fastcall] = ACTIONS(2815),
    [anon_sym___thiscall] = ACTIONS(2815),
    [anon_sym___vectorcall] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_case] = ACTIONS(2815),
    [anon_sym_default] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_namespace] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_concept] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(3276),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [401] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [402] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [403] = {
    [sym_catch_clause] = STATE(403),
    [aux_sym_constructor_try_statement_repeat1] = STATE(403),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [404] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_include_token1] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3289),
    [aux_sym_preproc_elif_token1] = ACTIONS(3289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym___cdecl] = ACTIONS(3289),
    [anon_sym___clrcall] = ACTIONS(3289),
    [anon_sym___stdcall] = ACTIONS(3289),
    [anon_sym___fastcall] = ACTIONS(3289),
    [anon_sym___thiscall] = ACTIONS(3289),
    [anon_sym___vectorcall] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym___try] = ACTIONS(3289),
    [anon_sym___leave] = ACTIONS(3289),
    [anon_sym_not] = ACTIONS(3289),
    [anon_sym_compl] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym___alignof__] = ACTIONS(3289),
    [anon_sym___alignof] = ACTIONS(3289),
    [anon_sym__alignof] = ACTIONS(3289),
    [anon_sym_alignof] = ACTIONS(3289),
    [anon_sym__Alignof] = ACTIONS(3289),
    [anon_sym_offsetof] = ACTIONS(3289),
    [anon_sym__Generic] = ACTIONS(3289),
    [anon_sym_asm] = ACTIONS(3289),
    [anon_sym___asm__] = ACTIONS(3289),
    [sym_number_literal] = ACTIONS(3291),
    [anon_sym_L_SQUOTE] = ACTIONS(3291),
    [anon_sym_u_SQUOTE] = ACTIONS(3291),
    [anon_sym_U_SQUOTE] = ACTIONS(3291),
    [anon_sym_u8_SQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_L_DQUOTE] = ACTIONS(3291),
    [anon_sym_u_DQUOTE] = ACTIONS(3291),
    [anon_sym_U_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8_DQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [anon_sym_NULL] = ACTIONS(3289),
    [anon_sym_nullptr] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
    [anon_sym_concept] = ACTIONS(3289),
    [anon_sym_co_return] = ACTIONS(3289),
    [anon_sym_co_yield] = ACTIONS(3289),
    [anon_sym_R_DQUOTE] = ACTIONS(3291),
    [anon_sym_LR_DQUOTE] = ACTIONS(3291),
    [anon_sym_uR_DQUOTE] = ACTIONS(3291),
    [anon_sym_UR_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3291),
    [anon_sym_co_await] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_requires] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
  },
  [405] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [406] = {
    [sym_identifier] = ACTIONS(3293),
    [aux_sym_preproc_include_token1] = ACTIONS(3293),
    [aux_sym_preproc_def_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token2] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3293),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3293),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3293),
    [sym_preproc_directive] = ACTIONS(3293),
    [anon_sym_LPAREN2] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3293),
    [anon_sym_typedef] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym___attribute__] = ACTIONS(3293),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3295),
    [anon_sym___declspec] = ACTIONS(3293),
    [anon_sym___based] = ACTIONS(3293),
    [anon_sym___cdecl] = ACTIONS(3293),
    [anon_sym___clrcall] = ACTIONS(3293),
    [anon_sym___stdcall] = ACTIONS(3293),
    [anon_sym___fastcall] = ACTIONS(3293),
    [anon_sym___thiscall] = ACTIONS(3293),
    [anon_sym___vectorcall] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3293),
    [anon_sym_unsigned] = ACTIONS(3293),
    [anon_sym_long] = ACTIONS(3293),
    [anon_sym_short] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_register] = ACTIONS(3293),
    [anon_sym_inline] = ACTIONS(3293),
    [anon_sym___inline] = ACTIONS(3293),
    [anon_sym___inline__] = ACTIONS(3293),
    [anon_sym___forceinline] = ACTIONS(3293),
    [anon_sym_thread_local] = ACTIONS(3293),
    [anon_sym___thread] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_constexpr] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_restrict] = ACTIONS(3293),
    [anon_sym___restrict__] = ACTIONS(3293),
    [anon_sym__Atomic] = ACTIONS(3293),
    [anon_sym__Noreturn] = ACTIONS(3293),
    [anon_sym_noreturn] = ACTIONS(3293),
    [anon_sym_mutable] = ACTIONS(3293),
    [anon_sym_constinit] = ACTIONS(3293),
    [anon_sym_consteval] = ACTIONS(3293),
    [sym_primitive_type] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_union] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym___try] = ACTIONS(3293),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3293),
    [anon_sym_compl] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym___alignof__] = ACTIONS(3293),
    [anon_sym___alignof] = ACTIONS(3293),
    [anon_sym__alignof] = ACTIONS(3293),
    [anon_sym_alignof] = ACTIONS(3293),
    [anon_sym__Alignof] = ACTIONS(3293),
    [anon_sym_offsetof] = ACTIONS(3293),
    [anon_sym__Generic] = ACTIONS(3293),
    [anon_sym_asm] = ACTIONS(3293),
    [anon_sym___asm__] = ACTIONS(3293),
    [sym_number_literal] = ACTIONS(3295),
    [anon_sym_L_SQUOTE] = ACTIONS(3295),
    [anon_sym_u_SQUOTE] = ACTIONS(3295),
    [anon_sym_U_SQUOTE] = ACTIONS(3295),
    [anon_sym_u8_SQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_L_DQUOTE] = ACTIONS(3295),
    [anon_sym_u_DQUOTE] = ACTIONS(3295),
    [anon_sym_U_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8_DQUOTE] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [anon_sym_NULL] = ACTIONS(3293),
    [anon_sym_nullptr] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3293),
    [anon_sym_decltype] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_alignas] = ACTIONS(3293),
    [anon_sym_explicit] = ACTIONS(3293),
    [anon_sym_typename] = ACTIONS(3293),
    [anon_sym_template] = ACTIONS(3293),
    [anon_sym_operator] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_static_assert] = ACTIONS(3293),
    [anon_sym_concept] = ACTIONS(3293),
    [anon_sym_co_return] = ACTIONS(3293),
    [anon_sym_co_yield] = ACTIONS(3293),
    [anon_sym_R_DQUOTE] = ACTIONS(3295),
    [anon_sym_LR_DQUOTE] = ACTIONS(3295),
    [anon_sym_uR_DQUOTE] = ACTIONS(3295),
    [anon_sym_UR_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3295),
    [anon_sym_co_await] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_requires] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
  },
  [407] = {
    [sym_identifier] = ACTIONS(3297),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [aux_sym_preproc_else_token1] = ACTIONS(3297),
    [aux_sym_preproc_elif_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym___extension__] = ACTIONS(3297),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym___attribute__] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3299),
    [anon_sym___declspec] = ACTIONS(3297),
    [anon_sym___based] = ACTIONS(3297),
    [anon_sym___cdecl] = ACTIONS(3297),
    [anon_sym___clrcall] = ACTIONS(3297),
    [anon_sym___stdcall] = ACTIONS(3297),
    [anon_sym___fastcall] = ACTIONS(3297),
    [anon_sym___thiscall] = ACTIONS(3297),
    [anon_sym___vectorcall] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_signed] = ACTIONS(3297),
    [anon_sym_unsigned] = ACTIONS(3297),
    [anon_sym_long] = ACTIONS(3297),
    [anon_sym_short] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_register] = ACTIONS(3297),
    [anon_sym_inline] = ACTIONS(3297),
    [anon_sym___inline] = ACTIONS(3297),
    [anon_sym___inline__] = ACTIONS(3297),
    [anon_sym___forceinline] = ACTIONS(3297),
    [anon_sym_thread_local] = ACTIONS(3297),
    [anon_sym___thread] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_constexpr] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_restrict] = ACTIONS(3297),
    [anon_sym___restrict__] = ACTIONS(3297),
    [anon_sym__Atomic] = ACTIONS(3297),
    [anon_sym__Noreturn] = ACTIONS(3297),
    [anon_sym_noreturn] = ACTIONS(3297),
    [anon_sym_mutable] = ACTIONS(3297),
    [anon_sym_constinit] = ACTIONS(3297),
    [anon_sym_consteval] = ACTIONS(3297),
    [sym_primitive_type] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_union] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym___try] = ACTIONS(3297),
    [anon_sym___leave] = ACTIONS(3297),
    [anon_sym_not] = ACTIONS(3297),
    [anon_sym_compl] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym___alignof__] = ACTIONS(3297),
    [anon_sym___alignof] = ACTIONS(3297),
    [anon_sym__alignof] = ACTIONS(3297),
    [anon_sym_alignof] = ACTIONS(3297),
    [anon_sym__Alignof] = ACTIONS(3297),
    [anon_sym_offsetof] = ACTIONS(3297),
    [anon_sym__Generic] = ACTIONS(3297),
    [anon_sym_asm] = ACTIONS(3297),
    [anon_sym___asm__] = ACTIONS(3297),
    [sym_number_literal] = ACTIONS(3299),
    [anon_sym_L_SQUOTE] = ACTIONS(3299),
    [anon_sym_u_SQUOTE] = ACTIONS(3299),
    [anon_sym_U_SQUOTE] = ACTIONS(3299),
    [anon_sym_u8_SQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_L_DQUOTE] = ACTIONS(3299),
    [anon_sym_u_DQUOTE] = ACTIONS(3299),
    [anon_sym_U_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8_DQUOTE] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [anon_sym_NULL] = ACTIONS(3297),
    [anon_sym_nullptr] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3297),
    [anon_sym_decltype] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_alignas] = ACTIONS(3297),
    [anon_sym_explicit] = ACTIONS(3297),
    [anon_sym_typename] = ACTIONS(3297),
    [anon_sym_template] = ACTIONS(3297),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_static_assert] = ACTIONS(3297),
    [anon_sym_concept] = ACTIONS(3297),
    [anon_sym_co_return] = ACTIONS(3297),
    [anon_sym_co_yield] = ACTIONS(3297),
    [anon_sym_R_DQUOTE] = ACTIONS(3299),
    [anon_sym_LR_DQUOTE] = ACTIONS(3299),
    [anon_sym_uR_DQUOTE] = ACTIONS(3299),
    [anon_sym_UR_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3299),
    [anon_sym_co_await] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_requires] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
  },
  [408] = {
    [sym_identifier] = ACTIONS(3301),
    [aux_sym_preproc_include_token1] = ACTIONS(3301),
    [aux_sym_preproc_def_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token2] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3301),
    [aux_sym_preproc_else_token1] = ACTIONS(3301),
    [aux_sym_preproc_elif_token1] = ACTIONS(3301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3301),
    [sym_preproc_directive] = ACTIONS(3301),
    [anon_sym_LPAREN2] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3301),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym___attribute__] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(3303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3303),
    [anon_sym___declspec] = ACTIONS(3301),
    [anon_sym___based] = ACTIONS(3301),
    [anon_sym___cdecl] = ACTIONS(3301),
    [anon_sym___clrcall] = ACTIONS(3301),
    [anon_sym___stdcall] = ACTIONS(3301),
    [anon_sym___fastcall] = ACTIONS(3301),
    [anon_sym___thiscall] = ACTIONS(3301),
    [anon_sym___vectorcall] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3301),
    [anon_sym_unsigned] = ACTIONS(3301),
    [anon_sym_long] = ACTIONS(3301),
    [anon_sym_short] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_register] = ACTIONS(3301),
    [anon_sym_inline] = ACTIONS(3301),
    [anon_sym___inline] = ACTIONS(3301),
    [anon_sym___inline__] = ACTIONS(3301),
    [anon_sym___forceinline] = ACTIONS(3301),
    [anon_sym_thread_local] = ACTIONS(3301),
    [anon_sym___thread] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_constexpr] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_restrict] = ACTIONS(3301),
    [anon_sym___restrict__] = ACTIONS(3301),
    [anon_sym__Atomic] = ACTIONS(3301),
    [anon_sym__Noreturn] = ACTIONS(3301),
    [anon_sym_noreturn] = ACTIONS(3301),
    [anon_sym_mutable] = ACTIONS(3301),
    [anon_sym_constinit] = ACTIONS(3301),
    [anon_sym_consteval] = ACTIONS(3301),
    [sym_primitive_type] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_union] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym___try] = ACTIONS(3301),
    [anon_sym___leave] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3301),
    [anon_sym_compl] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym___alignof__] = ACTIONS(3301),
    [anon_sym___alignof] = ACTIONS(3301),
    [anon_sym__alignof] = ACTIONS(3301),
    [anon_sym_alignof] = ACTIONS(3301),
    [anon_sym__Alignof] = ACTIONS(3301),
    [anon_sym_offsetof] = ACTIONS(3301),
    [anon_sym__Generic] = ACTIONS(3301),
    [anon_sym_asm] = ACTIONS(3301),
    [anon_sym___asm__] = ACTIONS(3301),
    [sym_number_literal] = ACTIONS(3303),
    [anon_sym_L_SQUOTE] = ACTIONS(3303),
    [anon_sym_u_SQUOTE] = ACTIONS(3303),
    [anon_sym_U_SQUOTE] = ACTIONS(3303),
    [anon_sym_u8_SQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_L_DQUOTE] = ACTIONS(3303),
    [anon_sym_u_DQUOTE] = ACTIONS(3303),
    [anon_sym_U_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8_DQUOTE] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [anon_sym_NULL] = ACTIONS(3301),
    [anon_sym_nullptr] = ACTIONS(3301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3301),
    [anon_sym_decltype] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_alignas] = ACTIONS(3301),
    [anon_sym_explicit] = ACTIONS(3301),
    [anon_sym_typename] = ACTIONS(3301),
    [anon_sym_template] = ACTIONS(3301),
    [anon_sym_operator] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_static_assert] = ACTIONS(3301),
    [anon_sym_concept] = ACTIONS(3301),
    [anon_sym_co_return] = ACTIONS(3301),
    [anon_sym_co_yield] = ACTIONS(3301),
    [anon_sym_R_DQUOTE] = ACTIONS(3303),
    [anon_sym_LR_DQUOTE] = ACTIONS(3303),
    [anon_sym_uR_DQUOTE] = ACTIONS(3303),
    [anon_sym_UR_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3303),
    [anon_sym_co_await] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_requires] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
  },
  [409] = {
    [sym_identifier] = ACTIONS(3305),
    [aux_sym_preproc_include_token1] = ACTIONS(3305),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token2] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3305),
    [aux_sym_preproc_else_token1] = ACTIONS(3305),
    [aux_sym_preproc_elif_token1] = ACTIONS(3305),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3305),
    [sym_preproc_directive] = ACTIONS(3305),
    [anon_sym_LPAREN2] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym___extension__] = ACTIONS(3305),
    [anon_sym_typedef] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym___attribute__] = ACTIONS(3305),
    [anon_sym_COLON_COLON] = ACTIONS(3307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3307),
    [anon_sym___declspec] = ACTIONS(3305),
    [anon_sym___based] = ACTIONS(3305),
    [anon_sym___cdecl] = ACTIONS(3305),
    [anon_sym___clrcall] = ACTIONS(3305),
    [anon_sym___stdcall] = ACTIONS(3305),
    [anon_sym___fastcall] = ACTIONS(3305),
    [anon_sym___thiscall] = ACTIONS(3305),
    [anon_sym___vectorcall] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_signed] = ACTIONS(3305),
    [anon_sym_unsigned] = ACTIONS(3305),
    [anon_sym_long] = ACTIONS(3305),
    [anon_sym_short] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_register] = ACTIONS(3305),
    [anon_sym_inline] = ACTIONS(3305),
    [anon_sym___inline] = ACTIONS(3305),
    [anon_sym___inline__] = ACTIONS(3305),
    [anon_sym___forceinline] = ACTIONS(3305),
    [anon_sym_thread_local] = ACTIONS(3305),
    [anon_sym___thread] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_constexpr] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_restrict] = ACTIONS(3305),
    [anon_sym___restrict__] = ACTIONS(3305),
    [anon_sym__Atomic] = ACTIONS(3305),
    [anon_sym__Noreturn] = ACTIONS(3305),
    [anon_sym_noreturn] = ACTIONS(3305),
    [anon_sym_mutable] = ACTIONS(3305),
    [anon_sym_constinit] = ACTIONS(3305),
    [anon_sym_consteval] = ACTIONS(3305),
    [sym_primitive_type] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_union] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym___try] = ACTIONS(3305),
    [anon_sym___leave] = ACTIONS(3305),
    [anon_sym_not] = ACTIONS(3305),
    [anon_sym_compl] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3305),
    [anon_sym_asm] = ACTIONS(3305),
    [anon_sym___asm__] = ACTIONS(3305),
    [sym_number_literal] = ACTIONS(3307),
    [anon_sym_L_SQUOTE] = ACTIONS(3307),
    [anon_sym_u_SQUOTE] = ACTIONS(3307),
    [anon_sym_U_SQUOTE] = ACTIONS(3307),
    [anon_sym_u8_SQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_L_DQUOTE] = ACTIONS(3307),
    [anon_sym_u_DQUOTE] = ACTIONS(3307),
    [anon_sym_U_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8_DQUOTE] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [anon_sym_NULL] = ACTIONS(3305),
    [anon_sym_nullptr] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3305),
    [anon_sym_decltype] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_alignas] = ACTIONS(3305),
    [anon_sym_explicit] = ACTIONS(3305),
    [anon_sym_typename] = ACTIONS(3305),
    [anon_sym_template] = ACTIONS(3305),
    [anon_sym_operator] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_static_assert] = ACTIONS(3305),
    [anon_sym_concept] = ACTIONS(3305),
    [anon_sym_co_return] = ACTIONS(3305),
    [anon_sym_co_yield] = ACTIONS(3305),
    [anon_sym_R_DQUOTE] = ACTIONS(3307),
    [anon_sym_LR_DQUOTE] = ACTIONS(3307),
    [anon_sym_uR_DQUOTE] = ACTIONS(3307),
    [anon_sym_UR_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3307),
    [anon_sym_co_await] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_requires] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
  },
  [410] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [411] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [412] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [414] = {
    [sym_else_clause] = STATE(456),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [415] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [416] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_include_token1] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [aux_sym_preproc_else_token1] = ACTIONS(3323),
    [aux_sym_preproc_elif_token1] = ACTIONS(3323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym___cdecl] = ACTIONS(3323),
    [anon_sym___clrcall] = ACTIONS(3323),
    [anon_sym___stdcall] = ACTIONS(3323),
    [anon_sym___fastcall] = ACTIONS(3323),
    [anon_sym___thiscall] = ACTIONS(3323),
    [anon_sym___vectorcall] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_goto] = ACTIONS(3323),
    [anon_sym___try] = ACTIONS(3323),
    [anon_sym___leave] = ACTIONS(3323),
    [anon_sym_not] = ACTIONS(3323),
    [anon_sym_compl] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3323),
    [anon_sym___alignof__] = ACTIONS(3323),
    [anon_sym___alignof] = ACTIONS(3323),
    [anon_sym__alignof] = ACTIONS(3323),
    [anon_sym_alignof] = ACTIONS(3323),
    [anon_sym__Alignof] = ACTIONS(3323),
    [anon_sym_offsetof] = ACTIONS(3323),
    [anon_sym__Generic] = ACTIONS(3323),
    [anon_sym_asm] = ACTIONS(3323),
    [anon_sym___asm__] = ACTIONS(3323),
    [sym_number_literal] = ACTIONS(3325),
    [anon_sym_L_SQUOTE] = ACTIONS(3325),
    [anon_sym_u_SQUOTE] = ACTIONS(3325),
    [anon_sym_U_SQUOTE] = ACTIONS(3325),
    [anon_sym_u8_SQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_L_DQUOTE] = ACTIONS(3325),
    [anon_sym_u_DQUOTE] = ACTIONS(3325),
    [anon_sym_U_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8_DQUOTE] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3323),
    [anon_sym_nullptr] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
    [anon_sym_concept] = ACTIONS(3323),
    [anon_sym_co_return] = ACTIONS(3323),
    [anon_sym_co_yield] = ACTIONS(3323),
    [anon_sym_R_DQUOTE] = ACTIONS(3325),
    [anon_sym_LR_DQUOTE] = ACTIONS(3325),
    [anon_sym_uR_DQUOTE] = ACTIONS(3325),
    [anon_sym_UR_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3325),
    [anon_sym_co_await] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_requires] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [418] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [aux_sym_preproc_else_token1] = ACTIONS(3327),
    [aux_sym_preproc_elif_token1] = ACTIONS(3327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym___cdecl] = ACTIONS(3327),
    [anon_sym___clrcall] = ACTIONS(3327),
    [anon_sym___stdcall] = ACTIONS(3327),
    [anon_sym___fastcall] = ACTIONS(3327),
    [anon_sym___thiscall] = ACTIONS(3327),
    [anon_sym___vectorcall] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym___try] = ACTIONS(3327),
    [anon_sym___leave] = ACTIONS(3327),
    [anon_sym_not] = ACTIONS(3327),
    [anon_sym_compl] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [anon_sym___alignof__] = ACTIONS(3327),
    [anon_sym___alignof] = ACTIONS(3327),
    [anon_sym__alignof] = ACTIONS(3327),
    [anon_sym_alignof] = ACTIONS(3327),
    [anon_sym__Alignof] = ACTIONS(3327),
    [anon_sym_offsetof] = ACTIONS(3327),
    [anon_sym__Generic] = ACTIONS(3327),
    [anon_sym_asm] = ACTIONS(3327),
    [anon_sym___asm__] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [anon_sym_L_SQUOTE] = ACTIONS(3329),
    [anon_sym_u_SQUOTE] = ACTIONS(3329),
    [anon_sym_U_SQUOTE] = ACTIONS(3329),
    [anon_sym_u8_SQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_L_DQUOTE] = ACTIONS(3329),
    [anon_sym_u_DQUOTE] = ACTIONS(3329),
    [anon_sym_U_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8_DQUOTE] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [anon_sym_NULL] = ACTIONS(3327),
    [anon_sym_nullptr] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
    [anon_sym_concept] = ACTIONS(3327),
    [anon_sym_co_return] = ACTIONS(3327),
    [anon_sym_co_yield] = ACTIONS(3327),
    [anon_sym_R_DQUOTE] = ACTIONS(3329),
    [anon_sym_LR_DQUOTE] = ACTIONS(3329),
    [anon_sym_uR_DQUOTE] = ACTIONS(3329),
    [anon_sym_UR_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3329),
    [anon_sym_co_await] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_requires] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
  },
  [419] = {
    [sym_else_clause] = STATE(521),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [aux_sym_preproc_else_token1] = ACTIONS(2863),
    [aux_sym_preproc_elif_token1] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [420] = {
    [sym_identifier] = ACTIONS(3331),
    [aux_sym_preproc_include_token1] = ACTIONS(3331),
    [aux_sym_preproc_def_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token2] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3331),
    [aux_sym_preproc_else_token1] = ACTIONS(3331),
    [aux_sym_preproc_elif_token1] = ACTIONS(3331),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3331),
    [sym_preproc_directive] = ACTIONS(3331),
    [anon_sym_LPAREN2] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3333),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym___extension__] = ACTIONS(3331),
    [anon_sym_typedef] = ACTIONS(3331),
    [anon_sym_extern] = ACTIONS(3331),
    [anon_sym___attribute__] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3333),
    [anon_sym___declspec] = ACTIONS(3331),
    [anon_sym___based] = ACTIONS(3331),
    [anon_sym___cdecl] = ACTIONS(3331),
    [anon_sym___clrcall] = ACTIONS(3331),
    [anon_sym___stdcall] = ACTIONS(3331),
    [anon_sym___fastcall] = ACTIONS(3331),
    [anon_sym___thiscall] = ACTIONS(3331),
    [anon_sym___vectorcall] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_signed] = ACTIONS(3331),
    [anon_sym_unsigned] = ACTIONS(3331),
    [anon_sym_long] = ACTIONS(3331),
    [anon_sym_short] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_register] = ACTIONS(3331),
    [anon_sym_inline] = ACTIONS(3331),
    [anon_sym___inline] = ACTIONS(3331),
    [anon_sym___inline__] = ACTIONS(3331),
    [anon_sym___forceinline] = ACTIONS(3331),
    [anon_sym_thread_local] = ACTIONS(3331),
    [anon_sym___thread] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_constexpr] = ACTIONS(3331),
    [anon_sym_volatile] = ACTIONS(3331),
    [anon_sym_restrict] = ACTIONS(3331),
    [anon_sym___restrict__] = ACTIONS(3331),
    [anon_sym__Atomic] = ACTIONS(3331),
    [anon_sym__Noreturn] = ACTIONS(3331),
    [anon_sym_noreturn] = ACTIONS(3331),
    [anon_sym_mutable] = ACTIONS(3331),
    [anon_sym_constinit] = ACTIONS(3331),
    [anon_sym_consteval] = ACTIONS(3331),
    [sym_primitive_type] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_struct] = ACTIONS(3331),
    [anon_sym_union] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_goto] = ACTIONS(3331),
    [anon_sym___try] = ACTIONS(3331),
    [anon_sym___leave] = ACTIONS(3331),
    [anon_sym_not] = ACTIONS(3331),
    [anon_sym_compl] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3331),
    [anon_sym___alignof__] = ACTIONS(3331),
    [anon_sym___alignof] = ACTIONS(3331),
    [anon_sym__alignof] = ACTIONS(3331),
    [anon_sym_alignof] = ACTIONS(3331),
    [anon_sym__Alignof] = ACTIONS(3331),
    [anon_sym_offsetof] = ACTIONS(3331),
    [anon_sym__Generic] = ACTIONS(3331),
    [anon_sym_asm] = ACTIONS(3331),
    [anon_sym___asm__] = ACTIONS(3331),
    [sym_number_literal] = ACTIONS(3333),
    [anon_sym_L_SQUOTE] = ACTIONS(3333),
    [anon_sym_u_SQUOTE] = ACTIONS(3333),
    [anon_sym_U_SQUOTE] = ACTIONS(3333),
    [anon_sym_u8_SQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_L_DQUOTE] = ACTIONS(3333),
    [anon_sym_u_DQUOTE] = ACTIONS(3333),
    [anon_sym_U_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8_DQUOTE] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [anon_sym_NULL] = ACTIONS(3331),
    [anon_sym_nullptr] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3331),
    [anon_sym_decltype] = ACTIONS(3331),
    [anon_sym_virtual] = ACTIONS(3331),
    [anon_sym_alignas] = ACTIONS(3331),
    [anon_sym_explicit] = ACTIONS(3331),
    [anon_sym_typename] = ACTIONS(3331),
    [anon_sym_template] = ACTIONS(3331),
    [anon_sym_operator] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_static_assert] = ACTIONS(3331),
    [anon_sym_concept] = ACTIONS(3331),
    [anon_sym_co_return] = ACTIONS(3331),
    [anon_sym_co_yield] = ACTIONS(3331),
    [anon_sym_R_DQUOTE] = ACTIONS(3333),
    [anon_sym_LR_DQUOTE] = ACTIONS(3333),
    [anon_sym_uR_DQUOTE] = ACTIONS(3333),
    [anon_sym_UR_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3333),
    [anon_sym_co_await] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_requires] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
  },
  [421] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_include_token1] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token2] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [aux_sym_preproc_else_token1] = ACTIONS(3335),
    [aux_sym_preproc_elif_token1] = ACTIONS(3335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym___cdecl] = ACTIONS(3335),
    [anon_sym___clrcall] = ACTIONS(3335),
    [anon_sym___stdcall] = ACTIONS(3335),
    [anon_sym___fastcall] = ACTIONS(3335),
    [anon_sym___thiscall] = ACTIONS(3335),
    [anon_sym___vectorcall] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_goto] = ACTIONS(3335),
    [anon_sym___try] = ACTIONS(3335),
    [anon_sym___leave] = ACTIONS(3335),
    [anon_sym_not] = ACTIONS(3335),
    [anon_sym_compl] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3335),
    [anon_sym___alignof__] = ACTIONS(3335),
    [anon_sym___alignof] = ACTIONS(3335),
    [anon_sym__alignof] = ACTIONS(3335),
    [anon_sym_alignof] = ACTIONS(3335),
    [anon_sym__Alignof] = ACTIONS(3335),
    [anon_sym_offsetof] = ACTIONS(3335),
    [anon_sym__Generic] = ACTIONS(3335),
    [anon_sym_asm] = ACTIONS(3335),
    [anon_sym___asm__] = ACTIONS(3335),
    [sym_number_literal] = ACTIONS(3337),
    [anon_sym_L_SQUOTE] = ACTIONS(3337),
    [anon_sym_u_SQUOTE] = ACTIONS(3337),
    [anon_sym_U_SQUOTE] = ACTIONS(3337),
    [anon_sym_u8_SQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_L_DQUOTE] = ACTIONS(3337),
    [anon_sym_u_DQUOTE] = ACTIONS(3337),
    [anon_sym_U_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8_DQUOTE] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [anon_sym_NULL] = ACTIONS(3335),
    [anon_sym_nullptr] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
    [anon_sym_concept] = ACTIONS(3335),
    [anon_sym_co_return] = ACTIONS(3335),
    [anon_sym_co_yield] = ACTIONS(3335),
    [anon_sym_R_DQUOTE] = ACTIONS(3337),
    [anon_sym_LR_DQUOTE] = ACTIONS(3337),
    [anon_sym_uR_DQUOTE] = ACTIONS(3337),
    [anon_sym_UR_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3337),
    [anon_sym_co_await] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_requires] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
  },
  [422] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [sym_number_literal] = ACTIONS(3341),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [423] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [sym_number_literal] = ACTIONS(3345),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [424] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [sym_number_literal] = ACTIONS(3349),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [425] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [sym_number_literal] = ACTIONS(3353),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [427] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_include_token1] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [aux_sym_preproc_else_token1] = ACTIONS(3355),
    [aux_sym_preproc_elif_token1] = ACTIONS(3355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym___cdecl] = ACTIONS(3355),
    [anon_sym___clrcall] = ACTIONS(3355),
    [anon_sym___stdcall] = ACTIONS(3355),
    [anon_sym___fastcall] = ACTIONS(3355),
    [anon_sym___thiscall] = ACTIONS(3355),
    [anon_sym___vectorcall] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_goto] = ACTIONS(3355),
    [anon_sym___try] = ACTIONS(3355),
    [anon_sym___leave] = ACTIONS(3355),
    [anon_sym_not] = ACTIONS(3355),
    [anon_sym_compl] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3355),
    [anon_sym___alignof__] = ACTIONS(3355),
    [anon_sym___alignof] = ACTIONS(3355),
    [anon_sym__alignof] = ACTIONS(3355),
    [anon_sym_alignof] = ACTIONS(3355),
    [anon_sym__Alignof] = ACTIONS(3355),
    [anon_sym_offsetof] = ACTIONS(3355),
    [anon_sym__Generic] = ACTIONS(3355),
    [anon_sym_asm] = ACTIONS(3355),
    [anon_sym___asm__] = ACTIONS(3355),
    [sym_number_literal] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3357),
    [anon_sym_u_SQUOTE] = ACTIONS(3357),
    [anon_sym_U_SQUOTE] = ACTIONS(3357),
    [anon_sym_u8_SQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_L_DQUOTE] = ACTIONS(3357),
    [anon_sym_u_DQUOTE] = ACTIONS(3357),
    [anon_sym_U_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8_DQUOTE] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [anon_sym_NULL] = ACTIONS(3355),
    [anon_sym_nullptr] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
    [anon_sym_concept] = ACTIONS(3355),
    [anon_sym_co_return] = ACTIONS(3355),
    [anon_sym_co_yield] = ACTIONS(3355),
    [anon_sym_R_DQUOTE] = ACTIONS(3357),
    [anon_sym_LR_DQUOTE] = ACTIONS(3357),
    [anon_sym_uR_DQUOTE] = ACTIONS(3357),
    [anon_sym_UR_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3357),
    [anon_sym_co_await] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_requires] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
  },
  [428] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [429] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [430] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [431] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [432] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [433] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [436] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4955),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7634),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8129),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3435),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [aux_sym_preproc_else_token1] = ACTIONS(2943),
    [aux_sym_preproc_elif_token1] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [aux_sym_preproc_else_token1] = ACTIONS(2997),
    [aux_sym_preproc_elif_token1] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [aux_sym_preproc_else_token1] = ACTIONS(2899),
    [aux_sym_preproc_elif_token1] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token2] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [aux_sym_preproc_else_token1] = ACTIONS(2891),
    [aux_sym_preproc_elif_token1] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [444] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(5021),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7572),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7893),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3447),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [aux_sym_preproc_else_token1] = ACTIONS(2879),
    [aux_sym_preproc_elif_token1] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [448] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4948),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7583),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8137),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3449),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [450] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(5017),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7505),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3451),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [453] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4938),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7564),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8117),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3453),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [aux_sym_preproc_else_token1] = ACTIONS(2875),
    [aux_sym_preproc_elif_token1] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [aux_sym_preproc_else_token1] = ACTIONS(2993),
    [aux_sym_preproc_elif_token1] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [aux_sym_preproc_else_token1] = ACTIONS(2919),
    [aux_sym_preproc_elif_token1] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [459] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4912),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7508),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8096),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3455),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [462] = {
    [sym_catch_clause] = STATE(403),
    [aux_sym_constructor_try_statement_repeat1] = STATE(403),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [463] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4889),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7421),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8075),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [465] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4985),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7648),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8124),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2923),
    [aux_sym_preproc_include_token1] = ACTIONS(2923),
    [aux_sym_preproc_def_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token2] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2923),
    [aux_sym_preproc_else_token1] = ACTIONS(2923),
    [aux_sym_preproc_elif_token1] = ACTIONS(2923),
    [sym_preproc_directive] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym___based] = ACTIONS(2923),
    [anon_sym___cdecl] = ACTIONS(2923),
    [anon_sym___clrcall] = ACTIONS(2923),
    [anon_sym___stdcall] = ACTIONS(2923),
    [anon_sym___fastcall] = ACTIONS(2923),
    [anon_sym___thiscall] = ACTIONS(2923),
    [anon_sym___vectorcall] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_case] = ACTIONS(2923),
    [anon_sym_default] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_explicit] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_static_assert] = ACTIONS(2923),
    [anon_sym_concept] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [471] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4881),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7434),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8051),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [474] = {
    [sym_catch_clause] = STATE(364),
    [aux_sym_constructor_try_statement_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym___leave] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(3276),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [475] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4883),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7455),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7870),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3463),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [477] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4880),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7436),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8045),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [479] = {
    [sym_catch_clause] = STATE(364),
    [aux_sym_constructor_try_statement_repeat1] = STATE(364),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(3276),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [482] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4882),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7453),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8017),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3467),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [483] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4869),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7721),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7742),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3469),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [484] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4953),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7602),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8157),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3471),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [488] = {
    [sym_catch_clause] = STATE(403),
    [aux_sym_constructor_try_statement_repeat1] = STATE(403),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym___leave] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(3071),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [492] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4979),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7631),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7952),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3473),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2915),
    [aux_sym_preproc_include_token1] = ACTIONS(2915),
    [aux_sym_preproc_def_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token2] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2915),
    [aux_sym_preproc_else_token1] = ACTIONS(2915),
    [aux_sym_preproc_elif_token1] = ACTIONS(2915),
    [sym_preproc_directive] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym___based] = ACTIONS(2915),
    [anon_sym___cdecl] = ACTIONS(2915),
    [anon_sym___clrcall] = ACTIONS(2915),
    [anon_sym___stdcall] = ACTIONS(2915),
    [anon_sym___fastcall] = ACTIONS(2915),
    [anon_sym___thiscall] = ACTIONS(2915),
    [anon_sym___vectorcall] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_case] = ACTIONS(2915),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_explicit] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_operator] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_static_assert] = ACTIONS(2915),
    [anon_sym_concept] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [aux_sym_preproc_else_token1] = ACTIONS(2911),
    [aux_sym_preproc_elif_token1] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [510] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4945),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7507),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7944),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [511] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4933),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7569),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7955),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3477),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2927),
    [aux_sym_preproc_include_token1] = ACTIONS(2927),
    [aux_sym_preproc_def_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token2] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2927),
    [aux_sym_preproc_else_token1] = ACTIONS(2927),
    [aux_sym_preproc_elif_token1] = ACTIONS(2927),
    [sym_preproc_directive] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym___based] = ACTIONS(2927),
    [anon_sym___cdecl] = ACTIONS(2927),
    [anon_sym___clrcall] = ACTIONS(2927),
    [anon_sym___stdcall] = ACTIONS(2927),
    [anon_sym___fastcall] = ACTIONS(2927),
    [anon_sym___thiscall] = ACTIONS(2927),
    [anon_sym___vectorcall] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_case] = ACTIONS(2927),
    [anon_sym_default] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_explicit] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_namespace] = ACTIONS(2927),
    [anon_sym_using] = ACTIONS(2927),
    [anon_sym_static_assert] = ACTIONS(2927),
    [anon_sym_concept] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [514] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [aux_sym_preproc_else_token1] = ACTIONS(2883),
    [aux_sym_preproc_elif_token1] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token2] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [aux_sym_preproc_else_token1] = ACTIONS(2935),
    [aux_sym_preproc_elif_token1] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token2] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [aux_sym_preproc_else_token1] = ACTIONS(2939),
    [aux_sym_preproc_elif_token1] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [525] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(4986),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7534),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7926),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2931),
    [aux_sym_preproc_include_token1] = ACTIONS(2931),
    [aux_sym_preproc_def_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token2] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2931),
    [aux_sym_preproc_else_token1] = ACTIONS(2931),
    [aux_sym_preproc_elif_token1] = ACTIONS(2931),
    [sym_preproc_directive] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym___based] = ACTIONS(2931),
    [anon_sym___cdecl] = ACTIONS(2931),
    [anon_sym___clrcall] = ACTIONS(2931),
    [anon_sym___stdcall] = ACTIONS(2931),
    [anon_sym___fastcall] = ACTIONS(2931),
    [anon_sym___thiscall] = ACTIONS(2931),
    [anon_sym___vectorcall] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_case] = ACTIONS(2931),
    [anon_sym_default] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_explicit] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_namespace] = ACTIONS(2931),
    [anon_sym_using] = ACTIONS(2931),
    [anon_sym_static_assert] = ACTIONS(2931),
    [anon_sym_concept] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [531] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7601),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(7858),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3481),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [534] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_include_token1] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [aux_sym_preproc_else_token1] = ACTIONS(3228),
    [aux_sym_preproc_elif_token1] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym___cdecl] = ACTIONS(3228),
    [anon_sym___clrcall] = ACTIONS(3228),
    [anon_sym___stdcall] = ACTIONS(3228),
    [anon_sym___fastcall] = ACTIONS(3228),
    [anon_sym___thiscall] = ACTIONS(3228),
    [anon_sym___vectorcall] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym___try] = ACTIONS(3228),
    [anon_sym___leave] = ACTIONS(3228),
    [anon_sym_not] = ACTIONS(3228),
    [anon_sym_compl] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_sizeof] = ACTIONS(3228),
    [anon_sym___alignof__] = ACTIONS(3228),
    [anon_sym___alignof] = ACTIONS(3228),
    [anon_sym__alignof] = ACTIONS(3228),
    [anon_sym_alignof] = ACTIONS(3228),
    [anon_sym__Alignof] = ACTIONS(3228),
    [anon_sym_offsetof] = ACTIONS(3228),
    [anon_sym__Generic] = ACTIONS(3228),
    [anon_sym_asm] = ACTIONS(3228),
    [anon_sym___asm__] = ACTIONS(3228),
    [sym_number_literal] = ACTIONS(3230),
    [anon_sym_L_SQUOTE] = ACTIONS(3230),
    [anon_sym_u_SQUOTE] = ACTIONS(3230),
    [anon_sym_U_SQUOTE] = ACTIONS(3230),
    [anon_sym_u8_SQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_L_DQUOTE] = ACTIONS(3230),
    [anon_sym_u_DQUOTE] = ACTIONS(3230),
    [anon_sym_U_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8_DQUOTE] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [anon_sym_NULL] = ACTIONS(3228),
    [anon_sym_nullptr] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
    [anon_sym_concept] = ACTIONS(3228),
    [anon_sym_co_return] = ACTIONS(3228),
    [anon_sym_co_yield] = ACTIONS(3228),
    [anon_sym_R_DQUOTE] = ACTIONS(3230),
    [anon_sym_LR_DQUOTE] = ACTIONS(3230),
    [anon_sym_uR_DQUOTE] = ACTIONS(3230),
    [anon_sym_UR_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3230),
    [anon_sym_co_await] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_requires] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
  },
  [535] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [536] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [537] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_include_token1] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3289),
    [aux_sym_preproc_elif_token1] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym___cdecl] = ACTIONS(3289),
    [anon_sym___clrcall] = ACTIONS(3289),
    [anon_sym___stdcall] = ACTIONS(3289),
    [anon_sym___fastcall] = ACTIONS(3289),
    [anon_sym___thiscall] = ACTIONS(3289),
    [anon_sym___vectorcall] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym___try] = ACTIONS(3289),
    [anon_sym___leave] = ACTIONS(3289),
    [anon_sym_not] = ACTIONS(3289),
    [anon_sym_compl] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym___alignof__] = ACTIONS(3289),
    [anon_sym___alignof] = ACTIONS(3289),
    [anon_sym__alignof] = ACTIONS(3289),
    [anon_sym_alignof] = ACTIONS(3289),
    [anon_sym__Alignof] = ACTIONS(3289),
    [anon_sym_offsetof] = ACTIONS(3289),
    [anon_sym__Generic] = ACTIONS(3289),
    [anon_sym_asm] = ACTIONS(3289),
    [anon_sym___asm__] = ACTIONS(3289),
    [sym_number_literal] = ACTIONS(3291),
    [anon_sym_L_SQUOTE] = ACTIONS(3291),
    [anon_sym_u_SQUOTE] = ACTIONS(3291),
    [anon_sym_U_SQUOTE] = ACTIONS(3291),
    [anon_sym_u8_SQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_L_DQUOTE] = ACTIONS(3291),
    [anon_sym_u_DQUOTE] = ACTIONS(3291),
    [anon_sym_U_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8_DQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [anon_sym_NULL] = ACTIONS(3289),
    [anon_sym_nullptr] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
    [anon_sym_concept] = ACTIONS(3289),
    [anon_sym_co_return] = ACTIONS(3289),
    [anon_sym_co_yield] = ACTIONS(3289),
    [anon_sym_R_DQUOTE] = ACTIONS(3291),
    [anon_sym_LR_DQUOTE] = ACTIONS(3291),
    [anon_sym_uR_DQUOTE] = ACTIONS(3291),
    [anon_sym_UR_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3291),
    [anon_sym_co_await] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_requires] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [541] = {
    [sym_else_clause] = STATE(855),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_include_token1] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [aux_sym_preproc_else_token1] = ACTIONS(3323),
    [aux_sym_preproc_elif_token1] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym___cdecl] = ACTIONS(3323),
    [anon_sym___clrcall] = ACTIONS(3323),
    [anon_sym___stdcall] = ACTIONS(3323),
    [anon_sym___fastcall] = ACTIONS(3323),
    [anon_sym___thiscall] = ACTIONS(3323),
    [anon_sym___vectorcall] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_goto] = ACTIONS(3323),
    [anon_sym___try] = ACTIONS(3323),
    [anon_sym___leave] = ACTIONS(3323),
    [anon_sym_not] = ACTIONS(3323),
    [anon_sym_compl] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3323),
    [anon_sym___alignof__] = ACTIONS(3323),
    [anon_sym___alignof] = ACTIONS(3323),
    [anon_sym__alignof] = ACTIONS(3323),
    [anon_sym_alignof] = ACTIONS(3323),
    [anon_sym__Alignof] = ACTIONS(3323),
    [anon_sym_offsetof] = ACTIONS(3323),
    [anon_sym__Generic] = ACTIONS(3323),
    [anon_sym_asm] = ACTIONS(3323),
    [anon_sym___asm__] = ACTIONS(3323),
    [sym_number_literal] = ACTIONS(3325),
    [anon_sym_L_SQUOTE] = ACTIONS(3325),
    [anon_sym_u_SQUOTE] = ACTIONS(3325),
    [anon_sym_U_SQUOTE] = ACTIONS(3325),
    [anon_sym_u8_SQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_L_DQUOTE] = ACTIONS(3325),
    [anon_sym_u_DQUOTE] = ACTIONS(3325),
    [anon_sym_U_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8_DQUOTE] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3323),
    [anon_sym_nullptr] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
    [anon_sym_concept] = ACTIONS(3323),
    [anon_sym_co_return] = ACTIONS(3323),
    [anon_sym_co_yield] = ACTIONS(3323),
    [anon_sym_R_DQUOTE] = ACTIONS(3325),
    [anon_sym_LR_DQUOTE] = ACTIONS(3325),
    [anon_sym_uR_DQUOTE] = ACTIONS(3325),
    [anon_sym_UR_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3325),
    [anon_sym_co_await] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_requires] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [aux_sym_preproc_else_token1] = ACTIONS(3327),
    [aux_sym_preproc_elif_token1] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym___cdecl] = ACTIONS(3327),
    [anon_sym___clrcall] = ACTIONS(3327),
    [anon_sym___stdcall] = ACTIONS(3327),
    [anon_sym___fastcall] = ACTIONS(3327),
    [anon_sym___thiscall] = ACTIONS(3327),
    [anon_sym___vectorcall] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym___try] = ACTIONS(3327),
    [anon_sym___leave] = ACTIONS(3327),
    [anon_sym_not] = ACTIONS(3327),
    [anon_sym_compl] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [anon_sym___alignof__] = ACTIONS(3327),
    [anon_sym___alignof] = ACTIONS(3327),
    [anon_sym__alignof] = ACTIONS(3327),
    [anon_sym_alignof] = ACTIONS(3327),
    [anon_sym__Alignof] = ACTIONS(3327),
    [anon_sym_offsetof] = ACTIONS(3327),
    [anon_sym__Generic] = ACTIONS(3327),
    [anon_sym_asm] = ACTIONS(3327),
    [anon_sym___asm__] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [anon_sym_L_SQUOTE] = ACTIONS(3329),
    [anon_sym_u_SQUOTE] = ACTIONS(3329),
    [anon_sym_U_SQUOTE] = ACTIONS(3329),
    [anon_sym_u8_SQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_L_DQUOTE] = ACTIONS(3329),
    [anon_sym_u_DQUOTE] = ACTIONS(3329),
    [anon_sym_U_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8_DQUOTE] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [anon_sym_NULL] = ACTIONS(3327),
    [anon_sym_nullptr] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
    [anon_sym_concept] = ACTIONS(3327),
    [anon_sym_co_return] = ACTIONS(3327),
    [anon_sym_co_yield] = ACTIONS(3327),
    [anon_sym_R_DQUOTE] = ACTIONS(3329),
    [anon_sym_LR_DQUOTE] = ACTIONS(3329),
    [anon_sym_uR_DQUOTE] = ACTIONS(3329),
    [anon_sym_UR_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3329),
    [anon_sym_co_await] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_requires] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_include_token1] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym___cdecl] = ACTIONS(3232),
    [anon_sym___clrcall] = ACTIONS(3232),
    [anon_sym___stdcall] = ACTIONS(3232),
    [anon_sym___fastcall] = ACTIONS(3232),
    [anon_sym___thiscall] = ACTIONS(3232),
    [anon_sym___vectorcall] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_goto] = ACTIONS(3232),
    [anon_sym___try] = ACTIONS(3232),
    [anon_sym___leave] = ACTIONS(3232),
    [anon_sym_not] = ACTIONS(3232),
    [anon_sym_compl] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_sizeof] = ACTIONS(3232),
    [anon_sym___alignof__] = ACTIONS(3232),
    [anon_sym___alignof] = ACTIONS(3232),
    [anon_sym__alignof] = ACTIONS(3232),
    [anon_sym_alignof] = ACTIONS(3232),
    [anon_sym__Alignof] = ACTIONS(3232),
    [anon_sym_offsetof] = ACTIONS(3232),
    [anon_sym__Generic] = ACTIONS(3232),
    [anon_sym_asm] = ACTIONS(3232),
    [anon_sym___asm__] = ACTIONS(3232),
    [sym_number_literal] = ACTIONS(3234),
    [anon_sym_L_SQUOTE] = ACTIONS(3234),
    [anon_sym_u_SQUOTE] = ACTIONS(3234),
    [anon_sym_U_SQUOTE] = ACTIONS(3234),
    [anon_sym_u8_SQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_L_DQUOTE] = ACTIONS(3234),
    [anon_sym_u_DQUOTE] = ACTIONS(3234),
    [anon_sym_U_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8_DQUOTE] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [anon_sym_NULL] = ACTIONS(3232),
    [anon_sym_nullptr] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
    [anon_sym_concept] = ACTIONS(3232),
    [anon_sym_co_return] = ACTIONS(3232),
    [anon_sym_co_yield] = ACTIONS(3232),
    [anon_sym_R_DQUOTE] = ACTIONS(3234),
    [anon_sym_LR_DQUOTE] = ACTIONS(3234),
    [anon_sym_uR_DQUOTE] = ACTIONS(3234),
    [anon_sym_UR_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3234),
    [anon_sym_co_await] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_requires] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [sym_number_literal] = ACTIONS(3345),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [aux_sym_preproc_else_token1] = ACTIONS(3220),
    [aux_sym_preproc_elif_token1] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [sym_primitive_type] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3222),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [sym_number_literal] = ACTIONS(3349),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [sym_number_literal] = ACTIONS(3353),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_include_token1] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [aux_sym_preproc_else_token1] = ACTIONS(3355),
    [aux_sym_preproc_elif_token1] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym___cdecl] = ACTIONS(3355),
    [anon_sym___clrcall] = ACTIONS(3355),
    [anon_sym___stdcall] = ACTIONS(3355),
    [anon_sym___fastcall] = ACTIONS(3355),
    [anon_sym___thiscall] = ACTIONS(3355),
    [anon_sym___vectorcall] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_goto] = ACTIONS(3355),
    [anon_sym___try] = ACTIONS(3355),
    [anon_sym___leave] = ACTIONS(3355),
    [anon_sym_not] = ACTIONS(3355),
    [anon_sym_compl] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3355),
    [anon_sym___alignof__] = ACTIONS(3355),
    [anon_sym___alignof] = ACTIONS(3355),
    [anon_sym__alignof] = ACTIONS(3355),
    [anon_sym_alignof] = ACTIONS(3355),
    [anon_sym__Alignof] = ACTIONS(3355),
    [anon_sym_offsetof] = ACTIONS(3355),
    [anon_sym__Generic] = ACTIONS(3355),
    [anon_sym_asm] = ACTIONS(3355),
    [anon_sym___asm__] = ACTIONS(3355),
    [sym_number_literal] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3357),
    [anon_sym_u_SQUOTE] = ACTIONS(3357),
    [anon_sym_U_SQUOTE] = ACTIONS(3357),
    [anon_sym_u8_SQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_L_DQUOTE] = ACTIONS(3357),
    [anon_sym_u_DQUOTE] = ACTIONS(3357),
    [anon_sym_U_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8_DQUOTE] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [anon_sym_NULL] = ACTIONS(3355),
    [anon_sym_nullptr] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
    [anon_sym_concept] = ACTIONS(3355),
    [anon_sym_co_return] = ACTIONS(3355),
    [anon_sym_co_yield] = ACTIONS(3355),
    [anon_sym_R_DQUOTE] = ACTIONS(3357),
    [anon_sym_LR_DQUOTE] = ACTIONS(3357),
    [anon_sym_uR_DQUOTE] = ACTIONS(3357),
    [anon_sym_UR_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3357),
    [anon_sym_co_await] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_requires] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [aux_sym_preproc_else_token1] = ACTIONS(3260),
    [aux_sym_preproc_elif_token1] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_include_token1] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [aux_sym_preproc_else_token1] = ACTIONS(3224),
    [aux_sym_preproc_elif_token1] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym___cdecl] = ACTIONS(3224),
    [anon_sym___clrcall] = ACTIONS(3224),
    [anon_sym___stdcall] = ACTIONS(3224),
    [anon_sym___fastcall] = ACTIONS(3224),
    [anon_sym___thiscall] = ACTIONS(3224),
    [anon_sym___vectorcall] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_goto] = ACTIONS(3224),
    [anon_sym___try] = ACTIONS(3224),
    [anon_sym___leave] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(3224),
    [anon_sym_compl] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_sizeof] = ACTIONS(3224),
    [anon_sym___alignof__] = ACTIONS(3224),
    [anon_sym___alignof] = ACTIONS(3224),
    [anon_sym__alignof] = ACTIONS(3224),
    [anon_sym_alignof] = ACTIONS(3224),
    [anon_sym__Alignof] = ACTIONS(3224),
    [anon_sym_offsetof] = ACTIONS(3224),
    [anon_sym__Generic] = ACTIONS(3224),
    [anon_sym_asm] = ACTIONS(3224),
    [anon_sym___asm__] = ACTIONS(3224),
    [sym_number_literal] = ACTIONS(3226),
    [anon_sym_L_SQUOTE] = ACTIONS(3226),
    [anon_sym_u_SQUOTE] = ACTIONS(3226),
    [anon_sym_U_SQUOTE] = ACTIONS(3226),
    [anon_sym_u8_SQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_L_DQUOTE] = ACTIONS(3226),
    [anon_sym_u_DQUOTE] = ACTIONS(3226),
    [anon_sym_U_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8_DQUOTE] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [anon_sym_NULL] = ACTIONS(3224),
    [anon_sym_nullptr] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
    [anon_sym_concept] = ACTIONS(3224),
    [anon_sym_co_return] = ACTIONS(3224),
    [anon_sym_co_yield] = ACTIONS(3224),
    [anon_sym_R_DQUOTE] = ACTIONS(3226),
    [anon_sym_LR_DQUOTE] = ACTIONS(3226),
    [anon_sym_uR_DQUOTE] = ACTIONS(3226),
    [anon_sym_UR_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3226),
    [anon_sym_co_await] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_requires] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [562] = {
    [sym_else_clause] = STATE(720),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [568] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [569] = {
    [sym_identifier] = ACTIONS(3331),
    [aux_sym_preproc_include_token1] = ACTIONS(3331),
    [aux_sym_preproc_def_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token2] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3331),
    [aux_sym_preproc_else_token1] = ACTIONS(3331),
    [aux_sym_preproc_elif_token1] = ACTIONS(3331),
    [sym_preproc_directive] = ACTIONS(3331),
    [anon_sym_LPAREN2] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3333),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym___extension__] = ACTIONS(3331),
    [anon_sym_typedef] = ACTIONS(3331),
    [anon_sym_extern] = ACTIONS(3331),
    [anon_sym___attribute__] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3333),
    [anon_sym___declspec] = ACTIONS(3331),
    [anon_sym___based] = ACTIONS(3331),
    [anon_sym___cdecl] = ACTIONS(3331),
    [anon_sym___clrcall] = ACTIONS(3331),
    [anon_sym___stdcall] = ACTIONS(3331),
    [anon_sym___fastcall] = ACTIONS(3331),
    [anon_sym___thiscall] = ACTIONS(3331),
    [anon_sym___vectorcall] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_signed] = ACTIONS(3331),
    [anon_sym_unsigned] = ACTIONS(3331),
    [anon_sym_long] = ACTIONS(3331),
    [anon_sym_short] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_register] = ACTIONS(3331),
    [anon_sym_inline] = ACTIONS(3331),
    [anon_sym___inline] = ACTIONS(3331),
    [anon_sym___inline__] = ACTIONS(3331),
    [anon_sym___forceinline] = ACTIONS(3331),
    [anon_sym_thread_local] = ACTIONS(3331),
    [anon_sym___thread] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_constexpr] = ACTIONS(3331),
    [anon_sym_volatile] = ACTIONS(3331),
    [anon_sym_restrict] = ACTIONS(3331),
    [anon_sym___restrict__] = ACTIONS(3331),
    [anon_sym__Atomic] = ACTIONS(3331),
    [anon_sym__Noreturn] = ACTIONS(3331),
    [anon_sym_noreturn] = ACTIONS(3331),
    [anon_sym_mutable] = ACTIONS(3331),
    [anon_sym_constinit] = ACTIONS(3331),
    [anon_sym_consteval] = ACTIONS(3331),
    [sym_primitive_type] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_struct] = ACTIONS(3331),
    [anon_sym_union] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_goto] = ACTIONS(3331),
    [anon_sym___try] = ACTIONS(3331),
    [anon_sym___leave] = ACTIONS(3331),
    [anon_sym_not] = ACTIONS(3331),
    [anon_sym_compl] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3331),
    [anon_sym___alignof__] = ACTIONS(3331),
    [anon_sym___alignof] = ACTIONS(3331),
    [anon_sym__alignof] = ACTIONS(3331),
    [anon_sym_alignof] = ACTIONS(3331),
    [anon_sym__Alignof] = ACTIONS(3331),
    [anon_sym_offsetof] = ACTIONS(3331),
    [anon_sym__Generic] = ACTIONS(3331),
    [anon_sym_asm] = ACTIONS(3331),
    [anon_sym___asm__] = ACTIONS(3331),
    [sym_number_literal] = ACTIONS(3333),
    [anon_sym_L_SQUOTE] = ACTIONS(3333),
    [anon_sym_u_SQUOTE] = ACTIONS(3333),
    [anon_sym_U_SQUOTE] = ACTIONS(3333),
    [anon_sym_u8_SQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_L_DQUOTE] = ACTIONS(3333),
    [anon_sym_u_DQUOTE] = ACTIONS(3333),
    [anon_sym_U_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8_DQUOTE] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [anon_sym_NULL] = ACTIONS(3331),
    [anon_sym_nullptr] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3331),
    [anon_sym_decltype] = ACTIONS(3331),
    [anon_sym_virtual] = ACTIONS(3331),
    [anon_sym_alignas] = ACTIONS(3331),
    [anon_sym_explicit] = ACTIONS(3331),
    [anon_sym_typename] = ACTIONS(3331),
    [anon_sym_template] = ACTIONS(3331),
    [anon_sym_operator] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_static_assert] = ACTIONS(3331),
    [anon_sym_concept] = ACTIONS(3331),
    [anon_sym_co_return] = ACTIONS(3331),
    [anon_sym_co_yield] = ACTIONS(3331),
    [anon_sym_R_DQUOTE] = ACTIONS(3333),
    [anon_sym_LR_DQUOTE] = ACTIONS(3333),
    [anon_sym_uR_DQUOTE] = ACTIONS(3333),
    [anon_sym_UR_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3333),
    [anon_sym_co_await] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_requires] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
  },
  [570] = {
    [sym_else_clause] = STATE(711),
    [ts_builtin_sym_end] = ACTIONS(2854),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(3485),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3236),
    [aux_sym_preproc_include_token1] = ACTIONS(3236),
    [aux_sym_preproc_def_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3236),
    [aux_sym_preproc_else_token1] = ACTIONS(3236),
    [aux_sym_preproc_elif_token1] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3236),
    [anon_sym_LPAREN2] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym___extension__] = ACTIONS(3236),
    [anon_sym_typedef] = ACTIONS(3236),
    [anon_sym_extern] = ACTIONS(3236),
    [anon_sym___attribute__] = ACTIONS(3236),
    [anon_sym_COLON_COLON] = ACTIONS(3238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3238),
    [anon_sym___declspec] = ACTIONS(3236),
    [anon_sym___based] = ACTIONS(3236),
    [anon_sym___cdecl] = ACTIONS(3236),
    [anon_sym___clrcall] = ACTIONS(3236),
    [anon_sym___stdcall] = ACTIONS(3236),
    [anon_sym___fastcall] = ACTIONS(3236),
    [anon_sym___thiscall] = ACTIONS(3236),
    [anon_sym___vectorcall] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(3236),
    [anon_sym_unsigned] = ACTIONS(3236),
    [anon_sym_long] = ACTIONS(3236),
    [anon_sym_short] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_register] = ACTIONS(3236),
    [anon_sym_inline] = ACTIONS(3236),
    [anon_sym___inline] = ACTIONS(3236),
    [anon_sym___inline__] = ACTIONS(3236),
    [anon_sym___forceinline] = ACTIONS(3236),
    [anon_sym_thread_local] = ACTIONS(3236),
    [anon_sym___thread] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_constexpr] = ACTIONS(3236),
    [anon_sym_volatile] = ACTIONS(3236),
    [anon_sym_restrict] = ACTIONS(3236),
    [anon_sym___restrict__] = ACTIONS(3236),
    [anon_sym__Atomic] = ACTIONS(3236),
    [anon_sym__Noreturn] = ACTIONS(3236),
    [anon_sym_noreturn] = ACTIONS(3236),
    [anon_sym_mutable] = ACTIONS(3236),
    [anon_sym_constinit] = ACTIONS(3236),
    [anon_sym_consteval] = ACTIONS(3236),
    [sym_primitive_type] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_struct] = ACTIONS(3236),
    [anon_sym_union] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_goto] = ACTIONS(3236),
    [anon_sym___try] = ACTIONS(3236),
    [anon_sym___leave] = ACTIONS(3236),
    [anon_sym_not] = ACTIONS(3236),
    [anon_sym_compl] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_sizeof] = ACTIONS(3236),
    [anon_sym___alignof__] = ACTIONS(3236),
    [anon_sym___alignof] = ACTIONS(3236),
    [anon_sym__alignof] = ACTIONS(3236),
    [anon_sym_alignof] = ACTIONS(3236),
    [anon_sym__Alignof] = ACTIONS(3236),
    [anon_sym_offsetof] = ACTIONS(3236),
    [anon_sym__Generic] = ACTIONS(3236),
    [anon_sym_asm] = ACTIONS(3236),
    [anon_sym___asm__] = ACTIONS(3236),
    [sym_number_literal] = ACTIONS(3238),
    [anon_sym_L_SQUOTE] = ACTIONS(3238),
    [anon_sym_u_SQUOTE] = ACTIONS(3238),
    [anon_sym_U_SQUOTE] = ACTIONS(3238),
    [anon_sym_u8_SQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_L_DQUOTE] = ACTIONS(3238),
    [anon_sym_u_DQUOTE] = ACTIONS(3238),
    [anon_sym_U_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8_DQUOTE] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [anon_sym_NULL] = ACTIONS(3236),
    [anon_sym_nullptr] = ACTIONS(3236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3236),
    [anon_sym_decltype] = ACTIONS(3236),
    [anon_sym_virtual] = ACTIONS(3236),
    [anon_sym_alignas] = ACTIONS(3236),
    [anon_sym_explicit] = ACTIONS(3236),
    [anon_sym_typename] = ACTIONS(3236),
    [anon_sym_template] = ACTIONS(3236),
    [anon_sym_operator] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_static_assert] = ACTIONS(3236),
    [anon_sym_concept] = ACTIONS(3236),
    [anon_sym_co_return] = ACTIONS(3236),
    [anon_sym_co_yield] = ACTIONS(3236),
    [anon_sym_R_DQUOTE] = ACTIONS(3238),
    [anon_sym_LR_DQUOTE] = ACTIONS(3238),
    [anon_sym_uR_DQUOTE] = ACTIONS(3238),
    [anon_sym_UR_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3238),
    [anon_sym_co_await] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_requires] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [580] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [585] = {
    [sym_else_clause] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(2865),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3485),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [586] = {
    [sym_else_clause] = STATE(752),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3487),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3272),
    [aux_sym_preproc_include_token1] = ACTIONS(3272),
    [aux_sym_preproc_def_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token2] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3272),
    [aux_sym_preproc_else_token1] = ACTIONS(3272),
    [aux_sym_preproc_elif_token1] = ACTIONS(3272),
    [sym_preproc_directive] = ACTIONS(3272),
    [anon_sym_LPAREN2] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3272),
    [anon_sym_extern] = ACTIONS(3272),
    [anon_sym___attribute__] = ACTIONS(3272),
    [anon_sym_COLON_COLON] = ACTIONS(3274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3274),
    [anon_sym___declspec] = ACTIONS(3272),
    [anon_sym___based] = ACTIONS(3272),
    [anon_sym___cdecl] = ACTIONS(3272),
    [anon_sym___clrcall] = ACTIONS(3272),
    [anon_sym___stdcall] = ACTIONS(3272),
    [anon_sym___fastcall] = ACTIONS(3272),
    [anon_sym___thiscall] = ACTIONS(3272),
    [anon_sym___vectorcall] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3272),
    [anon_sym_unsigned] = ACTIONS(3272),
    [anon_sym_long] = ACTIONS(3272),
    [anon_sym_short] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_register] = ACTIONS(3272),
    [anon_sym_inline] = ACTIONS(3272),
    [anon_sym___inline] = ACTIONS(3272),
    [anon_sym___inline__] = ACTIONS(3272),
    [anon_sym___forceinline] = ACTIONS(3272),
    [anon_sym_thread_local] = ACTIONS(3272),
    [anon_sym___thread] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_constexpr] = ACTIONS(3272),
    [anon_sym_volatile] = ACTIONS(3272),
    [anon_sym_restrict] = ACTIONS(3272),
    [anon_sym___restrict__] = ACTIONS(3272),
    [anon_sym__Atomic] = ACTIONS(3272),
    [anon_sym__Noreturn] = ACTIONS(3272),
    [anon_sym_noreturn] = ACTIONS(3272),
    [anon_sym_mutable] = ACTIONS(3272),
    [anon_sym_constinit] = ACTIONS(3272),
    [anon_sym_consteval] = ACTIONS(3272),
    [sym_primitive_type] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_struct] = ACTIONS(3272),
    [anon_sym_union] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_goto] = ACTIONS(3272),
    [anon_sym___try] = ACTIONS(3272),
    [anon_sym___leave] = ACTIONS(3272),
    [anon_sym_not] = ACTIONS(3272),
    [anon_sym_compl] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_sizeof] = ACTIONS(3272),
    [anon_sym___alignof__] = ACTIONS(3272),
    [anon_sym___alignof] = ACTIONS(3272),
    [anon_sym__alignof] = ACTIONS(3272),
    [anon_sym_alignof] = ACTIONS(3272),
    [anon_sym__Alignof] = ACTIONS(3272),
    [anon_sym_offsetof] = ACTIONS(3272),
    [anon_sym__Generic] = ACTIONS(3272),
    [anon_sym_asm] = ACTIONS(3272),
    [anon_sym___asm__] = ACTIONS(3272),
    [sym_number_literal] = ACTIONS(3274),
    [anon_sym_L_SQUOTE] = ACTIONS(3274),
    [anon_sym_u_SQUOTE] = ACTIONS(3274),
    [anon_sym_U_SQUOTE] = ACTIONS(3274),
    [anon_sym_u8_SQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_L_DQUOTE] = ACTIONS(3274),
    [anon_sym_u_DQUOTE] = ACTIONS(3274),
    [anon_sym_U_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8_DQUOTE] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [anon_sym_NULL] = ACTIONS(3272),
    [anon_sym_nullptr] = ACTIONS(3272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3272),
    [anon_sym_decltype] = ACTIONS(3272),
    [anon_sym_virtual] = ACTIONS(3272),
    [anon_sym_alignas] = ACTIONS(3272),
    [anon_sym_explicit] = ACTIONS(3272),
    [anon_sym_typename] = ACTIONS(3272),
    [anon_sym_template] = ACTIONS(3272),
    [anon_sym_operator] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_static_assert] = ACTIONS(3272),
    [anon_sym_concept] = ACTIONS(3272),
    [anon_sym_co_return] = ACTIONS(3272),
    [anon_sym_co_yield] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(3274),
    [anon_sym_LR_DQUOTE] = ACTIONS(3274),
    [anon_sym_uR_DQUOTE] = ACTIONS(3274),
    [anon_sym_UR_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3274),
    [anon_sym_co_await] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_requires] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
  },
  [588] = {
    [sym_type_qualifier] = STATE(4623),
    [sym__type_specifier] = STATE(5505),
    [sym_sized_type_specifier] = STATE(3448),
    [sym_enum_specifier] = STATE(3448),
    [sym_struct_specifier] = STATE(3448),
    [sym_union_specifier] = STATE(3448),
    [sym__expression] = STATE(5069),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_type_descriptor] = STATE(7977),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_placeholder_type_specifier] = STATE(3448),
    [sym_decltype_auto] = STATE(3445),
    [sym_decltype] = STATE(3251),
    [sym_class_specifier] = STATE(3448),
    [sym__class_name] = STATE(8575),
    [sym_dependent_type] = STATE(3448),
    [sym_template_type] = STATE(6016),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_type_parameter_pack_expansion] = STATE(8327),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6254),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(6057),
    [sym_user_defined_literal] = STATE(4115),
    [aux_sym__type_definition_type_repeat1] = STATE(4623),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2813),
    [sym_identifier] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_signed] = ACTIONS(3395),
    [anon_sym_unsigned] = ACTIONS(3395),
    [anon_sym_long] = ACTIONS(3395),
    [anon_sym_short] = ACTIONS(3395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3399),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3429),
    [anon_sym_decltype] = ACTIONS(3431),
    [anon_sym_typename] = ACTIONS(3433),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3297),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [aux_sym_preproc_else_token1] = ACTIONS(3297),
    [aux_sym_preproc_elif_token1] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym___extension__] = ACTIONS(3297),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym___attribute__] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3299),
    [anon_sym___declspec] = ACTIONS(3297),
    [anon_sym___based] = ACTIONS(3297),
    [anon_sym___cdecl] = ACTIONS(3297),
    [anon_sym___clrcall] = ACTIONS(3297),
    [anon_sym___stdcall] = ACTIONS(3297),
    [anon_sym___fastcall] = ACTIONS(3297),
    [anon_sym___thiscall] = ACTIONS(3297),
    [anon_sym___vectorcall] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_signed] = ACTIONS(3297),
    [anon_sym_unsigned] = ACTIONS(3297),
    [anon_sym_long] = ACTIONS(3297),
    [anon_sym_short] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_register] = ACTIONS(3297),
    [anon_sym_inline] = ACTIONS(3297),
    [anon_sym___inline] = ACTIONS(3297),
    [anon_sym___inline__] = ACTIONS(3297),
    [anon_sym___forceinline] = ACTIONS(3297),
    [anon_sym_thread_local] = ACTIONS(3297),
    [anon_sym___thread] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_constexpr] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_restrict] = ACTIONS(3297),
    [anon_sym___restrict__] = ACTIONS(3297),
    [anon_sym__Atomic] = ACTIONS(3297),
    [anon_sym__Noreturn] = ACTIONS(3297),
    [anon_sym_noreturn] = ACTIONS(3297),
    [anon_sym_mutable] = ACTIONS(3297),
    [anon_sym_constinit] = ACTIONS(3297),
    [anon_sym_consteval] = ACTIONS(3297),
    [sym_primitive_type] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_union] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym___try] = ACTIONS(3297),
    [anon_sym___leave] = ACTIONS(3297),
    [anon_sym_not] = ACTIONS(3297),
    [anon_sym_compl] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym___alignof__] = ACTIONS(3297),
    [anon_sym___alignof] = ACTIONS(3297),
    [anon_sym__alignof] = ACTIONS(3297),
    [anon_sym_alignof] = ACTIONS(3297),
    [anon_sym__Alignof] = ACTIONS(3297),
    [anon_sym_offsetof] = ACTIONS(3297),
    [anon_sym__Generic] = ACTIONS(3297),
    [anon_sym_asm] = ACTIONS(3297),
    [anon_sym___asm__] = ACTIONS(3297),
    [sym_number_literal] = ACTIONS(3299),
    [anon_sym_L_SQUOTE] = ACTIONS(3299),
    [anon_sym_u_SQUOTE] = ACTIONS(3299),
    [anon_sym_U_SQUOTE] = ACTIONS(3299),
    [anon_sym_u8_SQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_L_DQUOTE] = ACTIONS(3299),
    [anon_sym_u_DQUOTE] = ACTIONS(3299),
    [anon_sym_U_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8_DQUOTE] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [anon_sym_NULL] = ACTIONS(3297),
    [anon_sym_nullptr] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3297),
    [anon_sym_decltype] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_alignas] = ACTIONS(3297),
    [anon_sym_explicit] = ACTIONS(3297),
    [anon_sym_typename] = ACTIONS(3297),
    [anon_sym_template] = ACTIONS(3297),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_static_assert] = ACTIONS(3297),
    [anon_sym_concept] = ACTIONS(3297),
    [anon_sym_co_return] = ACTIONS(3297),
    [anon_sym_co_yield] = ACTIONS(3297),
    [anon_sym_R_DQUOTE] = ACTIONS(3299),
    [anon_sym_LR_DQUOTE] = ACTIONS(3299),
    [anon_sym_uR_DQUOTE] = ACTIONS(3299),
    [anon_sym_UR_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3299),
    [anon_sym_co_await] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_requires] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3305),
    [aux_sym_preproc_include_token1] = ACTIONS(3305),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token2] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3305),
    [aux_sym_preproc_else_token1] = ACTIONS(3305),
    [aux_sym_preproc_elif_token1] = ACTIONS(3305),
    [sym_preproc_directive] = ACTIONS(3305),
    [anon_sym_LPAREN2] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym___extension__] = ACTIONS(3305),
    [anon_sym_typedef] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym___attribute__] = ACTIONS(3305),
    [anon_sym_COLON_COLON] = ACTIONS(3307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3307),
    [anon_sym___declspec] = ACTIONS(3305),
    [anon_sym___based] = ACTIONS(3305),
    [anon_sym___cdecl] = ACTIONS(3305),
    [anon_sym___clrcall] = ACTIONS(3305),
    [anon_sym___stdcall] = ACTIONS(3305),
    [anon_sym___fastcall] = ACTIONS(3305),
    [anon_sym___thiscall] = ACTIONS(3305),
    [anon_sym___vectorcall] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_signed] = ACTIONS(3305),
    [anon_sym_unsigned] = ACTIONS(3305),
    [anon_sym_long] = ACTIONS(3305),
    [anon_sym_short] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_register] = ACTIONS(3305),
    [anon_sym_inline] = ACTIONS(3305),
    [anon_sym___inline] = ACTIONS(3305),
    [anon_sym___inline__] = ACTIONS(3305),
    [anon_sym___forceinline] = ACTIONS(3305),
    [anon_sym_thread_local] = ACTIONS(3305),
    [anon_sym___thread] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_constexpr] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_restrict] = ACTIONS(3305),
    [anon_sym___restrict__] = ACTIONS(3305),
    [anon_sym__Atomic] = ACTIONS(3305),
    [anon_sym__Noreturn] = ACTIONS(3305),
    [anon_sym_noreturn] = ACTIONS(3305),
    [anon_sym_mutable] = ACTIONS(3305),
    [anon_sym_constinit] = ACTIONS(3305),
    [anon_sym_consteval] = ACTIONS(3305),
    [sym_primitive_type] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_union] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym___try] = ACTIONS(3305),
    [anon_sym___leave] = ACTIONS(3305),
    [anon_sym_not] = ACTIONS(3305),
    [anon_sym_compl] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3305),
    [anon_sym_asm] = ACTIONS(3305),
    [anon_sym___asm__] = ACTIONS(3305),
    [sym_number_literal] = ACTIONS(3307),
    [anon_sym_L_SQUOTE] = ACTIONS(3307),
    [anon_sym_u_SQUOTE] = ACTIONS(3307),
    [anon_sym_U_SQUOTE] = ACTIONS(3307),
    [anon_sym_u8_SQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_L_DQUOTE] = ACTIONS(3307),
    [anon_sym_u_DQUOTE] = ACTIONS(3307),
    [anon_sym_U_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8_DQUOTE] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [anon_sym_NULL] = ACTIONS(3305),
    [anon_sym_nullptr] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3305),
    [anon_sym_decltype] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_alignas] = ACTIONS(3305),
    [anon_sym_explicit] = ACTIONS(3305),
    [anon_sym_typename] = ACTIONS(3305),
    [anon_sym_template] = ACTIONS(3305),
    [anon_sym_operator] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_static_assert] = ACTIONS(3305),
    [anon_sym_concept] = ACTIONS(3305),
    [anon_sym_co_return] = ACTIONS(3305),
    [anon_sym_co_yield] = ACTIONS(3305),
    [anon_sym_R_DQUOTE] = ACTIONS(3307),
    [anon_sym_LR_DQUOTE] = ACTIONS(3307),
    [anon_sym_uR_DQUOTE] = ACTIONS(3307),
    [anon_sym_UR_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3307),
    [anon_sym_co_await] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_requires] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [592] = {
    [sym_else_clause] = STATE(703),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP_AMP] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___based] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(3487),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_explicit] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_operator] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_namespace] = ACTIONS(2852),
    [anon_sym_using] = ACTIONS(2852),
    [anon_sym_static_assert] = ACTIONS(2852),
    [anon_sym_concept] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_include_token1] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym___cdecl] = ACTIONS(2182),
    [anon_sym___clrcall] = ACTIONS(2182),
    [anon_sym___stdcall] = ACTIONS(2182),
    [anon_sym___fastcall] = ACTIONS(2182),
    [anon_sym___thiscall] = ACTIONS(2182),
    [anon_sym___vectorcall] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_namespace] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_concept] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_include_token1] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token2] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [aux_sym_preproc_else_token1] = ACTIONS(3335),
    [aux_sym_preproc_elif_token1] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym___cdecl] = ACTIONS(3335),
    [anon_sym___clrcall] = ACTIONS(3335),
    [anon_sym___stdcall] = ACTIONS(3335),
    [anon_sym___fastcall] = ACTIONS(3335),
    [anon_sym___thiscall] = ACTIONS(3335),
    [anon_sym___vectorcall] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_goto] = ACTIONS(3335),
    [anon_sym___try] = ACTIONS(3335),
    [anon_sym___leave] = ACTIONS(3335),
    [anon_sym_not] = ACTIONS(3335),
    [anon_sym_compl] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3335),
    [anon_sym___alignof__] = ACTIONS(3335),
    [anon_sym___alignof] = ACTIONS(3335),
    [anon_sym__alignof] = ACTIONS(3335),
    [anon_sym_alignof] = ACTIONS(3335),
    [anon_sym__Alignof] = ACTIONS(3335),
    [anon_sym_offsetof] = ACTIONS(3335),
    [anon_sym__Generic] = ACTIONS(3335),
    [anon_sym_asm] = ACTIONS(3335),
    [anon_sym___asm__] = ACTIONS(3335),
    [sym_number_literal] = ACTIONS(3337),
    [anon_sym_L_SQUOTE] = ACTIONS(3337),
    [anon_sym_u_SQUOTE] = ACTIONS(3337),
    [anon_sym_U_SQUOTE] = ACTIONS(3337),
    [anon_sym_u8_SQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_L_DQUOTE] = ACTIONS(3337),
    [anon_sym_u_DQUOTE] = ACTIONS(3337),
    [anon_sym_U_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8_DQUOTE] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [anon_sym_NULL] = ACTIONS(3335),
    [anon_sym_nullptr] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
    [anon_sym_concept] = ACTIONS(3335),
    [anon_sym_co_return] = ACTIONS(3335),
    [anon_sym_co_yield] = ACTIONS(3335),
    [anon_sym_R_DQUOTE] = ACTIONS(3337),
    [anon_sym_LR_DQUOTE] = ACTIONS(3337),
    [anon_sym_uR_DQUOTE] = ACTIONS(3337),
    [anon_sym_UR_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3337),
    [anon_sym_co_await] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_requires] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [sym_number_literal] = ACTIONS(3341),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [597] = {
    [sym__expression] = STATE(4898),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3293),
    [aux_sym_preproc_include_token1] = ACTIONS(3293),
    [aux_sym_preproc_def_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token2] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3293),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3293),
    [sym_preproc_directive] = ACTIONS(3293),
    [anon_sym_LPAREN2] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3293),
    [anon_sym_typedef] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym___attribute__] = ACTIONS(3293),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3295),
    [anon_sym___declspec] = ACTIONS(3293),
    [anon_sym___based] = ACTIONS(3293),
    [anon_sym___cdecl] = ACTIONS(3293),
    [anon_sym___clrcall] = ACTIONS(3293),
    [anon_sym___stdcall] = ACTIONS(3293),
    [anon_sym___fastcall] = ACTIONS(3293),
    [anon_sym___thiscall] = ACTIONS(3293),
    [anon_sym___vectorcall] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3293),
    [anon_sym_unsigned] = ACTIONS(3293),
    [anon_sym_long] = ACTIONS(3293),
    [anon_sym_short] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_register] = ACTIONS(3293),
    [anon_sym_inline] = ACTIONS(3293),
    [anon_sym___inline] = ACTIONS(3293),
    [anon_sym___inline__] = ACTIONS(3293),
    [anon_sym___forceinline] = ACTIONS(3293),
    [anon_sym_thread_local] = ACTIONS(3293),
    [anon_sym___thread] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_constexpr] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_restrict] = ACTIONS(3293),
    [anon_sym___restrict__] = ACTIONS(3293),
    [anon_sym__Atomic] = ACTIONS(3293),
    [anon_sym__Noreturn] = ACTIONS(3293),
    [anon_sym_noreturn] = ACTIONS(3293),
    [anon_sym_mutable] = ACTIONS(3293),
    [anon_sym_constinit] = ACTIONS(3293),
    [anon_sym_consteval] = ACTIONS(3293),
    [sym_primitive_type] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_union] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym___try] = ACTIONS(3293),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3293),
    [anon_sym_compl] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym___alignof__] = ACTIONS(3293),
    [anon_sym___alignof] = ACTIONS(3293),
    [anon_sym__alignof] = ACTIONS(3293),
    [anon_sym_alignof] = ACTIONS(3293),
    [anon_sym__Alignof] = ACTIONS(3293),
    [anon_sym_offsetof] = ACTIONS(3293),
    [anon_sym__Generic] = ACTIONS(3293),
    [anon_sym_asm] = ACTIONS(3293),
    [anon_sym___asm__] = ACTIONS(3293),
    [sym_number_literal] = ACTIONS(3295),
    [anon_sym_L_SQUOTE] = ACTIONS(3295),
    [anon_sym_u_SQUOTE] = ACTIONS(3295),
    [anon_sym_U_SQUOTE] = ACTIONS(3295),
    [anon_sym_u8_SQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_L_DQUOTE] = ACTIONS(3295),
    [anon_sym_u_DQUOTE] = ACTIONS(3295),
    [anon_sym_U_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8_DQUOTE] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [anon_sym_NULL] = ACTIONS(3293),
    [anon_sym_nullptr] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3293),
    [anon_sym_decltype] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_alignas] = ACTIONS(3293),
    [anon_sym_explicit] = ACTIONS(3293),
    [anon_sym_typename] = ACTIONS(3293),
    [anon_sym_template] = ACTIONS(3293),
    [anon_sym_operator] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_static_assert] = ACTIONS(3293),
    [anon_sym_concept] = ACTIONS(3293),
    [anon_sym_co_return] = ACTIONS(3293),
    [anon_sym_co_yield] = ACTIONS(3293),
    [anon_sym_R_DQUOTE] = ACTIONS(3295),
    [anon_sym_LR_DQUOTE] = ACTIONS(3295),
    [anon_sym_uR_DQUOTE] = ACTIONS(3295),
    [anon_sym_UR_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3295),
    [anon_sym_co_await] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_requires] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3301),
    [aux_sym_preproc_include_token1] = ACTIONS(3301),
    [aux_sym_preproc_def_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token2] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3301),
    [aux_sym_preproc_else_token1] = ACTIONS(3301),
    [aux_sym_preproc_elif_token1] = ACTIONS(3301),
    [sym_preproc_directive] = ACTIONS(3301),
    [anon_sym_LPAREN2] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3301),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym___attribute__] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(3303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3303),
    [anon_sym___declspec] = ACTIONS(3301),
    [anon_sym___based] = ACTIONS(3301),
    [anon_sym___cdecl] = ACTIONS(3301),
    [anon_sym___clrcall] = ACTIONS(3301),
    [anon_sym___stdcall] = ACTIONS(3301),
    [anon_sym___fastcall] = ACTIONS(3301),
    [anon_sym___thiscall] = ACTIONS(3301),
    [anon_sym___vectorcall] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3301),
    [anon_sym_unsigned] = ACTIONS(3301),
    [anon_sym_long] = ACTIONS(3301),
    [anon_sym_short] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_register] = ACTIONS(3301),
    [anon_sym_inline] = ACTIONS(3301),
    [anon_sym___inline] = ACTIONS(3301),
    [anon_sym___inline__] = ACTIONS(3301),
    [anon_sym___forceinline] = ACTIONS(3301),
    [anon_sym_thread_local] = ACTIONS(3301),
    [anon_sym___thread] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_constexpr] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_restrict] = ACTIONS(3301),
    [anon_sym___restrict__] = ACTIONS(3301),
    [anon_sym__Atomic] = ACTIONS(3301),
    [anon_sym__Noreturn] = ACTIONS(3301),
    [anon_sym_noreturn] = ACTIONS(3301),
    [anon_sym_mutable] = ACTIONS(3301),
    [anon_sym_constinit] = ACTIONS(3301),
    [anon_sym_consteval] = ACTIONS(3301),
    [sym_primitive_type] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_union] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym___try] = ACTIONS(3301),
    [anon_sym___leave] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3301),
    [anon_sym_compl] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym___alignof__] = ACTIONS(3301),
    [anon_sym___alignof] = ACTIONS(3301),
    [anon_sym__alignof] = ACTIONS(3301),
    [anon_sym_alignof] = ACTIONS(3301),
    [anon_sym__Alignof] = ACTIONS(3301),
    [anon_sym_offsetof] = ACTIONS(3301),
    [anon_sym__Generic] = ACTIONS(3301),
    [anon_sym_asm] = ACTIONS(3301),
    [anon_sym___asm__] = ACTIONS(3301),
    [sym_number_literal] = ACTIONS(3303),
    [anon_sym_L_SQUOTE] = ACTIONS(3303),
    [anon_sym_u_SQUOTE] = ACTIONS(3303),
    [anon_sym_U_SQUOTE] = ACTIONS(3303),
    [anon_sym_u8_SQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_L_DQUOTE] = ACTIONS(3303),
    [anon_sym_u_DQUOTE] = ACTIONS(3303),
    [anon_sym_U_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8_DQUOTE] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [anon_sym_NULL] = ACTIONS(3301),
    [anon_sym_nullptr] = ACTIONS(3301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3301),
    [anon_sym_decltype] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_alignas] = ACTIONS(3301),
    [anon_sym_explicit] = ACTIONS(3301),
    [anon_sym_typename] = ACTIONS(3301),
    [anon_sym_template] = ACTIONS(3301),
    [anon_sym_operator] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_static_assert] = ACTIONS(3301),
    [anon_sym_concept] = ACTIONS(3301),
    [anon_sym_co_return] = ACTIONS(3301),
    [anon_sym_co_yield] = ACTIONS(3301),
    [anon_sym_R_DQUOTE] = ACTIONS(3303),
    [anon_sym_LR_DQUOTE] = ACTIONS(3303),
    [anon_sym_uR_DQUOTE] = ACTIONS(3303),
    [anon_sym_UR_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3303),
    [anon_sym_co_await] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_requires] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [aux_sym_preproc_else_token1] = ACTIONS(3184),
    [aux_sym_preproc_elif_token1] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [sym_primitive_type] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [sym_number_literal] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_namespace] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_concept] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [610] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_unaligned_ptr_modifier] = STATE(5886),
    [sym_ms_pointer_modifier] = STATE(3899),
    [sym__declarator] = STATE(7073),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_type_qualifier] = STATE(4675),
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3732),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6258),
    [sym_qualified_identifier] = STATE(3660),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(2886),
    [aux_sym__type_definition_type_repeat1] = STATE(4675),
    [aux_sym_pointer_declarator_repeat1] = STATE(3899),
    [sym_identifier] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3503),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3503),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3503),
    [anon_sym__unaligned] = ACTIONS(3505),
    [anon_sym___unaligned] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_constexpr] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_restrict] = ACTIONS(3501),
    [anon_sym___restrict__] = ACTIONS(3501),
    [anon_sym__Atomic] = ACTIONS(3501),
    [anon_sym__Noreturn] = ACTIONS(3501),
    [anon_sym_noreturn] = ACTIONS(3501),
    [anon_sym_mutable] = ACTIONS(3501),
    [anon_sym_constinit] = ACTIONS(3501),
    [anon_sym_consteval] = ACTIONS(3501),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [611] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_unaligned_ptr_modifier] = STATE(5886),
    [sym_ms_pointer_modifier] = STATE(3899),
    [sym__declarator] = STATE(7073),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_type_qualifier] = STATE(4675),
    [sym__expression] = STATE(3581),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3788),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6288),
    [sym_qualified_identifier] = STATE(3758),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3951),
    [aux_sym__type_definition_type_repeat1] = STATE(4675),
    [aux_sym_pointer_declarator_repeat1] = STATE(3899),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3503),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3503),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3503),
    [anon_sym__unaligned] = ACTIONS(3505),
    [anon_sym___unaligned] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_constexpr] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_restrict] = ACTIONS(3501),
    [anon_sym___restrict__] = ACTIONS(3501),
    [anon_sym__Atomic] = ACTIONS(3501),
    [anon_sym__Noreturn] = ACTIONS(3501),
    [anon_sym_noreturn] = ACTIONS(3501),
    [anon_sym_mutable] = ACTIONS(3501),
    [anon_sym_constinit] = ACTIONS(3501),
    [anon_sym_consteval] = ACTIONS(3501),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2921),
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2877),
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [617] = {
    [sym_preproc_def] = STATE(719),
    [sym_preproc_function_def] = STATE(719),
    [sym_preproc_call] = STATE(719),
    [sym_preproc_if_in_field_declaration_list] = STATE(719),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(719),
    [sym_preproc_else_in_field_declaration_list] = STATE(9267),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9267),
    [sym_type_definition] = STATE(719),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(719),
    [sym_field_declaration] = STATE(719),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(719),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(719),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(719),
    [sym_operator_cast_declaration] = STATE(719),
    [sym_constructor_or_destructor_definition] = STATE(719),
    [sym_constructor_or_destructor_declaration] = STATE(719),
    [sym_friend_declaration] = STATE(719),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(719),
    [sym_alias_declaration] = STATE(719),
    [sym_static_assert_declaration] = STATE(719),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3515),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2949),
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2925),
    [sym_identifier] = ACTIONS(2923),
    [aux_sym_preproc_include_token1] = ACTIONS(2923),
    [aux_sym_preproc_def_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2923),
    [sym_preproc_directive] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym___based] = ACTIONS(2923),
    [anon_sym___cdecl] = ACTIONS(2923),
    [anon_sym___clrcall] = ACTIONS(2923),
    [anon_sym___stdcall] = ACTIONS(2923),
    [anon_sym___fastcall] = ACTIONS(2923),
    [anon_sym___thiscall] = ACTIONS(2923),
    [anon_sym___vectorcall] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_case] = ACTIONS(2923),
    [anon_sym_default] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_explicit] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_static_assert] = ACTIONS(2923),
    [anon_sym_concept] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2953),
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2933),
    [sym_identifier] = ACTIONS(2931),
    [aux_sym_preproc_include_token1] = ACTIONS(2931),
    [aux_sym_preproc_def_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2931),
    [sym_preproc_directive] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym___based] = ACTIONS(2931),
    [anon_sym___cdecl] = ACTIONS(2931),
    [anon_sym___clrcall] = ACTIONS(2931),
    [anon_sym___stdcall] = ACTIONS(2931),
    [anon_sym___fastcall] = ACTIONS(2931),
    [anon_sym___thiscall] = ACTIONS(2931),
    [anon_sym___vectorcall] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_case] = ACTIONS(2931),
    [anon_sym_default] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_explicit] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_namespace] = ACTIONS(2931),
    [anon_sym_using] = ACTIONS(2931),
    [anon_sym_static_assert] = ACTIONS(2931),
    [anon_sym_concept] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2881),
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2893),
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2901),
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2909),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [674] = {
    [ts_builtin_sym_end] = ACTIONS(2905),
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [676] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(2991),
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2909),
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token2] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [682] = {
    [sym_preproc_def] = STATE(682),
    [sym_preproc_function_def] = STATE(682),
    [sym_preproc_call] = STATE(682),
    [sym_preproc_if_in_field_declaration_list] = STATE(682),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(682),
    [sym_type_definition] = STATE(682),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6311),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(682),
    [sym_field_declaration] = STATE(682),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(682),
    [sym_operator_cast] = STATE(7322),
    [sym_inline_method_definition] = STATE(682),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(682),
    [sym_operator_cast_declaration] = STATE(682),
    [sym_constructor_or_destructor_definition] = STATE(682),
    [sym_constructor_or_destructor_declaration] = STATE(682),
    [sym_friend_declaration] = STATE(682),
    [sym_access_specifier] = STATE(9031),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(682),
    [sym_alias_declaration] = STATE(682),
    [sym_static_assert_declaration] = STATE(682),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(682),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(3533),
    [aux_sym_preproc_def_token1] = ACTIONS(3536),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3544),
    [aux_sym_preproc_else_token1] = ACTIONS(3542),
    [aux_sym_preproc_elif_token1] = ACTIONS(3542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3542),
    [sym_preproc_directive] = ACTIONS(3547),
    [anon_sym_LPAREN2] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_STAR] = ACTIONS(3556),
    [anon_sym_AMP_AMP] = ACTIONS(3559),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym___extension__] = ACTIONS(3565),
    [anon_sym_typedef] = ACTIONS(3568),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym___attribute__] = ACTIONS(3574),
    [anon_sym_COLON_COLON] = ACTIONS(3577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3580),
    [anon_sym___declspec] = ACTIONS(3583),
    [anon_sym___based] = ACTIONS(3586),
    [anon_sym_signed] = ACTIONS(3589),
    [anon_sym_unsigned] = ACTIONS(3589),
    [anon_sym_long] = ACTIONS(3589),
    [anon_sym_short] = ACTIONS(3589),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_register] = ACTIONS(3571),
    [anon_sym_inline] = ACTIONS(3571),
    [anon_sym___inline] = ACTIONS(3571),
    [anon_sym___inline__] = ACTIONS(3571),
    [anon_sym___forceinline] = ACTIONS(3571),
    [anon_sym_thread_local] = ACTIONS(3571),
    [anon_sym___thread] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_constexpr] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_restrict] = ACTIONS(3595),
    [anon_sym___restrict__] = ACTIONS(3595),
    [anon_sym__Atomic] = ACTIONS(3595),
    [anon_sym__Noreturn] = ACTIONS(3595),
    [anon_sym_noreturn] = ACTIONS(3595),
    [anon_sym_mutable] = ACTIONS(3595),
    [anon_sym_constinit] = ACTIONS(3595),
    [anon_sym_consteval] = ACTIONS(3595),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3601),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_union] = ACTIONS(3610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3613),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_virtual] = ACTIONS(3619),
    [anon_sym_alignas] = ACTIONS(3622),
    [anon_sym_explicit] = ACTIONS(3625),
    [anon_sym_typename] = ACTIONS(3628),
    [anon_sym_template] = ACTIONS(3631),
    [anon_sym_operator] = ACTIONS(3634),
    [anon_sym_friend] = ACTIONS(3637),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3643),
    [anon_sym_static_assert] = ACTIONS(3646),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [690] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token2] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2913),
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [699] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token2] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [702] = {
    [sym_identifier] = ACTIONS(2927),
    [aux_sym_preproc_include_token1] = ACTIONS(2927),
    [aux_sym_preproc_def_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token2] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2927),
    [sym_preproc_directive] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym___based] = ACTIONS(2927),
    [anon_sym___cdecl] = ACTIONS(2927),
    [anon_sym___clrcall] = ACTIONS(2927),
    [anon_sym___stdcall] = ACTIONS(2927),
    [anon_sym___fastcall] = ACTIONS(2927),
    [anon_sym___thiscall] = ACTIONS(2927),
    [anon_sym___vectorcall] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_case] = ACTIONS(2927),
    [anon_sym_default] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_explicit] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_namespace] = ACTIONS(2927),
    [anon_sym_using] = ACTIONS(2927),
    [anon_sym_static_assert] = ACTIONS(2927),
    [anon_sym_concept] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2915),
    [aux_sym_preproc_include_token1] = ACTIONS(2915),
    [aux_sym_preproc_def_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token2] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2915),
    [sym_preproc_directive] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym___based] = ACTIONS(2915),
    [anon_sym___cdecl] = ACTIONS(2915),
    [anon_sym___clrcall] = ACTIONS(2915),
    [anon_sym___stdcall] = ACTIONS(2915),
    [anon_sym___fastcall] = ACTIONS(2915),
    [anon_sym___thiscall] = ACTIONS(2915),
    [anon_sym___vectorcall] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_case] = ACTIONS(2915),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_explicit] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_operator] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_static_assert] = ACTIONS(2915),
    [anon_sym_concept] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2897),
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token2] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2931),
    [aux_sym_preproc_include_token1] = ACTIONS(2931),
    [aux_sym_preproc_def_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token2] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2931),
    [sym_preproc_directive] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym___based] = ACTIONS(2931),
    [anon_sym___cdecl] = ACTIONS(2931),
    [anon_sym___clrcall] = ACTIONS(2931),
    [anon_sym___stdcall] = ACTIONS(2931),
    [anon_sym___fastcall] = ACTIONS(2931),
    [anon_sym___thiscall] = ACTIONS(2931),
    [anon_sym___vectorcall] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_case] = ACTIONS(2931),
    [anon_sym_default] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_explicit] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_namespace] = ACTIONS(2931),
    [anon_sym_using] = ACTIONS(2931),
    [anon_sym_static_assert] = ACTIONS(2931),
    [anon_sym_concept] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [719] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(9355),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9355),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2917),
    [sym_identifier] = ACTIONS(2915),
    [aux_sym_preproc_include_token1] = ACTIONS(2915),
    [aux_sym_preproc_def_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2915),
    [sym_preproc_directive] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym___based] = ACTIONS(2915),
    [anon_sym___cdecl] = ACTIONS(2915),
    [anon_sym___clrcall] = ACTIONS(2915),
    [anon_sym___stdcall] = ACTIONS(2915),
    [anon_sym___fastcall] = ACTIONS(2915),
    [anon_sym___thiscall] = ACTIONS(2915),
    [anon_sym___vectorcall] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_case] = ACTIONS(2915),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_explicit] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_operator] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_static_assert] = ACTIONS(2915),
    [anon_sym_concept] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2923),
    [aux_sym_preproc_include_token1] = ACTIONS(2923),
    [aux_sym_preproc_def_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token2] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2923),
    [sym_preproc_directive] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym___based] = ACTIONS(2923),
    [anon_sym___cdecl] = ACTIONS(2923),
    [anon_sym___clrcall] = ACTIONS(2923),
    [anon_sym___stdcall] = ACTIONS(2923),
    [anon_sym___fastcall] = ACTIONS(2923),
    [anon_sym___thiscall] = ACTIONS(2923),
    [anon_sym___vectorcall] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_case] = ACTIONS(2923),
    [anon_sym_default] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_explicit] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_static_assert] = ACTIONS(2923),
    [anon_sym_concept] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token2] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2929),
    [sym_identifier] = ACTIONS(2927),
    [aux_sym_preproc_include_token1] = ACTIONS(2927),
    [aux_sym_preproc_def_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2927),
    [sym_preproc_directive] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym___based] = ACTIONS(2927),
    [anon_sym___cdecl] = ACTIONS(2927),
    [anon_sym___clrcall] = ACTIONS(2927),
    [anon_sym___stdcall] = ACTIONS(2927),
    [anon_sym___fastcall] = ACTIONS(2927),
    [anon_sym___thiscall] = ACTIONS(2927),
    [anon_sym___vectorcall] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_case] = ACTIONS(2927),
    [anon_sym_default] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_explicit] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_namespace] = ACTIONS(2927),
    [anon_sym_using] = ACTIONS(2927),
    [anon_sym_static_assert] = ACTIONS(2927),
    [anon_sym_concept] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [732] = {
    [sym_preproc_def] = STATE(742),
    [sym_preproc_function_def] = STATE(742),
    [sym_preproc_call] = STATE(742),
    [sym_preproc_if_in_field_declaration_list] = STATE(742),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(742),
    [sym_preproc_else_in_field_declaration_list] = STATE(9356),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9356),
    [sym_type_definition] = STATE(742),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(742),
    [sym_field_declaration] = STATE(742),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(742),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(742),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(742),
    [sym_operator_cast_declaration] = STATE(742),
    [sym_constructor_or_destructor_definition] = STATE(742),
    [sym_constructor_or_destructor_declaration] = STATE(742),
    [sym_friend_declaration] = STATE(742),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(742),
    [sym_alias_declaration] = STATE(742),
    [sym_static_assert_declaration] = STATE(742),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(742),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [736] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [738] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_preproc_else_in_field_declaration_list] = STATE(8651),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8651),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token2] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [740] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [741] = {
    [sym_preproc_def] = STATE(745),
    [sym_preproc_function_def] = STATE(745),
    [sym_preproc_call] = STATE(745),
    [sym_preproc_if_in_field_declaration_list] = STATE(745),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(745),
    [sym_preproc_else_in_field_declaration_list] = STATE(9409),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9409),
    [sym_type_definition] = STATE(745),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(745),
    [sym_field_declaration] = STATE(745),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(745),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(745),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(745),
    [sym_operator_cast_declaration] = STATE(745),
    [sym_constructor_or_destructor_definition] = STATE(745),
    [sym_constructor_or_destructor_declaration] = STATE(745),
    [sym_friend_declaration] = STATE(745),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(745),
    [sym_alias_declaration] = STATE(745),
    [sym_static_assert_declaration] = STATE(745),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(745),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [742] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(9411),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9411),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [743] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(8635),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8635),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [745] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(9441),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9441),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3661),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token2] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token2] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [751] = {
    [sym_preproc_def] = STATE(757),
    [sym_preproc_function_def] = STATE(757),
    [sym_preproc_call] = STATE(757),
    [sym_preproc_if_in_field_declaration_list] = STATE(757),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(757),
    [sym_preproc_else_in_field_declaration_list] = STATE(8949),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8949),
    [sym_type_definition] = STATE(757),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(757),
    [sym_field_declaration] = STATE(757),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(757),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(757),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(757),
    [sym_operator_cast_declaration] = STATE(757),
    [sym_constructor_or_destructor_definition] = STATE(757),
    [sym_constructor_or_destructor_declaration] = STATE(757),
    [sym_friend_declaration] = STATE(757),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(757),
    [sym_alias_declaration] = STATE(757),
    [sym_static_assert_declaration] = STATE(757),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(757),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2945),
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2931),
    [aux_sym_preproc_include_token1] = ACTIONS(2931),
    [aux_sym_preproc_def_token1] = ACTIONS(2931),
    [aux_sym_preproc_if_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2931),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2931),
    [sym_preproc_directive] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym___based] = ACTIONS(2931),
    [anon_sym___cdecl] = ACTIONS(2931),
    [anon_sym___clrcall] = ACTIONS(2931),
    [anon_sym___stdcall] = ACTIONS(2931),
    [anon_sym___fastcall] = ACTIONS(2931),
    [anon_sym___thiscall] = ACTIONS(2931),
    [anon_sym___vectorcall] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_case] = ACTIONS(2931),
    [anon_sym_default] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_explicit] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_operator] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_namespace] = ACTIONS(2931),
    [anon_sym_using] = ACTIONS(2931),
    [anon_sym_static_assert] = ACTIONS(2931),
    [anon_sym_concept] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [757] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(8932),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8932),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3665),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [763] = {
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2889),
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [767] = {
    [ts_builtin_sym_end] = ACTIONS(2889),
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(2961),
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2927),
    [aux_sym_preproc_include_token1] = ACTIONS(2927),
    [aux_sym_preproc_def_token1] = ACTIONS(2927),
    [aux_sym_preproc_if_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2927),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2927),
    [sym_preproc_directive] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym___based] = ACTIONS(2927),
    [anon_sym___cdecl] = ACTIONS(2927),
    [anon_sym___clrcall] = ACTIONS(2927),
    [anon_sym___stdcall] = ACTIONS(2927),
    [anon_sym___fastcall] = ACTIONS(2927),
    [anon_sym___thiscall] = ACTIONS(2927),
    [anon_sym___vectorcall] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_case] = ACTIONS(2927),
    [anon_sym_default] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_explicit] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_operator] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_namespace] = ACTIONS(2927),
    [anon_sym_using] = ACTIONS(2927),
    [anon_sym_static_assert] = ACTIONS(2927),
    [anon_sym_concept] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2915),
    [aux_sym_preproc_include_token1] = ACTIONS(2915),
    [aux_sym_preproc_def_token1] = ACTIONS(2915),
    [aux_sym_preproc_if_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2915),
    [sym_preproc_directive] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym___based] = ACTIONS(2915),
    [anon_sym___cdecl] = ACTIONS(2915),
    [anon_sym___clrcall] = ACTIONS(2915),
    [anon_sym___stdcall] = ACTIONS(2915),
    [anon_sym___fastcall] = ACTIONS(2915),
    [anon_sym___thiscall] = ACTIONS(2915),
    [anon_sym___vectorcall] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_RBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_case] = ACTIONS(2915),
    [anon_sym_default] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_explicit] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_operator] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_namespace] = ACTIONS(2915),
    [anon_sym_using] = ACTIONS(2915),
    [anon_sym_static_assert] = ACTIONS(2915),
    [anon_sym_concept] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2885),
    [sym_identifier] = ACTIONS(2883),
    [aux_sym_preproc_include_token1] = ACTIONS(2883),
    [aux_sym_preproc_def_token1] = ACTIONS(2883),
    [aux_sym_preproc_if_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2883),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2883),
    [sym_preproc_directive] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym___based] = ACTIONS(2883),
    [anon_sym___cdecl] = ACTIONS(2883),
    [anon_sym___clrcall] = ACTIONS(2883),
    [anon_sym___stdcall] = ACTIONS(2883),
    [anon_sym___fastcall] = ACTIONS(2883),
    [anon_sym___thiscall] = ACTIONS(2883),
    [anon_sym___vectorcall] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_case] = ACTIONS(2883),
    [anon_sym_default] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_explicit] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_operator] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_namespace] = ACTIONS(2883),
    [anon_sym_using] = ACTIONS(2883),
    [anon_sym_static_assert] = ACTIONS(2883),
    [anon_sym_concept] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2937),
    [sym_identifier] = ACTIONS(2935),
    [aux_sym_preproc_include_token1] = ACTIONS(2935),
    [aux_sym_preproc_def_token1] = ACTIONS(2935),
    [aux_sym_preproc_if_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2935),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2935),
    [sym_preproc_directive] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym___based] = ACTIONS(2935),
    [anon_sym___cdecl] = ACTIONS(2935),
    [anon_sym___clrcall] = ACTIONS(2935),
    [anon_sym___stdcall] = ACTIONS(2935),
    [anon_sym___fastcall] = ACTIONS(2935),
    [anon_sym___thiscall] = ACTIONS(2935),
    [anon_sym___vectorcall] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_case] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_explicit] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_operator] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_namespace] = ACTIONS(2935),
    [anon_sym_using] = ACTIONS(2935),
    [anon_sym_static_assert] = ACTIONS(2935),
    [anon_sym_concept] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2941),
    [sym_identifier] = ACTIONS(2939),
    [aux_sym_preproc_include_token1] = ACTIONS(2939),
    [aux_sym_preproc_def_token1] = ACTIONS(2939),
    [aux_sym_preproc_if_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2939),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2939),
    [sym_preproc_directive] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym___based] = ACTIONS(2939),
    [anon_sym___cdecl] = ACTIONS(2939),
    [anon_sym___clrcall] = ACTIONS(2939),
    [anon_sym___stdcall] = ACTIONS(2939),
    [anon_sym___fastcall] = ACTIONS(2939),
    [anon_sym___thiscall] = ACTIONS(2939),
    [anon_sym___vectorcall] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_case] = ACTIONS(2939),
    [anon_sym_default] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_explicit] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_operator] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_namespace] = ACTIONS(2939),
    [anon_sym_using] = ACTIONS(2939),
    [anon_sym_static_assert] = ACTIONS(2939),
    [anon_sym_concept] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_include_token1] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym___cdecl] = ACTIONS(2887),
    [anon_sym___clrcall] = ACTIONS(2887),
    [anon_sym___stdcall] = ACTIONS(2887),
    [anon_sym___fastcall] = ACTIONS(2887),
    [anon_sym___thiscall] = ACTIONS(2887),
    [anon_sym___vectorcall] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_case] = ACTIONS(2887),
    [anon_sym_default] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_namespace] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
    [anon_sym_concept] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2923),
    [aux_sym_preproc_include_token1] = ACTIONS(2923),
    [aux_sym_preproc_def_token1] = ACTIONS(2923),
    [aux_sym_preproc_if_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2923),
    [sym_preproc_directive] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym___based] = ACTIONS(2923),
    [anon_sym___cdecl] = ACTIONS(2923),
    [anon_sym___clrcall] = ACTIONS(2923),
    [anon_sym___stdcall] = ACTIONS(2923),
    [anon_sym___fastcall] = ACTIONS(2923),
    [anon_sym___thiscall] = ACTIONS(2923),
    [anon_sym___vectorcall] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_case] = ACTIONS(2923),
    [anon_sym_default] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_explicit] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_operator] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_namespace] = ACTIONS(2923),
    [anon_sym_using] = ACTIONS(2923),
    [anon_sym_static_assert] = ACTIONS(2923),
    [anon_sym_concept] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2919),
    [aux_sym_preproc_include_token1] = ACTIONS(2919),
    [aux_sym_preproc_def_token1] = ACTIONS(2919),
    [aux_sym_preproc_if_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2919),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2919),
    [sym_preproc_directive] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym___based] = ACTIONS(2919),
    [anon_sym___cdecl] = ACTIONS(2919),
    [anon_sym___clrcall] = ACTIONS(2919),
    [anon_sym___stdcall] = ACTIONS(2919),
    [anon_sym___fastcall] = ACTIONS(2919),
    [anon_sym___thiscall] = ACTIONS(2919),
    [anon_sym___vectorcall] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_RBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_case] = ACTIONS(2919),
    [anon_sym_default] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_explicit] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_operator] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_namespace] = ACTIONS(2919),
    [anon_sym_using] = ACTIONS(2919),
    [anon_sym_static_assert] = ACTIONS(2919),
    [anon_sym_concept] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_include_token1] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym___cdecl] = ACTIONS(2903),
    [anon_sym___clrcall] = ACTIONS(2903),
    [anon_sym___stdcall] = ACTIONS(2903),
    [anon_sym___fastcall] = ACTIONS(2903),
    [anon_sym___thiscall] = ACTIONS(2903),
    [anon_sym___vectorcall] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_case] = ACTIONS(2903),
    [anon_sym_default] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_namespace] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
    [anon_sym_concept] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [814] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2999),
    [sym_identifier] = ACTIONS(2997),
    [aux_sym_preproc_include_token1] = ACTIONS(2997),
    [aux_sym_preproc_def_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2997),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2997),
    [sym_preproc_directive] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym___based] = ACTIONS(2997),
    [anon_sym___cdecl] = ACTIONS(2997),
    [anon_sym___clrcall] = ACTIONS(2997),
    [anon_sym___stdcall] = ACTIONS(2997),
    [anon_sym___fastcall] = ACTIONS(2997),
    [anon_sym___thiscall] = ACTIONS(2997),
    [anon_sym___vectorcall] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_case] = ACTIONS(2997),
    [anon_sym_default] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_explicit] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_operator] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_namespace] = ACTIONS(2997),
    [anon_sym_using] = ACTIONS(2997),
    [anon_sym_static_assert] = ACTIONS(2997),
    [anon_sym_concept] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [816] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_include_token1] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym___cdecl] = ACTIONS(3001),
    [anon_sym___clrcall] = ACTIONS(3001),
    [anon_sym___stdcall] = ACTIONS(3001),
    [anon_sym___fastcall] = ACTIONS(3001),
    [anon_sym___thiscall] = ACTIONS(3001),
    [anon_sym___vectorcall] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
    [anon_sym_concept] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_include_token1] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym___cdecl] = ACTIONS(2895),
    [anon_sym___clrcall] = ACTIONS(2895),
    [anon_sym___stdcall] = ACTIONS(2895),
    [anon_sym___fastcall] = ACTIONS(2895),
    [anon_sym___thiscall] = ACTIONS(2895),
    [anon_sym___vectorcall] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_case] = ACTIONS(2895),
    [anon_sym_default] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_namespace] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
    [anon_sym_concept] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [825] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_preproc_else_in_field_declaration_list] = STATE(8721),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8721),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [828] = {
    [sym_preproc_def] = STATE(825),
    [sym_preproc_function_def] = STATE(825),
    [sym_preproc_call] = STATE(825),
    [sym_preproc_if_in_field_declaration_list] = STATE(825),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(825),
    [sym_preproc_else_in_field_declaration_list] = STATE(8706),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8706),
    [sym_type_definition] = STATE(825),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(825),
    [sym_field_declaration] = STATE(825),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(825),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(825),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(825),
    [sym_operator_cast_declaration] = STATE(825),
    [sym_constructor_or_destructor_definition] = STATE(825),
    [sym_constructor_or_destructor_declaration] = STATE(825),
    [sym_friend_declaration] = STATE(825),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(825),
    [sym_alias_declaration] = STATE(825),
    [sym_static_assert_declaration] = STATE(825),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(825),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3511),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token2] = ACTIONS(3669),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3023),
    [aux_sym_preproc_elif_token1] = ACTIONS(3025),
    [sym_preproc_directive] = ACTIONS(3519),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3521),
    [anon_sym_typedef] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3529),
    [anon_sym_static_assert] = ACTIONS(3531),
  },
  [829] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2879),
    [aux_sym_preproc_include_token1] = ACTIONS(2879),
    [aux_sym_preproc_def_token1] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2879),
    [sym_preproc_directive] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym___based] = ACTIONS(2879),
    [anon_sym___cdecl] = ACTIONS(2879),
    [anon_sym___clrcall] = ACTIONS(2879),
    [anon_sym___stdcall] = ACTIONS(2879),
    [anon_sym___fastcall] = ACTIONS(2879),
    [anon_sym___thiscall] = ACTIONS(2879),
    [anon_sym___vectorcall] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_case] = ACTIONS(2879),
    [anon_sym_default] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_explicit] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_operator] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_namespace] = ACTIONS(2879),
    [anon_sym_using] = ACTIONS(2879),
    [anon_sym_static_assert] = ACTIONS(2879),
    [anon_sym_concept] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_include_token1] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym___cdecl] = ACTIONS(2907),
    [anon_sym___clrcall] = ACTIONS(2907),
    [anon_sym___stdcall] = ACTIONS(2907),
    [anon_sym___fastcall] = ACTIONS(2907),
    [anon_sym___thiscall] = ACTIONS(2907),
    [anon_sym___vectorcall] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_case] = ACTIONS(2907),
    [anon_sym_default] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_namespace] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
    [anon_sym_concept] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token2] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2891),
    [aux_sym_preproc_include_token1] = ACTIONS(2891),
    [aux_sym_preproc_def_token1] = ACTIONS(2891),
    [aux_sym_preproc_if_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2891),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2891),
    [sym_preproc_directive] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym___based] = ACTIONS(2891),
    [anon_sym___cdecl] = ACTIONS(2891),
    [anon_sym___clrcall] = ACTIONS(2891),
    [anon_sym___stdcall] = ACTIONS(2891),
    [anon_sym___fastcall] = ACTIONS(2891),
    [anon_sym___thiscall] = ACTIONS(2891),
    [anon_sym___vectorcall] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_case] = ACTIONS(2891),
    [anon_sym_default] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_explicit] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_operator] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_namespace] = ACTIONS(2891),
    [anon_sym_using] = ACTIONS(2891),
    [anon_sym_static_assert] = ACTIONS(2891),
    [anon_sym_concept] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2943),
    [aux_sym_preproc_include_token1] = ACTIONS(2943),
    [aux_sym_preproc_def_token1] = ACTIONS(2943),
    [aux_sym_preproc_if_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2943),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2943),
    [sym_preproc_directive] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym___based] = ACTIONS(2943),
    [anon_sym___cdecl] = ACTIONS(2943),
    [anon_sym___clrcall] = ACTIONS(2943),
    [anon_sym___stdcall] = ACTIONS(2943),
    [anon_sym___fastcall] = ACTIONS(2943),
    [anon_sym___thiscall] = ACTIONS(2943),
    [anon_sym___vectorcall] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_case] = ACTIONS(2943),
    [anon_sym_default] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_explicit] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_operator] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_namespace] = ACTIONS(2943),
    [anon_sym_using] = ACTIONS(2943),
    [anon_sym_static_assert] = ACTIONS(2943),
    [anon_sym_concept] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2911),
    [aux_sym_preproc_include_token1] = ACTIONS(2911),
    [aux_sym_preproc_def_token1] = ACTIONS(2911),
    [aux_sym_preproc_if_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2911),
    [sym_preproc_directive] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym___based] = ACTIONS(2911),
    [anon_sym___cdecl] = ACTIONS(2911),
    [anon_sym___clrcall] = ACTIONS(2911),
    [anon_sym___stdcall] = ACTIONS(2911),
    [anon_sym___fastcall] = ACTIONS(2911),
    [anon_sym___thiscall] = ACTIONS(2911),
    [anon_sym___vectorcall] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_case] = ACTIONS(2911),
    [anon_sym_default] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_explicit] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_operator] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_namespace] = ACTIONS(2911),
    [anon_sym_using] = ACTIONS(2911),
    [anon_sym_static_assert] = ACTIONS(2911),
    [anon_sym_concept] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2899),
    [aux_sym_preproc_include_token1] = ACTIONS(2899),
    [aux_sym_preproc_def_token1] = ACTIONS(2899),
    [aux_sym_preproc_if_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2899),
    [sym_preproc_directive] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym___based] = ACTIONS(2899),
    [anon_sym___cdecl] = ACTIONS(2899),
    [anon_sym___clrcall] = ACTIONS(2899),
    [anon_sym___stdcall] = ACTIONS(2899),
    [anon_sym___fastcall] = ACTIONS(2899),
    [anon_sym___thiscall] = ACTIONS(2899),
    [anon_sym___vectorcall] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_case] = ACTIONS(2899),
    [anon_sym_default] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_explicit] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_operator] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_namespace] = ACTIONS(2899),
    [anon_sym_using] = ACTIONS(2899),
    [anon_sym_static_assert] = ACTIONS(2899),
    [anon_sym_concept] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_include_token1] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2993),
    [aux_sym_preproc_if_token2] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2993),
    [sym_preproc_directive] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym___based] = ACTIONS(2993),
    [anon_sym___cdecl] = ACTIONS(2993),
    [anon_sym___clrcall] = ACTIONS(2993),
    [anon_sym___stdcall] = ACTIONS(2993),
    [anon_sym___fastcall] = ACTIONS(2993),
    [anon_sym___thiscall] = ACTIONS(2993),
    [anon_sym___vectorcall] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_operator] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_static_assert] = ACTIONS(2993),
    [anon_sym_concept] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [856] = {
    [sym_identifier] = ACTIONS(3236),
    [aux_sym_preproc_include_token1] = ACTIONS(3236),
    [aux_sym_preproc_def_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3236),
    [anon_sym_LPAREN2] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym___extension__] = ACTIONS(3236),
    [anon_sym_typedef] = ACTIONS(3236),
    [anon_sym_extern] = ACTIONS(3236),
    [anon_sym___attribute__] = ACTIONS(3236),
    [anon_sym_COLON_COLON] = ACTIONS(3238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3238),
    [anon_sym___declspec] = ACTIONS(3236),
    [anon_sym___based] = ACTIONS(3236),
    [anon_sym___cdecl] = ACTIONS(3236),
    [anon_sym___clrcall] = ACTIONS(3236),
    [anon_sym___stdcall] = ACTIONS(3236),
    [anon_sym___fastcall] = ACTIONS(3236),
    [anon_sym___thiscall] = ACTIONS(3236),
    [anon_sym___vectorcall] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(3236),
    [anon_sym_unsigned] = ACTIONS(3236),
    [anon_sym_long] = ACTIONS(3236),
    [anon_sym_short] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_register] = ACTIONS(3236),
    [anon_sym_inline] = ACTIONS(3236),
    [anon_sym___inline] = ACTIONS(3236),
    [anon_sym___inline__] = ACTIONS(3236),
    [anon_sym___forceinline] = ACTIONS(3236),
    [anon_sym_thread_local] = ACTIONS(3236),
    [anon_sym___thread] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_constexpr] = ACTIONS(3236),
    [anon_sym_volatile] = ACTIONS(3236),
    [anon_sym_restrict] = ACTIONS(3236),
    [anon_sym___restrict__] = ACTIONS(3236),
    [anon_sym__Atomic] = ACTIONS(3236),
    [anon_sym__Noreturn] = ACTIONS(3236),
    [anon_sym_noreturn] = ACTIONS(3236),
    [anon_sym_mutable] = ACTIONS(3236),
    [anon_sym_constinit] = ACTIONS(3236),
    [anon_sym_consteval] = ACTIONS(3236),
    [sym_primitive_type] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_struct] = ACTIONS(3236),
    [anon_sym_union] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_goto] = ACTIONS(3236),
    [anon_sym___try] = ACTIONS(3236),
    [anon_sym___leave] = ACTIONS(3236),
    [anon_sym_not] = ACTIONS(3236),
    [anon_sym_compl] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_sizeof] = ACTIONS(3236),
    [anon_sym___alignof__] = ACTIONS(3236),
    [anon_sym___alignof] = ACTIONS(3236),
    [anon_sym__alignof] = ACTIONS(3236),
    [anon_sym_alignof] = ACTIONS(3236),
    [anon_sym__Alignof] = ACTIONS(3236),
    [anon_sym_offsetof] = ACTIONS(3236),
    [anon_sym__Generic] = ACTIONS(3236),
    [anon_sym_asm] = ACTIONS(3236),
    [anon_sym___asm__] = ACTIONS(3236),
    [sym_number_literal] = ACTIONS(3238),
    [anon_sym_L_SQUOTE] = ACTIONS(3238),
    [anon_sym_u_SQUOTE] = ACTIONS(3238),
    [anon_sym_U_SQUOTE] = ACTIONS(3238),
    [anon_sym_u8_SQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_L_DQUOTE] = ACTIONS(3238),
    [anon_sym_u_DQUOTE] = ACTIONS(3238),
    [anon_sym_U_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8_DQUOTE] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [anon_sym_NULL] = ACTIONS(3236),
    [anon_sym_nullptr] = ACTIONS(3236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3236),
    [anon_sym_decltype] = ACTIONS(3236),
    [anon_sym_virtual] = ACTIONS(3236),
    [anon_sym_alignas] = ACTIONS(3236),
    [anon_sym_explicit] = ACTIONS(3236),
    [anon_sym_typename] = ACTIONS(3236),
    [anon_sym_template] = ACTIONS(3236),
    [anon_sym_operator] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_static_assert] = ACTIONS(3236),
    [anon_sym_concept] = ACTIONS(3236),
    [anon_sym_co_return] = ACTIONS(3236),
    [anon_sym_co_yield] = ACTIONS(3236),
    [anon_sym_R_DQUOTE] = ACTIONS(3238),
    [anon_sym_LR_DQUOTE] = ACTIONS(3238),
    [anon_sym_uR_DQUOTE] = ACTIONS(3238),
    [anon_sym_UR_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3238),
    [anon_sym_co_await] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_requires] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
  },
  [857] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3301),
    [aux_sym_preproc_include_token1] = ACTIONS(3301),
    [aux_sym_preproc_def_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3301),
    [sym_preproc_directive] = ACTIONS(3301),
    [anon_sym_LPAREN2] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3301),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym___attribute__] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(3303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3303),
    [anon_sym___declspec] = ACTIONS(3301),
    [anon_sym___based] = ACTIONS(3301),
    [anon_sym___cdecl] = ACTIONS(3301),
    [anon_sym___clrcall] = ACTIONS(3301),
    [anon_sym___stdcall] = ACTIONS(3301),
    [anon_sym___fastcall] = ACTIONS(3301),
    [anon_sym___thiscall] = ACTIONS(3301),
    [anon_sym___vectorcall] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3301),
    [anon_sym_unsigned] = ACTIONS(3301),
    [anon_sym_long] = ACTIONS(3301),
    [anon_sym_short] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_register] = ACTIONS(3301),
    [anon_sym_inline] = ACTIONS(3301),
    [anon_sym___inline] = ACTIONS(3301),
    [anon_sym___inline__] = ACTIONS(3301),
    [anon_sym___forceinline] = ACTIONS(3301),
    [anon_sym_thread_local] = ACTIONS(3301),
    [anon_sym___thread] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_constexpr] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_restrict] = ACTIONS(3301),
    [anon_sym___restrict__] = ACTIONS(3301),
    [anon_sym__Atomic] = ACTIONS(3301),
    [anon_sym__Noreturn] = ACTIONS(3301),
    [anon_sym_noreturn] = ACTIONS(3301),
    [anon_sym_mutable] = ACTIONS(3301),
    [anon_sym_constinit] = ACTIONS(3301),
    [anon_sym_consteval] = ACTIONS(3301),
    [sym_primitive_type] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_union] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym___try] = ACTIONS(3301),
    [anon_sym___leave] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3301),
    [anon_sym_compl] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym___alignof__] = ACTIONS(3301),
    [anon_sym___alignof] = ACTIONS(3301),
    [anon_sym__alignof] = ACTIONS(3301),
    [anon_sym_alignof] = ACTIONS(3301),
    [anon_sym__Alignof] = ACTIONS(3301),
    [anon_sym_offsetof] = ACTIONS(3301),
    [anon_sym__Generic] = ACTIONS(3301),
    [anon_sym_asm] = ACTIONS(3301),
    [anon_sym___asm__] = ACTIONS(3301),
    [sym_number_literal] = ACTIONS(3303),
    [anon_sym_L_SQUOTE] = ACTIONS(3303),
    [anon_sym_u_SQUOTE] = ACTIONS(3303),
    [anon_sym_U_SQUOTE] = ACTIONS(3303),
    [anon_sym_u8_SQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_L_DQUOTE] = ACTIONS(3303),
    [anon_sym_u_DQUOTE] = ACTIONS(3303),
    [anon_sym_U_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8_DQUOTE] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [anon_sym_NULL] = ACTIONS(3301),
    [anon_sym_nullptr] = ACTIONS(3301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3301),
    [anon_sym_decltype] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_alignas] = ACTIONS(3301),
    [anon_sym_explicit] = ACTIONS(3301),
    [anon_sym_typename] = ACTIONS(3301),
    [anon_sym_template] = ACTIONS(3301),
    [anon_sym_operator] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_static_assert] = ACTIONS(3301),
    [anon_sym_concept] = ACTIONS(3301),
    [anon_sym_co_return] = ACTIONS(3301),
    [anon_sym_co_yield] = ACTIONS(3301),
    [anon_sym_R_DQUOTE] = ACTIONS(3303),
    [anon_sym_LR_DQUOTE] = ACTIONS(3303),
    [anon_sym_uR_DQUOTE] = ACTIONS(3303),
    [anon_sym_UR_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3303),
    [anon_sym_co_await] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_requires] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
  },
  [859] = {
    [sym_identifier] = ACTIONS(3293),
    [aux_sym_preproc_include_token1] = ACTIONS(3293),
    [aux_sym_preproc_def_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3293),
    [sym_preproc_directive] = ACTIONS(3293),
    [anon_sym_LPAREN2] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3293),
    [anon_sym_typedef] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym___attribute__] = ACTIONS(3293),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3295),
    [anon_sym___declspec] = ACTIONS(3293),
    [anon_sym___based] = ACTIONS(3293),
    [anon_sym___cdecl] = ACTIONS(3293),
    [anon_sym___clrcall] = ACTIONS(3293),
    [anon_sym___stdcall] = ACTIONS(3293),
    [anon_sym___fastcall] = ACTIONS(3293),
    [anon_sym___thiscall] = ACTIONS(3293),
    [anon_sym___vectorcall] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3293),
    [anon_sym_unsigned] = ACTIONS(3293),
    [anon_sym_long] = ACTIONS(3293),
    [anon_sym_short] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_register] = ACTIONS(3293),
    [anon_sym_inline] = ACTIONS(3293),
    [anon_sym___inline] = ACTIONS(3293),
    [anon_sym___inline__] = ACTIONS(3293),
    [anon_sym___forceinline] = ACTIONS(3293),
    [anon_sym_thread_local] = ACTIONS(3293),
    [anon_sym___thread] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_constexpr] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_restrict] = ACTIONS(3293),
    [anon_sym___restrict__] = ACTIONS(3293),
    [anon_sym__Atomic] = ACTIONS(3293),
    [anon_sym__Noreturn] = ACTIONS(3293),
    [anon_sym_noreturn] = ACTIONS(3293),
    [anon_sym_mutable] = ACTIONS(3293),
    [anon_sym_constinit] = ACTIONS(3293),
    [anon_sym_consteval] = ACTIONS(3293),
    [sym_primitive_type] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_union] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym___try] = ACTIONS(3293),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3293),
    [anon_sym_compl] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym___alignof__] = ACTIONS(3293),
    [anon_sym___alignof] = ACTIONS(3293),
    [anon_sym__alignof] = ACTIONS(3293),
    [anon_sym_alignof] = ACTIONS(3293),
    [anon_sym__Alignof] = ACTIONS(3293),
    [anon_sym_offsetof] = ACTIONS(3293),
    [anon_sym__Generic] = ACTIONS(3293),
    [anon_sym_asm] = ACTIONS(3293),
    [anon_sym___asm__] = ACTIONS(3293),
    [sym_number_literal] = ACTIONS(3295),
    [anon_sym_L_SQUOTE] = ACTIONS(3295),
    [anon_sym_u_SQUOTE] = ACTIONS(3295),
    [anon_sym_U_SQUOTE] = ACTIONS(3295),
    [anon_sym_u8_SQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_L_DQUOTE] = ACTIONS(3295),
    [anon_sym_u_DQUOTE] = ACTIONS(3295),
    [anon_sym_U_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8_DQUOTE] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [anon_sym_NULL] = ACTIONS(3293),
    [anon_sym_nullptr] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3293),
    [anon_sym_decltype] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_alignas] = ACTIONS(3293),
    [anon_sym_explicit] = ACTIONS(3293),
    [anon_sym_typename] = ACTIONS(3293),
    [anon_sym_template] = ACTIONS(3293),
    [anon_sym_operator] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_static_assert] = ACTIONS(3293),
    [anon_sym_concept] = ACTIONS(3293),
    [anon_sym_co_return] = ACTIONS(3293),
    [anon_sym_co_yield] = ACTIONS(3293),
    [anon_sym_R_DQUOTE] = ACTIONS(3295),
    [anon_sym_LR_DQUOTE] = ACTIONS(3295),
    [anon_sym_uR_DQUOTE] = ACTIONS(3295),
    [anon_sym_UR_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3295),
    [anon_sym_co_await] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_requires] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
  },
  [860] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [861] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [862] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_include_token1] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym___cdecl] = ACTIONS(2210),
    [anon_sym___clrcall] = ACTIONS(2210),
    [anon_sym___stdcall] = ACTIONS(2210),
    [anon_sym___fastcall] = ACTIONS(2210),
    [anon_sym___thiscall] = ACTIONS(2210),
    [anon_sym___vectorcall] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_namespace] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_concept] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [864] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [865] = {
    [sym_identifier] = ACTIONS(3297),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym___extension__] = ACTIONS(3297),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym___attribute__] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3299),
    [anon_sym___declspec] = ACTIONS(3297),
    [anon_sym___based] = ACTIONS(3297),
    [anon_sym___cdecl] = ACTIONS(3297),
    [anon_sym___clrcall] = ACTIONS(3297),
    [anon_sym___stdcall] = ACTIONS(3297),
    [anon_sym___fastcall] = ACTIONS(3297),
    [anon_sym___thiscall] = ACTIONS(3297),
    [anon_sym___vectorcall] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_signed] = ACTIONS(3297),
    [anon_sym_unsigned] = ACTIONS(3297),
    [anon_sym_long] = ACTIONS(3297),
    [anon_sym_short] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_register] = ACTIONS(3297),
    [anon_sym_inline] = ACTIONS(3297),
    [anon_sym___inline] = ACTIONS(3297),
    [anon_sym___inline__] = ACTIONS(3297),
    [anon_sym___forceinline] = ACTIONS(3297),
    [anon_sym_thread_local] = ACTIONS(3297),
    [anon_sym___thread] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_constexpr] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_restrict] = ACTIONS(3297),
    [anon_sym___restrict__] = ACTIONS(3297),
    [anon_sym__Atomic] = ACTIONS(3297),
    [anon_sym__Noreturn] = ACTIONS(3297),
    [anon_sym_noreturn] = ACTIONS(3297),
    [anon_sym_mutable] = ACTIONS(3297),
    [anon_sym_constinit] = ACTIONS(3297),
    [anon_sym_consteval] = ACTIONS(3297),
    [sym_primitive_type] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_union] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym___try] = ACTIONS(3297),
    [anon_sym___leave] = ACTIONS(3297),
    [anon_sym_not] = ACTIONS(3297),
    [anon_sym_compl] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym___alignof__] = ACTIONS(3297),
    [anon_sym___alignof] = ACTIONS(3297),
    [anon_sym__alignof] = ACTIONS(3297),
    [anon_sym_alignof] = ACTIONS(3297),
    [anon_sym__Alignof] = ACTIONS(3297),
    [anon_sym_offsetof] = ACTIONS(3297),
    [anon_sym__Generic] = ACTIONS(3297),
    [anon_sym_asm] = ACTIONS(3297),
    [anon_sym___asm__] = ACTIONS(3297),
    [sym_number_literal] = ACTIONS(3299),
    [anon_sym_L_SQUOTE] = ACTIONS(3299),
    [anon_sym_u_SQUOTE] = ACTIONS(3299),
    [anon_sym_U_SQUOTE] = ACTIONS(3299),
    [anon_sym_u8_SQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_L_DQUOTE] = ACTIONS(3299),
    [anon_sym_u_DQUOTE] = ACTIONS(3299),
    [anon_sym_U_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8_DQUOTE] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [anon_sym_NULL] = ACTIONS(3297),
    [anon_sym_nullptr] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3297),
    [anon_sym_decltype] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_alignas] = ACTIONS(3297),
    [anon_sym_explicit] = ACTIONS(3297),
    [anon_sym_typename] = ACTIONS(3297),
    [anon_sym_template] = ACTIONS(3297),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_static_assert] = ACTIONS(3297),
    [anon_sym_concept] = ACTIONS(3297),
    [anon_sym_co_return] = ACTIONS(3297),
    [anon_sym_co_yield] = ACTIONS(3297),
    [anon_sym_R_DQUOTE] = ACTIONS(3299),
    [anon_sym_LR_DQUOTE] = ACTIONS(3299),
    [anon_sym_uR_DQUOTE] = ACTIONS(3299),
    [anon_sym_UR_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3299),
    [anon_sym_co_await] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_requires] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
  },
  [866] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [867] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [868] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3331),
    [aux_sym_preproc_include_token1] = ACTIONS(3331),
    [aux_sym_preproc_def_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token2] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3331),
    [sym_preproc_directive] = ACTIONS(3331),
    [anon_sym_LPAREN2] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3333),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym___extension__] = ACTIONS(3331),
    [anon_sym_typedef] = ACTIONS(3331),
    [anon_sym_extern] = ACTIONS(3331),
    [anon_sym___attribute__] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3333),
    [anon_sym___declspec] = ACTIONS(3331),
    [anon_sym___based] = ACTIONS(3331),
    [anon_sym___cdecl] = ACTIONS(3331),
    [anon_sym___clrcall] = ACTIONS(3331),
    [anon_sym___stdcall] = ACTIONS(3331),
    [anon_sym___fastcall] = ACTIONS(3331),
    [anon_sym___thiscall] = ACTIONS(3331),
    [anon_sym___vectorcall] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_signed] = ACTIONS(3331),
    [anon_sym_unsigned] = ACTIONS(3331),
    [anon_sym_long] = ACTIONS(3331),
    [anon_sym_short] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_register] = ACTIONS(3331),
    [anon_sym_inline] = ACTIONS(3331),
    [anon_sym___inline] = ACTIONS(3331),
    [anon_sym___inline__] = ACTIONS(3331),
    [anon_sym___forceinline] = ACTIONS(3331),
    [anon_sym_thread_local] = ACTIONS(3331),
    [anon_sym___thread] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_constexpr] = ACTIONS(3331),
    [anon_sym_volatile] = ACTIONS(3331),
    [anon_sym_restrict] = ACTIONS(3331),
    [anon_sym___restrict__] = ACTIONS(3331),
    [anon_sym__Atomic] = ACTIONS(3331),
    [anon_sym__Noreturn] = ACTIONS(3331),
    [anon_sym_noreturn] = ACTIONS(3331),
    [anon_sym_mutable] = ACTIONS(3331),
    [anon_sym_constinit] = ACTIONS(3331),
    [anon_sym_consteval] = ACTIONS(3331),
    [sym_primitive_type] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_struct] = ACTIONS(3331),
    [anon_sym_union] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_goto] = ACTIONS(3331),
    [anon_sym___try] = ACTIONS(3331),
    [anon_sym___leave] = ACTIONS(3331),
    [anon_sym_not] = ACTIONS(3331),
    [anon_sym_compl] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3331),
    [anon_sym___alignof__] = ACTIONS(3331),
    [anon_sym___alignof] = ACTIONS(3331),
    [anon_sym__alignof] = ACTIONS(3331),
    [anon_sym_alignof] = ACTIONS(3331),
    [anon_sym__Alignof] = ACTIONS(3331),
    [anon_sym_offsetof] = ACTIONS(3331),
    [anon_sym__Generic] = ACTIONS(3331),
    [anon_sym_asm] = ACTIONS(3331),
    [anon_sym___asm__] = ACTIONS(3331),
    [sym_number_literal] = ACTIONS(3333),
    [anon_sym_L_SQUOTE] = ACTIONS(3333),
    [anon_sym_u_SQUOTE] = ACTIONS(3333),
    [anon_sym_U_SQUOTE] = ACTIONS(3333),
    [anon_sym_u8_SQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_L_DQUOTE] = ACTIONS(3333),
    [anon_sym_u_DQUOTE] = ACTIONS(3333),
    [anon_sym_U_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8_DQUOTE] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [anon_sym_NULL] = ACTIONS(3331),
    [anon_sym_nullptr] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3331),
    [anon_sym_decltype] = ACTIONS(3331),
    [anon_sym_virtual] = ACTIONS(3331),
    [anon_sym_alignas] = ACTIONS(3331),
    [anon_sym_explicit] = ACTIONS(3331),
    [anon_sym_typename] = ACTIONS(3331),
    [anon_sym_template] = ACTIONS(3331),
    [anon_sym_operator] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_static_assert] = ACTIONS(3331),
    [anon_sym_concept] = ACTIONS(3331),
    [anon_sym_co_return] = ACTIONS(3331),
    [anon_sym_co_yield] = ACTIONS(3331),
    [anon_sym_R_DQUOTE] = ACTIONS(3333),
    [anon_sym_LR_DQUOTE] = ACTIONS(3333),
    [anon_sym_uR_DQUOTE] = ACTIONS(3333),
    [anon_sym_UR_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3333),
    [anon_sym_co_await] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_requires] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
  },
  [871] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [873] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [880] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [881] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [sym_primitive_type] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [sym_number_literal] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [885] = {
    [sym_identifier] = ACTIONS(3305),
    [aux_sym_preproc_include_token1] = ACTIONS(3305),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token2] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3305),
    [sym_preproc_directive] = ACTIONS(3305),
    [anon_sym_LPAREN2] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym___extension__] = ACTIONS(3305),
    [anon_sym_typedef] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym___attribute__] = ACTIONS(3305),
    [anon_sym_COLON_COLON] = ACTIONS(3307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3307),
    [anon_sym___declspec] = ACTIONS(3305),
    [anon_sym___based] = ACTIONS(3305),
    [anon_sym___cdecl] = ACTIONS(3305),
    [anon_sym___clrcall] = ACTIONS(3305),
    [anon_sym___stdcall] = ACTIONS(3305),
    [anon_sym___fastcall] = ACTIONS(3305),
    [anon_sym___thiscall] = ACTIONS(3305),
    [anon_sym___vectorcall] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_signed] = ACTIONS(3305),
    [anon_sym_unsigned] = ACTIONS(3305),
    [anon_sym_long] = ACTIONS(3305),
    [anon_sym_short] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_register] = ACTIONS(3305),
    [anon_sym_inline] = ACTIONS(3305),
    [anon_sym___inline] = ACTIONS(3305),
    [anon_sym___inline__] = ACTIONS(3305),
    [anon_sym___forceinline] = ACTIONS(3305),
    [anon_sym_thread_local] = ACTIONS(3305),
    [anon_sym___thread] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_constexpr] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_restrict] = ACTIONS(3305),
    [anon_sym___restrict__] = ACTIONS(3305),
    [anon_sym__Atomic] = ACTIONS(3305),
    [anon_sym__Noreturn] = ACTIONS(3305),
    [anon_sym_noreturn] = ACTIONS(3305),
    [anon_sym_mutable] = ACTIONS(3305),
    [anon_sym_constinit] = ACTIONS(3305),
    [anon_sym_consteval] = ACTIONS(3305),
    [sym_primitive_type] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_union] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym___try] = ACTIONS(3305),
    [anon_sym___leave] = ACTIONS(3305),
    [anon_sym_not] = ACTIONS(3305),
    [anon_sym_compl] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3305),
    [anon_sym_asm] = ACTIONS(3305),
    [anon_sym___asm__] = ACTIONS(3305),
    [sym_number_literal] = ACTIONS(3307),
    [anon_sym_L_SQUOTE] = ACTIONS(3307),
    [anon_sym_u_SQUOTE] = ACTIONS(3307),
    [anon_sym_U_SQUOTE] = ACTIONS(3307),
    [anon_sym_u8_SQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_L_DQUOTE] = ACTIONS(3307),
    [anon_sym_u_DQUOTE] = ACTIONS(3307),
    [anon_sym_U_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8_DQUOTE] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [anon_sym_NULL] = ACTIONS(3305),
    [anon_sym_nullptr] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3305),
    [anon_sym_decltype] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_alignas] = ACTIONS(3305),
    [anon_sym_explicit] = ACTIONS(3305),
    [anon_sym_typename] = ACTIONS(3305),
    [anon_sym_template] = ACTIONS(3305),
    [anon_sym_operator] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_static_assert] = ACTIONS(3305),
    [anon_sym_concept] = ACTIONS(3305),
    [anon_sym_co_return] = ACTIONS(3305),
    [anon_sym_co_yield] = ACTIONS(3305),
    [anon_sym_R_DQUOTE] = ACTIONS(3307),
    [anon_sym_LR_DQUOTE] = ACTIONS(3307),
    [anon_sym_uR_DQUOTE] = ACTIONS(3307),
    [anon_sym_UR_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3307),
    [anon_sym_co_await] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_requires] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [891] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_include_token1] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym___cdecl] = ACTIONS(3232),
    [anon_sym___clrcall] = ACTIONS(3232),
    [anon_sym___stdcall] = ACTIONS(3232),
    [anon_sym___fastcall] = ACTIONS(3232),
    [anon_sym___thiscall] = ACTIONS(3232),
    [anon_sym___vectorcall] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_goto] = ACTIONS(3232),
    [anon_sym___try] = ACTIONS(3232),
    [anon_sym___leave] = ACTIONS(3232),
    [anon_sym_not] = ACTIONS(3232),
    [anon_sym_compl] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_sizeof] = ACTIONS(3232),
    [anon_sym___alignof__] = ACTIONS(3232),
    [anon_sym___alignof] = ACTIONS(3232),
    [anon_sym__alignof] = ACTIONS(3232),
    [anon_sym_alignof] = ACTIONS(3232),
    [anon_sym__Alignof] = ACTIONS(3232),
    [anon_sym_offsetof] = ACTIONS(3232),
    [anon_sym__Generic] = ACTIONS(3232),
    [anon_sym_asm] = ACTIONS(3232),
    [anon_sym___asm__] = ACTIONS(3232),
    [sym_number_literal] = ACTIONS(3234),
    [anon_sym_L_SQUOTE] = ACTIONS(3234),
    [anon_sym_u_SQUOTE] = ACTIONS(3234),
    [anon_sym_U_SQUOTE] = ACTIONS(3234),
    [anon_sym_u8_SQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_L_DQUOTE] = ACTIONS(3234),
    [anon_sym_u_DQUOTE] = ACTIONS(3234),
    [anon_sym_U_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8_DQUOTE] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [anon_sym_NULL] = ACTIONS(3232),
    [anon_sym_nullptr] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
    [anon_sym_concept] = ACTIONS(3232),
    [anon_sym_co_return] = ACTIONS(3232),
    [anon_sym_co_yield] = ACTIONS(3232),
    [anon_sym_R_DQUOTE] = ACTIONS(3234),
    [anon_sym_LR_DQUOTE] = ACTIONS(3234),
    [anon_sym_uR_DQUOTE] = ACTIONS(3234),
    [anon_sym_UR_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3234),
    [anon_sym_co_await] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_requires] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [sym_primitive_type] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3222),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [903] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3671),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token2] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [sym_primitive_type] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym___try] = ACTIONS(3184),
    [anon_sym___leave] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [sym_number_literal] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_include_token1] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym___cdecl] = ACTIONS(3355),
    [anon_sym___clrcall] = ACTIONS(3355),
    [anon_sym___stdcall] = ACTIONS(3355),
    [anon_sym___fastcall] = ACTIONS(3355),
    [anon_sym___thiscall] = ACTIONS(3355),
    [anon_sym___vectorcall] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_goto] = ACTIONS(3355),
    [anon_sym___try] = ACTIONS(3355),
    [anon_sym___leave] = ACTIONS(3355),
    [anon_sym_not] = ACTIONS(3355),
    [anon_sym_compl] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3355),
    [anon_sym___alignof__] = ACTIONS(3355),
    [anon_sym___alignof] = ACTIONS(3355),
    [anon_sym__alignof] = ACTIONS(3355),
    [anon_sym_alignof] = ACTIONS(3355),
    [anon_sym__Alignof] = ACTIONS(3355),
    [anon_sym_offsetof] = ACTIONS(3355),
    [anon_sym__Generic] = ACTIONS(3355),
    [anon_sym_asm] = ACTIONS(3355),
    [anon_sym___asm__] = ACTIONS(3355),
    [sym_number_literal] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3357),
    [anon_sym_u_SQUOTE] = ACTIONS(3357),
    [anon_sym_U_SQUOTE] = ACTIONS(3357),
    [anon_sym_u8_SQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_L_DQUOTE] = ACTIONS(3357),
    [anon_sym_u_DQUOTE] = ACTIONS(3357),
    [anon_sym_U_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8_DQUOTE] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [anon_sym_NULL] = ACTIONS(3355),
    [anon_sym_nullptr] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
    [anon_sym_concept] = ACTIONS(3355),
    [anon_sym_co_return] = ACTIONS(3355),
    [anon_sym_co_yield] = ACTIONS(3355),
    [anon_sym_R_DQUOTE] = ACTIONS(3357),
    [anon_sym_LR_DQUOTE] = ACTIONS(3357),
    [anon_sym_uR_DQUOTE] = ACTIONS(3357),
    [anon_sym_UR_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3357),
    [anon_sym_co_await] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_requires] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
  },
  [908] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3236),
    [aux_sym_preproc_include_token1] = ACTIONS(3236),
    [aux_sym_preproc_def_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token2] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3236),
    [anon_sym_LPAREN2] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym___extension__] = ACTIONS(3236),
    [anon_sym_typedef] = ACTIONS(3236),
    [anon_sym_extern] = ACTIONS(3236),
    [anon_sym___attribute__] = ACTIONS(3236),
    [anon_sym_COLON_COLON] = ACTIONS(3238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3238),
    [anon_sym___declspec] = ACTIONS(3236),
    [anon_sym___based] = ACTIONS(3236),
    [anon_sym___cdecl] = ACTIONS(3236),
    [anon_sym___clrcall] = ACTIONS(3236),
    [anon_sym___stdcall] = ACTIONS(3236),
    [anon_sym___fastcall] = ACTIONS(3236),
    [anon_sym___thiscall] = ACTIONS(3236),
    [anon_sym___vectorcall] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(3236),
    [anon_sym_unsigned] = ACTIONS(3236),
    [anon_sym_long] = ACTIONS(3236),
    [anon_sym_short] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_register] = ACTIONS(3236),
    [anon_sym_inline] = ACTIONS(3236),
    [anon_sym___inline] = ACTIONS(3236),
    [anon_sym___inline__] = ACTIONS(3236),
    [anon_sym___forceinline] = ACTIONS(3236),
    [anon_sym_thread_local] = ACTIONS(3236),
    [anon_sym___thread] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_constexpr] = ACTIONS(3236),
    [anon_sym_volatile] = ACTIONS(3236),
    [anon_sym_restrict] = ACTIONS(3236),
    [anon_sym___restrict__] = ACTIONS(3236),
    [anon_sym__Atomic] = ACTIONS(3236),
    [anon_sym__Noreturn] = ACTIONS(3236),
    [anon_sym_noreturn] = ACTIONS(3236),
    [anon_sym_mutable] = ACTIONS(3236),
    [anon_sym_constinit] = ACTIONS(3236),
    [anon_sym_consteval] = ACTIONS(3236),
    [sym_primitive_type] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_struct] = ACTIONS(3236),
    [anon_sym_union] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_goto] = ACTIONS(3236),
    [anon_sym___try] = ACTIONS(3236),
    [anon_sym___leave] = ACTIONS(3236),
    [anon_sym_not] = ACTIONS(3236),
    [anon_sym_compl] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_sizeof] = ACTIONS(3236),
    [anon_sym___alignof__] = ACTIONS(3236),
    [anon_sym___alignof] = ACTIONS(3236),
    [anon_sym__alignof] = ACTIONS(3236),
    [anon_sym_alignof] = ACTIONS(3236),
    [anon_sym__Alignof] = ACTIONS(3236),
    [anon_sym_offsetof] = ACTIONS(3236),
    [anon_sym__Generic] = ACTIONS(3236),
    [anon_sym_asm] = ACTIONS(3236),
    [anon_sym___asm__] = ACTIONS(3236),
    [sym_number_literal] = ACTIONS(3238),
    [anon_sym_L_SQUOTE] = ACTIONS(3238),
    [anon_sym_u_SQUOTE] = ACTIONS(3238),
    [anon_sym_U_SQUOTE] = ACTIONS(3238),
    [anon_sym_u8_SQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_L_DQUOTE] = ACTIONS(3238),
    [anon_sym_u_DQUOTE] = ACTIONS(3238),
    [anon_sym_U_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8_DQUOTE] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [anon_sym_NULL] = ACTIONS(3236),
    [anon_sym_nullptr] = ACTIONS(3236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3236),
    [anon_sym_decltype] = ACTIONS(3236),
    [anon_sym_virtual] = ACTIONS(3236),
    [anon_sym_alignas] = ACTIONS(3236),
    [anon_sym_explicit] = ACTIONS(3236),
    [anon_sym_typename] = ACTIONS(3236),
    [anon_sym_template] = ACTIONS(3236),
    [anon_sym_operator] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_static_assert] = ACTIONS(3236),
    [anon_sym_concept] = ACTIONS(3236),
    [anon_sym_co_return] = ACTIONS(3236),
    [anon_sym_co_yield] = ACTIONS(3236),
    [anon_sym_R_DQUOTE] = ACTIONS(3238),
    [anon_sym_LR_DQUOTE] = ACTIONS(3238),
    [anon_sym_uR_DQUOTE] = ACTIONS(3238),
    [anon_sym_UR_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3238),
    [anon_sym_co_await] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_requires] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [sym_number_literal] = ACTIONS(3353),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [sym_number_literal] = ACTIONS(3349),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_RBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_include_token1] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym___cdecl] = ACTIONS(3323),
    [anon_sym___clrcall] = ACTIONS(3323),
    [anon_sym___stdcall] = ACTIONS(3323),
    [anon_sym___fastcall] = ACTIONS(3323),
    [anon_sym___thiscall] = ACTIONS(3323),
    [anon_sym___vectorcall] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_goto] = ACTIONS(3323),
    [anon_sym___try] = ACTIONS(3323),
    [anon_sym___leave] = ACTIONS(3323),
    [anon_sym_not] = ACTIONS(3323),
    [anon_sym_compl] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3323),
    [anon_sym___alignof__] = ACTIONS(3323),
    [anon_sym___alignof] = ACTIONS(3323),
    [anon_sym__alignof] = ACTIONS(3323),
    [anon_sym_alignof] = ACTIONS(3323),
    [anon_sym__Alignof] = ACTIONS(3323),
    [anon_sym_offsetof] = ACTIONS(3323),
    [anon_sym__Generic] = ACTIONS(3323),
    [anon_sym_asm] = ACTIONS(3323),
    [anon_sym___asm__] = ACTIONS(3323),
    [sym_number_literal] = ACTIONS(3325),
    [anon_sym_L_SQUOTE] = ACTIONS(3325),
    [anon_sym_u_SQUOTE] = ACTIONS(3325),
    [anon_sym_U_SQUOTE] = ACTIONS(3325),
    [anon_sym_u8_SQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_L_DQUOTE] = ACTIONS(3325),
    [anon_sym_u_DQUOTE] = ACTIONS(3325),
    [anon_sym_U_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8_DQUOTE] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3323),
    [anon_sym_nullptr] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
    [anon_sym_concept] = ACTIONS(3323),
    [anon_sym_co_return] = ACTIONS(3323),
    [anon_sym_co_yield] = ACTIONS(3323),
    [anon_sym_R_DQUOTE] = ACTIONS(3325),
    [anon_sym_LR_DQUOTE] = ACTIONS(3325),
    [anon_sym_uR_DQUOTE] = ACTIONS(3325),
    [anon_sym_UR_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3325),
    [anon_sym_co_await] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_requires] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_include_token1] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym___cdecl] = ACTIONS(3289),
    [anon_sym___clrcall] = ACTIONS(3289),
    [anon_sym___stdcall] = ACTIONS(3289),
    [anon_sym___fastcall] = ACTIONS(3289),
    [anon_sym___thiscall] = ACTIONS(3289),
    [anon_sym___vectorcall] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym___try] = ACTIONS(3289),
    [anon_sym___leave] = ACTIONS(3289),
    [anon_sym_not] = ACTIONS(3289),
    [anon_sym_compl] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym___alignof__] = ACTIONS(3289),
    [anon_sym___alignof] = ACTIONS(3289),
    [anon_sym__alignof] = ACTIONS(3289),
    [anon_sym_alignof] = ACTIONS(3289),
    [anon_sym__Alignof] = ACTIONS(3289),
    [anon_sym_offsetof] = ACTIONS(3289),
    [anon_sym__Generic] = ACTIONS(3289),
    [anon_sym_asm] = ACTIONS(3289),
    [anon_sym___asm__] = ACTIONS(3289),
    [sym_number_literal] = ACTIONS(3291),
    [anon_sym_L_SQUOTE] = ACTIONS(3291),
    [anon_sym_u_SQUOTE] = ACTIONS(3291),
    [anon_sym_U_SQUOTE] = ACTIONS(3291),
    [anon_sym_u8_SQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_L_DQUOTE] = ACTIONS(3291),
    [anon_sym_u_DQUOTE] = ACTIONS(3291),
    [anon_sym_U_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8_DQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [anon_sym_NULL] = ACTIONS(3289),
    [anon_sym_nullptr] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
    [anon_sym_concept] = ACTIONS(3289),
    [anon_sym_co_return] = ACTIONS(3289),
    [anon_sym_co_yield] = ACTIONS(3289),
    [anon_sym_R_DQUOTE] = ACTIONS(3291),
    [anon_sym_LR_DQUOTE] = ACTIONS(3291),
    [anon_sym_uR_DQUOTE] = ACTIONS(3291),
    [anon_sym_UR_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3291),
    [anon_sym_co_await] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_requires] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3301),
    [aux_sym_preproc_include_token1] = ACTIONS(3301),
    [aux_sym_preproc_def_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token2] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3301),
    [sym_preproc_directive] = ACTIONS(3301),
    [anon_sym_LPAREN2] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3301),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym___attribute__] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(3303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3303),
    [anon_sym___declspec] = ACTIONS(3301),
    [anon_sym___based] = ACTIONS(3301),
    [anon_sym___cdecl] = ACTIONS(3301),
    [anon_sym___clrcall] = ACTIONS(3301),
    [anon_sym___stdcall] = ACTIONS(3301),
    [anon_sym___fastcall] = ACTIONS(3301),
    [anon_sym___thiscall] = ACTIONS(3301),
    [anon_sym___vectorcall] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3301),
    [anon_sym_unsigned] = ACTIONS(3301),
    [anon_sym_long] = ACTIONS(3301),
    [anon_sym_short] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_register] = ACTIONS(3301),
    [anon_sym_inline] = ACTIONS(3301),
    [anon_sym___inline] = ACTIONS(3301),
    [anon_sym___inline__] = ACTIONS(3301),
    [anon_sym___forceinline] = ACTIONS(3301),
    [anon_sym_thread_local] = ACTIONS(3301),
    [anon_sym___thread] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_constexpr] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_restrict] = ACTIONS(3301),
    [anon_sym___restrict__] = ACTIONS(3301),
    [anon_sym__Atomic] = ACTIONS(3301),
    [anon_sym__Noreturn] = ACTIONS(3301),
    [anon_sym_noreturn] = ACTIONS(3301),
    [anon_sym_mutable] = ACTIONS(3301),
    [anon_sym_constinit] = ACTIONS(3301),
    [anon_sym_consteval] = ACTIONS(3301),
    [sym_primitive_type] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_union] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym___try] = ACTIONS(3301),
    [anon_sym___leave] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3301),
    [anon_sym_compl] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym___alignof__] = ACTIONS(3301),
    [anon_sym___alignof] = ACTIONS(3301),
    [anon_sym__alignof] = ACTIONS(3301),
    [anon_sym_alignof] = ACTIONS(3301),
    [anon_sym__Alignof] = ACTIONS(3301),
    [anon_sym_offsetof] = ACTIONS(3301),
    [anon_sym__Generic] = ACTIONS(3301),
    [anon_sym_asm] = ACTIONS(3301),
    [anon_sym___asm__] = ACTIONS(3301),
    [sym_number_literal] = ACTIONS(3303),
    [anon_sym_L_SQUOTE] = ACTIONS(3303),
    [anon_sym_u_SQUOTE] = ACTIONS(3303),
    [anon_sym_U_SQUOTE] = ACTIONS(3303),
    [anon_sym_u8_SQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_L_DQUOTE] = ACTIONS(3303),
    [anon_sym_u_DQUOTE] = ACTIONS(3303),
    [anon_sym_U_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8_DQUOTE] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [anon_sym_NULL] = ACTIONS(3301),
    [anon_sym_nullptr] = ACTIONS(3301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3301),
    [anon_sym_decltype] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_alignas] = ACTIONS(3301),
    [anon_sym_explicit] = ACTIONS(3301),
    [anon_sym_typename] = ACTIONS(3301),
    [anon_sym_template] = ACTIONS(3301),
    [anon_sym_operator] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_static_assert] = ACTIONS(3301),
    [anon_sym_concept] = ACTIONS(3301),
    [anon_sym_co_return] = ACTIONS(3301),
    [anon_sym_co_yield] = ACTIONS(3301),
    [anon_sym_R_DQUOTE] = ACTIONS(3303),
    [anon_sym_LR_DQUOTE] = ACTIONS(3303),
    [anon_sym_uR_DQUOTE] = ACTIONS(3303),
    [anon_sym_UR_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3303),
    [anon_sym_co_await] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_requires] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3284),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_RBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym___try] = ACTIONS(3282),
    [anon_sym___leave] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym___cdecl] = ACTIONS(3327),
    [anon_sym___clrcall] = ACTIONS(3327),
    [anon_sym___stdcall] = ACTIONS(3327),
    [anon_sym___fastcall] = ACTIONS(3327),
    [anon_sym___thiscall] = ACTIONS(3327),
    [anon_sym___vectorcall] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_RBRACE] = ACTIONS(3329),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym___try] = ACTIONS(3327),
    [anon_sym___leave] = ACTIONS(3327),
    [anon_sym_not] = ACTIONS(3327),
    [anon_sym_compl] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [anon_sym___alignof__] = ACTIONS(3327),
    [anon_sym___alignof] = ACTIONS(3327),
    [anon_sym__alignof] = ACTIONS(3327),
    [anon_sym_alignof] = ACTIONS(3327),
    [anon_sym__Alignof] = ACTIONS(3327),
    [anon_sym_offsetof] = ACTIONS(3327),
    [anon_sym__Generic] = ACTIONS(3327),
    [anon_sym_asm] = ACTIONS(3327),
    [anon_sym___asm__] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [anon_sym_L_SQUOTE] = ACTIONS(3329),
    [anon_sym_u_SQUOTE] = ACTIONS(3329),
    [anon_sym_U_SQUOTE] = ACTIONS(3329),
    [anon_sym_u8_SQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_L_DQUOTE] = ACTIONS(3329),
    [anon_sym_u_DQUOTE] = ACTIONS(3329),
    [anon_sym_U_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8_DQUOTE] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [anon_sym_NULL] = ACTIONS(3327),
    [anon_sym_nullptr] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
    [anon_sym_concept] = ACTIONS(3327),
    [anon_sym_co_return] = ACTIONS(3327),
    [anon_sym_co_yield] = ACTIONS(3327),
    [anon_sym_R_DQUOTE] = ACTIONS(3329),
    [anon_sym_LR_DQUOTE] = ACTIONS(3329),
    [anon_sym_uR_DQUOTE] = ACTIONS(3329),
    [anon_sym_UR_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3329),
    [anon_sym_co_await] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_requires] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3293),
    [aux_sym_preproc_include_token1] = ACTIONS(3293),
    [aux_sym_preproc_def_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token2] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3293),
    [sym_preproc_directive] = ACTIONS(3293),
    [anon_sym_LPAREN2] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3293),
    [anon_sym_typedef] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym___attribute__] = ACTIONS(3293),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3295),
    [anon_sym___declspec] = ACTIONS(3293),
    [anon_sym___based] = ACTIONS(3293),
    [anon_sym___cdecl] = ACTIONS(3293),
    [anon_sym___clrcall] = ACTIONS(3293),
    [anon_sym___stdcall] = ACTIONS(3293),
    [anon_sym___fastcall] = ACTIONS(3293),
    [anon_sym___thiscall] = ACTIONS(3293),
    [anon_sym___vectorcall] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3293),
    [anon_sym_unsigned] = ACTIONS(3293),
    [anon_sym_long] = ACTIONS(3293),
    [anon_sym_short] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_register] = ACTIONS(3293),
    [anon_sym_inline] = ACTIONS(3293),
    [anon_sym___inline] = ACTIONS(3293),
    [anon_sym___inline__] = ACTIONS(3293),
    [anon_sym___forceinline] = ACTIONS(3293),
    [anon_sym_thread_local] = ACTIONS(3293),
    [anon_sym___thread] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_constexpr] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_restrict] = ACTIONS(3293),
    [anon_sym___restrict__] = ACTIONS(3293),
    [anon_sym__Atomic] = ACTIONS(3293),
    [anon_sym__Noreturn] = ACTIONS(3293),
    [anon_sym_noreturn] = ACTIONS(3293),
    [anon_sym_mutable] = ACTIONS(3293),
    [anon_sym_constinit] = ACTIONS(3293),
    [anon_sym_consteval] = ACTIONS(3293),
    [sym_primitive_type] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_union] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym___try] = ACTIONS(3293),
    [anon_sym___leave] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3293),
    [anon_sym_compl] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym___alignof__] = ACTIONS(3293),
    [anon_sym___alignof] = ACTIONS(3293),
    [anon_sym__alignof] = ACTIONS(3293),
    [anon_sym_alignof] = ACTIONS(3293),
    [anon_sym__Alignof] = ACTIONS(3293),
    [anon_sym_offsetof] = ACTIONS(3293),
    [anon_sym__Generic] = ACTIONS(3293),
    [anon_sym_asm] = ACTIONS(3293),
    [anon_sym___asm__] = ACTIONS(3293),
    [sym_number_literal] = ACTIONS(3295),
    [anon_sym_L_SQUOTE] = ACTIONS(3295),
    [anon_sym_u_SQUOTE] = ACTIONS(3295),
    [anon_sym_U_SQUOTE] = ACTIONS(3295),
    [anon_sym_u8_SQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_L_DQUOTE] = ACTIONS(3295),
    [anon_sym_u_DQUOTE] = ACTIONS(3295),
    [anon_sym_U_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8_DQUOTE] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [anon_sym_NULL] = ACTIONS(3293),
    [anon_sym_nullptr] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3293),
    [anon_sym_decltype] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_alignas] = ACTIONS(3293),
    [anon_sym_explicit] = ACTIONS(3293),
    [anon_sym_typename] = ACTIONS(3293),
    [anon_sym_template] = ACTIONS(3293),
    [anon_sym_operator] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_static_assert] = ACTIONS(3293),
    [anon_sym_concept] = ACTIONS(3293),
    [anon_sym_co_return] = ACTIONS(3293),
    [anon_sym_co_yield] = ACTIONS(3293),
    [anon_sym_R_DQUOTE] = ACTIONS(3295),
    [anon_sym_LR_DQUOTE] = ACTIONS(3295),
    [anon_sym_uR_DQUOTE] = ACTIONS(3295),
    [anon_sym_UR_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3295),
    [anon_sym_co_await] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_requires] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_SEMI] = ACTIONS(3329),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym___cdecl] = ACTIONS(3327),
    [anon_sym___clrcall] = ACTIONS(3327),
    [anon_sym___stdcall] = ACTIONS(3327),
    [anon_sym___fastcall] = ACTIONS(3327),
    [anon_sym___thiscall] = ACTIONS(3327),
    [anon_sym___vectorcall] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym___try] = ACTIONS(3327),
    [anon_sym___leave] = ACTIONS(3327),
    [anon_sym_not] = ACTIONS(3327),
    [anon_sym_compl] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [anon_sym___alignof__] = ACTIONS(3327),
    [anon_sym___alignof] = ACTIONS(3327),
    [anon_sym__alignof] = ACTIONS(3327),
    [anon_sym_alignof] = ACTIONS(3327),
    [anon_sym__Alignof] = ACTIONS(3327),
    [anon_sym_offsetof] = ACTIONS(3327),
    [anon_sym__Generic] = ACTIONS(3327),
    [anon_sym_asm] = ACTIONS(3327),
    [anon_sym___asm__] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [anon_sym_L_SQUOTE] = ACTIONS(3329),
    [anon_sym_u_SQUOTE] = ACTIONS(3329),
    [anon_sym_U_SQUOTE] = ACTIONS(3329),
    [anon_sym_u8_SQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_L_DQUOTE] = ACTIONS(3329),
    [anon_sym_u_DQUOTE] = ACTIONS(3329),
    [anon_sym_U_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8_DQUOTE] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [anon_sym_NULL] = ACTIONS(3327),
    [anon_sym_nullptr] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
    [anon_sym_concept] = ACTIONS(3327),
    [anon_sym_co_return] = ACTIONS(3327),
    [anon_sym_co_yield] = ACTIONS(3327),
    [anon_sym_R_DQUOTE] = ACTIONS(3329),
    [anon_sym_LR_DQUOTE] = ACTIONS(3329),
    [anon_sym_uR_DQUOTE] = ACTIONS(3329),
    [anon_sym_UR_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3329),
    [anon_sym_co_await] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_requires] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3272),
    [aux_sym_preproc_include_token1] = ACTIONS(3272),
    [aux_sym_preproc_def_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token2] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3272),
    [sym_preproc_directive] = ACTIONS(3272),
    [anon_sym_LPAREN2] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3272),
    [anon_sym_extern] = ACTIONS(3272),
    [anon_sym___attribute__] = ACTIONS(3272),
    [anon_sym_COLON_COLON] = ACTIONS(3274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3274),
    [anon_sym___declspec] = ACTIONS(3272),
    [anon_sym___based] = ACTIONS(3272),
    [anon_sym___cdecl] = ACTIONS(3272),
    [anon_sym___clrcall] = ACTIONS(3272),
    [anon_sym___stdcall] = ACTIONS(3272),
    [anon_sym___fastcall] = ACTIONS(3272),
    [anon_sym___thiscall] = ACTIONS(3272),
    [anon_sym___vectorcall] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3272),
    [anon_sym_unsigned] = ACTIONS(3272),
    [anon_sym_long] = ACTIONS(3272),
    [anon_sym_short] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_register] = ACTIONS(3272),
    [anon_sym_inline] = ACTIONS(3272),
    [anon_sym___inline] = ACTIONS(3272),
    [anon_sym___inline__] = ACTIONS(3272),
    [anon_sym___forceinline] = ACTIONS(3272),
    [anon_sym_thread_local] = ACTIONS(3272),
    [anon_sym___thread] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_constexpr] = ACTIONS(3272),
    [anon_sym_volatile] = ACTIONS(3272),
    [anon_sym_restrict] = ACTIONS(3272),
    [anon_sym___restrict__] = ACTIONS(3272),
    [anon_sym__Atomic] = ACTIONS(3272),
    [anon_sym__Noreturn] = ACTIONS(3272),
    [anon_sym_noreturn] = ACTIONS(3272),
    [anon_sym_mutable] = ACTIONS(3272),
    [anon_sym_constinit] = ACTIONS(3272),
    [anon_sym_consteval] = ACTIONS(3272),
    [sym_primitive_type] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_struct] = ACTIONS(3272),
    [anon_sym_union] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_goto] = ACTIONS(3272),
    [anon_sym___try] = ACTIONS(3272),
    [anon_sym___leave] = ACTIONS(3272),
    [anon_sym_not] = ACTIONS(3272),
    [anon_sym_compl] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_sizeof] = ACTIONS(3272),
    [anon_sym___alignof__] = ACTIONS(3272),
    [anon_sym___alignof] = ACTIONS(3272),
    [anon_sym__alignof] = ACTIONS(3272),
    [anon_sym_alignof] = ACTIONS(3272),
    [anon_sym__Alignof] = ACTIONS(3272),
    [anon_sym_offsetof] = ACTIONS(3272),
    [anon_sym__Generic] = ACTIONS(3272),
    [anon_sym_asm] = ACTIONS(3272),
    [anon_sym___asm__] = ACTIONS(3272),
    [sym_number_literal] = ACTIONS(3274),
    [anon_sym_L_SQUOTE] = ACTIONS(3274),
    [anon_sym_u_SQUOTE] = ACTIONS(3274),
    [anon_sym_U_SQUOTE] = ACTIONS(3274),
    [anon_sym_u8_SQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_L_DQUOTE] = ACTIONS(3274),
    [anon_sym_u_DQUOTE] = ACTIONS(3274),
    [anon_sym_U_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8_DQUOTE] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [anon_sym_NULL] = ACTIONS(3272),
    [anon_sym_nullptr] = ACTIONS(3272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3272),
    [anon_sym_decltype] = ACTIONS(3272),
    [anon_sym_virtual] = ACTIONS(3272),
    [anon_sym_alignas] = ACTIONS(3272),
    [anon_sym_explicit] = ACTIONS(3272),
    [anon_sym_typename] = ACTIONS(3272),
    [anon_sym_template] = ACTIONS(3272),
    [anon_sym_operator] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_static_assert] = ACTIONS(3272),
    [anon_sym_concept] = ACTIONS(3272),
    [anon_sym_co_return] = ACTIONS(3272),
    [anon_sym_co_yield] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(3274),
    [anon_sym_LR_DQUOTE] = ACTIONS(3274),
    [anon_sym_uR_DQUOTE] = ACTIONS(3274),
    [anon_sym_UR_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3274),
    [anon_sym_co_await] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_requires] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_RBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [sym_number_literal] = ACTIONS(3345),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_include_token1] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_SEMI] = ACTIONS(3325),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym___cdecl] = ACTIONS(3323),
    [anon_sym___clrcall] = ACTIONS(3323),
    [anon_sym___stdcall] = ACTIONS(3323),
    [anon_sym___fastcall] = ACTIONS(3323),
    [anon_sym___thiscall] = ACTIONS(3323),
    [anon_sym___vectorcall] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_goto] = ACTIONS(3323),
    [anon_sym___try] = ACTIONS(3323),
    [anon_sym___leave] = ACTIONS(3323),
    [anon_sym_not] = ACTIONS(3323),
    [anon_sym_compl] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3323),
    [anon_sym___alignof__] = ACTIONS(3323),
    [anon_sym___alignof] = ACTIONS(3323),
    [anon_sym__alignof] = ACTIONS(3323),
    [anon_sym_alignof] = ACTIONS(3323),
    [anon_sym__Alignof] = ACTIONS(3323),
    [anon_sym_offsetof] = ACTIONS(3323),
    [anon_sym__Generic] = ACTIONS(3323),
    [anon_sym_asm] = ACTIONS(3323),
    [anon_sym___asm__] = ACTIONS(3323),
    [sym_number_literal] = ACTIONS(3325),
    [anon_sym_L_SQUOTE] = ACTIONS(3325),
    [anon_sym_u_SQUOTE] = ACTIONS(3325),
    [anon_sym_U_SQUOTE] = ACTIONS(3325),
    [anon_sym_u8_SQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_L_DQUOTE] = ACTIONS(3325),
    [anon_sym_u_DQUOTE] = ACTIONS(3325),
    [anon_sym_U_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8_DQUOTE] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3323),
    [anon_sym_nullptr] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
    [anon_sym_concept] = ACTIONS(3323),
    [anon_sym_co_return] = ACTIONS(3323),
    [anon_sym_co_yield] = ACTIONS(3323),
    [anon_sym_R_DQUOTE] = ACTIONS(3325),
    [anon_sym_LR_DQUOTE] = ACTIONS(3325),
    [anon_sym_uR_DQUOTE] = ACTIONS(3325),
    [anon_sym_UR_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3325),
    [anon_sym_co_await] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_requires] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_SEMI] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_RBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym___try] = ACTIONS(3347),
    [anon_sym___leave] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [sym_number_literal] = ACTIONS(3349),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym___try] = ACTIONS(3005),
    [anon_sym___leave] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [942] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_not] = ACTIONS(2844),
    [anon_sym_compl] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_try] = ACTIONS(2844),
    [anon_sym_delete] = ACTIONS(2844),
    [anon_sym_throw] = ACTIONS(2844),
    [anon_sym_namespace] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_concept] = ACTIONS(2844),
    [anon_sym_co_return] = ACTIONS(2844),
    [anon_sym_co_yield] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(2846),
    [anon_sym_LR_DQUOTE] = ACTIONS(2846),
    [anon_sym_uR_DQUOTE] = ACTIONS(2846),
    [anon_sym_UR_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2846),
    [anon_sym_co_await] = ACTIONS(2844),
    [anon_sym_new] = ACTIONS(2844),
    [anon_sym_requires] = ACTIONS(2844),
    [sym_this] = ACTIONS(2844),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_SEMI] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym___try] = ACTIONS(3351),
    [anon_sym___leave] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [sym_number_literal] = ACTIONS(3353),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3331),
    [aux_sym_preproc_include_token1] = ACTIONS(3331),
    [aux_sym_preproc_def_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3331),
    [sym_preproc_directive] = ACTIONS(3331),
    [anon_sym_LPAREN2] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3333),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_SEMI] = ACTIONS(3333),
    [anon_sym___extension__] = ACTIONS(3331),
    [anon_sym_typedef] = ACTIONS(3331),
    [anon_sym_extern] = ACTIONS(3331),
    [anon_sym___attribute__] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3333),
    [anon_sym___declspec] = ACTIONS(3331),
    [anon_sym___based] = ACTIONS(3331),
    [anon_sym___cdecl] = ACTIONS(3331),
    [anon_sym___clrcall] = ACTIONS(3331),
    [anon_sym___stdcall] = ACTIONS(3331),
    [anon_sym___fastcall] = ACTIONS(3331),
    [anon_sym___thiscall] = ACTIONS(3331),
    [anon_sym___vectorcall] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_RBRACE] = ACTIONS(3333),
    [anon_sym_signed] = ACTIONS(3331),
    [anon_sym_unsigned] = ACTIONS(3331),
    [anon_sym_long] = ACTIONS(3331),
    [anon_sym_short] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_register] = ACTIONS(3331),
    [anon_sym_inline] = ACTIONS(3331),
    [anon_sym___inline] = ACTIONS(3331),
    [anon_sym___inline__] = ACTIONS(3331),
    [anon_sym___forceinline] = ACTIONS(3331),
    [anon_sym_thread_local] = ACTIONS(3331),
    [anon_sym___thread] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_constexpr] = ACTIONS(3331),
    [anon_sym_volatile] = ACTIONS(3331),
    [anon_sym_restrict] = ACTIONS(3331),
    [anon_sym___restrict__] = ACTIONS(3331),
    [anon_sym__Atomic] = ACTIONS(3331),
    [anon_sym__Noreturn] = ACTIONS(3331),
    [anon_sym_noreturn] = ACTIONS(3331),
    [anon_sym_mutable] = ACTIONS(3331),
    [anon_sym_constinit] = ACTIONS(3331),
    [anon_sym_consteval] = ACTIONS(3331),
    [sym_primitive_type] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_struct] = ACTIONS(3331),
    [anon_sym_union] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_goto] = ACTIONS(3331),
    [anon_sym___try] = ACTIONS(3331),
    [anon_sym___leave] = ACTIONS(3331),
    [anon_sym_not] = ACTIONS(3331),
    [anon_sym_compl] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3331),
    [anon_sym___alignof__] = ACTIONS(3331),
    [anon_sym___alignof] = ACTIONS(3331),
    [anon_sym__alignof] = ACTIONS(3331),
    [anon_sym_alignof] = ACTIONS(3331),
    [anon_sym__Alignof] = ACTIONS(3331),
    [anon_sym_offsetof] = ACTIONS(3331),
    [anon_sym__Generic] = ACTIONS(3331),
    [anon_sym_asm] = ACTIONS(3331),
    [anon_sym___asm__] = ACTIONS(3331),
    [sym_number_literal] = ACTIONS(3333),
    [anon_sym_L_SQUOTE] = ACTIONS(3333),
    [anon_sym_u_SQUOTE] = ACTIONS(3333),
    [anon_sym_U_SQUOTE] = ACTIONS(3333),
    [anon_sym_u8_SQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_L_DQUOTE] = ACTIONS(3333),
    [anon_sym_u_DQUOTE] = ACTIONS(3333),
    [anon_sym_U_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8_DQUOTE] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [anon_sym_NULL] = ACTIONS(3331),
    [anon_sym_nullptr] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3331),
    [anon_sym_decltype] = ACTIONS(3331),
    [anon_sym_virtual] = ACTIONS(3331),
    [anon_sym_alignas] = ACTIONS(3331),
    [anon_sym_explicit] = ACTIONS(3331),
    [anon_sym_typename] = ACTIONS(3331),
    [anon_sym_template] = ACTIONS(3331),
    [anon_sym_operator] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_static_assert] = ACTIONS(3331),
    [anon_sym_concept] = ACTIONS(3331),
    [anon_sym_co_return] = ACTIONS(3331),
    [anon_sym_co_yield] = ACTIONS(3331),
    [anon_sym_R_DQUOTE] = ACTIONS(3333),
    [anon_sym_LR_DQUOTE] = ACTIONS(3333),
    [anon_sym_uR_DQUOTE] = ACTIONS(3333),
    [anon_sym_UR_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3333),
    [anon_sym_co_await] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_requires] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_include_token1] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_SEMI] = ACTIONS(3357),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym___cdecl] = ACTIONS(3355),
    [anon_sym___clrcall] = ACTIONS(3355),
    [anon_sym___stdcall] = ACTIONS(3355),
    [anon_sym___fastcall] = ACTIONS(3355),
    [anon_sym___thiscall] = ACTIONS(3355),
    [anon_sym___vectorcall] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_RBRACE] = ACTIONS(3357),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_goto] = ACTIONS(3355),
    [anon_sym___try] = ACTIONS(3355),
    [anon_sym___leave] = ACTIONS(3355),
    [anon_sym_not] = ACTIONS(3355),
    [anon_sym_compl] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3355),
    [anon_sym___alignof__] = ACTIONS(3355),
    [anon_sym___alignof] = ACTIONS(3355),
    [anon_sym__alignof] = ACTIONS(3355),
    [anon_sym_alignof] = ACTIONS(3355),
    [anon_sym__Alignof] = ACTIONS(3355),
    [anon_sym_offsetof] = ACTIONS(3355),
    [anon_sym__Generic] = ACTIONS(3355),
    [anon_sym_asm] = ACTIONS(3355),
    [anon_sym___asm__] = ACTIONS(3355),
    [sym_number_literal] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3357),
    [anon_sym_u_SQUOTE] = ACTIONS(3357),
    [anon_sym_U_SQUOTE] = ACTIONS(3357),
    [anon_sym_u8_SQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_L_DQUOTE] = ACTIONS(3357),
    [anon_sym_u_DQUOTE] = ACTIONS(3357),
    [anon_sym_U_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8_DQUOTE] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [anon_sym_NULL] = ACTIONS(3355),
    [anon_sym_nullptr] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
    [anon_sym_concept] = ACTIONS(3355),
    [anon_sym_co_return] = ACTIONS(3355),
    [anon_sym_co_yield] = ACTIONS(3355),
    [anon_sym_R_DQUOTE] = ACTIONS(3357),
    [anon_sym_LR_DQUOTE] = ACTIONS(3357),
    [anon_sym_uR_DQUOTE] = ACTIONS(3357),
    [anon_sym_UR_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3357),
    [anon_sym_co_await] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_requires] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [953] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [sym_primitive_type] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym___try] = ACTIONS(3220),
    [anon_sym___leave] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3222),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym___try] = ACTIONS(3192),
    [anon_sym___leave] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [957] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_SEMI] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym___try] = ACTIONS(3343),
    [anon_sym___leave] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [sym_number_literal] = ACTIONS(3345),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [958] = {
    [sym_catch_clause] = STATE(356),
    [aux_sym_constructor_try_statement_repeat1] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(2842),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2840),
    [anon_sym_compl] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_try] = ACTIONS(2840),
    [anon_sym_delete] = ACTIONS(2840),
    [anon_sym_throw] = ACTIONS(2840),
    [anon_sym_namespace] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_concept] = ACTIONS(2840),
    [anon_sym_co_return] = ACTIONS(2840),
    [anon_sym_co_yield] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(2842),
    [anon_sym_LR_DQUOTE] = ACTIONS(2842),
    [anon_sym_uR_DQUOTE] = ACTIONS(2842),
    [anon_sym_UR_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2842),
    [anon_sym_co_await] = ACTIONS(2840),
    [anon_sym_new] = ACTIONS(2840),
    [anon_sym_requires] = ACTIONS(2840),
    [sym_this] = ACTIONS(2840),
  },
  [959] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [960] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [961] = {
    [sym_identifier] = ACTIONS(3297),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token2] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym___extension__] = ACTIONS(3297),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym___attribute__] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3299),
    [anon_sym___declspec] = ACTIONS(3297),
    [anon_sym___based] = ACTIONS(3297),
    [anon_sym___cdecl] = ACTIONS(3297),
    [anon_sym___clrcall] = ACTIONS(3297),
    [anon_sym___stdcall] = ACTIONS(3297),
    [anon_sym___fastcall] = ACTIONS(3297),
    [anon_sym___thiscall] = ACTIONS(3297),
    [anon_sym___vectorcall] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_signed] = ACTIONS(3297),
    [anon_sym_unsigned] = ACTIONS(3297),
    [anon_sym_long] = ACTIONS(3297),
    [anon_sym_short] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_register] = ACTIONS(3297),
    [anon_sym_inline] = ACTIONS(3297),
    [anon_sym___inline] = ACTIONS(3297),
    [anon_sym___inline__] = ACTIONS(3297),
    [anon_sym___forceinline] = ACTIONS(3297),
    [anon_sym_thread_local] = ACTIONS(3297),
    [anon_sym___thread] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_constexpr] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_restrict] = ACTIONS(3297),
    [anon_sym___restrict__] = ACTIONS(3297),
    [anon_sym__Atomic] = ACTIONS(3297),
    [anon_sym__Noreturn] = ACTIONS(3297),
    [anon_sym_noreturn] = ACTIONS(3297),
    [anon_sym_mutable] = ACTIONS(3297),
    [anon_sym_constinit] = ACTIONS(3297),
    [anon_sym_consteval] = ACTIONS(3297),
    [sym_primitive_type] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_union] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym___try] = ACTIONS(3297),
    [anon_sym___leave] = ACTIONS(3297),
    [anon_sym_not] = ACTIONS(3297),
    [anon_sym_compl] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym___alignof__] = ACTIONS(3297),
    [anon_sym___alignof] = ACTIONS(3297),
    [anon_sym__alignof] = ACTIONS(3297),
    [anon_sym_alignof] = ACTIONS(3297),
    [anon_sym__Alignof] = ACTIONS(3297),
    [anon_sym_offsetof] = ACTIONS(3297),
    [anon_sym__Generic] = ACTIONS(3297),
    [anon_sym_asm] = ACTIONS(3297),
    [anon_sym___asm__] = ACTIONS(3297),
    [sym_number_literal] = ACTIONS(3299),
    [anon_sym_L_SQUOTE] = ACTIONS(3299),
    [anon_sym_u_SQUOTE] = ACTIONS(3299),
    [anon_sym_U_SQUOTE] = ACTIONS(3299),
    [anon_sym_u8_SQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_L_DQUOTE] = ACTIONS(3299),
    [anon_sym_u_DQUOTE] = ACTIONS(3299),
    [anon_sym_U_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8_DQUOTE] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [anon_sym_NULL] = ACTIONS(3297),
    [anon_sym_nullptr] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3297),
    [anon_sym_decltype] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_alignas] = ACTIONS(3297),
    [anon_sym_explicit] = ACTIONS(3297),
    [anon_sym_typename] = ACTIONS(3297),
    [anon_sym_template] = ACTIONS(3297),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_static_assert] = ACTIONS(3297),
    [anon_sym_concept] = ACTIONS(3297),
    [anon_sym_co_return] = ACTIONS(3297),
    [anon_sym_co_yield] = ACTIONS(3297),
    [anon_sym_R_DQUOTE] = ACTIONS(3299),
    [anon_sym_LR_DQUOTE] = ACTIONS(3299),
    [anon_sym_uR_DQUOTE] = ACTIONS(3299),
    [anon_sym_UR_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3299),
    [anon_sym_co_await] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_requires] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_include_token1] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym___cdecl] = ACTIONS(3289),
    [anon_sym___clrcall] = ACTIONS(3289),
    [anon_sym___stdcall] = ACTIONS(3289),
    [anon_sym___fastcall] = ACTIONS(3289),
    [anon_sym___thiscall] = ACTIONS(3289),
    [anon_sym___vectorcall] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym___try] = ACTIONS(3289),
    [anon_sym___leave] = ACTIONS(3289),
    [anon_sym_not] = ACTIONS(3289),
    [anon_sym_compl] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym___alignof__] = ACTIONS(3289),
    [anon_sym___alignof] = ACTIONS(3289),
    [anon_sym__alignof] = ACTIONS(3289),
    [anon_sym_alignof] = ACTIONS(3289),
    [anon_sym__Alignof] = ACTIONS(3289),
    [anon_sym_offsetof] = ACTIONS(3289),
    [anon_sym__Generic] = ACTIONS(3289),
    [anon_sym_asm] = ACTIONS(3289),
    [anon_sym___asm__] = ACTIONS(3289),
    [sym_number_literal] = ACTIONS(3291),
    [anon_sym_L_SQUOTE] = ACTIONS(3291),
    [anon_sym_u_SQUOTE] = ACTIONS(3291),
    [anon_sym_U_SQUOTE] = ACTIONS(3291),
    [anon_sym_u8_SQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_L_DQUOTE] = ACTIONS(3291),
    [anon_sym_u_DQUOTE] = ACTIONS(3291),
    [anon_sym_U_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8_DQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [anon_sym_NULL] = ACTIONS(3289),
    [anon_sym_nullptr] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
    [anon_sym_concept] = ACTIONS(3289),
    [anon_sym_co_return] = ACTIONS(3289),
    [anon_sym_co_yield] = ACTIONS(3289),
    [anon_sym_R_DQUOTE] = ACTIONS(3291),
    [anon_sym_LR_DQUOTE] = ACTIONS(3291),
    [anon_sym_uR_DQUOTE] = ACTIONS(3291),
    [anon_sym_UR_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3291),
    [anon_sym_co_await] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_requires] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_RBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [sym_number_literal] = ACTIONS(3341),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_include_token1] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym___cdecl] = ACTIONS(3335),
    [anon_sym___clrcall] = ACTIONS(3335),
    [anon_sym___stdcall] = ACTIONS(3335),
    [anon_sym___fastcall] = ACTIONS(3335),
    [anon_sym___thiscall] = ACTIONS(3335),
    [anon_sym___vectorcall] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_RBRACE] = ACTIONS(3337),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_goto] = ACTIONS(3335),
    [anon_sym___try] = ACTIONS(3335),
    [anon_sym___leave] = ACTIONS(3335),
    [anon_sym_not] = ACTIONS(3335),
    [anon_sym_compl] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3335),
    [anon_sym___alignof__] = ACTIONS(3335),
    [anon_sym___alignof] = ACTIONS(3335),
    [anon_sym__alignof] = ACTIONS(3335),
    [anon_sym_alignof] = ACTIONS(3335),
    [anon_sym__Alignof] = ACTIONS(3335),
    [anon_sym_offsetof] = ACTIONS(3335),
    [anon_sym__Generic] = ACTIONS(3335),
    [anon_sym_asm] = ACTIONS(3335),
    [anon_sym___asm__] = ACTIONS(3335),
    [sym_number_literal] = ACTIONS(3337),
    [anon_sym_L_SQUOTE] = ACTIONS(3337),
    [anon_sym_u_SQUOTE] = ACTIONS(3337),
    [anon_sym_U_SQUOTE] = ACTIONS(3337),
    [anon_sym_u8_SQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_L_DQUOTE] = ACTIONS(3337),
    [anon_sym_u_DQUOTE] = ACTIONS(3337),
    [anon_sym_U_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8_DQUOTE] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [anon_sym_NULL] = ACTIONS(3335),
    [anon_sym_nullptr] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
    [anon_sym_concept] = ACTIONS(3335),
    [anon_sym_co_return] = ACTIONS(3335),
    [anon_sym_co_yield] = ACTIONS(3335),
    [anon_sym_R_DQUOTE] = ACTIONS(3337),
    [anon_sym_LR_DQUOTE] = ACTIONS(3337),
    [anon_sym_uR_DQUOTE] = ACTIONS(3337),
    [anon_sym_UR_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3337),
    [anon_sym_co_await] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_requires] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_include_token1] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym___cdecl] = ACTIONS(3232),
    [anon_sym___clrcall] = ACTIONS(3232),
    [anon_sym___stdcall] = ACTIONS(3232),
    [anon_sym___fastcall] = ACTIONS(3232),
    [anon_sym___thiscall] = ACTIONS(3232),
    [anon_sym___vectorcall] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_goto] = ACTIONS(3232),
    [anon_sym___try] = ACTIONS(3232),
    [anon_sym___leave] = ACTIONS(3232),
    [anon_sym_not] = ACTIONS(3232),
    [anon_sym_compl] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_sizeof] = ACTIONS(3232),
    [anon_sym___alignof__] = ACTIONS(3232),
    [anon_sym___alignof] = ACTIONS(3232),
    [anon_sym__alignof] = ACTIONS(3232),
    [anon_sym_alignof] = ACTIONS(3232),
    [anon_sym__Alignof] = ACTIONS(3232),
    [anon_sym_offsetof] = ACTIONS(3232),
    [anon_sym__Generic] = ACTIONS(3232),
    [anon_sym_asm] = ACTIONS(3232),
    [anon_sym___asm__] = ACTIONS(3232),
    [sym_number_literal] = ACTIONS(3234),
    [anon_sym_L_SQUOTE] = ACTIONS(3234),
    [anon_sym_u_SQUOTE] = ACTIONS(3234),
    [anon_sym_U_SQUOTE] = ACTIONS(3234),
    [anon_sym_u8_SQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_L_DQUOTE] = ACTIONS(3234),
    [anon_sym_u_DQUOTE] = ACTIONS(3234),
    [anon_sym_U_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8_DQUOTE] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [anon_sym_NULL] = ACTIONS(3232),
    [anon_sym_nullptr] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
    [anon_sym_concept] = ACTIONS(3232),
    [anon_sym_co_return] = ACTIONS(3232),
    [anon_sym_co_yield] = ACTIONS(3232),
    [anon_sym_R_DQUOTE] = ACTIONS(3234),
    [anon_sym_LR_DQUOTE] = ACTIONS(3234),
    [anon_sym_uR_DQUOTE] = ACTIONS(3234),
    [anon_sym_UR_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3234),
    [anon_sym_co_await] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_requires] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
  },
  [967] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(3341),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym___try] = ACTIONS(3339),
    [anon_sym___leave] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [sym_number_literal] = ACTIONS(3341),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [968] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_include_token1] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token2] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_SEMI] = ACTIONS(3337),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym___cdecl] = ACTIONS(3335),
    [anon_sym___clrcall] = ACTIONS(3335),
    [anon_sym___stdcall] = ACTIONS(3335),
    [anon_sym___fastcall] = ACTIONS(3335),
    [anon_sym___thiscall] = ACTIONS(3335),
    [anon_sym___vectorcall] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_goto] = ACTIONS(3335),
    [anon_sym___try] = ACTIONS(3335),
    [anon_sym___leave] = ACTIONS(3335),
    [anon_sym_not] = ACTIONS(3335),
    [anon_sym_compl] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3335),
    [anon_sym___alignof__] = ACTIONS(3335),
    [anon_sym___alignof] = ACTIONS(3335),
    [anon_sym__alignof] = ACTIONS(3335),
    [anon_sym_alignof] = ACTIONS(3335),
    [anon_sym__Alignof] = ACTIONS(3335),
    [anon_sym_offsetof] = ACTIONS(3335),
    [anon_sym__Generic] = ACTIONS(3335),
    [anon_sym_asm] = ACTIONS(3335),
    [anon_sym___asm__] = ACTIONS(3335),
    [sym_number_literal] = ACTIONS(3337),
    [anon_sym_L_SQUOTE] = ACTIONS(3337),
    [anon_sym_u_SQUOTE] = ACTIONS(3337),
    [anon_sym_U_SQUOTE] = ACTIONS(3337),
    [anon_sym_u8_SQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_L_DQUOTE] = ACTIONS(3337),
    [anon_sym_u_DQUOTE] = ACTIONS(3337),
    [anon_sym_U_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8_DQUOTE] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [anon_sym_NULL] = ACTIONS(3335),
    [anon_sym_nullptr] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
    [anon_sym_concept] = ACTIONS(3335),
    [anon_sym_co_return] = ACTIONS(3335),
    [anon_sym_co_yield] = ACTIONS(3335),
    [anon_sym_R_DQUOTE] = ACTIONS(3337),
    [anon_sym_LR_DQUOTE] = ACTIONS(3337),
    [anon_sym_uR_DQUOTE] = ACTIONS(3337),
    [anon_sym_UR_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3337),
    [anon_sym_co_await] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_requires] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_include_token1] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym___cdecl] = ACTIONS(3228),
    [anon_sym___clrcall] = ACTIONS(3228),
    [anon_sym___stdcall] = ACTIONS(3228),
    [anon_sym___fastcall] = ACTIONS(3228),
    [anon_sym___thiscall] = ACTIONS(3228),
    [anon_sym___vectorcall] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym___try] = ACTIONS(3228),
    [anon_sym___leave] = ACTIONS(3228),
    [anon_sym_not] = ACTIONS(3228),
    [anon_sym_compl] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_sizeof] = ACTIONS(3228),
    [anon_sym___alignof__] = ACTIONS(3228),
    [anon_sym___alignof] = ACTIONS(3228),
    [anon_sym__alignof] = ACTIONS(3228),
    [anon_sym_alignof] = ACTIONS(3228),
    [anon_sym__Alignof] = ACTIONS(3228),
    [anon_sym_offsetof] = ACTIONS(3228),
    [anon_sym__Generic] = ACTIONS(3228),
    [anon_sym_asm] = ACTIONS(3228),
    [anon_sym___asm__] = ACTIONS(3228),
    [sym_number_literal] = ACTIONS(3230),
    [anon_sym_L_SQUOTE] = ACTIONS(3230),
    [anon_sym_u_SQUOTE] = ACTIONS(3230),
    [anon_sym_U_SQUOTE] = ACTIONS(3230),
    [anon_sym_u8_SQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_L_DQUOTE] = ACTIONS(3230),
    [anon_sym_u_DQUOTE] = ACTIONS(3230),
    [anon_sym_U_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8_DQUOTE] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [anon_sym_NULL] = ACTIONS(3228),
    [anon_sym_nullptr] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
    [anon_sym_concept] = ACTIONS(3228),
    [anon_sym_co_return] = ACTIONS(3228),
    [anon_sym_co_yield] = ACTIONS(3228),
    [anon_sym_R_DQUOTE] = ACTIONS(3230),
    [anon_sym_LR_DQUOTE] = ACTIONS(3230),
    [anon_sym_uR_DQUOTE] = ACTIONS(3230),
    [anon_sym_UR_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3230),
    [anon_sym_co_await] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_requires] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
  },
  [970] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_include_token1] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym___cdecl] = ACTIONS(3224),
    [anon_sym___clrcall] = ACTIONS(3224),
    [anon_sym___stdcall] = ACTIONS(3224),
    [anon_sym___fastcall] = ACTIONS(3224),
    [anon_sym___thiscall] = ACTIONS(3224),
    [anon_sym___vectorcall] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_goto] = ACTIONS(3224),
    [anon_sym___try] = ACTIONS(3224),
    [anon_sym___leave] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(3224),
    [anon_sym_compl] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_sizeof] = ACTIONS(3224),
    [anon_sym___alignof__] = ACTIONS(3224),
    [anon_sym___alignof] = ACTIONS(3224),
    [anon_sym__alignof] = ACTIONS(3224),
    [anon_sym_alignof] = ACTIONS(3224),
    [anon_sym__Alignof] = ACTIONS(3224),
    [anon_sym_offsetof] = ACTIONS(3224),
    [anon_sym__Generic] = ACTIONS(3224),
    [anon_sym_asm] = ACTIONS(3224),
    [anon_sym___asm__] = ACTIONS(3224),
    [sym_number_literal] = ACTIONS(3226),
    [anon_sym_L_SQUOTE] = ACTIONS(3226),
    [anon_sym_u_SQUOTE] = ACTIONS(3226),
    [anon_sym_U_SQUOTE] = ACTIONS(3226),
    [anon_sym_u8_SQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_L_DQUOTE] = ACTIONS(3226),
    [anon_sym_u_DQUOTE] = ACTIONS(3226),
    [anon_sym_U_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8_DQUOTE] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [anon_sym_NULL] = ACTIONS(3224),
    [anon_sym_nullptr] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
    [anon_sym_concept] = ACTIONS(3224),
    [anon_sym_co_return] = ACTIONS(3224),
    [anon_sym_co_yield] = ACTIONS(3224),
    [anon_sym_R_DQUOTE] = ACTIONS(3226),
    [anon_sym_LR_DQUOTE] = ACTIONS(3226),
    [anon_sym_uR_DQUOTE] = ACTIONS(3226),
    [anon_sym_UR_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3226),
    [anon_sym_co_await] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_requires] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
  },
  [971] = {
    [sym_identifier] = ACTIONS(3305),
    [aux_sym_preproc_include_token1] = ACTIONS(3305),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3305),
    [sym_preproc_directive] = ACTIONS(3305),
    [anon_sym_LPAREN2] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym___extension__] = ACTIONS(3305),
    [anon_sym_typedef] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym___attribute__] = ACTIONS(3305),
    [anon_sym_COLON_COLON] = ACTIONS(3307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3307),
    [anon_sym___declspec] = ACTIONS(3305),
    [anon_sym___based] = ACTIONS(3305),
    [anon_sym___cdecl] = ACTIONS(3305),
    [anon_sym___clrcall] = ACTIONS(3305),
    [anon_sym___stdcall] = ACTIONS(3305),
    [anon_sym___fastcall] = ACTIONS(3305),
    [anon_sym___thiscall] = ACTIONS(3305),
    [anon_sym___vectorcall] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_signed] = ACTIONS(3305),
    [anon_sym_unsigned] = ACTIONS(3305),
    [anon_sym_long] = ACTIONS(3305),
    [anon_sym_short] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_register] = ACTIONS(3305),
    [anon_sym_inline] = ACTIONS(3305),
    [anon_sym___inline] = ACTIONS(3305),
    [anon_sym___inline__] = ACTIONS(3305),
    [anon_sym___forceinline] = ACTIONS(3305),
    [anon_sym_thread_local] = ACTIONS(3305),
    [anon_sym___thread] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_constexpr] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_restrict] = ACTIONS(3305),
    [anon_sym___restrict__] = ACTIONS(3305),
    [anon_sym__Atomic] = ACTIONS(3305),
    [anon_sym__Noreturn] = ACTIONS(3305),
    [anon_sym_noreturn] = ACTIONS(3305),
    [anon_sym_mutable] = ACTIONS(3305),
    [anon_sym_constinit] = ACTIONS(3305),
    [anon_sym_consteval] = ACTIONS(3305),
    [sym_primitive_type] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_union] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym___try] = ACTIONS(3305),
    [anon_sym___leave] = ACTIONS(3305),
    [anon_sym_not] = ACTIONS(3305),
    [anon_sym_compl] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3305),
    [anon_sym_asm] = ACTIONS(3305),
    [anon_sym___asm__] = ACTIONS(3305),
    [sym_number_literal] = ACTIONS(3307),
    [anon_sym_L_SQUOTE] = ACTIONS(3307),
    [anon_sym_u_SQUOTE] = ACTIONS(3307),
    [anon_sym_U_SQUOTE] = ACTIONS(3307),
    [anon_sym_u8_SQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_L_DQUOTE] = ACTIONS(3307),
    [anon_sym_u_DQUOTE] = ACTIONS(3307),
    [anon_sym_U_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8_DQUOTE] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [anon_sym_NULL] = ACTIONS(3305),
    [anon_sym_nullptr] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3305),
    [anon_sym_decltype] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_alignas] = ACTIONS(3305),
    [anon_sym_explicit] = ACTIONS(3305),
    [anon_sym_typename] = ACTIONS(3305),
    [anon_sym_template] = ACTIONS(3305),
    [anon_sym_operator] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_static_assert] = ACTIONS(3305),
    [anon_sym_concept] = ACTIONS(3305),
    [anon_sym_co_return] = ACTIONS(3305),
    [anon_sym_co_yield] = ACTIONS(3305),
    [anon_sym_R_DQUOTE] = ACTIONS(3307),
    [anon_sym_LR_DQUOTE] = ACTIONS(3307),
    [anon_sym_uR_DQUOTE] = ACTIONS(3307),
    [anon_sym_UR_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3307),
    [anon_sym_co_await] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_requires] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [973] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [974] = {
    [sym_identifier] = ACTIONS(3272),
    [aux_sym_preproc_include_token1] = ACTIONS(3272),
    [aux_sym_preproc_def_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3272),
    [sym_preproc_directive] = ACTIONS(3272),
    [anon_sym_LPAREN2] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3272),
    [anon_sym_extern] = ACTIONS(3272),
    [anon_sym___attribute__] = ACTIONS(3272),
    [anon_sym_COLON_COLON] = ACTIONS(3274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3274),
    [anon_sym___declspec] = ACTIONS(3272),
    [anon_sym___based] = ACTIONS(3272),
    [anon_sym___cdecl] = ACTIONS(3272),
    [anon_sym___clrcall] = ACTIONS(3272),
    [anon_sym___stdcall] = ACTIONS(3272),
    [anon_sym___fastcall] = ACTIONS(3272),
    [anon_sym___thiscall] = ACTIONS(3272),
    [anon_sym___vectorcall] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3272),
    [anon_sym_unsigned] = ACTIONS(3272),
    [anon_sym_long] = ACTIONS(3272),
    [anon_sym_short] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_register] = ACTIONS(3272),
    [anon_sym_inline] = ACTIONS(3272),
    [anon_sym___inline] = ACTIONS(3272),
    [anon_sym___inline__] = ACTIONS(3272),
    [anon_sym___forceinline] = ACTIONS(3272),
    [anon_sym_thread_local] = ACTIONS(3272),
    [anon_sym___thread] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_constexpr] = ACTIONS(3272),
    [anon_sym_volatile] = ACTIONS(3272),
    [anon_sym_restrict] = ACTIONS(3272),
    [anon_sym___restrict__] = ACTIONS(3272),
    [anon_sym__Atomic] = ACTIONS(3272),
    [anon_sym__Noreturn] = ACTIONS(3272),
    [anon_sym_noreturn] = ACTIONS(3272),
    [anon_sym_mutable] = ACTIONS(3272),
    [anon_sym_constinit] = ACTIONS(3272),
    [anon_sym_consteval] = ACTIONS(3272),
    [sym_primitive_type] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_struct] = ACTIONS(3272),
    [anon_sym_union] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_goto] = ACTIONS(3272),
    [anon_sym___try] = ACTIONS(3272),
    [anon_sym___leave] = ACTIONS(3272),
    [anon_sym_not] = ACTIONS(3272),
    [anon_sym_compl] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_sizeof] = ACTIONS(3272),
    [anon_sym___alignof__] = ACTIONS(3272),
    [anon_sym___alignof] = ACTIONS(3272),
    [anon_sym__alignof] = ACTIONS(3272),
    [anon_sym_alignof] = ACTIONS(3272),
    [anon_sym__Alignof] = ACTIONS(3272),
    [anon_sym_offsetof] = ACTIONS(3272),
    [anon_sym__Generic] = ACTIONS(3272),
    [anon_sym_asm] = ACTIONS(3272),
    [anon_sym___asm__] = ACTIONS(3272),
    [sym_number_literal] = ACTIONS(3274),
    [anon_sym_L_SQUOTE] = ACTIONS(3274),
    [anon_sym_u_SQUOTE] = ACTIONS(3274),
    [anon_sym_U_SQUOTE] = ACTIONS(3274),
    [anon_sym_u8_SQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_L_DQUOTE] = ACTIONS(3274),
    [anon_sym_u_DQUOTE] = ACTIONS(3274),
    [anon_sym_U_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8_DQUOTE] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [anon_sym_NULL] = ACTIONS(3272),
    [anon_sym_nullptr] = ACTIONS(3272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3272),
    [anon_sym_decltype] = ACTIONS(3272),
    [anon_sym_virtual] = ACTIONS(3272),
    [anon_sym_alignas] = ACTIONS(3272),
    [anon_sym_explicit] = ACTIONS(3272),
    [anon_sym_typename] = ACTIONS(3272),
    [anon_sym_template] = ACTIONS(3272),
    [anon_sym_operator] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_static_assert] = ACTIONS(3272),
    [anon_sym_concept] = ACTIONS(3272),
    [anon_sym_co_return] = ACTIONS(3272),
    [anon_sym_co_yield] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(3274),
    [anon_sym_LR_DQUOTE] = ACTIONS(3274),
    [anon_sym_uR_DQUOTE] = ACTIONS(3274),
    [anon_sym_UR_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3274),
    [anon_sym_co_await] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_requires] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym___try] = ACTIONS(3188),
    [anon_sym___leave] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [976] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym___try] = ACTIONS(3196),
    [anon_sym___leave] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_include_token1] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym___cdecl] = ACTIONS(3228),
    [anon_sym___clrcall] = ACTIONS(3228),
    [anon_sym___stdcall] = ACTIONS(3228),
    [anon_sym___fastcall] = ACTIONS(3228),
    [anon_sym___thiscall] = ACTIONS(3228),
    [anon_sym___vectorcall] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym___try] = ACTIONS(3228),
    [anon_sym___leave] = ACTIONS(3228),
    [anon_sym_not] = ACTIONS(3228),
    [anon_sym_compl] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_sizeof] = ACTIONS(3228),
    [anon_sym___alignof__] = ACTIONS(3228),
    [anon_sym___alignof] = ACTIONS(3228),
    [anon_sym__alignof] = ACTIONS(3228),
    [anon_sym_alignof] = ACTIONS(3228),
    [anon_sym__Alignof] = ACTIONS(3228),
    [anon_sym_offsetof] = ACTIONS(3228),
    [anon_sym__Generic] = ACTIONS(3228),
    [anon_sym_asm] = ACTIONS(3228),
    [anon_sym___asm__] = ACTIONS(3228),
    [sym_number_literal] = ACTIONS(3230),
    [anon_sym_L_SQUOTE] = ACTIONS(3230),
    [anon_sym_u_SQUOTE] = ACTIONS(3230),
    [anon_sym_U_SQUOTE] = ACTIONS(3230),
    [anon_sym_u8_SQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_L_DQUOTE] = ACTIONS(3230),
    [anon_sym_u_DQUOTE] = ACTIONS(3230),
    [anon_sym_U_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8_DQUOTE] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [anon_sym_NULL] = ACTIONS(3228),
    [anon_sym_nullptr] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
    [anon_sym_concept] = ACTIONS(3228),
    [anon_sym_co_return] = ACTIONS(3228),
    [anon_sym_co_yield] = ACTIONS(3228),
    [anon_sym_R_DQUOTE] = ACTIONS(3230),
    [anon_sym_LR_DQUOTE] = ACTIONS(3230),
    [anon_sym_uR_DQUOTE] = ACTIONS(3230),
    [anon_sym_UR_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3230),
    [anon_sym_co_await] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_requires] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_include_token1] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym___cdecl] = ACTIONS(3224),
    [anon_sym___clrcall] = ACTIONS(3224),
    [anon_sym___stdcall] = ACTIONS(3224),
    [anon_sym___fastcall] = ACTIONS(3224),
    [anon_sym___thiscall] = ACTIONS(3224),
    [anon_sym___vectorcall] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_goto] = ACTIONS(3224),
    [anon_sym___try] = ACTIONS(3224),
    [anon_sym___leave] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(3224),
    [anon_sym_compl] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_sizeof] = ACTIONS(3224),
    [anon_sym___alignof__] = ACTIONS(3224),
    [anon_sym___alignof] = ACTIONS(3224),
    [anon_sym__alignof] = ACTIONS(3224),
    [anon_sym_alignof] = ACTIONS(3224),
    [anon_sym__Alignof] = ACTIONS(3224),
    [anon_sym_offsetof] = ACTIONS(3224),
    [anon_sym__Generic] = ACTIONS(3224),
    [anon_sym_asm] = ACTIONS(3224),
    [anon_sym___asm__] = ACTIONS(3224),
    [sym_number_literal] = ACTIONS(3226),
    [anon_sym_L_SQUOTE] = ACTIONS(3226),
    [anon_sym_u_SQUOTE] = ACTIONS(3226),
    [anon_sym_U_SQUOTE] = ACTIONS(3226),
    [anon_sym_u8_SQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_L_DQUOTE] = ACTIONS(3226),
    [anon_sym_u_DQUOTE] = ACTIONS(3226),
    [anon_sym_U_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8_DQUOTE] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [anon_sym_NULL] = ACTIONS(3224),
    [anon_sym_nullptr] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
    [anon_sym_concept] = ACTIONS(3224),
    [anon_sym_co_return] = ACTIONS(3224),
    [anon_sym_co_yield] = ACTIONS(3224),
    [anon_sym_R_DQUOTE] = ACTIONS(3226),
    [anon_sym_LR_DQUOTE] = ACTIONS(3226),
    [anon_sym_uR_DQUOTE] = ACTIONS(3226),
    [anon_sym_UR_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3226),
    [anon_sym_co_await] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_requires] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
  },
  [981] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(3246),
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [anon_sym_COMMA] = ACTIONS(3246),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [983] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7333),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(8755),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(3533),
    [aux_sym_preproc_def_token1] = ACTIONS(3697),
    [aux_sym_preproc_if_token1] = ACTIONS(3700),
    [aux_sym_preproc_if_token2] = ACTIONS(3542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3703),
    [aux_sym_preproc_else_token1] = ACTIONS(3542),
    [aux_sym_preproc_elif_token1] = ACTIONS(3542),
    [sym_preproc_directive] = ACTIONS(3706),
    [anon_sym_LPAREN2] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_STAR] = ACTIONS(3556),
    [anon_sym_AMP_AMP] = ACTIONS(3559),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym___extension__] = ACTIONS(3709),
    [anon_sym_typedef] = ACTIONS(3712),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym___attribute__] = ACTIONS(3574),
    [anon_sym_COLON_COLON] = ACTIONS(3577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3580),
    [anon_sym___declspec] = ACTIONS(3583),
    [anon_sym___based] = ACTIONS(3586),
    [anon_sym_signed] = ACTIONS(3589),
    [anon_sym_unsigned] = ACTIONS(3589),
    [anon_sym_long] = ACTIONS(3589),
    [anon_sym_short] = ACTIONS(3589),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_register] = ACTIONS(3571),
    [anon_sym_inline] = ACTIONS(3571),
    [anon_sym___inline] = ACTIONS(3571),
    [anon_sym___inline__] = ACTIONS(3571),
    [anon_sym___forceinline] = ACTIONS(3571),
    [anon_sym_thread_local] = ACTIONS(3571),
    [anon_sym___thread] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_constexpr] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_restrict] = ACTIONS(3595),
    [anon_sym___restrict__] = ACTIONS(3595),
    [anon_sym__Atomic] = ACTIONS(3595),
    [anon_sym__Noreturn] = ACTIONS(3595),
    [anon_sym_noreturn] = ACTIONS(3595),
    [anon_sym_mutable] = ACTIONS(3595),
    [anon_sym_constinit] = ACTIONS(3595),
    [anon_sym_consteval] = ACTIONS(3595),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3601),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_union] = ACTIONS(3610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3613),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_virtual] = ACTIONS(3619),
    [anon_sym_alignas] = ACTIONS(3622),
    [anon_sym_explicit] = ACTIONS(3625),
    [anon_sym_typename] = ACTIONS(3628),
    [anon_sym_template] = ACTIONS(3715),
    [anon_sym_operator] = ACTIONS(3634),
    [anon_sym_friend] = ACTIONS(3718),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3721),
    [anon_sym_static_assert] = ACTIONS(3724),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [985] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [986] = {
    [sym__expression] = STATE(4779),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_initializer_list] = STATE(4987),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(2134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3727),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_include_token1] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_BANG] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym___cdecl] = ACTIONS(3224),
    [anon_sym___clrcall] = ACTIONS(3224),
    [anon_sym___stdcall] = ACTIONS(3224),
    [anon_sym___fastcall] = ACTIONS(3224),
    [anon_sym___thiscall] = ACTIONS(3224),
    [anon_sym___vectorcall] = ACTIONS(3224),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [anon_sym_if] = ACTIONS(3224),
    [anon_sym_switch] = ACTIONS(3224),
    [anon_sym_case] = ACTIONS(3224),
    [anon_sym_default] = ACTIONS(3224),
    [anon_sym_while] = ACTIONS(3224),
    [anon_sym_do] = ACTIONS(3224),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_return] = ACTIONS(3224),
    [anon_sym_break] = ACTIONS(3224),
    [anon_sym_continue] = ACTIONS(3224),
    [anon_sym_goto] = ACTIONS(3224),
    [anon_sym_not] = ACTIONS(3224),
    [anon_sym_compl] = ACTIONS(3224),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_sizeof] = ACTIONS(3224),
    [anon_sym___alignof__] = ACTIONS(3224),
    [anon_sym___alignof] = ACTIONS(3224),
    [anon_sym__alignof] = ACTIONS(3224),
    [anon_sym_alignof] = ACTIONS(3224),
    [anon_sym__Alignof] = ACTIONS(3224),
    [anon_sym_offsetof] = ACTIONS(3224),
    [anon_sym__Generic] = ACTIONS(3224),
    [anon_sym_asm] = ACTIONS(3224),
    [anon_sym___asm__] = ACTIONS(3224),
    [sym_number_literal] = ACTIONS(3226),
    [anon_sym_L_SQUOTE] = ACTIONS(3226),
    [anon_sym_u_SQUOTE] = ACTIONS(3226),
    [anon_sym_U_SQUOTE] = ACTIONS(3226),
    [anon_sym_u8_SQUOTE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3226),
    [anon_sym_L_DQUOTE] = ACTIONS(3226),
    [anon_sym_u_DQUOTE] = ACTIONS(3226),
    [anon_sym_U_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8_DQUOTE] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3226),
    [sym_true] = ACTIONS(3224),
    [sym_false] = ACTIONS(3224),
    [anon_sym_NULL] = ACTIONS(3224),
    [anon_sym_nullptr] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_try] = ACTIONS(3224),
    [anon_sym_delete] = ACTIONS(3224),
    [anon_sym_throw] = ACTIONS(3224),
    [anon_sym_namespace] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
    [anon_sym_concept] = ACTIONS(3224),
    [anon_sym_co_return] = ACTIONS(3224),
    [anon_sym_co_yield] = ACTIONS(3224),
    [anon_sym_R_DQUOTE] = ACTIONS(3226),
    [anon_sym_LR_DQUOTE] = ACTIONS(3226),
    [anon_sym_uR_DQUOTE] = ACTIONS(3226),
    [anon_sym_UR_DQUOTE] = ACTIONS(3226),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3226),
    [anon_sym_co_await] = ACTIONS(3224),
    [anon_sym_new] = ACTIONS(3224),
    [anon_sym_requires] = ACTIONS(3224),
    [sym_this] = ACTIONS(3224),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(3381),
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(3341),
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_include_token1] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3339),
    [anon_sym_PLUS] = ACTIONS(3339),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym___cdecl] = ACTIONS(3339),
    [anon_sym___clrcall] = ACTIONS(3339),
    [anon_sym___stdcall] = ACTIONS(3339),
    [anon_sym___fastcall] = ACTIONS(3339),
    [anon_sym___thiscall] = ACTIONS(3339),
    [anon_sym___vectorcall] = ACTIONS(3339),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(3339),
    [anon_sym_switch] = ACTIONS(3339),
    [anon_sym_case] = ACTIONS(3339),
    [anon_sym_default] = ACTIONS(3339),
    [anon_sym_while] = ACTIONS(3339),
    [anon_sym_do] = ACTIONS(3339),
    [anon_sym_for] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3339),
    [anon_sym_break] = ACTIONS(3339),
    [anon_sym_continue] = ACTIONS(3339),
    [anon_sym_goto] = ACTIONS(3339),
    [anon_sym_not] = ACTIONS(3339),
    [anon_sym_compl] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3341),
    [anon_sym_PLUS_PLUS] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3339),
    [anon_sym___alignof__] = ACTIONS(3339),
    [anon_sym___alignof] = ACTIONS(3339),
    [anon_sym__alignof] = ACTIONS(3339),
    [anon_sym_alignof] = ACTIONS(3339),
    [anon_sym__Alignof] = ACTIONS(3339),
    [anon_sym_offsetof] = ACTIONS(3339),
    [anon_sym__Generic] = ACTIONS(3339),
    [anon_sym_asm] = ACTIONS(3339),
    [anon_sym___asm__] = ACTIONS(3339),
    [sym_number_literal] = ACTIONS(3341),
    [anon_sym_L_SQUOTE] = ACTIONS(3341),
    [anon_sym_u_SQUOTE] = ACTIONS(3341),
    [anon_sym_U_SQUOTE] = ACTIONS(3341),
    [anon_sym_u8_SQUOTE] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3341),
    [anon_sym_L_DQUOTE] = ACTIONS(3341),
    [anon_sym_u_DQUOTE] = ACTIONS(3341),
    [anon_sym_U_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8_DQUOTE] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3341),
    [sym_true] = ACTIONS(3339),
    [sym_false] = ACTIONS(3339),
    [anon_sym_NULL] = ACTIONS(3339),
    [anon_sym_nullptr] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_try] = ACTIONS(3339),
    [anon_sym_delete] = ACTIONS(3339),
    [anon_sym_throw] = ACTIONS(3339),
    [anon_sym_namespace] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
    [anon_sym_concept] = ACTIONS(3339),
    [anon_sym_co_return] = ACTIONS(3339),
    [anon_sym_co_yield] = ACTIONS(3339),
    [anon_sym_R_DQUOTE] = ACTIONS(3341),
    [anon_sym_LR_DQUOTE] = ACTIONS(3341),
    [anon_sym_uR_DQUOTE] = ACTIONS(3341),
    [anon_sym_UR_DQUOTE] = ACTIONS(3341),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3341),
    [anon_sym_co_await] = ACTIONS(3339),
    [anon_sym_new] = ACTIONS(3339),
    [anon_sym_requires] = ACTIONS(3339),
    [sym_this] = ACTIONS(3339),
  },
  [991] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3779),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(3250),
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [993] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3789),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [994] = {
    [ts_builtin_sym_end] = ACTIONS(3198),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_include_token1] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_BANG] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym___cdecl] = ACTIONS(3196),
    [anon_sym___clrcall] = ACTIONS(3196),
    [anon_sym___stdcall] = ACTIONS(3196),
    [anon_sym___fastcall] = ACTIONS(3196),
    [anon_sym___thiscall] = ACTIONS(3196),
    [anon_sym___vectorcall] = ACTIONS(3196),
    [anon_sym_LBRACE] = ACTIONS(3198),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [anon_sym_if] = ACTIONS(3196),
    [anon_sym_switch] = ACTIONS(3196),
    [anon_sym_case] = ACTIONS(3196),
    [anon_sym_default] = ACTIONS(3196),
    [anon_sym_while] = ACTIONS(3196),
    [anon_sym_do] = ACTIONS(3196),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_return] = ACTIONS(3196),
    [anon_sym_break] = ACTIONS(3196),
    [anon_sym_continue] = ACTIONS(3196),
    [anon_sym_goto] = ACTIONS(3196),
    [anon_sym_not] = ACTIONS(3196),
    [anon_sym_compl] = ACTIONS(3196),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_sizeof] = ACTIONS(3196),
    [anon_sym___alignof__] = ACTIONS(3196),
    [anon_sym___alignof] = ACTIONS(3196),
    [anon_sym__alignof] = ACTIONS(3196),
    [anon_sym_alignof] = ACTIONS(3196),
    [anon_sym__Alignof] = ACTIONS(3196),
    [anon_sym_offsetof] = ACTIONS(3196),
    [anon_sym__Generic] = ACTIONS(3196),
    [anon_sym_asm] = ACTIONS(3196),
    [anon_sym___asm__] = ACTIONS(3196),
    [sym_number_literal] = ACTIONS(3198),
    [anon_sym_L_SQUOTE] = ACTIONS(3198),
    [anon_sym_u_SQUOTE] = ACTIONS(3198),
    [anon_sym_U_SQUOTE] = ACTIONS(3198),
    [anon_sym_u8_SQUOTE] = ACTIONS(3198),
    [anon_sym_SQUOTE] = ACTIONS(3198),
    [anon_sym_L_DQUOTE] = ACTIONS(3198),
    [anon_sym_u_DQUOTE] = ACTIONS(3198),
    [anon_sym_U_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8_DQUOTE] = ACTIONS(3198),
    [anon_sym_DQUOTE] = ACTIONS(3198),
    [sym_true] = ACTIONS(3196),
    [sym_false] = ACTIONS(3196),
    [anon_sym_NULL] = ACTIONS(3196),
    [anon_sym_nullptr] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_try] = ACTIONS(3196),
    [anon_sym_delete] = ACTIONS(3196),
    [anon_sym_throw] = ACTIONS(3196),
    [anon_sym_namespace] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
    [anon_sym_concept] = ACTIONS(3196),
    [anon_sym_co_return] = ACTIONS(3196),
    [anon_sym_co_yield] = ACTIONS(3196),
    [anon_sym_R_DQUOTE] = ACTIONS(3198),
    [anon_sym_LR_DQUOTE] = ACTIONS(3198),
    [anon_sym_uR_DQUOTE] = ACTIONS(3198),
    [anon_sym_UR_DQUOTE] = ACTIONS(3198),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3198),
    [anon_sym_co_await] = ACTIONS(3196),
    [anon_sym_new] = ACTIONS(3196),
    [anon_sym_requires] = ACTIONS(3196),
    [sym_this] = ACTIONS(3196),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(3791),
    [sym_identifier] = ACTIONS(3793),
    [aux_sym_preproc_include_token1] = ACTIONS(3793),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3793),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3793),
    [sym_preproc_directive] = ACTIONS(3793),
    [anon_sym_LPAREN2] = ACTIONS(3791),
    [anon_sym_BANG] = ACTIONS(3791),
    [anon_sym_TILDE] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(3791),
    [anon_sym_AMP_AMP] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3793),
    [anon_sym___extension__] = ACTIONS(3793),
    [anon_sym_typedef] = ACTIONS(3793),
    [anon_sym_extern] = ACTIONS(3793),
    [anon_sym___attribute__] = ACTIONS(3793),
    [anon_sym_COLON_COLON] = ACTIONS(3791),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3791),
    [anon_sym___declspec] = ACTIONS(3793),
    [anon_sym___based] = ACTIONS(3793),
    [anon_sym___cdecl] = ACTIONS(3793),
    [anon_sym___clrcall] = ACTIONS(3793),
    [anon_sym___stdcall] = ACTIONS(3793),
    [anon_sym___fastcall] = ACTIONS(3793),
    [anon_sym___thiscall] = ACTIONS(3793),
    [anon_sym___vectorcall] = ACTIONS(3793),
    [anon_sym_LBRACE] = ACTIONS(3791),
    [anon_sym_signed] = ACTIONS(3793),
    [anon_sym_unsigned] = ACTIONS(3793),
    [anon_sym_long] = ACTIONS(3793),
    [anon_sym_short] = ACTIONS(3793),
    [anon_sym_LBRACK] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3793),
    [anon_sym_register] = ACTIONS(3793),
    [anon_sym_inline] = ACTIONS(3793),
    [anon_sym___inline] = ACTIONS(3793),
    [anon_sym___inline__] = ACTIONS(3793),
    [anon_sym___forceinline] = ACTIONS(3793),
    [anon_sym_thread_local] = ACTIONS(3793),
    [anon_sym___thread] = ACTIONS(3793),
    [anon_sym_const] = ACTIONS(3793),
    [anon_sym_constexpr] = ACTIONS(3793),
    [anon_sym_volatile] = ACTIONS(3793),
    [anon_sym_restrict] = ACTIONS(3793),
    [anon_sym___restrict__] = ACTIONS(3793),
    [anon_sym__Atomic] = ACTIONS(3793),
    [anon_sym__Noreturn] = ACTIONS(3793),
    [anon_sym_noreturn] = ACTIONS(3793),
    [anon_sym_mutable] = ACTIONS(3793),
    [anon_sym_constinit] = ACTIONS(3793),
    [anon_sym_consteval] = ACTIONS(3793),
    [sym_primitive_type] = ACTIONS(3793),
    [anon_sym_enum] = ACTIONS(3793),
    [anon_sym_class] = ACTIONS(3793),
    [anon_sym_struct] = ACTIONS(3793),
    [anon_sym_union] = ACTIONS(3793),
    [anon_sym_if] = ACTIONS(3793),
    [anon_sym_switch] = ACTIONS(3793),
    [anon_sym_case] = ACTIONS(3793),
    [anon_sym_default] = ACTIONS(3793),
    [anon_sym_while] = ACTIONS(3793),
    [anon_sym_do] = ACTIONS(3793),
    [anon_sym_for] = ACTIONS(3793),
    [anon_sym_return] = ACTIONS(3793),
    [anon_sym_break] = ACTIONS(3793),
    [anon_sym_continue] = ACTIONS(3793),
    [anon_sym_goto] = ACTIONS(3793),
    [anon_sym_not] = ACTIONS(3793),
    [anon_sym_compl] = ACTIONS(3793),
    [anon_sym_DASH_DASH] = ACTIONS(3791),
    [anon_sym_PLUS_PLUS] = ACTIONS(3791),
    [anon_sym_sizeof] = ACTIONS(3793),
    [anon_sym___alignof__] = ACTIONS(3793),
    [anon_sym___alignof] = ACTIONS(3793),
    [anon_sym__alignof] = ACTIONS(3793),
    [anon_sym_alignof] = ACTIONS(3793),
    [anon_sym__Alignof] = ACTIONS(3793),
    [anon_sym_offsetof] = ACTIONS(3793),
    [anon_sym__Generic] = ACTIONS(3793),
    [anon_sym_asm] = ACTIONS(3793),
    [anon_sym___asm__] = ACTIONS(3793),
    [sym_number_literal] = ACTIONS(3791),
    [anon_sym_L_SQUOTE] = ACTIONS(3791),
    [anon_sym_u_SQUOTE] = ACTIONS(3791),
    [anon_sym_U_SQUOTE] = ACTIONS(3791),
    [anon_sym_u8_SQUOTE] = ACTIONS(3791),
    [anon_sym_SQUOTE] = ACTIONS(3791),
    [anon_sym_L_DQUOTE] = ACTIONS(3791),
    [anon_sym_u_DQUOTE] = ACTIONS(3791),
    [anon_sym_U_DQUOTE] = ACTIONS(3791),
    [anon_sym_u8_DQUOTE] = ACTIONS(3791),
    [anon_sym_DQUOTE] = ACTIONS(3791),
    [sym_true] = ACTIONS(3793),
    [sym_false] = ACTIONS(3793),
    [anon_sym_NULL] = ACTIONS(3793),
    [anon_sym_nullptr] = ACTIONS(3793),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3793),
    [anon_sym_decltype] = ACTIONS(3793),
    [anon_sym_virtual] = ACTIONS(3793),
    [anon_sym_alignas] = ACTIONS(3793),
    [anon_sym_explicit] = ACTIONS(3793),
    [anon_sym_typename] = ACTIONS(3793),
    [anon_sym_template] = ACTIONS(3793),
    [anon_sym_operator] = ACTIONS(3793),
    [anon_sym_try] = ACTIONS(3793),
    [anon_sym_delete] = ACTIONS(3793),
    [anon_sym_throw] = ACTIONS(3793),
    [anon_sym_namespace] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(3793),
    [anon_sym_static_assert] = ACTIONS(3793),
    [anon_sym_concept] = ACTIONS(3793),
    [anon_sym_co_return] = ACTIONS(3793),
    [anon_sym_co_yield] = ACTIONS(3793),
    [anon_sym_R_DQUOTE] = ACTIONS(3791),
    [anon_sym_LR_DQUOTE] = ACTIONS(3791),
    [anon_sym_uR_DQUOTE] = ACTIONS(3791),
    [anon_sym_UR_DQUOTE] = ACTIONS(3791),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3791),
    [anon_sym_co_await] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3793),
    [anon_sym_requires] = ACTIONS(3793),
    [sym_this] = ACTIONS(3793),
  },
  [996] = {
    [sym_preproc_def] = STATE(991),
    [sym_preproc_function_def] = STATE(991),
    [sym_preproc_call] = STATE(991),
    [sym_preproc_if_in_field_declaration_list] = STATE(991),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(991),
    [sym_type_definition] = STATE(991),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(991),
    [sym_field_declaration] = STATE(991),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(991),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(991),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(991),
    [sym_operator_cast_declaration] = STATE(991),
    [sym_constructor_or_destructor_definition] = STATE(991),
    [sym_constructor_or_destructor_declaration] = STATE(991),
    [sym_friend_declaration] = STATE(991),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(991),
    [sym_alias_declaration] = STATE(991),
    [sym_static_assert_declaration] = STATE(991),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(991),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [997] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3797),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(3194),
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_include_token1] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_BANG] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym___cdecl] = ACTIONS(3192),
    [anon_sym___clrcall] = ACTIONS(3192),
    [anon_sym___stdcall] = ACTIONS(3192),
    [anon_sym___fastcall] = ACTIONS(3192),
    [anon_sym___thiscall] = ACTIONS(3192),
    [anon_sym___vectorcall] = ACTIONS(3192),
    [anon_sym_LBRACE] = ACTIONS(3194),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [anon_sym_if] = ACTIONS(3192),
    [anon_sym_switch] = ACTIONS(3192),
    [anon_sym_case] = ACTIONS(3192),
    [anon_sym_default] = ACTIONS(3192),
    [anon_sym_while] = ACTIONS(3192),
    [anon_sym_do] = ACTIONS(3192),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_break] = ACTIONS(3192),
    [anon_sym_continue] = ACTIONS(3192),
    [anon_sym_goto] = ACTIONS(3192),
    [anon_sym_not] = ACTIONS(3192),
    [anon_sym_compl] = ACTIONS(3192),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_sizeof] = ACTIONS(3192),
    [anon_sym___alignof__] = ACTIONS(3192),
    [anon_sym___alignof] = ACTIONS(3192),
    [anon_sym__alignof] = ACTIONS(3192),
    [anon_sym_alignof] = ACTIONS(3192),
    [anon_sym__Alignof] = ACTIONS(3192),
    [anon_sym_offsetof] = ACTIONS(3192),
    [anon_sym__Generic] = ACTIONS(3192),
    [anon_sym_asm] = ACTIONS(3192),
    [anon_sym___asm__] = ACTIONS(3192),
    [sym_number_literal] = ACTIONS(3194),
    [anon_sym_L_SQUOTE] = ACTIONS(3194),
    [anon_sym_u_SQUOTE] = ACTIONS(3194),
    [anon_sym_U_SQUOTE] = ACTIONS(3194),
    [anon_sym_u8_SQUOTE] = ACTIONS(3194),
    [anon_sym_SQUOTE] = ACTIONS(3194),
    [anon_sym_L_DQUOTE] = ACTIONS(3194),
    [anon_sym_u_DQUOTE] = ACTIONS(3194),
    [anon_sym_U_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8_DQUOTE] = ACTIONS(3194),
    [anon_sym_DQUOTE] = ACTIONS(3194),
    [sym_true] = ACTIONS(3192),
    [sym_false] = ACTIONS(3192),
    [anon_sym_NULL] = ACTIONS(3192),
    [anon_sym_nullptr] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_try] = ACTIONS(3192),
    [anon_sym_delete] = ACTIONS(3192),
    [anon_sym_throw] = ACTIONS(3192),
    [anon_sym_namespace] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
    [anon_sym_concept] = ACTIONS(3192),
    [anon_sym_co_return] = ACTIONS(3192),
    [anon_sym_co_yield] = ACTIONS(3192),
    [anon_sym_R_DQUOTE] = ACTIONS(3194),
    [anon_sym_LR_DQUOTE] = ACTIONS(3194),
    [anon_sym_uR_DQUOTE] = ACTIONS(3194),
    [anon_sym_UR_DQUOTE] = ACTIONS(3194),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3194),
    [anon_sym_co_await] = ACTIONS(3192),
    [anon_sym_new] = ACTIONS(3192),
    [anon_sym_requires] = ACTIONS(3192),
    [sym_this] = ACTIONS(3192),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(3254),
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [1000] = {
    [sym_preproc_def] = STATE(1028),
    [sym_preproc_function_def] = STATE(1028),
    [sym_preproc_call] = STATE(1028),
    [sym_preproc_if_in_field_declaration_list] = STATE(1028),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1028),
    [sym_type_definition] = STATE(1028),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6306),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6926),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1028),
    [sym_field_declaration] = STATE(1028),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2085),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1028),
    [sym_operator_cast] = STATE(7284),
    [sym_inline_method_definition] = STATE(1028),
    [sym__constructor_specifiers] = STATE(2085),
    [sym_operator_cast_definition] = STATE(1028),
    [sym_operator_cast_declaration] = STATE(1028),
    [sym_constructor_or_destructor_definition] = STATE(1028),
    [sym_constructor_or_destructor_declaration] = STATE(1028),
    [sym_friend_declaration] = STATE(1028),
    [sym_access_specifier] = STATE(8634),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1028),
    [sym_alias_declaration] = STATE(1028),
    [sym_static_assert_declaration] = STATE(1028),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7284),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1028),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3799),
    [aux_sym_preproc_if_token1] = ACTIONS(3801),
    [aux_sym_preproc_if_token2] = ACTIONS(3803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3805),
    [sym_preproc_directive] = ACTIONS(3807),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_typedef] = ACTIONS(3811),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3815),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3817),
    [anon_sym_static_assert] = ACTIONS(3819),
  },
  [1001] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3821),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1002] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3533),
    [aux_sym_preproc_def_token1] = ACTIONS(3823),
    [aux_sym_preproc_if_token1] = ACTIONS(3826),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3829),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3829),
    [sym_preproc_directive] = ACTIONS(3832),
    [anon_sym_LPAREN2] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_STAR] = ACTIONS(3556),
    [anon_sym_AMP_AMP] = ACTIONS(3559),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym___extension__] = ACTIONS(3835),
    [anon_sym_typedef] = ACTIONS(3838),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym___attribute__] = ACTIONS(3574),
    [anon_sym_COLON_COLON] = ACTIONS(3577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3580),
    [anon_sym___declspec] = ACTIONS(3583),
    [anon_sym___based] = ACTIONS(3586),
    [anon_sym_RBRACE] = ACTIONS(3841),
    [anon_sym_signed] = ACTIONS(3589),
    [anon_sym_unsigned] = ACTIONS(3589),
    [anon_sym_long] = ACTIONS(3589),
    [anon_sym_short] = ACTIONS(3589),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_register] = ACTIONS(3571),
    [anon_sym_inline] = ACTIONS(3571),
    [anon_sym___inline] = ACTIONS(3571),
    [anon_sym___inline__] = ACTIONS(3571),
    [anon_sym___forceinline] = ACTIONS(3571),
    [anon_sym_thread_local] = ACTIONS(3571),
    [anon_sym___thread] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_constexpr] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_restrict] = ACTIONS(3595),
    [anon_sym___restrict__] = ACTIONS(3595),
    [anon_sym__Atomic] = ACTIONS(3595),
    [anon_sym__Noreturn] = ACTIONS(3595),
    [anon_sym_noreturn] = ACTIONS(3595),
    [anon_sym_mutable] = ACTIONS(3595),
    [anon_sym_constinit] = ACTIONS(3595),
    [anon_sym_consteval] = ACTIONS(3595),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3601),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_union] = ACTIONS(3610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3613),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_virtual] = ACTIONS(3619),
    [anon_sym_alignas] = ACTIONS(3622),
    [anon_sym_explicit] = ACTIONS(3625),
    [anon_sym_typename] = ACTIONS(3628),
    [anon_sym_template] = ACTIONS(3843),
    [anon_sym_operator] = ACTIONS(3634),
    [anon_sym_friend] = ACTIONS(3846),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_static_assert] = ACTIONS(3852),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(3152),
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(3230),
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_include_token1] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_BANG] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym___cdecl] = ACTIONS(3228),
    [anon_sym___clrcall] = ACTIONS(3228),
    [anon_sym___stdcall] = ACTIONS(3228),
    [anon_sym___fastcall] = ACTIONS(3228),
    [anon_sym___thiscall] = ACTIONS(3228),
    [anon_sym___vectorcall] = ACTIONS(3228),
    [anon_sym_LBRACE] = ACTIONS(3230),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [anon_sym_if] = ACTIONS(3228),
    [anon_sym_switch] = ACTIONS(3228),
    [anon_sym_case] = ACTIONS(3228),
    [anon_sym_default] = ACTIONS(3228),
    [anon_sym_while] = ACTIONS(3228),
    [anon_sym_do] = ACTIONS(3228),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_break] = ACTIONS(3228),
    [anon_sym_continue] = ACTIONS(3228),
    [anon_sym_goto] = ACTIONS(3228),
    [anon_sym_not] = ACTIONS(3228),
    [anon_sym_compl] = ACTIONS(3228),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_sizeof] = ACTIONS(3228),
    [anon_sym___alignof__] = ACTIONS(3228),
    [anon_sym___alignof] = ACTIONS(3228),
    [anon_sym__alignof] = ACTIONS(3228),
    [anon_sym_alignof] = ACTIONS(3228),
    [anon_sym__Alignof] = ACTIONS(3228),
    [anon_sym_offsetof] = ACTIONS(3228),
    [anon_sym__Generic] = ACTIONS(3228),
    [anon_sym_asm] = ACTIONS(3228),
    [anon_sym___asm__] = ACTIONS(3228),
    [sym_number_literal] = ACTIONS(3230),
    [anon_sym_L_SQUOTE] = ACTIONS(3230),
    [anon_sym_u_SQUOTE] = ACTIONS(3230),
    [anon_sym_U_SQUOTE] = ACTIONS(3230),
    [anon_sym_u8_SQUOTE] = ACTIONS(3230),
    [anon_sym_SQUOTE] = ACTIONS(3230),
    [anon_sym_L_DQUOTE] = ACTIONS(3230),
    [anon_sym_u_DQUOTE] = ACTIONS(3230),
    [anon_sym_U_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8_DQUOTE] = ACTIONS(3230),
    [anon_sym_DQUOTE] = ACTIONS(3230),
    [sym_true] = ACTIONS(3228),
    [sym_false] = ACTIONS(3228),
    [anon_sym_NULL] = ACTIONS(3228),
    [anon_sym_nullptr] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_try] = ACTIONS(3228),
    [anon_sym_delete] = ACTIONS(3228),
    [anon_sym_throw] = ACTIONS(3228),
    [anon_sym_namespace] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
    [anon_sym_concept] = ACTIONS(3228),
    [anon_sym_co_return] = ACTIONS(3228),
    [anon_sym_co_yield] = ACTIONS(3228),
    [anon_sym_R_DQUOTE] = ACTIONS(3230),
    [anon_sym_LR_DQUOTE] = ACTIONS(3230),
    [anon_sym_uR_DQUOTE] = ACTIONS(3230),
    [anon_sym_UR_DQUOTE] = ACTIONS(3230),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3230),
    [anon_sym_co_await] = ACTIONS(3228),
    [anon_sym_new] = ACTIONS(3228),
    [anon_sym_requires] = ACTIONS(3228),
    [sym_this] = ACTIONS(3228),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(3156),
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(3160),
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(3274),
    [sym_identifier] = ACTIONS(3272),
    [aux_sym_preproc_include_token1] = ACTIONS(3272),
    [aux_sym_preproc_def_token1] = ACTIONS(3272),
    [aux_sym_preproc_if_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3272),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3272),
    [sym_preproc_directive] = ACTIONS(3272),
    [anon_sym_LPAREN2] = ACTIONS(3274),
    [anon_sym_BANG] = ACTIONS(3274),
    [anon_sym_TILDE] = ACTIONS(3274),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_STAR] = ACTIONS(3274),
    [anon_sym_AMP_AMP] = ACTIONS(3274),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym___extension__] = ACTIONS(3272),
    [anon_sym_typedef] = ACTIONS(3272),
    [anon_sym_extern] = ACTIONS(3272),
    [anon_sym___attribute__] = ACTIONS(3272),
    [anon_sym_COLON_COLON] = ACTIONS(3274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3274),
    [anon_sym___declspec] = ACTIONS(3272),
    [anon_sym___based] = ACTIONS(3272),
    [anon_sym___cdecl] = ACTIONS(3272),
    [anon_sym___clrcall] = ACTIONS(3272),
    [anon_sym___stdcall] = ACTIONS(3272),
    [anon_sym___fastcall] = ACTIONS(3272),
    [anon_sym___thiscall] = ACTIONS(3272),
    [anon_sym___vectorcall] = ACTIONS(3272),
    [anon_sym_LBRACE] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3272),
    [anon_sym_unsigned] = ACTIONS(3272),
    [anon_sym_long] = ACTIONS(3272),
    [anon_sym_short] = ACTIONS(3272),
    [anon_sym_LBRACK] = ACTIONS(3272),
    [anon_sym_static] = ACTIONS(3272),
    [anon_sym_register] = ACTIONS(3272),
    [anon_sym_inline] = ACTIONS(3272),
    [anon_sym___inline] = ACTIONS(3272),
    [anon_sym___inline__] = ACTIONS(3272),
    [anon_sym___forceinline] = ACTIONS(3272),
    [anon_sym_thread_local] = ACTIONS(3272),
    [anon_sym___thread] = ACTIONS(3272),
    [anon_sym_const] = ACTIONS(3272),
    [anon_sym_constexpr] = ACTIONS(3272),
    [anon_sym_volatile] = ACTIONS(3272),
    [anon_sym_restrict] = ACTIONS(3272),
    [anon_sym___restrict__] = ACTIONS(3272),
    [anon_sym__Atomic] = ACTIONS(3272),
    [anon_sym__Noreturn] = ACTIONS(3272),
    [anon_sym_noreturn] = ACTIONS(3272),
    [anon_sym_mutable] = ACTIONS(3272),
    [anon_sym_constinit] = ACTIONS(3272),
    [anon_sym_consteval] = ACTIONS(3272),
    [sym_primitive_type] = ACTIONS(3272),
    [anon_sym_enum] = ACTIONS(3272),
    [anon_sym_class] = ACTIONS(3272),
    [anon_sym_struct] = ACTIONS(3272),
    [anon_sym_union] = ACTIONS(3272),
    [anon_sym_if] = ACTIONS(3272),
    [anon_sym_switch] = ACTIONS(3272),
    [anon_sym_case] = ACTIONS(3272),
    [anon_sym_default] = ACTIONS(3272),
    [anon_sym_while] = ACTIONS(3272),
    [anon_sym_do] = ACTIONS(3272),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_return] = ACTIONS(3272),
    [anon_sym_break] = ACTIONS(3272),
    [anon_sym_continue] = ACTIONS(3272),
    [anon_sym_goto] = ACTIONS(3272),
    [anon_sym_not] = ACTIONS(3272),
    [anon_sym_compl] = ACTIONS(3272),
    [anon_sym_DASH_DASH] = ACTIONS(3274),
    [anon_sym_PLUS_PLUS] = ACTIONS(3274),
    [anon_sym_sizeof] = ACTIONS(3272),
    [anon_sym___alignof__] = ACTIONS(3272),
    [anon_sym___alignof] = ACTIONS(3272),
    [anon_sym__alignof] = ACTIONS(3272),
    [anon_sym_alignof] = ACTIONS(3272),
    [anon_sym__Alignof] = ACTIONS(3272),
    [anon_sym_offsetof] = ACTIONS(3272),
    [anon_sym__Generic] = ACTIONS(3272),
    [anon_sym_asm] = ACTIONS(3272),
    [anon_sym___asm__] = ACTIONS(3272),
    [sym_number_literal] = ACTIONS(3274),
    [anon_sym_L_SQUOTE] = ACTIONS(3274),
    [anon_sym_u_SQUOTE] = ACTIONS(3274),
    [anon_sym_U_SQUOTE] = ACTIONS(3274),
    [anon_sym_u8_SQUOTE] = ACTIONS(3274),
    [anon_sym_SQUOTE] = ACTIONS(3274),
    [anon_sym_L_DQUOTE] = ACTIONS(3274),
    [anon_sym_u_DQUOTE] = ACTIONS(3274),
    [anon_sym_U_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8_DQUOTE] = ACTIONS(3274),
    [anon_sym_DQUOTE] = ACTIONS(3274),
    [sym_true] = ACTIONS(3272),
    [sym_false] = ACTIONS(3272),
    [anon_sym_NULL] = ACTIONS(3272),
    [anon_sym_nullptr] = ACTIONS(3272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3272),
    [anon_sym_decltype] = ACTIONS(3272),
    [anon_sym_virtual] = ACTIONS(3272),
    [anon_sym_alignas] = ACTIONS(3272),
    [anon_sym_explicit] = ACTIONS(3272),
    [anon_sym_typename] = ACTIONS(3272),
    [anon_sym_template] = ACTIONS(3272),
    [anon_sym_operator] = ACTIONS(3272),
    [anon_sym_try] = ACTIONS(3272),
    [anon_sym_delete] = ACTIONS(3272),
    [anon_sym_throw] = ACTIONS(3272),
    [anon_sym_namespace] = ACTIONS(3272),
    [anon_sym_using] = ACTIONS(3272),
    [anon_sym_static_assert] = ACTIONS(3272),
    [anon_sym_concept] = ACTIONS(3272),
    [anon_sym_co_return] = ACTIONS(3272),
    [anon_sym_co_yield] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(3274),
    [anon_sym_LR_DQUOTE] = ACTIONS(3274),
    [anon_sym_uR_DQUOTE] = ACTIONS(3274),
    [anon_sym_UR_DQUOTE] = ACTIONS(3274),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3274),
    [anon_sym_co_await] = ACTIONS(3272),
    [anon_sym_new] = ACTIONS(3272),
    [anon_sym_requires] = ACTIONS(3272),
    [sym_this] = ACTIONS(3272),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(3190),
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_include_token1] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_BANG] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym___cdecl] = ACTIONS(3188),
    [anon_sym___clrcall] = ACTIONS(3188),
    [anon_sym___stdcall] = ACTIONS(3188),
    [anon_sym___fastcall] = ACTIONS(3188),
    [anon_sym___thiscall] = ACTIONS(3188),
    [anon_sym___vectorcall] = ACTIONS(3188),
    [anon_sym_LBRACE] = ACTIONS(3190),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [anon_sym_if] = ACTIONS(3188),
    [anon_sym_switch] = ACTIONS(3188),
    [anon_sym_case] = ACTIONS(3188),
    [anon_sym_default] = ACTIONS(3188),
    [anon_sym_while] = ACTIONS(3188),
    [anon_sym_do] = ACTIONS(3188),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_return] = ACTIONS(3188),
    [anon_sym_break] = ACTIONS(3188),
    [anon_sym_continue] = ACTIONS(3188),
    [anon_sym_goto] = ACTIONS(3188),
    [anon_sym_not] = ACTIONS(3188),
    [anon_sym_compl] = ACTIONS(3188),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_sizeof] = ACTIONS(3188),
    [anon_sym___alignof__] = ACTIONS(3188),
    [anon_sym___alignof] = ACTIONS(3188),
    [anon_sym__alignof] = ACTIONS(3188),
    [anon_sym_alignof] = ACTIONS(3188),
    [anon_sym__Alignof] = ACTIONS(3188),
    [anon_sym_offsetof] = ACTIONS(3188),
    [anon_sym__Generic] = ACTIONS(3188),
    [anon_sym_asm] = ACTIONS(3188),
    [anon_sym___asm__] = ACTIONS(3188),
    [sym_number_literal] = ACTIONS(3190),
    [anon_sym_L_SQUOTE] = ACTIONS(3190),
    [anon_sym_u_SQUOTE] = ACTIONS(3190),
    [anon_sym_U_SQUOTE] = ACTIONS(3190),
    [anon_sym_u8_SQUOTE] = ACTIONS(3190),
    [anon_sym_SQUOTE] = ACTIONS(3190),
    [anon_sym_L_DQUOTE] = ACTIONS(3190),
    [anon_sym_u_DQUOTE] = ACTIONS(3190),
    [anon_sym_U_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8_DQUOTE] = ACTIONS(3190),
    [anon_sym_DQUOTE] = ACTIONS(3190),
    [sym_true] = ACTIONS(3188),
    [sym_false] = ACTIONS(3188),
    [anon_sym_NULL] = ACTIONS(3188),
    [anon_sym_nullptr] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_try] = ACTIONS(3188),
    [anon_sym_delete] = ACTIONS(3188),
    [anon_sym_throw] = ACTIONS(3188),
    [anon_sym_namespace] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
    [anon_sym_concept] = ACTIONS(3188),
    [anon_sym_co_return] = ACTIONS(3188),
    [anon_sym_co_yield] = ACTIONS(3188),
    [anon_sym_R_DQUOTE] = ACTIONS(3190),
    [anon_sym_LR_DQUOTE] = ACTIONS(3190),
    [anon_sym_uR_DQUOTE] = ACTIONS(3190),
    [anon_sym_UR_DQUOTE] = ACTIONS(3190),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3190),
    [anon_sym_co_await] = ACTIONS(3188),
    [anon_sym_new] = ACTIONS(3188),
    [anon_sym_requires] = ACTIONS(3188),
    [sym_this] = ACTIONS(3188),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(3011),
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(3166),
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [1011] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3855),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(3170),
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(3333),
    [sym_identifier] = ACTIONS(3331),
    [aux_sym_preproc_include_token1] = ACTIONS(3331),
    [aux_sym_preproc_def_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3331),
    [sym_preproc_directive] = ACTIONS(3331),
    [anon_sym_LPAREN2] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3333),
    [anon_sym_TILDE] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(3331),
    [anon_sym_STAR] = ACTIONS(3333),
    [anon_sym_AMP_AMP] = ACTIONS(3333),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym___extension__] = ACTIONS(3331),
    [anon_sym_typedef] = ACTIONS(3331),
    [anon_sym_extern] = ACTIONS(3331),
    [anon_sym___attribute__] = ACTIONS(3331),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3333),
    [anon_sym___declspec] = ACTIONS(3331),
    [anon_sym___based] = ACTIONS(3331),
    [anon_sym___cdecl] = ACTIONS(3331),
    [anon_sym___clrcall] = ACTIONS(3331),
    [anon_sym___stdcall] = ACTIONS(3331),
    [anon_sym___fastcall] = ACTIONS(3331),
    [anon_sym___thiscall] = ACTIONS(3331),
    [anon_sym___vectorcall] = ACTIONS(3331),
    [anon_sym_LBRACE] = ACTIONS(3333),
    [anon_sym_signed] = ACTIONS(3331),
    [anon_sym_unsigned] = ACTIONS(3331),
    [anon_sym_long] = ACTIONS(3331),
    [anon_sym_short] = ACTIONS(3331),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_static] = ACTIONS(3331),
    [anon_sym_register] = ACTIONS(3331),
    [anon_sym_inline] = ACTIONS(3331),
    [anon_sym___inline] = ACTIONS(3331),
    [anon_sym___inline__] = ACTIONS(3331),
    [anon_sym___forceinline] = ACTIONS(3331),
    [anon_sym_thread_local] = ACTIONS(3331),
    [anon_sym___thread] = ACTIONS(3331),
    [anon_sym_const] = ACTIONS(3331),
    [anon_sym_constexpr] = ACTIONS(3331),
    [anon_sym_volatile] = ACTIONS(3331),
    [anon_sym_restrict] = ACTIONS(3331),
    [anon_sym___restrict__] = ACTIONS(3331),
    [anon_sym__Atomic] = ACTIONS(3331),
    [anon_sym__Noreturn] = ACTIONS(3331),
    [anon_sym_noreturn] = ACTIONS(3331),
    [anon_sym_mutable] = ACTIONS(3331),
    [anon_sym_constinit] = ACTIONS(3331),
    [anon_sym_consteval] = ACTIONS(3331),
    [sym_primitive_type] = ACTIONS(3331),
    [anon_sym_enum] = ACTIONS(3331),
    [anon_sym_class] = ACTIONS(3331),
    [anon_sym_struct] = ACTIONS(3331),
    [anon_sym_union] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(3331),
    [anon_sym_switch] = ACTIONS(3331),
    [anon_sym_case] = ACTIONS(3331),
    [anon_sym_default] = ACTIONS(3331),
    [anon_sym_while] = ACTIONS(3331),
    [anon_sym_do] = ACTIONS(3331),
    [anon_sym_for] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3331),
    [anon_sym_break] = ACTIONS(3331),
    [anon_sym_continue] = ACTIONS(3331),
    [anon_sym_goto] = ACTIONS(3331),
    [anon_sym_not] = ACTIONS(3331),
    [anon_sym_compl] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3333),
    [anon_sym_PLUS_PLUS] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3331),
    [anon_sym___alignof__] = ACTIONS(3331),
    [anon_sym___alignof] = ACTIONS(3331),
    [anon_sym__alignof] = ACTIONS(3331),
    [anon_sym_alignof] = ACTIONS(3331),
    [anon_sym__Alignof] = ACTIONS(3331),
    [anon_sym_offsetof] = ACTIONS(3331),
    [anon_sym__Generic] = ACTIONS(3331),
    [anon_sym_asm] = ACTIONS(3331),
    [anon_sym___asm__] = ACTIONS(3331),
    [sym_number_literal] = ACTIONS(3333),
    [anon_sym_L_SQUOTE] = ACTIONS(3333),
    [anon_sym_u_SQUOTE] = ACTIONS(3333),
    [anon_sym_U_SQUOTE] = ACTIONS(3333),
    [anon_sym_u8_SQUOTE] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3333),
    [anon_sym_L_DQUOTE] = ACTIONS(3333),
    [anon_sym_u_DQUOTE] = ACTIONS(3333),
    [anon_sym_U_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8_DQUOTE] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3333),
    [sym_true] = ACTIONS(3331),
    [sym_false] = ACTIONS(3331),
    [anon_sym_NULL] = ACTIONS(3331),
    [anon_sym_nullptr] = ACTIONS(3331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3331),
    [anon_sym_decltype] = ACTIONS(3331),
    [anon_sym_virtual] = ACTIONS(3331),
    [anon_sym_alignas] = ACTIONS(3331),
    [anon_sym_explicit] = ACTIONS(3331),
    [anon_sym_typename] = ACTIONS(3331),
    [anon_sym_template] = ACTIONS(3331),
    [anon_sym_operator] = ACTIONS(3331),
    [anon_sym_try] = ACTIONS(3331),
    [anon_sym_delete] = ACTIONS(3331),
    [anon_sym_throw] = ACTIONS(3331),
    [anon_sym_namespace] = ACTIONS(3331),
    [anon_sym_using] = ACTIONS(3331),
    [anon_sym_static_assert] = ACTIONS(3331),
    [anon_sym_concept] = ACTIONS(3331),
    [anon_sym_co_return] = ACTIONS(3331),
    [anon_sym_co_yield] = ACTIONS(3331),
    [anon_sym_R_DQUOTE] = ACTIONS(3333),
    [anon_sym_LR_DQUOTE] = ACTIONS(3333),
    [anon_sym_uR_DQUOTE] = ACTIONS(3333),
    [anon_sym_UR_DQUOTE] = ACTIONS(3333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3333),
    [anon_sym_co_await] = ACTIONS(3331),
    [anon_sym_new] = ACTIONS(3331),
    [anon_sym_requires] = ACTIONS(3331),
    [sym_this] = ACTIONS(3331),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(3178),
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [1015] = {
    [ts_builtin_sym_end] = ACTIONS(3377),
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [1016] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(3299),
    [sym_identifier] = ACTIONS(3297),
    [aux_sym_preproc_include_token1] = ACTIONS(3297),
    [aux_sym_preproc_def_token1] = ACTIONS(3297),
    [aux_sym_preproc_if_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3297),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3297),
    [sym_preproc_directive] = ACTIONS(3297),
    [anon_sym_LPAREN2] = ACTIONS(3299),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3297),
    [anon_sym_typedef] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym___attribute__] = ACTIONS(3297),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3299),
    [anon_sym___declspec] = ACTIONS(3297),
    [anon_sym___based] = ACTIONS(3297),
    [anon_sym___cdecl] = ACTIONS(3297),
    [anon_sym___clrcall] = ACTIONS(3297),
    [anon_sym___stdcall] = ACTIONS(3297),
    [anon_sym___fastcall] = ACTIONS(3297),
    [anon_sym___thiscall] = ACTIONS(3297),
    [anon_sym___vectorcall] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_signed] = ACTIONS(3297),
    [anon_sym_unsigned] = ACTIONS(3297),
    [anon_sym_long] = ACTIONS(3297),
    [anon_sym_short] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_register] = ACTIONS(3297),
    [anon_sym_inline] = ACTIONS(3297),
    [anon_sym___inline] = ACTIONS(3297),
    [anon_sym___inline__] = ACTIONS(3297),
    [anon_sym___forceinline] = ACTIONS(3297),
    [anon_sym_thread_local] = ACTIONS(3297),
    [anon_sym___thread] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_constexpr] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_restrict] = ACTIONS(3297),
    [anon_sym___restrict__] = ACTIONS(3297),
    [anon_sym__Atomic] = ACTIONS(3297),
    [anon_sym__Noreturn] = ACTIONS(3297),
    [anon_sym_noreturn] = ACTIONS(3297),
    [anon_sym_mutable] = ACTIONS(3297),
    [anon_sym_constinit] = ACTIONS(3297),
    [anon_sym_consteval] = ACTIONS(3297),
    [sym_primitive_type] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_union] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym_not] = ACTIONS(3297),
    [anon_sym_compl] = ACTIONS(3297),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym___alignof__] = ACTIONS(3297),
    [anon_sym___alignof] = ACTIONS(3297),
    [anon_sym__alignof] = ACTIONS(3297),
    [anon_sym_alignof] = ACTIONS(3297),
    [anon_sym__Alignof] = ACTIONS(3297),
    [anon_sym_offsetof] = ACTIONS(3297),
    [anon_sym__Generic] = ACTIONS(3297),
    [anon_sym_asm] = ACTIONS(3297),
    [anon_sym___asm__] = ACTIONS(3297),
    [sym_number_literal] = ACTIONS(3299),
    [anon_sym_L_SQUOTE] = ACTIONS(3299),
    [anon_sym_u_SQUOTE] = ACTIONS(3299),
    [anon_sym_U_SQUOTE] = ACTIONS(3299),
    [anon_sym_u8_SQUOTE] = ACTIONS(3299),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [anon_sym_L_DQUOTE] = ACTIONS(3299),
    [anon_sym_u_DQUOTE] = ACTIONS(3299),
    [anon_sym_U_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8_DQUOTE] = ACTIONS(3299),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [sym_true] = ACTIONS(3297),
    [sym_false] = ACTIONS(3297),
    [anon_sym_NULL] = ACTIONS(3297),
    [anon_sym_nullptr] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3297),
    [anon_sym_decltype] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_alignas] = ACTIONS(3297),
    [anon_sym_explicit] = ACTIONS(3297),
    [anon_sym_typename] = ACTIONS(3297),
    [anon_sym_template] = ACTIONS(3297),
    [anon_sym_operator] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_delete] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_static_assert] = ACTIONS(3297),
    [anon_sym_concept] = ACTIONS(3297),
    [anon_sym_co_return] = ACTIONS(3297),
    [anon_sym_co_yield] = ACTIONS(3297),
    [anon_sym_R_DQUOTE] = ACTIONS(3299),
    [anon_sym_LR_DQUOTE] = ACTIONS(3299),
    [anon_sym_uR_DQUOTE] = ACTIONS(3299),
    [anon_sym_UR_DQUOTE] = ACTIONS(3299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3299),
    [anon_sym_co_await] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_requires] = ACTIONS(3297),
    [sym_this] = ACTIONS(3297),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(3182),
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(3369),
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(3258),
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(3291),
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_include_token1] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym___cdecl] = ACTIONS(3289),
    [anon_sym___clrcall] = ACTIONS(3289),
    [anon_sym___stdcall] = ACTIONS(3289),
    [anon_sym___fastcall] = ACTIONS(3289),
    [anon_sym___thiscall] = ACTIONS(3289),
    [anon_sym___vectorcall] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym_not] = ACTIONS(3289),
    [anon_sym_compl] = ACTIONS(3289),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym___alignof__] = ACTIONS(3289),
    [anon_sym___alignof] = ACTIONS(3289),
    [anon_sym__alignof] = ACTIONS(3289),
    [anon_sym_alignof] = ACTIONS(3289),
    [anon_sym__Alignof] = ACTIONS(3289),
    [anon_sym_offsetof] = ACTIONS(3289),
    [anon_sym__Generic] = ACTIONS(3289),
    [anon_sym_asm] = ACTIONS(3289),
    [anon_sym___asm__] = ACTIONS(3289),
    [sym_number_literal] = ACTIONS(3291),
    [anon_sym_L_SQUOTE] = ACTIONS(3291),
    [anon_sym_u_SQUOTE] = ACTIONS(3291),
    [anon_sym_U_SQUOTE] = ACTIONS(3291),
    [anon_sym_u8_SQUOTE] = ACTIONS(3291),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_L_DQUOTE] = ACTIONS(3291),
    [anon_sym_u_DQUOTE] = ACTIONS(3291),
    [anon_sym_U_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8_DQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [sym_true] = ACTIONS(3289),
    [sym_false] = ACTIONS(3289),
    [anon_sym_NULL] = ACTIONS(3289),
    [anon_sym_nullptr] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_delete] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
    [anon_sym_concept] = ACTIONS(3289),
    [anon_sym_co_return] = ACTIONS(3289),
    [anon_sym_co_yield] = ACTIONS(3289),
    [anon_sym_R_DQUOTE] = ACTIONS(3291),
    [anon_sym_LR_DQUOTE] = ACTIONS(3291),
    [anon_sym_uR_DQUOTE] = ACTIONS(3291),
    [anon_sym_UR_DQUOTE] = ACTIONS(3291),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3291),
    [anon_sym_co_await] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_requires] = ACTIONS(3289),
    [sym_this] = ACTIONS(3289),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(3186),
    [sym_identifier] = ACTIONS(3184),
    [aux_sym_preproc_include_token1] = ACTIONS(3184),
    [aux_sym_preproc_def_token1] = ACTIONS(3184),
    [aux_sym_preproc_if_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3184),
    [sym_preproc_directive] = ACTIONS(3184),
    [anon_sym_LPAREN2] = ACTIONS(3186),
    [anon_sym_BANG] = ACTIONS(3186),
    [anon_sym_TILDE] = ACTIONS(3186),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_STAR] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3186),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym___extension__] = ACTIONS(3184),
    [anon_sym_typedef] = ACTIONS(3184),
    [anon_sym_extern] = ACTIONS(3184),
    [anon_sym___attribute__] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3186),
    [anon_sym___declspec] = ACTIONS(3184),
    [anon_sym___based] = ACTIONS(3184),
    [anon_sym___cdecl] = ACTIONS(3184),
    [anon_sym___clrcall] = ACTIONS(3184),
    [anon_sym___stdcall] = ACTIONS(3184),
    [anon_sym___fastcall] = ACTIONS(3184),
    [anon_sym___thiscall] = ACTIONS(3184),
    [anon_sym___vectorcall] = ACTIONS(3184),
    [anon_sym_LBRACE] = ACTIONS(3186),
    [anon_sym_signed] = ACTIONS(3184),
    [anon_sym_unsigned] = ACTIONS(3184),
    [anon_sym_long] = ACTIONS(3184),
    [anon_sym_short] = ACTIONS(3184),
    [anon_sym_LBRACK] = ACTIONS(3184),
    [anon_sym_static] = ACTIONS(3184),
    [anon_sym_register] = ACTIONS(3184),
    [anon_sym_inline] = ACTIONS(3184),
    [anon_sym___inline] = ACTIONS(3184),
    [anon_sym___inline__] = ACTIONS(3184),
    [anon_sym___forceinline] = ACTIONS(3184),
    [anon_sym_thread_local] = ACTIONS(3184),
    [anon_sym___thread] = ACTIONS(3184),
    [anon_sym_const] = ACTIONS(3184),
    [anon_sym_constexpr] = ACTIONS(3184),
    [anon_sym_volatile] = ACTIONS(3184),
    [anon_sym_restrict] = ACTIONS(3184),
    [anon_sym___restrict__] = ACTIONS(3184),
    [anon_sym__Atomic] = ACTIONS(3184),
    [anon_sym__Noreturn] = ACTIONS(3184),
    [anon_sym_noreturn] = ACTIONS(3184),
    [anon_sym_mutable] = ACTIONS(3184),
    [anon_sym_constinit] = ACTIONS(3184),
    [anon_sym_consteval] = ACTIONS(3184),
    [sym_primitive_type] = ACTIONS(3184),
    [anon_sym_enum] = ACTIONS(3184),
    [anon_sym_class] = ACTIONS(3184),
    [anon_sym_struct] = ACTIONS(3184),
    [anon_sym_union] = ACTIONS(3184),
    [anon_sym_if] = ACTIONS(3184),
    [anon_sym_switch] = ACTIONS(3184),
    [anon_sym_case] = ACTIONS(3184),
    [anon_sym_default] = ACTIONS(3184),
    [anon_sym_while] = ACTIONS(3184),
    [anon_sym_do] = ACTIONS(3184),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_return] = ACTIONS(3184),
    [anon_sym_break] = ACTIONS(3184),
    [anon_sym_continue] = ACTIONS(3184),
    [anon_sym_goto] = ACTIONS(3184),
    [anon_sym_not] = ACTIONS(3184),
    [anon_sym_compl] = ACTIONS(3184),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_sizeof] = ACTIONS(3184),
    [anon_sym___alignof__] = ACTIONS(3184),
    [anon_sym___alignof] = ACTIONS(3184),
    [anon_sym__alignof] = ACTIONS(3184),
    [anon_sym_alignof] = ACTIONS(3184),
    [anon_sym__Alignof] = ACTIONS(3184),
    [anon_sym_offsetof] = ACTIONS(3184),
    [anon_sym__Generic] = ACTIONS(3184),
    [anon_sym_asm] = ACTIONS(3184),
    [anon_sym___asm__] = ACTIONS(3184),
    [sym_number_literal] = ACTIONS(3186),
    [anon_sym_L_SQUOTE] = ACTIONS(3186),
    [anon_sym_u_SQUOTE] = ACTIONS(3186),
    [anon_sym_U_SQUOTE] = ACTIONS(3186),
    [anon_sym_u8_SQUOTE] = ACTIONS(3186),
    [anon_sym_SQUOTE] = ACTIONS(3186),
    [anon_sym_L_DQUOTE] = ACTIONS(3186),
    [anon_sym_u_DQUOTE] = ACTIONS(3186),
    [anon_sym_U_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8_DQUOTE] = ACTIONS(3186),
    [anon_sym_DQUOTE] = ACTIONS(3186),
    [sym_true] = ACTIONS(3184),
    [sym_false] = ACTIONS(3184),
    [anon_sym_NULL] = ACTIONS(3184),
    [anon_sym_nullptr] = ACTIONS(3184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3184),
    [anon_sym_decltype] = ACTIONS(3184),
    [anon_sym_virtual] = ACTIONS(3184),
    [anon_sym_alignas] = ACTIONS(3184),
    [anon_sym_explicit] = ACTIONS(3184),
    [anon_sym_typename] = ACTIONS(3184),
    [anon_sym_template] = ACTIONS(3184),
    [anon_sym_operator] = ACTIONS(3184),
    [anon_sym_try] = ACTIONS(3184),
    [anon_sym_delete] = ACTIONS(3184),
    [anon_sym_throw] = ACTIONS(3184),
    [anon_sym_namespace] = ACTIONS(3184),
    [anon_sym_using] = ACTIONS(3184),
    [anon_sym_static_assert] = ACTIONS(3184),
    [anon_sym_concept] = ACTIONS(3184),
    [anon_sym_co_return] = ACTIONS(3184),
    [anon_sym_co_yield] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(3186),
    [anon_sym_LR_DQUOTE] = ACTIONS(3186),
    [anon_sym_uR_DQUOTE] = ACTIONS(3186),
    [anon_sym_UR_DQUOTE] = ACTIONS(3186),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3186),
    [anon_sym_co_await] = ACTIONS(3184),
    [anon_sym_new] = ACTIONS(3184),
    [anon_sym_requires] = ACTIONS(3184),
    [sym_this] = ACTIONS(3184),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(3007),
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_include_token1] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_BANG] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3005),
    [anon_sym_PLUS] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym___cdecl] = ACTIONS(3005),
    [anon_sym___clrcall] = ACTIONS(3005),
    [anon_sym___stdcall] = ACTIONS(3005),
    [anon_sym___fastcall] = ACTIONS(3005),
    [anon_sym___thiscall] = ACTIONS(3005),
    [anon_sym___vectorcall] = ACTIONS(3005),
    [anon_sym_LBRACE] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_switch] = ACTIONS(3005),
    [anon_sym_case] = ACTIONS(3005),
    [anon_sym_default] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_do] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3005),
    [anon_sym_return] = ACTIONS(3005),
    [anon_sym_break] = ACTIONS(3005),
    [anon_sym_continue] = ACTIONS(3005),
    [anon_sym_goto] = ACTIONS(3005),
    [anon_sym_not] = ACTIONS(3005),
    [anon_sym_compl] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3007),
    [anon_sym_PLUS_PLUS] = ACTIONS(3007),
    [anon_sym_sizeof] = ACTIONS(3005),
    [anon_sym___alignof__] = ACTIONS(3005),
    [anon_sym___alignof] = ACTIONS(3005),
    [anon_sym__alignof] = ACTIONS(3005),
    [anon_sym_alignof] = ACTIONS(3005),
    [anon_sym__Alignof] = ACTIONS(3005),
    [anon_sym_offsetof] = ACTIONS(3005),
    [anon_sym__Generic] = ACTIONS(3005),
    [anon_sym_asm] = ACTIONS(3005),
    [anon_sym___asm__] = ACTIONS(3005),
    [sym_number_literal] = ACTIONS(3007),
    [anon_sym_L_SQUOTE] = ACTIONS(3007),
    [anon_sym_u_SQUOTE] = ACTIONS(3007),
    [anon_sym_U_SQUOTE] = ACTIONS(3007),
    [anon_sym_u8_SQUOTE] = ACTIONS(3007),
    [anon_sym_SQUOTE] = ACTIONS(3007),
    [anon_sym_L_DQUOTE] = ACTIONS(3007),
    [anon_sym_u_DQUOTE] = ACTIONS(3007),
    [anon_sym_U_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8_DQUOTE] = ACTIONS(3007),
    [anon_sym_DQUOTE] = ACTIONS(3007),
    [sym_true] = ACTIONS(3005),
    [sym_false] = ACTIONS(3005),
    [anon_sym_NULL] = ACTIONS(3005),
    [anon_sym_nullptr] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_try] = ACTIONS(3005),
    [anon_sym_delete] = ACTIONS(3005),
    [anon_sym_throw] = ACTIONS(3005),
    [anon_sym_namespace] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
    [anon_sym_concept] = ACTIONS(3005),
    [anon_sym_co_return] = ACTIONS(3005),
    [anon_sym_co_yield] = ACTIONS(3005),
    [anon_sym_R_DQUOTE] = ACTIONS(3007),
    [anon_sym_LR_DQUOTE] = ACTIONS(3007),
    [anon_sym_uR_DQUOTE] = ACTIONS(3007),
    [anon_sym_UR_DQUOTE] = ACTIONS(3007),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3007),
    [anon_sym_co_await] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(3005),
    [anon_sym_requires] = ACTIONS(3005),
    [sym_this] = ACTIONS(3005),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(3365),
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [1025] = {
    [sym_preproc_def] = STATE(1030),
    [sym_preproc_function_def] = STATE(1030),
    [sym_preproc_call] = STATE(1030),
    [sym_preproc_if_in_field_declaration_list] = STATE(1030),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1030),
    [sym_type_definition] = STATE(1030),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1030),
    [sym_field_declaration] = STATE(1030),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1030),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1030),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1030),
    [sym_operator_cast_declaration] = STATE(1030),
    [sym_constructor_or_destructor_definition] = STATE(1030),
    [sym_constructor_or_destructor_declaration] = STATE(1030),
    [sym_friend_declaration] = STATE(1030),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1030),
    [sym_alias_declaration] = STATE(1030),
    [sym_static_assert_declaration] = STATE(1030),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1030),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3859),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1026] = {
    [sym_preproc_def] = STATE(997),
    [sym_preproc_function_def] = STATE(997),
    [sym_preproc_call] = STATE(997),
    [sym_preproc_if_in_field_declaration_list] = STATE(997),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(997),
    [sym_type_definition] = STATE(997),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(997),
    [sym_field_declaration] = STATE(997),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(997),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(997),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(997),
    [sym_operator_cast_declaration] = STATE(997),
    [sym_constructor_or_destructor_definition] = STATE(997),
    [sym_constructor_or_destructor_declaration] = STATE(997),
    [sym_friend_declaration] = STATE(997),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(997),
    [sym_alias_declaration] = STATE(997),
    [sym_static_assert_declaration] = STATE(997),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3861),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(3174),
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [1028] = {
    [sym_preproc_def] = STATE(1069),
    [sym_preproc_function_def] = STATE(1069),
    [sym_preproc_call] = STATE(1069),
    [sym_preproc_if_in_field_declaration_list] = STATE(1069),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1069),
    [sym_type_definition] = STATE(1069),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6306),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6926),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1069),
    [sym_field_declaration] = STATE(1069),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2085),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1069),
    [sym_operator_cast] = STATE(7284),
    [sym_inline_method_definition] = STATE(1069),
    [sym__constructor_specifiers] = STATE(2085),
    [sym_operator_cast_definition] = STATE(1069),
    [sym_operator_cast_declaration] = STATE(1069),
    [sym_constructor_or_destructor_definition] = STATE(1069),
    [sym_constructor_or_destructor_declaration] = STATE(1069),
    [sym_friend_declaration] = STATE(1069),
    [sym_access_specifier] = STATE(8634),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1069),
    [sym_alias_declaration] = STATE(1069),
    [sym_static_assert_declaration] = STATE(1069),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7284),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3799),
    [aux_sym_preproc_if_token1] = ACTIONS(3801),
    [aux_sym_preproc_if_token2] = ACTIONS(3863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3805),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3805),
    [sym_preproc_directive] = ACTIONS(3807),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3809),
    [anon_sym_typedef] = ACTIONS(3811),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3815),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3817),
    [anon_sym_static_assert] = ACTIONS(3819),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(3361),
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [1030] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3865),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1031] = {
    [sym_preproc_def] = STATE(1001),
    [sym_preproc_function_def] = STATE(1001),
    [sym_preproc_call] = STATE(1001),
    [sym_preproc_if_in_field_declaration_list] = STATE(1001),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1001),
    [sym_type_definition] = STATE(1001),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1001),
    [sym_field_declaration] = STATE(1001),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1001),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1001),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1001),
    [sym_operator_cast_declaration] = STATE(1001),
    [sym_constructor_or_destructor_definition] = STATE(1001),
    [sym_constructor_or_destructor_declaration] = STATE(1001),
    [sym_friend_declaration] = STATE(1001),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1001),
    [sym_alias_declaration] = STATE(1001),
    [sym_static_assert_declaration] = STATE(1001),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1001),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3867),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(3210),
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [1034] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3869),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1035] = {
    [sym_preproc_def] = STATE(1040),
    [sym_preproc_function_def] = STATE(1040),
    [sym_preproc_call] = STATE(1040),
    [sym_preproc_if_in_field_declaration_list] = STATE(1040),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1040),
    [sym_type_definition] = STATE(1040),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1040),
    [sym_field_declaration] = STATE(1040),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1040),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1040),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1040),
    [sym_operator_cast_declaration] = STATE(1040),
    [sym_constructor_or_destructor_definition] = STATE(1040),
    [sym_constructor_or_destructor_declaration] = STATE(1040),
    [sym_friend_declaration] = STATE(1040),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1040),
    [sym_alias_declaration] = STATE(1040),
    [sym_static_assert_declaration] = STATE(1040),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1040),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3871),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(3295),
    [sym_identifier] = ACTIONS(3293),
    [aux_sym_preproc_include_token1] = ACTIONS(3293),
    [aux_sym_preproc_def_token1] = ACTIONS(3293),
    [aux_sym_preproc_if_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3293),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3293),
    [sym_preproc_directive] = ACTIONS(3293),
    [anon_sym_LPAREN2] = ACTIONS(3295),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_AMP_AMP] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3293),
    [anon_sym_typedef] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym___attribute__] = ACTIONS(3293),
    [anon_sym_COLON_COLON] = ACTIONS(3295),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3295),
    [anon_sym___declspec] = ACTIONS(3293),
    [anon_sym___based] = ACTIONS(3293),
    [anon_sym___cdecl] = ACTIONS(3293),
    [anon_sym___clrcall] = ACTIONS(3293),
    [anon_sym___stdcall] = ACTIONS(3293),
    [anon_sym___fastcall] = ACTIONS(3293),
    [anon_sym___thiscall] = ACTIONS(3293),
    [anon_sym___vectorcall] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3293),
    [anon_sym_unsigned] = ACTIONS(3293),
    [anon_sym_long] = ACTIONS(3293),
    [anon_sym_short] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_register] = ACTIONS(3293),
    [anon_sym_inline] = ACTIONS(3293),
    [anon_sym___inline] = ACTIONS(3293),
    [anon_sym___inline__] = ACTIONS(3293),
    [anon_sym___forceinline] = ACTIONS(3293),
    [anon_sym_thread_local] = ACTIONS(3293),
    [anon_sym___thread] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_constexpr] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_restrict] = ACTIONS(3293),
    [anon_sym___restrict__] = ACTIONS(3293),
    [anon_sym__Atomic] = ACTIONS(3293),
    [anon_sym__Noreturn] = ACTIONS(3293),
    [anon_sym_noreturn] = ACTIONS(3293),
    [anon_sym_mutable] = ACTIONS(3293),
    [anon_sym_constinit] = ACTIONS(3293),
    [anon_sym_consteval] = ACTIONS(3293),
    [sym_primitive_type] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_union] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym_not] = ACTIONS(3293),
    [anon_sym_compl] = ACTIONS(3293),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym___alignof__] = ACTIONS(3293),
    [anon_sym___alignof] = ACTIONS(3293),
    [anon_sym__alignof] = ACTIONS(3293),
    [anon_sym_alignof] = ACTIONS(3293),
    [anon_sym__Alignof] = ACTIONS(3293),
    [anon_sym_offsetof] = ACTIONS(3293),
    [anon_sym__Generic] = ACTIONS(3293),
    [anon_sym_asm] = ACTIONS(3293),
    [anon_sym___asm__] = ACTIONS(3293),
    [sym_number_literal] = ACTIONS(3295),
    [anon_sym_L_SQUOTE] = ACTIONS(3295),
    [anon_sym_u_SQUOTE] = ACTIONS(3295),
    [anon_sym_U_SQUOTE] = ACTIONS(3295),
    [anon_sym_u8_SQUOTE] = ACTIONS(3295),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [anon_sym_L_DQUOTE] = ACTIONS(3295),
    [anon_sym_u_DQUOTE] = ACTIONS(3295),
    [anon_sym_U_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8_DQUOTE] = ACTIONS(3295),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [sym_true] = ACTIONS(3293),
    [sym_false] = ACTIONS(3293),
    [anon_sym_NULL] = ACTIONS(3293),
    [anon_sym_nullptr] = ACTIONS(3293),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3293),
    [anon_sym_decltype] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_alignas] = ACTIONS(3293),
    [anon_sym_explicit] = ACTIONS(3293),
    [anon_sym_typename] = ACTIONS(3293),
    [anon_sym_template] = ACTIONS(3293),
    [anon_sym_operator] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_delete] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_static_assert] = ACTIONS(3293),
    [anon_sym_concept] = ACTIONS(3293),
    [anon_sym_co_return] = ACTIONS(3293),
    [anon_sym_co_yield] = ACTIONS(3293),
    [anon_sym_R_DQUOTE] = ACTIONS(3295),
    [anon_sym_LR_DQUOTE] = ACTIONS(3295),
    [anon_sym_uR_DQUOTE] = ACTIONS(3295),
    [anon_sym_UR_DQUOTE] = ACTIONS(3295),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3295),
    [anon_sym_co_await] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_requires] = ACTIONS(3293),
    [sym_this] = ACTIONS(3293),
  },
  [1037] = {
    [sym_preproc_def] = STATE(1034),
    [sym_preproc_function_def] = STATE(1034),
    [sym_preproc_call] = STATE(1034),
    [sym_preproc_if_in_field_declaration_list] = STATE(1034),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1034),
    [sym_type_definition] = STATE(1034),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1034),
    [sym_field_declaration] = STATE(1034),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1034),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1034),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1034),
    [sym_operator_cast_declaration] = STATE(1034),
    [sym_constructor_or_destructor_definition] = STATE(1034),
    [sym_constructor_or_destructor_declaration] = STATE(1034),
    [sym_friend_declaration] = STATE(1034),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1034),
    [sym_alias_declaration] = STATE(1034),
    [sym_static_assert_declaration] = STATE(1034),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1034),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3873),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1038] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3875),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(3206),
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [1040] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3877),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(3303),
    [sym_identifier] = ACTIONS(3301),
    [aux_sym_preproc_include_token1] = ACTIONS(3301),
    [aux_sym_preproc_def_token1] = ACTIONS(3301),
    [aux_sym_preproc_if_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3301),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3301),
    [sym_preproc_directive] = ACTIONS(3301),
    [anon_sym_LPAREN2] = ACTIONS(3303),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3301),
    [anon_sym_typedef] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym___attribute__] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(3303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3303),
    [anon_sym___declspec] = ACTIONS(3301),
    [anon_sym___based] = ACTIONS(3301),
    [anon_sym___cdecl] = ACTIONS(3301),
    [anon_sym___clrcall] = ACTIONS(3301),
    [anon_sym___stdcall] = ACTIONS(3301),
    [anon_sym___fastcall] = ACTIONS(3301),
    [anon_sym___thiscall] = ACTIONS(3301),
    [anon_sym___vectorcall] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3301),
    [anon_sym_unsigned] = ACTIONS(3301),
    [anon_sym_long] = ACTIONS(3301),
    [anon_sym_short] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_register] = ACTIONS(3301),
    [anon_sym_inline] = ACTIONS(3301),
    [anon_sym___inline] = ACTIONS(3301),
    [anon_sym___inline__] = ACTIONS(3301),
    [anon_sym___forceinline] = ACTIONS(3301),
    [anon_sym_thread_local] = ACTIONS(3301),
    [anon_sym___thread] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_constexpr] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_restrict] = ACTIONS(3301),
    [anon_sym___restrict__] = ACTIONS(3301),
    [anon_sym__Atomic] = ACTIONS(3301),
    [anon_sym__Noreturn] = ACTIONS(3301),
    [anon_sym_noreturn] = ACTIONS(3301),
    [anon_sym_mutable] = ACTIONS(3301),
    [anon_sym_constinit] = ACTIONS(3301),
    [anon_sym_consteval] = ACTIONS(3301),
    [sym_primitive_type] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_union] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym_not] = ACTIONS(3301),
    [anon_sym_compl] = ACTIONS(3301),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym___alignof__] = ACTIONS(3301),
    [anon_sym___alignof] = ACTIONS(3301),
    [anon_sym__alignof] = ACTIONS(3301),
    [anon_sym_alignof] = ACTIONS(3301),
    [anon_sym__Alignof] = ACTIONS(3301),
    [anon_sym_offsetof] = ACTIONS(3301),
    [anon_sym__Generic] = ACTIONS(3301),
    [anon_sym_asm] = ACTIONS(3301),
    [anon_sym___asm__] = ACTIONS(3301),
    [sym_number_literal] = ACTIONS(3303),
    [anon_sym_L_SQUOTE] = ACTIONS(3303),
    [anon_sym_u_SQUOTE] = ACTIONS(3303),
    [anon_sym_U_SQUOTE] = ACTIONS(3303),
    [anon_sym_u8_SQUOTE] = ACTIONS(3303),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [anon_sym_L_DQUOTE] = ACTIONS(3303),
    [anon_sym_u_DQUOTE] = ACTIONS(3303),
    [anon_sym_U_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8_DQUOTE] = ACTIONS(3303),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [sym_true] = ACTIONS(3301),
    [sym_false] = ACTIONS(3301),
    [anon_sym_NULL] = ACTIONS(3301),
    [anon_sym_nullptr] = ACTIONS(3301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3301),
    [anon_sym_decltype] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_alignas] = ACTIONS(3301),
    [anon_sym_explicit] = ACTIONS(3301),
    [anon_sym_typename] = ACTIONS(3301),
    [anon_sym_template] = ACTIONS(3301),
    [anon_sym_operator] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_delete] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_static_assert] = ACTIONS(3301),
    [anon_sym_concept] = ACTIONS(3301),
    [anon_sym_co_return] = ACTIONS(3301),
    [anon_sym_co_yield] = ACTIONS(3301),
    [anon_sym_R_DQUOTE] = ACTIONS(3303),
    [anon_sym_LR_DQUOTE] = ACTIONS(3303),
    [anon_sym_uR_DQUOTE] = ACTIONS(3303),
    [anon_sym_UR_DQUOTE] = ACTIONS(3303),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3303),
    [anon_sym_co_await] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_requires] = ACTIONS(3301),
    [sym_this] = ACTIONS(3301),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(3337),
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_include_token1] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3335),
    [anon_sym_PLUS] = ACTIONS(3335),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym___cdecl] = ACTIONS(3335),
    [anon_sym___clrcall] = ACTIONS(3335),
    [anon_sym___stdcall] = ACTIONS(3335),
    [anon_sym___fastcall] = ACTIONS(3335),
    [anon_sym___thiscall] = ACTIONS(3335),
    [anon_sym___vectorcall] = ACTIONS(3335),
    [anon_sym_LBRACE] = ACTIONS(3337),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(3335),
    [anon_sym_switch] = ACTIONS(3335),
    [anon_sym_case] = ACTIONS(3335),
    [anon_sym_default] = ACTIONS(3335),
    [anon_sym_while] = ACTIONS(3335),
    [anon_sym_do] = ACTIONS(3335),
    [anon_sym_for] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3335),
    [anon_sym_break] = ACTIONS(3335),
    [anon_sym_continue] = ACTIONS(3335),
    [anon_sym_goto] = ACTIONS(3335),
    [anon_sym_not] = ACTIONS(3335),
    [anon_sym_compl] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3337),
    [anon_sym_PLUS_PLUS] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3335),
    [anon_sym___alignof__] = ACTIONS(3335),
    [anon_sym___alignof] = ACTIONS(3335),
    [anon_sym__alignof] = ACTIONS(3335),
    [anon_sym_alignof] = ACTIONS(3335),
    [anon_sym__Alignof] = ACTIONS(3335),
    [anon_sym_offsetof] = ACTIONS(3335),
    [anon_sym__Generic] = ACTIONS(3335),
    [anon_sym_asm] = ACTIONS(3335),
    [anon_sym___asm__] = ACTIONS(3335),
    [sym_number_literal] = ACTIONS(3337),
    [anon_sym_L_SQUOTE] = ACTIONS(3337),
    [anon_sym_u_SQUOTE] = ACTIONS(3337),
    [anon_sym_U_SQUOTE] = ACTIONS(3337),
    [anon_sym_u8_SQUOTE] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3337),
    [anon_sym_L_DQUOTE] = ACTIONS(3337),
    [anon_sym_u_DQUOTE] = ACTIONS(3337),
    [anon_sym_U_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8_DQUOTE] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3337),
    [sym_true] = ACTIONS(3335),
    [sym_false] = ACTIONS(3335),
    [anon_sym_NULL] = ACTIONS(3335),
    [anon_sym_nullptr] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_try] = ACTIONS(3335),
    [anon_sym_delete] = ACTIONS(3335),
    [anon_sym_throw] = ACTIONS(3335),
    [anon_sym_namespace] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
    [anon_sym_concept] = ACTIONS(3335),
    [anon_sym_co_return] = ACTIONS(3335),
    [anon_sym_co_yield] = ACTIONS(3335),
    [anon_sym_R_DQUOTE] = ACTIONS(3337),
    [anon_sym_LR_DQUOTE] = ACTIONS(3337),
    [anon_sym_uR_DQUOTE] = ACTIONS(3337),
    [anon_sym_UR_DQUOTE] = ACTIONS(3337),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3337),
    [anon_sym_co_await] = ACTIONS(3335),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_requires] = ACTIONS(3335),
    [sym_this] = ACTIONS(3335),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(3311),
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(3280),
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(3307),
    [sym_identifier] = ACTIONS(3305),
    [aux_sym_preproc_include_token1] = ACTIONS(3305),
    [aux_sym_preproc_def_token1] = ACTIONS(3305),
    [aux_sym_preproc_if_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3305),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3305),
    [sym_preproc_directive] = ACTIONS(3305),
    [anon_sym_LPAREN2] = ACTIONS(3307),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_AMP_AMP] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3305),
    [anon_sym_typedef] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym___attribute__] = ACTIONS(3305),
    [anon_sym_COLON_COLON] = ACTIONS(3307),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3307),
    [anon_sym___declspec] = ACTIONS(3305),
    [anon_sym___based] = ACTIONS(3305),
    [anon_sym___cdecl] = ACTIONS(3305),
    [anon_sym___clrcall] = ACTIONS(3305),
    [anon_sym___stdcall] = ACTIONS(3305),
    [anon_sym___fastcall] = ACTIONS(3305),
    [anon_sym___thiscall] = ACTIONS(3305),
    [anon_sym___vectorcall] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_signed] = ACTIONS(3305),
    [anon_sym_unsigned] = ACTIONS(3305),
    [anon_sym_long] = ACTIONS(3305),
    [anon_sym_short] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_register] = ACTIONS(3305),
    [anon_sym_inline] = ACTIONS(3305),
    [anon_sym___inline] = ACTIONS(3305),
    [anon_sym___inline__] = ACTIONS(3305),
    [anon_sym___forceinline] = ACTIONS(3305),
    [anon_sym_thread_local] = ACTIONS(3305),
    [anon_sym___thread] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_constexpr] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_restrict] = ACTIONS(3305),
    [anon_sym___restrict__] = ACTIONS(3305),
    [anon_sym__Atomic] = ACTIONS(3305),
    [anon_sym__Noreturn] = ACTIONS(3305),
    [anon_sym_noreturn] = ACTIONS(3305),
    [anon_sym_mutable] = ACTIONS(3305),
    [anon_sym_constinit] = ACTIONS(3305),
    [anon_sym_consteval] = ACTIONS(3305),
    [sym_primitive_type] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_union] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym_not] = ACTIONS(3305),
    [anon_sym_compl] = ACTIONS(3305),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym___alignof__] = ACTIONS(3305),
    [anon_sym___alignof] = ACTIONS(3305),
    [anon_sym__alignof] = ACTIONS(3305),
    [anon_sym_alignof] = ACTIONS(3305),
    [anon_sym__Alignof] = ACTIONS(3305),
    [anon_sym_offsetof] = ACTIONS(3305),
    [anon_sym__Generic] = ACTIONS(3305),
    [anon_sym_asm] = ACTIONS(3305),
    [anon_sym___asm__] = ACTIONS(3305),
    [sym_number_literal] = ACTIONS(3307),
    [anon_sym_L_SQUOTE] = ACTIONS(3307),
    [anon_sym_u_SQUOTE] = ACTIONS(3307),
    [anon_sym_U_SQUOTE] = ACTIONS(3307),
    [anon_sym_u8_SQUOTE] = ACTIONS(3307),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [anon_sym_L_DQUOTE] = ACTIONS(3307),
    [anon_sym_u_DQUOTE] = ACTIONS(3307),
    [anon_sym_U_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8_DQUOTE] = ACTIONS(3307),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [sym_true] = ACTIONS(3305),
    [sym_false] = ACTIONS(3305),
    [anon_sym_NULL] = ACTIONS(3305),
    [anon_sym_nullptr] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3305),
    [anon_sym_decltype] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_alignas] = ACTIONS(3305),
    [anon_sym_explicit] = ACTIONS(3305),
    [anon_sym_typename] = ACTIONS(3305),
    [anon_sym_template] = ACTIONS(3305),
    [anon_sym_operator] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_delete] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_static_assert] = ACTIONS(3305),
    [anon_sym_concept] = ACTIONS(3305),
    [anon_sym_co_return] = ACTIONS(3305),
    [anon_sym_co_yield] = ACTIONS(3305),
    [anon_sym_R_DQUOTE] = ACTIONS(3307),
    [anon_sym_LR_DQUOTE] = ACTIONS(3307),
    [anon_sym_uR_DQUOTE] = ACTIONS(3307),
    [anon_sym_UR_DQUOTE] = ACTIONS(3307),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3307),
    [anon_sym_co_await] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_requires] = ACTIONS(3305),
    [sym_this] = ACTIONS(3305),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(3373),
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [1049] = {
    [sym_preproc_def] = STATE(1057),
    [sym_preproc_function_def] = STATE(1057),
    [sym_preproc_call] = STATE(1057),
    [sym_preproc_if_in_field_declaration_list] = STATE(1057),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1057),
    [sym_type_definition] = STATE(1057),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1057),
    [sym_field_declaration] = STATE(1057),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1057),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1057),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1057),
    [sym_operator_cast_declaration] = STATE(1057),
    [sym_constructor_or_destructor_definition] = STATE(1057),
    [sym_constructor_or_destructor_declaration] = STATE(1057),
    [sym_friend_declaration] = STATE(1057),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1057),
    [sym_alias_declaration] = STATE(1057),
    [sym_static_assert_declaration] = STATE(1057),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1057),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3879),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1050] = {
    [sym_preproc_def] = STATE(1011),
    [sym_preproc_function_def] = STATE(1011),
    [sym_preproc_call] = STATE(1011),
    [sym_preproc_if_in_field_declaration_list] = STATE(1011),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1011),
    [sym_type_definition] = STATE(1011),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1011),
    [sym_field_declaration] = STATE(1011),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1011),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1011),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1011),
    [sym_operator_cast_declaration] = STATE(1011),
    [sym_constructor_or_destructor_definition] = STATE(1011),
    [sym_constructor_or_destructor_declaration] = STATE(1011),
    [sym_friend_declaration] = STATE(1011),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1011),
    [sym_alias_declaration] = STATE(1011),
    [sym_static_assert_declaration] = STATE(1011),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3881),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(3315),
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(3214),
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(3222),
    [sym_identifier] = ACTIONS(3220),
    [aux_sym_preproc_include_token1] = ACTIONS(3220),
    [aux_sym_preproc_def_token1] = ACTIONS(3220),
    [aux_sym_preproc_if_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3220),
    [sym_preproc_directive] = ACTIONS(3220),
    [anon_sym_LPAREN2] = ACTIONS(3222),
    [anon_sym_BANG] = ACTIONS(3222),
    [anon_sym_TILDE] = ACTIONS(3222),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_STAR] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3222),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym___extension__] = ACTIONS(3220),
    [anon_sym_typedef] = ACTIONS(3220),
    [anon_sym_extern] = ACTIONS(3220),
    [anon_sym___attribute__] = ACTIONS(3220),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3222),
    [anon_sym___declspec] = ACTIONS(3220),
    [anon_sym___based] = ACTIONS(3220),
    [anon_sym___cdecl] = ACTIONS(3220),
    [anon_sym___clrcall] = ACTIONS(3220),
    [anon_sym___stdcall] = ACTIONS(3220),
    [anon_sym___fastcall] = ACTIONS(3220),
    [anon_sym___thiscall] = ACTIONS(3220),
    [anon_sym___vectorcall] = ACTIONS(3220),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_signed] = ACTIONS(3220),
    [anon_sym_unsigned] = ACTIONS(3220),
    [anon_sym_long] = ACTIONS(3220),
    [anon_sym_short] = ACTIONS(3220),
    [anon_sym_LBRACK] = ACTIONS(3220),
    [anon_sym_static] = ACTIONS(3220),
    [anon_sym_register] = ACTIONS(3220),
    [anon_sym_inline] = ACTIONS(3220),
    [anon_sym___inline] = ACTIONS(3220),
    [anon_sym___inline__] = ACTIONS(3220),
    [anon_sym___forceinline] = ACTIONS(3220),
    [anon_sym_thread_local] = ACTIONS(3220),
    [anon_sym___thread] = ACTIONS(3220),
    [anon_sym_const] = ACTIONS(3220),
    [anon_sym_constexpr] = ACTIONS(3220),
    [anon_sym_volatile] = ACTIONS(3220),
    [anon_sym_restrict] = ACTIONS(3220),
    [anon_sym___restrict__] = ACTIONS(3220),
    [anon_sym__Atomic] = ACTIONS(3220),
    [anon_sym__Noreturn] = ACTIONS(3220),
    [anon_sym_noreturn] = ACTIONS(3220),
    [anon_sym_mutable] = ACTIONS(3220),
    [anon_sym_constinit] = ACTIONS(3220),
    [anon_sym_consteval] = ACTIONS(3220),
    [sym_primitive_type] = ACTIONS(3220),
    [anon_sym_enum] = ACTIONS(3220),
    [anon_sym_class] = ACTIONS(3220),
    [anon_sym_struct] = ACTIONS(3220),
    [anon_sym_union] = ACTIONS(3220),
    [anon_sym_if] = ACTIONS(3220),
    [anon_sym_switch] = ACTIONS(3220),
    [anon_sym_case] = ACTIONS(3220),
    [anon_sym_default] = ACTIONS(3220),
    [anon_sym_while] = ACTIONS(3220),
    [anon_sym_do] = ACTIONS(3220),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_return] = ACTIONS(3220),
    [anon_sym_break] = ACTIONS(3220),
    [anon_sym_continue] = ACTIONS(3220),
    [anon_sym_goto] = ACTIONS(3220),
    [anon_sym_not] = ACTIONS(3220),
    [anon_sym_compl] = ACTIONS(3220),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_sizeof] = ACTIONS(3220),
    [anon_sym___alignof__] = ACTIONS(3220),
    [anon_sym___alignof] = ACTIONS(3220),
    [anon_sym__alignof] = ACTIONS(3220),
    [anon_sym_alignof] = ACTIONS(3220),
    [anon_sym__Alignof] = ACTIONS(3220),
    [anon_sym_offsetof] = ACTIONS(3220),
    [anon_sym__Generic] = ACTIONS(3220),
    [anon_sym_asm] = ACTIONS(3220),
    [anon_sym___asm__] = ACTIONS(3220),
    [sym_number_literal] = ACTIONS(3222),
    [anon_sym_L_SQUOTE] = ACTIONS(3222),
    [anon_sym_u_SQUOTE] = ACTIONS(3222),
    [anon_sym_U_SQUOTE] = ACTIONS(3222),
    [anon_sym_u8_SQUOTE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_L_DQUOTE] = ACTIONS(3222),
    [anon_sym_u_DQUOTE] = ACTIONS(3222),
    [anon_sym_U_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [sym_true] = ACTIONS(3220),
    [sym_false] = ACTIONS(3220),
    [anon_sym_NULL] = ACTIONS(3220),
    [anon_sym_nullptr] = ACTIONS(3220),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3220),
    [anon_sym_decltype] = ACTIONS(3220),
    [anon_sym_virtual] = ACTIONS(3220),
    [anon_sym_alignas] = ACTIONS(3220),
    [anon_sym_explicit] = ACTIONS(3220),
    [anon_sym_typename] = ACTIONS(3220),
    [anon_sym_template] = ACTIONS(3220),
    [anon_sym_operator] = ACTIONS(3220),
    [anon_sym_try] = ACTIONS(3220),
    [anon_sym_delete] = ACTIONS(3220),
    [anon_sym_throw] = ACTIONS(3220),
    [anon_sym_namespace] = ACTIONS(3220),
    [anon_sym_using] = ACTIONS(3220),
    [anon_sym_static_assert] = ACTIONS(3220),
    [anon_sym_concept] = ACTIONS(3220),
    [anon_sym_co_return] = ACTIONS(3220),
    [anon_sym_co_yield] = ACTIONS(3220),
    [anon_sym_R_DQUOTE] = ACTIONS(3222),
    [anon_sym_LR_DQUOTE] = ACTIONS(3222),
    [anon_sym_uR_DQUOTE] = ACTIONS(3222),
    [anon_sym_UR_DQUOTE] = ACTIONS(3222),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3222),
    [anon_sym_co_await] = ACTIONS(3220),
    [anon_sym_new] = ACTIONS(3220),
    [anon_sym_requires] = ACTIONS(3220),
    [sym_this] = ACTIONS(3220),
  },
  [1054] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3883),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(3266),
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(3234),
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_include_token1] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_BANG] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym___cdecl] = ACTIONS(3232),
    [anon_sym___clrcall] = ACTIONS(3232),
    [anon_sym___stdcall] = ACTIONS(3232),
    [anon_sym___fastcall] = ACTIONS(3232),
    [anon_sym___thiscall] = ACTIONS(3232),
    [anon_sym___vectorcall] = ACTIONS(3232),
    [anon_sym_LBRACE] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [anon_sym_if] = ACTIONS(3232),
    [anon_sym_switch] = ACTIONS(3232),
    [anon_sym_case] = ACTIONS(3232),
    [anon_sym_default] = ACTIONS(3232),
    [anon_sym_while] = ACTIONS(3232),
    [anon_sym_do] = ACTIONS(3232),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_return] = ACTIONS(3232),
    [anon_sym_break] = ACTIONS(3232),
    [anon_sym_continue] = ACTIONS(3232),
    [anon_sym_goto] = ACTIONS(3232),
    [anon_sym_not] = ACTIONS(3232),
    [anon_sym_compl] = ACTIONS(3232),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_sizeof] = ACTIONS(3232),
    [anon_sym___alignof__] = ACTIONS(3232),
    [anon_sym___alignof] = ACTIONS(3232),
    [anon_sym__alignof] = ACTIONS(3232),
    [anon_sym_alignof] = ACTIONS(3232),
    [anon_sym__Alignof] = ACTIONS(3232),
    [anon_sym_offsetof] = ACTIONS(3232),
    [anon_sym__Generic] = ACTIONS(3232),
    [anon_sym_asm] = ACTIONS(3232),
    [anon_sym___asm__] = ACTIONS(3232),
    [sym_number_literal] = ACTIONS(3234),
    [anon_sym_L_SQUOTE] = ACTIONS(3234),
    [anon_sym_u_SQUOTE] = ACTIONS(3234),
    [anon_sym_U_SQUOTE] = ACTIONS(3234),
    [anon_sym_u8_SQUOTE] = ACTIONS(3234),
    [anon_sym_SQUOTE] = ACTIONS(3234),
    [anon_sym_L_DQUOTE] = ACTIONS(3234),
    [anon_sym_u_DQUOTE] = ACTIONS(3234),
    [anon_sym_U_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8_DQUOTE] = ACTIONS(3234),
    [anon_sym_DQUOTE] = ACTIONS(3234),
    [sym_true] = ACTIONS(3232),
    [sym_false] = ACTIONS(3232),
    [anon_sym_NULL] = ACTIONS(3232),
    [anon_sym_nullptr] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_try] = ACTIONS(3232),
    [anon_sym_delete] = ACTIONS(3232),
    [anon_sym_throw] = ACTIONS(3232),
    [anon_sym_namespace] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
    [anon_sym_concept] = ACTIONS(3232),
    [anon_sym_co_return] = ACTIONS(3232),
    [anon_sym_co_yield] = ACTIONS(3232),
    [anon_sym_R_DQUOTE] = ACTIONS(3234),
    [anon_sym_LR_DQUOTE] = ACTIONS(3234),
    [anon_sym_uR_DQUOTE] = ACTIONS(3234),
    [anon_sym_UR_DQUOTE] = ACTIONS(3234),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3234),
    [anon_sym_co_await] = ACTIONS(3232),
    [anon_sym_new] = ACTIONS(3232),
    [anon_sym_requires] = ACTIONS(3232),
    [sym_this] = ACTIONS(3232),
  },
  [1057] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3885),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(3319),
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [1059] = {
    [sym_preproc_def] = STATE(1068),
    [sym_preproc_function_def] = STATE(1068),
    [sym_preproc_call] = STATE(1068),
    [sym_preproc_if_in_field_declaration_list] = STATE(1068),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1068),
    [sym_type_definition] = STATE(1068),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1068),
    [sym_field_declaration] = STATE(1068),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1068),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1068),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1068),
    [sym_operator_cast_declaration] = STATE(1068),
    [sym_constructor_or_destructor_definition] = STATE(1068),
    [sym_constructor_or_destructor_declaration] = STATE(1068),
    [sym_friend_declaration] = STATE(1068),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1068),
    [sym_alias_declaration] = STATE(1068),
    [sym_static_assert_declaration] = STATE(1068),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3887),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(3319),
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(3238),
    [sym_identifier] = ACTIONS(3236),
    [aux_sym_preproc_include_token1] = ACTIONS(3236),
    [aux_sym_preproc_def_token1] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3236),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3236),
    [sym_preproc_directive] = ACTIONS(3236),
    [anon_sym_LPAREN2] = ACTIONS(3238),
    [anon_sym_BANG] = ACTIONS(3238),
    [anon_sym_TILDE] = ACTIONS(3238),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3238),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3236),
    [anon_sym_typedef] = ACTIONS(3236),
    [anon_sym_extern] = ACTIONS(3236),
    [anon_sym___attribute__] = ACTIONS(3236),
    [anon_sym_COLON_COLON] = ACTIONS(3238),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3238),
    [anon_sym___declspec] = ACTIONS(3236),
    [anon_sym___based] = ACTIONS(3236),
    [anon_sym___cdecl] = ACTIONS(3236),
    [anon_sym___clrcall] = ACTIONS(3236),
    [anon_sym___stdcall] = ACTIONS(3236),
    [anon_sym___fastcall] = ACTIONS(3236),
    [anon_sym___thiscall] = ACTIONS(3236),
    [anon_sym___vectorcall] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(3238),
    [anon_sym_signed] = ACTIONS(3236),
    [anon_sym_unsigned] = ACTIONS(3236),
    [anon_sym_long] = ACTIONS(3236),
    [anon_sym_short] = ACTIONS(3236),
    [anon_sym_LBRACK] = ACTIONS(3236),
    [anon_sym_static] = ACTIONS(3236),
    [anon_sym_register] = ACTIONS(3236),
    [anon_sym_inline] = ACTIONS(3236),
    [anon_sym___inline] = ACTIONS(3236),
    [anon_sym___inline__] = ACTIONS(3236),
    [anon_sym___forceinline] = ACTIONS(3236),
    [anon_sym_thread_local] = ACTIONS(3236),
    [anon_sym___thread] = ACTIONS(3236),
    [anon_sym_const] = ACTIONS(3236),
    [anon_sym_constexpr] = ACTIONS(3236),
    [anon_sym_volatile] = ACTIONS(3236),
    [anon_sym_restrict] = ACTIONS(3236),
    [anon_sym___restrict__] = ACTIONS(3236),
    [anon_sym__Atomic] = ACTIONS(3236),
    [anon_sym__Noreturn] = ACTIONS(3236),
    [anon_sym_noreturn] = ACTIONS(3236),
    [anon_sym_mutable] = ACTIONS(3236),
    [anon_sym_constinit] = ACTIONS(3236),
    [anon_sym_consteval] = ACTIONS(3236),
    [sym_primitive_type] = ACTIONS(3236),
    [anon_sym_enum] = ACTIONS(3236),
    [anon_sym_class] = ACTIONS(3236),
    [anon_sym_struct] = ACTIONS(3236),
    [anon_sym_union] = ACTIONS(3236),
    [anon_sym_if] = ACTIONS(3236),
    [anon_sym_switch] = ACTIONS(3236),
    [anon_sym_case] = ACTIONS(3236),
    [anon_sym_default] = ACTIONS(3236),
    [anon_sym_while] = ACTIONS(3236),
    [anon_sym_do] = ACTIONS(3236),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_return] = ACTIONS(3236),
    [anon_sym_break] = ACTIONS(3236),
    [anon_sym_continue] = ACTIONS(3236),
    [anon_sym_goto] = ACTIONS(3236),
    [anon_sym_not] = ACTIONS(3236),
    [anon_sym_compl] = ACTIONS(3236),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_sizeof] = ACTIONS(3236),
    [anon_sym___alignof__] = ACTIONS(3236),
    [anon_sym___alignof] = ACTIONS(3236),
    [anon_sym__alignof] = ACTIONS(3236),
    [anon_sym_alignof] = ACTIONS(3236),
    [anon_sym__Alignof] = ACTIONS(3236),
    [anon_sym_offsetof] = ACTIONS(3236),
    [anon_sym__Generic] = ACTIONS(3236),
    [anon_sym_asm] = ACTIONS(3236),
    [anon_sym___asm__] = ACTIONS(3236),
    [sym_number_literal] = ACTIONS(3238),
    [anon_sym_L_SQUOTE] = ACTIONS(3238),
    [anon_sym_u_SQUOTE] = ACTIONS(3238),
    [anon_sym_U_SQUOTE] = ACTIONS(3238),
    [anon_sym_u8_SQUOTE] = ACTIONS(3238),
    [anon_sym_SQUOTE] = ACTIONS(3238),
    [anon_sym_L_DQUOTE] = ACTIONS(3238),
    [anon_sym_u_DQUOTE] = ACTIONS(3238),
    [anon_sym_U_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8_DQUOTE] = ACTIONS(3238),
    [anon_sym_DQUOTE] = ACTIONS(3238),
    [sym_true] = ACTIONS(3236),
    [sym_false] = ACTIONS(3236),
    [anon_sym_NULL] = ACTIONS(3236),
    [anon_sym_nullptr] = ACTIONS(3236),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3236),
    [anon_sym_decltype] = ACTIONS(3236),
    [anon_sym_virtual] = ACTIONS(3236),
    [anon_sym_alignas] = ACTIONS(3236),
    [anon_sym_explicit] = ACTIONS(3236),
    [anon_sym_typename] = ACTIONS(3236),
    [anon_sym_template] = ACTIONS(3236),
    [anon_sym_operator] = ACTIONS(3236),
    [anon_sym_try] = ACTIONS(3236),
    [anon_sym_delete] = ACTIONS(3236),
    [anon_sym_throw] = ACTIONS(3236),
    [anon_sym_namespace] = ACTIONS(3236),
    [anon_sym_using] = ACTIONS(3236),
    [anon_sym_static_assert] = ACTIONS(3236),
    [anon_sym_concept] = ACTIONS(3236),
    [anon_sym_co_return] = ACTIONS(3236),
    [anon_sym_co_yield] = ACTIONS(3236),
    [anon_sym_R_DQUOTE] = ACTIONS(3238),
    [anon_sym_LR_DQUOTE] = ACTIONS(3238),
    [anon_sym_uR_DQUOTE] = ACTIONS(3238),
    [anon_sym_UR_DQUOTE] = ACTIONS(3238),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3238),
    [anon_sym_co_await] = ACTIONS(3236),
    [anon_sym_new] = ACTIONS(3236),
    [anon_sym_requires] = ACTIONS(3236),
    [sym_this] = ACTIONS(3236),
  },
  [1062] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3889),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(3325),
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_include_token1] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3323),
    [anon_sym_PLUS] = ACTIONS(3323),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym___cdecl] = ACTIONS(3323),
    [anon_sym___clrcall] = ACTIONS(3323),
    [anon_sym___stdcall] = ACTIONS(3323),
    [anon_sym___fastcall] = ACTIONS(3323),
    [anon_sym___thiscall] = ACTIONS(3323),
    [anon_sym___vectorcall] = ACTIONS(3323),
    [anon_sym_LBRACE] = ACTIONS(3325),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(3323),
    [anon_sym_switch] = ACTIONS(3323),
    [anon_sym_case] = ACTIONS(3323),
    [anon_sym_default] = ACTIONS(3323),
    [anon_sym_while] = ACTIONS(3323),
    [anon_sym_do] = ACTIONS(3323),
    [anon_sym_for] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3323),
    [anon_sym_break] = ACTIONS(3323),
    [anon_sym_continue] = ACTIONS(3323),
    [anon_sym_goto] = ACTIONS(3323),
    [anon_sym_not] = ACTIONS(3323),
    [anon_sym_compl] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3325),
    [anon_sym_PLUS_PLUS] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3323),
    [anon_sym___alignof__] = ACTIONS(3323),
    [anon_sym___alignof] = ACTIONS(3323),
    [anon_sym__alignof] = ACTIONS(3323),
    [anon_sym_alignof] = ACTIONS(3323),
    [anon_sym__Alignof] = ACTIONS(3323),
    [anon_sym_offsetof] = ACTIONS(3323),
    [anon_sym__Generic] = ACTIONS(3323),
    [anon_sym_asm] = ACTIONS(3323),
    [anon_sym___asm__] = ACTIONS(3323),
    [sym_number_literal] = ACTIONS(3325),
    [anon_sym_L_SQUOTE] = ACTIONS(3325),
    [anon_sym_u_SQUOTE] = ACTIONS(3325),
    [anon_sym_U_SQUOTE] = ACTIONS(3325),
    [anon_sym_u8_SQUOTE] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3325),
    [anon_sym_L_DQUOTE] = ACTIONS(3325),
    [anon_sym_u_DQUOTE] = ACTIONS(3325),
    [anon_sym_U_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8_DQUOTE] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3325),
    [sym_true] = ACTIONS(3323),
    [sym_false] = ACTIONS(3323),
    [anon_sym_NULL] = ACTIONS(3323),
    [anon_sym_nullptr] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_try] = ACTIONS(3323),
    [anon_sym_delete] = ACTIONS(3323),
    [anon_sym_throw] = ACTIONS(3323),
    [anon_sym_namespace] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
    [anon_sym_concept] = ACTIONS(3323),
    [anon_sym_co_return] = ACTIONS(3323),
    [anon_sym_co_yield] = ACTIONS(3323),
    [anon_sym_R_DQUOTE] = ACTIONS(3325),
    [anon_sym_LR_DQUOTE] = ACTIONS(3325),
    [anon_sym_uR_DQUOTE] = ACTIONS(3325),
    [anon_sym_UR_DQUOTE] = ACTIONS(3325),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3325),
    [anon_sym_co_await] = ACTIONS(3323),
    [anon_sym_new] = ACTIONS(3323),
    [anon_sym_requires] = ACTIONS(3323),
    [sym_this] = ACTIONS(3323),
  },
  [1065] = {
    [ts_builtin_sym_end] = ACTIONS(3329),
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_include_token1] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3327),
    [anon_sym_PLUS] = ACTIONS(3327),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym___cdecl] = ACTIONS(3327),
    [anon_sym___clrcall] = ACTIONS(3327),
    [anon_sym___stdcall] = ACTIONS(3327),
    [anon_sym___fastcall] = ACTIONS(3327),
    [anon_sym___thiscall] = ACTIONS(3327),
    [anon_sym___vectorcall] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3329),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(3327),
    [anon_sym_switch] = ACTIONS(3327),
    [anon_sym_case] = ACTIONS(3327),
    [anon_sym_default] = ACTIONS(3327),
    [anon_sym_while] = ACTIONS(3327),
    [anon_sym_do] = ACTIONS(3327),
    [anon_sym_for] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3327),
    [anon_sym_break] = ACTIONS(3327),
    [anon_sym_continue] = ACTIONS(3327),
    [anon_sym_goto] = ACTIONS(3327),
    [anon_sym_not] = ACTIONS(3327),
    [anon_sym_compl] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3327),
    [anon_sym___alignof__] = ACTIONS(3327),
    [anon_sym___alignof] = ACTIONS(3327),
    [anon_sym__alignof] = ACTIONS(3327),
    [anon_sym_alignof] = ACTIONS(3327),
    [anon_sym__Alignof] = ACTIONS(3327),
    [anon_sym_offsetof] = ACTIONS(3327),
    [anon_sym__Generic] = ACTIONS(3327),
    [anon_sym_asm] = ACTIONS(3327),
    [anon_sym___asm__] = ACTIONS(3327),
    [sym_number_literal] = ACTIONS(3329),
    [anon_sym_L_SQUOTE] = ACTIONS(3329),
    [anon_sym_u_SQUOTE] = ACTIONS(3329),
    [anon_sym_U_SQUOTE] = ACTIONS(3329),
    [anon_sym_u8_SQUOTE] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3329),
    [anon_sym_L_DQUOTE] = ACTIONS(3329),
    [anon_sym_u_DQUOTE] = ACTIONS(3329),
    [anon_sym_U_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8_DQUOTE] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_true] = ACTIONS(3327),
    [sym_false] = ACTIONS(3327),
    [anon_sym_NULL] = ACTIONS(3327),
    [anon_sym_nullptr] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_delete] = ACTIONS(3327),
    [anon_sym_throw] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
    [anon_sym_concept] = ACTIONS(3327),
    [anon_sym_co_return] = ACTIONS(3327),
    [anon_sym_co_yield] = ACTIONS(3327),
    [anon_sym_R_DQUOTE] = ACTIONS(3329),
    [anon_sym_LR_DQUOTE] = ACTIONS(3329),
    [anon_sym_uR_DQUOTE] = ACTIONS(3329),
    [anon_sym_UR_DQUOTE] = ACTIONS(3329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3329),
    [anon_sym_co_await] = ACTIONS(3327),
    [anon_sym_new] = ACTIONS(3327),
    [anon_sym_requires] = ACTIONS(3327),
    [sym_this] = ACTIONS(3327),
  },
  [1066] = {
    [ts_builtin_sym_end] = ACTIONS(3357),
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_include_token1] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3355),
    [anon_sym_PLUS] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym___cdecl] = ACTIONS(3355),
    [anon_sym___clrcall] = ACTIONS(3355),
    [anon_sym___stdcall] = ACTIONS(3355),
    [anon_sym___fastcall] = ACTIONS(3355),
    [anon_sym___thiscall] = ACTIONS(3355),
    [anon_sym___vectorcall] = ACTIONS(3355),
    [anon_sym_LBRACE] = ACTIONS(3357),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(3355),
    [anon_sym_switch] = ACTIONS(3355),
    [anon_sym_case] = ACTIONS(3355),
    [anon_sym_default] = ACTIONS(3355),
    [anon_sym_while] = ACTIONS(3355),
    [anon_sym_do] = ACTIONS(3355),
    [anon_sym_for] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3355),
    [anon_sym_break] = ACTIONS(3355),
    [anon_sym_continue] = ACTIONS(3355),
    [anon_sym_goto] = ACTIONS(3355),
    [anon_sym_not] = ACTIONS(3355),
    [anon_sym_compl] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3357),
    [anon_sym_PLUS_PLUS] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3355),
    [anon_sym___alignof__] = ACTIONS(3355),
    [anon_sym___alignof] = ACTIONS(3355),
    [anon_sym__alignof] = ACTIONS(3355),
    [anon_sym_alignof] = ACTIONS(3355),
    [anon_sym__Alignof] = ACTIONS(3355),
    [anon_sym_offsetof] = ACTIONS(3355),
    [anon_sym__Generic] = ACTIONS(3355),
    [anon_sym_asm] = ACTIONS(3355),
    [anon_sym___asm__] = ACTIONS(3355),
    [sym_number_literal] = ACTIONS(3357),
    [anon_sym_L_SQUOTE] = ACTIONS(3357),
    [anon_sym_u_SQUOTE] = ACTIONS(3357),
    [anon_sym_U_SQUOTE] = ACTIONS(3357),
    [anon_sym_u8_SQUOTE] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3357),
    [anon_sym_L_DQUOTE] = ACTIONS(3357),
    [anon_sym_u_DQUOTE] = ACTIONS(3357),
    [anon_sym_U_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8_DQUOTE] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3357),
    [sym_true] = ACTIONS(3355),
    [sym_false] = ACTIONS(3355),
    [anon_sym_NULL] = ACTIONS(3355),
    [anon_sym_nullptr] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_try] = ACTIONS(3355),
    [anon_sym_delete] = ACTIONS(3355),
    [anon_sym_throw] = ACTIONS(3355),
    [anon_sym_namespace] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
    [anon_sym_concept] = ACTIONS(3355),
    [anon_sym_co_return] = ACTIONS(3355),
    [anon_sym_co_yield] = ACTIONS(3355),
    [anon_sym_R_DQUOTE] = ACTIONS(3357),
    [anon_sym_LR_DQUOTE] = ACTIONS(3357),
    [anon_sym_uR_DQUOTE] = ACTIONS(3357),
    [anon_sym_UR_DQUOTE] = ACTIONS(3357),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3357),
    [anon_sym_co_await] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3355),
    [anon_sym_requires] = ACTIONS(3355),
    [sym_this] = ACTIONS(3355),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(3353),
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_include_token1] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym___cdecl] = ACTIONS(3351),
    [anon_sym___clrcall] = ACTIONS(3351),
    [anon_sym___stdcall] = ACTIONS(3351),
    [anon_sym___fastcall] = ACTIONS(3351),
    [anon_sym___thiscall] = ACTIONS(3351),
    [anon_sym___vectorcall] = ACTIONS(3351),
    [anon_sym_LBRACE] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(3351),
    [anon_sym_switch] = ACTIONS(3351),
    [anon_sym_case] = ACTIONS(3351),
    [anon_sym_default] = ACTIONS(3351),
    [anon_sym_while] = ACTIONS(3351),
    [anon_sym_do] = ACTIONS(3351),
    [anon_sym_for] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3351),
    [anon_sym_break] = ACTIONS(3351),
    [anon_sym_continue] = ACTIONS(3351),
    [anon_sym_goto] = ACTIONS(3351),
    [anon_sym_not] = ACTIONS(3351),
    [anon_sym_compl] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3353),
    [anon_sym_PLUS_PLUS] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3351),
    [anon_sym___alignof__] = ACTIONS(3351),
    [anon_sym___alignof] = ACTIONS(3351),
    [anon_sym__alignof] = ACTIONS(3351),
    [anon_sym_alignof] = ACTIONS(3351),
    [anon_sym__Alignof] = ACTIONS(3351),
    [anon_sym_offsetof] = ACTIONS(3351),
    [anon_sym__Generic] = ACTIONS(3351),
    [anon_sym_asm] = ACTIONS(3351),
    [anon_sym___asm__] = ACTIONS(3351),
    [sym_number_literal] = ACTIONS(3353),
    [anon_sym_L_SQUOTE] = ACTIONS(3353),
    [anon_sym_u_SQUOTE] = ACTIONS(3353),
    [anon_sym_U_SQUOTE] = ACTIONS(3353),
    [anon_sym_u8_SQUOTE] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3353),
    [anon_sym_L_DQUOTE] = ACTIONS(3353),
    [anon_sym_u_DQUOTE] = ACTIONS(3353),
    [anon_sym_U_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8_DQUOTE] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3353),
    [sym_true] = ACTIONS(3351),
    [sym_false] = ACTIONS(3351),
    [anon_sym_NULL] = ACTIONS(3351),
    [anon_sym_nullptr] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_try] = ACTIONS(3351),
    [anon_sym_delete] = ACTIONS(3351),
    [anon_sym_throw] = ACTIONS(3351),
    [anon_sym_namespace] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
    [anon_sym_concept] = ACTIONS(3351),
    [anon_sym_co_return] = ACTIONS(3351),
    [anon_sym_co_yield] = ACTIONS(3351),
    [anon_sym_R_DQUOTE] = ACTIONS(3353),
    [anon_sym_LR_DQUOTE] = ACTIONS(3353),
    [anon_sym_uR_DQUOTE] = ACTIONS(3353),
    [anon_sym_UR_DQUOTE] = ACTIONS(3353),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3353),
    [anon_sym_co_await] = ACTIONS(3351),
    [anon_sym_new] = ACTIONS(3351),
    [anon_sym_requires] = ACTIONS(3351),
    [sym_this] = ACTIONS(3351),
  },
  [1068] = {
    [sym_preproc_def] = STATE(1002),
    [sym_preproc_function_def] = STATE(1002),
    [sym_preproc_call] = STATE(1002),
    [sym_preproc_if_in_field_declaration_list] = STATE(1002),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1002),
    [sym_type_definition] = STATE(1002),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1002),
    [sym_field_declaration] = STATE(1002),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1002),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1002),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1002),
    [sym_operator_cast_declaration] = STATE(1002),
    [sym_constructor_or_destructor_definition] = STATE(1002),
    [sym_constructor_or_destructor_declaration] = STATE(1002),
    [sym_friend_declaration] = STATE(1002),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1002),
    [sym_alias_declaration] = STATE(1002),
    [sym_static_assert_declaration] = STATE(1002),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1002),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3891),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1069] = {
    [sym_preproc_def] = STATE(1069),
    [sym_preproc_function_def] = STATE(1069),
    [sym_preproc_call] = STATE(1069),
    [sym_preproc_if_in_field_declaration_list] = STATE(1069),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1069),
    [sym_type_definition] = STATE(1069),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6306),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6926),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1069),
    [sym_field_declaration] = STATE(1069),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2085),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1069),
    [sym_operator_cast] = STATE(7284),
    [sym_inline_method_definition] = STATE(1069),
    [sym__constructor_specifiers] = STATE(2085),
    [sym_operator_cast_definition] = STATE(1069),
    [sym_operator_cast_declaration] = STATE(1069),
    [sym_constructor_or_destructor_definition] = STATE(1069),
    [sym_constructor_or_destructor_declaration] = STATE(1069),
    [sym_friend_declaration] = STATE(1069),
    [sym_access_specifier] = STATE(8634),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1069),
    [sym_alias_declaration] = STATE(1069),
    [sym_static_assert_declaration] = STATE(1069),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7284),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(3533),
    [aux_sym_preproc_def_token1] = ACTIONS(3893),
    [aux_sym_preproc_if_token1] = ACTIONS(3896),
    [aux_sym_preproc_if_token2] = ACTIONS(3542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3899),
    [sym_preproc_directive] = ACTIONS(3902),
    [anon_sym_LPAREN2] = ACTIONS(3550),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_STAR] = ACTIONS(3556),
    [anon_sym_AMP_AMP] = ACTIONS(3559),
    [anon_sym_AMP] = ACTIONS(3562),
    [anon_sym___extension__] = ACTIONS(3905),
    [anon_sym_typedef] = ACTIONS(3908),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym___attribute__] = ACTIONS(3574),
    [anon_sym_COLON_COLON] = ACTIONS(3577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3580),
    [anon_sym___declspec] = ACTIONS(3583),
    [anon_sym___based] = ACTIONS(3586),
    [anon_sym_signed] = ACTIONS(3589),
    [anon_sym_unsigned] = ACTIONS(3589),
    [anon_sym_long] = ACTIONS(3589),
    [anon_sym_short] = ACTIONS(3589),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_register] = ACTIONS(3571),
    [anon_sym_inline] = ACTIONS(3571),
    [anon_sym___inline] = ACTIONS(3571),
    [anon_sym___inline__] = ACTIONS(3571),
    [anon_sym___forceinline] = ACTIONS(3571),
    [anon_sym_thread_local] = ACTIONS(3571),
    [anon_sym___thread] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_constexpr] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_restrict] = ACTIONS(3595),
    [anon_sym___restrict__] = ACTIONS(3595),
    [anon_sym__Atomic] = ACTIONS(3595),
    [anon_sym__Noreturn] = ACTIONS(3595),
    [anon_sym_noreturn] = ACTIONS(3595),
    [anon_sym_mutable] = ACTIONS(3595),
    [anon_sym_constinit] = ACTIONS(3595),
    [anon_sym_consteval] = ACTIONS(3595),
    [sym_primitive_type] = ACTIONS(3598),
    [anon_sym_enum] = ACTIONS(3601),
    [anon_sym_class] = ACTIONS(3604),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_union] = ACTIONS(3610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3613),
    [anon_sym_decltype] = ACTIONS(3616),
    [anon_sym_virtual] = ACTIONS(3619),
    [anon_sym_alignas] = ACTIONS(3622),
    [anon_sym_explicit] = ACTIONS(3625),
    [anon_sym_typename] = ACTIONS(3628),
    [anon_sym_template] = ACTIONS(3911),
    [anon_sym_operator] = ACTIONS(3634),
    [anon_sym_friend] = ACTIONS(3914),
    [anon_sym_public] = ACTIONS(3640),
    [anon_sym_private] = ACTIONS(3640),
    [anon_sym_protected] = ACTIONS(3640),
    [anon_sym_using] = ACTIONS(3917),
    [anon_sym_static_assert] = ACTIONS(3920),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(3284),
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [1071] = {
    [ts_builtin_sym_end] = ACTIONS(3284),
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_include_token1] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_BANG] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3282),
    [anon_sym_PLUS] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym___cdecl] = ACTIONS(3282),
    [anon_sym___clrcall] = ACTIONS(3282),
    [anon_sym___stdcall] = ACTIONS(3282),
    [anon_sym___fastcall] = ACTIONS(3282),
    [anon_sym___thiscall] = ACTIONS(3282),
    [anon_sym___vectorcall] = ACTIONS(3282),
    [anon_sym_LBRACE] = ACTIONS(3284),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_switch] = ACTIONS(3282),
    [anon_sym_case] = ACTIONS(3282),
    [anon_sym_default] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_do] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3282),
    [anon_sym_return] = ACTIONS(3282),
    [anon_sym_break] = ACTIONS(3282),
    [anon_sym_continue] = ACTIONS(3282),
    [anon_sym_goto] = ACTIONS(3282),
    [anon_sym_not] = ACTIONS(3282),
    [anon_sym_compl] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3284),
    [anon_sym_PLUS_PLUS] = ACTIONS(3284),
    [anon_sym_sizeof] = ACTIONS(3282),
    [anon_sym___alignof__] = ACTIONS(3282),
    [anon_sym___alignof] = ACTIONS(3282),
    [anon_sym__alignof] = ACTIONS(3282),
    [anon_sym_alignof] = ACTIONS(3282),
    [anon_sym__Alignof] = ACTIONS(3282),
    [anon_sym_offsetof] = ACTIONS(3282),
    [anon_sym__Generic] = ACTIONS(3282),
    [anon_sym_asm] = ACTIONS(3282),
    [anon_sym___asm__] = ACTIONS(3282),
    [sym_number_literal] = ACTIONS(3284),
    [anon_sym_L_SQUOTE] = ACTIONS(3284),
    [anon_sym_u_SQUOTE] = ACTIONS(3284),
    [anon_sym_U_SQUOTE] = ACTIONS(3284),
    [anon_sym_u8_SQUOTE] = ACTIONS(3284),
    [anon_sym_SQUOTE] = ACTIONS(3284),
    [anon_sym_L_DQUOTE] = ACTIONS(3284),
    [anon_sym_u_DQUOTE] = ACTIONS(3284),
    [anon_sym_U_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8_DQUOTE] = ACTIONS(3284),
    [anon_sym_DQUOTE] = ACTIONS(3284),
    [sym_true] = ACTIONS(3282),
    [sym_false] = ACTIONS(3282),
    [anon_sym_NULL] = ACTIONS(3282),
    [anon_sym_nullptr] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_try] = ACTIONS(3282),
    [anon_sym_delete] = ACTIONS(3282),
    [anon_sym_throw] = ACTIONS(3282),
    [anon_sym_namespace] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
    [anon_sym_concept] = ACTIONS(3282),
    [anon_sym_co_return] = ACTIONS(3282),
    [anon_sym_co_yield] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(3284),
    [anon_sym_LR_DQUOTE] = ACTIONS(3284),
    [anon_sym_uR_DQUOTE] = ACTIONS(3284),
    [anon_sym_UR_DQUOTE] = ACTIONS(3284),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3284),
    [anon_sym_co_await] = ACTIONS(3282),
    [anon_sym_new] = ACTIONS(3282),
    [anon_sym_requires] = ACTIONS(3282),
    [sym_this] = ACTIONS(3282),
  },
  [1072] = {
    [sym_preproc_def] = STATE(1054),
    [sym_preproc_function_def] = STATE(1054),
    [sym_preproc_call] = STATE(1054),
    [sym_preproc_if_in_field_declaration_list] = STATE(1054),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1054),
    [sym_type_definition] = STATE(1054),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__field_declaration_list_item] = STATE(1054),
    [sym_field_declaration] = STATE(1054),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1054),
    [sym_operator_cast] = STATE(7342),
    [sym_inline_method_definition] = STATE(1054),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(1054),
    [sym_operator_cast_declaration] = STATE(1054),
    [sym_constructor_or_destructor_definition] = STATE(1054),
    [sym_constructor_or_destructor_declaration] = STATE(1054),
    [sym_friend_declaration] = STATE(1054),
    [sym_access_specifier] = STATE(9406),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_using_declaration] = STATE(1054),
    [sym_alias_declaration] = STATE(1054),
    [sym_static_assert_declaration] = STATE(1054),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6126),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1054),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2414),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3771),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3771),
    [sym_preproc_directive] = ACTIONS(3773),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(3775),
    [anon_sym_typedef] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3923),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_public] = ACTIONS(3063),
    [anon_sym_private] = ACTIONS(3063),
    [anon_sym_protected] = ACTIONS(3063),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_static_assert] = ACTIONS(3787),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(3349),
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_include_token1] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3347),
    [anon_sym_PLUS] = ACTIONS(3347),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym___cdecl] = ACTIONS(3347),
    [anon_sym___clrcall] = ACTIONS(3347),
    [anon_sym___stdcall] = ACTIONS(3347),
    [anon_sym___fastcall] = ACTIONS(3347),
    [anon_sym___thiscall] = ACTIONS(3347),
    [anon_sym___vectorcall] = ACTIONS(3347),
    [anon_sym_LBRACE] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(3347),
    [anon_sym_switch] = ACTIONS(3347),
    [anon_sym_case] = ACTIONS(3347),
    [anon_sym_default] = ACTIONS(3347),
    [anon_sym_while] = ACTIONS(3347),
    [anon_sym_do] = ACTIONS(3347),
    [anon_sym_for] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3347),
    [anon_sym_break] = ACTIONS(3347),
    [anon_sym_continue] = ACTIONS(3347),
    [anon_sym_goto] = ACTIONS(3347),
    [anon_sym_not] = ACTIONS(3347),
    [anon_sym_compl] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3349),
    [anon_sym_PLUS_PLUS] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3347),
    [anon_sym___alignof__] = ACTIONS(3347),
    [anon_sym___alignof] = ACTIONS(3347),
    [anon_sym__alignof] = ACTIONS(3347),
    [anon_sym_alignof] = ACTIONS(3347),
    [anon_sym__Alignof] = ACTIONS(3347),
    [anon_sym_offsetof] = ACTIONS(3347),
    [anon_sym__Generic] = ACTIONS(3347),
    [anon_sym_asm] = ACTIONS(3347),
    [anon_sym___asm__] = ACTIONS(3347),
    [sym_number_literal] = ACTIONS(3349),
    [anon_sym_L_SQUOTE] = ACTIONS(3349),
    [anon_sym_u_SQUOTE] = ACTIONS(3349),
    [anon_sym_U_SQUOTE] = ACTIONS(3349),
    [anon_sym_u8_SQUOTE] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3349),
    [anon_sym_L_DQUOTE] = ACTIONS(3349),
    [anon_sym_u_DQUOTE] = ACTIONS(3349),
    [anon_sym_U_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8_DQUOTE] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3349),
    [sym_true] = ACTIONS(3347),
    [sym_false] = ACTIONS(3347),
    [anon_sym_NULL] = ACTIONS(3347),
    [anon_sym_nullptr] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3347),
    [anon_sym_delete] = ACTIONS(3347),
    [anon_sym_throw] = ACTIONS(3347),
    [anon_sym_namespace] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
    [anon_sym_concept] = ACTIONS(3347),
    [anon_sym_co_return] = ACTIONS(3347),
    [anon_sym_co_yield] = ACTIONS(3347),
    [anon_sym_R_DQUOTE] = ACTIONS(3349),
    [anon_sym_LR_DQUOTE] = ACTIONS(3349),
    [anon_sym_uR_DQUOTE] = ACTIONS(3349),
    [anon_sym_UR_DQUOTE] = ACTIONS(3349),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3349),
    [anon_sym_co_await] = ACTIONS(3347),
    [anon_sym_new] = ACTIONS(3347),
    [anon_sym_requires] = ACTIONS(3347),
    [sym_this] = ACTIONS(3347),
  },
  [1074] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3927),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(3345),
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_include_token1] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3343),
    [anon_sym_PLUS] = ACTIONS(3343),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym___cdecl] = ACTIONS(3343),
    [anon_sym___clrcall] = ACTIONS(3343),
    [anon_sym___stdcall] = ACTIONS(3343),
    [anon_sym___fastcall] = ACTIONS(3343),
    [anon_sym___thiscall] = ACTIONS(3343),
    [anon_sym___vectorcall] = ACTIONS(3343),
    [anon_sym_LBRACE] = ACTIONS(3345),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_switch] = ACTIONS(3343),
    [anon_sym_case] = ACTIONS(3343),
    [anon_sym_default] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(3343),
    [anon_sym_do] = ACTIONS(3343),
    [anon_sym_for] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3343),
    [anon_sym_break] = ACTIONS(3343),
    [anon_sym_continue] = ACTIONS(3343),
    [anon_sym_goto] = ACTIONS(3343),
    [anon_sym_not] = ACTIONS(3343),
    [anon_sym_compl] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3345),
    [anon_sym_PLUS_PLUS] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3343),
    [anon_sym___alignof__] = ACTIONS(3343),
    [anon_sym___alignof] = ACTIONS(3343),
    [anon_sym__alignof] = ACTIONS(3343),
    [anon_sym_alignof] = ACTIONS(3343),
    [anon_sym__Alignof] = ACTIONS(3343),
    [anon_sym_offsetof] = ACTIONS(3343),
    [anon_sym__Generic] = ACTIONS(3343),
    [anon_sym_asm] = ACTIONS(3343),
    [anon_sym___asm__] = ACTIONS(3343),
    [sym_number_literal] = ACTIONS(3345),
    [anon_sym_L_SQUOTE] = ACTIONS(3345),
    [anon_sym_u_SQUOTE] = ACTIONS(3345),
    [anon_sym_U_SQUOTE] = ACTIONS(3345),
    [anon_sym_u8_SQUOTE] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3345),
    [anon_sym_L_DQUOTE] = ACTIONS(3345),
    [anon_sym_u_DQUOTE] = ACTIONS(3345),
    [anon_sym_U_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8_DQUOTE] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_true] = ACTIONS(3343),
    [sym_false] = ACTIONS(3343),
    [anon_sym_NULL] = ACTIONS(3343),
    [anon_sym_nullptr] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_try] = ACTIONS(3343),
    [anon_sym_delete] = ACTIONS(3343),
    [anon_sym_throw] = ACTIONS(3343),
    [anon_sym_namespace] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
    [anon_sym_concept] = ACTIONS(3343),
    [anon_sym_co_return] = ACTIONS(3343),
    [anon_sym_co_yield] = ACTIONS(3343),
    [anon_sym_R_DQUOTE] = ACTIONS(3345),
    [anon_sym_LR_DQUOTE] = ACTIONS(3345),
    [anon_sym_uR_DQUOTE] = ACTIONS(3345),
    [anon_sym_UR_DQUOTE] = ACTIONS(3345),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3345),
    [anon_sym_co_await] = ACTIONS(3343),
    [anon_sym_new] = ACTIONS(3343),
    [anon_sym_requires] = ACTIONS(3343),
    [sym_this] = ACTIONS(3343),
  },
  [1076] = {
    [sym__expression] = STATE(5082),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_initializer_list] = STATE(5390),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2134),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1077] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_RBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1078] = {
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2136),
    [anon_sym_AMP_AMP] = ACTIONS(2136),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_EQ_EQ] = ACTIONS(2136),
    [anon_sym_BANG_EQ] = ACTIONS(2136),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2134),
    [anon_sym_QMARK] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_LT_EQ_GT] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2134),
    [anon_sym_and] = ACTIONS(2134),
    [anon_sym_bitor] = ACTIONS(2134),
    [anon_sym_xor] = ACTIONS(2134),
    [anon_sym_bitand] = ACTIONS(2134),
    [anon_sym_not_eq] = ACTIONS(2134),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2134),
    [anon_sym_DOT_STAR] = ACTIONS(2136),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1079] = {
    [sym__expression] = STATE(5339),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3983),
    [anon_sym_COMMA] = ACTIONS(3983),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(3987),
    [anon_sym_PERCENT] = ACTIONS(3983),
    [anon_sym_PIPE_PIPE] = ACTIONS(3983),
    [anon_sym_AMP_AMP] = ACTIONS(3983),
    [anon_sym_PIPE] = ACTIONS(3987),
    [anon_sym_CARET] = ACTIONS(3983),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(3983),
    [anon_sym_BANG_EQ] = ACTIONS(3983),
    [anon_sym_GT] = ACTIONS(3987),
    [anon_sym_GT_EQ] = ACTIONS(3983),
    [anon_sym_LT_EQ] = ACTIONS(3987),
    [anon_sym_LT] = ACTIONS(3987),
    [anon_sym_LT_LT] = ACTIONS(3983),
    [anon_sym_GT_GT] = ACTIONS(3983),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(3983),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_QMARK] = ACTIONS(3983),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_LT_EQ_GT] = ACTIONS(3983),
    [anon_sym_or] = ACTIONS(3987),
    [anon_sym_and] = ACTIONS(3987),
    [anon_sym_bitor] = ACTIONS(3987),
    [anon_sym_xor] = ACTIONS(3987),
    [anon_sym_bitand] = ACTIONS(3987),
    [anon_sym_not_eq] = ACTIONS(3987),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DOT_STAR] = ACTIONS(3983),
    [anon_sym_DASH_GT] = ACTIONS(3983),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1080] = {
    [sym__declaration_modifiers] = STATE(2429),
    [sym__declaration_specifiers] = STATE(6870),
    [sym_attribute_specifier] = STATE(2429),
    [sym_attribute_declaration] = STATE(2429),
    [sym_ms_declspec_modifier] = STATE(2429),
    [sym_storage_class_specifier] = STATE(2429),
    [sym_type_qualifier] = STATE(2429),
    [sym__type_specifier] = STATE(4708),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2429),
    [sym_alignas_specifier] = STATE(2429),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7134),
    [sym_qualified_type_identifier] = STATE(3556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3697),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_COMMA] = ACTIONS(3993),
    [anon_sym_BANG] = ACTIONS(3995),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3995),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3995),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(3993),
    [anon_sym_PIPE] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_AMP] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3993),
    [anon_sym_BANG_EQ] = ACTIONS(3993),
    [anon_sym_GT] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3993),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3995),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3999),
    [anon_sym_unsigned] = ACTIONS(3999),
    [anon_sym_long] = ACTIONS(3999),
    [anon_sym_short] = ACTIONS(3999),
    [anon_sym_EQ] = ACTIONS(3995),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4001),
    [anon_sym_enum] = ACTIONS(4003),
    [anon_sym_class] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4007),
    [anon_sym_union] = ACTIONS(4009),
    [anon_sym_STAR_EQ] = ACTIONS(3993),
    [anon_sym_SLASH_EQ] = ACTIONS(3993),
    [anon_sym_PERCENT_EQ] = ACTIONS(3993),
    [anon_sym_PLUS_EQ] = ACTIONS(3993),
    [anon_sym_DASH_EQ] = ACTIONS(3993),
    [anon_sym_LT_LT_EQ] = ACTIONS(3993),
    [anon_sym_GT_GT_EQ] = ACTIONS(3993),
    [anon_sym_AMP_EQ] = ACTIONS(3993),
    [anon_sym_CARET_EQ] = ACTIONS(3993),
    [anon_sym_PIPE_EQ] = ACTIONS(3993),
    [anon_sym_and_eq] = ACTIONS(3995),
    [anon_sym_or_eq] = ACTIONS(3995),
    [anon_sym_xor_eq] = ACTIONS(3995),
    [anon_sym_not] = ACTIONS(3995),
    [anon_sym_compl] = ACTIONS(3995),
    [anon_sym_LT_EQ_GT] = ACTIONS(3993),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_bitor] = ACTIONS(3995),
    [anon_sym_xor] = ACTIONS(3995),
    [anon_sym_bitand] = ACTIONS(3995),
    [anon_sym_not_eq] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3993),
    [anon_sym_PLUS_PLUS] = ACTIONS(3993),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4011),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4013),
    [anon_sym_co_await] = ACTIONS(3995),
    [anon_sym_new] = ACTIONS(4013),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3993),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3993),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3993),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4015),
  },
  [1081] = {
    [sym__declaration_modifiers] = STATE(2429),
    [sym__declaration_specifiers] = STATE(6870),
    [sym_attribute_specifier] = STATE(2429),
    [sym_attribute_declaration] = STATE(2429),
    [sym_ms_declspec_modifier] = STATE(2429),
    [sym_storage_class_specifier] = STATE(2429),
    [sym_type_qualifier] = STATE(2429),
    [sym__type_specifier] = STATE(4708),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2429),
    [sym_alignas_specifier] = STATE(2429),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7134),
    [sym_qualified_type_identifier] = STATE(3556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2429),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3697),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_COMMA] = ACTIONS(4017),
    [anon_sym_BANG] = ACTIONS(4019),
    [anon_sym_TILDE] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4019),
    [anon_sym_PLUS] = ACTIONS(4019),
    [anon_sym_STAR] = ACTIONS(4019),
    [anon_sym_SLASH] = ACTIONS(4019),
    [anon_sym_PERCENT] = ACTIONS(4019),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4019),
    [anon_sym_CARET] = ACTIONS(4019),
    [anon_sym_AMP] = ACTIONS(4019),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4019),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4019),
    [anon_sym_LT] = ACTIONS(4019),
    [anon_sym_LT_LT] = ACTIONS(4019),
    [anon_sym_GT_GT] = ACTIONS(4019),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3999),
    [anon_sym_unsigned] = ACTIONS(3999),
    [anon_sym_long] = ACTIONS(3999),
    [anon_sym_short] = ACTIONS(3999),
    [anon_sym_EQ] = ACTIONS(4019),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4001),
    [anon_sym_enum] = ACTIONS(4003),
    [anon_sym_class] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4007),
    [anon_sym_union] = ACTIONS(4009),
    [anon_sym_STAR_EQ] = ACTIONS(4017),
    [anon_sym_SLASH_EQ] = ACTIONS(4017),
    [anon_sym_PERCENT_EQ] = ACTIONS(4017),
    [anon_sym_PLUS_EQ] = ACTIONS(4017),
    [anon_sym_DASH_EQ] = ACTIONS(4017),
    [anon_sym_LT_LT_EQ] = ACTIONS(4017),
    [anon_sym_GT_GT_EQ] = ACTIONS(4017),
    [anon_sym_AMP_EQ] = ACTIONS(4017),
    [anon_sym_CARET_EQ] = ACTIONS(4017),
    [anon_sym_PIPE_EQ] = ACTIONS(4017),
    [anon_sym_and_eq] = ACTIONS(4019),
    [anon_sym_or_eq] = ACTIONS(4019),
    [anon_sym_xor_eq] = ACTIONS(4019),
    [anon_sym_not] = ACTIONS(4019),
    [anon_sym_compl] = ACTIONS(4019),
    [anon_sym_LT_EQ_GT] = ACTIONS(4017),
    [anon_sym_or] = ACTIONS(4019),
    [anon_sym_and] = ACTIONS(4019),
    [anon_sym_bitor] = ACTIONS(4019),
    [anon_sym_xor] = ACTIONS(4019),
    [anon_sym_bitand] = ACTIONS(4019),
    [anon_sym_not_eq] = ACTIONS(4019),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DASH_GT] = ACTIONS(4019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4011),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4021),
    [anon_sym_co_await] = ACTIONS(4019),
    [anon_sym_new] = ACTIONS(4021),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4017),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4017),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4017),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4023),
  },
  [1082] = {
    [sym_function_definition] = STATE(2397),
    [sym_declaration] = STATE(2397),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5726),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2279),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4153),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2397),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2397),
    [sym_operator_cast] = STATE(7333),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(2397),
    [sym_operator_cast_declaration] = STATE(2397),
    [sym_constructor_or_destructor_definition] = STATE(2397),
    [sym_constructor_or_destructor_declaration] = STATE(2397),
    [sym_friend_declaration] = STATE(2397),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2397),
    [sym_concept_definition] = STATE(2397),
    [sym_requires_clause] = STATE(1097),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(4029),
    [anon_sym_concept] = ACTIONS(4031),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1083] = {
    [sym_function_definition] = STATE(2175),
    [sym_declaration] = STATE(2175),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5749),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4204),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2175),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2175),
    [sym_operator_cast] = STATE(7322),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(2175),
    [sym_operator_cast_declaration] = STATE(2175),
    [sym_constructor_or_destructor_definition] = STATE(2175),
    [sym_constructor_or_destructor_declaration] = STATE(2175),
    [sym_friend_declaration] = STATE(2175),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2175),
    [sym_concept_definition] = STATE(2175),
    [sym_requires_clause] = STATE(1098),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(4035),
    [anon_sym_concept] = ACTIONS(4037),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1084] = {
    [sym_function_definition] = STATE(404),
    [sym_declaration] = STATE(404),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6923),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(404),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2073),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(404),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2073),
    [sym_operator_cast_definition] = STATE(404),
    [sym_operator_cast_declaration] = STATE(404),
    [sym_constructor_or_destructor_definition] = STATE(404),
    [sym_constructor_or_destructor_declaration] = STATE(404),
    [sym_friend_declaration] = STATE(404),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(404),
    [sym_concept_definition] = STATE(404),
    [sym_requires_clause] = STATE(1094),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2073),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4041),
    [anon_sym_using] = ACTIONS(4043),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1085] = {
    [sym_function_definition] = STATE(2630),
    [sym_declaration] = STATE(2630),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5733),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2240),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4134),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2630),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2630),
    [sym_operator_cast] = STATE(7342),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(2630),
    [sym_operator_cast_declaration] = STATE(2630),
    [sym_constructor_or_destructor_definition] = STATE(2630),
    [sym_constructor_or_destructor_declaration] = STATE(2630),
    [sym_friend_declaration] = STATE(2630),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2630),
    [sym_concept_definition] = STATE(2630),
    [sym_requires_clause] = STATE(1100),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_using] = ACTIONS(4045),
    [anon_sym_concept] = ACTIONS(4047),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1086] = {
    [sym_function_definition] = STATE(537),
    [sym_declaration] = STATE(537),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6851),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(537),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2086),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(537),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2086),
    [sym_operator_cast_definition] = STATE(537),
    [sym_operator_cast_declaration] = STATE(537),
    [sym_constructor_or_destructor_definition] = STATE(537),
    [sym_constructor_or_destructor_declaration] = STATE(537),
    [sym_friend_declaration] = STATE(537),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(537),
    [sym_concept_definition] = STATE(537),
    [sym_requires_clause] = STATE(1096),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2086),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4049),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4051),
    [anon_sym_using] = ACTIONS(4053),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1087] = {
    [sym_function_definition] = STATE(962),
    [sym_declaration] = STATE(962),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2245),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6879),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4159),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(962),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2083),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(962),
    [sym_operator_cast] = STATE(7291),
    [sym__constructor_specifiers] = STATE(2083),
    [sym_operator_cast_definition] = STATE(962),
    [sym_operator_cast_declaration] = STATE(962),
    [sym_constructor_or_destructor_definition] = STATE(962),
    [sym_constructor_or_destructor_declaration] = STATE(962),
    [sym_friend_declaration] = STATE(962),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(962),
    [sym_concept_definition] = STATE(962),
    [sym_requires_clause] = STATE(1093),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7291),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2083),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4055),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4057),
    [anon_sym_using] = ACTIONS(4059),
    [anon_sym_concept] = ACTIONS(1120),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1088] = {
    [sym_function_definition] = STATE(1021),
    [sym_declaration] = STATE(1021),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2323),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6910),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4196),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(1021),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2080),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1021),
    [sym_operator_cast] = STATE(7293),
    [sym__constructor_specifiers] = STATE(2080),
    [sym_operator_cast_definition] = STATE(1021),
    [sym_operator_cast_declaration] = STATE(1021),
    [sym_constructor_or_destructor_definition] = STATE(1021),
    [sym_constructor_or_destructor_declaration] = STATE(1021),
    [sym_friend_declaration] = STATE(1021),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(1021),
    [sym_concept_definition] = STATE(1021),
    [sym_requires_clause] = STATE(1101),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7293),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2080),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4063),
    [anon_sym_using] = ACTIONS(4065),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1089] = {
    [sym_function_definition] = STATE(920),
    [sym_declaration] = STATE(920),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6856),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(920),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2082),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(920),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2082),
    [sym_operator_cast_definition] = STATE(920),
    [sym_operator_cast_declaration] = STATE(920),
    [sym_constructor_or_destructor_definition] = STATE(920),
    [sym_constructor_or_destructor_declaration] = STATE(920),
    [sym_friend_declaration] = STATE(920),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(920),
    [sym_concept_definition] = STATE(920),
    [sym_requires_clause] = STATE(1099),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2082),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4069),
    [anon_sym_using] = ACTIONS(4071),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1090] = {
    [sym_function_definition] = STATE(2618),
    [sym_declaration] = STATE(2618),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5665),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2265),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6926),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4106),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2618),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2085),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2618),
    [sym_operator_cast] = STATE(7284),
    [sym__constructor_specifiers] = STATE(2085),
    [sym_operator_cast_definition] = STATE(2618),
    [sym_operator_cast_declaration] = STATE(2618),
    [sym_constructor_or_destructor_definition] = STATE(2618),
    [sym_constructor_or_destructor_declaration] = STATE(2618),
    [sym_friend_declaration] = STATE(2618),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2618),
    [sym_concept_definition] = STATE(2618),
    [sym_requires_clause] = STATE(1095),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7284),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3815),
    [anon_sym_using] = ACTIONS(4073),
    [anon_sym_concept] = ACTIONS(4075),
    [anon_sym_requires] = ACTIONS(4033),
  },
  [1091] = {
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_COMMA] = ACTIONS(4079),
    [anon_sym_RPAREN] = ACTIONS(4079),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_BANG] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4079),
    [anon_sym_DASH] = ACTIONS(4077),
    [anon_sym_PLUS] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(4079),
    [anon_sym_AMP_AMP] = ACTIONS(4079),
    [anon_sym_AMP] = ACTIONS(4077),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym___extension__] = ACTIONS(4077),
    [anon_sym_extern] = ACTIONS(4077),
    [anon_sym___attribute__] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4079),
    [anon_sym___declspec] = ACTIONS(4077),
    [anon_sym___based] = ACTIONS(4077),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_signed] = ACTIONS(4077),
    [anon_sym_unsigned] = ACTIONS(4077),
    [anon_sym_long] = ACTIONS(4077),
    [anon_sym_short] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_EQ] = ACTIONS(4079),
    [anon_sym_static] = ACTIONS(4077),
    [anon_sym_register] = ACTIONS(4077),
    [anon_sym_inline] = ACTIONS(4077),
    [anon_sym___inline] = ACTIONS(4077),
    [anon_sym___inline__] = ACTIONS(4077),
    [anon_sym___forceinline] = ACTIONS(4077),
    [anon_sym_thread_local] = ACTIONS(4077),
    [anon_sym___thread] = ACTIONS(4077),
    [anon_sym_const] = ACTIONS(4077),
    [anon_sym_constexpr] = ACTIONS(4077),
    [anon_sym_volatile] = ACTIONS(4077),
    [anon_sym_restrict] = ACTIONS(4077),
    [anon_sym___restrict__] = ACTIONS(4077),
    [anon_sym__Atomic] = ACTIONS(4077),
    [anon_sym__Noreturn] = ACTIONS(4077),
    [anon_sym_noreturn] = ACTIONS(4077),
    [anon_sym_mutable] = ACTIONS(4077),
    [anon_sym_constinit] = ACTIONS(4077),
    [anon_sym_consteval] = ACTIONS(4077),
    [sym_primitive_type] = ACTIONS(4077),
    [anon_sym_enum] = ACTIONS(4077),
    [anon_sym_class] = ACTIONS(4077),
    [anon_sym_struct] = ACTIONS(4077),
    [anon_sym_union] = ACTIONS(4077),
    [anon_sym_if] = ACTIONS(4077),
    [anon_sym_switch] = ACTIONS(4077),
    [anon_sym_case] = ACTIONS(4077),
    [anon_sym_default] = ACTIONS(4077),
    [anon_sym_while] = ACTIONS(4077),
    [anon_sym_do] = ACTIONS(4077),
    [anon_sym_for] = ACTIONS(4077),
    [anon_sym_return] = ACTIONS(4077),
    [anon_sym_break] = ACTIONS(4077),
    [anon_sym_continue] = ACTIONS(4077),
    [anon_sym_goto] = ACTIONS(4077),
    [anon_sym___try] = ACTIONS(4077),
    [anon_sym___leave] = ACTIONS(4077),
    [anon_sym_not] = ACTIONS(4077),
    [anon_sym_compl] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4079),
    [anon_sym_PLUS_PLUS] = ACTIONS(4079),
    [anon_sym_sizeof] = ACTIONS(4077),
    [anon_sym___alignof__] = ACTIONS(4077),
    [anon_sym___alignof] = ACTIONS(4077),
    [anon_sym__alignof] = ACTIONS(4077),
    [anon_sym_alignof] = ACTIONS(4077),
    [anon_sym__Alignof] = ACTIONS(4077),
    [anon_sym_offsetof] = ACTIONS(4077),
    [anon_sym__Generic] = ACTIONS(4077),
    [anon_sym_asm] = ACTIONS(4077),
    [anon_sym___asm__] = ACTIONS(4077),
    [sym_number_literal] = ACTIONS(4079),
    [anon_sym_L_SQUOTE] = ACTIONS(4079),
    [anon_sym_u_SQUOTE] = ACTIONS(4079),
    [anon_sym_U_SQUOTE] = ACTIONS(4079),
    [anon_sym_u8_SQUOTE] = ACTIONS(4079),
    [anon_sym_SQUOTE] = ACTIONS(4079),
    [anon_sym_L_DQUOTE] = ACTIONS(4079),
    [anon_sym_u_DQUOTE] = ACTIONS(4079),
    [anon_sym_U_DQUOTE] = ACTIONS(4079),
    [anon_sym_u8_DQUOTE] = ACTIONS(4079),
    [anon_sym_DQUOTE] = ACTIONS(4079),
    [sym_true] = ACTIONS(4077),
    [sym_false] = ACTIONS(4077),
    [anon_sym_NULL] = ACTIONS(4077),
    [anon_sym_nullptr] = ACTIONS(4077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4077),
    [anon_sym_decltype] = ACTIONS(4077),
    [anon_sym_virtual] = ACTIONS(4077),
    [anon_sym_alignas] = ACTIONS(4077),
    [anon_sym_explicit] = ACTIONS(4077),
    [anon_sym_typename] = ACTIONS(4077),
    [anon_sym_template] = ACTIONS(4077),
    [anon_sym_GT2] = ACTIONS(4079),
    [anon_sym_operator] = ACTIONS(4077),
    [anon_sym_try] = ACTIONS(4077),
    [anon_sym_delete] = ACTIONS(4077),
    [anon_sym_throw] = ACTIONS(4077),
    [anon_sym_co_return] = ACTIONS(4077),
    [anon_sym_co_yield] = ACTIONS(4077),
    [anon_sym_R_DQUOTE] = ACTIONS(4079),
    [anon_sym_LR_DQUOTE] = ACTIONS(4079),
    [anon_sym_uR_DQUOTE] = ACTIONS(4079),
    [anon_sym_UR_DQUOTE] = ACTIONS(4079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4079),
    [anon_sym_co_await] = ACTIONS(4077),
    [anon_sym_new] = ACTIONS(4077),
    [anon_sym_requires] = ACTIONS(4077),
    [sym_this] = ACTIONS(4077),
  },
  [1092] = {
    [sym_identifier] = ACTIONS(4081),
    [anon_sym_COMMA] = ACTIONS(4083),
    [anon_sym_RPAREN] = ACTIONS(4083),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_BANG] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4081),
    [anon_sym_PLUS] = ACTIONS(4081),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP_AMP] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4081),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4081),
    [anon_sym_extern] = ACTIONS(4081),
    [anon_sym___attribute__] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4081),
    [anon_sym___based] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(4083),
    [anon_sym_signed] = ACTIONS(4081),
    [anon_sym_unsigned] = ACTIONS(4081),
    [anon_sym_long] = ACTIONS(4081),
    [anon_sym_short] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_EQ] = ACTIONS(4083),
    [anon_sym_static] = ACTIONS(4081),
    [anon_sym_register] = ACTIONS(4081),
    [anon_sym_inline] = ACTIONS(4081),
    [anon_sym___inline] = ACTIONS(4081),
    [anon_sym___inline__] = ACTIONS(4081),
    [anon_sym___forceinline] = ACTIONS(4081),
    [anon_sym_thread_local] = ACTIONS(4081),
    [anon_sym___thread] = ACTIONS(4081),
    [anon_sym_const] = ACTIONS(4081),
    [anon_sym_constexpr] = ACTIONS(4081),
    [anon_sym_volatile] = ACTIONS(4081),
    [anon_sym_restrict] = ACTIONS(4081),
    [anon_sym___restrict__] = ACTIONS(4081),
    [anon_sym__Atomic] = ACTIONS(4081),
    [anon_sym__Noreturn] = ACTIONS(4081),
    [anon_sym_noreturn] = ACTIONS(4081),
    [anon_sym_mutable] = ACTIONS(4081),
    [anon_sym_constinit] = ACTIONS(4081),
    [anon_sym_consteval] = ACTIONS(4081),
    [sym_primitive_type] = ACTIONS(4081),
    [anon_sym_enum] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_struct] = ACTIONS(4081),
    [anon_sym_union] = ACTIONS(4081),
    [anon_sym_if] = ACTIONS(4081),
    [anon_sym_switch] = ACTIONS(4081),
    [anon_sym_case] = ACTIONS(4081),
    [anon_sym_default] = ACTIONS(4081),
    [anon_sym_while] = ACTIONS(4081),
    [anon_sym_do] = ACTIONS(4081),
    [anon_sym_for] = ACTIONS(4081),
    [anon_sym_return] = ACTIONS(4081),
    [anon_sym_break] = ACTIONS(4081),
    [anon_sym_continue] = ACTIONS(4081),
    [anon_sym_goto] = ACTIONS(4081),
    [anon_sym___try] = ACTIONS(4081),
    [anon_sym___leave] = ACTIONS(4081),
    [anon_sym_not] = ACTIONS(4081),
    [anon_sym_compl] = ACTIONS(4081),
    [anon_sym_DASH_DASH] = ACTIONS(4083),
    [anon_sym_PLUS_PLUS] = ACTIONS(4083),
    [anon_sym_sizeof] = ACTIONS(4081),
    [anon_sym___alignof__] = ACTIONS(4081),
    [anon_sym___alignof] = ACTIONS(4081),
    [anon_sym__alignof] = ACTIONS(4081),
    [anon_sym_alignof] = ACTIONS(4081),
    [anon_sym__Alignof] = ACTIONS(4081),
    [anon_sym_offsetof] = ACTIONS(4081),
    [anon_sym__Generic] = ACTIONS(4081),
    [anon_sym_asm] = ACTIONS(4081),
    [anon_sym___asm__] = ACTIONS(4081),
    [sym_number_literal] = ACTIONS(4083),
    [anon_sym_L_SQUOTE] = ACTIONS(4083),
    [anon_sym_u_SQUOTE] = ACTIONS(4083),
    [anon_sym_U_SQUOTE] = ACTIONS(4083),
    [anon_sym_u8_SQUOTE] = ACTIONS(4083),
    [anon_sym_SQUOTE] = ACTIONS(4083),
    [anon_sym_L_DQUOTE] = ACTIONS(4083),
    [anon_sym_u_DQUOTE] = ACTIONS(4083),
    [anon_sym_U_DQUOTE] = ACTIONS(4083),
    [anon_sym_u8_DQUOTE] = ACTIONS(4083),
    [anon_sym_DQUOTE] = ACTIONS(4083),
    [sym_true] = ACTIONS(4081),
    [sym_false] = ACTIONS(4081),
    [anon_sym_NULL] = ACTIONS(4081),
    [anon_sym_nullptr] = ACTIONS(4081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4081),
    [anon_sym_decltype] = ACTIONS(4081),
    [anon_sym_virtual] = ACTIONS(4081),
    [anon_sym_alignas] = ACTIONS(4081),
    [anon_sym_explicit] = ACTIONS(4081),
    [anon_sym_typename] = ACTIONS(4081),
    [anon_sym_template] = ACTIONS(4081),
    [anon_sym_GT2] = ACTIONS(4083),
    [anon_sym_operator] = ACTIONS(4081),
    [anon_sym_try] = ACTIONS(4081),
    [anon_sym_delete] = ACTIONS(4081),
    [anon_sym_throw] = ACTIONS(4081),
    [anon_sym_co_return] = ACTIONS(4081),
    [anon_sym_co_yield] = ACTIONS(4081),
    [anon_sym_R_DQUOTE] = ACTIONS(4083),
    [anon_sym_LR_DQUOTE] = ACTIONS(4083),
    [anon_sym_uR_DQUOTE] = ACTIONS(4083),
    [anon_sym_UR_DQUOTE] = ACTIONS(4083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4083),
    [anon_sym_co_await] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(4081),
    [anon_sym_requires] = ACTIONS(4081),
    [sym_this] = ACTIONS(4081),
  },
  [1093] = {
    [sym_function_definition] = STATE(941),
    [sym_declaration] = STATE(941),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2245),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6879),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4159),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(941),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2083),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(941),
    [sym_operator_cast] = STATE(7291),
    [sym__constructor_specifiers] = STATE(2083),
    [sym_operator_cast_definition] = STATE(941),
    [sym_operator_cast_declaration] = STATE(941),
    [sym_constructor_or_destructor_definition] = STATE(941),
    [sym_constructor_or_destructor_declaration] = STATE(941),
    [sym_friend_declaration] = STATE(941),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(941),
    [sym_concept_definition] = STATE(941),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7291),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2083),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4055),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4057),
    [anon_sym_using] = ACTIONS(4059),
    [anon_sym_concept] = ACTIONS(1120),
  },
  [1094] = {
    [sym_function_definition] = STATE(432),
    [sym_declaration] = STATE(432),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2270),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6923),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4190),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(432),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2073),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(432),
    [sym_operator_cast] = STATE(7324),
    [sym__constructor_specifiers] = STATE(2073),
    [sym_operator_cast_definition] = STATE(432),
    [sym_operator_cast_declaration] = STATE(432),
    [sym_constructor_or_destructor_definition] = STATE(432),
    [sym_constructor_or_destructor_declaration] = STATE(432),
    [sym_friend_declaration] = STATE(432),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(432),
    [sym_concept_definition] = STATE(432),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7324),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2073),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4041),
    [anon_sym_using] = ACTIONS(4043),
    [anon_sym_concept] = ACTIONS(333),
  },
  [1095] = {
    [sym_function_definition] = STATE(2686),
    [sym_declaration] = STATE(2686),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5665),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2265),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6926),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4106),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2686),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2085),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2686),
    [sym_operator_cast] = STATE(7284),
    [sym__constructor_specifiers] = STATE(2085),
    [sym_operator_cast_definition] = STATE(2686),
    [sym_operator_cast_declaration] = STATE(2686),
    [sym_constructor_or_destructor_definition] = STATE(2686),
    [sym_constructor_or_destructor_declaration] = STATE(2686),
    [sym_friend_declaration] = STATE(2686),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2686),
    [sym_concept_definition] = STATE(2686),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7284),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2085),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3813),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3815),
    [anon_sym_using] = ACTIONS(4073),
    [anon_sym_concept] = ACTIONS(4075),
  },
  [1096] = {
    [sym_function_definition] = STATE(563),
    [sym_declaration] = STATE(563),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2251),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6851),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(563),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2086),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(563),
    [sym_operator_cast] = STATE(7323),
    [sym__constructor_specifiers] = STATE(2086),
    [sym_operator_cast_definition] = STATE(563),
    [sym_operator_cast_declaration] = STATE(563),
    [sym_constructor_or_destructor_definition] = STATE(563),
    [sym_constructor_or_destructor_declaration] = STATE(563),
    [sym_friend_declaration] = STATE(563),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(563),
    [sym_concept_definition] = STATE(563),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7323),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2086),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4049),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4051),
    [anon_sym_using] = ACTIONS(4053),
    [anon_sym_concept] = ACTIONS(421),
  },
  [1097] = {
    [sym_function_definition] = STATE(2365),
    [sym_declaration] = STATE(2365),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5726),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2279),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6902),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4153),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2365),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2071),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2365),
    [sym_operator_cast] = STATE(7333),
    [sym__constructor_specifiers] = STATE(2071),
    [sym_operator_cast_definition] = STATE(2365),
    [sym_operator_cast_declaration] = STATE(2365),
    [sym_constructor_or_destructor_definition] = STATE(2365),
    [sym_constructor_or_destructor_declaration] = STATE(2365),
    [sym_friend_declaration] = STATE(2365),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2365),
    [sym_concept_definition] = STATE(2365),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7333),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2071),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(4029),
    [anon_sym_concept] = ACTIONS(4031),
  },
  [1098] = {
    [sym_function_definition] = STATE(2138),
    [sym_declaration] = STATE(2138),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5749),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6932),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4204),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2138),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2084),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2138),
    [sym_operator_cast] = STATE(7322),
    [sym__constructor_specifiers] = STATE(2084),
    [sym_operator_cast_definition] = STATE(2138),
    [sym_operator_cast_declaration] = STATE(2138),
    [sym_constructor_or_destructor_definition] = STATE(2138),
    [sym_constructor_or_destructor_declaration] = STATE(2138),
    [sym_friend_declaration] = STATE(2138),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2138),
    [sym_concept_definition] = STATE(2138),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7322),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2084),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3061),
    [anon_sym_using] = ACTIONS(4035),
    [anon_sym_concept] = ACTIONS(4037),
  },
  [1099] = {
    [sym_function_definition] = STATE(943),
    [sym_declaration] = STATE(943),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2313),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6856),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4181),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(943),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2082),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(943),
    [sym_operator_cast] = STATE(7335),
    [sym__constructor_specifiers] = STATE(2082),
    [sym_operator_cast_definition] = STATE(943),
    [sym_operator_cast_declaration] = STATE(943),
    [sym_constructor_or_destructor_definition] = STATE(943),
    [sym_constructor_or_destructor_declaration] = STATE(943),
    [sym_friend_declaration] = STATE(943),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(943),
    [sym_concept_definition] = STATE(943),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7335),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2082),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4067),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4069),
    [anon_sym_using] = ACTIONS(4071),
    [anon_sym_concept] = ACTIONS(231),
  },
  [1100] = {
    [sym_function_definition] = STATE(2616),
    [sym_declaration] = STATE(2616),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5733),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2240),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6874),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4134),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(2616),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2088),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(2616),
    [sym_operator_cast] = STATE(7342),
    [sym__constructor_specifiers] = STATE(2088),
    [sym_operator_cast_definition] = STATE(2616),
    [sym_operator_cast_declaration] = STATE(2616),
    [sym_constructor_or_destructor_definition] = STATE(2616),
    [sym_constructor_or_destructor_declaration] = STATE(2616),
    [sym_friend_declaration] = STATE(2616),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(2616),
    [sym_concept_definition] = STATE(2616),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7342),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2088),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3781),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3783),
    [anon_sym_using] = ACTIONS(4045),
    [anon_sym_concept] = ACTIONS(4047),
  },
  [1101] = {
    [sym_function_definition] = STATE(1015),
    [sym_declaration] = STATE(1015),
    [sym__declaration_modifiers] = STATE(4055),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_attribute_specifier] = STATE(4055),
    [sym_attribute_declaration] = STATE(4055),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_ms_based_modifier] = STATE(9375),
    [sym_ms_call_modifier] = STATE(2323),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6910),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4055),
    [sym__type_specifier] = STATE(4196),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym__empty_declaration] = STATE(1015),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4055),
    [sym_alignas_specifier] = STATE(4055),
    [sym_explicit_function_specifier] = STATE(2080),
    [sym_dependent_type] = STATE(3664),
    [sym_template_declaration] = STATE(1015),
    [sym_operator_cast] = STATE(7293),
    [sym__constructor_specifiers] = STATE(2080),
    [sym_operator_cast_definition] = STATE(1015),
    [sym_operator_cast_declaration] = STATE(1015),
    [sym_constructor_or_destructor_definition] = STATE(1015),
    [sym_constructor_or_destructor_declaration] = STATE(1015),
    [sym_friend_declaration] = STATE(1015),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_alias_declaration] = STATE(1015),
    [sym_concept_definition] = STATE(1015),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6100),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_qualified_operator_cast_identifier] = STATE(7293),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2080),
    [sym_identifier] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4061),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4063),
    [anon_sym_using] = ACTIONS(4065),
    [anon_sym_concept] = ACTIONS(145),
  },
  [1102] = {
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_LPAREN2] = ACTIONS(4088),
    [anon_sym_BANG] = ACTIONS(4091),
    [anon_sym_TILDE] = ACTIONS(4088),
    [anon_sym_DASH] = ACTIONS(4093),
    [anon_sym_PLUS] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(4088),
    [anon_sym_AMP_AMP] = ACTIONS(4095),
    [anon_sym_AMP] = ACTIONS(4085),
    [anon_sym_SEMI] = ACTIONS(4091),
    [anon_sym___extension__] = ACTIONS(4097),
    [anon_sym_extern] = ACTIONS(4097),
    [anon_sym___attribute__] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4088),
    [anon_sym___declspec] = ACTIONS(4097),
    [anon_sym___based] = ACTIONS(4097),
    [anon_sym_LBRACE] = ACTIONS(4091),
    [anon_sym_signed] = ACTIONS(4097),
    [anon_sym_unsigned] = ACTIONS(4097),
    [anon_sym_long] = ACTIONS(4097),
    [anon_sym_short] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4085),
    [anon_sym_static] = ACTIONS(4097),
    [anon_sym_register] = ACTIONS(4097),
    [anon_sym_inline] = ACTIONS(4097),
    [anon_sym___inline] = ACTIONS(4097),
    [anon_sym___inline__] = ACTIONS(4097),
    [anon_sym___forceinline] = ACTIONS(4097),
    [anon_sym_thread_local] = ACTIONS(4097),
    [anon_sym___thread] = ACTIONS(4097),
    [anon_sym_const] = ACTIONS(4097),
    [anon_sym_constexpr] = ACTIONS(4097),
    [anon_sym_volatile] = ACTIONS(4097),
    [anon_sym_restrict] = ACTIONS(4097),
    [anon_sym___restrict__] = ACTIONS(4097),
    [anon_sym__Atomic] = ACTIONS(4097),
    [anon_sym__Noreturn] = ACTIONS(4097),
    [anon_sym_noreturn] = ACTIONS(4097),
    [anon_sym_mutable] = ACTIONS(4097),
    [anon_sym_constinit] = ACTIONS(4097),
    [anon_sym_consteval] = ACTIONS(4097),
    [sym_primitive_type] = ACTIONS(4085),
    [anon_sym_enum] = ACTIONS(4097),
    [anon_sym_class] = ACTIONS(4097),
    [anon_sym_struct] = ACTIONS(4097),
    [anon_sym_union] = ACTIONS(4097),
    [anon_sym_if] = ACTIONS(4093),
    [anon_sym_switch] = ACTIONS(4093),
    [anon_sym_case] = ACTIONS(4093),
    [anon_sym_default] = ACTIONS(4093),
    [anon_sym_while] = ACTIONS(4093),
    [anon_sym_do] = ACTIONS(4093),
    [anon_sym_for] = ACTIONS(4093),
    [anon_sym_return] = ACTIONS(4093),
    [anon_sym_break] = ACTIONS(4093),
    [anon_sym_continue] = ACTIONS(4093),
    [anon_sym_goto] = ACTIONS(4093),
    [anon_sym___try] = ACTIONS(4093),
    [anon_sym___leave] = ACTIONS(4093),
    [anon_sym_not] = ACTIONS(4093),
    [anon_sym_compl] = ACTIONS(4093),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(4093),
    [anon_sym___alignof__] = ACTIONS(4093),
    [anon_sym___alignof] = ACTIONS(4093),
    [anon_sym__alignof] = ACTIONS(4093),
    [anon_sym_alignof] = ACTIONS(4093),
    [anon_sym__Alignof] = ACTIONS(4093),
    [anon_sym_offsetof] = ACTIONS(4093),
    [anon_sym__Generic] = ACTIONS(4093),
    [anon_sym_asm] = ACTIONS(4093),
    [anon_sym___asm__] = ACTIONS(4093),
    [sym_number_literal] = ACTIONS(4091),
    [anon_sym_L_SQUOTE] = ACTIONS(4091),
    [anon_sym_u_SQUOTE] = ACTIONS(4091),
    [anon_sym_U_SQUOTE] = ACTIONS(4091),
    [anon_sym_u8_SQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4091),
    [anon_sym_L_DQUOTE] = ACTIONS(4091),
    [anon_sym_u_DQUOTE] = ACTIONS(4091),
    [anon_sym_U_DQUOTE] = ACTIONS(4091),
    [anon_sym_u8_DQUOTE] = ACTIONS(4091),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [sym_true] = ACTIONS(4093),
    [sym_false] = ACTIONS(4093),
    [anon_sym_NULL] = ACTIONS(4093),
    [anon_sym_nullptr] = ACTIONS(4093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4097),
    [anon_sym_decltype] = ACTIONS(4085),
    [anon_sym_virtual] = ACTIONS(4097),
    [anon_sym_alignas] = ACTIONS(4097),
    [anon_sym_explicit] = ACTIONS(4097),
    [anon_sym_typename] = ACTIONS(4097),
    [anon_sym_template] = ACTIONS(4085),
    [anon_sym_operator] = ACTIONS(4097),
    [anon_sym_try] = ACTIONS(4093),
    [anon_sym_delete] = ACTIONS(4093),
    [anon_sym_throw] = ACTIONS(4093),
    [anon_sym_co_return] = ACTIONS(4093),
    [anon_sym_co_yield] = ACTIONS(4093),
    [anon_sym_R_DQUOTE] = ACTIONS(4091),
    [anon_sym_LR_DQUOTE] = ACTIONS(4091),
    [anon_sym_uR_DQUOTE] = ACTIONS(4091),
    [anon_sym_UR_DQUOTE] = ACTIONS(4091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4091),
    [anon_sym_co_await] = ACTIONS(4093),
    [anon_sym_new] = ACTIONS(4093),
    [anon_sym_requires] = ACTIONS(4093),
    [sym_this] = ACTIONS(4093),
  },
  [1103] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5355),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4099),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1104] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5367),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1105] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4109),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4111),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1106] = {
    [sym_type_qualifier] = STATE(1103),
    [sym__expression] = STATE(5365),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1103),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1107] = {
    [sym_type_qualifier] = STATE(1126),
    [sym__expression] = STATE(5228),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1126),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1108] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5260),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4123),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1109] = {
    [sym_type_qualifier] = STATE(1119),
    [sym__expression] = STATE(5282),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1119),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4125),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1110] = {
    [sym_type_qualifier] = STATE(1105),
    [sym__expression] = STATE(5227),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1105),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4129),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1111] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5322),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4133),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1112] = {
    [sym_type_qualifier] = STATE(1127),
    [sym__expression] = STATE(5223),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4139),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1113] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5222),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4141),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1114] = {
    [sym_type_qualifier] = STATE(1116),
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1116),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1115] = {
    [sym_type_qualifier] = STATE(1111),
    [sym__expression] = STATE(5238),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1111),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1116] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5199),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4153),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1117] = {
    [sym_type_qualifier] = STATE(1108),
    [sym__expression] = STATE(5234),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1108),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4157),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1118] = {
    [sym_type_qualifier] = STATE(1120),
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1120),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4163),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1119] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5245),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4165),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4167),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1120] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5369),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4169),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4171),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1121] = {
    [sym_catch_clause] = STATE(1123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1123),
    [sym_identifier] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2815),
    [anon_sym_switch] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_do] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_return] = ACTIONS(2815),
    [anon_sym_break] = ACTIONS(2815),
    [anon_sym_continue] = ACTIONS(2815),
    [anon_sym_goto] = ACTIONS(2815),
    [anon_sym___try] = ACTIONS(2815),
    [anon_sym___leave] = ACTIONS(2815),
    [anon_sym_not] = ACTIONS(2815),
    [anon_sym_compl] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2815),
    [anon_sym___alignof] = ACTIONS(2815),
    [anon_sym__alignof] = ACTIONS(2815),
    [anon_sym_alignof] = ACTIONS(2815),
    [anon_sym__Alignof] = ACTIONS(2815),
    [anon_sym_offsetof] = ACTIONS(2815),
    [anon_sym__Generic] = ACTIONS(2815),
    [anon_sym_asm] = ACTIONS(2815),
    [anon_sym___asm__] = ACTIONS(2815),
    [sym_number_literal] = ACTIONS(2817),
    [anon_sym_L_SQUOTE] = ACTIONS(2817),
    [anon_sym_u_SQUOTE] = ACTIONS(2817),
    [anon_sym_U_SQUOTE] = ACTIONS(2817),
    [anon_sym_u8_SQUOTE] = ACTIONS(2817),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_L_DQUOTE] = ACTIONS(2817),
    [anon_sym_u_DQUOTE] = ACTIONS(2817),
    [anon_sym_U_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8_DQUOTE] = ACTIONS(2817),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_true] = ACTIONS(2815),
    [sym_false] = ACTIONS(2815),
    [anon_sym_NULL] = ACTIONS(2815),
    [anon_sym_nullptr] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_try] = ACTIONS(2815),
    [anon_sym_delete] = ACTIONS(2815),
    [anon_sym_throw] = ACTIONS(2815),
    [anon_sym_co_return] = ACTIONS(2815),
    [anon_sym_co_yield] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(4173),
    [anon_sym_R_DQUOTE] = ACTIONS(2817),
    [anon_sym_LR_DQUOTE] = ACTIONS(2817),
    [anon_sym_uR_DQUOTE] = ACTIONS(2817),
    [anon_sym_UR_DQUOTE] = ACTIONS(2817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2817),
    [anon_sym_co_await] = ACTIONS(2815),
    [anon_sym_new] = ACTIONS(2815),
    [anon_sym_requires] = ACTIONS(2815),
    [sym_this] = ACTIONS(2815),
  },
  [1122] = {
    [sym_type_qualifier] = STATE(1113),
    [sym__expression] = STATE(5205),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1113),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4175),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4177),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1123] = {
    [sym_catch_clause] = STATE(1123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1123),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(4179),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [1124] = {
    [sym_type_qualifier] = STATE(1116),
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1116),
    [sym_identifier] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1125] = {
    [sym_type_qualifier] = STATE(1104),
    [sym__expression] = STATE(5364),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(1104),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1126] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5241),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1127] = {
    [sym_type_qualifier] = STATE(2127),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4192),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4101),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4194),
    [anon_sym_const] = ACTIONS(4101),
    [anon_sym_constexpr] = ACTIONS(4101),
    [anon_sym_volatile] = ACTIONS(4101),
    [anon_sym_restrict] = ACTIONS(4101),
    [anon_sym___restrict__] = ACTIONS(4101),
    [anon_sym__Atomic] = ACTIONS(4101),
    [anon_sym__Noreturn] = ACTIONS(4101),
    [anon_sym_noreturn] = ACTIONS(4101),
    [anon_sym_mutable] = ACTIONS(4101),
    [anon_sym_constinit] = ACTIONS(4101),
    [anon_sym_consteval] = ACTIONS(4101),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1128] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7040),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3732),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6258),
    [sym_qualified_identifier] = STATE(3660),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(3495),
    [anon_sym_LPAREN2] = ACTIONS(3497),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1129] = {
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7040),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym__expression] = STATE(3581),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3788),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6288),
    [sym_qualified_identifier] = STATE(3758),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_operator_name] = STATE(6854),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1130] = {
    [sym_identifier] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_else] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym___leave] = ACTIONS(2848),
    [anon_sym_not] = ACTIONS(2848),
    [anon_sym_compl] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_try] = ACTIONS(2848),
    [anon_sym_delete] = ACTIONS(2848),
    [anon_sym_throw] = ACTIONS(2848),
    [anon_sym_co_return] = ACTIONS(2848),
    [anon_sym_co_yield] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2850),
    [anon_sym_LR_DQUOTE] = ACTIONS(2850),
    [anon_sym_uR_DQUOTE] = ACTIONS(2850),
    [anon_sym_UR_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2850),
    [anon_sym_co_await] = ACTIONS(2848),
    [anon_sym_new] = ACTIONS(2848),
    [anon_sym_requires] = ACTIONS(2848),
    [sym_this] = ACTIONS(2848),
  },
  [1131] = {
    [sym_else_clause] = STATE(1142),
    [sym_identifier] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym_COLON_COLON] = ACTIONS(2854),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_mutable] = ACTIONS(2852),
    [anon_sym_constinit] = ACTIONS(2852),
    [anon_sym_consteval] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_class] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_else] = ACTIONS(4196),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym___leave] = ACTIONS(2852),
    [anon_sym_not] = ACTIONS(2852),
    [anon_sym_compl] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2852),
    [anon_sym_decltype] = ACTIONS(2852),
    [anon_sym_virtual] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym_typename] = ACTIONS(2852),
    [anon_sym_template] = ACTIONS(2852),
    [anon_sym_try] = ACTIONS(2852),
    [anon_sym_delete] = ACTIONS(2852),
    [anon_sym_throw] = ACTIONS(2852),
    [anon_sym_co_return] = ACTIONS(2852),
    [anon_sym_co_yield] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2854),
    [anon_sym_LR_DQUOTE] = ACTIONS(2854),
    [anon_sym_uR_DQUOTE] = ACTIONS(2854),
    [anon_sym_UR_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2854),
    [anon_sym_co_await] = ACTIONS(2852),
    [anon_sym_new] = ACTIONS(2852),
    [anon_sym_requires] = ACTIONS(2852),
    [sym_this] = ACTIONS(2852),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_goto] = ACTIONS(2210),
    [anon_sym___try] = ACTIONS(2210),
    [anon_sym___leave] = ACTIONS(2210),
    [anon_sym_not] = ACTIONS(2210),
    [anon_sym_compl] = ACTIONS(2210),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_sizeof] = ACTIONS(2210),
    [anon_sym___alignof__] = ACTIONS(2210),
    [anon_sym___alignof] = ACTIONS(2210),
    [anon_sym__alignof] = ACTIONS(2210),
    [anon_sym_alignof] = ACTIONS(2210),
    [anon_sym__Alignof] = ACTIONS(2210),
    [anon_sym_offsetof] = ACTIONS(2210),
    [anon_sym__Generic] = ACTIONS(2210),
    [anon_sym_asm] = ACTIONS(2210),
    [anon_sym___asm__] = ACTIONS(2210),
    [sym_number_literal] = ACTIONS(2208),
    [anon_sym_L_SQUOTE] = ACTIONS(2208),
    [anon_sym_u_SQUOTE] = ACTIONS(2208),
    [anon_sym_U_SQUOTE] = ACTIONS(2208),
    [anon_sym_u8_SQUOTE] = ACTIONS(2208),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_L_DQUOTE] = ACTIONS(2208),
    [anon_sym_u_DQUOTE] = ACTIONS(2208),
    [anon_sym_U_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8_DQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2208),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [anon_sym_NULL] = ACTIONS(2210),
    [anon_sym_nullptr] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_delete] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_co_return] = ACTIONS(2210),
    [anon_sym_co_yield] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
    [anon_sym_R_DQUOTE] = ACTIONS(2208),
    [anon_sym_LR_DQUOTE] = ACTIONS(2208),
    [anon_sym_uR_DQUOTE] = ACTIONS(2208),
    [anon_sym_UR_DQUOTE] = ACTIONS(2208),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2208),
    [anon_sym_co_await] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
  },
  [1133] = {
    [sym_else_clause] = STATE(1208),
    [sym_identifier] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(4196),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_goto] = ACTIONS(2182),
    [anon_sym___try] = ACTIONS(2182),
    [anon_sym___leave] = ACTIONS(2182),
    [anon_sym_not] = ACTIONS(2182),
    [anon_sym_compl] = ACTIONS(2182),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_sizeof] = ACTIONS(2182),
    [anon_sym___alignof__] = ACTIONS(2182),
    [anon_sym___alignof] = ACTIONS(2182),
    [anon_sym__alignof] = ACTIONS(2182),
    [anon_sym_alignof] = ACTIONS(2182),
    [anon_sym__Alignof] = ACTIONS(2182),
    [anon_sym_offsetof] = ACTIONS(2182),
    [anon_sym__Generic] = ACTIONS(2182),
    [anon_sym_asm] = ACTIONS(2182),
    [anon_sym___asm__] = ACTIONS(2182),
    [sym_number_literal] = ACTIONS(2180),
    [anon_sym_L_SQUOTE] = ACTIONS(2180),
    [anon_sym_u_SQUOTE] = ACTIONS(2180),
    [anon_sym_U_SQUOTE] = ACTIONS(2180),
    [anon_sym_u8_SQUOTE] = ACTIONS(2180),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_L_DQUOTE] = ACTIONS(2180),
    [anon_sym_u_DQUOTE] = ACTIONS(2180),
    [anon_sym_U_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8_DQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2180),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [anon_sym_NULL] = ACTIONS(2182),
    [anon_sym_nullptr] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_delete] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_co_return] = ACTIONS(2182),
    [anon_sym_co_yield] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
    [anon_sym_R_DQUOTE] = ACTIONS(2180),
    [anon_sym_LR_DQUOTE] = ACTIONS(2180),
    [anon_sym_uR_DQUOTE] = ACTIONS(2180),
    [anon_sym_UR_DQUOTE] = ACTIONS(2180),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2180),
    [anon_sym_co_await] = ACTIONS(2182),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
  },
  [1135] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2879),
    [anon_sym_LPAREN2] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2881),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym___extension__] = ACTIONS(2879),
    [anon_sym_typedef] = ACTIONS(2879),
    [anon_sym_extern] = ACTIONS(2879),
    [anon_sym___attribute__] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2881),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2881),
    [anon_sym___declspec] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2881),
    [anon_sym_signed] = ACTIONS(2879),
    [anon_sym_unsigned] = ACTIONS(2879),
    [anon_sym_long] = ACTIONS(2879),
    [anon_sym_short] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2879),
    [anon_sym_register] = ACTIONS(2879),
    [anon_sym_inline] = ACTIONS(2879),
    [anon_sym___inline] = ACTIONS(2879),
    [anon_sym___inline__] = ACTIONS(2879),
    [anon_sym___forceinline] = ACTIONS(2879),
    [anon_sym_thread_local] = ACTIONS(2879),
    [anon_sym___thread] = ACTIONS(2879),
    [anon_sym_const] = ACTIONS(2879),
    [anon_sym_constexpr] = ACTIONS(2879),
    [anon_sym_volatile] = ACTIONS(2879),
    [anon_sym_restrict] = ACTIONS(2879),
    [anon_sym___restrict__] = ACTIONS(2879),
    [anon_sym__Atomic] = ACTIONS(2879),
    [anon_sym__Noreturn] = ACTIONS(2879),
    [anon_sym_noreturn] = ACTIONS(2879),
    [anon_sym_mutable] = ACTIONS(2879),
    [anon_sym_constinit] = ACTIONS(2879),
    [anon_sym_consteval] = ACTIONS(2879),
    [sym_primitive_type] = ACTIONS(2879),
    [anon_sym_enum] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2879),
    [anon_sym_struct] = ACTIONS(2879),
    [anon_sym_union] = ACTIONS(2879),
    [anon_sym_if] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2879),
    [anon_sym_switch] = ACTIONS(2879),
    [anon_sym_while] = ACTIONS(2879),
    [anon_sym_do] = ACTIONS(2879),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_return] = ACTIONS(2879),
    [anon_sym_break] = ACTIONS(2879),
    [anon_sym_continue] = ACTIONS(2879),
    [anon_sym_goto] = ACTIONS(2879),
    [anon_sym___try] = ACTIONS(2879),
    [anon_sym___leave] = ACTIONS(2879),
    [anon_sym_not] = ACTIONS(2879),
    [anon_sym_compl] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_sizeof] = ACTIONS(2879),
    [anon_sym___alignof__] = ACTIONS(2879),
    [anon_sym___alignof] = ACTIONS(2879),
    [anon_sym__alignof] = ACTIONS(2879),
    [anon_sym_alignof] = ACTIONS(2879),
    [anon_sym__Alignof] = ACTIONS(2879),
    [anon_sym_offsetof] = ACTIONS(2879),
    [anon_sym__Generic] = ACTIONS(2879),
    [anon_sym_asm] = ACTIONS(2879),
    [anon_sym___asm__] = ACTIONS(2879),
    [sym_number_literal] = ACTIONS(2881),
    [anon_sym_L_SQUOTE] = ACTIONS(2881),
    [anon_sym_u_SQUOTE] = ACTIONS(2881),
    [anon_sym_U_SQUOTE] = ACTIONS(2881),
    [anon_sym_u8_SQUOTE] = ACTIONS(2881),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_L_DQUOTE] = ACTIONS(2881),
    [anon_sym_u_DQUOTE] = ACTIONS(2881),
    [anon_sym_U_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8_DQUOTE] = ACTIONS(2881),
    [anon_sym_DQUOTE] = ACTIONS(2881),
    [sym_true] = ACTIONS(2879),
    [sym_false] = ACTIONS(2879),
    [anon_sym_NULL] = ACTIONS(2879),
    [anon_sym_nullptr] = ACTIONS(2879),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2879),
    [anon_sym_decltype] = ACTIONS(2879),
    [anon_sym_virtual] = ACTIONS(2879),
    [anon_sym_alignas] = ACTIONS(2879),
    [anon_sym_typename] = ACTIONS(2879),
    [anon_sym_template] = ACTIONS(2879),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_delete] = ACTIONS(2879),
    [anon_sym_throw] = ACTIONS(2879),
    [anon_sym_co_return] = ACTIONS(2879),
    [anon_sym_co_yield] = ACTIONS(2879),
    [anon_sym_R_DQUOTE] = ACTIONS(2881),
    [anon_sym_LR_DQUOTE] = ACTIONS(2881),
    [anon_sym_uR_DQUOTE] = ACTIONS(2881),
    [anon_sym_UR_DQUOTE] = ACTIONS(2881),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2881),
    [anon_sym_co_await] = ACTIONS(2879),
    [anon_sym_new] = ACTIONS(2879),
    [anon_sym_requires] = ACTIONS(2879),
    [sym_this] = ACTIONS(2879),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2891),
    [anon_sym_LPAREN2] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2893),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2891),
    [anon_sym_typedef] = ACTIONS(2891),
    [anon_sym_extern] = ACTIONS(2891),
    [anon_sym___attribute__] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2893),
    [anon_sym___declspec] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2891),
    [anon_sym_unsigned] = ACTIONS(2891),
    [anon_sym_long] = ACTIONS(2891),
    [anon_sym_short] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2891),
    [anon_sym_register] = ACTIONS(2891),
    [anon_sym_inline] = ACTIONS(2891),
    [anon_sym___inline] = ACTIONS(2891),
    [anon_sym___inline__] = ACTIONS(2891),
    [anon_sym___forceinline] = ACTIONS(2891),
    [anon_sym_thread_local] = ACTIONS(2891),
    [anon_sym___thread] = ACTIONS(2891),
    [anon_sym_const] = ACTIONS(2891),
    [anon_sym_constexpr] = ACTIONS(2891),
    [anon_sym_volatile] = ACTIONS(2891),
    [anon_sym_restrict] = ACTIONS(2891),
    [anon_sym___restrict__] = ACTIONS(2891),
    [anon_sym__Atomic] = ACTIONS(2891),
    [anon_sym__Noreturn] = ACTIONS(2891),
    [anon_sym_noreturn] = ACTIONS(2891),
    [anon_sym_mutable] = ACTIONS(2891),
    [anon_sym_constinit] = ACTIONS(2891),
    [anon_sym_consteval] = ACTIONS(2891),
    [sym_primitive_type] = ACTIONS(2891),
    [anon_sym_enum] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2891),
    [anon_sym_struct] = ACTIONS(2891),
    [anon_sym_union] = ACTIONS(2891),
    [anon_sym_if] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2891),
    [anon_sym_switch] = ACTIONS(2891),
    [anon_sym_while] = ACTIONS(2891),
    [anon_sym_do] = ACTIONS(2891),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_return] = ACTIONS(2891),
    [anon_sym_break] = ACTIONS(2891),
    [anon_sym_continue] = ACTIONS(2891),
    [anon_sym_goto] = ACTIONS(2891),
    [anon_sym___try] = ACTIONS(2891),
    [anon_sym___leave] = ACTIONS(2891),
    [anon_sym_not] = ACTIONS(2891),
    [anon_sym_compl] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_sizeof] = ACTIONS(2891),
    [anon_sym___alignof__] = ACTIONS(2891),
    [anon_sym___alignof] = ACTIONS(2891),
    [anon_sym__alignof] = ACTIONS(2891),
    [anon_sym_alignof] = ACTIONS(2891),
    [anon_sym__Alignof] = ACTIONS(2891),
    [anon_sym_offsetof] = ACTIONS(2891),
    [anon_sym__Generic] = ACTIONS(2891),
    [anon_sym_asm] = ACTIONS(2891),
    [anon_sym___asm__] = ACTIONS(2891),
    [sym_number_literal] = ACTIONS(2893),
    [anon_sym_L_SQUOTE] = ACTIONS(2893),
    [anon_sym_u_SQUOTE] = ACTIONS(2893),
    [anon_sym_U_SQUOTE] = ACTIONS(2893),
    [anon_sym_u8_SQUOTE] = ACTIONS(2893),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_L_DQUOTE] = ACTIONS(2893),
    [anon_sym_u_DQUOTE] = ACTIONS(2893),
    [anon_sym_U_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8_DQUOTE] = ACTIONS(2893),
    [anon_sym_DQUOTE] = ACTIONS(2893),
    [sym_true] = ACTIONS(2891),
    [sym_false] = ACTIONS(2891),
    [anon_sym_NULL] = ACTIONS(2891),
    [anon_sym_nullptr] = ACTIONS(2891),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2891),
    [anon_sym_decltype] = ACTIONS(2891),
    [anon_sym_virtual] = ACTIONS(2891),
    [anon_sym_alignas] = ACTIONS(2891),
    [anon_sym_typename] = ACTIONS(2891),
    [anon_sym_template] = ACTIONS(2891),
    [anon_sym_try] = ACTIONS(2891),
    [anon_sym_delete] = ACTIONS(2891),
    [anon_sym_throw] = ACTIONS(2891),
    [anon_sym_co_return] = ACTIONS(2891),
    [anon_sym_co_yield] = ACTIONS(2891),
    [anon_sym_R_DQUOTE] = ACTIONS(2893),
    [anon_sym_LR_DQUOTE] = ACTIONS(2893),
    [anon_sym_uR_DQUOTE] = ACTIONS(2893),
    [anon_sym_UR_DQUOTE] = ACTIONS(2893),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2893),
    [anon_sym_co_await] = ACTIONS(2891),
    [anon_sym_new] = ACTIONS(2891),
    [anon_sym_requires] = ACTIONS(2891),
    [sym_this] = ACTIONS(2891),
  },
  [1138] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(2997),
    [anon_sym_LPAREN2] = ACTIONS(2999),
    [anon_sym_BANG] = ACTIONS(2999),
    [anon_sym_TILDE] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym___extension__] = ACTIONS(2997),
    [anon_sym_typedef] = ACTIONS(2997),
    [anon_sym_extern] = ACTIONS(2997),
    [anon_sym___attribute__] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2999),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2999),
    [anon_sym___declspec] = ACTIONS(2997),
    [anon_sym_LBRACE] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2997),
    [anon_sym_unsigned] = ACTIONS(2997),
    [anon_sym_long] = ACTIONS(2997),
    [anon_sym_short] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym_static] = ACTIONS(2997),
    [anon_sym_register] = ACTIONS(2997),
    [anon_sym_inline] = ACTIONS(2997),
    [anon_sym___inline] = ACTIONS(2997),
    [anon_sym___inline__] = ACTIONS(2997),
    [anon_sym___forceinline] = ACTIONS(2997),
    [anon_sym_thread_local] = ACTIONS(2997),
    [anon_sym___thread] = ACTIONS(2997),
    [anon_sym_const] = ACTIONS(2997),
    [anon_sym_constexpr] = ACTIONS(2997),
    [anon_sym_volatile] = ACTIONS(2997),
    [anon_sym_restrict] = ACTIONS(2997),
    [anon_sym___restrict__] = ACTIONS(2997),
    [anon_sym__Atomic] = ACTIONS(2997),
    [anon_sym__Noreturn] = ACTIONS(2997),
    [anon_sym_noreturn] = ACTIONS(2997),
    [anon_sym_mutable] = ACTIONS(2997),
    [anon_sym_constinit] = ACTIONS(2997),
    [anon_sym_consteval] = ACTIONS(2997),
    [sym_primitive_type] = ACTIONS(2997),
    [anon_sym_enum] = ACTIONS(2997),
    [anon_sym_class] = ACTIONS(2997),
    [anon_sym_struct] = ACTIONS(2997),
    [anon_sym_union] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_else] = ACTIONS(2997),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_do] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2997),
    [anon_sym_return] = ACTIONS(2997),
    [anon_sym_break] = ACTIONS(2997),
    [anon_sym_continue] = ACTIONS(2997),
    [anon_sym_goto] = ACTIONS(2997),
    [anon_sym___try] = ACTIONS(2997),
    [anon_sym___leave] = ACTIONS(2997),
    [anon_sym_not] = ACTIONS(2997),
    [anon_sym_compl] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_sizeof] = ACTIONS(2997),
    [anon_sym___alignof__] = ACTIONS(2997),
    [anon_sym___alignof] = ACTIONS(2997),
    [anon_sym__alignof] = ACTIONS(2997),
    [anon_sym_alignof] = ACTIONS(2997),
    [anon_sym__Alignof] = ACTIONS(2997),
    [anon_sym_offsetof] = ACTIONS(2997),
    [anon_sym__Generic] = ACTIONS(2997),
    [anon_sym_asm] = ACTIONS(2997),
    [anon_sym___asm__] = ACTIONS(2997),
    [sym_number_literal] = ACTIONS(2999),
    [anon_sym_L_SQUOTE] = ACTIONS(2999),
    [anon_sym_u_SQUOTE] = ACTIONS(2999),
    [anon_sym_U_SQUOTE] = ACTIONS(2999),
    [anon_sym_u8_SQUOTE] = ACTIONS(2999),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_L_DQUOTE] = ACTIONS(2999),
    [anon_sym_u_DQUOTE] = ACTIONS(2999),
    [anon_sym_U_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8_DQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(2999),
    [sym_true] = ACTIONS(2997),
    [sym_false] = ACTIONS(2997),
    [anon_sym_NULL] = ACTIONS(2997),
    [anon_sym_nullptr] = ACTIONS(2997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2997),
    [anon_sym_decltype] = ACTIONS(2997),
    [anon_sym_virtual] = ACTIONS(2997),
    [anon_sym_alignas] = ACTIONS(2997),
    [anon_sym_typename] = ACTIONS(2997),
    [anon_sym_template] = ACTIONS(2997),
    [anon_sym_try] = ACTIONS(2997),
    [anon_sym_delete] = ACTIONS(2997),
    [anon_sym_throw] = ACTIONS(2997),
    [anon_sym_co_return] = ACTIONS(2997),
    [anon_sym_co_yield] = ACTIONS(2997),
    [anon_sym_R_DQUOTE] = ACTIONS(2999),
    [anon_sym_LR_DQUOTE] = ACTIONS(2999),
    [anon_sym_uR_DQUOTE] = ACTIONS(2999),
    [anon_sym_UR_DQUOTE] = ACTIONS(2999),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2999),
    [anon_sym_co_await] = ACTIONS(2997),
    [anon_sym_new] = ACTIONS(2997),
    [anon_sym_requires] = ACTIONS(2997),
    [sym_this] = ACTIONS(2997),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(2899),
    [anon_sym_LPAREN2] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2901),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym___extension__] = ACTIONS(2899),
    [anon_sym_typedef] = ACTIONS(2899),
    [anon_sym_extern] = ACTIONS(2899),
    [anon_sym___attribute__] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2901),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2901),
    [anon_sym___declspec] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2901),
    [anon_sym_signed] = ACTIONS(2899),
    [anon_sym_unsigned] = ACTIONS(2899),
    [anon_sym_long] = ACTIONS(2899),
    [anon_sym_short] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2899),
    [anon_sym_register] = ACTIONS(2899),
    [anon_sym_inline] = ACTIONS(2899),
    [anon_sym___inline] = ACTIONS(2899),
    [anon_sym___inline__] = ACTIONS(2899),
    [anon_sym___forceinline] = ACTIONS(2899),
    [anon_sym_thread_local] = ACTIONS(2899),
    [anon_sym___thread] = ACTIONS(2899),
    [anon_sym_const] = ACTIONS(2899),
    [anon_sym_constexpr] = ACTIONS(2899),
    [anon_sym_volatile] = ACTIONS(2899),
    [anon_sym_restrict] = ACTIONS(2899),
    [anon_sym___restrict__] = ACTIONS(2899),
    [anon_sym__Atomic] = ACTIONS(2899),
    [anon_sym__Noreturn] = ACTIONS(2899),
    [anon_sym_noreturn] = ACTIONS(2899),
    [anon_sym_mutable] = ACTIONS(2899),
    [anon_sym_constinit] = ACTIONS(2899),
    [anon_sym_consteval] = ACTIONS(2899),
    [sym_primitive_type] = ACTIONS(2899),
    [anon_sym_enum] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(2899),
    [anon_sym_union] = ACTIONS(2899),
    [anon_sym_if] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2899),
    [anon_sym_switch] = ACTIONS(2899),
    [anon_sym_while] = ACTIONS(2899),
    [anon_sym_do] = ACTIONS(2899),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_return] = ACTIONS(2899),
    [anon_sym_break] = ACTIONS(2899),
    [anon_sym_continue] = ACTIONS(2899),
    [anon_sym_goto] = ACTIONS(2899),
    [anon_sym___try] = ACTIONS(2899),
    [anon_sym___leave] = ACTIONS(2899),
    [anon_sym_not] = ACTIONS(2899),
    [anon_sym_compl] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_sizeof] = ACTIONS(2899),
    [anon_sym___alignof__] = ACTIONS(2899),
    [anon_sym___alignof] = ACTIONS(2899),
    [anon_sym__alignof] = ACTIONS(2899),
    [anon_sym_alignof] = ACTIONS(2899),
    [anon_sym__Alignof] = ACTIONS(2899),
    [anon_sym_offsetof] = ACTIONS(2899),
    [anon_sym__Generic] = ACTIONS(2899),
    [anon_sym_asm] = ACTIONS(2899),
    [anon_sym___asm__] = ACTIONS(2899),
    [sym_number_literal] = ACTIONS(2901),
    [anon_sym_L_SQUOTE] = ACTIONS(2901),
    [anon_sym_u_SQUOTE] = ACTIONS(2901),
    [anon_sym_U_SQUOTE] = ACTIONS(2901),
    [anon_sym_u8_SQUOTE] = ACTIONS(2901),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_L_DQUOTE] = ACTIONS(2901),
    [anon_sym_u_DQUOTE] = ACTIONS(2901),
    [anon_sym_U_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8_DQUOTE] = ACTIONS(2901),
    [anon_sym_DQUOTE] = ACTIONS(2901),
    [sym_true] = ACTIONS(2899),
    [sym_false] = ACTIONS(2899),
    [anon_sym_NULL] = ACTIONS(2899),
    [anon_sym_nullptr] = ACTIONS(2899),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2899),
    [anon_sym_decltype] = ACTIONS(2899),
    [anon_sym_virtual] = ACTIONS(2899),
    [anon_sym_alignas] = ACTIONS(2899),
    [anon_sym_typename] = ACTIONS(2899),
    [anon_sym_template] = ACTIONS(2899),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_delete] = ACTIONS(2899),
    [anon_sym_throw] = ACTIONS(2899),
    [anon_sym_co_return] = ACTIONS(2899),
    [anon_sym_co_yield] = ACTIONS(2899),
    [anon_sym_R_DQUOTE] = ACTIONS(2901),
    [anon_sym_LR_DQUOTE] = ACTIONS(2901),
    [anon_sym_uR_DQUOTE] = ACTIONS(2901),
    [anon_sym_UR_DQUOTE] = ACTIONS(2901),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2901),
    [anon_sym_co_await] = ACTIONS(2899),
    [anon_sym_new] = ACTIONS(2899),
    [anon_sym_requires] = ACTIONS(2899),
    [sym_this] = ACTIONS(2899),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [anon_sym_if] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2895),
    [anon_sym_switch] = ACTIONS(2895),
    [anon_sym_while] = ACTIONS(2895),
    [anon_sym_do] = ACTIONS(2895),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_return] = ACTIONS(2895),
    [anon_sym_break] = ACTIONS(2895),
    [anon_sym_continue] = ACTIONS(2895),
    [anon_sym_goto] = ACTIONS(2895),
    [anon_sym___try] = ACTIONS(2895),
    [anon_sym___leave] = ACTIONS(2895),
    [anon_sym_not] = ACTIONS(2895),
    [anon_sym_compl] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_sizeof] = ACTIONS(2895),
    [anon_sym___alignof__] = ACTIONS(2895),
    [anon_sym___alignof] = ACTIONS(2895),
    [anon_sym__alignof] = ACTIONS(2895),
    [anon_sym_alignof] = ACTIONS(2895),
    [anon_sym__Alignof] = ACTIONS(2895),
    [anon_sym_offsetof] = ACTIONS(2895),
    [anon_sym__Generic] = ACTIONS(2895),
    [anon_sym_asm] = ACTIONS(2895),
    [anon_sym___asm__] = ACTIONS(2895),
    [sym_number_literal] = ACTIONS(2897),
    [anon_sym_L_SQUOTE] = ACTIONS(2897),
    [anon_sym_u_SQUOTE] = ACTIONS(2897),
    [anon_sym_U_SQUOTE] = ACTIONS(2897),
    [anon_sym_u8_SQUOTE] = ACTIONS(2897),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_L_DQUOTE] = ACTIONS(2897),
    [anon_sym_u_DQUOTE] = ACTIONS(2897),
    [anon_sym_U_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8_DQUOTE] = ACTIONS(2897),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_true] = ACTIONS(2895),
    [sym_false] = ACTIONS(2895),
    [anon_sym_NULL] = ACTIONS(2895),
    [anon_sym_nullptr] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_try] = ACTIONS(2895),
    [anon_sym_delete] = ACTIONS(2895),
    [anon_sym_throw] = ACTIONS(2895),
    [anon_sym_co_return] = ACTIONS(2895),
    [anon_sym_co_yield] = ACTIONS(2895),
    [anon_sym_R_DQUOTE] = ACTIONS(2897),
    [anon_sym_LR_DQUOTE] = ACTIONS(2897),
    [anon_sym_uR_DQUOTE] = ACTIONS(2897),
    [anon_sym_UR_DQUOTE] = ACTIONS(2897),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2897),
    [anon_sym_co_await] = ACTIONS(2895),
    [anon_sym_new] = ACTIONS(2895),
    [anon_sym_requires] = ACTIONS(2895),
    [sym_this] = ACTIONS(2895),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(2993),
    [anon_sym_LPAREN2] = ACTIONS(2995),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2993),
    [anon_sym_typedef] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym___attribute__] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2995),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2995),
    [anon_sym___declspec] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2993),
    [anon_sym_unsigned] = ACTIONS(2993),
    [anon_sym_long] = ACTIONS(2993),
    [anon_sym_short] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_register] = ACTIONS(2993),
    [anon_sym_inline] = ACTIONS(2993),
    [anon_sym___inline] = ACTIONS(2993),
    [anon_sym___inline__] = ACTIONS(2993),
    [anon_sym___forceinline] = ACTIONS(2993),
    [anon_sym_thread_local] = ACTIONS(2993),
    [anon_sym___thread] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_constexpr] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_restrict] = ACTIONS(2993),
    [anon_sym___restrict__] = ACTIONS(2993),
    [anon_sym__Atomic] = ACTIONS(2993),
    [anon_sym__Noreturn] = ACTIONS(2993),
    [anon_sym_noreturn] = ACTIONS(2993),
    [anon_sym_mutable] = ACTIONS(2993),
    [anon_sym_constinit] = ACTIONS(2993),
    [anon_sym_consteval] = ACTIONS(2993),
    [sym_primitive_type] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_union] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym___leave] = ACTIONS(2993),
    [anon_sym_not] = ACTIONS(2993),
    [anon_sym_compl] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2995),
    [anon_sym_L_SQUOTE] = ACTIONS(2995),
    [anon_sym_u_SQUOTE] = ACTIONS(2995),
    [anon_sym_U_SQUOTE] = ACTIONS(2995),
    [anon_sym_u8_SQUOTE] = ACTIONS(2995),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [anon_sym_L_DQUOTE] = ACTIONS(2995),
    [anon_sym_u_DQUOTE] = ACTIONS(2995),
    [anon_sym_U_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8_DQUOTE] = ACTIONS(2995),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2993),
    [anon_sym_decltype] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_alignas] = ACTIONS(2993),
    [anon_sym_typename] = ACTIONS(2993),
    [anon_sym_template] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_delete] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_co_return] = ACTIONS(2993),
    [anon_sym_co_yield] = ACTIONS(2993),
    [anon_sym_R_DQUOTE] = ACTIONS(2995),
    [anon_sym_LR_DQUOTE] = ACTIONS(2995),
    [anon_sym_uR_DQUOTE] = ACTIONS(2995),
    [anon_sym_UR_DQUOTE] = ACTIONS(2995),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2995),
    [anon_sym_co_await] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_requires] = ACTIONS(2993),
    [sym_this] = ACTIONS(2993),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(4081),
    [anon_sym_LPAREN2] = ACTIONS(4083),
    [anon_sym_BANG] = ACTIONS(4083),
    [anon_sym_TILDE] = ACTIONS(4083),
    [anon_sym_DASH] = ACTIONS(4081),
    [anon_sym_PLUS] = ACTIONS(4081),
    [anon_sym_STAR] = ACTIONS(4083),
    [anon_sym_AMP] = ACTIONS(4083),
    [anon_sym_SEMI] = ACTIONS(4083),
    [anon_sym___extension__] = ACTIONS(4081),
    [anon_sym_extern] = ACTIONS(4081),
    [anon_sym___attribute__] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(4083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4083),
    [anon_sym___declspec] = ACTIONS(4081),
    [anon_sym_LBRACE] = ACTIONS(4083),
    [anon_sym_signed] = ACTIONS(4081),
    [anon_sym_unsigned] = ACTIONS(4081),
    [anon_sym_long] = ACTIONS(4081),
    [anon_sym_short] = ACTIONS(4081),
    [anon_sym_LBRACK] = ACTIONS(4081),
    [anon_sym_static] = ACTIONS(4081),
    [anon_sym_register] = ACTIONS(4081),
    [anon_sym_inline] = ACTIONS(4081),
    [anon_sym___inline] = ACTIONS(4081),
    [anon_sym___inline__] = ACTIONS(4081),
    [anon_sym___forceinline] = ACTIONS(4081),
    [anon_sym_thread_local] = ACTIONS(4081),
    [anon_sym___thread] = ACTIONS(4081),
    [anon_sym_const] = ACTIONS(4081),
    [anon_sym_constexpr] = ACTIONS(4081),
    [anon_sym_volatile] = ACTIONS(4081),
    [anon_sym_restrict] = ACTIONS(4081),
    [anon_sym___restrict__] = ACTIONS(4081),
    [anon_sym__Atomic] = ACTIONS(4081),
    [anon_sym__Noreturn] = ACTIONS(4081),
    [anon_sym_noreturn] = ACTIONS(4081),
    [anon_sym_mutable] = ACTIONS(4081),
    [anon_sym_constinit] = ACTIONS(4081),
    [anon_sym_consteval] = ACTIONS(4081),
    [sym_primitive_type] = ACTIONS(4081),
    [anon_sym_enum] = ACTIONS(4081),
    [anon_sym_class] = ACTIONS(4081),
    [anon_sym_struct] = ACTIONS(4081),
    [anon_sym_union] = ACTIONS(4081),
    [anon_sym_if] = ACTIONS(4081),
    [anon_sym_switch] = ACTIONS(4081),
    [anon_sym_case] = ACTIONS(4081),
    [anon_sym_default] = ACTIONS(4081),
    [anon_sym_while] = ACTIONS(4081),
    [anon_sym_do] = ACTIONS(4081),
    [anon_sym_for] = ACTIONS(4081),
    [anon_sym_return] = ACTIONS(4081),
    [anon_sym_break] = ACTIONS(4081),
    [anon_sym_continue] = ACTIONS(4081),
    [anon_sym_goto] = ACTIONS(4081),
    [anon_sym___try] = ACTIONS(4081),
    [anon_sym___leave] = ACTIONS(4081),
    [anon_sym_not] = ACTIONS(4081),
    [anon_sym_compl] = ACTIONS(4081),
    [anon_sym_DASH_DASH] = ACTIONS(4083),
    [anon_sym_PLUS_PLUS] = ACTIONS(4083),
    [anon_sym_sizeof] = ACTIONS(4081),
    [anon_sym___alignof__] = ACTIONS(4081),
    [anon_sym___alignof] = ACTIONS(4081),
    [anon_sym__alignof] = ACTIONS(4081),
    [anon_sym_alignof] = ACTIONS(4081),
    [anon_sym__Alignof] = ACTIONS(4081),
    [anon_sym_offsetof] = ACTIONS(4081),
    [anon_sym__Generic] = ACTIONS(4081),
    [anon_sym_asm] = ACTIONS(4081),
    [anon_sym___asm__] = ACTIONS(4081),
    [sym_number_literal] = ACTIONS(4083),
    [anon_sym_L_SQUOTE] = ACTIONS(4083),
    [anon_sym_u_SQUOTE] = ACTIONS(4083),
    [anon_sym_U_SQUOTE] = ACTIONS(4083),
    [anon_sym_u8_SQUOTE] = ACTIONS(4083),
    [anon_sym_SQUOTE] = ACTIONS(4083),
    [anon_sym_L_DQUOTE] = ACTIONS(4083),
    [anon_sym_u_DQUOTE] = ACTIONS(4083),
    [anon_sym_U_DQUOTE] = ACTIONS(4083),
    [anon_sym_u8_DQUOTE] = ACTIONS(4083),
    [anon_sym_DQUOTE] = ACTIONS(4083),
    [sym_true] = ACTIONS(4081),
    [sym_false] = ACTIONS(4081),
    [anon_sym_NULL] = ACTIONS(4081),
    [anon_sym_nullptr] = ACTIONS(4081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4081),
    [anon_sym_decltype] = ACTIONS(4081),
    [anon_sym_virtual] = ACTIONS(4081),
    [anon_sym_alignas] = ACTIONS(4081),
    [anon_sym_typename] = ACTIONS(4081),
    [anon_sym_template] = ACTIONS(4081),
    [anon_sym_try] = ACTIONS(4081),
    [anon_sym_delete] = ACTIONS(4081),
    [anon_sym_throw] = ACTIONS(4081),
    [anon_sym_co_return] = ACTIONS(4081),
    [anon_sym_co_yield] = ACTIONS(4081),
    [anon_sym_R_DQUOTE] = ACTIONS(4083),
    [anon_sym_LR_DQUOTE] = ACTIONS(4083),
    [anon_sym_uR_DQUOTE] = ACTIONS(4083),
    [anon_sym_UR_DQUOTE] = ACTIONS(4083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4083),
    [anon_sym_co_await] = ACTIONS(4081),
    [anon_sym_new] = ACTIONS(4081),
    [anon_sym_requires] = ACTIONS(4081),
    [sym_this] = ACTIONS(4081),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(2939),
    [anon_sym_LPAREN2] = ACTIONS(2941),
    [anon_sym_BANG] = ACTIONS(2941),
    [anon_sym_TILDE] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2939),
    [anon_sym_typedef] = ACTIONS(2939),
    [anon_sym_extern] = ACTIONS(2939),
    [anon_sym___attribute__] = ACTIONS(2939),
    [anon_sym_COLON_COLON] = ACTIONS(2941),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2941),
    [anon_sym___declspec] = ACTIONS(2939),
    [anon_sym_LBRACE] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2939),
    [anon_sym_unsigned] = ACTIONS(2939),
    [anon_sym_long] = ACTIONS(2939),
    [anon_sym_short] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(2939),
    [anon_sym_static] = ACTIONS(2939),
    [anon_sym_register] = ACTIONS(2939),
    [anon_sym_inline] = ACTIONS(2939),
    [anon_sym___inline] = ACTIONS(2939),
    [anon_sym___inline__] = ACTIONS(2939),
    [anon_sym___forceinline] = ACTIONS(2939),
    [anon_sym_thread_local] = ACTIONS(2939),
    [anon_sym___thread] = ACTIONS(2939),
    [anon_sym_const] = ACTIONS(2939),
    [anon_sym_constexpr] = ACTIONS(2939),
    [anon_sym_volatile] = ACTIONS(2939),
    [anon_sym_restrict] = ACTIONS(2939),
    [anon_sym___restrict__] = ACTIONS(2939),
    [anon_sym__Atomic] = ACTIONS(2939),
    [anon_sym__Noreturn] = ACTIONS(2939),
    [anon_sym_noreturn] = ACTIONS(2939),
    [anon_sym_mutable] = ACTIONS(2939),
    [anon_sym_constinit] = ACTIONS(2939),
    [anon_sym_consteval] = ACTIONS(2939),
    [sym_primitive_type] = ACTIONS(2939),
    [anon_sym_enum] = ACTIONS(2939),
    [anon_sym_class] = ACTIONS(2939),
    [anon_sym_struct] = ACTIONS(2939),
    [anon_sym_union] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_else] = ACTIONS(2939),
    [anon_sym_switch] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_do] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_return] = ACTIONS(2939),
    [anon_sym_break] = ACTIONS(2939),
    [anon_sym_continue] = ACTIONS(2939),
    [anon_sym_goto] = ACTIONS(2939),
    [anon_sym___try] = ACTIONS(2939),
    [anon_sym___leave] = ACTIONS(2939),
    [anon_sym_not] = ACTIONS(2939),
    [anon_sym_compl] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_sizeof] = ACTIONS(2939),
    [anon_sym___alignof__] = ACTIONS(2939),
    [anon_sym___alignof] = ACTIONS(2939),
    [anon_sym__alignof] = ACTIONS(2939),
    [anon_sym_alignof] = ACTIONS(2939),
    [anon_sym__Alignof] = ACTIONS(2939),
    [anon_sym_offsetof] = ACTIONS(2939),
    [anon_sym__Generic] = ACTIONS(2939),
    [anon_sym_asm] = ACTIONS(2939),
    [anon_sym___asm__] = ACTIONS(2939),
    [sym_number_literal] = ACTIONS(2941),
    [anon_sym_L_SQUOTE] = ACTIONS(2941),
    [anon_sym_u_SQUOTE] = ACTIONS(2941),
    [anon_sym_U_SQUOTE] = ACTIONS(2941),
    [anon_sym_u8_SQUOTE] = ACTIONS(2941),
    [anon_sym_SQUOTE] = ACTIONS(2941),
    [anon_sym_L_DQUOTE] = ACTIONS(2941),
    [anon_sym_u_DQUOTE] = ACTIONS(2941),
    [anon_sym_U_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8_DQUOTE] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_true] = ACTIONS(2939),
    [sym_false] = ACTIONS(2939),
    [anon_sym_NULL] = ACTIONS(2939),
    [anon_sym_nullptr] = ACTIONS(2939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2939),
    [anon_sym_decltype] = ACTIONS(2939),
    [anon_sym_virtual] = ACTIONS(2939),
    [anon_sym_alignas] = ACTIONS(2939),
    [anon_sym_typename] = ACTIONS(2939),
    [anon_sym_template] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2939),
    [anon_sym_delete] = ACTIONS(2939),
    [anon_sym_throw] = ACTIONS(2939),
    [anon_sym_co_return] = ACTIONS(2939),
    [anon_sym_co_yield] = ACTIONS(2939),
    [anon_sym_R_DQUOTE] = ACTIONS(2941),
    [anon_sym_LR_DQUOTE] = ACTIONS(2941),
    [anon_sym_uR_DQUOTE] = ACTIONS(2941),
    [anon_sym_UR_DQUOTE] = ACTIONS(2941),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2941),
    [anon_sym_co_await] = ACTIONS(2939),
    [anon_sym_new] = ACTIONS(2939),
    [anon_sym_requires] = ACTIONS(2939),
    [sym_this] = ACTIONS(2939),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(2935),
    [anon_sym_LPAREN2] = ACTIONS(2937),
    [anon_sym_BANG] = ACTIONS(2937),
    [anon_sym_TILDE] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2935),
    [anon_sym_typedef] = ACTIONS(2935),
    [anon_sym_extern] = ACTIONS(2935),
    [anon_sym___attribute__] = ACTIONS(2935),
    [anon_sym_COLON_COLON] = ACTIONS(2937),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2937),
    [anon_sym___declspec] = ACTIONS(2935),
    [anon_sym_LBRACE] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2935),
    [anon_sym_unsigned] = ACTIONS(2935),
    [anon_sym_long] = ACTIONS(2935),
    [anon_sym_short] = ACTIONS(2935),
    [anon_sym_LBRACK] = ACTIONS(2935),
    [anon_sym_static] = ACTIONS(2935),
    [anon_sym_register] = ACTIONS(2935),
    [anon_sym_inline] = ACTIONS(2935),
    [anon_sym___inline] = ACTIONS(2935),
    [anon_sym___inline__] = ACTIONS(2935),
    [anon_sym___forceinline] = ACTIONS(2935),
    [anon_sym_thread_local] = ACTIONS(2935),
    [anon_sym___thread] = ACTIONS(2935),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_constexpr] = ACTIONS(2935),
    [anon_sym_volatile] = ACTIONS(2935),
    [anon_sym_restrict] = ACTIONS(2935),
    [anon_sym___restrict__] = ACTIONS(2935),
    [anon_sym__Atomic] = ACTIONS(2935),
    [anon_sym__Noreturn] = ACTIONS(2935),
    [anon_sym_noreturn] = ACTIONS(2935),
    [anon_sym_mutable] = ACTIONS(2935),
    [anon_sym_constinit] = ACTIONS(2935),
    [anon_sym_consteval] = ACTIONS(2935),
    [sym_primitive_type] = ACTIONS(2935),
    [anon_sym_enum] = ACTIONS(2935),
    [anon_sym_class] = ACTIONS(2935),
    [anon_sym_struct] = ACTIONS(2935),
    [anon_sym_union] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_else] = ACTIONS(2935),
    [anon_sym_switch] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_do] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_return] = ACTIONS(2935),
    [anon_sym_break] = ACTIONS(2935),
    [anon_sym_continue] = ACTIONS(2935),
    [anon_sym_goto] = ACTIONS(2935),
    [anon_sym___try] = ACTIONS(2935),
    [anon_sym___leave] = ACTIONS(2935),
    [anon_sym_not] = ACTIONS(2935),
    [anon_sym_compl] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_sizeof] = ACTIONS(2935),
    [anon_sym___alignof__] = ACTIONS(2935),
    [anon_sym___alignof] = ACTIONS(2935),
    [anon_sym__alignof] = ACTIONS(2935),
    [anon_sym_alignof] = ACTIONS(2935),
    [anon_sym__Alignof] = ACTIONS(2935),
    [anon_sym_offsetof] = ACTIONS(2935),
    [anon_sym__Generic] = ACTIONS(2935),
    [anon_sym_asm] = ACTIONS(2935),
    [anon_sym___asm__] = ACTIONS(2935),
    [sym_number_literal] = ACTIONS(2937),
    [anon_sym_L_SQUOTE] = ACTIONS(2937),
    [anon_sym_u_SQUOTE] = ACTIONS(2937),
    [anon_sym_U_SQUOTE] = ACTIONS(2937),
    [anon_sym_u8_SQUOTE] = ACTIONS(2937),
    [anon_sym_SQUOTE] = ACTIONS(2937),
    [anon_sym_L_DQUOTE] = ACTIONS(2937),
    [anon_sym_u_DQUOTE] = ACTIONS(2937),
    [anon_sym_U_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8_DQUOTE] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_true] = ACTIONS(2935),
    [sym_false] = ACTIONS(2935),
    [anon_sym_NULL] = ACTIONS(2935),
    [anon_sym_nullptr] = ACTIONS(2935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2935),
    [anon_sym_decltype] = ACTIONS(2935),
    [anon_sym_virtual] = ACTIONS(2935),
    [anon_sym_alignas] = ACTIONS(2935),
    [anon_sym_typename] = ACTIONS(2935),
    [anon_sym_template] = ACTIONS(2935),
    [anon_sym_try] = ACTIONS(2935),
    [anon_sym_delete] = ACTIONS(2935),
    [anon_sym_throw] = ACTIONS(2935),
    [anon_sym_co_return] = ACTIONS(2935),
    [anon_sym_co_yield] = ACTIONS(2935),
    [anon_sym_R_DQUOTE] = ACTIONS(2937),
    [anon_sym_LR_DQUOTE] = ACTIONS(2937),
    [anon_sym_uR_DQUOTE] = ACTIONS(2937),
    [anon_sym_UR_DQUOTE] = ACTIONS(2937),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2937),
    [anon_sym_co_await] = ACTIONS(2935),
    [anon_sym_new] = ACTIONS(2935),
    [anon_sym_requires] = ACTIONS(2935),
    [sym_this] = ACTIONS(2935),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(4085),
    [anon_sym_LPAREN2] = ACTIONS(4091),
    [anon_sym_BANG] = ACTIONS(4091),
    [anon_sym_TILDE] = ACTIONS(4091),
    [anon_sym_DASH] = ACTIONS(4093),
    [anon_sym_PLUS] = ACTIONS(4093),
    [anon_sym_STAR] = ACTIONS(4091),
    [anon_sym_AMP] = ACTIONS(4091),
    [anon_sym_SEMI] = ACTIONS(4091),
    [anon_sym___extension__] = ACTIONS(4097),
    [anon_sym_extern] = ACTIONS(4097),
    [anon_sym___attribute__] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4088),
    [anon_sym___declspec] = ACTIONS(4097),
    [anon_sym_LBRACE] = ACTIONS(4091),
    [anon_sym_signed] = ACTIONS(4097),
    [anon_sym_unsigned] = ACTIONS(4097),
    [anon_sym_long] = ACTIONS(4097),
    [anon_sym_short] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4093),
    [anon_sym_static] = ACTIONS(4097),
    [anon_sym_register] = ACTIONS(4097),
    [anon_sym_inline] = ACTIONS(4097),
    [anon_sym___inline] = ACTIONS(4097),
    [anon_sym___inline__] = ACTIONS(4097),
    [anon_sym___forceinline] = ACTIONS(4097),
    [anon_sym_thread_local] = ACTIONS(4097),
    [anon_sym___thread] = ACTIONS(4097),
    [anon_sym_const] = ACTIONS(4097),
    [anon_sym_constexpr] = ACTIONS(4097),
    [anon_sym_volatile] = ACTIONS(4097),
    [anon_sym_restrict] = ACTIONS(4097),
    [anon_sym___restrict__] = ACTIONS(4097),
    [anon_sym__Atomic] = ACTIONS(4097),
    [anon_sym__Noreturn] = ACTIONS(4097),
    [anon_sym_noreturn] = ACTIONS(4097),
    [anon_sym_mutable] = ACTIONS(4097),
    [anon_sym_constinit] = ACTIONS(4097),
    [anon_sym_consteval] = ACTIONS(4097),
    [sym_primitive_type] = ACTIONS(4085),
    [anon_sym_enum] = ACTIONS(4097),
    [anon_sym_class] = ACTIONS(4097),
    [anon_sym_struct] = ACTIONS(4097),
    [anon_sym_union] = ACTIONS(4097),
    [anon_sym_if] = ACTIONS(4093),
    [anon_sym_switch] = ACTIONS(4093),
    [anon_sym_case] = ACTIONS(4093),
    [anon_sym_default] = ACTIONS(4093),
    [anon_sym_while] = ACTIONS(4093),
    [anon_sym_do] = ACTIONS(4093),
    [anon_sym_for] = ACTIONS(4093),
    [anon_sym_return] = ACTIONS(4093),
    [anon_sym_break] = ACTIONS(4093),
    [anon_sym_continue] = ACTIONS(4093),
    [anon_sym_goto] = ACTIONS(4093),
    [anon_sym___try] = ACTIONS(4093),
    [anon_sym___leave] = ACTIONS(4093),
    [anon_sym_not] = ACTIONS(4093),
    [anon_sym_compl] = ACTIONS(4093),
    [anon_sym_DASH_DASH] = ACTIONS(4091),
    [anon_sym_PLUS_PLUS] = ACTIONS(4091),
    [anon_sym_sizeof] = ACTIONS(4093),
    [anon_sym___alignof__] = ACTIONS(4093),
    [anon_sym___alignof] = ACTIONS(4093),
    [anon_sym__alignof] = ACTIONS(4093),
    [anon_sym_alignof] = ACTIONS(4093),
    [anon_sym__Alignof] = ACTIONS(4093),
    [anon_sym_offsetof] = ACTIONS(4093),
    [anon_sym__Generic] = ACTIONS(4093),
    [anon_sym_asm] = ACTIONS(4093),
    [anon_sym___asm__] = ACTIONS(4093),
    [sym_number_literal] = ACTIONS(4091),
    [anon_sym_L_SQUOTE] = ACTIONS(4091),
    [anon_sym_u_SQUOTE] = ACTIONS(4091),
    [anon_sym_U_SQUOTE] = ACTIONS(4091),
    [anon_sym_u8_SQUOTE] = ACTIONS(4091),
    [anon_sym_SQUOTE] = ACTIONS(4091),
    [anon_sym_L_DQUOTE] = ACTIONS(4091),
    [anon_sym_u_DQUOTE] = ACTIONS(4091),
    [anon_sym_U_DQUOTE] = ACTIONS(4091),
    [anon_sym_u8_DQUOTE] = ACTIONS(4091),
    [anon_sym_DQUOTE] = ACTIONS(4091),
    [sym_true] = ACTIONS(4093),
    [sym_false] = ACTIONS(4093),
    [anon_sym_NULL] = ACTIONS(4093),
    [anon_sym_nullptr] = ACTIONS(4093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4097),
    [anon_sym_decltype] = ACTIONS(4085),
    [anon_sym_virtual] = ACTIONS(4097),
    [anon_sym_alignas] = ACTIONS(4097),
    [anon_sym_typename] = ACTIONS(4097),
    [anon_sym_template] = ACTIONS(4085),
    [anon_sym_try] = ACTIONS(4093),
    [anon_sym_delete] = ACTIONS(4093),
    [anon_sym_throw] = ACTIONS(4093),
    [anon_sym_co_return] = ACTIONS(4093),
    [anon_sym_co_yield] = ACTIONS(4093),
    [anon_sym_R_DQUOTE] = ACTIONS(4091),
    [anon_sym_LR_DQUOTE] = ACTIONS(4091),
    [anon_sym_uR_DQUOTE] = ACTIONS(4091),
    [anon_sym_UR_DQUOTE] = ACTIONS(4091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4091),
    [anon_sym_co_await] = ACTIONS(4093),
    [anon_sym_new] = ACTIONS(4093),
    [anon_sym_requires] = ACTIONS(4093),
    [sym_this] = ACTIONS(4093),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [anon_sym_if] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2887),
    [anon_sym_switch] = ACTIONS(2887),
    [anon_sym_while] = ACTIONS(2887),
    [anon_sym_do] = ACTIONS(2887),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_return] = ACTIONS(2887),
    [anon_sym_break] = ACTIONS(2887),
    [anon_sym_continue] = ACTIONS(2887),
    [anon_sym_goto] = ACTIONS(2887),
    [anon_sym___try] = ACTIONS(2887),
    [anon_sym___leave] = ACTIONS(2887),
    [anon_sym_not] = ACTIONS(2887),
    [anon_sym_compl] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_sizeof] = ACTIONS(2887),
    [anon_sym___alignof__] = ACTIONS(2887),
    [anon_sym___alignof] = ACTIONS(2887),
    [anon_sym__alignof] = ACTIONS(2887),
    [anon_sym_alignof] = ACTIONS(2887),
    [anon_sym__Alignof] = ACTIONS(2887),
    [anon_sym_offsetof] = ACTIONS(2887),
    [anon_sym__Generic] = ACTIONS(2887),
    [anon_sym_asm] = ACTIONS(2887),
    [anon_sym___asm__] = ACTIONS(2887),
    [sym_number_literal] = ACTIONS(2889),
    [anon_sym_L_SQUOTE] = ACTIONS(2889),
    [anon_sym_u_SQUOTE] = ACTIONS(2889),
    [anon_sym_U_SQUOTE] = ACTIONS(2889),
    [anon_sym_u8_SQUOTE] = ACTIONS(2889),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_L_DQUOTE] = ACTIONS(2889),
    [anon_sym_u_DQUOTE] = ACTIONS(2889),
    [anon_sym_U_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8_DQUOTE] = ACTIONS(2889),
    [anon_sym_DQUOTE] = ACTIONS(2889),
    [sym_true] = ACTIONS(2887),
    [sym_false] = ACTIONS(2887),
    [anon_sym_NULL] = ACTIONS(2887),
    [anon_sym_nullptr] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_try] = ACTIONS(2887),
    [anon_sym_delete] = ACTIONS(2887),
    [anon_sym_throw] = ACTIONS(2887),
    [anon_sym_co_return] = ACTIONS(2887),
    [anon_sym_co_yield] = ACTIONS(2887),
    [anon_sym_R_DQUOTE] = ACTIONS(2889),
    [anon_sym_LR_DQUOTE] = ACTIONS(2889),
    [anon_sym_uR_DQUOTE] = ACTIONS(2889),
    [anon_sym_UR_DQUOTE] = ACTIONS(2889),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2889),
    [anon_sym_co_await] = ACTIONS(2887),
    [anon_sym_new] = ACTIONS(2887),
    [anon_sym_requires] = ACTIONS(2887),
    [sym_this] = ACTIONS(2887),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(4077),
    [anon_sym_LPAREN2] = ACTIONS(4079),
    [anon_sym_BANG] = ACTIONS(4079),
    [anon_sym_TILDE] = ACTIONS(4079),
    [anon_sym_DASH] = ACTIONS(4077),
    [anon_sym_PLUS] = ACTIONS(4077),
    [anon_sym_STAR] = ACTIONS(4079),
    [anon_sym_AMP] = ACTIONS(4079),
    [anon_sym_SEMI] = ACTIONS(4079),
    [anon_sym___extension__] = ACTIONS(4077),
    [anon_sym_extern] = ACTIONS(4077),
    [anon_sym___attribute__] = ACTIONS(4077),
    [anon_sym_COLON_COLON] = ACTIONS(4079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4079),
    [anon_sym___declspec] = ACTIONS(4077),
    [anon_sym_LBRACE] = ACTIONS(4079),
    [anon_sym_signed] = ACTIONS(4077),
    [anon_sym_unsigned] = ACTIONS(4077),
    [anon_sym_long] = ACTIONS(4077),
    [anon_sym_short] = ACTIONS(4077),
    [anon_sym_LBRACK] = ACTIONS(4077),
    [anon_sym_static] = ACTIONS(4077),
    [anon_sym_register] = ACTIONS(4077),
    [anon_sym_inline] = ACTIONS(4077),
    [anon_sym___inline] = ACTIONS(4077),
    [anon_sym___inline__] = ACTIONS(4077),
    [anon_sym___forceinline] = ACTIONS(4077),
    [anon_sym_thread_local] = ACTIONS(4077),
    [anon_sym___thread] = ACTIONS(4077),
    [anon_sym_const] = ACTIONS(4077),
    [anon_sym_constexpr] = ACTIONS(4077),
    [anon_sym_volatile] = ACTIONS(4077),
    [anon_sym_restrict] = ACTIONS(4077),
    [anon_sym___restrict__] = ACTIONS(4077),
    [anon_sym__Atomic] = ACTIONS(4077),
    [anon_sym__Noreturn] = ACTIONS(4077),
    [anon_sym_noreturn] = ACTIONS(4077),
    [anon_sym_mutable] = ACTIONS(4077),
    [anon_sym_constinit] = ACTIONS(4077),
    [anon_sym_consteval] = ACTIONS(4077),
    [sym_primitive_type] = ACTIONS(4077),
    [anon_sym_enum] = ACTIONS(4077),
    [anon_sym_class] = ACTIONS(4077),
    [anon_sym_struct] = ACTIONS(4077),
    [anon_sym_union] = ACTIONS(4077),
    [anon_sym_if] = ACTIONS(4077),
    [anon_sym_switch] = ACTIONS(4077),
    [anon_sym_case] = ACTIONS(4077),
    [anon_sym_default] = ACTIONS(4077),
    [anon_sym_while] = ACTIONS(4077),
    [anon_sym_do] = ACTIONS(4077),
    [anon_sym_for] = ACTIONS(4077),
    [anon_sym_return] = ACTIONS(4077),
    [anon_sym_break] = ACTIONS(4077),
    [anon_sym_continue] = ACTIONS(4077),
    [anon_sym_goto] = ACTIONS(4077),
    [anon_sym___try] = ACTIONS(4077),
    [anon_sym___leave] = ACTIONS(4077),
    [anon_sym_not] = ACTIONS(4077),
    [anon_sym_compl] = ACTIONS(4077),
    [anon_sym_DASH_DASH] = ACTIONS(4079),
    [anon_sym_PLUS_PLUS] = ACTIONS(4079),
    [anon_sym_sizeof] = ACTIONS(4077),
    [anon_sym___alignof__] = ACTIONS(4077),
    [anon_sym___alignof] = ACTIONS(4077),
    [anon_sym__alignof] = ACTIONS(4077),
    [anon_sym_alignof] = ACTIONS(4077),
    [anon_sym__Alignof] = ACTIONS(4077),
    [anon_sym_offsetof] = ACTIONS(4077),
    [anon_sym__Generic] = ACTIONS(4077),
    [anon_sym_asm] = ACTIONS(4077),
    [anon_sym___asm__] = ACTIONS(4077),
    [sym_number_literal] = ACTIONS(4079),
    [anon_sym_L_SQUOTE] = ACTIONS(4079),
    [anon_sym_u_SQUOTE] = ACTIONS(4079),
    [anon_sym_U_SQUOTE] = ACTIONS(4079),
    [anon_sym_u8_SQUOTE] = ACTIONS(4079),
    [anon_sym_SQUOTE] = ACTIONS(4079),
    [anon_sym_L_DQUOTE] = ACTIONS(4079),
    [anon_sym_u_DQUOTE] = ACTIONS(4079),
    [anon_sym_U_DQUOTE] = ACTIONS(4079),
    [anon_sym_u8_DQUOTE] = ACTIONS(4079),
    [anon_sym_DQUOTE] = ACTIONS(4079),
    [sym_true] = ACTIONS(4077),
    [sym_false] = ACTIONS(4077),
    [anon_sym_NULL] = ACTIONS(4077),
    [anon_sym_nullptr] = ACTIONS(4077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4077),
    [anon_sym_decltype] = ACTIONS(4077),
    [anon_sym_virtual] = ACTIONS(4077),
    [anon_sym_alignas] = ACTIONS(4077),
    [anon_sym_typename] = ACTIONS(4077),
    [anon_sym_template] = ACTIONS(4077),
    [anon_sym_try] = ACTIONS(4077),
    [anon_sym_delete] = ACTIONS(4077),
    [anon_sym_throw] = ACTIONS(4077),
    [anon_sym_co_return] = ACTIONS(4077),
    [anon_sym_co_yield] = ACTIONS(4077),
    [anon_sym_R_DQUOTE] = ACTIONS(4079),
    [anon_sym_LR_DQUOTE] = ACTIONS(4079),
    [anon_sym_uR_DQUOTE] = ACTIONS(4079),
    [anon_sym_UR_DQUOTE] = ACTIONS(4079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4079),
    [anon_sym_co_await] = ACTIONS(4077),
    [anon_sym_new] = ACTIONS(4077),
    [anon_sym_requires] = ACTIONS(4077),
    [sym_this] = ACTIONS(4077),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym___try] = ACTIONS(3001),
    [anon_sym___leave] = ACTIONS(3001),
    [anon_sym_not] = ACTIONS(3001),
    [anon_sym_compl] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym___alignof__] = ACTIONS(3001),
    [anon_sym___alignof] = ACTIONS(3001),
    [anon_sym__alignof] = ACTIONS(3001),
    [anon_sym_alignof] = ACTIONS(3001),
    [anon_sym__Alignof] = ACTIONS(3001),
    [anon_sym_offsetof] = ACTIONS(3001),
    [anon_sym__Generic] = ACTIONS(3001),
    [anon_sym_asm] = ACTIONS(3001),
    [anon_sym___asm__] = ACTIONS(3001),
    [sym_number_literal] = ACTIONS(3003),
    [anon_sym_L_SQUOTE] = ACTIONS(3003),
    [anon_sym_u_SQUOTE] = ACTIONS(3003),
    [anon_sym_U_SQUOTE] = ACTIONS(3003),
    [anon_sym_u8_SQUOTE] = ACTIONS(3003),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [anon_sym_L_DQUOTE] = ACTIONS(3003),
    [anon_sym_u_DQUOTE] = ACTIONS(3003),
    [anon_sym_U_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8_DQUOTE] = ACTIONS(3003),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [sym_true] = ACTIONS(3001),
    [sym_false] = ACTIONS(3001),
    [anon_sym_NULL] = ACTIONS(3001),
    [anon_sym_nullptr] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_delete] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_co_return] = ACTIONS(3001),
    [anon_sym_co_yield] = ACTIONS(3001),
    [anon_sym_R_DQUOTE] = ACTIONS(3003),
    [anon_sym_LR_DQUOTE] = ACTIONS(3003),
    [anon_sym_uR_DQUOTE] = ACTIONS(3003),
    [anon_sym_UR_DQUOTE] = ACTIONS(3003),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3003),
    [anon_sym_co_await] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_requires] = ACTIONS(3001),
    [sym_this] = ACTIONS(3001),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2909),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2907),
    [anon_sym_switch] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(2907),
    [anon_sym_do] = ACTIONS(2907),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_return] = ACTIONS(2907),
    [anon_sym_break] = ACTIONS(2907),
    [anon_sym_continue] = ACTIONS(2907),
    [anon_sym_goto] = ACTIONS(2907),
    [anon_sym___try] = ACTIONS(2907),
    [anon_sym___leave] = ACTIONS(2907),
    [anon_sym_not] = ACTIONS(2907),
    [anon_sym_compl] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_sizeof] = ACTIONS(2907),
    [anon_sym___alignof__] = ACTIONS(2907),
    [anon_sym___alignof] = ACTIONS(2907),
    [anon_sym__alignof] = ACTIONS(2907),
    [anon_sym_alignof] = ACTIONS(2907),
    [anon_sym__Alignof] = ACTIONS(2907),
    [anon_sym_offsetof] = ACTIONS(2907),
    [anon_sym__Generic] = ACTIONS(2907),
    [anon_sym_asm] = ACTIONS(2907),
    [anon_sym___asm__] = ACTIONS(2907),
    [sym_number_literal] = ACTIONS(2909),
    [anon_sym_L_SQUOTE] = ACTIONS(2909),
    [anon_sym_u_SQUOTE] = ACTIONS(2909),
    [anon_sym_U_SQUOTE] = ACTIONS(2909),
    [anon_sym_u8_SQUOTE] = ACTIONS(2909),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_L_DQUOTE] = ACTIONS(2909),
    [anon_sym_u_DQUOTE] = ACTIONS(2909),
    [anon_sym_U_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8_DQUOTE] = ACTIONS(2909),
    [anon_sym_DQUOTE] = ACTIONS(2909),
    [sym_true] = ACTIONS(2907),
    [sym_false] = ACTIONS(2907),
    [anon_sym_NULL] = ACTIONS(2907),
    [anon_sym_nullptr] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_try] = ACTIONS(2907),
    [anon_sym_delete] = ACTIONS(2907),
    [anon_sym_throw] = ACTIONS(2907),
    [anon_sym_co_return] = ACTIONS(2907),
    [anon_sym_co_yield] = ACTIONS(2907),
    [anon_sym_R_DQUOTE] = ACTIONS(2909),
    [anon_sym_LR_DQUOTE] = ACTIONS(2909),
    [anon_sym_uR_DQUOTE] = ACTIONS(2909),
    [anon_sym_UR_DQUOTE] = ACTIONS(2909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2909),
    [anon_sym_co_await] = ACTIONS(2907),
    [anon_sym_new] = ACTIONS(2907),
    [anon_sym_requires] = ACTIONS(2907),
    [sym_this] = ACTIONS(2907),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2883),
    [anon_sym_LPAREN2] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2885),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym___extension__] = ACTIONS(2883),
    [anon_sym_typedef] = ACTIONS(2883),
    [anon_sym_extern] = ACTIONS(2883),
    [anon_sym___attribute__] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2885),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2885),
    [anon_sym___declspec] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2885),
    [anon_sym_signed] = ACTIONS(2883),
    [anon_sym_unsigned] = ACTIONS(2883),
    [anon_sym_long] = ACTIONS(2883),
    [anon_sym_short] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2883),
    [anon_sym_register] = ACTIONS(2883),
    [anon_sym_inline] = ACTIONS(2883),
    [anon_sym___inline] = ACTIONS(2883),
    [anon_sym___inline__] = ACTIONS(2883),
    [anon_sym___forceinline] = ACTIONS(2883),
    [anon_sym_thread_local] = ACTIONS(2883),
    [anon_sym___thread] = ACTIONS(2883),
    [anon_sym_const] = ACTIONS(2883),
    [anon_sym_constexpr] = ACTIONS(2883),
    [anon_sym_volatile] = ACTIONS(2883),
    [anon_sym_restrict] = ACTIONS(2883),
    [anon_sym___restrict__] = ACTIONS(2883),
    [anon_sym__Atomic] = ACTIONS(2883),
    [anon_sym__Noreturn] = ACTIONS(2883),
    [anon_sym_noreturn] = ACTIONS(2883),
    [anon_sym_mutable] = ACTIONS(2883),
    [anon_sym_constinit] = ACTIONS(2883),
    [anon_sym_consteval] = ACTIONS(2883),
    [sym_primitive_type] = ACTIONS(2883),
    [anon_sym_enum] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2883),
    [anon_sym_struct] = ACTIONS(2883),
    [anon_sym_union] = ACTIONS(2883),
    [anon_sym_if] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2883),
    [anon_sym_switch] = ACTIONS(2883),
    [anon_sym_while] = ACTIONS(2883),
    [anon_sym_do] = ACTIONS(2883),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_return] = ACTIONS(2883),
    [anon_sym_break] = ACTIONS(2883),
    [anon_sym_continue] = ACTIONS(2883),
    [anon_sym_goto] = ACTIONS(2883),
    [anon_sym___try] = ACTIONS(2883),
    [anon_sym___leave] = ACTIONS(2883),
    [anon_sym_not] = ACTIONS(2883),
    [anon_sym_compl] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_sizeof] = ACTIONS(2883),
    [anon_sym___alignof__] = ACTIONS(2883),
    [anon_sym___alignof] = ACTIONS(2883),
    [anon_sym__alignof] = ACTIONS(2883),
    [anon_sym_alignof] = ACTIONS(2883),
    [anon_sym__Alignof] = ACTIONS(2883),
    [anon_sym_offsetof] = ACTIONS(2883),
    [anon_sym__Generic] = ACTIONS(2883),
    [anon_sym_asm] = ACTIONS(2883),
    [anon_sym___asm__] = ACTIONS(2883),
    [sym_number_literal] = ACTIONS(2885),
    [anon_sym_L_SQUOTE] = ACTIONS(2885),
    [anon_sym_u_SQUOTE] = ACTIONS(2885),
    [anon_sym_U_SQUOTE] = ACTIONS(2885),
    [anon_sym_u8_SQUOTE] = ACTIONS(2885),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_L_DQUOTE] = ACTIONS(2885),
    [anon_sym_u_DQUOTE] = ACTIONS(2885),
    [anon_sym_U_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8_DQUOTE] = ACTIONS(2885),
    [anon_sym_DQUOTE] = ACTIONS(2885),
    [sym_true] = ACTIONS(2883),
    [sym_false] = ACTIONS(2883),
    [anon_sym_NULL] = ACTIONS(2883),
    [anon_sym_nullptr] = ACTIONS(2883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2883),
    [anon_sym_decltype] = ACTIONS(2883),
    [anon_sym_virtual] = ACTIONS(2883),
    [anon_sym_alignas] = ACTIONS(2883),
    [anon_sym_typename] = ACTIONS(2883),
    [anon_sym_template] = ACTIONS(2883),
    [anon_sym_try] = ACTIONS(2883),
    [anon_sym_delete] = ACTIONS(2883),
    [anon_sym_throw] = ACTIONS(2883),
    [anon_sym_co_return] = ACTIONS(2883),
    [anon_sym_co_yield] = ACTIONS(2883),
    [anon_sym_R_DQUOTE] = ACTIONS(2885),
    [anon_sym_LR_DQUOTE] = ACTIONS(2885),
    [anon_sym_uR_DQUOTE] = ACTIONS(2885),
    [anon_sym_UR_DQUOTE] = ACTIONS(2885),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2885),
    [anon_sym_co_await] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(2883),
    [anon_sym_requires] = ACTIONS(2883),
    [sym_this] = ACTIONS(2883),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(2927),
    [anon_sym_LPAREN2] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym___extension__] = ACTIONS(2927),
    [anon_sym_typedef] = ACTIONS(2927),
    [anon_sym_extern] = ACTIONS(2927),
    [anon_sym___attribute__] = ACTIONS(2927),
    [anon_sym_COLON_COLON] = ACTIONS(2929),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2929),
    [anon_sym___declspec] = ACTIONS(2927),
    [anon_sym_LBRACE] = ACTIONS(2929),
    [anon_sym_signed] = ACTIONS(2927),
    [anon_sym_unsigned] = ACTIONS(2927),
    [anon_sym_long] = ACTIONS(2927),
    [anon_sym_short] = ACTIONS(2927),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2927),
    [anon_sym_register] = ACTIONS(2927),
    [anon_sym_inline] = ACTIONS(2927),
    [anon_sym___inline] = ACTIONS(2927),
    [anon_sym___inline__] = ACTIONS(2927),
    [anon_sym___forceinline] = ACTIONS(2927),
    [anon_sym_thread_local] = ACTIONS(2927),
    [anon_sym___thread] = ACTIONS(2927),
    [anon_sym_const] = ACTIONS(2927),
    [anon_sym_constexpr] = ACTIONS(2927),
    [anon_sym_volatile] = ACTIONS(2927),
    [anon_sym_restrict] = ACTIONS(2927),
    [anon_sym___restrict__] = ACTIONS(2927),
    [anon_sym__Atomic] = ACTIONS(2927),
    [anon_sym__Noreturn] = ACTIONS(2927),
    [anon_sym_noreturn] = ACTIONS(2927),
    [anon_sym_mutable] = ACTIONS(2927),
    [anon_sym_constinit] = ACTIONS(2927),
    [anon_sym_consteval] = ACTIONS(2927),
    [sym_primitive_type] = ACTIONS(2927),
    [anon_sym_enum] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2927),
    [anon_sym_struct] = ACTIONS(2927),
    [anon_sym_union] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2927),
    [anon_sym_switch] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_do] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_return] = ACTIONS(2927),
    [anon_sym_break] = ACTIONS(2927),
    [anon_sym_continue] = ACTIONS(2927),
    [anon_sym_goto] = ACTIONS(2927),
    [anon_sym___try] = ACTIONS(2927),
    [anon_sym___leave] = ACTIONS(2927),
    [anon_sym_not] = ACTIONS(2927),
    [anon_sym_compl] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_sizeof] = ACTIONS(2927),
    [anon_sym___alignof__] = ACTIONS(2927),
    [anon_sym___alignof] = ACTIONS(2927),
    [anon_sym__alignof] = ACTIONS(2927),
    [anon_sym_alignof] = ACTIONS(2927),
    [anon_sym__Alignof] = ACTIONS(2927),
    [anon_sym_offsetof] = ACTIONS(2927),
    [anon_sym__Generic] = ACTIONS(2927),
    [anon_sym_asm] = ACTIONS(2927),
    [anon_sym___asm__] = ACTIONS(2927),
    [sym_number_literal] = ACTIONS(2929),
    [anon_sym_L_SQUOTE] = ACTIONS(2929),
    [anon_sym_u_SQUOTE] = ACTIONS(2929),
    [anon_sym_U_SQUOTE] = ACTIONS(2929),
    [anon_sym_u8_SQUOTE] = ACTIONS(2929),
    [anon_sym_SQUOTE] = ACTIONS(2929),
    [anon_sym_L_DQUOTE] = ACTIONS(2929),
    [anon_sym_u_DQUOTE] = ACTIONS(2929),
    [anon_sym_U_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8_DQUOTE] = ACTIONS(2929),
    [anon_sym_DQUOTE] = ACTIONS(2929),
    [sym_true] = ACTIONS(2927),
    [sym_false] = ACTIONS(2927),
    [anon_sym_NULL] = ACTIONS(2927),
    [anon_sym_nullptr] = ACTIONS(2927),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2927),
    [anon_sym_decltype] = ACTIONS(2927),
    [anon_sym_virtual] = ACTIONS(2927),
    [anon_sym_alignas] = ACTIONS(2927),
    [anon_sym_typename] = ACTIONS(2927),
    [anon_sym_template] = ACTIONS(2927),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_delete] = ACTIONS(2927),
    [anon_sym_throw] = ACTIONS(2927),
    [anon_sym_co_return] = ACTIONS(2927),
    [anon_sym_co_yield] = ACTIONS(2927),
    [anon_sym_R_DQUOTE] = ACTIONS(2929),
    [anon_sym_LR_DQUOTE] = ACTIONS(2929),
    [anon_sym_uR_DQUOTE] = ACTIONS(2929),
    [anon_sym_UR_DQUOTE] = ACTIONS(2929),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2929),
    [anon_sym_co_await] = ACTIONS(2927),
    [anon_sym_new] = ACTIONS(2927),
    [anon_sym_requires] = ACTIONS(2927),
    [sym_this] = ACTIONS(2927),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(2915),
    [anon_sym_LPAREN2] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2915),
    [anon_sym_typedef] = ACTIONS(2915),
    [anon_sym_extern] = ACTIONS(2915),
    [anon_sym___attribute__] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2917),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2917),
    [anon_sym___declspec] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2915),
    [anon_sym_unsigned] = ACTIONS(2915),
    [anon_sym_long] = ACTIONS(2915),
    [anon_sym_short] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2915),
    [anon_sym_register] = ACTIONS(2915),
    [anon_sym_inline] = ACTIONS(2915),
    [anon_sym___inline] = ACTIONS(2915),
    [anon_sym___inline__] = ACTIONS(2915),
    [anon_sym___forceinline] = ACTIONS(2915),
    [anon_sym_thread_local] = ACTIONS(2915),
    [anon_sym___thread] = ACTIONS(2915),
    [anon_sym_const] = ACTIONS(2915),
    [anon_sym_constexpr] = ACTIONS(2915),
    [anon_sym_volatile] = ACTIONS(2915),
    [anon_sym_restrict] = ACTIONS(2915),
    [anon_sym___restrict__] = ACTIONS(2915),
    [anon_sym__Atomic] = ACTIONS(2915),
    [anon_sym__Noreturn] = ACTIONS(2915),
    [anon_sym_noreturn] = ACTIONS(2915),
    [anon_sym_mutable] = ACTIONS(2915),
    [anon_sym_constinit] = ACTIONS(2915),
    [anon_sym_consteval] = ACTIONS(2915),
    [sym_primitive_type] = ACTIONS(2915),
    [anon_sym_enum] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2915),
    [anon_sym_struct] = ACTIONS(2915),
    [anon_sym_union] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2915),
    [anon_sym_switch] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_do] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_return] = ACTIONS(2915),
    [anon_sym_break] = ACTIONS(2915),
    [anon_sym_continue] = ACTIONS(2915),
    [anon_sym_goto] = ACTIONS(2915),
    [anon_sym___try] = ACTIONS(2915),
    [anon_sym___leave] = ACTIONS(2915),
    [anon_sym_not] = ACTIONS(2915),
    [anon_sym_compl] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2917),
    [anon_sym_sizeof] = ACTIONS(2915),
    [anon_sym___alignof__] = ACTIONS(2915),
    [anon_sym___alignof] = ACTIONS(2915),
    [anon_sym__alignof] = ACTIONS(2915),
    [anon_sym_alignof] = ACTIONS(2915),
    [anon_sym__Alignof] = ACTIONS(2915),
    [anon_sym_offsetof] = ACTIONS(2915),
    [anon_sym__Generic] = ACTIONS(2915),
    [anon_sym_asm] = ACTIONS(2915),
    [anon_sym___asm__] = ACTIONS(2915),
    [sym_number_literal] = ACTIONS(2917),
    [anon_sym_L_SQUOTE] = ACTIONS(2917),
    [anon_sym_u_SQUOTE] = ACTIONS(2917),
    [anon_sym_U_SQUOTE] = ACTIONS(2917),
    [anon_sym_u8_SQUOTE] = ACTIONS(2917),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_L_DQUOTE] = ACTIONS(2917),
    [anon_sym_u_DQUOTE] = ACTIONS(2917),
    [anon_sym_U_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8_DQUOTE] = ACTIONS(2917),
    [anon_sym_DQUOTE] = ACTIONS(2917),
    [sym_true] = ACTIONS(2915),
    [sym_false] = ACTIONS(2915),
    [anon_sym_NULL] = ACTIONS(2915),
    [anon_sym_nullptr] = ACTIONS(2915),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2915),
    [anon_sym_decltype] = ACTIONS(2915),
    [anon_sym_virtual] = ACTIONS(2915),
    [anon_sym_alignas] = ACTIONS(2915),
    [anon_sym_typename] = ACTIONS(2915),
    [anon_sym_template] = ACTIONS(2915),
    [anon_sym_try] = ACTIONS(2915),
    [anon_sym_delete] = ACTIONS(2915),
    [anon_sym_throw] = ACTIONS(2915),
    [anon_sym_co_return] = ACTIONS(2915),
    [anon_sym_co_yield] = ACTIONS(2915),
    [anon_sym_R_DQUOTE] = ACTIONS(2917),
    [anon_sym_LR_DQUOTE] = ACTIONS(2917),
    [anon_sym_uR_DQUOTE] = ACTIONS(2917),
    [anon_sym_UR_DQUOTE] = ACTIONS(2917),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2917),
    [anon_sym_co_await] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(2915),
    [anon_sym_requires] = ACTIONS(2915),
    [sym_this] = ACTIONS(2915),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1181] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1183] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1184] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1185] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1186] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1187] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1188] = {
    [sym_identifier] = ACTIONS(2943),
    [anon_sym_LPAREN2] = ACTIONS(2945),
    [anon_sym_BANG] = ACTIONS(2945),
    [anon_sym_TILDE] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2943),
    [anon_sym_typedef] = ACTIONS(2943),
    [anon_sym_extern] = ACTIONS(2943),
    [anon_sym___attribute__] = ACTIONS(2943),
    [anon_sym_COLON_COLON] = ACTIONS(2945),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2945),
    [anon_sym___declspec] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2943),
    [anon_sym_unsigned] = ACTIONS(2943),
    [anon_sym_long] = ACTIONS(2943),
    [anon_sym_short] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2943),
    [anon_sym_static] = ACTIONS(2943),
    [anon_sym_register] = ACTIONS(2943),
    [anon_sym_inline] = ACTIONS(2943),
    [anon_sym___inline] = ACTIONS(2943),
    [anon_sym___inline__] = ACTIONS(2943),
    [anon_sym___forceinline] = ACTIONS(2943),
    [anon_sym_thread_local] = ACTIONS(2943),
    [anon_sym___thread] = ACTIONS(2943),
    [anon_sym_const] = ACTIONS(2943),
    [anon_sym_constexpr] = ACTIONS(2943),
    [anon_sym_volatile] = ACTIONS(2943),
    [anon_sym_restrict] = ACTIONS(2943),
    [anon_sym___restrict__] = ACTIONS(2943),
    [anon_sym__Atomic] = ACTIONS(2943),
    [anon_sym__Noreturn] = ACTIONS(2943),
    [anon_sym_noreturn] = ACTIONS(2943),
    [anon_sym_mutable] = ACTIONS(2943),
    [anon_sym_constinit] = ACTIONS(2943),
    [anon_sym_consteval] = ACTIONS(2943),
    [sym_primitive_type] = ACTIONS(2943),
    [anon_sym_enum] = ACTIONS(2943),
    [anon_sym_class] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(2943),
    [anon_sym_union] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_else] = ACTIONS(2943),
    [anon_sym_switch] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_do] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_return] = ACTIONS(2943),
    [anon_sym_break] = ACTIONS(2943),
    [anon_sym_continue] = ACTIONS(2943),
    [anon_sym_goto] = ACTIONS(2943),
    [anon_sym___try] = ACTIONS(2943),
    [anon_sym___leave] = ACTIONS(2943),
    [anon_sym_not] = ACTIONS(2943),
    [anon_sym_compl] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2945),
    [anon_sym_sizeof] = ACTIONS(2943),
    [anon_sym___alignof__] = ACTIONS(2943),
    [anon_sym___alignof] = ACTIONS(2943),
    [anon_sym__alignof] = ACTIONS(2943),
    [anon_sym_alignof] = ACTIONS(2943),
    [anon_sym__Alignof] = ACTIONS(2943),
    [anon_sym_offsetof] = ACTIONS(2943),
    [anon_sym__Generic] = ACTIONS(2943),
    [anon_sym_asm] = ACTIONS(2943),
    [anon_sym___asm__] = ACTIONS(2943),
    [sym_number_literal] = ACTIONS(2945),
    [anon_sym_L_SQUOTE] = ACTIONS(2945),
    [anon_sym_u_SQUOTE] = ACTIONS(2945),
    [anon_sym_U_SQUOTE] = ACTIONS(2945),
    [anon_sym_u8_SQUOTE] = ACTIONS(2945),
    [anon_sym_SQUOTE] = ACTIONS(2945),
    [anon_sym_L_DQUOTE] = ACTIONS(2945),
    [anon_sym_u_DQUOTE] = ACTIONS(2945),
    [anon_sym_U_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8_DQUOTE] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(2945),
    [sym_true] = ACTIONS(2943),
    [sym_false] = ACTIONS(2943),
    [anon_sym_NULL] = ACTIONS(2943),
    [anon_sym_nullptr] = ACTIONS(2943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2943),
    [anon_sym_decltype] = ACTIONS(2943),
    [anon_sym_virtual] = ACTIONS(2943),
    [anon_sym_alignas] = ACTIONS(2943),
    [anon_sym_typename] = ACTIONS(2943),
    [anon_sym_template] = ACTIONS(2943),
    [anon_sym_try] = ACTIONS(2943),
    [anon_sym_delete] = ACTIONS(2943),
    [anon_sym_throw] = ACTIONS(2943),
    [anon_sym_co_return] = ACTIONS(2943),
    [anon_sym_co_yield] = ACTIONS(2943),
    [anon_sym_R_DQUOTE] = ACTIONS(2945),
    [anon_sym_LR_DQUOTE] = ACTIONS(2945),
    [anon_sym_uR_DQUOTE] = ACTIONS(2945),
    [anon_sym_UR_DQUOTE] = ACTIONS(2945),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2945),
    [anon_sym_co_await] = ACTIONS(2943),
    [anon_sym_new] = ACTIONS(2943),
    [anon_sym_requires] = ACTIONS(2943),
    [sym_this] = ACTIONS(2943),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1190] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [1192] = {
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN2] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2919),
    [anon_sym_PLUS] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym___extension__] = ACTIONS(2919),
    [anon_sym_typedef] = ACTIONS(2919),
    [anon_sym_extern] = ACTIONS(2919),
    [anon_sym___attribute__] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(2921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2921),
    [anon_sym___declspec] = ACTIONS(2919),
    [anon_sym_LBRACE] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2919),
    [anon_sym_unsigned] = ACTIONS(2919),
    [anon_sym_long] = ACTIONS(2919),
    [anon_sym_short] = ACTIONS(2919),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2919),
    [anon_sym_register] = ACTIONS(2919),
    [anon_sym_inline] = ACTIONS(2919),
    [anon_sym___inline] = ACTIONS(2919),
    [anon_sym___inline__] = ACTIONS(2919),
    [anon_sym___forceinline] = ACTIONS(2919),
    [anon_sym_thread_local] = ACTIONS(2919),
    [anon_sym___thread] = ACTIONS(2919),
    [anon_sym_const] = ACTIONS(2919),
    [anon_sym_constexpr] = ACTIONS(2919),
    [anon_sym_volatile] = ACTIONS(2919),
    [anon_sym_restrict] = ACTIONS(2919),
    [anon_sym___restrict__] = ACTIONS(2919),
    [anon_sym__Atomic] = ACTIONS(2919),
    [anon_sym__Noreturn] = ACTIONS(2919),
    [anon_sym_noreturn] = ACTIONS(2919),
    [anon_sym_mutable] = ACTIONS(2919),
    [anon_sym_constinit] = ACTIONS(2919),
    [anon_sym_consteval] = ACTIONS(2919),
    [sym_primitive_type] = ACTIONS(2919),
    [anon_sym_enum] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2919),
    [anon_sym_struct] = ACTIONS(2919),
    [anon_sym_union] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2919),
    [anon_sym_switch] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_do] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_return] = ACTIONS(2919),
    [anon_sym_break] = ACTIONS(2919),
    [anon_sym_continue] = ACTIONS(2919),
    [anon_sym_goto] = ACTIONS(2919),
    [anon_sym___try] = ACTIONS(2919),
    [anon_sym___leave] = ACTIONS(2919),
    [anon_sym_not] = ACTIONS(2919),
    [anon_sym_compl] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_sizeof] = ACTIONS(2919),
    [anon_sym___alignof__] = ACTIONS(2919),
    [anon_sym___alignof] = ACTIONS(2919),
    [anon_sym__alignof] = ACTIONS(2919),
    [anon_sym_alignof] = ACTIONS(2919),
    [anon_sym__Alignof] = ACTIONS(2919),
    [anon_sym_offsetof] = ACTIONS(2919),
    [anon_sym__Generic] = ACTIONS(2919),
    [anon_sym_asm] = ACTIONS(2919),
    [anon_sym___asm__] = ACTIONS(2919),
    [sym_number_literal] = ACTIONS(2921),
    [anon_sym_L_SQUOTE] = ACTIONS(2921),
    [anon_sym_u_SQUOTE] = ACTIONS(2921),
    [anon_sym_U_SQUOTE] = ACTIONS(2921),
    [anon_sym_u8_SQUOTE] = ACTIONS(2921),
    [anon_sym_SQUOTE] = ACTIONS(2921),
    [anon_sym_L_DQUOTE] = ACTIONS(2921),
    [anon_sym_u_DQUOTE] = ACTIONS(2921),
    [anon_sym_U_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8_DQUOTE] = ACTIONS(2921),
    [anon_sym_DQUOTE] = ACTIONS(2921),
    [sym_true] = ACTIONS(2919),
    [sym_false] = ACTIONS(2919),
    [anon_sym_NULL] = ACTIONS(2919),
    [anon_sym_nullptr] = ACTIONS(2919),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2919),
    [anon_sym_decltype] = ACTIONS(2919),
    [anon_sym_virtual] = ACTIONS(2919),
    [anon_sym_alignas] = ACTIONS(2919),
    [anon_sym_typename] = ACTIONS(2919),
    [anon_sym_template] = ACTIONS(2919),
    [anon_sym_try] = ACTIONS(2919),
    [anon_sym_delete] = ACTIONS(2919),
    [anon_sym_throw] = ACTIONS(2919),
    [anon_sym_co_return] = ACTIONS(2919),
    [anon_sym_co_yield] = ACTIONS(2919),
    [anon_sym_R_DQUOTE] = ACTIONS(2921),
    [anon_sym_LR_DQUOTE] = ACTIONS(2921),
    [anon_sym_uR_DQUOTE] = ACTIONS(2921),
    [anon_sym_UR_DQUOTE] = ACTIONS(2921),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2921),
    [anon_sym_co_await] = ACTIONS(2919),
    [anon_sym_new] = ACTIONS(2919),
    [anon_sym_requires] = ACTIONS(2919),
    [sym_this] = ACTIONS(2919),
  },
  [1193] = {
    [sym_identifier] = ACTIONS(2923),
    [anon_sym_LPAREN2] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym___extension__] = ACTIONS(2923),
    [anon_sym_typedef] = ACTIONS(2923),
    [anon_sym_extern] = ACTIONS(2923),
    [anon_sym___attribute__] = ACTIONS(2923),
    [anon_sym_COLON_COLON] = ACTIONS(2925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2925),
    [anon_sym___declspec] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(2925),
    [anon_sym_signed] = ACTIONS(2923),
    [anon_sym_unsigned] = ACTIONS(2923),
    [anon_sym_long] = ACTIONS(2923),
    [anon_sym_short] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2923),
    [anon_sym_register] = ACTIONS(2923),
    [anon_sym_inline] = ACTIONS(2923),
    [anon_sym___inline] = ACTIONS(2923),
    [anon_sym___inline__] = ACTIONS(2923),
    [anon_sym___forceinline] = ACTIONS(2923),
    [anon_sym_thread_local] = ACTIONS(2923),
    [anon_sym___thread] = ACTIONS(2923),
    [anon_sym_const] = ACTIONS(2923),
    [anon_sym_constexpr] = ACTIONS(2923),
    [anon_sym_volatile] = ACTIONS(2923),
    [anon_sym_restrict] = ACTIONS(2923),
    [anon_sym___restrict__] = ACTIONS(2923),
    [anon_sym__Atomic] = ACTIONS(2923),
    [anon_sym__Noreturn] = ACTIONS(2923),
    [anon_sym_noreturn] = ACTIONS(2923),
    [anon_sym_mutable] = ACTIONS(2923),
    [anon_sym_constinit] = ACTIONS(2923),
    [anon_sym_consteval] = ACTIONS(2923),
    [sym_primitive_type] = ACTIONS(2923),
    [anon_sym_enum] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(2923),
    [anon_sym_union] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2923),
    [anon_sym_switch] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_do] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_return] = ACTIONS(2923),
    [anon_sym_break] = ACTIONS(2923),
    [anon_sym_continue] = ACTIONS(2923),
    [anon_sym_goto] = ACTIONS(2923),
    [anon_sym___try] = ACTIONS(2923),
    [anon_sym___leave] = ACTIONS(2923),
    [anon_sym_not] = ACTIONS(2923),
    [anon_sym_compl] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_sizeof] = ACTIONS(2923),
    [anon_sym___alignof__] = ACTIONS(2923),
    [anon_sym___alignof] = ACTIONS(2923),
    [anon_sym__alignof] = ACTIONS(2923),
    [anon_sym_alignof] = ACTIONS(2923),
    [anon_sym__Alignof] = ACTIONS(2923),
    [anon_sym_offsetof] = ACTIONS(2923),
    [anon_sym__Generic] = ACTIONS(2923),
    [anon_sym_asm] = ACTIONS(2923),
    [anon_sym___asm__] = ACTIONS(2923),
    [sym_number_literal] = ACTIONS(2925),
    [anon_sym_L_SQUOTE] = ACTIONS(2925),
    [anon_sym_u_SQUOTE] = ACTIONS(2925),
    [anon_sym_U_SQUOTE] = ACTIONS(2925),
    [anon_sym_u8_SQUOTE] = ACTIONS(2925),
    [anon_sym_SQUOTE] = ACTIONS(2925),
    [anon_sym_L_DQUOTE] = ACTIONS(2925),
    [anon_sym_u_DQUOTE] = ACTIONS(2925),
    [anon_sym_U_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8_DQUOTE] = ACTIONS(2925),
    [anon_sym_DQUOTE] = ACTIONS(2925),
    [sym_true] = ACTIONS(2923),
    [sym_false] = ACTIONS(2923),
    [anon_sym_NULL] = ACTIONS(2923),
    [anon_sym_nullptr] = ACTIONS(2923),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2923),
    [anon_sym_decltype] = ACTIONS(2923),
    [anon_sym_virtual] = ACTIONS(2923),
    [anon_sym_alignas] = ACTIONS(2923),
    [anon_sym_typename] = ACTIONS(2923),
    [anon_sym_template] = ACTIONS(2923),
    [anon_sym_try] = ACTIONS(2923),
    [anon_sym_delete] = ACTIONS(2923),
    [anon_sym_throw] = ACTIONS(2923),
    [anon_sym_co_return] = ACTIONS(2923),
    [anon_sym_co_yield] = ACTIONS(2923),
    [anon_sym_R_DQUOTE] = ACTIONS(2925),
    [anon_sym_LR_DQUOTE] = ACTIONS(2925),
    [anon_sym_uR_DQUOTE] = ACTIONS(2925),
    [anon_sym_UR_DQUOTE] = ACTIONS(2925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2925),
    [anon_sym_co_await] = ACTIONS(2923),
    [anon_sym_new] = ACTIONS(2923),
    [anon_sym_requires] = ACTIONS(2923),
    [sym_this] = ACTIONS(2923),
  },
  [1194] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1195] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [1197] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1198] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1199] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1200] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1201] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1202] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1203] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1204] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [1205] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1206] = {
    [sym_identifier] = ACTIONS(2931),
    [anon_sym_LPAREN2] = ACTIONS(2933),
    [anon_sym_BANG] = ACTIONS(2933),
    [anon_sym_TILDE] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym___extension__] = ACTIONS(2931),
    [anon_sym_typedef] = ACTIONS(2931),
    [anon_sym_extern] = ACTIONS(2931),
    [anon_sym___attribute__] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2933),
    [anon_sym___declspec] = ACTIONS(2931),
    [anon_sym_LBRACE] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2931),
    [anon_sym_unsigned] = ACTIONS(2931),
    [anon_sym_long] = ACTIONS(2931),
    [anon_sym_short] = ACTIONS(2931),
    [anon_sym_LBRACK] = ACTIONS(2931),
    [anon_sym_static] = ACTIONS(2931),
    [anon_sym_register] = ACTIONS(2931),
    [anon_sym_inline] = ACTIONS(2931),
    [anon_sym___inline] = ACTIONS(2931),
    [anon_sym___inline__] = ACTIONS(2931),
    [anon_sym___forceinline] = ACTIONS(2931),
    [anon_sym_thread_local] = ACTIONS(2931),
    [anon_sym___thread] = ACTIONS(2931),
    [anon_sym_const] = ACTIONS(2931),
    [anon_sym_constexpr] = ACTIONS(2931),
    [anon_sym_volatile] = ACTIONS(2931),
    [anon_sym_restrict] = ACTIONS(2931),
    [anon_sym___restrict__] = ACTIONS(2931),
    [anon_sym__Atomic] = ACTIONS(2931),
    [anon_sym__Noreturn] = ACTIONS(2931),
    [anon_sym_noreturn] = ACTIONS(2931),
    [anon_sym_mutable] = ACTIONS(2931),
    [anon_sym_constinit] = ACTIONS(2931),
    [anon_sym_consteval] = ACTIONS(2931),
    [sym_primitive_type] = ACTIONS(2931),
    [anon_sym_enum] = ACTIONS(2931),
    [anon_sym_class] = ACTIONS(2931),
    [anon_sym_struct] = ACTIONS(2931),
    [anon_sym_union] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_else] = ACTIONS(2931),
    [anon_sym_switch] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_do] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_return] = ACTIONS(2931),
    [anon_sym_break] = ACTIONS(2931),
    [anon_sym_continue] = ACTIONS(2931),
    [anon_sym_goto] = ACTIONS(2931),
    [anon_sym___try] = ACTIONS(2931),
    [anon_sym___leave] = ACTIONS(2931),
    [anon_sym_not] = ACTIONS(2931),
    [anon_sym_compl] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_sizeof] = ACTIONS(2931),
    [anon_sym___alignof__] = ACTIONS(2931),
    [anon_sym___alignof] = ACTIONS(2931),
    [anon_sym__alignof] = ACTIONS(2931),
    [anon_sym_alignof] = ACTIONS(2931),
    [anon_sym__Alignof] = ACTIONS(2931),
    [anon_sym_offsetof] = ACTIONS(2931),
    [anon_sym__Generic] = ACTIONS(2931),
    [anon_sym_asm] = ACTIONS(2931),
    [anon_sym___asm__] = ACTIONS(2931),
    [sym_number_literal] = ACTIONS(2933),
    [anon_sym_L_SQUOTE] = ACTIONS(2933),
    [anon_sym_u_SQUOTE] = ACTIONS(2933),
    [anon_sym_U_SQUOTE] = ACTIONS(2933),
    [anon_sym_u8_SQUOTE] = ACTIONS(2933),
    [anon_sym_SQUOTE] = ACTIONS(2933),
    [anon_sym_L_DQUOTE] = ACTIONS(2933),
    [anon_sym_u_DQUOTE] = ACTIONS(2933),
    [anon_sym_U_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8_DQUOTE] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(2933),
    [sym_true] = ACTIONS(2931),
    [sym_false] = ACTIONS(2931),
    [anon_sym_NULL] = ACTIONS(2931),
    [anon_sym_nullptr] = ACTIONS(2931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2931),
    [anon_sym_decltype] = ACTIONS(2931),
    [anon_sym_virtual] = ACTIONS(2931),
    [anon_sym_alignas] = ACTIONS(2931),
    [anon_sym_typename] = ACTIONS(2931),
    [anon_sym_template] = ACTIONS(2931),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_delete] = ACTIONS(2931),
    [anon_sym_throw] = ACTIONS(2931),
    [anon_sym_co_return] = ACTIONS(2931),
    [anon_sym_co_yield] = ACTIONS(2931),
    [anon_sym_R_DQUOTE] = ACTIONS(2933),
    [anon_sym_LR_DQUOTE] = ACTIONS(2933),
    [anon_sym_uR_DQUOTE] = ACTIONS(2933),
    [anon_sym_UR_DQUOTE] = ACTIONS(2933),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2933),
    [anon_sym_co_await] = ACTIONS(2931),
    [anon_sym_new] = ACTIONS(2931),
    [anon_sym_requires] = ACTIONS(2931),
    [sym_this] = ACTIONS(2931),
  },
  [1207] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [1208] = {
    [sym_identifier] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [1209] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1210] = {
    [sym_identifier] = ACTIONS(2911),
    [anon_sym_LPAREN2] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym___extension__] = ACTIONS(2911),
    [anon_sym_typedef] = ACTIONS(2911),
    [anon_sym_extern] = ACTIONS(2911),
    [anon_sym___attribute__] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2913),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2913),
    [anon_sym___declspec] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2913),
    [anon_sym_signed] = ACTIONS(2911),
    [anon_sym_unsigned] = ACTIONS(2911),
    [anon_sym_long] = ACTIONS(2911),
    [anon_sym_short] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2911),
    [anon_sym_register] = ACTIONS(2911),
    [anon_sym_inline] = ACTIONS(2911),
    [anon_sym___inline] = ACTIONS(2911),
    [anon_sym___inline__] = ACTIONS(2911),
    [anon_sym___forceinline] = ACTIONS(2911),
    [anon_sym_thread_local] = ACTIONS(2911),
    [anon_sym___thread] = ACTIONS(2911),
    [anon_sym_const] = ACTIONS(2911),
    [anon_sym_constexpr] = ACTIONS(2911),
    [anon_sym_volatile] = ACTIONS(2911),
    [anon_sym_restrict] = ACTIONS(2911),
    [anon_sym___restrict__] = ACTIONS(2911),
    [anon_sym__Atomic] = ACTIONS(2911),
    [anon_sym__Noreturn] = ACTIONS(2911),
    [anon_sym_noreturn] = ACTIONS(2911),
    [anon_sym_mutable] = ACTIONS(2911),
    [anon_sym_constinit] = ACTIONS(2911),
    [anon_sym_consteval] = ACTIONS(2911),
    [sym_primitive_type] = ACTIONS(2911),
    [anon_sym_enum] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2911),
    [anon_sym_struct] = ACTIONS(2911),
    [anon_sym_union] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2911),
    [anon_sym_switch] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_do] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_return] = ACTIONS(2911),
    [anon_sym_break] = ACTIONS(2911),
    [anon_sym_continue] = ACTIONS(2911),
    [anon_sym_goto] = ACTIONS(2911),
    [anon_sym___try] = ACTIONS(2911),
    [anon_sym___leave] = ACTIONS(2911),
    [anon_sym_not] = ACTIONS(2911),
    [anon_sym_compl] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_sizeof] = ACTIONS(2911),
    [anon_sym___alignof__] = ACTIONS(2911),
    [anon_sym___alignof] = ACTIONS(2911),
    [anon_sym__alignof] = ACTIONS(2911),
    [anon_sym_alignof] = ACTIONS(2911),
    [anon_sym__Alignof] = ACTIONS(2911),
    [anon_sym_offsetof] = ACTIONS(2911),
    [anon_sym__Generic] = ACTIONS(2911),
    [anon_sym_asm] = ACTIONS(2911),
    [anon_sym___asm__] = ACTIONS(2911),
    [sym_number_literal] = ACTIONS(2913),
    [anon_sym_L_SQUOTE] = ACTIONS(2913),
    [anon_sym_u_SQUOTE] = ACTIONS(2913),
    [anon_sym_U_SQUOTE] = ACTIONS(2913),
    [anon_sym_u8_SQUOTE] = ACTIONS(2913),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_L_DQUOTE] = ACTIONS(2913),
    [anon_sym_u_DQUOTE] = ACTIONS(2913),
    [anon_sym_U_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8_DQUOTE] = ACTIONS(2913),
    [anon_sym_DQUOTE] = ACTIONS(2913),
    [sym_true] = ACTIONS(2911),
    [sym_false] = ACTIONS(2911),
    [anon_sym_NULL] = ACTIONS(2911),
    [anon_sym_nullptr] = ACTIONS(2911),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2911),
    [anon_sym_decltype] = ACTIONS(2911),
    [anon_sym_virtual] = ACTIONS(2911),
    [anon_sym_alignas] = ACTIONS(2911),
    [anon_sym_typename] = ACTIONS(2911),
    [anon_sym_template] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2911),
    [anon_sym_delete] = ACTIONS(2911),
    [anon_sym_throw] = ACTIONS(2911),
    [anon_sym_co_return] = ACTIONS(2911),
    [anon_sym_co_yield] = ACTIONS(2911),
    [anon_sym_R_DQUOTE] = ACTIONS(2913),
    [anon_sym_LR_DQUOTE] = ACTIONS(2913),
    [anon_sym_uR_DQUOTE] = ACTIONS(2913),
    [anon_sym_UR_DQUOTE] = ACTIONS(2913),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2913),
    [anon_sym_co_await] = ACTIONS(2911),
    [anon_sym_new] = ACTIONS(2911),
    [anon_sym_requires] = ACTIONS(2911),
    [sym_this] = ACTIONS(2911),
  },
  [1211] = {
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [1212] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [1213] = {
    [sym_identifier] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [anon_sym_if] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2903),
    [anon_sym_switch] = ACTIONS(2903),
    [anon_sym_while] = ACTIONS(2903),
    [anon_sym_do] = ACTIONS(2903),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_return] = ACTIONS(2903),
    [anon_sym_break] = ACTIONS(2903),
    [anon_sym_continue] = ACTIONS(2903),
    [anon_sym_goto] = ACTIONS(2903),
    [anon_sym___try] = ACTIONS(2903),
    [anon_sym___leave] = ACTIONS(2903),
    [anon_sym_not] = ACTIONS(2903),
    [anon_sym_compl] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_sizeof] = ACTIONS(2903),
    [anon_sym___alignof__] = ACTIONS(2903),
    [anon_sym___alignof] = ACTIONS(2903),
    [anon_sym__alignof] = ACTIONS(2903),
    [anon_sym_alignof] = ACTIONS(2903),
    [anon_sym__Alignof] = ACTIONS(2903),
    [anon_sym_offsetof] = ACTIONS(2903),
    [anon_sym__Generic] = ACTIONS(2903),
    [anon_sym_asm] = ACTIONS(2903),
    [anon_sym___asm__] = ACTIONS(2903),
    [sym_number_literal] = ACTIONS(2905),
    [anon_sym_L_SQUOTE] = ACTIONS(2905),
    [anon_sym_u_SQUOTE] = ACTIONS(2905),
    [anon_sym_U_SQUOTE] = ACTIONS(2905),
    [anon_sym_u8_SQUOTE] = ACTIONS(2905),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_L_DQUOTE] = ACTIONS(2905),
    [anon_sym_u_DQUOTE] = ACTIONS(2905),
    [anon_sym_U_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8_DQUOTE] = ACTIONS(2905),
    [anon_sym_DQUOTE] = ACTIONS(2905),
    [sym_true] = ACTIONS(2903),
    [sym_false] = ACTIONS(2903),
    [anon_sym_NULL] = ACTIONS(2903),
    [anon_sym_nullptr] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_try] = ACTIONS(2903),
    [anon_sym_delete] = ACTIONS(2903),
    [anon_sym_throw] = ACTIONS(2903),
    [anon_sym_co_return] = ACTIONS(2903),
    [anon_sym_co_yield] = ACTIONS(2903),
    [anon_sym_R_DQUOTE] = ACTIONS(2905),
    [anon_sym_LR_DQUOTE] = ACTIONS(2905),
    [anon_sym_uR_DQUOTE] = ACTIONS(2905),
    [anon_sym_UR_DQUOTE] = ACTIONS(2905),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2905),
    [anon_sym_co_await] = ACTIONS(2903),
    [anon_sym_new] = ACTIONS(2903),
    [anon_sym_requires] = ACTIONS(2903),
    [sym_this] = ACTIONS(2903),
  },
  [1214] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4202),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1215] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4206),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1216] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4208),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1217] = {
    [sym__expression] = STATE(4942),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8376),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1218] = {
    [sym__expression] = STATE(5019),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7910),
    [sym_initializer_pair] = STATE(7910),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4216),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1219] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4218),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1220] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1219),
    [sym_compound_requirement] = STATE(1219),
    [sym__requirement] = STATE(1219),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1219),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4220),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1221] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4225),
    [anon_sym_BANG] = ACTIONS(4228),
    [anon_sym_TILDE] = ACTIONS(4228),
    [anon_sym_DASH] = ACTIONS(4231),
    [anon_sym_PLUS] = ACTIONS(4231),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(4234),
    [anon_sym_SEMI] = ACTIONS(4237),
    [anon_sym_COLON_COLON] = ACTIONS(4240),
    [anon_sym_LBRACE] = ACTIONS(4243),
    [anon_sym_RBRACE] = ACTIONS(4246),
    [anon_sym_LBRACK] = ACTIONS(4248),
    [sym_primitive_type] = ACTIONS(4251),
    [anon_sym_not] = ACTIONS(4231),
    [anon_sym_compl] = ACTIONS(4231),
    [anon_sym_DASH_DASH] = ACTIONS(4254),
    [anon_sym_PLUS_PLUS] = ACTIONS(4254),
    [anon_sym_sizeof] = ACTIONS(4257),
    [anon_sym___alignof__] = ACTIONS(4260),
    [anon_sym___alignof] = ACTIONS(4260),
    [anon_sym__alignof] = ACTIONS(4260),
    [anon_sym_alignof] = ACTIONS(4260),
    [anon_sym__Alignof] = ACTIONS(4260),
    [anon_sym_offsetof] = ACTIONS(4263),
    [anon_sym__Generic] = ACTIONS(4266),
    [anon_sym_asm] = ACTIONS(4269),
    [anon_sym___asm__] = ACTIONS(4269),
    [sym_number_literal] = ACTIONS(4272),
    [anon_sym_L_SQUOTE] = ACTIONS(4275),
    [anon_sym_u_SQUOTE] = ACTIONS(4275),
    [anon_sym_U_SQUOTE] = ACTIONS(4275),
    [anon_sym_u8_SQUOTE] = ACTIONS(4275),
    [anon_sym_SQUOTE] = ACTIONS(4275),
    [anon_sym_L_DQUOTE] = ACTIONS(4278),
    [anon_sym_u_DQUOTE] = ACTIONS(4278),
    [anon_sym_U_DQUOTE] = ACTIONS(4278),
    [anon_sym_u8_DQUOTE] = ACTIONS(4278),
    [anon_sym_DQUOTE] = ACTIONS(4278),
    [sym_true] = ACTIONS(4281),
    [sym_false] = ACTIONS(4281),
    [anon_sym_NULL] = ACTIONS(4284),
    [anon_sym_nullptr] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4287),
    [anon_sym_typename] = ACTIONS(4290),
    [anon_sym_template] = ACTIONS(4293),
    [anon_sym_delete] = ACTIONS(4296),
    [anon_sym_R_DQUOTE] = ACTIONS(4299),
    [anon_sym_LR_DQUOTE] = ACTIONS(4299),
    [anon_sym_uR_DQUOTE] = ACTIONS(4299),
    [anon_sym_UR_DQUOTE] = ACTIONS(4299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4299),
    [anon_sym_co_await] = ACTIONS(4302),
    [anon_sym_new] = ACTIONS(4305),
    [anon_sym_requires] = ACTIONS(4308),
    [sym_this] = ACTIONS(4281),
  },
  [1222] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4311),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1223] = {
    [sym__expression] = STATE(5020),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7898),
    [sym_initializer_pair] = STATE(7898),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4313),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4315),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1224] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4317),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1225] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1226),
    [sym_compound_requirement] = STATE(1226),
    [sym__requirement] = STATE(1226),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1226),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4319),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1226] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4321),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1227] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1216),
    [sym_compound_requirement] = STATE(1216),
    [sym__requirement] = STATE(1216),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1216),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4323),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1228] = {
    [sym__expression] = STATE(4884),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8061),
    [sym_initializer_pair] = STATE(8061),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4325),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4327),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1229] = {
    [sym__expression] = STATE(4991),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8113),
    [sym_initializer_pair] = STATE(8113),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4329),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4331),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1230] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1231] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1224),
    [sym_compound_requirement] = STATE(1224),
    [sym__requirement] = STATE(1224),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1224),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4335),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1232] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1222),
    [sym_compound_requirement] = STATE(1222),
    [sym__requirement] = STATE(1222),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1233] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1214),
    [sym_compound_requirement] = STATE(1214),
    [sym__requirement] = STATE(1214),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1214),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4339),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1234] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1230),
    [sym_compound_requirement] = STATE(1230),
    [sym__requirement] = STATE(1230),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1230),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1235] = {
    [sym__expression] = STATE(4992),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8109),
    [sym_initializer_pair] = STATE(8109),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4343),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1236] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4383),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1237] = {
    [sym__expression] = STATE(4891),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7755),
    [sym_initializer_pair] = STATE(7755),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4387),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4389),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1238] = {
    [sym__expression] = STATE(4917),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7948),
    [sym_initializer_pair] = STATE(7948),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4391),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1239] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4395),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1240] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4397),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1241] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1240),
    [sym_compound_requirement] = STATE(1240),
    [sym__requirement] = STATE(1240),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4399),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1242] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1245),
    [sym_compound_requirement] = STATE(1245),
    [sym__requirement] = STATE(1245),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4401),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1243] = {
    [sym__expression] = STATE(5016),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7901),
    [sym_initializer_pair] = STATE(7901),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4405),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1244] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1215),
    [sym_compound_requirement] = STATE(1215),
    [sym__requirement] = STATE(1215),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1215),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1245] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1221),
    [sym_compound_requirement] = STATE(1221),
    [sym__requirement] = STATE(1221),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1221),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1246] = {
    [sym_expression_statement] = STATE(3136),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8598),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_type_requirement] = STATE(1239),
    [sym_compound_requirement] = STATE(1239),
    [sym__requirement] = STATE(1239),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_requirement_seq_repeat1] = STATE(1239),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_typename] = ACTIONS(4204),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1247] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1248] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1249] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1250] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1251] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1252] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1253] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4425),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1254] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1255] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1256] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(1988),
    [sym_raw_string_literal] = STATE(2666),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_COMMA] = ACTIONS(4362),
    [anon_sym_RPAREN] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4431),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4359),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4434),
    [anon_sym_or_eq] = ACTIONS(4434),
    [anon_sym_xor_eq] = ACTIONS(4434),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(4436),
    [anon_sym_u_DQUOTE] = ACTIONS(4436),
    [anon_sym_U_DQUOTE] = ACTIONS(4436),
    [anon_sym_u8_DQUOTE] = ACTIONS(4436),
    [anon_sym_DQUOTE] = ACTIONS(4436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(4438),
    [anon_sym_LR_DQUOTE] = ACTIONS(4438),
    [anon_sym_uR_DQUOTE] = ACTIONS(4438),
    [anon_sym_UR_DQUOTE] = ACTIONS(4438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4438),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [1257] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1258] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4212),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1259] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4440),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1260] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4442),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1261] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4444),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1262] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4446),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1263] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4448),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1264] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4442),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1265] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4446),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1266] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4450),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1267] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4452),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1268] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4454),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1269] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4456),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1270] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4458),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1271] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1272] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2035),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1273] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1274] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_RBRACE] = ACTIONS(4462),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1275] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2034),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4362),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4370),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1276] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8247),
    [sym_initializer_pair] = STATE(8247),
    [sym_subscript_designator] = STATE(7281),
    [sym_subscript_range_designator] = STATE(7281),
    [sym_field_designator] = STATE(7281),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [aux_sym_initializer_pair_repeat1] = STATE(7281),
    [sym_identifier] = ACTIONS(4210),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(4214),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1277] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(2036),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3982),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_COMMA] = ACTIONS(4362),
    [anon_sym_RPAREN] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_TILDE] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4365),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym___extension__] = ACTIONS(4347),
    [anon_sym_extern] = ACTIONS(4347),
    [anon_sym___attribute__] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4355),
    [anon_sym___declspec] = ACTIONS(4347),
    [anon_sym___based] = ACTIONS(4347),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(4375),
    [anon_sym_unsigned] = ACTIONS(4375),
    [anon_sym_long] = ACTIONS(4375),
    [anon_sym_short] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4359),
    [anon_sym_EQ] = ACTIONS(4347),
    [anon_sym_static] = ACTIONS(4347),
    [anon_sym_register] = ACTIONS(4347),
    [anon_sym_inline] = ACTIONS(4347),
    [anon_sym___inline] = ACTIONS(4347),
    [anon_sym___inline__] = ACTIONS(4347),
    [anon_sym___forceinline] = ACTIONS(4347),
    [anon_sym_thread_local] = ACTIONS(4347),
    [anon_sym___thread] = ACTIONS(4347),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4347),
    [anon_sym_volatile] = ACTIONS(4347),
    [anon_sym_restrict] = ACTIONS(4347),
    [anon_sym___restrict__] = ACTIONS(4347),
    [anon_sym__Atomic] = ACTIONS(4347),
    [anon_sym__Noreturn] = ACTIONS(4347),
    [anon_sym_noreturn] = ACTIONS(4347),
    [anon_sym_mutable] = ACTIONS(4347),
    [anon_sym_constinit] = ACTIONS(4347),
    [anon_sym_consteval] = ACTIONS(4347),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4381),
    [anon_sym_or_eq] = ACTIONS(4381),
    [anon_sym_xor_eq] = ACTIONS(4381),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
    [anon_sym_virtual] = ACTIONS(4347),
    [anon_sym_alignas] = ACTIONS(4347),
    [anon_sym_template] = ACTIONS(4347),
    [anon_sym_operator] = ACTIONS(4347),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [1278] = {
    [sym_compound_statement] = STATE(8063),
    [sym__expression] = STATE(4885),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8063),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4464),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4466),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1279] = {
    [sym_compound_statement] = STATE(8103),
    [sym__expression] = STATE(4998),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8103),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4468),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4470),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1280] = {
    [sym_compound_statement] = STATE(8107),
    [sym__expression] = STATE(4993),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8107),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4472),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1281] = {
    [sym_compound_statement] = STATE(7903),
    [sym__expression] = STATE(5010),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7903),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4476),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4478),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1282] = {
    [sym_compound_statement] = STATE(7752),
    [sym__expression] = STATE(4894),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7752),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4480),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4482),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1283] = {
    [sym_compound_statement] = STATE(7942),
    [sym__expression] = STATE(4896),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7942),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4484),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4486),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1284] = {
    [sym_compound_statement] = STATE(7980),
    [sym__expression] = STATE(4907),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7980),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4488),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4490),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1285] = {
    [sym_compound_statement] = STATE(7904),
    [sym__expression] = STATE(5006),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4492),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4494),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1286] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7202),
    [sym__abstract_declarator] = STATE(7380),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_abstract_parenthesized_declarator] = STATE(6743),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_abstract_pointer_declarator] = STATE(6743),
    [sym_function_declarator] = STATE(6854),
    [sym_abstract_function_declarator] = STATE(6743),
    [sym_array_declarator] = STATE(6854),
    [sym_abstract_array_declarator] = STATE(6743),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_list] = STATE(4365),
    [sym_parameter_declaration] = STATE(8111),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8111),
    [sym_variadic_parameter_declaration] = STATE(8111),
    [sym_reference_declarator] = STATE(6854),
    [sym_abstract_reference_declarator] = STATE(6743),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym__function_declarator_seq] = STATE(6823),
    [sym_template_type] = STATE(3639),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6286),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(4496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym_LPAREN2] = ACTIONS(4500),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(4502),
    [anon_sym_AMP_AMP] = ACTIONS(4504),
    [anon_sym_AMP] = ACTIONS(4506),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4510),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1287] = {
    [sym_compound_statement] = STATE(7735),
    [sym__expression] = STATE(5022),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(7735),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4512),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4514),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1288] = {
    [sym__expression] = STATE(3689),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9421),
    [sym__unary_right_fold] = STATE(9420),
    [sym__binary_fold] = STATE(9418),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1289] = {
    [sym__expression] = STATE(3677),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9285),
    [sym__unary_right_fold] = STATE(9283),
    [sym__binary_fold] = STATE(9280),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1290] = {
    [sym__expression] = STATE(3720),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9082),
    [sym__unary_right_fold] = STATE(9083),
    [sym__binary_fold] = STATE(9087),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1291] = {
    [sym__expression] = STATE(3723),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8794),
    [sym__unary_right_fold] = STATE(8795),
    [sym__binary_fold] = STATE(8820),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1292] = {
    [sym__expression] = STATE(3661),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9133),
    [sym__unary_right_fold] = STATE(9132),
    [sym__binary_fold] = STATE(9131),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1293] = {
    [sym__expression] = STATE(5072),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8764),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8764),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4516),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1294] = {
    [sym__expression] = STATE(3744),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8953),
    [sym__unary_right_fold] = STATE(8955),
    [sym__binary_fold] = STATE(8958),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1295] = {
    [sym__expression] = STATE(5050),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8970),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8970),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4518),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1296] = {
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9118),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(9118),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1297] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8842),
    [sym__unary_right_fold] = STATE(8840),
    [sym__binary_fold] = STATE(8839),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1298] = {
    [sym__expression] = STATE(5134),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8597),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8597),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4522),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1299] = {
    [sym__expression] = STATE(5171),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8811),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8811),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1300] = {
    [sym__expression] = STATE(3727),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9219),
    [sym__unary_right_fold] = STATE(9220),
    [sym__binary_fold] = STATE(9225),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1301] = {
    [sym__expression] = STATE(3667),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9150),
    [sym__unary_right_fold] = STATE(9151),
    [sym__binary_fold] = STATE(9032),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1302] = {
    [sym_compound_statement] = STATE(8223),
    [sym__expression] = STATE(5051),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8223),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4526),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1303] = {
    [sym__expression] = STATE(3729),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(8636),
    [sym__unary_right_fold] = STATE(8605),
    [sym__binary_fold] = STATE(8604),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1304] = {
    [sym__expression] = STATE(5113),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8819),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8819),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1305] = {
    [sym__expression] = STATE(3794),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym__unary_left_fold] = STATE(9487),
    [sym__unary_right_fold] = STATE(9489),
    [sym__binary_fold] = STATE(9491),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1306] = {
    [sym__expression] = STATE(5101),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1307] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1308] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4540),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1309] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4543),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1310] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4546),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1311] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4549),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1312] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4551),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1313] = {
    [sym__expression] = STATE(3302),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1314] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4558),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1315] = {
    [sym__expression] = STATE(3261),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1316] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1317] = {
    [sym__expression] = STATE(3307),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1318] = {
    [sym__expression] = STATE(4959),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1319] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1320] = {
    [sym__expression] = STATE(4887),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(8155),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4567),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1321] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4569),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1322] = {
    [sym__expression] = STATE(4843),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1323] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4571),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1324] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4573),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1325] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4575),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1326] = {
    [sym__expression] = STATE(5316),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1327] = {
    [sym__expression] = STATE(4810),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1328] = {
    [sym__expression] = STATE(4806),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1329] = {
    [sym__expression] = STATE(5136),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1330] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4583),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1331] = {
    [sym__expression] = STATE(4849),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1332] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4585),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1333] = {
    [sym__expression] = STATE(4877),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(7783),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4587),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1334] = {
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1335] = {
    [sym__expression] = STATE(4937),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4591),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1336] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4593),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1337] = {
    [sym__expression] = STATE(3688),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1338] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4591),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1339] = {
    [sym__expression] = STATE(5147),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1340] = {
    [sym__expression] = STATE(4185),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1341] = {
    [sym__expression] = STATE(3524),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1342] = {
    [sym__expression] = STATE(3722),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1343] = {
    [sym__expression] = STATE(5041),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(8044),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4597),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1344] = {
    [sym__expression] = STATE(4808),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(7390),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(4603),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4605),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1345] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4607),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1346] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4609),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1347] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1348] = {
    [sym__expression] = STATE(3299),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1349] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4614),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1350] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4616),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1351] = {
    [sym__expression] = STATE(4797),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(7355),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(4619),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4621),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1352] = {
    [sym__expression] = STATE(4900),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1353] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4623),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1354] = {
    [sym__expression] = STATE(3836),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1355] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4627),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1356] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4629),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1357] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4631),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1358] = {
    [sym__expression] = STATE(3838),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1359] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4634),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1360] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4636),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1361] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4638),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1362] = {
    [sym__expression] = STATE(3088),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1363] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4642),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1364] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(4589),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4591),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1365] = {
    [sym__expression] = STATE(3655),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1366] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1367] = {
    [sym__expression] = STATE(4693),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1368] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4652),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1369] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1370] = {
    [sym__expression] = STATE(5026),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(7854),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4656),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1371] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4658),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1372] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4660),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1373] = {
    [sym__expression] = STATE(3495),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1374] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4662),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1375] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4665),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1376] = {
    [sym__expression] = STATE(4778),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(7402),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(4667),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4669),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1377] = {
    [sym__expression] = STATE(3521),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1378] = {
    [sym__expression] = STATE(4776),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(7362),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(4671),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4673),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1379] = {
    [sym__expression] = STATE(3052),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1380] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4675),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1381] = {
    [sym__expression] = STATE(4937),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4591),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1382] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4678),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1383] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4680),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1384] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_lambda_default_capture] = STATE(8318),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4682),
    [anon_sym_EQ] = ACTIONS(4538),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1385] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4684),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1386] = {
    [sym__expression] = STATE(4720),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1387] = {
    [sym__expression] = STATE(4145),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1388] = {
    [sym__expression] = STATE(5131),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(4530),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(4530),
    [anon_sym_AMP_AMP] = ACTIONS(4530),
    [anon_sym_AMP] = ACTIONS(4532),
    [anon_sym_LT] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(4530),
    [anon_sym_LBRACK] = ACTIONS(4530),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1389] = {
    [sym__expression] = STATE(3752),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym__assignment_expression_lhs] = STATE(9147),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1390] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1391] = {
    [sym__expression] = STATE(5154),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8262),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1392] = {
    [sym__expression] = STATE(5176),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_initializer_list] = STATE(5377),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1393] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1394] = {
    [sym__expression] = STATE(4721),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_initializer_list] = STATE(4374),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1395] = {
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1396] = {
    [sym__expression] = STATE(4111),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_initializer_list] = STATE(4369),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1397] = {
    [sym__expression] = STATE(3691),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_initializer_list] = STATE(4060),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1398] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1399] = {
    [sym__expression] = STATE(4827),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(4374),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1400] = {
    [sym__expression] = STATE(4871),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8284),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1401] = {
    [sym__expression] = STATE(2816),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1402] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1403] = {
    [sym__expression] = STATE(4072),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_initializer_list] = STATE(4276),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1404] = {
    [sym__expression] = STATE(4927),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(4374),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1405] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1406] = {
    [sym__expression] = STATE(5153),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9291),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4703),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1407] = {
    [sym__expression] = STATE(5104),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8284),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1408] = {
    [sym__expression] = STATE(5189),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9292),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1409] = {
    [sym__expression] = STATE(4361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(4381),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1410] = {
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1411] = {
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(4374),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1412] = {
    [sym__expression] = STATE(4875),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8376),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4707),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1413] = {
    [sym__expression] = STATE(5360),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(9374),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1414] = {
    [sym__expression] = STATE(5098),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9373),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4710),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1415] = {
    [sym__expression] = STATE(4779),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_initializer_list] = STATE(4987),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1416] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(4716),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4716),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1417] = {
    [sym__expression] = STATE(4815),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_initializer_list] = STATE(4926),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACE] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1418] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_initializer_list] = STATE(7820),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1419] = {
    [sym__expression] = STATE(5082),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_initializer_list] = STATE(5390),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1420] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8756),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1421] = {
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9163),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4718),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1422] = {
    [sym__expression] = STATE(3839),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_initializer_list] = STATE(2870),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1423] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_initializer_list] = STATE(8368),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1424] = {
    [sym__expression] = STATE(5078),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9164),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1425] = {
    [sym__expression] = STATE(5185),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(9297),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4724),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1426] = {
    [sym__expression] = STATE(3590),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_initializer_list] = STATE(3915),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1427] = {
    [sym__expression] = STATE(5093),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_initializer_list] = STATE(8243),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1428] = {
    [sym__expression] = STATE(3235),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_initializer_list] = STATE(3460),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1429] = {
    [sym__expression] = STATE(5291),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_initializer_list] = STATE(4374),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACE] = ACTIONS(3677),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1430] = {
    [sym__expression] = STATE(4090),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1431] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4731),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1432] = {
    [sym__expression] = STATE(5295),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4733),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1433] = {
    [sym__expression] = STATE(5294),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1434] = {
    [sym__expression] = STATE(2784),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4737),
    [anon_sym_LPAREN2] = ACTIONS(4739),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1435] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4741),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1436] = {
    [sym__expression] = STATE(3319),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4743),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1437] = {
    [sym__expression] = STATE(5259),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4747),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1438] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(4751),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1439] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4753),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1440] = {
    [sym__expression] = STATE(5268),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4755),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1441] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1442] = {
    [sym__expression] = STATE(5206),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4759),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1443] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4761),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1444] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(4765),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1445] = {
    [sym__expression] = STATE(3597),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4767),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1446] = {
    [sym__expression] = STATE(3610),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1447] = {
    [sym__expression] = STATE(3605),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4773),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1448] = {
    [sym__expression] = STATE(3576),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4776),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1449] = {
    [sym__expression] = STATE(4095),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4767),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1450] = {
    [sym__expression] = STATE(3562),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1451] = {
    [sym__expression] = STATE(4093),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1452] = {
    [sym__expression] = STATE(4091),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4773),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1453] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4782),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1454] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(4785),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1455] = {
    [sym__expression] = STATE(4090),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4776),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1456] = {
    [sym__expression] = STATE(4089),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4779),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1457] = {
    [sym__expression] = STATE(5251),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4787),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1458] = {
    [sym__expression] = STATE(5233),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4789),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1459] = {
    [sym__expression] = STATE(4088),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4782),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1460] = {
    [sym__expression] = STATE(4097),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4791),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1461] = {
    [sym__expression] = STATE(4097),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1462] = {
    [sym__expression] = STATE(4096),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1463] = {
    [sym__expression] = STATE(5194),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4800),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1464] = {
    [sym__expression] = STATE(4096),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4802),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1465] = {
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4805),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1466] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4807),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1467] = {
    [sym__expression] = STATE(4096),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4809),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1468] = {
    [sym__expression] = STATE(4095),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1469] = {
    [sym__expression] = STATE(4095),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4815),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1470] = {
    [sym__expression] = STATE(3878),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4737),
    [anon_sym_LPAREN2] = ACTIONS(4818),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1471] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4820),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1472] = {
    [sym__expression] = STATE(4093),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1473] = {
    [sym__expression] = STATE(5243),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4825),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1474] = {
    [sym__expression] = STATE(4091),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1475] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4830),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1476] = {
    [sym__expression] = STATE(4113),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4832),
    [anon_sym_LPAREN2] = ACTIONS(4834),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1477] = {
    [sym__expression] = STATE(4089),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1478] = {
    [sym__expression] = STATE(3626),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4791),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1479] = {
    [sym__expression] = STATE(3626),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1480] = {
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1481] = {
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4802),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1482] = {
    [sym__expression] = STATE(5351),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4839),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1483] = {
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1484] = {
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4809),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1485] = {
    [sym__expression] = STATE(3597),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1486] = {
    [sym__expression] = STATE(3597),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4815),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1487] = {
    [sym__expression] = STATE(4875),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_comma_expression] = STATE(8376),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1488] = {
    [sym__expression] = STATE(3610),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1489] = {
    [sym__expression] = STATE(3605),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1490] = {
    [sym__expression] = STATE(3576),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4728),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1491] = {
    [sym__expression] = STATE(5274),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4844),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1492] = {
    [sym__expression] = STATE(3562),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1493] = {
    [sym__expression] = STATE(5353),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4846),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1494] = {
    [sym__expression] = STATE(4088),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1495] = {
    [sym__expression] = STATE(5368),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4851),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1496] = {
    [sym__expression] = STATE(5254),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4853),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1497] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1498] = {
    [sym__expression] = STATE(5356),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_RPAREN] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1499] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4859),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1500] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1501] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1502] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1503] = {
    [sym__expression] = STATE(4087),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4861),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1504] = {
    [sym__expression] = STATE(4087),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4864),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1505] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4867),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1506] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4869),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1507] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4872),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1508] = {
    [sym__expression] = STATE(5252),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4874),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1509] = {
    [sym__expression] = STATE(4087),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4869),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1510] = {
    [sym__expression] = STATE(4083),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1511] = {
    [sym__expression] = STATE(3551),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4876),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1512] = {
    [sym__expression] = STATE(3551),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1513] = {
    [sym__expression] = STATE(5048),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4882),
    [anon_sym_LPAREN2] = ACTIONS(4884),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1514] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4886),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1515] = {
    [sym__expression] = STATE(4083),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4879),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1516] = {
    [sym__expression] = STATE(5200),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4888),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1517] = {
    [sym__expression] = STATE(5361),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4890),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1518] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4892),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1519] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1520] = {
    [sym__expression] = STATE(5212),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4896),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1521] = {
    [sym__expression] = STATE(5242),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4898),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1522] = {
    [sym__expression] = STATE(4784),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4900),
    [anon_sym_LPAREN2] = ACTIONS(4902),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1523] = {
    [sym__expression] = STATE(5311),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1524] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4906),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1525] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4908),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1526] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4910),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1527] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4912),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1528] = {
    [sym__expression] = STATE(5264),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4914),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1529] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(4916),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1530] = {
    [sym__expression] = STATE(5332),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4918),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1531] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1532] = {
    [sym__expression] = STATE(2784),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4737),
    [anon_sym_LPAREN2] = ACTIONS(4922),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1533] = {
    [sym__expression] = STATE(5321),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4924),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1534] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4926),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1535] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1536] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4930),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1537] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4932),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1538] = {
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4934),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1539] = {
    [sym__expression] = STATE(4096),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1540] = {
    [sym__expression] = STATE(5195),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4936),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1541] = {
    [sym__expression] = STATE(5325),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(4938),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1542] = {
    [sym__expression] = STATE(5342),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4940),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1543] = {
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4942),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1544] = {
    [sym__expression] = STATE(5344),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4944),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1545] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4946),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1546] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4948),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1547] = {
    [sym__expression] = STATE(5330),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(4950),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1548] = {
    [sym__expression] = STATE(5326),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4952),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1549] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1550] = {
    [sym__expression] = STATE(5328),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4956),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1551] = {
    [sym__expression] = STATE(3479),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1552] = {
    [sym__expression] = STATE(3757),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1553] = {
    [sym__expression] = STATE(5265),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4966),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1554] = {
    [sym__expression] = STATE(5263),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4968),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1555] = {
    [sym__expression] = STATE(5304),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4970),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1556] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4972),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1557] = {
    [sym__expression] = STATE(2784),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4737),
    [anon_sym_LPAREN2] = ACTIONS(4974),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1558] = {
    [sym__expression] = STATE(5270),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4976),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1559] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym_RBRACK] = ACTIONS(4978),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1560] = {
    [sym__expression] = STATE(5366),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1561] = {
    [sym__expression] = STATE(3275),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1562] = {
    [sym__expression] = STATE(4713),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1563] = {
    [sym__expression] = STATE(5229),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1564] = {
    [sym__expression] = STATE(5249),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(4980),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1565] = {
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1566] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1567] = {
    [sym__expression] = STATE(5235),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1568] = {
    [sym__expression] = STATE(5236),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1569] = {
    [sym__expression] = STATE(3287),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(4982),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1570] = {
    [sym__expression] = STATE(3555),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1571] = {
    [sym__expression] = STATE(4856),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4984),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1572] = {
    [sym__expression] = STATE(5258),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1573] = {
    [sym__expression] = STATE(3089),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1574] = {
    [sym__expression] = STATE(5350),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1575] = {
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1576] = {
    [sym__expression] = STATE(5115),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1577] = {
    [sym__expression] = STATE(5317),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1578] = {
    [sym__expression] = STATE(5314),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1579] = {
    [sym__expression] = STATE(4983),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1580] = {
    [sym__expression] = STATE(5363),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1581] = {
    [sym__expression] = STATE(4876),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1582] = {
    [sym__expression] = STATE(3797),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(4986),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1583] = {
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1584] = {
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1585] = {
    [sym__expression] = STATE(5161),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1586] = {
    [sym__expression] = STATE(5313),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1587] = {
    [sym__expression] = STATE(4114),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1588] = {
    [sym__expression] = STATE(5358),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1589] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1590] = {
    [sym__expression] = STATE(5042),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1591] = {
    [sym__expression] = STATE(5352),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1592] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1593] = {
    [sym__expression] = STATE(3243),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1594] = {
    [sym__expression] = STATE(5296),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1595] = {
    [sym__expression] = STATE(4723),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1596] = {
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1597] = {
    [sym__expression] = STATE(5286),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1598] = {
    [sym__expression] = STATE(3236),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(4988),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1599] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4763),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1600] = {
    [sym__expression] = STATE(4268),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1601] = {
    [sym__expression] = STATE(4813),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1602] = {
    [sym__expression] = STATE(4124),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1603] = {
    [sym__expression] = STATE(4098),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1604] = {
    [sym__expression] = STATE(4711),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1605] = {
    [sym__expression] = STATE(4974),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1606] = {
    [sym__expression] = STATE(4820),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1607] = {
    [sym__expression] = STATE(4872),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1608] = {
    [sym__expression] = STATE(4980),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1609] = {
    [sym__expression] = STATE(5196),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1610] = {
    [sym__expression] = STATE(4839),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1611] = {
    [sym__expression] = STATE(4097),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1612] = {
    [sym__expression] = STATE(5284),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1613] = {
    [sym__expression] = STATE(4096),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1614] = {
    [sym__expression] = STATE(3067),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1615] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1616] = {
    [sym__expression] = STATE(4841),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1617] = {
    [sym__expression] = STATE(4844),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1618] = {
    [sym__expression] = STATE(4846),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1619] = {
    [sym__expression] = STATE(5312),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1620] = {
    [sym__expression] = STATE(3768),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1621] = {
    [sym__expression] = STATE(5271),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1622] = {
    [sym__expression] = STATE(4095),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1623] = {
    [sym__expression] = STATE(3765),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1624] = {
    [sym__expression] = STATE(4064),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(4994),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1625] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1626] = {
    [sym__expression] = STATE(3463),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1627] = {
    [sym__expression] = STATE(5359),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1628] = {
    [sym__expression] = STATE(3045),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1629] = {
    [sym__expression] = STATE(4108),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1630] = {
    [sym__expression] = STATE(3060),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1631] = {
    [sym__expression] = STATE(2764),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1632] = {
    [sym__expression] = STATE(4093),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1633] = {
    [sym__expression] = STATE(4109),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(4998),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1634] = {
    [sym__expression] = STATE(4091),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1635] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1636] = {
    [sym__expression] = STATE(3095),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1637] = {
    [sym__expression] = STATE(4090),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1638] = {
    [sym__expression] = STATE(3046),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1639] = {
    [sym__expression] = STATE(5014),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1640] = {
    [sym__expression] = STATE(4821),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1641] = {
    [sym__expression] = STATE(5217),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1642] = {
    [sym__expression] = STATE(3554),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1643] = {
    [sym__expression] = STATE(4089),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1644] = {
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1645] = {
    [sym__expression] = STATE(2764),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1646] = {
    [sym__expression] = STATE(4826),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1647] = {
    [sym__expression] = STATE(4851),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1648] = {
    [sym__expression] = STATE(5362),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1649] = {
    [sym__expression] = STATE(4805),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1650] = {
    [sym__expression] = STATE(4822),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1651] = {
    [sym__expression] = STATE(4852),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1652] = {
    [sym__expression] = STATE(3617),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1653] = {
    [sym__expression] = STATE(4823),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1654] = {
    [sym__expression] = STATE(4088),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1655] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1656] = {
    [sym__expression] = STATE(3500),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1657] = {
    [sym__expression] = STATE(4853),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1658] = {
    [sym__expression] = STATE(5346),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1659] = {
    [sym__expression] = STATE(4960),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1660] = {
    [sym__expression] = STATE(4854),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1661] = {
    [sym__expression] = STATE(5152),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1662] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1663] = {
    [sym__expression] = STATE(4087),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1664] = {
    [sym__expression] = STATE(3040),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1665] = {
    [sym__expression] = STATE(3581),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1666] = {
    [sym__expression] = STATE(5327),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1667] = {
    [sym__expression] = STATE(4772),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1668] = {
    [sym__expression] = STATE(3039),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1669] = {
    [sym__expression] = STATE(5341),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1670] = {
    [sym__expression] = STATE(3049),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1671] = {
    [sym__expression] = STATE(4083),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1672] = {
    [sym__expression] = STATE(5371),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1673] = {
    [sym__expression] = STATE(5225),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1674] = {
    [sym__expression] = STATE(5138),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1675] = {
    [sym__expression] = STATE(5221),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1676] = {
    [sym__expression] = STATE(3702),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1677] = {
    [sym__expression] = STATE(5220),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1678] = {
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1679] = {
    [sym__expression] = STATE(5307),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1680] = {
    [sym__expression] = STATE(4956),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1681] = {
    [sym__expression] = STATE(5299),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1682] = {
    [sym__expression] = STATE(5298),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1683] = {
    [sym__expression] = STATE(3047),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1684] = {
    [sym__expression] = STATE(5201),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1685] = {
    [sym__expression] = STATE(5122),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1686] = {
    [sym__expression] = STATE(5118),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1687] = {
    [sym__expression] = STATE(5117),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1688] = {
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1689] = {
    [sym__expression] = STATE(5110),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1690] = {
    [sym__expression] = STATE(5109),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1691] = {
    [sym__expression] = STATE(5108),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1692] = {
    [sym__expression] = STATE(5090),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1693] = {
    [sym__expression] = STATE(5100),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1694] = {
    [sym__expression] = STATE(5310),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1695] = {
    [sym__expression] = STATE(5096),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1696] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1697] = {
    [sym__expression] = STATE(5092),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1698] = {
    [sym__expression] = STATE(5211),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(5004),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1699] = {
    [sym__expression] = STATE(5129),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1700] = {
    [sym__expression] = STATE(4169),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1701] = {
    [sym__expression] = STATE(5130),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1702] = {
    [sym__expression] = STATE(5029),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1703] = {
    [sym__expression] = STATE(3094),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1704] = {
    [sym__expression] = STATE(3055),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1705] = {
    [sym__expression] = STATE(4809),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1706] = {
    [sym__expression] = STATE(3058),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1707] = {
    [sym__expression] = STATE(5070),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1708] = {
    [sym__expression] = STATE(4833),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1709] = {
    [sym__expression] = STATE(3486),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1710] = {
    [sym__expression] = STATE(3487),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1711] = {
    [sym__expression] = STATE(5329),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1712] = {
    [sym__expression] = STATE(3057),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1713] = {
    [sym__expression] = STATE(5324),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1714] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1715] = {
    [sym__expression] = STATE(4834),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1716] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1717] = {
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1718] = {
    [sym__expression] = STATE(5293),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1719] = {
    [sym__expression] = STATE(5292),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1720] = {
    [sym__expression] = STATE(5334),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1721] = {
    [sym__expression] = STATE(5300),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1722] = {
    [sym__expression] = STATE(5318),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1723] = {
    [sym__expression] = STATE(5275),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1724] = {
    [sym__expression] = STATE(4965),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1725] = {
    [sym__expression] = STATE(5253),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1726] = {
    [sym__expression] = STATE(5089),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1727] = {
    [sym__expression] = STATE(5290),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(5010),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1728] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1729] = {
    [sym__expression] = STATE(5165),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1730] = {
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1731] = {
    [sym__expression] = STATE(5308),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1732] = {
    [sym__expression] = STATE(5336),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1733] = {
    [sym__expression] = STATE(5155),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1734] = {
    [sym__expression] = STATE(4829),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1735] = {
    [sym__expression] = STATE(5049),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1736] = {
    [sym__expression] = STATE(5289),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1737] = {
    [sym__expression] = STATE(5287),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1738] = {
    [sym__expression] = STATE(3491),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5014),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1739] = {
    [sym__expression] = STATE(5285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1740] = {
    [sym__expression] = STATE(4975),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1741] = {
    [sym__expression] = STATE(3835),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1742] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1743] = {
    [sym__expression] = STATE(3837),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1744] = {
    [sym__expression] = STATE(4824),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1745] = {
    [sym__expression] = STATE(5057),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1746] = {
    [sym__expression] = STATE(5306),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1747] = {
    [sym__expression] = STATE(3246),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1748] = {
    [sym__expression] = STATE(5269),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1749] = {
    [sym__expression] = STATE(4867),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1750] = {
    [sym__expression] = STATE(3707),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1751] = {
    [sym__expression] = STATE(3708),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1752] = {
    [sym__expression] = STATE(3259),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1753] = {
    [sym__expression] = STATE(3669),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1754] = {
    [sym__expression] = STATE(3711),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1755] = {
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1756] = {
    [sym__expression] = STATE(4268),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1757] = {
    [sym__expression] = STATE(3271),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1758] = {
    [sym__expression] = STATE(3272),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1759] = {
    [sym__expression] = STATE(4704),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1760] = {
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1761] = {
    [sym__expression] = STATE(5357),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1762] = {
    [sym__expression] = STATE(3466),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(5016),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1763] = {
    [sym__expression] = STATE(5149),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1764] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1765] = {
    [sym__expression] = STATE(3277),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1766] = {
    [sym__expression] = STATE(3284),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1767] = {
    [sym__expression] = STATE(5256),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1768] = {
    [sym__expression] = STATE(5150),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1769] = {
    [sym__expression] = STATE(3286),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1770] = {
    [sym__expression] = STATE(3296),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1771] = {
    [sym__expression] = STATE(4888),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1772] = {
    [sym__expression] = STATE(3298),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1773] = {
    [sym__expression] = STATE(3713),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1774] = {
    [sym__expression] = STATE(4908),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1775] = {
    [sym__expression] = STATE(2754),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1776] = {
    [sym__expression] = STATE(3714),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1777] = {
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1778] = {
    [sym__expression] = STATE(5151),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1779] = {
    [sym__expression] = STATE(5162),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1780] = {
    [sym__expression] = STATE(5173),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1781] = {
    [sym__expression] = STATE(3295),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1782] = {
    [sym__expression] = STATE(3301),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1783] = {
    [sym__expression] = STATE(3842),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1784] = {
    [sym__expression] = STATE(3715),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1785] = {
    [sym__expression] = STATE(4773),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1786] = {
    [sym__expression] = STATE(5175),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1787] = {
    [sym__expression] = STATE(5184),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1788] = {
    [sym__expression] = STATE(5186),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1789] = {
    [sym__expression] = STATE(2805),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1790] = {
    [sym__expression] = STATE(3716),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1791] = {
    [sym__expression] = STATE(3717),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1792] = {
    [sym__expression] = STATE(3264),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1793] = {
    [sym__expression] = STATE(2764),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1794] = {
    [sym__expression] = STATE(3267),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1795] = {
    [sym__expression] = STATE(3270),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1796] = {
    [sym__expression] = STATE(3273),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1797] = {
    [sym__expression] = STATE(3274),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1798] = {
    [sym__expression] = STATE(3278),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1799] = {
    [sym__expression] = STATE(3280),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1800] = {
    [sym__expression] = STATE(3281),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1801] = {
    [sym__expression] = STATE(3282),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1802] = {
    [sym__expression] = STATE(3643),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1803] = {
    [sym__expression] = STATE(3874),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(5020),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1804] = {
    [sym__expression] = STATE(3718),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1805] = {
    [sym__expression] = STATE(3875),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1806] = {
    [sym__expression] = STATE(5167),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1807] = {
    [sym__expression] = STATE(5178),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1808] = {
    [sym__expression] = STATE(4989),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1809] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1810] = {
    [sym__expression] = STATE(3876),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1811] = {
    [sym__expression] = STATE(3756),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1812] = {
    [sym__expression] = STATE(3255),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(5024),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1813] = {
    [sym__expression] = STATE(3843),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1814] = {
    [sym__expression] = STATE(5034),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1815] = {
    [sym__expression] = STATE(3488),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1816] = {
    [sym__expression] = STATE(3844),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1817] = {
    [sym__expression] = STATE(5232),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1818] = {
    [sym__expression] = STATE(3855),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1819] = {
    [sym__expression] = STATE(3856),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1820] = {
    [sym__expression] = STATE(3561),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1821] = {
    [sym__expression] = STATE(3857),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1822] = {
    [sym__expression] = STATE(3858),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1823] = {
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1824] = {
    [sym__expression] = STATE(3571),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1825] = {
    [sym__expression] = STATE(5219),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1826] = {
    [sym__expression] = STATE(3860),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1827] = {
    [sym__expression] = STATE(4777),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1828] = {
    [sym__expression] = STATE(4781),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1829] = {
    [sym__expression] = STATE(3862),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1830] = {
    [sym__expression] = STATE(3291),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1831] = {
    [sym__expression] = STATE(4825),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1832] = {
    [sym__expression] = STATE(3864),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1833] = {
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1834] = {
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1835] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1836] = {
    [sym__expression] = STATE(4799),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1837] = {
    [sym__expression] = STATE(5139),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1838] = {
    [sym__expression] = STATE(4798),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1839] = {
    [sym__expression] = STATE(3570),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1840] = {
    [sym__expression] = STATE(5204),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1841] = {
    [sym__expression] = STATE(5213),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1842] = {
    [sym__expression] = STATE(3701),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1843] = {
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1844] = {
    [sym__expression] = STATE(4819),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1845] = {
    [sym__expression] = STATE(3871),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1846] = {
    [sym__expression] = STATE(3829),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1847] = {
    [sym__expression] = STATE(4814),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1848] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1849] = {
    [sym__expression] = STATE(4678),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1850] = {
    [sym__expression] = STATE(4786),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1851] = {
    [sym__expression] = STATE(4348),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1852] = {
    [sym__expression] = STATE(4785),
    [sym__expression_not_binary] = STATE(4971),
    [sym__string] = STATE(4971),
    [sym_conditional_expression] = STATE(4971),
    [sym_assignment_expression] = STATE(4971),
    [sym_pointer_expression] = STATE(3454),
    [sym_unary_expression] = STATE(4971),
    [sym_binary_expression] = STATE(4971),
    [sym_update_expression] = STATE(4971),
    [sym_cast_expression] = STATE(4971),
    [sym_sizeof_expression] = STATE(4971),
    [sym_alignof_expression] = STATE(4971),
    [sym_offsetof_expression] = STATE(4971),
    [sym_generic_expression] = STATE(4971),
    [sym_subscript_expression] = STATE(3454),
    [sym_call_expression] = STATE(3454),
    [sym_gnu_asm_expression] = STATE(4971),
    [sym_field_expression] = STATE(3454),
    [sym_compound_literal_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(3454),
    [sym_char_literal] = STATE(4859),
    [sym_concatenated_string] = STATE(4861),
    [sym_string_literal] = STATE(3800),
    [sym_null] = STATE(4971),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8206),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4971),
    [sym_raw_string_literal] = STATE(3791),
    [sym_co_await_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_delete_expression] = STATE(4971),
    [sym_requires_clause] = STATE(4971),
    [sym_requires_expression] = STATE(4971),
    [sym_lambda_expression] = STATE(4971),
    [sym_lambda_capture_specifier] = STATE(6514),
    [sym_fold_expression] = STATE(4971),
    [sym_parameter_pack_expansion] = STATE(4971),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3454),
    [sym_qualified_type_identifier] = STATE(8206),
    [sym_user_defined_literal] = STATE(3454),
    [sym_identifier] = ACTIONS(4579),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3727),
    [anon_sym_PLUS] = ACTIONS(3727),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(3731),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(3735),
    [anon_sym_not] = ACTIONS(3727),
    [anon_sym_compl] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(4581),
    [anon_sym_PLUS_PLUS] = ACTIONS(4581),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym___alignof__] = ACTIONS(3739),
    [anon_sym___alignof] = ACTIONS(3739),
    [anon_sym__alignof] = ACTIONS(3739),
    [anon_sym_alignof] = ACTIONS(3739),
    [anon_sym__Alignof] = ACTIONS(3739),
    [anon_sym_offsetof] = ACTIONS(3741),
    [anon_sym__Generic] = ACTIONS(3743),
    [anon_sym_asm] = ACTIONS(3745),
    [anon_sym___asm__] = ACTIONS(3745),
    [sym_number_literal] = ACTIONS(3747),
    [anon_sym_L_SQUOTE] = ACTIONS(3749),
    [anon_sym_u_SQUOTE] = ACTIONS(3749),
    [anon_sym_U_SQUOTE] = ACTIONS(3749),
    [anon_sym_u8_SQUOTE] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3749),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_true] = ACTIONS(3753),
    [sym_false] = ACTIONS(3753),
    [anon_sym_NULL] = ACTIONS(3755),
    [anon_sym_nullptr] = ACTIONS(3755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3757),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
    [anon_sym_co_await] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3763),
    [anon_sym_requires] = ACTIONS(3765),
    [sym_this] = ACTIONS(3753),
  },
  [1853] = {
    [sym__expression] = STATE(5305),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1854] = {
    [sym__expression] = STATE(4285),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(5032),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1855] = {
    [sym__expression] = STATE(5323),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1856] = {
    [sym__expression] = STATE(5094),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1857] = {
    [sym__expression] = STATE(5337),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1858] = {
    [sym__expression] = STATE(4268),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1859] = {
    [sym__expression] = STATE(5345),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1860] = {
    [sym__expression] = STATE(3304),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1861] = {
    [sym__expression] = STATE(5164),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1862] = {
    [sym__expression] = STATE(4126),
    [sym__expression_not_binary] = STATE(4359),
    [sym__string] = STATE(4359),
    [sym_conditional_expression] = STATE(4359),
    [sym_assignment_expression] = STATE(4359),
    [sym_pointer_expression] = STATE(3983),
    [sym_unary_expression] = STATE(4359),
    [sym_binary_expression] = STATE(4359),
    [sym_update_expression] = STATE(4359),
    [sym_cast_expression] = STATE(4359),
    [sym_sizeof_expression] = STATE(4359),
    [sym_alignof_expression] = STATE(4359),
    [sym_offsetof_expression] = STATE(4359),
    [sym_generic_expression] = STATE(4359),
    [sym_subscript_expression] = STATE(3983),
    [sym_call_expression] = STATE(3983),
    [sym_gnu_asm_expression] = STATE(4359),
    [sym_field_expression] = STATE(3983),
    [sym_compound_literal_expression] = STATE(4359),
    [sym_parenthesized_expression] = STATE(3983),
    [sym_char_literal] = STATE(4230),
    [sym_concatenated_string] = STATE(4216),
    [sym_string_literal] = STATE(2900),
    [sym_null] = STATE(4359),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8402),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4359),
    [sym_raw_string_literal] = STATE(2897),
    [sym_co_await_expression] = STATE(4359),
    [sym_new_expression] = STATE(4359),
    [sym_delete_expression] = STATE(4359),
    [sym_requires_clause] = STATE(4359),
    [sym_requires_expression] = STATE(4359),
    [sym_lambda_expression] = STATE(4359),
    [sym_lambda_capture_specifier] = STATE(6490),
    [sym_fold_expression] = STATE(4359),
    [sym_parameter_pack_expansion] = STATE(4359),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3983),
    [sym_qualified_type_identifier] = STATE(8402),
    [sym_user_defined_literal] = STATE(3983),
    [sym_identifier] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1863] = {
    [sym__expression] = STATE(5074),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1864] = {
    [sym__expression] = STATE(5247),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1865] = {
    [sym__expression] = STATE(3551),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1866] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1867] = {
    [sym__expression] = STATE(5182),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1868] = {
    [sym__expression] = STATE(3492),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1869] = {
    [sym__expression] = STATE(3562),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1870] = {
    [sym__expression] = STATE(3576),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1871] = {
    [sym__expression] = STATE(3567),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1872] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1873] = {
    [sym__expression] = STATE(4712),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1874] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1875] = {
    [sym__expression] = STATE(4707),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1876] = {
    [sym__expression] = STATE(4705),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1877] = {
    [sym__expression] = STATE(3605),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1878] = {
    [sym__expression] = STATE(3610),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1879] = {
    [sym__expression] = STATE(5137),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1880] = {
    [sym__expression] = STATE(3564),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1881] = {
    [sym__expression] = STATE(3563),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1882] = {
    [sym__expression] = STATE(3597),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1883] = {
    [sym__expression] = STATE(3620),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1884] = {
    [sym__expression] = STATE(3626),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1885] = {
    [sym__expression] = STATE(3283),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1886] = {
    [sym__expression] = STATE(3630),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1887] = {
    [sym__expression] = STATE(4671),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1888] = {
    [sym__expression] = STATE(5071),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1889] = {
    [sym__expression] = STATE(4865),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1890] = {
    [sym__expression] = STATE(5106),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1891] = {
    [sym__expression] = STATE(5065),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1892] = {
    [sym__expression] = STATE(4268),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1893] = {
    [sym__expression] = STATE(3534),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1894] = {
    [sym__expression] = STATE(5083),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1895] = {
    [sym__expression] = STATE(3309),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1896] = {
    [sym__expression] = STATE(4722),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1897] = {
    [sym__expression] = STATE(5157),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1898] = {
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1899] = {
    [sym__expression] = STATE(5053),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1900] = {
    [sym__expression] = STATE(3703),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1901] = {
    [sym__expression] = STATE(3470),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1902] = {
    [sym__expression] = STATE(5064),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1903] = {
    [sym__expression] = STATE(4698),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1904] = {
    [sym__expression] = STATE(4695),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1905] = {
    [sym__expression] = STATE(2754),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1906] = {
    [sym__expression] = STATE(4692),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1907] = {
    [sym__expression] = STATE(4691),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1908] = {
    [sym__expression] = STATE(4717),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3265),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3265),
    [sym_call_expression] = STATE(3265),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3265),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3265),
    [sym_char_literal] = STATE(4765),
    [sym_concatenated_string] = STATE(4725),
    [sym_string_literal] = STATE(3386),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3387),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3265),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3265),
    [sym_identifier] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(4691),
    [anon_sym_BANG] = ACTIONS(3673),
    [anon_sym_TILDE] = ACTIONS(3673),
    [anon_sym_DASH] = ACTIONS(3671),
    [anon_sym_PLUS] = ACTIONS(3671),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3671),
    [anon_sym_compl] = ACTIONS(3671),
    [anon_sym_DASH_DASH] = ACTIONS(4650),
    [anon_sym_PLUS_PLUS] = ACTIONS(4650),
    [anon_sym_sizeof] = ACTIONS(3679),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3681),
    [anon_sym_L_SQUOTE] = ACTIONS(3683),
    [anon_sym_u_SQUOTE] = ACTIONS(3683),
    [anon_sym_U_SQUOTE] = ACTIONS(3683),
    [anon_sym_u8_SQUOTE] = ACTIONS(3683),
    [anon_sym_SQUOTE] = ACTIONS(3683),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3687),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
    [anon_sym_co_await] = ACTIONS(3691),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_requires] = ACTIONS(3695),
    [sym_this] = ACTIONS(217),
  },
  [1909] = {
    [sym__expression] = STATE(2805),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3222),
    [sym_concatenated_string] = STATE(3219),
    [sym_string_literal] = STATE(2094),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2096),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4701),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(4693),
    [anon_sym_AMP] = ACTIONS(4693),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2138),
    [anon_sym_compl] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_sizeof] = ACTIONS(2148),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2158),
    [anon_sym_L_SQUOTE] = ACTIONS(2160),
    [anon_sym_u_SQUOTE] = ACTIONS(2160),
    [anon_sym_U_SQUOTE] = ACTIONS(2160),
    [anon_sym_u8_SQUOTE] = ACTIONS(2160),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2170),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [anon_sym_co_await] = ACTIONS(2174),
    [anon_sym_new] = ACTIONS(2176),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1910] = {
    [sym__expression] = STATE(3237),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1911] = {
    [sym__expression] = STATE(3315),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1912] = {
    [sym__expression] = STATE(5135),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1913] = {
    [sym__expression] = STATE(5207),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4235),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4235),
    [sym_call_expression] = STATE(4235),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4235),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4235),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4235),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4235),
    [sym_identifier] = ACTIONS(3969),
    [anon_sym_LPAREN2] = ACTIONS(4695),
    [anon_sym_BANG] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3971),
    [anon_sym_PLUS] = ACTIONS(3971),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3971),
    [anon_sym_compl] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(4577),
    [anon_sym_PLUS_PLUS] = ACTIONS(4577),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3979),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1914] = {
    [sym__expression] = STATE(5061),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1915] = {
    [sym__expression] = STATE(2754),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1916] = {
    [sym__expression] = STATE(3880),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1917] = {
    [sym__expression] = STATE(4934),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1918] = {
    [sym__expression] = STATE(2754),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1919] = {
    [sym__expression] = STATE(4970),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1920] = {
    [sym__expression] = STATE(3470),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(5046),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1921] = {
    [sym__expression] = STATE(5280),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1922] = {
    [sym__expression] = STATE(2805),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1923] = {
    [sym__expression] = STATE(3290),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1924] = {
    [sym__expression] = STATE(4291),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1925] = {
    [sym__expression] = STATE(4981),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1926] = {
    [sym__expression] = STATE(5218),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1927] = {
    [sym__expression] = STATE(4899),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1928] = {
    [sym__expression] = STATE(5000),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1929] = {
    [sym__expression] = STATE(2763),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4687),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(3507),
    [anon_sym_PLUS_PLUS] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(2192),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2200),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1930] = {
    [sym__expression] = STATE(5005),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1931] = {
    [sym__expression] = STATE(3471),
    [sym__expression_not_binary] = STATE(3951),
    [sym__string] = STATE(3951),
    [sym_conditional_expression] = STATE(3951),
    [sym_assignment_expression] = STATE(3951),
    [sym_pointer_expression] = STATE(3951),
    [sym_unary_expression] = STATE(3951),
    [sym_binary_expression] = STATE(3951),
    [sym_update_expression] = STATE(3951),
    [sym_cast_expression] = STATE(3951),
    [sym_sizeof_expression] = STATE(3951),
    [sym_alignof_expression] = STATE(3951),
    [sym_offsetof_expression] = STATE(3951),
    [sym_generic_expression] = STATE(3951),
    [sym_subscript_expression] = STATE(3951),
    [sym_call_expression] = STATE(3951),
    [sym_gnu_asm_expression] = STATE(3951),
    [sym_field_expression] = STATE(3951),
    [sym_compound_literal_expression] = STATE(3951),
    [sym_parenthesized_expression] = STATE(3951),
    [sym_char_literal] = STATE(3799),
    [sym_concatenated_string] = STATE(3793),
    [sym_string_literal] = STATE(2545),
    [sym_null] = STATE(3951),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8288),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3951),
    [sym_raw_string_literal] = STATE(2505),
    [sym_co_await_expression] = STATE(3951),
    [sym_new_expression] = STATE(3951),
    [sym_delete_expression] = STATE(3951),
    [sym_requires_clause] = STATE(3951),
    [sym_requires_expression] = STATE(3951),
    [sym_lambda_expression] = STATE(3951),
    [sym_lambda_capture_specifier] = STATE(6518),
    [sym_fold_expression] = STATE(3951),
    [sym_parameter_pack_expansion] = STATE(3951),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6246),
    [sym_qualified_identifier] = STATE(3951),
    [sym_qualified_type_identifier] = STATE(8288),
    [sym_user_defined_literal] = STATE(3951),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(2836),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1932] = {
    [sym__expression] = STATE(5036),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1933] = {
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1934] = {
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1935] = {
    [sym__expression] = STATE(5023),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1936] = {
    [sym__expression] = STATE(5027),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3834),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3834),
    [sym_call_expression] = STATE(3834),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3834),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3834),
    [sym_char_literal] = STATE(5119),
    [sym_concatenated_string] = STATE(5084),
    [sym_string_literal] = STATE(4092),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(4094),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3834),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3834),
    [sym_identifier] = ACTIONS(3925),
    [anon_sym_LPAREN2] = ACTIONS(4599),
    [anon_sym_BANG] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3927),
    [anon_sym_PLUS] = ACTIONS(3927),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3927),
    [anon_sym_compl] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4563),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3935),
    [anon_sym_L_SQUOTE] = ACTIONS(3937),
    [anon_sym_u_SQUOTE] = ACTIONS(3937),
    [anon_sym_U_SQUOTE] = ACTIONS(3937),
    [anon_sym_u8_SQUOTE] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3937),
    [anon_sym_L_DQUOTE] = ACTIONS(3939),
    [anon_sym_u_DQUOTE] = ACTIONS(3939),
    [anon_sym_U_DQUOTE] = ACTIONS(3939),
    [anon_sym_u8_DQUOTE] = ACTIONS(3939),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3941),
    [anon_sym_R_DQUOTE] = ACTIONS(3943),
    [anon_sym_LR_DQUOTE] = ACTIONS(3943),
    [anon_sym_uR_DQUOTE] = ACTIONS(3943),
    [anon_sym_UR_DQUOTE] = ACTIONS(3943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3943),
    [anon_sym_co_await] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1937] = {
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(5396),
    [sym__string] = STATE(5396),
    [sym_conditional_expression] = STATE(5396),
    [sym_assignment_expression] = STATE(5396),
    [sym_pointer_expression] = STATE(4115),
    [sym_unary_expression] = STATE(5396),
    [sym_binary_expression] = STATE(5396),
    [sym_update_expression] = STATE(5396),
    [sym_cast_expression] = STATE(5396),
    [sym_sizeof_expression] = STATE(5396),
    [sym_alignof_expression] = STATE(5396),
    [sym_offsetof_expression] = STATE(5396),
    [sym_generic_expression] = STATE(5396),
    [sym_subscript_expression] = STATE(4115),
    [sym_call_expression] = STATE(4115),
    [sym_gnu_asm_expression] = STATE(5396),
    [sym_field_expression] = STATE(4115),
    [sym_compound_literal_expression] = STATE(5396),
    [sym_parenthesized_expression] = STATE(4115),
    [sym_char_literal] = STATE(5273),
    [sym_concatenated_string] = STATE(5333),
    [sym_string_literal] = STATE(4240),
    [sym_null] = STATE(5396),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(5396),
    [sym_raw_string_literal] = STATE(4246),
    [sym_co_await_expression] = STATE(5396),
    [sym_new_expression] = STATE(5396),
    [sym_delete_expression] = STATE(5396),
    [sym_requires_clause] = STATE(5396),
    [sym_requires_expression] = STATE(5396),
    [sym_lambda_expression] = STATE(5396),
    [sym_lambda_capture_specifier] = STATE(6481),
    [sym_fold_expression] = STATE(5396),
    [sym_parameter_pack_expansion] = STATE(5396),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4115),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4115),
    [sym_identifier] = ACTIONS(3947),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(3951),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3409),
    [anon_sym___alignof__] = ACTIONS(3411),
    [anon_sym___alignof] = ACTIONS(3411),
    [anon_sym__alignof] = ACTIONS(3411),
    [anon_sym_alignof] = ACTIONS(3411),
    [anon_sym__Alignof] = ACTIONS(3411),
    [anon_sym_offsetof] = ACTIONS(3413),
    [anon_sym__Generic] = ACTIONS(3415),
    [anon_sym_asm] = ACTIONS(3417),
    [anon_sym___asm__] = ACTIONS(3417),
    [sym_number_literal] = ACTIONS(3419),
    [anon_sym_L_SQUOTE] = ACTIONS(3421),
    [anon_sym_u_SQUOTE] = ACTIONS(3421),
    [anon_sym_U_SQUOTE] = ACTIONS(3421),
    [anon_sym_u8_SQUOTE] = ACTIONS(3421),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [anon_sym_L_DQUOTE] = ACTIONS(3423),
    [anon_sym_u_DQUOTE] = ACTIONS(3423),
    [anon_sym_U_DQUOTE] = ACTIONS(3423),
    [anon_sym_u8_DQUOTE] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3423),
    [sym_true] = ACTIONS(3425),
    [sym_false] = ACTIONS(3425),
    [anon_sym_NULL] = ACTIONS(3427),
    [anon_sym_nullptr] = ACTIONS(3427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3437),
    [anon_sym_R_DQUOTE] = ACTIONS(3439),
    [anon_sym_LR_DQUOTE] = ACTIONS(3439),
    [anon_sym_uR_DQUOTE] = ACTIONS(3439),
    [anon_sym_UR_DQUOTE] = ACTIONS(3439),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3439),
    [anon_sym_co_await] = ACTIONS(3441),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_requires] = ACTIONS(3445),
    [sym_this] = ACTIONS(3425),
  },
  [1938] = {
    [sym__expression] = STATE(5132),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(4129),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(4129),
    [sym_call_expression] = STATE(4129),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(4129),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4129),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(4129),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(4129),
    [sym_identifier] = ACTIONS(3953),
    [anon_sym_LPAREN2] = ACTIONS(3985),
    [anon_sym_BANG] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3955),
    [anon_sym_PLUS] = ACTIONS(3955),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3959),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(3955),
    [anon_sym_compl] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3989),
    [anon_sym_PLUS_PLUS] = ACTIONS(3989),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3963),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1939] = {
    [sym__expression] = STATE(5076),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1940] = {
    [sym__expression] = STATE(4898),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1941] = {
    [sym__expression] = STATE(3733),
    [sym__expression_not_binary] = STATE(4158),
    [sym__string] = STATE(4158),
    [sym_conditional_expression] = STATE(4158),
    [sym_assignment_expression] = STATE(4158),
    [sym_pointer_expression] = STATE(4158),
    [sym_unary_expression] = STATE(4158),
    [sym_binary_expression] = STATE(4158),
    [sym_update_expression] = STATE(4158),
    [sym_cast_expression] = STATE(4158),
    [sym_sizeof_expression] = STATE(4158),
    [sym_alignof_expression] = STATE(4158),
    [sym_offsetof_expression] = STATE(4158),
    [sym_generic_expression] = STATE(4158),
    [sym_subscript_expression] = STATE(4158),
    [sym_call_expression] = STATE(4158),
    [sym_gnu_asm_expression] = STATE(4158),
    [sym_field_expression] = STATE(4158),
    [sym_compound_literal_expression] = STATE(4158),
    [sym_parenthesized_expression] = STATE(4158),
    [sym_char_literal] = STATE(3872),
    [sym_concatenated_string] = STATE(3861),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(4158),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8254),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4158),
    [sym_raw_string_literal] = STATE(2749),
    [sym_co_await_expression] = STATE(4158),
    [sym_new_expression] = STATE(4158),
    [sym_delete_expression] = STATE(4158),
    [sym_requires_clause] = STATE(4158),
    [sym_requires_expression] = STATE(4158),
    [sym_lambda_expression] = STATE(4158),
    [sym_lambda_capture_specifier] = STATE(6523),
    [sym_fold_expression] = STATE(4158),
    [sym_parameter_pack_expansion] = STATE(4158),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6316),
    [sym_qualified_identifier] = STATE(4158),
    [sym_qualified_type_identifier] = STATE(8254),
    [sym_user_defined_literal] = STATE(4158),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2300),
    [anon_sym_not] = ACTIONS(2292),
    [anon_sym_compl] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(4595),
    [anon_sym_PLUS_PLUS] = ACTIONS(4595),
    [anon_sym_sizeof] = ACTIONS(2302),
    [anon_sym___alignof__] = ACTIONS(2304),
    [anon_sym___alignof] = ACTIONS(2304),
    [anon_sym__alignof] = ACTIONS(2304),
    [anon_sym_alignof] = ACTIONS(2304),
    [anon_sym__Alignof] = ACTIONS(2304),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2308),
    [anon_sym_asm] = ACTIONS(2310),
    [anon_sym___asm__] = ACTIONS(2310),
    [sym_number_literal] = ACTIONS(2312),
    [anon_sym_L_SQUOTE] = ACTIONS(2314),
    [anon_sym_u_SQUOTE] = ACTIONS(2314),
    [anon_sym_U_SQUOTE] = ACTIONS(2314),
    [anon_sym_u8_SQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2314),
    [anon_sym_L_DQUOTE] = ACTIONS(2316),
    [anon_sym_u_DQUOTE] = ACTIONS(2316),
    [anon_sym_U_DQUOTE] = ACTIONS(2316),
    [anon_sym_u8_DQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2316),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2320),
    [anon_sym_nullptr] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2322),
    [anon_sym_R_DQUOTE] = ACTIONS(2324),
    [anon_sym_LR_DQUOTE] = ACTIONS(2324),
    [anon_sym_uR_DQUOTE] = ACTIONS(2324),
    [anon_sym_UR_DQUOTE] = ACTIONS(2324),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2324),
    [anon_sym_co_await] = ACTIONS(2326),
    [anon_sym_new] = ACTIONS(2328),
    [anon_sym_requires] = ACTIONS(2330),
    [sym_this] = ACTIONS(2318),
  },
  [1942] = {
    [sym__expression] = STATE(3252),
    [sym__expression_not_binary] = STATE(3573),
    [sym__string] = STATE(3573),
    [sym_conditional_expression] = STATE(3573),
    [sym_assignment_expression] = STATE(3573),
    [sym_pointer_expression] = STATE(3573),
    [sym_unary_expression] = STATE(3573),
    [sym_binary_expression] = STATE(3573),
    [sym_update_expression] = STATE(3573),
    [sym_cast_expression] = STATE(3573),
    [sym_sizeof_expression] = STATE(3573),
    [sym_alignof_expression] = STATE(3573),
    [sym_offsetof_expression] = STATE(3573),
    [sym_generic_expression] = STATE(3573),
    [sym_subscript_expression] = STATE(3573),
    [sym_call_expression] = STATE(3573),
    [sym_gnu_asm_expression] = STATE(3573),
    [sym_field_expression] = STATE(3573),
    [sym_compound_literal_expression] = STATE(3573),
    [sym_parenthesized_expression] = STATE(3573),
    [sym_char_literal] = STATE(3419),
    [sym_concatenated_string] = STATE(3417),
    [sym_string_literal] = STATE(2320),
    [sym_null] = STATE(3573),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8347),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(3573),
    [sym_raw_string_literal] = STATE(2321),
    [sym_co_await_expression] = STATE(3573),
    [sym_new_expression] = STATE(3573),
    [sym_delete_expression] = STATE(3573),
    [sym_requires_clause] = STATE(3573),
    [sym_requires_expression] = STATE(3573),
    [sym_lambda_expression] = STATE(3573),
    [sym_lambda_capture_specifier] = STATE(6533),
    [sym_fold_expression] = STATE(3573),
    [sym_parameter_pack_expansion] = STATE(3573),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6261),
    [sym_qualified_identifier] = STATE(3573),
    [sym_qualified_type_identifier] = STATE(8347),
    [sym_user_defined_literal] = STATE(3573),
    [sym_identifier] = ACTIONS(4554),
    [anon_sym_LPAREN2] = ACTIONS(4726),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4714),
    [anon_sym_AMP] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4556),
    [anon_sym_PLUS_PLUS] = ACTIONS(4556),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1943] = {
    [sym__expression] = STATE(4862),
    [sym__expression_not_binary] = STATE(4410),
    [sym__string] = STATE(4410),
    [sym_conditional_expression] = STATE(4410),
    [sym_assignment_expression] = STATE(4410),
    [sym_pointer_expression] = STATE(3665),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_update_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_sizeof_expression] = STATE(4410),
    [sym_alignof_expression] = STATE(4410),
    [sym_offsetof_expression] = STATE(4410),
    [sym_generic_expression] = STATE(4410),
    [sym_subscript_expression] = STATE(3665),
    [sym_call_expression] = STATE(3665),
    [sym_gnu_asm_expression] = STATE(4410),
    [sym_field_expression] = STATE(3665),
    [sym_compound_literal_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(3665),
    [sym_char_literal] = STATE(4788),
    [sym_concatenated_string] = STATE(4812),
    [sym_string_literal] = STATE(3640),
    [sym_null] = STATE(4410),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8437),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(4410),
    [sym_raw_string_literal] = STATE(3636),
    [sym_co_await_expression] = STATE(4410),
    [sym_new_expression] = STATE(4410),
    [sym_delete_expression] = STATE(4410),
    [sym_requires_clause] = STATE(4410),
    [sym_requires_expression] = STATE(4410),
    [sym_lambda_expression] = STATE(4410),
    [sym_lambda_capture_specifier] = STATE(6507),
    [sym_fold_expression] = STATE(4410),
    [sym_parameter_pack_expansion] = STATE(4410),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(3665),
    [sym_qualified_type_identifier] = STATE(8437),
    [sym_user_defined_literal] = STATE(3665),
    [sym_identifier] = ACTIONS(3489),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2260),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1944] = {
    [sym__expression] = STATE(3883),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3317),
    [sym_concatenated_string] = STATE(3324),
    [sym_string_literal] = STATE(2125),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2113),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(4720),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(4697),
    [anon_sym_AMP] = ACTIONS(4697),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(4625),
    [anon_sym_PLUS_PLUS] = ACTIONS(4625),
    [anon_sym_sizeof] = ACTIONS(2809),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2194),
    [anon_sym_L_SQUOTE] = ACTIONS(2196),
    [anon_sym_u_SQUOTE] = ACTIONS(2196),
    [anon_sym_U_SQUOTE] = ACTIONS(2196),
    [anon_sym_u8_SQUOTE] = ACTIONS(2196),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_L_DQUOTE] = ACTIONS(2198),
    [anon_sym_u_DQUOTE] = ACTIONS(2198),
    [anon_sym_U_DQUOTE] = ACTIONS(2198),
    [anon_sym_u8_DQUOTE] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2811),
    [anon_sym_R_DQUOTE] = ACTIONS(2202),
    [anon_sym_LR_DQUOTE] = ACTIONS(2202),
    [anon_sym_uR_DQUOTE] = ACTIONS(2202),
    [anon_sym_UR_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2202),
    [anon_sym_co_await] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1945] = {
    [sym__expression] = STATE(3499),
    [sym__expression_not_binary] = STATE(2886),
    [sym__string] = STATE(2886),
    [sym_conditional_expression] = STATE(2886),
    [sym_assignment_expression] = STATE(2886),
    [sym_pointer_expression] = STATE(2886),
    [sym_unary_expression] = STATE(2886),
    [sym_binary_expression] = STATE(2886),
    [sym_update_expression] = STATE(2886),
    [sym_cast_expression] = STATE(2886),
    [sym_sizeof_expression] = STATE(2886),
    [sym_alignof_expression] = STATE(2886),
    [sym_offsetof_expression] = STATE(2886),
    [sym_generic_expression] = STATE(2886),
    [sym_subscript_expression] = STATE(2886),
    [sym_call_expression] = STATE(2886),
    [sym_gnu_asm_expression] = STATE(2886),
    [sym_field_expression] = STATE(2886),
    [sym_compound_literal_expression] = STATE(2886),
    [sym_parenthesized_expression] = STATE(2886),
    [sym_char_literal] = STATE(3704),
    [sym_concatenated_string] = STATE(3724),
    [sym_string_literal] = STATE(2484),
    [sym_null] = STATE(2886),
    [sym_decltype] = STATE(9302),
    [sym__class_name] = STATE(8334),
    [sym_template_type] = STATE(3149),
    [sym_template_function] = STATE(2886),
    [sym_raw_string_literal] = STATE(2482),
    [sym_co_await_expression] = STATE(2886),
    [sym_new_expression] = STATE(2886),
    [sym_delete_expression] = STATE(2886),
    [sym_requires_clause] = STATE(2886),
    [sym_requires_expression] = STATE(2886),
    [sym_lambda_expression] = STATE(2886),
    [sym_lambda_capture_specifier] = STATE(6526),
    [sym_fold_expression] = STATE(2886),
    [sym_parameter_pack_expansion] = STATE(2886),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6325),
    [sym_qualified_identifier] = STATE(2886),
    [sym_qualified_type_identifier] = STATE(8334),
    [sym_user_defined_literal] = STATE(2886),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(4689),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(4601),
    [anon_sym_AMP] = ACTIONS(4601),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [sym_primitive_type] = ACTIONS(2146),
    [anon_sym_not] = ACTIONS(2264),
    [anon_sym_compl] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(4644),
    [anon_sym_PLUS_PLUS] = ACTIONS(4644),
    [anon_sym_sizeof] = ACTIONS(2270),
    [anon_sym___alignof__] = ACTIONS(2150),
    [anon_sym___alignof] = ACTIONS(2150),
    [anon_sym__alignof] = ACTIONS(2150),
    [anon_sym_alignof] = ACTIONS(2150),
    [anon_sym__Alignof] = ACTIONS(2150),
    [anon_sym_offsetof] = ACTIONS(2152),
    [anon_sym__Generic] = ACTIONS(2154),
    [anon_sym_asm] = ACTIONS(2156),
    [anon_sym___asm__] = ACTIONS(2156),
    [sym_number_literal] = ACTIONS(2272),
    [anon_sym_L_SQUOTE] = ACTIONS(2274),
    [anon_sym_u_SQUOTE] = ACTIONS(2274),
    [anon_sym_U_SQUOTE] = ACTIONS(2274),
    [anon_sym_u8_SQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2274),
    [anon_sym_L_DQUOTE] = ACTIONS(2276),
    [anon_sym_u_DQUOTE] = ACTIONS(2276),
    [anon_sym_U_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8_DQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2276),
    [sym_true] = ACTIONS(2164),
    [sym_false] = ACTIONS(2164),
    [anon_sym_NULL] = ACTIONS(2166),
    [anon_sym_nullptr] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2278),
    [anon_sym_R_DQUOTE] = ACTIONS(2280),
    [anon_sym_LR_DQUOTE] = ACTIONS(2280),
    [anon_sym_uR_DQUOTE] = ACTIONS(2280),
    [anon_sym_UR_DQUOTE] = ACTIONS(2280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2280),
    [anon_sym_co_await] = ACTIONS(2282),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_requires] = ACTIONS(2178),
    [sym_this] = ACTIONS(2164),
  },
  [1946] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5864),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7196),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_parameter_list] = STATE(1088),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4997),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6245),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1947] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5914),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7209),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_parameter_list] = STATE(1087),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4997),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6245),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1948] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7197),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_parameter_list] = STATE(1084),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4997),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6245),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1949] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5834),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7208),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_parameter_list] = STATE(1089),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4997),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6245),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1950] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5840),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7187),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6854),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_parameter_list] = STATE(1086),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(4997),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6245),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_type_identifier] = STATE(4547),
    [sym_operator_name] = STATE(6854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5048),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_LT] = ACTIONS(5050),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5052),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(3106),
    [anon_sym_LPAREN2] = ACTIONS(3111),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_DASH] = ACTIONS(3106),
    [anon_sym_PLUS] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3106),
    [anon_sym_extern] = ACTIONS(3106),
    [anon_sym___attribute__] = ACTIONS(3106),
    [anon_sym_COLON_COLON] = ACTIONS(3111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3111),
    [anon_sym___declspec] = ACTIONS(3106),
    [anon_sym_signed] = ACTIONS(3106),
    [anon_sym_unsigned] = ACTIONS(3106),
    [anon_sym_long] = ACTIONS(3106),
    [anon_sym_short] = ACTIONS(3106),
    [anon_sym_LBRACK] = ACTIONS(3106),
    [anon_sym_static] = ACTIONS(3106),
    [anon_sym_register] = ACTIONS(3106),
    [anon_sym_inline] = ACTIONS(3106),
    [anon_sym___inline] = ACTIONS(3106),
    [anon_sym___inline__] = ACTIONS(3106),
    [anon_sym___forceinline] = ACTIONS(3106),
    [anon_sym_thread_local] = ACTIONS(3106),
    [anon_sym___thread] = ACTIONS(3106),
    [anon_sym_const] = ACTIONS(3106),
    [anon_sym_constexpr] = ACTIONS(3106),
    [anon_sym_volatile] = ACTIONS(3106),
    [anon_sym_restrict] = ACTIONS(3106),
    [anon_sym___restrict__] = ACTIONS(3106),
    [anon_sym__Atomic] = ACTIONS(3106),
    [anon_sym__Noreturn] = ACTIONS(3106),
    [anon_sym_noreturn] = ACTIONS(3106),
    [anon_sym_mutable] = ACTIONS(3106),
    [anon_sym_constinit] = ACTIONS(3106),
    [anon_sym_consteval] = ACTIONS(3106),
    [sym_primitive_type] = ACTIONS(3106),
    [anon_sym_enum] = ACTIONS(3106),
    [anon_sym_class] = ACTIONS(3106),
    [anon_sym_struct] = ACTIONS(3106),
    [anon_sym_union] = ACTIONS(3106),
    [anon_sym_not] = ACTIONS(3106),
    [anon_sym_compl] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_sizeof] = ACTIONS(3106),
    [anon_sym___alignof__] = ACTIONS(3106),
    [anon_sym___alignof] = ACTIONS(3106),
    [anon_sym__alignof] = ACTIONS(3106),
    [anon_sym_alignof] = ACTIONS(3106),
    [anon_sym__Alignof] = ACTIONS(3106),
    [anon_sym_offsetof] = ACTIONS(3106),
    [anon_sym__Generic] = ACTIONS(3106),
    [anon_sym_asm] = ACTIONS(3106),
    [anon_sym___asm__] = ACTIONS(3106),
    [sym_number_literal] = ACTIONS(3111),
    [anon_sym_L_SQUOTE] = ACTIONS(3111),
    [anon_sym_u_SQUOTE] = ACTIONS(3111),
    [anon_sym_U_SQUOTE] = ACTIONS(3111),
    [anon_sym_u8_SQUOTE] = ACTIONS(3111),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [anon_sym_L_DQUOTE] = ACTIONS(3111),
    [anon_sym_u_DQUOTE] = ACTIONS(3111),
    [anon_sym_U_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8_DQUOTE] = ACTIONS(3111),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [sym_true] = ACTIONS(3106),
    [sym_false] = ACTIONS(3106),
    [anon_sym_NULL] = ACTIONS(3106),
    [anon_sym_nullptr] = ACTIONS(3106),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3106),
    [anon_sym_decltype] = ACTIONS(3106),
    [anon_sym_virtual] = ACTIONS(3106),
    [anon_sym_alignas] = ACTIONS(3106),
    [anon_sym_typename] = ACTIONS(3106),
    [anon_sym_template] = ACTIONS(3106),
    [anon_sym_delete] = ACTIONS(3106),
    [anon_sym_R_DQUOTE] = ACTIONS(3111),
    [anon_sym_LR_DQUOTE] = ACTIONS(3111),
    [anon_sym_uR_DQUOTE] = ACTIONS(3111),
    [anon_sym_UR_DQUOTE] = ACTIONS(3111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3111),
    [anon_sym_co_await] = ACTIONS(3106),
    [anon_sym_new] = ACTIONS(3106),
    [anon_sym_requires] = ACTIONS(3106),
    [sym_this] = ACTIONS(3106),
  },
  [1954] = {
    [sym_template_argument_list] = STATE(1968),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_TILDE] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5068),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym_SEMI] = ACTIONS(5058),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym_extern] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5058),
    [anon_sym___declspec] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_static] = ACTIONS(5054),
    [anon_sym_register] = ACTIONS(5054),
    [anon_sym_inline] = ACTIONS(5054),
    [anon_sym___inline] = ACTIONS(5054),
    [anon_sym___inline__] = ACTIONS(5054),
    [anon_sym___forceinline] = ACTIONS(5054),
    [anon_sym_thread_local] = ACTIONS(5054),
    [anon_sym___thread] = ACTIONS(5054),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5063),
    [anon_sym_or_eq] = ACTIONS(5063),
    [anon_sym_xor_eq] = ACTIONS(5063),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5063),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5063),
    [anon_sym_not_eq] = ACTIONS(5063),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_virtual] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym_template] = ACTIONS(5054),
    [anon_sym_operator] = ACTIONS(5054),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_TILDE] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym_SEMI] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5071),
    [anon_sym_extern] = ACTIONS(5071),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5073),
    [anon_sym___declspec] = ACTIONS(5071),
    [anon_sym___based] = ACTIONS(5071),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_static] = ACTIONS(5071),
    [anon_sym_register] = ACTIONS(5071),
    [anon_sym_inline] = ACTIONS(5071),
    [anon_sym___inline] = ACTIONS(5071),
    [anon_sym___inline__] = ACTIONS(5071),
    [anon_sym___forceinline] = ACTIONS(5071),
    [anon_sym_thread_local] = ACTIONS(5071),
    [anon_sym___thread] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5071),
    [anon_sym_volatile] = ACTIONS(5071),
    [anon_sym_restrict] = ACTIONS(5071),
    [anon_sym___restrict__] = ACTIONS(5071),
    [anon_sym__Atomic] = ACTIONS(5071),
    [anon_sym__Noreturn] = ACTIONS(5071),
    [anon_sym_noreturn] = ACTIONS(5071),
    [anon_sym_mutable] = ACTIONS(5071),
    [anon_sym_constinit] = ACTIONS(5071),
    [anon_sym_consteval] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5073),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_and_eq] = ACTIONS(5071),
    [anon_sym_or_eq] = ACTIONS(5071),
    [anon_sym_xor_eq] = ACTIONS(5071),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_virtual] = ACTIONS(5071),
    [anon_sym_alignas] = ACTIONS(5071),
    [anon_sym_template] = ACTIONS(5071),
    [anon_sym_operator] = ACTIONS(5071),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
  },
  [1957] = {
    [sym_template_argument_list] = STATE(1969),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_TILDE] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5068),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym_SEMI] = ACTIONS(5056),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym_extern] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5061),
    [anon_sym___declspec] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_static] = ACTIONS(5054),
    [anon_sym_register] = ACTIONS(5054),
    [anon_sym_inline] = ACTIONS(5054),
    [anon_sym___inline] = ACTIONS(5054),
    [anon_sym___inline__] = ACTIONS(5054),
    [anon_sym___forceinline] = ACTIONS(5054),
    [anon_sym_thread_local] = ACTIONS(5054),
    [anon_sym___thread] = ACTIONS(5054),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5063),
    [anon_sym_or_eq] = ACTIONS(5063),
    [anon_sym_xor_eq] = ACTIONS(5063),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5063),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5063),
    [anon_sym_not_eq] = ACTIONS(5063),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_virtual] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym_template] = ACTIONS(5054),
    [anon_sym_operator] = ACTIONS(5054),
  },
  [1958] = {
    [sym_template_argument_list] = STATE(1971),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5058),
    [anon_sym_COMMA] = ACTIONS(5058),
    [anon_sym_RPAREN] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_TILDE] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym_extern] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5061),
    [anon_sym___declspec] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5054),
    [anon_sym_register] = ACTIONS(5054),
    [anon_sym_inline] = ACTIONS(5054),
    [anon_sym___inline] = ACTIONS(5054),
    [anon_sym___inline__] = ACTIONS(5054),
    [anon_sym___forceinline] = ACTIONS(5054),
    [anon_sym_thread_local] = ACTIONS(5054),
    [anon_sym___thread] = ACTIONS(5054),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5063),
    [anon_sym_or_eq] = ACTIONS(5063),
    [anon_sym_xor_eq] = ACTIONS(5063),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5063),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5063),
    [anon_sym_not_eq] = ACTIONS(5063),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_virtual] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym_template] = ACTIONS(5054),
    [anon_sym_operator] = ACTIONS(5054),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5056),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_TILDE] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___extension__] = ACTIONS(5082),
    [anon_sym_extern] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5084),
    [anon_sym___declspec] = ACTIONS(5082),
    [anon_sym___based] = ACTIONS(5082),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_static] = ACTIONS(5082),
    [anon_sym_register] = ACTIONS(5082),
    [anon_sym_inline] = ACTIONS(5082),
    [anon_sym___inline] = ACTIONS(5082),
    [anon_sym___inline__] = ACTIONS(5082),
    [anon_sym___forceinline] = ACTIONS(5082),
    [anon_sym_thread_local] = ACTIONS(5082),
    [anon_sym___thread] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5082),
    [anon_sym_volatile] = ACTIONS(5082),
    [anon_sym_restrict] = ACTIONS(5082),
    [anon_sym___restrict__] = ACTIONS(5082),
    [anon_sym__Atomic] = ACTIONS(5082),
    [anon_sym__Noreturn] = ACTIONS(5082),
    [anon_sym_noreturn] = ACTIONS(5082),
    [anon_sym_mutable] = ACTIONS(5082),
    [anon_sym_constinit] = ACTIONS(5082),
    [anon_sym_consteval] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5082),
    [anon_sym_or_eq] = ACTIONS(5082),
    [anon_sym_xor_eq] = ACTIONS(5082),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_virtual] = ACTIONS(5082),
    [anon_sym_alignas] = ACTIONS(5082),
    [anon_sym_template] = ACTIONS(5082),
    [anon_sym_operator] = ACTIONS(5082),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym_extern] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5088),
    [anon_sym___declspec] = ACTIONS(5086),
    [anon_sym___based] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_RBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_static] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5086),
    [anon_sym_inline] = ACTIONS(5086),
    [anon_sym___inline] = ACTIONS(5086),
    [anon_sym___inline__] = ACTIONS(5086),
    [anon_sym___forceinline] = ACTIONS(5086),
    [anon_sym_thread_local] = ACTIONS(5086),
    [anon_sym___thread] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5088),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_virtual] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym_template] = ACTIONS(5086),
    [anon_sym_operator] = ACTIONS(5086),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_TILDE] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5090),
    [anon_sym_extern] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5092),
    [anon_sym___declspec] = ACTIONS(5090),
    [anon_sym___based] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_static] = ACTIONS(5090),
    [anon_sym_register] = ACTIONS(5090),
    [anon_sym_inline] = ACTIONS(5090),
    [anon_sym___inline] = ACTIONS(5090),
    [anon_sym___inline__] = ACTIONS(5090),
    [anon_sym___forceinline] = ACTIONS(5090),
    [anon_sym_thread_local] = ACTIONS(5090),
    [anon_sym___thread] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5090),
    [anon_sym_volatile] = ACTIONS(5090),
    [anon_sym_restrict] = ACTIONS(5090),
    [anon_sym___restrict__] = ACTIONS(5090),
    [anon_sym__Atomic] = ACTIONS(5090),
    [anon_sym__Noreturn] = ACTIONS(5090),
    [anon_sym_noreturn] = ACTIONS(5090),
    [anon_sym_mutable] = ACTIONS(5090),
    [anon_sym_constinit] = ACTIONS(5090),
    [anon_sym_consteval] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5092),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_and_eq] = ACTIONS(5090),
    [anon_sym_or_eq] = ACTIONS(5090),
    [anon_sym_xor_eq] = ACTIONS(5090),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_virtual] = ACTIONS(5090),
    [anon_sym_alignas] = ACTIONS(5090),
    [anon_sym_template] = ACTIONS(5090),
    [anon_sym_operator] = ACTIONS(5090),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_TILDE] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5094),
    [anon_sym_extern] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5096),
    [anon_sym___declspec] = ACTIONS(5094),
    [anon_sym___based] = ACTIONS(5094),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_static] = ACTIONS(5094),
    [anon_sym_register] = ACTIONS(5094),
    [anon_sym_inline] = ACTIONS(5094),
    [anon_sym___inline] = ACTIONS(5094),
    [anon_sym___inline__] = ACTIONS(5094),
    [anon_sym___forceinline] = ACTIONS(5094),
    [anon_sym_thread_local] = ACTIONS(5094),
    [anon_sym___thread] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5094),
    [anon_sym_volatile] = ACTIONS(5094),
    [anon_sym_restrict] = ACTIONS(5094),
    [anon_sym___restrict__] = ACTIONS(5094),
    [anon_sym__Atomic] = ACTIONS(5094),
    [anon_sym__Noreturn] = ACTIONS(5094),
    [anon_sym_noreturn] = ACTIONS(5094),
    [anon_sym_mutable] = ACTIONS(5094),
    [anon_sym_constinit] = ACTIONS(5094),
    [anon_sym_consteval] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5096),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_and_eq] = ACTIONS(5094),
    [anon_sym_or_eq] = ACTIONS(5094),
    [anon_sym_xor_eq] = ACTIONS(5094),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_virtual] = ACTIONS(5094),
    [anon_sym_alignas] = ACTIONS(5094),
    [anon_sym_template] = ACTIONS(5094),
    [anon_sym_operator] = ACTIONS(5094),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_TILDE] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5098),
    [anon_sym_extern] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5100),
    [anon_sym___declspec] = ACTIONS(5098),
    [anon_sym___based] = ACTIONS(5098),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_RBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_static] = ACTIONS(5098),
    [anon_sym_register] = ACTIONS(5098),
    [anon_sym_inline] = ACTIONS(5098),
    [anon_sym___inline] = ACTIONS(5098),
    [anon_sym___inline__] = ACTIONS(5098),
    [anon_sym___forceinline] = ACTIONS(5098),
    [anon_sym_thread_local] = ACTIONS(5098),
    [anon_sym___thread] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5098),
    [anon_sym_volatile] = ACTIONS(5098),
    [anon_sym_restrict] = ACTIONS(5098),
    [anon_sym___restrict__] = ACTIONS(5098),
    [anon_sym__Atomic] = ACTIONS(5098),
    [anon_sym__Noreturn] = ACTIONS(5098),
    [anon_sym_noreturn] = ACTIONS(5098),
    [anon_sym_mutable] = ACTIONS(5098),
    [anon_sym_constinit] = ACTIONS(5098),
    [anon_sym_consteval] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5100),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_and_eq] = ACTIONS(5098),
    [anon_sym_or_eq] = ACTIONS(5098),
    [anon_sym_xor_eq] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_virtual] = ACTIONS(5098),
    [anon_sym_alignas] = ACTIONS(5098),
    [anon_sym_template] = ACTIONS(5098),
    [anon_sym_operator] = ACTIONS(5098),
  },
  [1964] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym_extern] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5088),
    [anon_sym___declspec] = ACTIONS(5086),
    [anon_sym___based] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_static] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5086),
    [anon_sym_inline] = ACTIONS(5086),
    [anon_sym___inline] = ACTIONS(5086),
    [anon_sym___inline__] = ACTIONS(5086),
    [anon_sym___forceinline] = ACTIONS(5086),
    [anon_sym_thread_local] = ACTIONS(5086),
    [anon_sym___thread] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5088),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_virtual] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym_template] = ACTIONS(5086),
    [anon_sym_operator] = ACTIONS(5086),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5088),
  },
  [1965] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_TILDE] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5098),
    [anon_sym_extern] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5100),
    [anon_sym___declspec] = ACTIONS(5098),
    [anon_sym___based] = ACTIONS(5098),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_static] = ACTIONS(5098),
    [anon_sym_register] = ACTIONS(5098),
    [anon_sym_inline] = ACTIONS(5098),
    [anon_sym___inline] = ACTIONS(5098),
    [anon_sym___inline__] = ACTIONS(5098),
    [anon_sym___forceinline] = ACTIONS(5098),
    [anon_sym_thread_local] = ACTIONS(5098),
    [anon_sym___thread] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5098),
    [anon_sym_volatile] = ACTIONS(5098),
    [anon_sym_restrict] = ACTIONS(5098),
    [anon_sym___restrict__] = ACTIONS(5098),
    [anon_sym__Atomic] = ACTIONS(5098),
    [anon_sym__Noreturn] = ACTIONS(5098),
    [anon_sym_noreturn] = ACTIONS(5098),
    [anon_sym_mutable] = ACTIONS(5098),
    [anon_sym_constinit] = ACTIONS(5098),
    [anon_sym_consteval] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5100),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_and_eq] = ACTIONS(5098),
    [anon_sym_or_eq] = ACTIONS(5098),
    [anon_sym_xor_eq] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_virtual] = ACTIONS(5098),
    [anon_sym_alignas] = ACTIONS(5098),
    [anon_sym_template] = ACTIONS(5098),
    [anon_sym_operator] = ACTIONS(5098),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5100),
  },
  [1966] = {
    [sym_string_literal] = STATE(2310),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(2310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4351),
    [anon_sym_LPAREN2] = ACTIONS(4351),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5102),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym___extension__] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(5107),
    [anon_sym_unsigned] = ACTIONS(5107),
    [anon_sym_long] = ACTIONS(5107),
    [anon_sym_short] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4355),
    [anon_sym_volatile] = ACTIONS(4355),
    [anon_sym_restrict] = ACTIONS(4355),
    [anon_sym___restrict__] = ACTIONS(4355),
    [anon_sym__Atomic] = ACTIONS(4355),
    [anon_sym__Noreturn] = ACTIONS(4355),
    [anon_sym_noreturn] = ACTIONS(4355),
    [anon_sym_mutable] = ACTIONS(4355),
    [anon_sym_constinit] = ACTIONS(4355),
    [anon_sym_consteval] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4355),
    [anon_sym_decltype] = ACTIONS(4355),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_TILDE] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym___extension__] = ACTIONS(5071),
    [anon_sym_extern] = ACTIONS(5071),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5073),
    [anon_sym___declspec] = ACTIONS(5071),
    [anon_sym___based] = ACTIONS(5071),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_static] = ACTIONS(5071),
    [anon_sym_register] = ACTIONS(5071),
    [anon_sym_inline] = ACTIONS(5071),
    [anon_sym___inline] = ACTIONS(5071),
    [anon_sym___inline__] = ACTIONS(5071),
    [anon_sym___forceinline] = ACTIONS(5071),
    [anon_sym_thread_local] = ACTIONS(5071),
    [anon_sym___thread] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5071),
    [anon_sym_volatile] = ACTIONS(5071),
    [anon_sym_restrict] = ACTIONS(5071),
    [anon_sym___restrict__] = ACTIONS(5071),
    [anon_sym__Atomic] = ACTIONS(5071),
    [anon_sym__Noreturn] = ACTIONS(5071),
    [anon_sym_noreturn] = ACTIONS(5071),
    [anon_sym_mutable] = ACTIONS(5071),
    [anon_sym_constinit] = ACTIONS(5071),
    [anon_sym_consteval] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5073),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_and_eq] = ACTIONS(5071),
    [anon_sym_or_eq] = ACTIONS(5071),
    [anon_sym_xor_eq] = ACTIONS(5071),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_virtual] = ACTIONS(5071),
    [anon_sym_alignas] = ACTIONS(5071),
    [anon_sym_template] = ACTIONS(5071),
    [anon_sym_operator] = ACTIONS(5071),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5073),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5117),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_TILDE] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5090),
    [anon_sym_extern] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5092),
    [anon_sym___declspec] = ACTIONS(5090),
    [anon_sym___based] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_static] = ACTIONS(5090),
    [anon_sym_register] = ACTIONS(5090),
    [anon_sym_inline] = ACTIONS(5090),
    [anon_sym___inline] = ACTIONS(5090),
    [anon_sym___inline__] = ACTIONS(5090),
    [anon_sym___forceinline] = ACTIONS(5090),
    [anon_sym_thread_local] = ACTIONS(5090),
    [anon_sym___thread] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5090),
    [anon_sym_volatile] = ACTIONS(5090),
    [anon_sym_restrict] = ACTIONS(5090),
    [anon_sym___restrict__] = ACTIONS(5090),
    [anon_sym__Atomic] = ACTIONS(5090),
    [anon_sym__Noreturn] = ACTIONS(5090),
    [anon_sym_noreturn] = ACTIONS(5090),
    [anon_sym_mutable] = ACTIONS(5090),
    [anon_sym_constinit] = ACTIONS(5090),
    [anon_sym_consteval] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5092),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_and_eq] = ACTIONS(5090),
    [anon_sym_or_eq] = ACTIONS(5090),
    [anon_sym_xor_eq] = ACTIONS(5090),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_virtual] = ACTIONS(5090),
    [anon_sym_alignas] = ACTIONS(5090),
    [anon_sym_template] = ACTIONS(5090),
    [anon_sym_operator] = ACTIONS(5090),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5092),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5117),
    [anon_sym_COMMA] = ACTIONS(5117),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [1972] = {
    [sym_template_argument_list] = STATE(1977),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5058),
    [anon_sym_COMMA] = ACTIONS(5058),
    [anon_sym_RPAREN] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_TILDE] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5068),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym_extern] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5061),
    [anon_sym___declspec] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5054),
    [anon_sym_register] = ACTIONS(5054),
    [anon_sym_inline] = ACTIONS(5054),
    [anon_sym___inline] = ACTIONS(5054),
    [anon_sym___inline__] = ACTIONS(5054),
    [anon_sym___forceinline] = ACTIONS(5054),
    [anon_sym_thread_local] = ACTIONS(5054),
    [anon_sym___thread] = ACTIONS(5054),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5063),
    [anon_sym_or_eq] = ACTIONS(5063),
    [anon_sym_xor_eq] = ACTIONS(5063),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5063),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5063),
    [anon_sym_not_eq] = ACTIONS(5063),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_virtual] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym_template] = ACTIONS(5054),
    [anon_sym_operator] = ACTIONS(5054),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_TILDE] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5094),
    [anon_sym_extern] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5096),
    [anon_sym___declspec] = ACTIONS(5094),
    [anon_sym___based] = ACTIONS(5094),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_static] = ACTIONS(5094),
    [anon_sym_register] = ACTIONS(5094),
    [anon_sym_inline] = ACTIONS(5094),
    [anon_sym___inline] = ACTIONS(5094),
    [anon_sym___inline__] = ACTIONS(5094),
    [anon_sym___forceinline] = ACTIONS(5094),
    [anon_sym_thread_local] = ACTIONS(5094),
    [anon_sym___thread] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5094),
    [anon_sym_volatile] = ACTIONS(5094),
    [anon_sym_restrict] = ACTIONS(5094),
    [anon_sym___restrict__] = ACTIONS(5094),
    [anon_sym__Atomic] = ACTIONS(5094),
    [anon_sym__Noreturn] = ACTIONS(5094),
    [anon_sym_noreturn] = ACTIONS(5094),
    [anon_sym_mutable] = ACTIONS(5094),
    [anon_sym_constinit] = ACTIONS(5094),
    [anon_sym_consteval] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5096),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_and_eq] = ACTIONS(5094),
    [anon_sym_or_eq] = ACTIONS(5094),
    [anon_sym_xor_eq] = ACTIONS(5094),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_virtual] = ACTIONS(5094),
    [anon_sym_alignas] = ACTIONS(5094),
    [anon_sym_template] = ACTIONS(5094),
    [anon_sym_operator] = ACTIONS(5094),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5096),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_TILDE] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5082),
    [anon_sym_extern] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5084),
    [anon_sym___declspec] = ACTIONS(5082),
    [anon_sym___based] = ACTIONS(5082),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_static] = ACTIONS(5082),
    [anon_sym_register] = ACTIONS(5082),
    [anon_sym_inline] = ACTIONS(5082),
    [anon_sym___inline] = ACTIONS(5082),
    [anon_sym___inline__] = ACTIONS(5082),
    [anon_sym___forceinline] = ACTIONS(5082),
    [anon_sym_thread_local] = ACTIONS(5082),
    [anon_sym___thread] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5082),
    [anon_sym_volatile] = ACTIONS(5082),
    [anon_sym_restrict] = ACTIONS(5082),
    [anon_sym___restrict__] = ACTIONS(5082),
    [anon_sym__Atomic] = ACTIONS(5082),
    [anon_sym__Noreturn] = ACTIONS(5082),
    [anon_sym_noreturn] = ACTIONS(5082),
    [anon_sym_mutable] = ACTIONS(5082),
    [anon_sym_constinit] = ACTIONS(5082),
    [anon_sym_consteval] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5082),
    [anon_sym_or_eq] = ACTIONS(5082),
    [anon_sym_xor_eq] = ACTIONS(5082),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_virtual] = ACTIONS(5082),
    [anon_sym_alignas] = ACTIONS(5082),
    [anon_sym_template] = ACTIONS(5082),
    [anon_sym_operator] = ACTIONS(5082),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5084),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [1976] = {
    [sym_string_literal] = STATE(2310),
    [sym_template_argument_list] = STATE(2123),
    [sym_raw_string_literal] = STATE(2310),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2463),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5127),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym___extension__] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(5107),
    [anon_sym_unsigned] = ACTIONS(5107),
    [anon_sym_long] = ACTIONS(5107),
    [anon_sym_short] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(4362),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4355),
    [anon_sym_volatile] = ACTIONS(4355),
    [anon_sym_restrict] = ACTIONS(4355),
    [anon_sym___restrict__] = ACTIONS(4355),
    [anon_sym__Atomic] = ACTIONS(4355),
    [anon_sym__Noreturn] = ACTIONS(4355),
    [anon_sym_noreturn] = ACTIONS(4355),
    [anon_sym_mutable] = ACTIONS(4355),
    [anon_sym_constinit] = ACTIONS(4355),
    [anon_sym_consteval] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4355),
    [anon_sym_decltype] = ACTIONS(4355),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [1977] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5117),
    [anon_sym_COMMA] = ACTIONS(5117),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5122),
    [anon_sym_or_eq] = ACTIONS(5122),
    [anon_sym_xor_eq] = ACTIONS(5122),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [1978] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym__abstract_declarator] = STATE(7359),
    [sym_abstract_parenthesized_declarator] = STATE(6743),
    [sym_abstract_pointer_declarator] = STATE(6743),
    [sym_abstract_function_declarator] = STATE(6743),
    [sym_abstract_array_declarator] = STATE(6743),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_list] = STATE(4365),
    [sym_parameter_declaration] = STATE(8111),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8111),
    [sym_variadic_parameter_declaration] = STATE(8111),
    [sym_abstract_reference_declarator] = STATE(6743),
    [sym__function_declarator_seq] = STATE(6823),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5134),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5142),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1979] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym__abstract_declarator] = STATE(7380),
    [sym_abstract_parenthesized_declarator] = STATE(6743),
    [sym_abstract_pointer_declarator] = STATE(6743),
    [sym_abstract_function_declarator] = STATE(6743),
    [sym_abstract_array_declarator] = STATE(6743),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_list] = STATE(4365),
    [sym_parameter_declaration] = STATE(8111),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8111),
    [sym_variadic_parameter_declaration] = STATE(8111),
    [sym_abstract_reference_declarator] = STATE(6743),
    [sym__function_declarator_seq] = STATE(6823),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym_LPAREN2] = ACTIONS(5132),
    [anon_sym_STAR] = ACTIONS(5134),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5142),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1980] = {
    [sym_string_literal] = STATE(4003),
    [sym_template_argument_list] = STATE(3663),
    [sym_raw_string_literal] = STATE(4003),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4362),
    [anon_sym_COMMA] = ACTIONS(4362),
    [anon_sym_LPAREN2] = ACTIONS(4362),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4359),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4362),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4359),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4357),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5144),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym___extension__] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_signed] = ACTIONS(5147),
    [anon_sym_unsigned] = ACTIONS(5147),
    [anon_sym_long] = ACTIONS(5147),
    [anon_sym_short] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(4362),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_const] = ACTIONS(4347),
    [anon_sym_constexpr] = ACTIONS(4355),
    [anon_sym_volatile] = ACTIONS(4355),
    [anon_sym_restrict] = ACTIONS(4355),
    [anon_sym___restrict__] = ACTIONS(4355),
    [anon_sym__Atomic] = ACTIONS(4355),
    [anon_sym__Noreturn] = ACTIONS(4355),
    [anon_sym_noreturn] = ACTIONS(4355),
    [anon_sym_mutable] = ACTIONS(4355),
    [anon_sym_constinit] = ACTIONS(4355),
    [anon_sym_consteval] = ACTIONS(4355),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5149),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5151),
    [anon_sym_or_eq] = ACTIONS(5151),
    [anon_sym_xor_eq] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5153),
    [anon_sym_u_DQUOTE] = ACTIONS(5153),
    [anon_sym_U_DQUOTE] = ACTIONS(5153),
    [anon_sym_u8_DQUOTE] = ACTIONS(5153),
    [anon_sym_DQUOTE] = ACTIONS(5153),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4355),
    [anon_sym_decltype] = ACTIONS(4355),
    [anon_sym_GT2] = ACTIONS(4362),
    [anon_sym_R_DQUOTE] = ACTIONS(5155),
    [anon_sym_LR_DQUOTE] = ACTIONS(5155),
    [anon_sym_uR_DQUOTE] = ACTIONS(5155),
    [anon_sym_UR_DQUOTE] = ACTIONS(5155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5155),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_TILDE] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5098),
    [anon_sym_extern] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5100),
    [anon_sym___declspec] = ACTIONS(5098),
    [anon_sym___based] = ACTIONS(5098),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_static] = ACTIONS(5098),
    [anon_sym_register] = ACTIONS(5098),
    [anon_sym_inline] = ACTIONS(5098),
    [anon_sym___inline] = ACTIONS(5098),
    [anon_sym___inline__] = ACTIONS(5098),
    [anon_sym___forceinline] = ACTIONS(5098),
    [anon_sym_thread_local] = ACTIONS(5098),
    [anon_sym___thread] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5098),
    [anon_sym_volatile] = ACTIONS(5098),
    [anon_sym_restrict] = ACTIONS(5098),
    [anon_sym___restrict__] = ACTIONS(5098),
    [anon_sym__Atomic] = ACTIONS(5098),
    [anon_sym__Noreturn] = ACTIONS(5098),
    [anon_sym_noreturn] = ACTIONS(5098),
    [anon_sym_mutable] = ACTIONS(5098),
    [anon_sym_constinit] = ACTIONS(5098),
    [anon_sym_consteval] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5100),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_virtual] = ACTIONS(5098),
    [anon_sym_alignas] = ACTIONS(5098),
    [anon_sym_template] = ACTIONS(5098),
    [anon_sym_operator] = ACTIONS(5098),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5100),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_TILDE] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5094),
    [anon_sym_extern] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5096),
    [anon_sym___declspec] = ACTIONS(5094),
    [anon_sym___based] = ACTIONS(5094),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_static] = ACTIONS(5094),
    [anon_sym_register] = ACTIONS(5094),
    [anon_sym_inline] = ACTIONS(5094),
    [anon_sym___inline] = ACTIONS(5094),
    [anon_sym___inline__] = ACTIONS(5094),
    [anon_sym___forceinline] = ACTIONS(5094),
    [anon_sym_thread_local] = ACTIONS(5094),
    [anon_sym___thread] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5094),
    [anon_sym_volatile] = ACTIONS(5094),
    [anon_sym_restrict] = ACTIONS(5094),
    [anon_sym___restrict__] = ACTIONS(5094),
    [anon_sym__Atomic] = ACTIONS(5094),
    [anon_sym__Noreturn] = ACTIONS(5094),
    [anon_sym_noreturn] = ACTIONS(5094),
    [anon_sym_mutable] = ACTIONS(5094),
    [anon_sym_constinit] = ACTIONS(5094),
    [anon_sym_consteval] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5096),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_virtual] = ACTIONS(5094),
    [anon_sym_alignas] = ACTIONS(5094),
    [anon_sym_template] = ACTIONS(5094),
    [anon_sym_operator] = ACTIONS(5094),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5096),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym_extern] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5088),
    [anon_sym___declspec] = ACTIONS(5086),
    [anon_sym___based] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_static] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5086),
    [anon_sym_inline] = ACTIONS(5086),
    [anon_sym___inline] = ACTIONS(5086),
    [anon_sym___inline__] = ACTIONS(5086),
    [anon_sym___forceinline] = ACTIONS(5086),
    [anon_sym_thread_local] = ACTIONS(5086),
    [anon_sym___thread] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5088),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_virtual] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym_template] = ACTIONS(5086),
    [anon_sym_operator] = ACTIONS(5086),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5088),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_TILDE] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5090),
    [anon_sym_extern] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5092),
    [anon_sym___declspec] = ACTIONS(5090),
    [anon_sym___based] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_static] = ACTIONS(5090),
    [anon_sym_register] = ACTIONS(5090),
    [anon_sym_inline] = ACTIONS(5090),
    [anon_sym___inline] = ACTIONS(5090),
    [anon_sym___inline__] = ACTIONS(5090),
    [anon_sym___forceinline] = ACTIONS(5090),
    [anon_sym_thread_local] = ACTIONS(5090),
    [anon_sym___thread] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5090),
    [anon_sym_volatile] = ACTIONS(5090),
    [anon_sym_restrict] = ACTIONS(5090),
    [anon_sym___restrict__] = ACTIONS(5090),
    [anon_sym__Atomic] = ACTIONS(5090),
    [anon_sym__Noreturn] = ACTIONS(5090),
    [anon_sym_noreturn] = ACTIONS(5090),
    [anon_sym_mutable] = ACTIONS(5090),
    [anon_sym_constinit] = ACTIONS(5090),
    [anon_sym_consteval] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5092),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_virtual] = ACTIONS(5090),
    [anon_sym_alignas] = ACTIONS(5090),
    [anon_sym_template] = ACTIONS(5090),
    [anon_sym_operator] = ACTIONS(5090),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5092),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_TILDE] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5082),
    [anon_sym_extern] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5084),
    [anon_sym___declspec] = ACTIONS(5082),
    [anon_sym___based] = ACTIONS(5082),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_static] = ACTIONS(5082),
    [anon_sym_register] = ACTIONS(5082),
    [anon_sym_inline] = ACTIONS(5082),
    [anon_sym___inline] = ACTIONS(5082),
    [anon_sym___inline__] = ACTIONS(5082),
    [anon_sym___forceinline] = ACTIONS(5082),
    [anon_sym_thread_local] = ACTIONS(5082),
    [anon_sym___thread] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5082),
    [anon_sym_volatile] = ACTIONS(5082),
    [anon_sym_restrict] = ACTIONS(5082),
    [anon_sym___restrict__] = ACTIONS(5082),
    [anon_sym__Atomic] = ACTIONS(5082),
    [anon_sym__Noreturn] = ACTIONS(5082),
    [anon_sym_noreturn] = ACTIONS(5082),
    [anon_sym_mutable] = ACTIONS(5082),
    [anon_sym_constinit] = ACTIONS(5082),
    [anon_sym_consteval] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_virtual] = ACTIONS(5082),
    [anon_sym_alignas] = ACTIONS(5082),
    [anon_sym_template] = ACTIONS(5082),
    [anon_sym_operator] = ACTIONS(5082),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5084),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_TILDE] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym___extension__] = ACTIONS(5071),
    [anon_sym_extern] = ACTIONS(5071),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5073),
    [anon_sym___declspec] = ACTIONS(5071),
    [anon_sym___based] = ACTIONS(5071),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_static] = ACTIONS(5071),
    [anon_sym_register] = ACTIONS(5071),
    [anon_sym_inline] = ACTIONS(5071),
    [anon_sym___inline] = ACTIONS(5071),
    [anon_sym___inline__] = ACTIONS(5071),
    [anon_sym___forceinline] = ACTIONS(5071),
    [anon_sym_thread_local] = ACTIONS(5071),
    [anon_sym___thread] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5071),
    [anon_sym_volatile] = ACTIONS(5071),
    [anon_sym_restrict] = ACTIONS(5071),
    [anon_sym___restrict__] = ACTIONS(5071),
    [anon_sym__Atomic] = ACTIONS(5071),
    [anon_sym__Noreturn] = ACTIONS(5071),
    [anon_sym_noreturn] = ACTIONS(5071),
    [anon_sym_mutable] = ACTIONS(5071),
    [anon_sym_constinit] = ACTIONS(5071),
    [anon_sym_consteval] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5073),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_virtual] = ACTIONS(5071),
    [anon_sym_alignas] = ACTIONS(5071),
    [anon_sym_template] = ACTIONS(5071),
    [anon_sym_operator] = ACTIONS(5071),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5073),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5117),
    [anon_sym_COMMA] = ACTIONS(5117),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5088),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5088),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5088),
    [anon_sym_GT_GT] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5088),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym_extern] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5088),
    [anon_sym___declspec] = ACTIONS(5086),
    [anon_sym___based] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_RBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_static] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5086),
    [anon_sym_inline] = ACTIONS(5086),
    [anon_sym___inline] = ACTIONS(5086),
    [anon_sym___inline__] = ACTIONS(5086),
    [anon_sym___forceinline] = ACTIONS(5086),
    [anon_sym_thread_local] = ACTIONS(5086),
    [anon_sym___thread] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_final] = ACTIONS(5086),
    [anon_sym_override] = ACTIONS(5086),
    [anon_sym_virtual] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym_template] = ACTIONS(5086),
    [anon_sym_operator] = ACTIONS(5086),
    [anon_sym_try] = ACTIONS(5086),
    [anon_sym_requires] = ACTIONS(5086),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_TILDE] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___extension__] = ACTIONS(5082),
    [anon_sym_extern] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5084),
    [anon_sym___declspec] = ACTIONS(5082),
    [anon_sym___based] = ACTIONS(5082),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_static] = ACTIONS(5082),
    [anon_sym_register] = ACTIONS(5082),
    [anon_sym_inline] = ACTIONS(5082),
    [anon_sym___inline] = ACTIONS(5082),
    [anon_sym___inline__] = ACTIONS(5082),
    [anon_sym___forceinline] = ACTIONS(5082),
    [anon_sym_thread_local] = ACTIONS(5082),
    [anon_sym___thread] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5082),
    [anon_sym_volatile] = ACTIONS(5082),
    [anon_sym_restrict] = ACTIONS(5082),
    [anon_sym___restrict__] = ACTIONS(5082),
    [anon_sym__Atomic] = ACTIONS(5082),
    [anon_sym__Noreturn] = ACTIONS(5082),
    [anon_sym_noreturn] = ACTIONS(5082),
    [anon_sym_mutable] = ACTIONS(5082),
    [anon_sym_constinit] = ACTIONS(5082),
    [anon_sym_consteval] = ACTIONS(5082),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_final] = ACTIONS(5082),
    [anon_sym_override] = ACTIONS(5082),
    [anon_sym_virtual] = ACTIONS(5082),
    [anon_sym_alignas] = ACTIONS(5082),
    [anon_sym_template] = ACTIONS(5082),
    [anon_sym_operator] = ACTIONS(5082),
    [anon_sym_try] = ACTIONS(5082),
    [anon_sym_requires] = ACTIONS(5082),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_TILDE] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5073),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5073),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5073),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5073),
    [anon_sym_GT_GT] = ACTIONS(5073),
    [anon_sym_SEMI] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5071),
    [anon_sym_extern] = ACTIONS(5071),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5073),
    [anon_sym___declspec] = ACTIONS(5071),
    [anon_sym___based] = ACTIONS(5071),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_static] = ACTIONS(5071),
    [anon_sym_register] = ACTIONS(5071),
    [anon_sym_inline] = ACTIONS(5071),
    [anon_sym___inline] = ACTIONS(5071),
    [anon_sym___inline__] = ACTIONS(5071),
    [anon_sym___forceinline] = ACTIONS(5071),
    [anon_sym_thread_local] = ACTIONS(5071),
    [anon_sym___thread] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5071),
    [anon_sym_volatile] = ACTIONS(5071),
    [anon_sym_restrict] = ACTIONS(5071),
    [anon_sym___restrict__] = ACTIONS(5071),
    [anon_sym__Atomic] = ACTIONS(5071),
    [anon_sym__Noreturn] = ACTIONS(5071),
    [anon_sym_noreturn] = ACTIONS(5071),
    [anon_sym_mutable] = ACTIONS(5071),
    [anon_sym_constinit] = ACTIONS(5071),
    [anon_sym_consteval] = ACTIONS(5071),
    [anon_sym_COLON] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_final] = ACTIONS(5071),
    [anon_sym_override] = ACTIONS(5071),
    [anon_sym_virtual] = ACTIONS(5071),
    [anon_sym_alignas] = ACTIONS(5071),
    [anon_sym_template] = ACTIONS(5071),
    [anon_sym_operator] = ACTIONS(5071),
    [anon_sym_try] = ACTIONS(5071),
    [anon_sym_requires] = ACTIONS(5071),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5077),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5077),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5077),
    [anon_sym_GT_GT] = ACTIONS(5077),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_try] = ACTIONS(5075),
    [anon_sym_requires] = ACTIONS(5075),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_TILDE] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5092),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5092),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5092),
    [anon_sym_GT_GT] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5090),
    [anon_sym_extern] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5092),
    [anon_sym___declspec] = ACTIONS(5090),
    [anon_sym___based] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5090),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_static] = ACTIONS(5090),
    [anon_sym_register] = ACTIONS(5090),
    [anon_sym_inline] = ACTIONS(5090),
    [anon_sym___inline] = ACTIONS(5090),
    [anon_sym___inline__] = ACTIONS(5090),
    [anon_sym___forceinline] = ACTIONS(5090),
    [anon_sym_thread_local] = ACTIONS(5090),
    [anon_sym___thread] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5090),
    [anon_sym_volatile] = ACTIONS(5090),
    [anon_sym_restrict] = ACTIONS(5090),
    [anon_sym___restrict__] = ACTIONS(5090),
    [anon_sym__Atomic] = ACTIONS(5090),
    [anon_sym__Noreturn] = ACTIONS(5090),
    [anon_sym_noreturn] = ACTIONS(5090),
    [anon_sym_mutable] = ACTIONS(5090),
    [anon_sym_constinit] = ACTIONS(5090),
    [anon_sym_consteval] = ACTIONS(5090),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_final] = ACTIONS(5090),
    [anon_sym_override] = ACTIONS(5090),
    [anon_sym_virtual] = ACTIONS(5090),
    [anon_sym_alignas] = ACTIONS(5090),
    [anon_sym_template] = ACTIONS(5090),
    [anon_sym_operator] = ACTIONS(5090),
    [anon_sym_try] = ACTIONS(5090),
    [anon_sym_requires] = ACTIONS(5090),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_TILDE] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5100),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5100),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5100),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5100),
    [anon_sym_GT_GT] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5098),
    [anon_sym_extern] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5100),
    [anon_sym___declspec] = ACTIONS(5098),
    [anon_sym___based] = ACTIONS(5098),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_RBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5098),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_static] = ACTIONS(5098),
    [anon_sym_register] = ACTIONS(5098),
    [anon_sym_inline] = ACTIONS(5098),
    [anon_sym___inline] = ACTIONS(5098),
    [anon_sym___inline__] = ACTIONS(5098),
    [anon_sym___forceinline] = ACTIONS(5098),
    [anon_sym_thread_local] = ACTIONS(5098),
    [anon_sym___thread] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5098),
    [anon_sym_volatile] = ACTIONS(5098),
    [anon_sym_restrict] = ACTIONS(5098),
    [anon_sym___restrict__] = ACTIONS(5098),
    [anon_sym__Atomic] = ACTIONS(5098),
    [anon_sym__Noreturn] = ACTIONS(5098),
    [anon_sym_noreturn] = ACTIONS(5098),
    [anon_sym_mutable] = ACTIONS(5098),
    [anon_sym_constinit] = ACTIONS(5098),
    [anon_sym_consteval] = ACTIONS(5098),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_final] = ACTIONS(5098),
    [anon_sym_override] = ACTIONS(5098),
    [anon_sym_virtual] = ACTIONS(5098),
    [anon_sym_alignas] = ACTIONS(5098),
    [anon_sym_template] = ACTIONS(5098),
    [anon_sym_operator] = ACTIONS(5098),
    [anon_sym_try] = ACTIONS(5098),
    [anon_sym_requires] = ACTIONS(5098),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_TILDE] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5094),
    [anon_sym_extern] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5096),
    [anon_sym___declspec] = ACTIONS(5094),
    [anon_sym___based] = ACTIONS(5094),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_static] = ACTIONS(5094),
    [anon_sym_register] = ACTIONS(5094),
    [anon_sym_inline] = ACTIONS(5094),
    [anon_sym___inline] = ACTIONS(5094),
    [anon_sym___inline__] = ACTIONS(5094),
    [anon_sym___forceinline] = ACTIONS(5094),
    [anon_sym_thread_local] = ACTIONS(5094),
    [anon_sym___thread] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5094),
    [anon_sym_volatile] = ACTIONS(5094),
    [anon_sym_restrict] = ACTIONS(5094),
    [anon_sym___restrict__] = ACTIONS(5094),
    [anon_sym__Atomic] = ACTIONS(5094),
    [anon_sym__Noreturn] = ACTIONS(5094),
    [anon_sym_noreturn] = ACTIONS(5094),
    [anon_sym_mutable] = ACTIONS(5094),
    [anon_sym_constinit] = ACTIONS(5094),
    [anon_sym_consteval] = ACTIONS(5094),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_final] = ACTIONS(5094),
    [anon_sym_override] = ACTIONS(5094),
    [anon_sym_virtual] = ACTIONS(5094),
    [anon_sym_alignas] = ACTIONS(5094),
    [anon_sym_template] = ACTIONS(5094),
    [anon_sym_operator] = ACTIONS(5094),
    [anon_sym_try] = ACTIONS(5094),
    [anon_sym_requires] = ACTIONS(5094),
  },
  [1996] = {
    [sym_function_definition] = STATE(950),
    [sym_declaration] = STATE(950),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2245),
    [sym_declaration_list] = STATE(950),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5161),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1997] = {
    [sym_function_definition] = STATE(396),
    [sym_declaration] = STATE(396),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2270),
    [sym_declaration_list] = STATE(396),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5163),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1998] = {
    [sym_function_definition] = STATE(1063),
    [sym_declaration] = STATE(1063),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2323),
    [sym_declaration_list] = STATE(1063),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5165),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1999] = {
    [sym_function_definition] = STATE(890),
    [sym_declaration] = STATE(890),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2313),
    [sym_declaration_list] = STATE(890),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5167),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2000] = {
    [sym_function_definition] = STATE(555),
    [sym_declaration] = STATE(555),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2251),
    [sym_declaration_list] = STATE(555),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5169),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2001] = {
    [sym_function_definition] = STATE(2121),
    [sym_declaration] = STATE(2121),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5749),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2268),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8873),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5173),
    [anon_sym_struct] = ACTIONS(5175),
    [anon_sym_union] = ACTIONS(5177),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2002] = {
    [sym_function_definition] = STATE(2628),
    [sym_declaration] = STATE(2628),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5665),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2265),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(9501),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5179),
    [anon_sym_struct] = ACTIONS(5181),
    [anon_sym_union] = ACTIONS(5183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2003] = {
    [sym_function_definition] = STATE(2402),
    [sym_declaration] = STATE(2402),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5726),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2279),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(9376),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5185),
    [anon_sym_struct] = ACTIONS(5187),
    [anon_sym_union] = ACTIONS(5189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2004] = {
    [sym_function_definition] = STATE(422),
    [sym_declaration] = STATE(422),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5699),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2270),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8666),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5191),
    [anon_sym_struct] = ACTIONS(5193),
    [anon_sym_union] = ACTIONS(5195),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2005] = {
    [sym_function_definition] = STATE(595),
    [sym_declaration] = STATE(595),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5724),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2251),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(9038),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5197),
    [anon_sym_struct] = ACTIONS(5199),
    [anon_sym_union] = ACTIONS(5201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2006] = {
    [sym_function_definition] = STATE(967),
    [sym_declaration] = STATE(967),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5708),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2245),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(9145),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5203),
    [anon_sym_struct] = ACTIONS(5205),
    [anon_sym_union] = ACTIONS(5207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RPAREN] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5120),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym___cdecl] = ACTIONS(5113),
    [anon_sym___clrcall] = ACTIONS(5113),
    [anon_sym___stdcall] = ACTIONS(5113),
    [anon_sym___fastcall] = ACTIONS(5113),
    [anon_sym___thiscall] = ACTIONS(5113),
    [anon_sym___vectorcall] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_signed] = ACTIONS(5113),
    [anon_sym_unsigned] = ACTIONS(5113),
    [anon_sym_long] = ACTIONS(5113),
    [anon_sym_short] = ACTIONS(5113),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_EQ] = ACTIONS(5120),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [sym_primitive_type] = ACTIONS(5113),
    [anon_sym_enum] = ACTIONS(5113),
    [anon_sym_class] = ACTIONS(5113),
    [anon_sym_struct] = ACTIONS(5113),
    [anon_sym_union] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_asm] = ACTIONS(5113),
    [anon_sym___asm__] = ACTIONS(5113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_explicit] = ACTIONS(5113),
    [anon_sym_typename] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_GT2] = ACTIONS(5120),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_try] = ACTIONS(5113),
    [anon_sym_friend] = ACTIONS(5113),
    [anon_sym_using] = ACTIONS(5113),
    [anon_sym_concept] = ACTIONS(5113),
    [anon_sym_requires] = ACTIONS(5113),
  },
  [2008] = {
    [sym_function_definition] = STATE(990),
    [sym_declaration] = STATE(990),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5752),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2323),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(9029),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5209),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2009] = {
    [sym_function_definition] = STATE(2557),
    [sym_declaration] = STATE(2557),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5733),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2240),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8617),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5217),
    [anon_sym_union] = ACTIONS(5219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2010] = {
    [sym_function_definition] = STATE(963),
    [sym_declaration] = STATE(963),
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5676),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_ms_call_modifier] = STATE(2313),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym__class_name] = STATE(8702),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(4831),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4832),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5171),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5221),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2011] = {
    [sym_string_literal] = STATE(2025),
    [sym_template_argument_list] = STATE(2673),
    [sym_raw_string_literal] = STATE(2025),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5227),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_RBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5230),
    [anon_sym_COMMA] = ACTIONS(5232),
    [anon_sym_RPAREN] = ACTIONS(5232),
    [anon_sym_LPAREN2] = ACTIONS(5232),
    [anon_sym_TILDE] = ACTIONS(5232),
    [anon_sym_STAR] = ACTIONS(5232),
    [anon_sym_PIPE_PIPE] = ACTIONS(5232),
    [anon_sym_AMP_AMP] = ACTIONS(5232),
    [anon_sym_AMP] = ACTIONS(5230),
    [anon_sym_SEMI] = ACTIONS(5232),
    [anon_sym___extension__] = ACTIONS(5230),
    [anon_sym_extern] = ACTIONS(5230),
    [anon_sym___attribute__] = ACTIONS(5230),
    [anon_sym_COLON_COLON] = ACTIONS(5232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5232),
    [anon_sym___declspec] = ACTIONS(5230),
    [anon_sym___based] = ACTIONS(5230),
    [anon_sym___cdecl] = ACTIONS(5230),
    [anon_sym___clrcall] = ACTIONS(5230),
    [anon_sym___stdcall] = ACTIONS(5230),
    [anon_sym___fastcall] = ACTIONS(5230),
    [anon_sym___thiscall] = ACTIONS(5230),
    [anon_sym___vectorcall] = ACTIONS(5230),
    [anon_sym_LBRACE] = ACTIONS(5232),
    [anon_sym_signed] = ACTIONS(5230),
    [anon_sym_unsigned] = ACTIONS(5230),
    [anon_sym_long] = ACTIONS(5230),
    [anon_sym_short] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_EQ] = ACTIONS(5232),
    [anon_sym_static] = ACTIONS(5230),
    [anon_sym_register] = ACTIONS(5230),
    [anon_sym_inline] = ACTIONS(5230),
    [anon_sym___inline] = ACTIONS(5230),
    [anon_sym___inline__] = ACTIONS(5230),
    [anon_sym___forceinline] = ACTIONS(5230),
    [anon_sym_thread_local] = ACTIONS(5230),
    [anon_sym___thread] = ACTIONS(5230),
    [anon_sym_const] = ACTIONS(5230),
    [anon_sym_constexpr] = ACTIONS(5230),
    [anon_sym_volatile] = ACTIONS(5230),
    [anon_sym_restrict] = ACTIONS(5230),
    [anon_sym___restrict__] = ACTIONS(5230),
    [anon_sym__Atomic] = ACTIONS(5230),
    [anon_sym__Noreturn] = ACTIONS(5230),
    [anon_sym_noreturn] = ACTIONS(5230),
    [anon_sym_mutable] = ACTIONS(5230),
    [anon_sym_constinit] = ACTIONS(5230),
    [anon_sym_consteval] = ACTIONS(5230),
    [sym_primitive_type] = ACTIONS(5230),
    [anon_sym_enum] = ACTIONS(5230),
    [anon_sym_class] = ACTIONS(5230),
    [anon_sym_struct] = ACTIONS(5230),
    [anon_sym_union] = ACTIONS(5230),
    [anon_sym_or] = ACTIONS(5230),
    [anon_sym_and] = ACTIONS(5230),
    [anon_sym_asm] = ACTIONS(5230),
    [anon_sym___asm__] = ACTIONS(5230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5230),
    [anon_sym_decltype] = ACTIONS(5230),
    [anon_sym_final] = ACTIONS(5230),
    [anon_sym_override] = ACTIONS(5230),
    [anon_sym_virtual] = ACTIONS(5230),
    [anon_sym_alignas] = ACTIONS(5230),
    [anon_sym_explicit] = ACTIONS(5230),
    [anon_sym_typename] = ACTIONS(5230),
    [anon_sym_template] = ACTIONS(5230),
    [anon_sym_GT2] = ACTIONS(5232),
    [anon_sym_operator] = ACTIONS(5230),
    [anon_sym_try] = ACTIONS(5230),
    [anon_sym_friend] = ACTIONS(5230),
    [anon_sym_using] = ACTIONS(5230),
    [anon_sym_concept] = ACTIONS(5230),
    [anon_sym_requires] = ACTIONS(5230),
  },
  [2013] = {
    [sym_string_literal] = STATE(2029),
    [sym_raw_string_literal] = STATE(2029),
    [aux_sym_concatenated_string_repeat1] = STATE(2029),
    [sym_identifier] = ACTIONS(5234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5236),
    [anon_sym_COMMA] = ACTIONS(5236),
    [anon_sym_RPAREN] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5238),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5236),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5236),
    [anon_sym_AMP_AMP] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5236),
    [anon_sym_BANG_EQ] = ACTIONS(5236),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5236),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_SEMI] = ACTIONS(5236),
    [anon_sym_RBRACE] = ACTIONS(5236),
    [anon_sym_LBRACK] = ACTIONS(5236),
    [anon_sym_RBRACK] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_COLON] = ACTIONS(5236),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5236),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5236),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5236),
    [anon_sym_PLUS_PLUS] = ACTIONS(5236),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5236),
    [anon_sym_DASH_GT] = ACTIONS(5236),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5238),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5242),
    [anon_sym_RPAREN] = ACTIONS(5242),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_TILDE] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5242),
    [anon_sym_AMP_AMP] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [anon_sym___extension__] = ACTIONS(5240),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5240),
    [anon_sym_COLON_COLON] = ACTIONS(5242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym___declspec] = ACTIONS(5240),
    [anon_sym___based] = ACTIONS(5240),
    [anon_sym___cdecl] = ACTIONS(5240),
    [anon_sym___clrcall] = ACTIONS(5240),
    [anon_sym___stdcall] = ACTIONS(5240),
    [anon_sym___fastcall] = ACTIONS(5240),
    [anon_sym___thiscall] = ACTIONS(5240),
    [anon_sym___vectorcall] = ACTIONS(5240),
    [anon_sym_LBRACE] = ACTIONS(5242),
    [anon_sym_signed] = ACTIONS(5240),
    [anon_sym_unsigned] = ACTIONS(5240),
    [anon_sym_long] = ACTIONS(5240),
    [anon_sym_short] = ACTIONS(5240),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5240),
    [anon_sym_constexpr] = ACTIONS(5240),
    [anon_sym_volatile] = ACTIONS(5240),
    [anon_sym_restrict] = ACTIONS(5240),
    [anon_sym___restrict__] = ACTIONS(5240),
    [anon_sym__Atomic] = ACTIONS(5240),
    [anon_sym__Noreturn] = ACTIONS(5240),
    [anon_sym_noreturn] = ACTIONS(5240),
    [anon_sym_mutable] = ACTIONS(5240),
    [anon_sym_constinit] = ACTIONS(5240),
    [anon_sym_consteval] = ACTIONS(5240),
    [sym_primitive_type] = ACTIONS(5240),
    [anon_sym_enum] = ACTIONS(5240),
    [anon_sym_class] = ACTIONS(5240),
    [anon_sym_struct] = ACTIONS(5240),
    [anon_sym_union] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5240),
    [anon_sym_and] = ACTIONS(5240),
    [anon_sym_asm] = ACTIONS(5240),
    [anon_sym___asm__] = ACTIONS(5240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5240),
    [anon_sym_decltype] = ACTIONS(5240),
    [anon_sym_final] = ACTIONS(5240),
    [anon_sym_override] = ACTIONS(5240),
    [anon_sym_virtual] = ACTIONS(5240),
    [anon_sym_alignas] = ACTIONS(5240),
    [anon_sym_explicit] = ACTIONS(5240),
    [anon_sym_typename] = ACTIONS(5240),
    [anon_sym_template] = ACTIONS(5240),
    [anon_sym_GT2] = ACTIONS(5242),
    [anon_sym_operator] = ACTIONS(5240),
    [anon_sym_try] = ACTIONS(5240),
    [anon_sym_friend] = ACTIONS(5240),
    [anon_sym_using] = ACTIONS(5240),
    [anon_sym_concept] = ACTIONS(5240),
    [anon_sym_requires] = ACTIONS(5240),
  },
  [2015] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4718),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(7953),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_type_parameter_declaration] = STATE(7953),
    [sym_variadic_type_parameter_declaration] = STATE(7953),
    [sym_optional_type_parameter_declaration] = STATE(7953),
    [sym_template_template_parameter_declaration] = STATE(7953),
    [sym_optional_parameter_declaration] = STATE(7953),
    [sym_variadic_parameter_declaration] = STATE(7953),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5244),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5246),
    [anon_sym_template] = ACTIONS(5248),
    [anon_sym_GT2] = ACTIONS(5250),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5252),
    [anon_sym_COMMA] = ACTIONS(5254),
    [anon_sym_RPAREN] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5254),
    [anon_sym_TILDE] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5254),
    [anon_sym_PIPE_PIPE] = ACTIONS(5254),
    [anon_sym_AMP_AMP] = ACTIONS(5254),
    [anon_sym_AMP] = ACTIONS(5252),
    [anon_sym_SEMI] = ACTIONS(5254),
    [anon_sym___extension__] = ACTIONS(5252),
    [anon_sym_extern] = ACTIONS(5252),
    [anon_sym___attribute__] = ACTIONS(5252),
    [anon_sym_COLON_COLON] = ACTIONS(5254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5254),
    [anon_sym___declspec] = ACTIONS(5252),
    [anon_sym___based] = ACTIONS(5252),
    [anon_sym___cdecl] = ACTIONS(5252),
    [anon_sym___clrcall] = ACTIONS(5252),
    [anon_sym___stdcall] = ACTIONS(5252),
    [anon_sym___fastcall] = ACTIONS(5252),
    [anon_sym___thiscall] = ACTIONS(5252),
    [anon_sym___vectorcall] = ACTIONS(5252),
    [anon_sym_LBRACE] = ACTIONS(5254),
    [anon_sym_signed] = ACTIONS(5252),
    [anon_sym_unsigned] = ACTIONS(5252),
    [anon_sym_long] = ACTIONS(5252),
    [anon_sym_short] = ACTIONS(5252),
    [anon_sym_LBRACK] = ACTIONS(5252),
    [anon_sym_EQ] = ACTIONS(5254),
    [anon_sym_static] = ACTIONS(5252),
    [anon_sym_register] = ACTIONS(5252),
    [anon_sym_inline] = ACTIONS(5252),
    [anon_sym___inline] = ACTIONS(5252),
    [anon_sym___inline__] = ACTIONS(5252),
    [anon_sym___forceinline] = ACTIONS(5252),
    [anon_sym_thread_local] = ACTIONS(5252),
    [anon_sym___thread] = ACTIONS(5252),
    [anon_sym_const] = ACTIONS(5252),
    [anon_sym_constexpr] = ACTIONS(5252),
    [anon_sym_volatile] = ACTIONS(5252),
    [anon_sym_restrict] = ACTIONS(5252),
    [anon_sym___restrict__] = ACTIONS(5252),
    [anon_sym__Atomic] = ACTIONS(5252),
    [anon_sym__Noreturn] = ACTIONS(5252),
    [anon_sym_noreturn] = ACTIONS(5252),
    [anon_sym_mutable] = ACTIONS(5252),
    [anon_sym_constinit] = ACTIONS(5252),
    [anon_sym_consteval] = ACTIONS(5252),
    [sym_primitive_type] = ACTIONS(5252),
    [anon_sym_enum] = ACTIONS(5252),
    [anon_sym_class] = ACTIONS(5252),
    [anon_sym_struct] = ACTIONS(5252),
    [anon_sym_union] = ACTIONS(5252),
    [anon_sym_or] = ACTIONS(5252),
    [anon_sym_and] = ACTIONS(5252),
    [anon_sym_asm] = ACTIONS(5252),
    [anon_sym___asm__] = ACTIONS(5252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5252),
    [anon_sym_decltype] = ACTIONS(5252),
    [anon_sym_final] = ACTIONS(5252),
    [anon_sym_override] = ACTIONS(5252),
    [anon_sym_virtual] = ACTIONS(5252),
    [anon_sym_alignas] = ACTIONS(5252),
    [anon_sym_explicit] = ACTIONS(5252),
    [anon_sym_typename] = ACTIONS(5252),
    [anon_sym_template] = ACTIONS(5252),
    [anon_sym_GT2] = ACTIONS(5254),
    [anon_sym_operator] = ACTIONS(5252),
    [anon_sym_try] = ACTIONS(5252),
    [anon_sym_friend] = ACTIONS(5252),
    [anon_sym_using] = ACTIONS(5252),
    [anon_sym_concept] = ACTIONS(5252),
    [anon_sym_requires] = ACTIONS(5252),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5256),
    [anon_sym_COMMA] = ACTIONS(5258),
    [anon_sym_RPAREN] = ACTIONS(5258),
    [anon_sym_LPAREN2] = ACTIONS(5258),
    [anon_sym_TILDE] = ACTIONS(5258),
    [anon_sym_STAR] = ACTIONS(5258),
    [anon_sym_PIPE_PIPE] = ACTIONS(5258),
    [anon_sym_AMP_AMP] = ACTIONS(5258),
    [anon_sym_AMP] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5258),
    [anon_sym___extension__] = ACTIONS(5256),
    [anon_sym_extern] = ACTIONS(5256),
    [anon_sym___attribute__] = ACTIONS(5256),
    [anon_sym_COLON_COLON] = ACTIONS(5258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5258),
    [anon_sym___declspec] = ACTIONS(5256),
    [anon_sym___based] = ACTIONS(5256),
    [anon_sym___cdecl] = ACTIONS(5256),
    [anon_sym___clrcall] = ACTIONS(5256),
    [anon_sym___stdcall] = ACTIONS(5256),
    [anon_sym___fastcall] = ACTIONS(5256),
    [anon_sym___thiscall] = ACTIONS(5256),
    [anon_sym___vectorcall] = ACTIONS(5256),
    [anon_sym_LBRACE] = ACTIONS(5258),
    [anon_sym_signed] = ACTIONS(5256),
    [anon_sym_unsigned] = ACTIONS(5256),
    [anon_sym_long] = ACTIONS(5256),
    [anon_sym_short] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5256),
    [anon_sym_EQ] = ACTIONS(5258),
    [anon_sym_static] = ACTIONS(5256),
    [anon_sym_register] = ACTIONS(5256),
    [anon_sym_inline] = ACTIONS(5256),
    [anon_sym___inline] = ACTIONS(5256),
    [anon_sym___inline__] = ACTIONS(5256),
    [anon_sym___forceinline] = ACTIONS(5256),
    [anon_sym_thread_local] = ACTIONS(5256),
    [anon_sym___thread] = ACTIONS(5256),
    [anon_sym_const] = ACTIONS(5256),
    [anon_sym_constexpr] = ACTIONS(5256),
    [anon_sym_volatile] = ACTIONS(5256),
    [anon_sym_restrict] = ACTIONS(5256),
    [anon_sym___restrict__] = ACTIONS(5256),
    [anon_sym__Atomic] = ACTIONS(5256),
    [anon_sym__Noreturn] = ACTIONS(5256),
    [anon_sym_noreturn] = ACTIONS(5256),
    [anon_sym_mutable] = ACTIONS(5256),
    [anon_sym_constinit] = ACTIONS(5256),
    [anon_sym_consteval] = ACTIONS(5256),
    [sym_primitive_type] = ACTIONS(5256),
    [anon_sym_enum] = ACTIONS(5256),
    [anon_sym_class] = ACTIONS(5256),
    [anon_sym_struct] = ACTIONS(5256),
    [anon_sym_union] = ACTIONS(5256),
    [anon_sym_or] = ACTIONS(5256),
    [anon_sym_and] = ACTIONS(5256),
    [anon_sym_asm] = ACTIONS(5256),
    [anon_sym___asm__] = ACTIONS(5256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5256),
    [anon_sym_decltype] = ACTIONS(5256),
    [anon_sym_final] = ACTIONS(5256),
    [anon_sym_override] = ACTIONS(5256),
    [anon_sym_virtual] = ACTIONS(5256),
    [anon_sym_alignas] = ACTIONS(5256),
    [anon_sym_explicit] = ACTIONS(5256),
    [anon_sym_typename] = ACTIONS(5256),
    [anon_sym_template] = ACTIONS(5256),
    [anon_sym_GT2] = ACTIONS(5258),
    [anon_sym_operator] = ACTIONS(5256),
    [anon_sym_try] = ACTIONS(5256),
    [anon_sym_friend] = ACTIONS(5256),
    [anon_sym_using] = ACTIONS(5256),
    [anon_sym_concept] = ACTIONS(5256),
    [anon_sym_requires] = ACTIONS(5256),
  },
  [2018] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym_extern] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5262),
    [anon_sym___declspec] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym___cdecl] = ACTIONS(5260),
    [anon_sym___clrcall] = ACTIONS(5260),
    [anon_sym___stdcall] = ACTIONS(5260),
    [anon_sym___fastcall] = ACTIONS(5260),
    [anon_sym___thiscall] = ACTIONS(5260),
    [anon_sym___vectorcall] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5260),
    [anon_sym_EQ] = ACTIONS(5262),
    [anon_sym_static] = ACTIONS(5260),
    [anon_sym_register] = ACTIONS(5260),
    [anon_sym_inline] = ACTIONS(5260),
    [anon_sym___inline] = ACTIONS(5260),
    [anon_sym___inline__] = ACTIONS(5260),
    [anon_sym___forceinline] = ACTIONS(5260),
    [anon_sym_thread_local] = ACTIONS(5260),
    [anon_sym___thread] = ACTIONS(5260),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_enum] = ACTIONS(5260),
    [anon_sym_class] = ACTIONS(5260),
    [anon_sym_struct] = ACTIONS(5260),
    [anon_sym_union] = ACTIONS(5260),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_asm] = ACTIONS(5260),
    [anon_sym___asm__] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_virtual] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym_explicit] = ACTIONS(5260),
    [anon_sym_typename] = ACTIONS(5260),
    [anon_sym_template] = ACTIONS(5260),
    [anon_sym_GT2] = ACTIONS(5262),
    [anon_sym_operator] = ACTIONS(5260),
    [anon_sym_try] = ACTIONS(5260),
    [anon_sym_friend] = ACTIONS(5260),
    [anon_sym_using] = ACTIONS(5260),
    [anon_sym_concept] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [2019] = {
    [sym_identifier] = ACTIONS(5264),
    [anon_sym_COMMA] = ACTIONS(5266),
    [anon_sym_RPAREN] = ACTIONS(5266),
    [anon_sym_LPAREN2] = ACTIONS(5266),
    [anon_sym_TILDE] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_PIPE_PIPE] = ACTIONS(5266),
    [anon_sym_AMP_AMP] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5264),
    [anon_sym_SEMI] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(5264),
    [anon_sym_extern] = ACTIONS(5264),
    [anon_sym___attribute__] = ACTIONS(5264),
    [anon_sym_COLON_COLON] = ACTIONS(5266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5266),
    [anon_sym___declspec] = ACTIONS(5264),
    [anon_sym___based] = ACTIONS(5264),
    [anon_sym___cdecl] = ACTIONS(5264),
    [anon_sym___clrcall] = ACTIONS(5264),
    [anon_sym___stdcall] = ACTIONS(5264),
    [anon_sym___fastcall] = ACTIONS(5264),
    [anon_sym___thiscall] = ACTIONS(5264),
    [anon_sym___vectorcall] = ACTIONS(5264),
    [anon_sym_LBRACE] = ACTIONS(5266),
    [anon_sym_signed] = ACTIONS(5264),
    [anon_sym_unsigned] = ACTIONS(5264),
    [anon_sym_long] = ACTIONS(5264),
    [anon_sym_short] = ACTIONS(5264),
    [anon_sym_LBRACK] = ACTIONS(5264),
    [anon_sym_EQ] = ACTIONS(5266),
    [anon_sym_static] = ACTIONS(5264),
    [anon_sym_register] = ACTIONS(5264),
    [anon_sym_inline] = ACTIONS(5264),
    [anon_sym___inline] = ACTIONS(5264),
    [anon_sym___inline__] = ACTIONS(5264),
    [anon_sym___forceinline] = ACTIONS(5264),
    [anon_sym_thread_local] = ACTIONS(5264),
    [anon_sym___thread] = ACTIONS(5264),
    [anon_sym_const] = ACTIONS(5264),
    [anon_sym_constexpr] = ACTIONS(5264),
    [anon_sym_volatile] = ACTIONS(5264),
    [anon_sym_restrict] = ACTIONS(5264),
    [anon_sym___restrict__] = ACTIONS(5264),
    [anon_sym__Atomic] = ACTIONS(5264),
    [anon_sym__Noreturn] = ACTIONS(5264),
    [anon_sym_noreturn] = ACTIONS(5264),
    [anon_sym_mutable] = ACTIONS(5264),
    [anon_sym_constinit] = ACTIONS(5264),
    [anon_sym_consteval] = ACTIONS(5264),
    [sym_primitive_type] = ACTIONS(5264),
    [anon_sym_enum] = ACTIONS(5264),
    [anon_sym_class] = ACTIONS(5264),
    [anon_sym_struct] = ACTIONS(5264),
    [anon_sym_union] = ACTIONS(5264),
    [anon_sym_or] = ACTIONS(5264),
    [anon_sym_and] = ACTIONS(5264),
    [anon_sym_asm] = ACTIONS(5264),
    [anon_sym___asm__] = ACTIONS(5264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5264),
    [anon_sym_decltype] = ACTIONS(5264),
    [anon_sym_final] = ACTIONS(5264),
    [anon_sym_override] = ACTIONS(5264),
    [anon_sym_virtual] = ACTIONS(5264),
    [anon_sym_alignas] = ACTIONS(5264),
    [anon_sym_explicit] = ACTIONS(5264),
    [anon_sym_typename] = ACTIONS(5264),
    [anon_sym_template] = ACTIONS(5264),
    [anon_sym_GT2] = ACTIONS(5266),
    [anon_sym_operator] = ACTIONS(5264),
    [anon_sym_try] = ACTIONS(5264),
    [anon_sym_friend] = ACTIONS(5264),
    [anon_sym_using] = ACTIONS(5264),
    [anon_sym_concept] = ACTIONS(5264),
    [anon_sym_requires] = ACTIONS(5264),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym_extern] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5262),
    [anon_sym___declspec] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym___cdecl] = ACTIONS(5260),
    [anon_sym___clrcall] = ACTIONS(5260),
    [anon_sym___stdcall] = ACTIONS(5260),
    [anon_sym___fastcall] = ACTIONS(5260),
    [anon_sym___thiscall] = ACTIONS(5260),
    [anon_sym___vectorcall] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5260),
    [anon_sym_EQ] = ACTIONS(5262),
    [anon_sym_static] = ACTIONS(5260),
    [anon_sym_register] = ACTIONS(5260),
    [anon_sym_inline] = ACTIONS(5260),
    [anon_sym___inline] = ACTIONS(5260),
    [anon_sym___inline__] = ACTIONS(5260),
    [anon_sym___forceinline] = ACTIONS(5260),
    [anon_sym_thread_local] = ACTIONS(5260),
    [anon_sym___thread] = ACTIONS(5260),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_enum] = ACTIONS(5260),
    [anon_sym_class] = ACTIONS(5260),
    [anon_sym_struct] = ACTIONS(5260),
    [anon_sym_union] = ACTIONS(5260),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_asm] = ACTIONS(5260),
    [anon_sym___asm__] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_virtual] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym_explicit] = ACTIONS(5260),
    [anon_sym_typename] = ACTIONS(5260),
    [anon_sym_template] = ACTIONS(5260),
    [anon_sym_GT2] = ACTIONS(5262),
    [anon_sym_operator] = ACTIONS(5260),
    [anon_sym_try] = ACTIONS(5260),
    [anon_sym_friend] = ACTIONS(5260),
    [anon_sym_using] = ACTIONS(5260),
    [anon_sym_concept] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [2021] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4718),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8132),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_type_parameter_declaration] = STATE(8132),
    [sym_variadic_type_parameter_declaration] = STATE(8132),
    [sym_optional_type_parameter_declaration] = STATE(8132),
    [sym_template_template_parameter_declaration] = STATE(8132),
    [sym_optional_parameter_declaration] = STATE(8132),
    [sym_variadic_parameter_declaration] = STATE(8132),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5244),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5246),
    [anon_sym_template] = ACTIONS(5248),
    [anon_sym_GT2] = ACTIONS(5268),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5260),
    [anon_sym_COMMA] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5262),
    [anon_sym_LPAREN2] = ACTIONS(5262),
    [anon_sym_TILDE] = ACTIONS(5262),
    [anon_sym_STAR] = ACTIONS(5262),
    [anon_sym_PIPE_PIPE] = ACTIONS(5262),
    [anon_sym_AMP_AMP] = ACTIONS(5262),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(5260),
    [anon_sym_extern] = ACTIONS(5260),
    [anon_sym___attribute__] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5262),
    [anon_sym___declspec] = ACTIONS(5260),
    [anon_sym___based] = ACTIONS(5260),
    [anon_sym___cdecl] = ACTIONS(5260),
    [anon_sym___clrcall] = ACTIONS(5260),
    [anon_sym___stdcall] = ACTIONS(5260),
    [anon_sym___fastcall] = ACTIONS(5260),
    [anon_sym___thiscall] = ACTIONS(5260),
    [anon_sym___vectorcall] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5262),
    [anon_sym_signed] = ACTIONS(5260),
    [anon_sym_unsigned] = ACTIONS(5260),
    [anon_sym_long] = ACTIONS(5260),
    [anon_sym_short] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5260),
    [anon_sym_EQ] = ACTIONS(5262),
    [anon_sym_static] = ACTIONS(5260),
    [anon_sym_register] = ACTIONS(5260),
    [anon_sym_inline] = ACTIONS(5260),
    [anon_sym___inline] = ACTIONS(5260),
    [anon_sym___inline__] = ACTIONS(5260),
    [anon_sym___forceinline] = ACTIONS(5260),
    [anon_sym_thread_local] = ACTIONS(5260),
    [anon_sym___thread] = ACTIONS(5260),
    [anon_sym_const] = ACTIONS(5260),
    [anon_sym_constexpr] = ACTIONS(5260),
    [anon_sym_volatile] = ACTIONS(5260),
    [anon_sym_restrict] = ACTIONS(5260),
    [anon_sym___restrict__] = ACTIONS(5260),
    [anon_sym__Atomic] = ACTIONS(5260),
    [anon_sym__Noreturn] = ACTIONS(5260),
    [anon_sym_noreturn] = ACTIONS(5260),
    [anon_sym_mutable] = ACTIONS(5260),
    [anon_sym_constinit] = ACTIONS(5260),
    [anon_sym_consteval] = ACTIONS(5260),
    [sym_primitive_type] = ACTIONS(5260),
    [anon_sym_enum] = ACTIONS(5260),
    [anon_sym_class] = ACTIONS(5260),
    [anon_sym_struct] = ACTIONS(5260),
    [anon_sym_union] = ACTIONS(5260),
    [anon_sym_or] = ACTIONS(5260),
    [anon_sym_and] = ACTIONS(5260),
    [anon_sym_asm] = ACTIONS(5260),
    [anon_sym___asm__] = ACTIONS(5260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5260),
    [anon_sym_decltype] = ACTIONS(5260),
    [anon_sym_final] = ACTIONS(5260),
    [anon_sym_override] = ACTIONS(5260),
    [anon_sym_virtual] = ACTIONS(5260),
    [anon_sym_alignas] = ACTIONS(5260),
    [anon_sym_explicit] = ACTIONS(5260),
    [anon_sym_typename] = ACTIONS(5260),
    [anon_sym_template] = ACTIONS(5260),
    [anon_sym_GT2] = ACTIONS(5262),
    [anon_sym_operator] = ACTIONS(5260),
    [anon_sym_try] = ACTIONS(5260),
    [anon_sym_friend] = ACTIONS(5260),
    [anon_sym_using] = ACTIONS(5260),
    [anon_sym_concept] = ACTIONS(5260),
    [anon_sym_requires] = ACTIONS(5260),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5270),
    [anon_sym_COMMA] = ACTIONS(5272),
    [anon_sym_RPAREN] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_TILDE] = ACTIONS(5272),
    [anon_sym_STAR] = ACTIONS(5272),
    [anon_sym_PIPE_PIPE] = ACTIONS(5272),
    [anon_sym_AMP_AMP] = ACTIONS(5272),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5272),
    [anon_sym___extension__] = ACTIONS(5270),
    [anon_sym_extern] = ACTIONS(5270),
    [anon_sym___attribute__] = ACTIONS(5270),
    [anon_sym_COLON_COLON] = ACTIONS(5272),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5272),
    [anon_sym___declspec] = ACTIONS(5270),
    [anon_sym___based] = ACTIONS(5270),
    [anon_sym___cdecl] = ACTIONS(5270),
    [anon_sym___clrcall] = ACTIONS(5270),
    [anon_sym___stdcall] = ACTIONS(5270),
    [anon_sym___fastcall] = ACTIONS(5270),
    [anon_sym___thiscall] = ACTIONS(5270),
    [anon_sym___vectorcall] = ACTIONS(5270),
    [anon_sym_LBRACE] = ACTIONS(5272),
    [anon_sym_signed] = ACTIONS(5270),
    [anon_sym_unsigned] = ACTIONS(5270),
    [anon_sym_long] = ACTIONS(5270),
    [anon_sym_short] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5270),
    [anon_sym_EQ] = ACTIONS(5272),
    [anon_sym_static] = ACTIONS(5270),
    [anon_sym_register] = ACTIONS(5270),
    [anon_sym_inline] = ACTIONS(5270),
    [anon_sym___inline] = ACTIONS(5270),
    [anon_sym___inline__] = ACTIONS(5270),
    [anon_sym___forceinline] = ACTIONS(5270),
    [anon_sym_thread_local] = ACTIONS(5270),
    [anon_sym___thread] = ACTIONS(5270),
    [anon_sym_const] = ACTIONS(5270),
    [anon_sym_constexpr] = ACTIONS(5270),
    [anon_sym_volatile] = ACTIONS(5270),
    [anon_sym_restrict] = ACTIONS(5270),
    [anon_sym___restrict__] = ACTIONS(5270),
    [anon_sym__Atomic] = ACTIONS(5270),
    [anon_sym__Noreturn] = ACTIONS(5270),
    [anon_sym_noreturn] = ACTIONS(5270),
    [anon_sym_mutable] = ACTIONS(5270),
    [anon_sym_constinit] = ACTIONS(5270),
    [anon_sym_consteval] = ACTIONS(5270),
    [sym_primitive_type] = ACTIONS(5270),
    [anon_sym_enum] = ACTIONS(5270),
    [anon_sym_class] = ACTIONS(5270),
    [anon_sym_struct] = ACTIONS(5270),
    [anon_sym_union] = ACTIONS(5270),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_asm] = ACTIONS(5270),
    [anon_sym___asm__] = ACTIONS(5270),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5270),
    [anon_sym_decltype] = ACTIONS(5270),
    [anon_sym_final] = ACTIONS(5270),
    [anon_sym_override] = ACTIONS(5270),
    [anon_sym_virtual] = ACTIONS(5270),
    [anon_sym_alignas] = ACTIONS(5270),
    [anon_sym_explicit] = ACTIONS(5270),
    [anon_sym_typename] = ACTIONS(5270),
    [anon_sym_template] = ACTIONS(5270),
    [anon_sym_GT2] = ACTIONS(5272),
    [anon_sym_operator] = ACTIONS(5270),
    [anon_sym_try] = ACTIONS(5270),
    [anon_sym_friend] = ACTIONS(5270),
    [anon_sym_using] = ACTIONS(5270),
    [anon_sym_concept] = ACTIONS(5270),
    [anon_sym_requires] = ACTIONS(5270),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5274),
    [anon_sym_COMMA] = ACTIONS(5276),
    [anon_sym_RPAREN] = ACTIONS(5276),
    [anon_sym_LPAREN2] = ACTIONS(5276),
    [anon_sym_TILDE] = ACTIONS(5276),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5276),
    [anon_sym_AMP_AMP] = ACTIONS(5276),
    [anon_sym_AMP] = ACTIONS(5274),
    [anon_sym_SEMI] = ACTIONS(5276),
    [anon_sym___extension__] = ACTIONS(5274),
    [anon_sym_extern] = ACTIONS(5274),
    [anon_sym___attribute__] = ACTIONS(5274),
    [anon_sym_COLON_COLON] = ACTIONS(5276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5276),
    [anon_sym___declspec] = ACTIONS(5274),
    [anon_sym___based] = ACTIONS(5274),
    [anon_sym___cdecl] = ACTIONS(5274),
    [anon_sym___clrcall] = ACTIONS(5274),
    [anon_sym___stdcall] = ACTIONS(5274),
    [anon_sym___fastcall] = ACTIONS(5274),
    [anon_sym___thiscall] = ACTIONS(5274),
    [anon_sym___vectorcall] = ACTIONS(5274),
    [anon_sym_LBRACE] = ACTIONS(5276),
    [anon_sym_signed] = ACTIONS(5274),
    [anon_sym_unsigned] = ACTIONS(5274),
    [anon_sym_long] = ACTIONS(5274),
    [anon_sym_short] = ACTIONS(5274),
    [anon_sym_LBRACK] = ACTIONS(5274),
    [anon_sym_EQ] = ACTIONS(5276),
    [anon_sym_static] = ACTIONS(5274),
    [anon_sym_register] = ACTIONS(5274),
    [anon_sym_inline] = ACTIONS(5274),
    [anon_sym___inline] = ACTIONS(5274),
    [anon_sym___inline__] = ACTIONS(5274),
    [anon_sym___forceinline] = ACTIONS(5274),
    [anon_sym_thread_local] = ACTIONS(5274),
    [anon_sym___thread] = ACTIONS(5274),
    [anon_sym_const] = ACTIONS(5274),
    [anon_sym_constexpr] = ACTIONS(5274),
    [anon_sym_volatile] = ACTIONS(5274),
    [anon_sym_restrict] = ACTIONS(5274),
    [anon_sym___restrict__] = ACTIONS(5274),
    [anon_sym__Atomic] = ACTIONS(5274),
    [anon_sym__Noreturn] = ACTIONS(5274),
    [anon_sym_noreturn] = ACTIONS(5274),
    [anon_sym_mutable] = ACTIONS(5274),
    [anon_sym_constinit] = ACTIONS(5274),
    [anon_sym_consteval] = ACTIONS(5274),
    [sym_primitive_type] = ACTIONS(5274),
    [anon_sym_enum] = ACTIONS(5274),
    [anon_sym_class] = ACTIONS(5274),
    [anon_sym_struct] = ACTIONS(5274),
    [anon_sym_union] = ACTIONS(5274),
    [anon_sym_or] = ACTIONS(5274),
    [anon_sym_and] = ACTIONS(5274),
    [anon_sym_asm] = ACTIONS(5274),
    [anon_sym___asm__] = ACTIONS(5274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5274),
    [anon_sym_decltype] = ACTIONS(5274),
    [anon_sym_final] = ACTIONS(5274),
    [anon_sym_override] = ACTIONS(5274),
    [anon_sym_virtual] = ACTIONS(5274),
    [anon_sym_alignas] = ACTIONS(5274),
    [anon_sym_explicit] = ACTIONS(5274),
    [anon_sym_typename] = ACTIONS(5274),
    [anon_sym_template] = ACTIONS(5274),
    [anon_sym_GT2] = ACTIONS(5276),
    [anon_sym_operator] = ACTIONS(5274),
    [anon_sym_try] = ACTIONS(5274),
    [anon_sym_friend] = ACTIONS(5274),
    [anon_sym_using] = ACTIONS(5274),
    [anon_sym_concept] = ACTIONS(5274),
    [anon_sym_requires] = ACTIONS(5274),
  },
  [2025] = {
    [sym_string_literal] = STATE(2013),
    [sym_raw_string_literal] = STATE(2013),
    [aux_sym_concatenated_string_repeat1] = STATE(2013),
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym_RBRACE] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_RBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_COLON] = ACTIONS(5280),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5282),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5284),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LPAREN2] = ACTIONS(5286),
    [anon_sym_TILDE] = ACTIONS(5286),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(5284),
    [anon_sym_extern] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5284),
    [anon_sym_COLON_COLON] = ACTIONS(5286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5286),
    [anon_sym___declspec] = ACTIONS(5284),
    [anon_sym___based] = ACTIONS(5284),
    [anon_sym___cdecl] = ACTIONS(5284),
    [anon_sym___clrcall] = ACTIONS(5284),
    [anon_sym___stdcall] = ACTIONS(5284),
    [anon_sym___fastcall] = ACTIONS(5284),
    [anon_sym___thiscall] = ACTIONS(5284),
    [anon_sym___vectorcall] = ACTIONS(5284),
    [anon_sym_LBRACE] = ACTIONS(5286),
    [anon_sym_signed] = ACTIONS(5284),
    [anon_sym_unsigned] = ACTIONS(5284),
    [anon_sym_long] = ACTIONS(5284),
    [anon_sym_short] = ACTIONS(5284),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_EQ] = ACTIONS(5286),
    [anon_sym_static] = ACTIONS(5284),
    [anon_sym_register] = ACTIONS(5284),
    [anon_sym_inline] = ACTIONS(5284),
    [anon_sym___inline] = ACTIONS(5284),
    [anon_sym___inline__] = ACTIONS(5284),
    [anon_sym___forceinline] = ACTIONS(5284),
    [anon_sym_thread_local] = ACTIONS(5284),
    [anon_sym___thread] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5284),
    [anon_sym_constexpr] = ACTIONS(5284),
    [anon_sym_volatile] = ACTIONS(5284),
    [anon_sym_restrict] = ACTIONS(5284),
    [anon_sym___restrict__] = ACTIONS(5284),
    [anon_sym__Atomic] = ACTIONS(5284),
    [anon_sym__Noreturn] = ACTIONS(5284),
    [anon_sym_noreturn] = ACTIONS(5284),
    [anon_sym_mutable] = ACTIONS(5284),
    [anon_sym_constinit] = ACTIONS(5284),
    [anon_sym_consteval] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(5284),
    [anon_sym_enum] = ACTIONS(5284),
    [anon_sym_class] = ACTIONS(5284),
    [anon_sym_struct] = ACTIONS(5284),
    [anon_sym_union] = ACTIONS(5284),
    [anon_sym_or] = ACTIONS(5284),
    [anon_sym_and] = ACTIONS(5284),
    [anon_sym_asm] = ACTIONS(5284),
    [anon_sym___asm__] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5284),
    [anon_sym_decltype] = ACTIONS(5284),
    [anon_sym_final] = ACTIONS(5284),
    [anon_sym_override] = ACTIONS(5284),
    [anon_sym_virtual] = ACTIONS(5284),
    [anon_sym_alignas] = ACTIONS(5284),
    [anon_sym_explicit] = ACTIONS(5284),
    [anon_sym_typename] = ACTIONS(5284),
    [anon_sym_template] = ACTIONS(5284),
    [anon_sym_GT2] = ACTIONS(5286),
    [anon_sym_operator] = ACTIONS(5284),
    [anon_sym_try] = ACTIONS(5284),
    [anon_sym_friend] = ACTIONS(5284),
    [anon_sym_using] = ACTIONS(5284),
    [anon_sym_concept] = ACTIONS(5284),
    [anon_sym_requires] = ACTIONS(5284),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(5288),
    [anon_sym_COMMA] = ACTIONS(5290),
    [anon_sym_RPAREN] = ACTIONS(5290),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_PIPE_PIPE] = ACTIONS(5290),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5288),
    [anon_sym_extern] = ACTIONS(5288),
    [anon_sym___attribute__] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5290),
    [anon_sym___declspec] = ACTIONS(5288),
    [anon_sym___based] = ACTIONS(5288),
    [anon_sym___cdecl] = ACTIONS(5288),
    [anon_sym___clrcall] = ACTIONS(5288),
    [anon_sym___stdcall] = ACTIONS(5288),
    [anon_sym___fastcall] = ACTIONS(5288),
    [anon_sym___thiscall] = ACTIONS(5288),
    [anon_sym___vectorcall] = ACTIONS(5288),
    [anon_sym_LBRACE] = ACTIONS(5290),
    [anon_sym_signed] = ACTIONS(5288),
    [anon_sym_unsigned] = ACTIONS(5288),
    [anon_sym_long] = ACTIONS(5288),
    [anon_sym_short] = ACTIONS(5288),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_EQ] = ACTIONS(5290),
    [anon_sym_static] = ACTIONS(5288),
    [anon_sym_register] = ACTIONS(5288),
    [anon_sym_inline] = ACTIONS(5288),
    [anon_sym___inline] = ACTIONS(5288),
    [anon_sym___inline__] = ACTIONS(5288),
    [anon_sym___forceinline] = ACTIONS(5288),
    [anon_sym_thread_local] = ACTIONS(5288),
    [anon_sym___thread] = ACTIONS(5288),
    [anon_sym_const] = ACTIONS(5288),
    [anon_sym_constexpr] = ACTIONS(5288),
    [anon_sym_volatile] = ACTIONS(5288),
    [anon_sym_restrict] = ACTIONS(5288),
    [anon_sym___restrict__] = ACTIONS(5288),
    [anon_sym__Atomic] = ACTIONS(5288),
    [anon_sym__Noreturn] = ACTIONS(5288),
    [anon_sym_noreturn] = ACTIONS(5288),
    [anon_sym_mutable] = ACTIONS(5288),
    [anon_sym_constinit] = ACTIONS(5288),
    [anon_sym_consteval] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_enum] = ACTIONS(5288),
    [anon_sym_class] = ACTIONS(5288),
    [anon_sym_struct] = ACTIONS(5288),
    [anon_sym_union] = ACTIONS(5288),
    [anon_sym_or] = ACTIONS(5288),
    [anon_sym_and] = ACTIONS(5288),
    [anon_sym_asm] = ACTIONS(5288),
    [anon_sym___asm__] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5288),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_final] = ACTIONS(5288),
    [anon_sym_override] = ACTIONS(5288),
    [anon_sym_virtual] = ACTIONS(5288),
    [anon_sym_alignas] = ACTIONS(5288),
    [anon_sym_explicit] = ACTIONS(5288),
    [anon_sym_typename] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_GT2] = ACTIONS(5290),
    [anon_sym_operator] = ACTIONS(5288),
    [anon_sym_try] = ACTIONS(5288),
    [anon_sym_friend] = ACTIONS(5288),
    [anon_sym_using] = ACTIONS(5288),
    [anon_sym_concept] = ACTIONS(5288),
    [anon_sym_requires] = ACTIONS(5288),
  },
  [2028] = {
    [sym_identifier] = ACTIONS(5292),
    [anon_sym_COMMA] = ACTIONS(5294),
    [anon_sym_RPAREN] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(5294),
    [anon_sym_TILDE] = ACTIONS(5294),
    [anon_sym_STAR] = ACTIONS(5294),
    [anon_sym_PIPE_PIPE] = ACTIONS(5294),
    [anon_sym_AMP_AMP] = ACTIONS(5294),
    [anon_sym_AMP] = ACTIONS(5292),
    [anon_sym_SEMI] = ACTIONS(5294),
    [anon_sym___extension__] = ACTIONS(5292),
    [anon_sym_extern] = ACTIONS(5292),
    [anon_sym___attribute__] = ACTIONS(5292),
    [anon_sym_COLON_COLON] = ACTIONS(5294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5294),
    [anon_sym___declspec] = ACTIONS(5292),
    [anon_sym___based] = ACTIONS(5292),
    [anon_sym___cdecl] = ACTIONS(5292),
    [anon_sym___clrcall] = ACTIONS(5292),
    [anon_sym___stdcall] = ACTIONS(5292),
    [anon_sym___fastcall] = ACTIONS(5292),
    [anon_sym___thiscall] = ACTIONS(5292),
    [anon_sym___vectorcall] = ACTIONS(5292),
    [anon_sym_LBRACE] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5292),
    [anon_sym_unsigned] = ACTIONS(5292),
    [anon_sym_long] = ACTIONS(5292),
    [anon_sym_short] = ACTIONS(5292),
    [anon_sym_LBRACK] = ACTIONS(5292),
    [anon_sym_EQ] = ACTIONS(5294),
    [anon_sym_static] = ACTIONS(5292),
    [anon_sym_register] = ACTIONS(5292),
    [anon_sym_inline] = ACTIONS(5292),
    [anon_sym___inline] = ACTIONS(5292),
    [anon_sym___inline__] = ACTIONS(5292),
    [anon_sym___forceinline] = ACTIONS(5292),
    [anon_sym_thread_local] = ACTIONS(5292),
    [anon_sym___thread] = ACTIONS(5292),
    [anon_sym_const] = ACTIONS(5292),
    [anon_sym_constexpr] = ACTIONS(5292),
    [anon_sym_volatile] = ACTIONS(5292),
    [anon_sym_restrict] = ACTIONS(5292),
    [anon_sym___restrict__] = ACTIONS(5292),
    [anon_sym__Atomic] = ACTIONS(5292),
    [anon_sym__Noreturn] = ACTIONS(5292),
    [anon_sym_noreturn] = ACTIONS(5292),
    [anon_sym_mutable] = ACTIONS(5292),
    [anon_sym_constinit] = ACTIONS(5292),
    [anon_sym_consteval] = ACTIONS(5292),
    [sym_primitive_type] = ACTIONS(5292),
    [anon_sym_enum] = ACTIONS(5292),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(5292),
    [anon_sym_union] = ACTIONS(5292),
    [anon_sym_or] = ACTIONS(5292),
    [anon_sym_and] = ACTIONS(5292),
    [anon_sym_asm] = ACTIONS(5292),
    [anon_sym___asm__] = ACTIONS(5292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5292),
    [anon_sym_decltype] = ACTIONS(5292),
    [anon_sym_final] = ACTIONS(5292),
    [anon_sym_override] = ACTIONS(5292),
    [anon_sym_virtual] = ACTIONS(5292),
    [anon_sym_alignas] = ACTIONS(5292),
    [anon_sym_explicit] = ACTIONS(5292),
    [anon_sym_typename] = ACTIONS(5292),
    [anon_sym_template] = ACTIONS(5292),
    [anon_sym_GT2] = ACTIONS(5294),
    [anon_sym_operator] = ACTIONS(5292),
    [anon_sym_try] = ACTIONS(5292),
    [anon_sym_friend] = ACTIONS(5292),
    [anon_sym_using] = ACTIONS(5292),
    [anon_sym_concept] = ACTIONS(5292),
    [anon_sym_requires] = ACTIONS(5292),
  },
  [2029] = {
    [sym_string_literal] = STATE(2029),
    [sym_raw_string_literal] = STATE(2029),
    [aux_sym_concatenated_string_repeat1] = STATE(2029),
    [sym_identifier] = ACTIONS(5296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5301),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_RBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_COLON] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5303),
    [anon_sym_u_DQUOTE] = ACTIONS(5303),
    [anon_sym_U_DQUOTE] = ACTIONS(5303),
    [anon_sym_u8_DQUOTE] = ACTIONS(5303),
    [anon_sym_DQUOTE] = ACTIONS(5303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5306),
    [anon_sym_LR_DQUOTE] = ACTIONS(5306),
    [anon_sym_uR_DQUOTE] = ACTIONS(5306),
    [anon_sym_UR_DQUOTE] = ACTIONS(5306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5306),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_TILDE] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5309),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym___extension__] = ACTIONS(5309),
    [anon_sym_extern] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5309),
    [anon_sym_COLON_COLON] = ACTIONS(5311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5311),
    [anon_sym___declspec] = ACTIONS(5309),
    [anon_sym___based] = ACTIONS(5309),
    [anon_sym___cdecl] = ACTIONS(5309),
    [anon_sym___clrcall] = ACTIONS(5309),
    [anon_sym___stdcall] = ACTIONS(5309),
    [anon_sym___fastcall] = ACTIONS(5309),
    [anon_sym___thiscall] = ACTIONS(5309),
    [anon_sym___vectorcall] = ACTIONS(5309),
    [anon_sym_LBRACE] = ACTIONS(5311),
    [anon_sym_signed] = ACTIONS(5309),
    [anon_sym_unsigned] = ACTIONS(5309),
    [anon_sym_long] = ACTIONS(5309),
    [anon_sym_short] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_static] = ACTIONS(5309),
    [anon_sym_register] = ACTIONS(5309),
    [anon_sym_inline] = ACTIONS(5309),
    [anon_sym___inline] = ACTIONS(5309),
    [anon_sym___inline__] = ACTIONS(5309),
    [anon_sym___forceinline] = ACTIONS(5309),
    [anon_sym_thread_local] = ACTIONS(5309),
    [anon_sym___thread] = ACTIONS(5309),
    [anon_sym_const] = ACTIONS(5309),
    [anon_sym_constexpr] = ACTIONS(5309),
    [anon_sym_volatile] = ACTIONS(5309),
    [anon_sym_restrict] = ACTIONS(5309),
    [anon_sym___restrict__] = ACTIONS(5309),
    [anon_sym__Atomic] = ACTIONS(5309),
    [anon_sym__Noreturn] = ACTIONS(5309),
    [anon_sym_noreturn] = ACTIONS(5309),
    [anon_sym_mutable] = ACTIONS(5309),
    [anon_sym_constinit] = ACTIONS(5309),
    [anon_sym_consteval] = ACTIONS(5309),
    [sym_primitive_type] = ACTIONS(5309),
    [anon_sym_enum] = ACTIONS(5309),
    [anon_sym_class] = ACTIONS(5309),
    [anon_sym_struct] = ACTIONS(5309),
    [anon_sym_union] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5309),
    [anon_sym_and] = ACTIONS(5309),
    [anon_sym_asm] = ACTIONS(5309),
    [anon_sym___asm__] = ACTIONS(5309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5309),
    [anon_sym_decltype] = ACTIONS(5309),
    [anon_sym_final] = ACTIONS(5309),
    [anon_sym_override] = ACTIONS(5309),
    [anon_sym_virtual] = ACTIONS(5309),
    [anon_sym_alignas] = ACTIONS(5309),
    [anon_sym_explicit] = ACTIONS(5309),
    [anon_sym_typename] = ACTIONS(5309),
    [anon_sym_template] = ACTIONS(5309),
    [anon_sym_GT2] = ACTIONS(5311),
    [anon_sym_operator] = ACTIONS(5309),
    [anon_sym_try] = ACTIONS(5309),
    [anon_sym_friend] = ACTIONS(5309),
    [anon_sym_using] = ACTIONS(5309),
    [anon_sym_concept] = ACTIONS(5309),
    [anon_sym_requires] = ACTIONS(5309),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5315),
    [anon_sym_TILDE] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym_extern] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(5315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5315),
    [anon_sym___declspec] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5313),
    [anon_sym___cdecl] = ACTIONS(5313),
    [anon_sym___clrcall] = ACTIONS(5313),
    [anon_sym___stdcall] = ACTIONS(5313),
    [anon_sym___fastcall] = ACTIONS(5313),
    [anon_sym___thiscall] = ACTIONS(5313),
    [anon_sym___vectorcall] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5313),
    [anon_sym_unsigned] = ACTIONS(5313),
    [anon_sym_long] = ACTIONS(5313),
    [anon_sym_short] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5313),
    [anon_sym_inline] = ACTIONS(5313),
    [anon_sym___inline] = ACTIONS(5313),
    [anon_sym___inline__] = ACTIONS(5313),
    [anon_sym___forceinline] = ACTIONS(5313),
    [anon_sym_thread_local] = ACTIONS(5313),
    [anon_sym___thread] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5313),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [sym_primitive_type] = ACTIONS(5313),
    [anon_sym_enum] = ACTIONS(5313),
    [anon_sym_class] = ACTIONS(5313),
    [anon_sym_struct] = ACTIONS(5313),
    [anon_sym_union] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_asm] = ACTIONS(5313),
    [anon_sym___asm__] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_final] = ACTIONS(5313),
    [anon_sym_override] = ACTIONS(5313),
    [anon_sym_virtual] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym_explicit] = ACTIONS(5313),
    [anon_sym_typename] = ACTIONS(5313),
    [anon_sym_template] = ACTIONS(5313),
    [anon_sym_GT2] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5313),
    [anon_sym_try] = ACTIONS(5313),
    [anon_sym_friend] = ACTIONS(5313),
    [anon_sym_using] = ACTIONS(5313),
    [anon_sym_concept] = ACTIONS(5313),
    [anon_sym_requires] = ACTIONS(5313),
  },
  [2032] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4718),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8331),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_type_parameter_declaration] = STATE(8331),
    [sym_variadic_type_parameter_declaration] = STATE(8331),
    [sym_optional_type_parameter_declaration] = STATE(8331),
    [sym_template_template_parameter_declaration] = STATE(8331),
    [sym_optional_parameter_declaration] = STATE(8331),
    [sym_variadic_parameter_declaration] = STATE(8331),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5244),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5246),
    [anon_sym_template] = ACTIONS(5248),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5317),
    [anon_sym_LPAREN2] = ACTIONS(5319),
    [anon_sym_BANG] = ACTIONS(5319),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5319),
    [anon_sym_SEMI] = ACTIONS(5319),
    [anon_sym_COLON_COLON] = ACTIONS(5319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5319),
    [anon_sym_LBRACE] = ACTIONS(5319),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [sym_primitive_type] = ACTIONS(5317),
    [anon_sym_if] = ACTIONS(5317),
    [anon_sym_switch] = ACTIONS(5317),
    [anon_sym_case] = ACTIONS(5317),
    [anon_sym_default] = ACTIONS(5317),
    [anon_sym_while] = ACTIONS(5317),
    [anon_sym_do] = ACTIONS(5317),
    [anon_sym_for] = ACTIONS(5317),
    [anon_sym_return] = ACTIONS(5317),
    [anon_sym_break] = ACTIONS(5317),
    [anon_sym_continue] = ACTIONS(5317),
    [anon_sym_goto] = ACTIONS(5317),
    [anon_sym___try] = ACTIONS(5317),
    [anon_sym___leave] = ACTIONS(5317),
    [anon_sym_not] = ACTIONS(5317),
    [anon_sym_compl] = ACTIONS(5317),
    [anon_sym_DASH_DASH] = ACTIONS(5319),
    [anon_sym_PLUS_PLUS] = ACTIONS(5319),
    [anon_sym_sizeof] = ACTIONS(5317),
    [anon_sym___alignof__] = ACTIONS(5317),
    [anon_sym___alignof] = ACTIONS(5317),
    [anon_sym__alignof] = ACTIONS(5317),
    [anon_sym_alignof] = ACTIONS(5317),
    [anon_sym__Alignof] = ACTIONS(5317),
    [anon_sym_offsetof] = ACTIONS(5317),
    [anon_sym__Generic] = ACTIONS(5317),
    [anon_sym_asm] = ACTIONS(5317),
    [anon_sym___asm__] = ACTIONS(5317),
    [sym_number_literal] = ACTIONS(5319),
    [anon_sym_L_SQUOTE] = ACTIONS(5319),
    [anon_sym_u_SQUOTE] = ACTIONS(5319),
    [anon_sym_U_SQUOTE] = ACTIONS(5319),
    [anon_sym_u8_SQUOTE] = ACTIONS(5319),
    [anon_sym_SQUOTE] = ACTIONS(5319),
    [anon_sym_L_DQUOTE] = ACTIONS(5319),
    [anon_sym_u_DQUOTE] = ACTIONS(5319),
    [anon_sym_U_DQUOTE] = ACTIONS(5319),
    [anon_sym_u8_DQUOTE] = ACTIONS(5319),
    [anon_sym_DQUOTE] = ACTIONS(5319),
    [sym_true] = ACTIONS(5317),
    [sym_false] = ACTIONS(5317),
    [anon_sym_NULL] = ACTIONS(5317),
    [anon_sym_nullptr] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_template] = ACTIONS(5317),
    [anon_sym_try] = ACTIONS(5317),
    [anon_sym_delete] = ACTIONS(5317),
    [anon_sym_throw] = ACTIONS(5317),
    [anon_sym_co_return] = ACTIONS(5317),
    [anon_sym_co_yield] = ACTIONS(5317),
    [anon_sym_R_DQUOTE] = ACTIONS(5319),
    [anon_sym_LR_DQUOTE] = ACTIONS(5319),
    [anon_sym_uR_DQUOTE] = ACTIONS(5319),
    [anon_sym_UR_DQUOTE] = ACTIONS(5319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5319),
    [anon_sym_co_await] = ACTIONS(5317),
    [anon_sym_new] = ACTIONS(5317),
    [anon_sym_requires] = ACTIONS(5317),
    [sym_this] = ACTIONS(5317),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym_SEMI] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5117),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5117),
    [anon_sym_COMMA] = ACTIONS(5117),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5120),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5122),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5122),
    [anon_sym_not_eq] = ACTIONS(5122),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5321),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_BANG] = ACTIONS(5323),
    [anon_sym_TILDE] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5321),
    [anon_sym_PLUS] = ACTIONS(5321),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5323),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_COLON_COLON] = ACTIONS(5323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [sym_primitive_type] = ACTIONS(5321),
    [anon_sym_if] = ACTIONS(5321),
    [anon_sym_switch] = ACTIONS(5321),
    [anon_sym_case] = ACTIONS(5321),
    [anon_sym_default] = ACTIONS(5321),
    [anon_sym_while] = ACTIONS(5321),
    [anon_sym_do] = ACTIONS(5321),
    [anon_sym_for] = ACTIONS(5321),
    [anon_sym_return] = ACTIONS(5321),
    [anon_sym_break] = ACTIONS(5321),
    [anon_sym_continue] = ACTIONS(5321),
    [anon_sym_goto] = ACTIONS(5321),
    [anon_sym___try] = ACTIONS(5321),
    [anon_sym___leave] = ACTIONS(5321),
    [anon_sym_not] = ACTIONS(5321),
    [anon_sym_compl] = ACTIONS(5321),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_sizeof] = ACTIONS(5321),
    [anon_sym___alignof__] = ACTIONS(5321),
    [anon_sym___alignof] = ACTIONS(5321),
    [anon_sym__alignof] = ACTIONS(5321),
    [anon_sym_alignof] = ACTIONS(5321),
    [anon_sym__Alignof] = ACTIONS(5321),
    [anon_sym_offsetof] = ACTIONS(5321),
    [anon_sym__Generic] = ACTIONS(5321),
    [anon_sym_asm] = ACTIONS(5321),
    [anon_sym___asm__] = ACTIONS(5321),
    [sym_number_literal] = ACTIONS(5323),
    [anon_sym_L_SQUOTE] = ACTIONS(5323),
    [anon_sym_u_SQUOTE] = ACTIONS(5323),
    [anon_sym_U_SQUOTE] = ACTIONS(5323),
    [anon_sym_u8_SQUOTE] = ACTIONS(5323),
    [anon_sym_SQUOTE] = ACTIONS(5323),
    [anon_sym_L_DQUOTE] = ACTIONS(5323),
    [anon_sym_u_DQUOTE] = ACTIONS(5323),
    [anon_sym_U_DQUOTE] = ACTIONS(5323),
    [anon_sym_u8_DQUOTE] = ACTIONS(5323),
    [anon_sym_DQUOTE] = ACTIONS(5323),
    [sym_true] = ACTIONS(5321),
    [sym_false] = ACTIONS(5321),
    [anon_sym_NULL] = ACTIONS(5321),
    [anon_sym_nullptr] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5321),
    [anon_sym_template] = ACTIONS(5321),
    [anon_sym_try] = ACTIONS(5321),
    [anon_sym_delete] = ACTIONS(5321),
    [anon_sym_throw] = ACTIONS(5321),
    [anon_sym_co_return] = ACTIONS(5321),
    [anon_sym_co_yield] = ACTIONS(5321),
    [anon_sym_R_DQUOTE] = ACTIONS(5323),
    [anon_sym_LR_DQUOTE] = ACTIONS(5323),
    [anon_sym_uR_DQUOTE] = ACTIONS(5323),
    [anon_sym_UR_DQUOTE] = ACTIONS(5323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5323),
    [anon_sym_co_await] = ACTIONS(5321),
    [anon_sym_new] = ACTIONS(5321),
    [anon_sym_requires] = ACTIONS(5321),
    [sym_this] = ACTIONS(5321),
  },
  [2038] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8111),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8111),
    [sym_variadic_parameter_declaration] = STATE(8111),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2039] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(7873),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(7873),
    [sym_variadic_parameter_declaration] = STATE(7873),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2040] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5088),
    [anon_sym___attribute__] = ACTIONS(5088),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5088),
    [anon_sym_volatile] = ACTIONS(5088),
    [anon_sym_restrict] = ACTIONS(5088),
    [anon_sym___restrict__] = ACTIONS(5088),
    [anon_sym__Atomic] = ACTIONS(5088),
    [anon_sym__Noreturn] = ACTIONS(5088),
    [anon_sym_noreturn] = ACTIONS(5088),
    [anon_sym_mutable] = ACTIONS(5088),
    [anon_sym_constinit] = ACTIONS(5088),
    [anon_sym_consteval] = ACTIONS(5088),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5088),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5088),
    [anon_sym_or_eq] = ACTIONS(5088),
    [anon_sym_xor_eq] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5088),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5088),
    [anon_sym_not_eq] = ACTIONS(5088),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(5088),
    [anon_sym_final] = ACTIONS(5088),
    [anon_sym_override] = ACTIONS(5088),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5088),
  },
  [2041] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5100),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_and_eq] = ACTIONS(5100),
    [anon_sym_or_eq] = ACTIONS(5100),
    [anon_sym_xor_eq] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5100),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5100),
    [anon_sym_not_eq] = ACTIONS(5100),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [anon_sym_final] = ACTIONS(5100),
    [anon_sym_override] = ACTIONS(5100),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5100),
  },
  [2042] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(7776),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(7776),
    [sym_variadic_parameter_declaration] = STATE(7776),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5329),
    [anon_sym_RPAREN] = ACTIONS(5331),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2043] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8145),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8145),
    [sym_variadic_parameter_declaration] = STATE(8145),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5333),
    [anon_sym_RPAREN] = ACTIONS(5335),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2044] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym___extension__] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5073),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_restrict] = ACTIONS(5073),
    [anon_sym___restrict__] = ACTIONS(5073),
    [anon_sym__Atomic] = ACTIONS(5073),
    [anon_sym__Noreturn] = ACTIONS(5073),
    [anon_sym_noreturn] = ACTIONS(5073),
    [anon_sym_mutable] = ACTIONS(5073),
    [anon_sym_constinit] = ACTIONS(5073),
    [anon_sym_consteval] = ACTIONS(5073),
    [anon_sym_COLON] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5073),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_and_eq] = ACTIONS(5073),
    [anon_sym_or_eq] = ACTIONS(5073),
    [anon_sym_xor_eq] = ACTIONS(5073),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5073),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5073),
    [anon_sym_not_eq] = ACTIONS(5073),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5071),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5073),
    [anon_sym_decltype] = ACTIONS(5073),
    [anon_sym_final] = ACTIONS(5073),
    [anon_sym_override] = ACTIONS(5073),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5073),
  },
  [2045] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(7969),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(7969),
    [sym_variadic_parameter_declaration] = STATE(7969),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5339),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2046] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___extension__] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5341),
    [anon_sym_constexpr] = ACTIONS(5341),
    [anon_sym_volatile] = ACTIONS(5341),
    [anon_sym_restrict] = ACTIONS(5341),
    [anon_sym___restrict__] = ACTIONS(5341),
    [anon_sym__Atomic] = ACTIONS(5341),
    [anon_sym__Noreturn] = ACTIONS(5341),
    [anon_sym_noreturn] = ACTIONS(5341),
    [anon_sym_mutable] = ACTIONS(5341),
    [anon_sym_constinit] = ACTIONS(5341),
    [anon_sym_consteval] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
    [anon_sym_final] = ACTIONS(5341),
    [anon_sym_override] = ACTIONS(5341),
    [anon_sym_requires] = ACTIONS(5341),
  },
  [2047] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5084),
    [anon_sym_or_eq] = ACTIONS(5084),
    [anon_sym_xor_eq] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5082),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5084),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(5348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [aux_sym_preproc_if_token2] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5350),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_SLASH] = ACTIONS(5348),
    [anon_sym_PERCENT] = ACTIONS(5348),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5348),
    [anon_sym_CARET] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT] = ACTIONS(5348),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(5348),
    [anon_sym_LT_LT] = ACTIONS(5348),
    [anon_sym_GT_GT] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_EQ] = ACTIONS(5348),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5350),
    [anon_sym_STAR_EQ] = ACTIONS(5350),
    [anon_sym_SLASH_EQ] = ACTIONS(5350),
    [anon_sym_PERCENT_EQ] = ACTIONS(5350),
    [anon_sym_PLUS_EQ] = ACTIONS(5350),
    [anon_sym_DASH_EQ] = ACTIONS(5350),
    [anon_sym_LT_LT_EQ] = ACTIONS(5350),
    [anon_sym_GT_GT_EQ] = ACTIONS(5350),
    [anon_sym_AMP_EQ] = ACTIONS(5350),
    [anon_sym_CARET_EQ] = ACTIONS(5350),
    [anon_sym_PIPE_EQ] = ACTIONS(5350),
    [anon_sym_and_eq] = ACTIONS(5348),
    [anon_sym_or_eq] = ACTIONS(5348),
    [anon_sym_xor_eq] = ACTIONS(5348),
    [anon_sym_LT_EQ_GT] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5348),
    [anon_sym_and] = ACTIONS(5348),
    [anon_sym_bitor] = ACTIONS(5348),
    [anon_sym_xor] = ACTIONS(5348),
    [anon_sym_bitand] = ACTIONS(5348),
    [anon_sym_not_eq] = ACTIONS(5348),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_DOT_STAR] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_L_DQUOTE] = ACTIONS(5350),
    [anon_sym_u_DQUOTE] = ACTIONS(5350),
    [anon_sym_U_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8_DQUOTE] = ACTIONS(5350),
    [anon_sym_DQUOTE] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5350),
    [anon_sym_LR_DQUOTE] = ACTIONS(5350),
    [anon_sym_uR_DQUOTE] = ACTIONS(5350),
    [anon_sym_UR_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5350),
    [sym_literal_suffix] = ACTIONS(5348),
  },
  [2049] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5092),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_and_eq] = ACTIONS(5092),
    [anon_sym_or_eq] = ACTIONS(5092),
    [anon_sym_xor_eq] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5092),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5092),
    [anon_sym_not_eq] = ACTIONS(5092),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [anon_sym_final] = ACTIONS(5092),
    [anon_sym_override] = ACTIONS(5092),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5092),
  },
  [2050] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5077),
    [anon_sym_or_eq] = ACTIONS(5077),
    [anon_sym_xor_eq] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5077),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5077),
    [anon_sym_not_eq] = ACTIONS(5077),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [anon_sym_final] = ACTIONS(5077),
    [anon_sym_override] = ACTIONS(5077),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [2051] = {
    [sym_identifier] = ACTIONS(5352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5354),
    [anon_sym_RPAREN] = ACTIONS(5354),
    [aux_sym_preproc_if_token2] = ACTIONS(5354),
    [aux_sym_preproc_else_token1] = ACTIONS(5354),
    [aux_sym_preproc_elif_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_GT_EQ] = ACTIONS(5354),
    [anon_sym_LT_EQ] = ACTIONS(5352),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym_RBRACE] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_RBRACK] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5354),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_STAR_EQ] = ACTIONS(5354),
    [anon_sym_SLASH_EQ] = ACTIONS(5354),
    [anon_sym_PERCENT_EQ] = ACTIONS(5354),
    [anon_sym_PLUS_EQ] = ACTIONS(5354),
    [anon_sym_DASH_EQ] = ACTIONS(5354),
    [anon_sym_LT_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT_GT_EQ] = ACTIONS(5354),
    [anon_sym_AMP_EQ] = ACTIONS(5354),
    [anon_sym_CARET_EQ] = ACTIONS(5354),
    [anon_sym_PIPE_EQ] = ACTIONS(5354),
    [anon_sym_and_eq] = ACTIONS(5352),
    [anon_sym_or_eq] = ACTIONS(5352),
    [anon_sym_xor_eq] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5354),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_bitor] = ACTIONS(5352),
    [anon_sym_xor] = ACTIONS(5352),
    [anon_sym_bitand] = ACTIONS(5352),
    [anon_sym_not_eq] = ACTIONS(5352),
    [anon_sym_DASH_DASH] = ACTIONS(5354),
    [anon_sym_PLUS_PLUS] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_DOT_STAR] = ACTIONS(5354),
    [anon_sym_DASH_GT] = ACTIONS(5354),
    [anon_sym_L_DQUOTE] = ACTIONS(5354),
    [anon_sym_u_DQUOTE] = ACTIONS(5354),
    [anon_sym_U_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8_DQUOTE] = ACTIONS(5354),
    [anon_sym_DQUOTE] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5354),
    [anon_sym_LR_DQUOTE] = ACTIONS(5354),
    [anon_sym_uR_DQUOTE] = ACTIONS(5354),
    [anon_sym_UR_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5354),
    [sym_literal_suffix] = ACTIONS(5352),
  },
  [2052] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5096),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_and_eq] = ACTIONS(5096),
    [anon_sym_or_eq] = ACTIONS(5096),
    [anon_sym_xor_eq] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5096),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_COMMA] = ACTIONS(5358),
    [anon_sym_RPAREN] = ACTIONS(5358),
    [aux_sym_preproc_if_token2] = ACTIONS(5358),
    [aux_sym_preproc_else_token1] = ACTIONS(5358),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5358),
    [anon_sym_BANG_EQ] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5358),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym_RBRACE] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_RBRACK] = ACTIONS(5358),
    [anon_sym_EQ] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_STAR_EQ] = ACTIONS(5358),
    [anon_sym_SLASH_EQ] = ACTIONS(5358),
    [anon_sym_PERCENT_EQ] = ACTIONS(5358),
    [anon_sym_PLUS_EQ] = ACTIONS(5358),
    [anon_sym_DASH_EQ] = ACTIONS(5358),
    [anon_sym_LT_LT_EQ] = ACTIONS(5358),
    [anon_sym_GT_GT_EQ] = ACTIONS(5358),
    [anon_sym_AMP_EQ] = ACTIONS(5358),
    [anon_sym_CARET_EQ] = ACTIONS(5358),
    [anon_sym_PIPE_EQ] = ACTIONS(5358),
    [anon_sym_and_eq] = ACTIONS(5356),
    [anon_sym_or_eq] = ACTIONS(5356),
    [anon_sym_xor_eq] = ACTIONS(5356),
    [anon_sym_LT_EQ_GT] = ACTIONS(5358),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_bitor] = ACTIONS(5356),
    [anon_sym_xor] = ACTIONS(5356),
    [anon_sym_bitand] = ACTIONS(5356),
    [anon_sym_not_eq] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5358),
    [anon_sym_DASH_GT] = ACTIONS(5358),
    [anon_sym_L_DQUOTE] = ACTIONS(5358),
    [anon_sym_u_DQUOTE] = ACTIONS(5358),
    [anon_sym_U_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8_DQUOTE] = ACTIONS(5358),
    [anon_sym_DQUOTE] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5358),
    [anon_sym_LR_DQUOTE] = ACTIONS(5358),
    [anon_sym_uR_DQUOTE] = ACTIONS(5358),
    [anon_sym_UR_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5358),
    [sym_literal_suffix] = ACTIONS(5356),
  },
  [2054] = {
    [sym_identifier] = ACTIONS(5360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_RPAREN] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_SLASH] = ACTIONS(5360),
    [anon_sym_PERCENT] = ACTIONS(5360),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5360),
    [anon_sym_CARET] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT] = ACTIONS(5360),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5360),
    [anon_sym_LT] = ACTIONS(5360),
    [anon_sym_LT_LT] = ACTIONS(5360),
    [anon_sym_GT_GT] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5362),
    [anon_sym_EQ] = ACTIONS(5360),
    [anon_sym_COLON] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5362),
    [anon_sym_STAR_EQ] = ACTIONS(5362),
    [anon_sym_SLASH_EQ] = ACTIONS(5362),
    [anon_sym_PERCENT_EQ] = ACTIONS(5362),
    [anon_sym_PLUS_EQ] = ACTIONS(5362),
    [anon_sym_DASH_EQ] = ACTIONS(5362),
    [anon_sym_LT_LT_EQ] = ACTIONS(5362),
    [anon_sym_GT_GT_EQ] = ACTIONS(5362),
    [anon_sym_AMP_EQ] = ACTIONS(5362),
    [anon_sym_CARET_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_and_eq] = ACTIONS(5360),
    [anon_sym_or_eq] = ACTIONS(5360),
    [anon_sym_xor_eq] = ACTIONS(5360),
    [anon_sym_LT_EQ_GT] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5360),
    [anon_sym_and] = ACTIONS(5360),
    [anon_sym_bitor] = ACTIONS(5360),
    [anon_sym_xor] = ACTIONS(5360),
    [anon_sym_bitand] = ACTIONS(5360),
    [anon_sym_not_eq] = ACTIONS(5360),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_DOT_STAR] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_L_DQUOTE] = ACTIONS(5362),
    [anon_sym_u_DQUOTE] = ACTIONS(5362),
    [anon_sym_U_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8_DQUOTE] = ACTIONS(5362),
    [anon_sym_DQUOTE] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5362),
    [anon_sym_LR_DQUOTE] = ACTIONS(5362),
    [anon_sym_uR_DQUOTE] = ACTIONS(5362),
    [anon_sym_UR_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5362),
    [sym_literal_suffix] = ACTIONS(5360),
  },
  [2055] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5071),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym___extension__] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5073),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_restrict] = ACTIONS(5073),
    [anon_sym___restrict__] = ACTIONS(5073),
    [anon_sym__Atomic] = ACTIONS(5073),
    [anon_sym__Noreturn] = ACTIONS(5073),
    [anon_sym_noreturn] = ACTIONS(5073),
    [anon_sym_mutable] = ACTIONS(5073),
    [anon_sym_constinit] = ACTIONS(5073),
    [anon_sym_consteval] = ACTIONS(5073),
    [anon_sym_COLON] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5071),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_and_eq] = ACTIONS(5073),
    [anon_sym_or_eq] = ACTIONS(5073),
    [anon_sym_xor_eq] = ACTIONS(5073),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5073),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5073),
    [anon_sym_not_eq] = ACTIONS(5073),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5073),
    [anon_sym_decltype] = ACTIONS(5073),
    [anon_sym_final] = ACTIONS(5073),
    [anon_sym_override] = ACTIONS(5073),
    [anon_sym_GT2] = ACTIONS(5073),
  },
  [2056] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2056),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [anon_sym_RPAREN] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym_SEMI] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_RBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_RBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
  },
  [2057] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5090),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5092),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5092),
    [anon_sym_volatile] = ACTIONS(5092),
    [anon_sym_restrict] = ACTIONS(5092),
    [anon_sym___restrict__] = ACTIONS(5092),
    [anon_sym__Atomic] = ACTIONS(5092),
    [anon_sym__Noreturn] = ACTIONS(5092),
    [anon_sym_noreturn] = ACTIONS(5092),
    [anon_sym_mutable] = ACTIONS(5092),
    [anon_sym_constinit] = ACTIONS(5092),
    [anon_sym_consteval] = ACTIONS(5092),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5090),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_and_eq] = ACTIONS(5092),
    [anon_sym_or_eq] = ACTIONS(5092),
    [anon_sym_xor_eq] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5092),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5092),
    [anon_sym_not_eq] = ACTIONS(5092),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5092),
    [anon_sym_decltype] = ACTIONS(5092),
    [anon_sym_final] = ACTIONS(5092),
    [anon_sym_override] = ACTIONS(5092),
    [anon_sym_GT2] = ACTIONS(5092),
  },
  [2058] = {
    [sym_catch_clause] = STATE(2063),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(5367),
  },
  [2059] = {
    [sym_catch_clause] = STATE(2063),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_friend] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(5367),
  },
  [2060] = {
    [sym_catch_clause] = STATE(2063),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(5367),
  },
  [2061] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5098),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5100),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_mutable] = ACTIONS(5100),
    [anon_sym_constinit] = ACTIONS(5100),
    [anon_sym_consteval] = ACTIONS(5100),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5098),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_and_eq] = ACTIONS(5100),
    [anon_sym_or_eq] = ACTIONS(5100),
    [anon_sym_xor_eq] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5100),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5100),
    [anon_sym_not_eq] = ACTIONS(5100),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5100),
    [anon_sym_decltype] = ACTIONS(5100),
    [anon_sym_final] = ACTIONS(5100),
    [anon_sym_override] = ACTIONS(5100),
    [anon_sym_GT2] = ACTIONS(5100),
  },
  [2062] = {
    [sym_attribute_specifier] = STATE(2504),
    [sym_field_declaration_list] = STATE(2424),
    [sym_virtual_specifier] = STATE(7540),
    [sym_base_class_clause] = STATE(8528),
    [sym_identifier] = ACTIONS(5369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5371),
    [anon_sym_COMMA] = ACTIONS(5371),
    [anon_sym_RPAREN] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_else_token1] = ACTIONS(5371),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_DASH] = ACTIONS(5369),
    [anon_sym_PLUS] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_SLASH] = ACTIONS(5369),
    [anon_sym_PERCENT] = ACTIONS(5369),
    [anon_sym_PIPE_PIPE] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_PIPE] = ACTIONS(5369),
    [anon_sym_CARET] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_GT] = ACTIONS(5369),
    [anon_sym_GT_EQ] = ACTIONS(5371),
    [anon_sym_LT_EQ] = ACTIONS(5369),
    [anon_sym_LT] = ACTIONS(5369),
    [anon_sym_LT_LT] = ACTIONS(5369),
    [anon_sym_GT_GT] = ACTIONS(5369),
    [anon_sym_SEMI] = ACTIONS(5371),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5375),
    [anon_sym_RBRACE] = ACTIONS(5371),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_RBRACK] = ACTIONS(5371),
    [anon_sym_EQ] = ACTIONS(5369),
    [anon_sym_COLON] = ACTIONS(5377),
    [anon_sym_QMARK] = ACTIONS(5371),
    [anon_sym_STAR_EQ] = ACTIONS(5371),
    [anon_sym_SLASH_EQ] = ACTIONS(5371),
    [anon_sym_PERCENT_EQ] = ACTIONS(5371),
    [anon_sym_PLUS_EQ] = ACTIONS(5371),
    [anon_sym_DASH_EQ] = ACTIONS(5371),
    [anon_sym_LT_LT_EQ] = ACTIONS(5371),
    [anon_sym_GT_GT_EQ] = ACTIONS(5371),
    [anon_sym_AMP_EQ] = ACTIONS(5371),
    [anon_sym_CARET_EQ] = ACTIONS(5371),
    [anon_sym_PIPE_EQ] = ACTIONS(5371),
    [anon_sym_and_eq] = ACTIONS(5369),
    [anon_sym_or_eq] = ACTIONS(5369),
    [anon_sym_xor_eq] = ACTIONS(5369),
    [anon_sym_LT_EQ_GT] = ACTIONS(5371),
    [anon_sym_or] = ACTIONS(5369),
    [anon_sym_and] = ACTIONS(5369),
    [anon_sym_bitor] = ACTIONS(5369),
    [anon_sym_xor] = ACTIONS(5369),
    [anon_sym_bitand] = ACTIONS(5369),
    [anon_sym_not_eq] = ACTIONS(5369),
    [anon_sym_DASH_DASH] = ACTIONS(5371),
    [anon_sym_PLUS_PLUS] = ACTIONS(5371),
    [anon_sym_DOT] = ACTIONS(5369),
    [anon_sym_DOT_STAR] = ACTIONS(5371),
    [anon_sym_DASH_GT] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_final] = ACTIONS(5379),
    [anon_sym_override] = ACTIONS(5379),
  },
  [2063] = {
    [sym_catch_clause] = STATE(2063),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5381),
  },
  [2064] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(5387),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5389),
    [anon_sym_SLASH_EQ] = ACTIONS(5389),
    [anon_sym_PERCENT_EQ] = ACTIONS(5389),
    [anon_sym_PLUS_EQ] = ACTIONS(5389),
    [anon_sym_DASH_EQ] = ACTIONS(5389),
    [anon_sym_LT_LT_EQ] = ACTIONS(5389),
    [anon_sym_GT_GT_EQ] = ACTIONS(5389),
    [anon_sym_AMP_EQ] = ACTIONS(5389),
    [anon_sym_CARET_EQ] = ACTIONS(5389),
    [anon_sym_PIPE_EQ] = ACTIONS(5389),
    [anon_sym_and_eq] = ACTIONS(5387),
    [anon_sym_or_eq] = ACTIONS(5387),
    [anon_sym_xor_eq] = ACTIONS(5387),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2065] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5094),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5096),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5096),
    [anon_sym_volatile] = ACTIONS(5096),
    [anon_sym_restrict] = ACTIONS(5096),
    [anon_sym___restrict__] = ACTIONS(5096),
    [anon_sym__Atomic] = ACTIONS(5096),
    [anon_sym__Noreturn] = ACTIONS(5096),
    [anon_sym_noreturn] = ACTIONS(5096),
    [anon_sym_mutable] = ACTIONS(5096),
    [anon_sym_constinit] = ACTIONS(5096),
    [anon_sym_consteval] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5094),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_and_eq] = ACTIONS(5096),
    [anon_sym_or_eq] = ACTIONS(5096),
    [anon_sym_xor_eq] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5096),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5096),
    [anon_sym_not_eq] = ACTIONS(5096),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5096),
    [anon_sym_decltype] = ACTIONS(5096),
    [anon_sym_final] = ACTIONS(5096),
    [anon_sym_override] = ACTIONS(5096),
    [anon_sym_GT2] = ACTIONS(5096),
  },
  [2066] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8351),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8351),
    [sym_variadic_parameter_declaration] = STATE(8351),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5391),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2067] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5088),
    [anon_sym___attribute__] = ACTIONS(5088),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5088),
    [anon_sym_volatile] = ACTIONS(5088),
    [anon_sym_restrict] = ACTIONS(5088),
    [anon_sym___restrict__] = ACTIONS(5088),
    [anon_sym__Atomic] = ACTIONS(5088),
    [anon_sym__Noreturn] = ACTIONS(5088),
    [anon_sym_noreturn] = ACTIONS(5088),
    [anon_sym_mutable] = ACTIONS(5088),
    [anon_sym_constinit] = ACTIONS(5088),
    [anon_sym_consteval] = ACTIONS(5088),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5088),
    [anon_sym_or_eq] = ACTIONS(5088),
    [anon_sym_xor_eq] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5088),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5088),
    [anon_sym_not_eq] = ACTIONS(5088),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5088),
    [anon_sym_decltype] = ACTIONS(5088),
    [anon_sym_final] = ACTIONS(5088),
    [anon_sym_override] = ACTIONS(5088),
    [anon_sym_GT2] = ACTIONS(5088),
  },
  [2068] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5082),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5082),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5084),
    [anon_sym_or_eq] = ACTIONS(5084),
    [anon_sym_xor_eq] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
    [anon_sym_GT2] = ACTIONS(5084),
  },
  [2069] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5075),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5075),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5077),
    [anon_sym_or_eq] = ACTIONS(5077),
    [anon_sym_xor_eq] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5077),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5077),
    [anon_sym_not_eq] = ACTIONS(5077),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [anon_sym_final] = ACTIONS(5077),
    [anon_sym_override] = ACTIONS(5077),
    [anon_sym_GT2] = ACTIONS(5077),
  },
  [2070] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8087),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8087),
    [sym_variadic_parameter_declaration] = STATE(8087),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2071] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6919),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7312),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7312),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2073] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6876),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7318),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7318),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2074] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6972),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7318),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7318),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2075] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(7005),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7341),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7341),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2076] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6959),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7340),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7340),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2077] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5120),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5124),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5120),
    [anon_sym_volatile] = ACTIONS(5120),
    [anon_sym_restrict] = ACTIONS(5120),
    [anon_sym___restrict__] = ACTIONS(5120),
    [anon_sym__Atomic] = ACTIONS(5120),
    [anon_sym__Noreturn] = ACTIONS(5120),
    [anon_sym_noreturn] = ACTIONS(5120),
    [anon_sym_mutable] = ACTIONS(5120),
    [anon_sym_constinit] = ACTIONS(5120),
    [anon_sym_consteval] = ACTIONS(5120),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5120),
    [anon_sym_decltype] = ACTIONS(5120),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [2078] = {
    [sym__declaration_modifiers] = STATE(2443),
    [sym__declaration_specifiers] = STATE(4667),
    [sym_attribute_specifier] = STATE(2443),
    [sym_attribute_declaration] = STATE(2443),
    [sym_ms_declspec_modifier] = STATE(2443),
    [sym_storage_class_specifier] = STATE(2443),
    [sym_type_qualifier] = STATE(2443),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_parameter_declaration] = STATE(8332),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2443),
    [sym_alignas_specifier] = STATE(2443),
    [sym_dependent_type] = STATE(3664),
    [sym_optional_parameter_declaration] = STATE(8332),
    [sym_variadic_parameter_declaration] = STATE(8332),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2443),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2079] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7326),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7326),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2080] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6917),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7341),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7341),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2081] = {
    [sym_template_argument_list] = STATE(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5056),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5056),
    [anon_sym_or_eq] = ACTIONS(5056),
    [anon_sym_xor_eq] = ACTIONS(5056),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5056),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5056),
    [anon_sym_not_eq] = ACTIONS(5056),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5056),
  },
  [2082] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6942),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7326),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7326),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2083] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6855),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7325),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7325),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2084] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6852),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7328),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7328),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2085] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6906),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7297),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7297),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2086] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6927),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7340),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7340),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2088] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6834),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7307),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7307),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2089] = {
    [sym__declaration_modifiers] = STATE(4201),
    [sym_attribute_specifier] = STATE(4201),
    [sym_attribute_declaration] = STATE(4201),
    [sym_ms_declspec_modifier] = STATE(4201),
    [sym_ms_based_modifier] = STATE(9375),
    [sym__declarator] = STATE(7274),
    [sym_parenthesized_declarator] = STATE(6854),
    [sym_attributed_declarator] = STATE(6854),
    [sym_pointer_declarator] = STATE(6854),
    [sym_function_declarator] = STATE(6981),
    [sym_array_declarator] = STATE(6854),
    [sym_storage_class_specifier] = STATE(4201),
    [sym_type_qualifier] = STATE(4201),
    [sym_decltype] = STATE(9302),
    [sym_virtual] = STATE(4201),
    [sym_alignas_specifier] = STATE(4201),
    [sym_explicit_function_specifier] = STATE(4201),
    [sym_operator_cast] = STATE(7325),
    [sym__constructor_specifiers] = STATE(4201),
    [sym_reference_declarator] = STATE(6854),
    [sym_structured_binding_declarator] = STATE(6854),
    [sym_template_type] = STATE(9302),
    [sym_template_function] = STATE(6854),
    [sym_destructor_name] = STATE(6854),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(6151),
    [sym_qualified_identifier] = STATE(6854),
    [sym_qualified_operator_cast_identifier] = STATE(7325),
    [sym_operator_name] = STATE(6854),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4201),
    [sym_identifier] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(3031),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_STAR] = ACTIONS(3035),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5397),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym_COLON_COLON] = ACTIONS(5401),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_static] = ACTIONS(5397),
    [anon_sym_register] = ACTIONS(5397),
    [anon_sym_inline] = ACTIONS(5397),
    [anon_sym___inline] = ACTIONS(5397),
    [anon_sym___inline__] = ACTIONS(5397),
    [anon_sym___forceinline] = ACTIONS(5397),
    [anon_sym_thread_local] = ACTIONS(5397),
    [anon_sym___thread] = ACTIONS(5397),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_mutable] = ACTIONS(5395),
    [anon_sym_constinit] = ACTIONS(5395),
    [anon_sym_consteval] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2168),
    [anon_sym_virtual] = ACTIONS(5407),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2090] = {
    [sym_argument_list] = STATE(2912),
    [sym_initializer_list] = STATE(2912),
    [sym_decltype_auto] = STATE(2474),
    [sym_new_declarator] = STATE(2501),
    [sym_identifier] = ACTIONS(5413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5415),
    [anon_sym_COMMA] = ACTIONS(5415),
    [anon_sym_RPAREN] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_else_token1] = ACTIONS(5415),
    [aux_sym_preproc_elif_token1] = ACTIONS(5413),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5415),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(5413),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_SLASH] = ACTIONS(5413),
    [anon_sym_PERCENT] = ACTIONS(5413),
    [anon_sym_PIPE_PIPE] = ACTIONS(5415),
    [anon_sym_AMP_AMP] = ACTIONS(5415),
    [anon_sym_PIPE] = ACTIONS(5413),
    [anon_sym_CARET] = ACTIONS(5413),
    [anon_sym_AMP] = ACTIONS(5413),
    [anon_sym_EQ_EQ] = ACTIONS(5415),
    [anon_sym_BANG_EQ] = ACTIONS(5415),
    [anon_sym_GT] = ACTIONS(5413),
    [anon_sym_GT_EQ] = ACTIONS(5415),
    [anon_sym_LT_EQ] = ACTIONS(5413),
    [anon_sym_LT] = ACTIONS(5413),
    [anon_sym_LT_LT] = ACTIONS(5413),
    [anon_sym_GT_GT] = ACTIONS(5413),
    [anon_sym_SEMI] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_RBRACK] = ACTIONS(5415),
    [anon_sym_EQ] = ACTIONS(5413),
    [anon_sym_COLON] = ACTIONS(5415),
    [anon_sym_QMARK] = ACTIONS(5415),
    [anon_sym_STAR_EQ] = ACTIONS(5415),
    [anon_sym_SLASH_EQ] = ACTIONS(5415),
    [anon_sym_PERCENT_EQ] = ACTIONS(5415),
    [anon_sym_PLUS_EQ] = ACTIONS(5415),
    [anon_sym_DASH_EQ] = ACTIONS(5415),
    [anon_sym_LT_LT_EQ] = ACTIONS(5415),
    [anon_sym_GT_GT_EQ] = ACTIONS(5415),
    [anon_sym_AMP_EQ] = ACTIONS(5415),
    [anon_sym_CARET_EQ] = ACTIONS(5415),
    [anon_sym_PIPE_EQ] = ACTIONS(5415),
    [anon_sym_and_eq] = ACTIONS(5413),
    [anon_sym_or_eq] = ACTIONS(5413),
    [anon_sym_xor_eq] = ACTIONS(5413),
    [anon_sym_LT_EQ_GT] = ACTIONS(5415),
    [anon_sym_or] = ACTIONS(5413),
    [anon_sym_and] = ACTIONS(5413),
    [anon_sym_bitor] = ACTIONS(5413),
    [anon_sym_xor] = ACTIONS(5413),
    [anon_sym_bitand] = ACTIONS(5413),
    [anon_sym_not_eq] = ACTIONS(5413),
    [anon_sym_DASH_DASH] = ACTIONS(5415),
    [anon_sym_PLUS_PLUS] = ACTIONS(5415),
    [anon_sym_DOT] = ACTIONS(5413),
    [anon_sym_DOT_STAR] = ACTIONS(5415),
    [anon_sym_DASH_GT] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5421),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2091] = {
    [sym_string_literal] = STATE(3592),
    [sym_template_argument_list] = STATE(4817),
    [sym_raw_string_literal] = STATE(3592),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(5428),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5430),
    [anon_sym_SLASH_EQ] = ACTIONS(5430),
    [anon_sym_PERCENT_EQ] = ACTIONS(5430),
    [anon_sym_PLUS_EQ] = ACTIONS(5430),
    [anon_sym_DASH_EQ] = ACTIONS(5430),
    [anon_sym_LT_LT_EQ] = ACTIONS(5430),
    [anon_sym_GT_GT_EQ] = ACTIONS(5430),
    [anon_sym_AMP_EQ] = ACTIONS(5430),
    [anon_sym_CARET_EQ] = ACTIONS(5430),
    [anon_sym_PIPE_EQ] = ACTIONS(5430),
    [anon_sym_and_eq] = ACTIONS(5428),
    [anon_sym_or_eq] = ACTIONS(5428),
    [anon_sym_xor_eq] = ACTIONS(5428),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3751),
    [anon_sym_u_DQUOTE] = ACTIONS(3751),
    [anon_sym_U_DQUOTE] = ACTIONS(3751),
    [anon_sym_u8_DQUOTE] = ACTIONS(3751),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3759),
    [anon_sym_LR_DQUOTE] = ACTIONS(3759),
    [anon_sym_uR_DQUOTE] = ACTIONS(3759),
    [anon_sym_UR_DQUOTE] = ACTIONS(3759),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3759),
  },
  [2092] = {
    [sym_catch_clause] = STATE(2103),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2103),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [aux_sym_preproc_else_token1] = ACTIONS(2815),
    [aux_sym_preproc_elif_token1] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [2093] = {
    [sym_argument_list] = STATE(2889),
    [sym_initializer_list] = STATE(2889),
    [sym_decltype_auto] = STATE(2474),
    [sym_new_declarator] = STATE(2536),
    [sym_identifier] = ACTIONS(5434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5436),
    [anon_sym_COMMA] = ACTIONS(5436),
    [anon_sym_RPAREN] = ACTIONS(5436),
    [aux_sym_preproc_if_token2] = ACTIONS(5436),
    [aux_sym_preproc_else_token1] = ACTIONS(5436),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5436),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5434),
    [anon_sym_PLUS] = ACTIONS(5434),
    [anon_sym_STAR] = ACTIONS(5434),
    [anon_sym_SLASH] = ACTIONS(5434),
    [anon_sym_PERCENT] = ACTIONS(5434),
    [anon_sym_PIPE_PIPE] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_PIPE] = ACTIONS(5434),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym_EQ_EQ] = ACTIONS(5436),
    [anon_sym_BANG_EQ] = ACTIONS(5436),
    [anon_sym_GT] = ACTIONS(5434),
    [anon_sym_GT_EQ] = ACTIONS(5436),
    [anon_sym_LT_EQ] = ACTIONS(5434),
    [anon_sym_LT] = ACTIONS(5434),
    [anon_sym_LT_LT] = ACTIONS(5434),
    [anon_sym_GT_GT] = ACTIONS(5434),
    [anon_sym_SEMI] = ACTIONS(5436),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(5436),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_RBRACK] = ACTIONS(5436),
    [anon_sym_EQ] = ACTIONS(5434),
    [anon_sym_COLON] = ACTIONS(5436),
    [anon_sym_QMARK] = ACTIONS(5436),
    [anon_sym_STAR_EQ] = ACTIONS(5436),
    [anon_sym_SLASH_EQ] = ACTIONS(5436),
    [anon_sym_PERCENT_EQ] = ACTIONS(5436),
    [anon_sym_PLUS_EQ] = ACTIONS(5436),
    [anon_sym_DASH_EQ] = ACTIONS(5436),
    [anon_sym_LT_LT_EQ] = ACTIONS(5436),
    [anon_sym_GT_GT_EQ] = ACTIONS(5436),
    [anon_sym_AMP_EQ] = ACTIONS(5436),
    [anon_sym_CARET_EQ] = ACTIONS(5436),
    [anon_sym_PIPE_EQ] = ACTIONS(5436),
    [anon_sym_and_eq] = ACTIONS(5434),
    [anon_sym_or_eq] = ACTIONS(5434),
    [anon_sym_xor_eq] = ACTIONS(5434),
    [anon_sym_LT_EQ_GT] = ACTIONS(5436),
    [anon_sym_or] = ACTIONS(5434),
    [anon_sym_and] = ACTIONS(5434),
    [anon_sym_bitor] = ACTIONS(5434),
    [anon_sym_xor] = ACTIONS(5434),
    [anon_sym_bitand] = ACTIONS(5434),
    [anon_sym_not_eq] = ACTIONS(5434),
    [anon_sym_DASH_DASH] = ACTIONS(5436),
    [anon_sym_PLUS_PLUS] = ACTIONS(5436),
    [anon_sym_DOT] = ACTIONS(5434),
    [anon_sym_DOT_STAR] = ACTIONS(5436),
    [anon_sym_DASH_GT] = ACTIONS(5436),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5421),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2094] = {
    [sym_string_literal] = STATE(2025),
    [sym_raw_string_literal] = STATE(2025),
    [sym_identifier] = ACTIONS(5438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2095] = {
    [sym_catch_clause] = STATE(2103),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2103),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_friend] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [2096] = {
    [sym_string_literal] = STATE(2025),
    [sym_raw_string_literal] = STATE(2025),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4357),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
  },
  [2098] = {
    [sym_string_literal] = STATE(2220),
    [sym_template_argument_list] = STATE(3254),
    [sym_raw_string_literal] = STATE(2220),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
  },
  [2099] = {
    [sym_argument_list] = STATE(2871),
    [sym_initializer_list] = STATE(2871),
    [sym_decltype_auto] = STATE(2474),
    [sym_new_declarator] = STATE(2457),
    [sym_identifier] = ACTIONS(5447),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5449),
    [anon_sym_COMMA] = ACTIONS(5449),
    [anon_sym_RPAREN] = ACTIONS(5449),
    [aux_sym_preproc_if_token2] = ACTIONS(5449),
    [aux_sym_preproc_else_token1] = ACTIONS(5449),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5449),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_STAR] = ACTIONS(5447),
    [anon_sym_SLASH] = ACTIONS(5447),
    [anon_sym_PERCENT] = ACTIONS(5447),
    [anon_sym_PIPE_PIPE] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5449),
    [anon_sym_PIPE] = ACTIONS(5447),
    [anon_sym_CARET] = ACTIONS(5447),
    [anon_sym_AMP] = ACTIONS(5447),
    [anon_sym_EQ_EQ] = ACTIONS(5449),
    [anon_sym_BANG_EQ] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5447),
    [anon_sym_GT_EQ] = ACTIONS(5449),
    [anon_sym_LT_EQ] = ACTIONS(5447),
    [anon_sym_LT] = ACTIONS(5447),
    [anon_sym_LT_LT] = ACTIONS(5447),
    [anon_sym_GT_GT] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(5449),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_RBRACK] = ACTIONS(5449),
    [anon_sym_EQ] = ACTIONS(5447),
    [anon_sym_COLON] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_STAR_EQ] = ACTIONS(5449),
    [anon_sym_SLASH_EQ] = ACTIONS(5449),
    [anon_sym_PERCENT_EQ] = ACTIONS(5449),
    [anon_sym_PLUS_EQ] = ACTIONS(5449),
    [anon_sym_DASH_EQ] = ACTIONS(5449),
    [anon_sym_LT_LT_EQ] = ACTIONS(5449),
    [anon_sym_GT_GT_EQ] = ACTIONS(5449),
    [anon_sym_AMP_EQ] = ACTIONS(5449),
    [anon_sym_CARET_EQ] = ACTIONS(5449),
    [anon_sym_PIPE_EQ] = ACTIONS(5449),
    [anon_sym_and_eq] = ACTIONS(5447),
    [anon_sym_or_eq] = ACTIONS(5447),
    [anon_sym_xor_eq] = ACTIONS(5447),
    [anon_sym_LT_EQ_GT] = ACTIONS(5449),
    [anon_sym_or] = ACTIONS(5447),
    [anon_sym_and] = ACTIONS(5447),
    [anon_sym_bitor] = ACTIONS(5447),
    [anon_sym_xor] = ACTIONS(5447),
    [anon_sym_bitand] = ACTIONS(5447),
    [anon_sym_not_eq] = ACTIONS(5447),
    [anon_sym_DASH_DASH] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5449),
    [anon_sym_DOT] = ACTIONS(5447),
    [anon_sym_DOT_STAR] = ACTIONS(5449),
    [anon_sym_DASH_GT] = ACTIONS(5449),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5421),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2100] = {
    [sym_argument_list] = STATE(2837),
    [sym_initializer_list] = STATE(2837),
    [sym_decltype_auto] = STATE(2474),
    [sym_new_declarator] = STATE(2500),
    [sym_identifier] = ACTIONS(5451),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5453),
    [anon_sym_COMMA] = ACTIONS(5453),
    [anon_sym_RPAREN] = ACTIONS(5453),
    [aux_sym_preproc_if_token2] = ACTIONS(5453),
    [aux_sym_preproc_else_token1] = ACTIONS(5453),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5453),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5451),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5451),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5453),
    [anon_sym_PIPE] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_AMP] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5453),
    [anon_sym_BANG_EQ] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5453),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5451),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5451),
    [anon_sym_SEMI] = ACTIONS(5453),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5419),
    [anon_sym_RBRACK] = ACTIONS(5453),
    [anon_sym_EQ] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_STAR_EQ] = ACTIONS(5453),
    [anon_sym_SLASH_EQ] = ACTIONS(5453),
    [anon_sym_PERCENT_EQ] = ACTIONS(5453),
    [anon_sym_PLUS_EQ] = ACTIONS(5453),
    [anon_sym_DASH_EQ] = ACTIONS(5453),
    [anon_sym_LT_LT_EQ] = ACTIONS(5453),
    [anon_sym_GT_GT_EQ] = ACTIONS(5453),
    [anon_sym_AMP_EQ] = ACTIONS(5453),
    [anon_sym_CARET_EQ] = ACTIONS(5453),
    [anon_sym_PIPE_EQ] = ACTIONS(5453),
    [anon_sym_and_eq] = ACTIONS(5451),
    [anon_sym_or_eq] = ACTIONS(5451),
    [anon_sym_xor_eq] = ACTIONS(5451),
    [anon_sym_LT_EQ_GT] = ACTIONS(5453),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_bitor] = ACTIONS(5451),
    [anon_sym_xor] = ACTIONS(5451),
    [anon_sym_bitand] = ACTIONS(5451),
    [anon_sym_not_eq] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5453),
    [anon_sym_DOT] = ACTIONS(5451),
    [anon_sym_DOT_STAR] = ACTIONS(5453),
    [anon_sym_DASH_GT] = ACTIONS(5453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5421),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2101] = {
    [sym_template_argument_list] = STATE(2132),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5061),
    [anon_sym_COMMA] = ACTIONS(5061),
    [anon_sym_RPAREN] = ACTIONS(5061),
    [aux_sym_preproc_if_token2] = ACTIONS(5061),
    [aux_sym_preproc_else_token1] = ACTIONS(5061),
    [aux_sym_preproc_elif_token1] = ACTIONS(5054),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5061),
    [anon_sym_LPAREN2] = ACTIONS(5061),
    [anon_sym_DASH] = ACTIONS(5054),
    [anon_sym_PLUS] = ACTIONS(5054),
    [anon_sym_STAR] = ACTIONS(5054),
    [anon_sym_SLASH] = ACTIONS(5054),
    [anon_sym_PERCENT] = ACTIONS(5054),
    [anon_sym_PIPE_PIPE] = ACTIONS(5061),
    [anon_sym_AMP_AMP] = ACTIONS(5061),
    [anon_sym_PIPE] = ACTIONS(5054),
    [anon_sym_CARET] = ACTIONS(5054),
    [anon_sym_AMP] = ACTIONS(5054),
    [anon_sym_EQ_EQ] = ACTIONS(5061),
    [anon_sym_BANG_EQ] = ACTIONS(5061),
    [anon_sym_GT] = ACTIONS(5054),
    [anon_sym_GT_EQ] = ACTIONS(5061),
    [anon_sym_LT_EQ] = ACTIONS(5054),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5054),
    [anon_sym_GT_GT] = ACTIONS(5054),
    [anon_sym_SEMI] = ACTIONS(5061),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5061),
    [anon_sym_RBRACK] = ACTIONS(5061),
    [anon_sym_EQ] = ACTIONS(5054),
    [anon_sym_COLON] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5061),
    [anon_sym_STAR_EQ] = ACTIONS(5061),
    [anon_sym_SLASH_EQ] = ACTIONS(5061),
    [anon_sym_PERCENT_EQ] = ACTIONS(5061),
    [anon_sym_PLUS_EQ] = ACTIONS(5061),
    [anon_sym_DASH_EQ] = ACTIONS(5061),
    [anon_sym_LT_LT_EQ] = ACTIONS(5061),
    [anon_sym_GT_GT_EQ] = ACTIONS(5061),
    [anon_sym_AMP_EQ] = ACTIONS(5061),
    [anon_sym_CARET_EQ] = ACTIONS(5061),
    [anon_sym_PIPE_EQ] = ACTIONS(5061),
    [anon_sym_and_eq] = ACTIONS(5054),
    [anon_sym_or_eq] = ACTIONS(5054),
    [anon_sym_xor_eq] = ACTIONS(5054),
    [anon_sym_LT_EQ_GT] = ACTIONS(5061),
    [anon_sym_or] = ACTIONS(5054),
    [anon_sym_and] = ACTIONS(5054),
    [anon_sym_bitor] = ACTIONS(5054),
    [anon_sym_xor] = ACTIONS(5054),
    [anon_sym_bitand] = ACTIONS(5054),
    [anon_sym_not_eq] = ACTIONS(5054),
    [anon_sym_DASH_DASH] = ACTIONS(5061),
    [anon_sym_PLUS_PLUS] = ACTIONS(5061),
    [anon_sym_DOT] = ACTIONS(5054),
    [anon_sym_DOT_STAR] = ACTIONS(5061),
    [anon_sym_DASH_GT] = ACTIONS(5061),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_final] = ACTIONS(5054),
    [anon_sym_override] = ACTIONS(5054),
  },
  [2102] = {
    [sym_template_argument_list] = STATE(2132),
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4373),
    [anon_sym_COMMA] = ACTIONS(4373),
    [anon_sym_RPAREN] = ACTIONS(4373),
    [aux_sym_preproc_if_token2] = ACTIONS(4373),
    [aux_sym_preproc_else_token1] = ACTIONS(4373),
    [aux_sym_preproc_elif_token1] = ACTIONS(5458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4373),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(4373),
    [anon_sym_AMP_AMP] = ACTIONS(4373),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_CARET] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(4373),
    [anon_sym_BANG_EQ] = ACTIONS(4373),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(4373),
    [anon_sym_LT_EQ] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(5460),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_SEMI] = ACTIONS(4373),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4373),
    [anon_sym_RBRACK] = ACTIONS(4373),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_QMARK] = ACTIONS(4373),
    [anon_sym_STAR_EQ] = ACTIONS(4373),
    [anon_sym_SLASH_EQ] = ACTIONS(4373),
    [anon_sym_PERCENT_EQ] = ACTIONS(4373),
    [anon_sym_PLUS_EQ] = ACTIONS(4373),
    [anon_sym_DASH_EQ] = ACTIONS(4373),
    [anon_sym_LT_LT_EQ] = ACTIONS(4373),
    [anon_sym_GT_GT_EQ] = ACTIONS(4373),
    [anon_sym_AMP_EQ] = ACTIONS(4373),
    [anon_sym_CARET_EQ] = ACTIONS(4373),
    [anon_sym_PIPE_EQ] = ACTIONS(4373),
    [anon_sym_and_eq] = ACTIONS(5458),
    [anon_sym_or_eq] = ACTIONS(5458),
    [anon_sym_xor_eq] = ACTIONS(5458),
    [anon_sym_LT_EQ_GT] = ACTIONS(4373),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [anon_sym_bitor] = ACTIONS(5458),
    [anon_sym_xor] = ACTIONS(5458),
    [anon_sym_bitand] = ACTIONS(5458),
    [anon_sym_not_eq] = ACTIONS(5458),
    [anon_sym_DASH_DASH] = ACTIONS(4373),
    [anon_sym_PLUS_PLUS] = ACTIONS(4373),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_DOT_STAR] = ACTIONS(4373),
    [anon_sym_DASH_GT] = ACTIONS(4373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
    [anon_sym_final] = ACTIONS(5458),
    [anon_sym_override] = ACTIONS(5458),
  },
  [2103] = {
    [sym_catch_clause] = STATE(2103),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2103),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5462),
  },
  [2104] = {
    [sym_template_argument_list] = STATE(2123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5056),
    [anon_sym_or_eq] = ACTIONS(5056),
    [anon_sym_xor_eq] = ACTIONS(5056),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5056),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5056),
    [anon_sym_not_eq] = ACTIONS(5056),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5063),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5056),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_friend] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
  },
  [2106] = {
    [sym_catch_clause] = STATE(2103),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2103),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(5432),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5100),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5100),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5100),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5100),
    [anon_sym_GT_GT] = ACTIONS(5100),
    [anon_sym_SEMI] = ACTIONS(5100),
    [anon_sym___extension__] = ACTIONS(5098),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym___based] = ACTIONS(5098),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_RBRACE] = ACTIONS(5100),
    [anon_sym_signed] = ACTIONS(5098),
    [anon_sym_unsigned] = ACTIONS(5098),
    [anon_sym_long] = ACTIONS(5098),
    [anon_sym_short] = ACTIONS(5098),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_RBRACK] = ACTIONS(5100),
    [anon_sym_const] = ACTIONS(5098),
    [anon_sym_constexpr] = ACTIONS(5098),
    [anon_sym_volatile] = ACTIONS(5098),
    [anon_sym_restrict] = ACTIONS(5098),
    [anon_sym___restrict__] = ACTIONS(5098),
    [anon_sym__Atomic] = ACTIONS(5098),
    [anon_sym__Noreturn] = ACTIONS(5098),
    [anon_sym_noreturn] = ACTIONS(5098),
    [anon_sym_mutable] = ACTIONS(5098),
    [anon_sym_constinit] = ACTIONS(5098),
    [anon_sym_consteval] = ACTIONS(5098),
    [sym_primitive_type] = ACTIONS(5098),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_final] = ACTIONS(5098),
    [anon_sym_override] = ACTIONS(5098),
    [anon_sym_requires] = ACTIONS(5098),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token2] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [aux_sym_preproc_else_token1] = ACTIONS(3335),
    [aux_sym_preproc_elif_token1] = ACTIONS(3335),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_friend] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [aux_sym_preproc_else_token1] = ACTIONS(3327),
    [aux_sym_preproc_elif_token1] = ACTIONS(3327),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_friend] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
    [anon_sym_requires] = ACTIONS(5468),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [aux_sym_preproc_else_token1] = ACTIONS(3323),
    [aux_sym_preproc_elif_token1] = ACTIONS(3323),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_friend] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
  },
  [2113] = {
    [sym_string_literal] = STATE(2025),
    [sym_raw_string_literal] = STATE(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_RBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_COLON] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5077),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5077),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5077),
    [anon_sym_GT_GT] = ACTIONS(5077),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_signed] = ACTIONS(5075),
    [anon_sym_unsigned] = ACTIONS(5075),
    [anon_sym_long] = ACTIONS(5075),
    [anon_sym_short] = ACTIONS(5075),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_RBRACK] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [sym_primitive_type] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
    [anon_sym_requires] = ACTIONS(5075),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___extension__] = ACTIONS(5082),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5082),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5082),
    [anon_sym_unsigned] = ACTIONS(5082),
    [anon_sym_long] = ACTIONS(5082),
    [anon_sym_short] = ACTIONS(5082),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_RBRACK] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5082),
    [anon_sym_constexpr] = ACTIONS(5082),
    [anon_sym_volatile] = ACTIONS(5082),
    [anon_sym_restrict] = ACTIONS(5082),
    [anon_sym___restrict__] = ACTIONS(5082),
    [anon_sym__Atomic] = ACTIONS(5082),
    [anon_sym__Noreturn] = ACTIONS(5082),
    [anon_sym_noreturn] = ACTIONS(5082),
    [anon_sym_mutable] = ACTIONS(5082),
    [anon_sym_constinit] = ACTIONS(5082),
    [anon_sym_consteval] = ACTIONS(5082),
    [sym_primitive_type] = ACTIONS(5082),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_final] = ACTIONS(5082),
    [anon_sym_override] = ACTIONS(5082),
    [anon_sym_requires] = ACTIONS(5082),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5088),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5088),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5088),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5088),
    [anon_sym_GT_GT] = ACTIONS(5088),
    [anon_sym_SEMI] = ACTIONS(5088),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym___based] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_RBRACE] = ACTIONS(5088),
    [anon_sym_signed] = ACTIONS(5086),
    [anon_sym_unsigned] = ACTIONS(5086),
    [anon_sym_long] = ACTIONS(5086),
    [anon_sym_short] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_RBRACK] = ACTIONS(5088),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_mutable] = ACTIONS(5086),
    [anon_sym_constinit] = ACTIONS(5086),
    [anon_sym_consteval] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5086),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_final] = ACTIONS(5086),
    [anon_sym_override] = ACTIONS(5086),
    [anon_sym_requires] = ACTIONS(5086),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5092),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5092),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5092),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5092),
    [anon_sym_GT_GT] = ACTIONS(5092),
    [anon_sym_SEMI] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(5090),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym___based] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5092),
    [anon_sym_signed] = ACTIONS(5090),
    [anon_sym_unsigned] = ACTIONS(5090),
    [anon_sym_long] = ACTIONS(5090),
    [anon_sym_short] = ACTIONS(5090),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_RBRACK] = ACTIONS(5092),
    [anon_sym_const] = ACTIONS(5090),
    [anon_sym_constexpr] = ACTIONS(5090),
    [anon_sym_volatile] = ACTIONS(5090),
    [anon_sym_restrict] = ACTIONS(5090),
    [anon_sym___restrict__] = ACTIONS(5090),
    [anon_sym__Atomic] = ACTIONS(5090),
    [anon_sym__Noreturn] = ACTIONS(5090),
    [anon_sym_noreturn] = ACTIONS(5090),
    [anon_sym_mutable] = ACTIONS(5090),
    [anon_sym_constinit] = ACTIONS(5090),
    [anon_sym_consteval] = ACTIONS(5090),
    [sym_primitive_type] = ACTIONS(5090),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_final] = ACTIONS(5090),
    [anon_sym_override] = ACTIONS(5090),
    [anon_sym_requires] = ACTIONS(5090),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
    [anon_sym_requires] = ACTIONS(5468),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym_COMMA] = ACTIONS(5092),
    [anon_sym_RPAREN] = ACTIONS(5092),
    [aux_sym_preproc_if_token2] = ACTIONS(5092),
    [aux_sym_preproc_else_token1] = ACTIONS(5092),
    [aux_sym_preproc_elif_token1] = ACTIONS(5090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5092),
    [anon_sym_LPAREN2] = ACTIONS(5092),
    [anon_sym_DASH] = ACTIONS(5090),
    [anon_sym_PLUS] = ACTIONS(5090),
    [anon_sym_STAR] = ACTIONS(5090),
    [anon_sym_SLASH] = ACTIONS(5090),
    [anon_sym_PERCENT] = ACTIONS(5090),
    [anon_sym_PIPE_PIPE] = ACTIONS(5092),
    [anon_sym_AMP_AMP] = ACTIONS(5092),
    [anon_sym_PIPE] = ACTIONS(5090),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_AMP] = ACTIONS(5090),
    [anon_sym_EQ_EQ] = ACTIONS(5092),
    [anon_sym_BANG_EQ] = ACTIONS(5092),
    [anon_sym_GT] = ACTIONS(5090),
    [anon_sym_GT_EQ] = ACTIONS(5092),
    [anon_sym_LT_EQ] = ACTIONS(5090),
    [anon_sym_LT] = ACTIONS(5090),
    [anon_sym_LT_LT] = ACTIONS(5090),
    [anon_sym_GT_GT] = ACTIONS(5090),
    [anon_sym_SEMI] = ACTIONS(5092),
    [anon_sym___attribute__] = ACTIONS(5090),
    [anon_sym_COLON_COLON] = ACTIONS(5092),
    [anon_sym_LBRACE] = ACTIONS(5092),
    [anon_sym_RBRACE] = ACTIONS(5092),
    [anon_sym_LBRACK] = ACTIONS(5092),
    [anon_sym_RBRACK] = ACTIONS(5092),
    [anon_sym_EQ] = ACTIONS(5090),
    [anon_sym_COLON] = ACTIONS(5090),
    [anon_sym_QMARK] = ACTIONS(5092),
    [anon_sym_STAR_EQ] = ACTIONS(5092),
    [anon_sym_SLASH_EQ] = ACTIONS(5092),
    [anon_sym_PERCENT_EQ] = ACTIONS(5092),
    [anon_sym_PLUS_EQ] = ACTIONS(5092),
    [anon_sym_DASH_EQ] = ACTIONS(5092),
    [anon_sym_LT_LT_EQ] = ACTIONS(5092),
    [anon_sym_GT_GT_EQ] = ACTIONS(5092),
    [anon_sym_AMP_EQ] = ACTIONS(5092),
    [anon_sym_CARET_EQ] = ACTIONS(5092),
    [anon_sym_PIPE_EQ] = ACTIONS(5092),
    [anon_sym_and_eq] = ACTIONS(5090),
    [anon_sym_or_eq] = ACTIONS(5090),
    [anon_sym_xor_eq] = ACTIONS(5090),
    [anon_sym_LT_EQ_GT] = ACTIONS(5092),
    [anon_sym_or] = ACTIONS(5090),
    [anon_sym_and] = ACTIONS(5090),
    [anon_sym_bitor] = ACTIONS(5090),
    [anon_sym_xor] = ACTIONS(5090),
    [anon_sym_bitand] = ACTIONS(5090),
    [anon_sym_not_eq] = ACTIONS(5090),
    [anon_sym_DASH_DASH] = ACTIONS(5092),
    [anon_sym_PLUS_PLUS] = ACTIONS(5092),
    [anon_sym_DOT] = ACTIONS(5090),
    [anon_sym_DOT_STAR] = ACTIONS(5092),
    [anon_sym_DASH_GT] = ACTIONS(5092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5090),
    [anon_sym_decltype] = ACTIONS(5090),
    [anon_sym_final] = ACTIONS(5090),
    [anon_sym_override] = ACTIONS(5090),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_friend] = ACTIONS(2903),
    [anon_sym_public] = ACTIONS(2903),
    [anon_sym_private] = ACTIONS(2903),
    [anon_sym_protected] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_friend] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5476),
    [anon_sym_BANG_EQ] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5476),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5474),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5474),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5474),
    [anon_sym_unsigned] = ACTIONS(5474),
    [anon_sym_long] = ACTIONS(5474),
    [anon_sym_short] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_RBRACK] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5474),
    [anon_sym_constexpr] = ACTIONS(5474),
    [anon_sym_volatile] = ACTIONS(5474),
    [anon_sym_restrict] = ACTIONS(5474),
    [anon_sym___restrict__] = ACTIONS(5474),
    [anon_sym__Atomic] = ACTIONS(5474),
    [anon_sym__Noreturn] = ACTIONS(5474),
    [anon_sym_noreturn] = ACTIONS(5474),
    [anon_sym_mutable] = ACTIONS(5474),
    [anon_sym_constinit] = ACTIONS(5474),
    [anon_sym_consteval] = ACTIONS(5474),
    [sym_primitive_type] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5476),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5476),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5476),
    [anon_sym_DASH_GT] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
    [anon_sym_requires] = ACTIONS(5474),
  },
  [2123] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5120),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5120),
    [anon_sym_volatile] = ACTIONS(5120),
    [anon_sym_restrict] = ACTIONS(5120),
    [anon_sym___restrict__] = ACTIONS(5120),
    [anon_sym__Atomic] = ACTIONS(5120),
    [anon_sym__Noreturn] = ACTIONS(5120),
    [anon_sym_noreturn] = ACTIONS(5120),
    [anon_sym_mutable] = ACTIONS(5120),
    [anon_sym_constinit] = ACTIONS(5120),
    [anon_sym_consteval] = ACTIONS(5120),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5120),
    [anon_sym_decltype] = ACTIONS(5120),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_SEMI] = ACTIONS(5096),
    [anon_sym___extension__] = ACTIONS(5094),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym___based] = ACTIONS(5094),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5096),
    [anon_sym_signed] = ACTIONS(5094),
    [anon_sym_unsigned] = ACTIONS(5094),
    [anon_sym_long] = ACTIONS(5094),
    [anon_sym_short] = ACTIONS(5094),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_RBRACK] = ACTIONS(5096),
    [anon_sym_const] = ACTIONS(5094),
    [anon_sym_constexpr] = ACTIONS(5094),
    [anon_sym_volatile] = ACTIONS(5094),
    [anon_sym_restrict] = ACTIONS(5094),
    [anon_sym___restrict__] = ACTIONS(5094),
    [anon_sym__Atomic] = ACTIONS(5094),
    [anon_sym__Noreturn] = ACTIONS(5094),
    [anon_sym_noreturn] = ACTIONS(5094),
    [anon_sym_mutable] = ACTIONS(5094),
    [anon_sym_constinit] = ACTIONS(5094),
    [anon_sym_consteval] = ACTIONS(5094),
    [sym_primitive_type] = ACTIONS(5094),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_final] = ACTIONS(5094),
    [anon_sym_override] = ACTIONS(5094),
    [anon_sym_requires] = ACTIONS(5094),
  },
  [2125] = {
    [sym_string_literal] = STATE(2025),
    [sym_raw_string_literal] = STATE(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_RPAREN] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_RBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_COLON] = ACTIONS(5440),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [aux_sym_preproc_if_token2] = ACTIONS(5470),
    [aux_sym_preproc_else_token1] = ACTIONS(5470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_STAR_EQ] = ACTIONS(5470),
    [anon_sym_SLASH_EQ] = ACTIONS(5470),
    [anon_sym_PERCENT_EQ] = ACTIONS(5470),
    [anon_sym_PLUS_EQ] = ACTIONS(5470),
    [anon_sym_DASH_EQ] = ACTIONS(5470),
    [anon_sym_LT_LT_EQ] = ACTIONS(5470),
    [anon_sym_GT_GT_EQ] = ACTIONS(5470),
    [anon_sym_AMP_EQ] = ACTIONS(5470),
    [anon_sym_CARET_EQ] = ACTIONS(5470),
    [anon_sym_PIPE_EQ] = ACTIONS(5470),
    [anon_sym_and_eq] = ACTIONS(5468),
    [anon_sym_or_eq] = ACTIONS(5468),
    [anon_sym_xor_eq] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
  },
  [2127] = {
    [sym_type_qualifier] = STATE(2127),
    [aux_sym__type_definition_type_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5480),
    [anon_sym_BANG] = ACTIONS(5480),
    [anon_sym_TILDE] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_RBRACK] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5482),
    [anon_sym_constexpr] = ACTIONS(5482),
    [anon_sym_volatile] = ACTIONS(5482),
    [anon_sym_restrict] = ACTIONS(5482),
    [anon_sym___restrict__] = ACTIONS(5482),
    [anon_sym__Atomic] = ACTIONS(5482),
    [anon_sym__Noreturn] = ACTIONS(5482),
    [anon_sym_noreturn] = ACTIONS(5482),
    [anon_sym_mutable] = ACTIONS(5482),
    [anon_sym_constinit] = ACTIONS(5482),
    [anon_sym_consteval] = ACTIONS(5482),
    [sym_primitive_type] = ACTIONS(5478),
    [anon_sym_not] = ACTIONS(5478),
    [anon_sym_compl] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5480),
    [anon_sym_sizeof] = ACTIONS(5478),
    [anon_sym___alignof__] = ACTIONS(5478),
    [anon_sym___alignof] = ACTIONS(5478),
    [anon_sym__alignof] = ACTIONS(5478),
    [anon_sym_alignof] = ACTIONS(5478),
    [anon_sym__Alignof] = ACTIONS(5478),
    [anon_sym_offsetof] = ACTIONS(5478),
    [anon_sym__Generic] = ACTIONS(5478),
    [anon_sym_asm] = ACTIONS(5478),
    [anon_sym___asm__] = ACTIONS(5478),
    [sym_number_literal] = ACTIONS(5480),
    [anon_sym_L_SQUOTE] = ACTIONS(5480),
    [anon_sym_u_SQUOTE] = ACTIONS(5480),
    [anon_sym_U_SQUOTE] = ACTIONS(5480),
    [anon_sym_u8_SQUOTE] = ACTIONS(5480),
    [anon_sym_SQUOTE] = ACTIONS(5480),
    [anon_sym_L_DQUOTE] = ACTIONS(5480),
    [anon_sym_u_DQUOTE] = ACTIONS(5480),
    [anon_sym_U_DQUOTE] = ACTIONS(5480),
    [anon_sym_u8_DQUOTE] = ACTIONS(5480),
    [anon_sym_DQUOTE] = ACTIONS(5480),
    [sym_true] = ACTIONS(5478),
    [sym_false] = ACTIONS(5478),
    [anon_sym_NULL] = ACTIONS(5478),
    [anon_sym_nullptr] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5478),
    [anon_sym_template] = ACTIONS(5478),
    [anon_sym_delete] = ACTIONS(5478),
    [anon_sym_R_DQUOTE] = ACTIONS(5480),
    [anon_sym_LR_DQUOTE] = ACTIONS(5480),
    [anon_sym_uR_DQUOTE] = ACTIONS(5480),
    [anon_sym_UR_DQUOTE] = ACTIONS(5480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5480),
    [anon_sym_co_await] = ACTIONS(5478),
    [anon_sym_new] = ACTIONS(5478),
    [anon_sym_requires] = ACTIONS(5478),
    [sym_this] = ACTIONS(5478),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [aux_sym_preproc_if_token2] = ACTIONS(5470),
    [aux_sym_preproc_else_token1] = ACTIONS(5470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_STAR_EQ] = ACTIONS(5470),
    [anon_sym_SLASH_EQ] = ACTIONS(5470),
    [anon_sym_PERCENT_EQ] = ACTIONS(5470),
    [anon_sym_PLUS_EQ] = ACTIONS(5470),
    [anon_sym_DASH_EQ] = ACTIONS(5470),
    [anon_sym_LT_LT_EQ] = ACTIONS(5470),
    [anon_sym_GT_GT_EQ] = ACTIONS(5470),
    [anon_sym_AMP_EQ] = ACTIONS(5470),
    [anon_sym_CARET_EQ] = ACTIONS(5470),
    [anon_sym_PIPE_EQ] = ACTIONS(5470),
    [anon_sym_and_eq] = ACTIONS(5468),
    [anon_sym_or_eq] = ACTIONS(5468),
    [anon_sym_xor_eq] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [aux_sym_preproc_if_token2] = ACTIONS(5088),
    [aux_sym_preproc_else_token1] = ACTIONS(5088),
    [aux_sym_preproc_elif_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5086),
    [anon_sym_PLUS] = ACTIONS(5086),
    [anon_sym_STAR] = ACTIONS(5086),
    [anon_sym_SLASH] = ACTIONS(5086),
    [anon_sym_PERCENT] = ACTIONS(5086),
    [anon_sym_PIPE_PIPE] = ACTIONS(5088),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5086),
    [anon_sym_CARET] = ACTIONS(5086),
    [anon_sym_AMP] = ACTIONS(5086),
    [anon_sym_EQ_EQ] = ACTIONS(5088),
    [anon_sym_BANG_EQ] = ACTIONS(5088),
    [anon_sym_GT] = ACTIONS(5086),
    [anon_sym_GT_EQ] = ACTIONS(5088),
    [anon_sym_LT_EQ] = ACTIONS(5086),
    [anon_sym_LT] = ACTIONS(5086),
    [anon_sym_LT_LT] = ACTIONS(5086),
    [anon_sym_GT_GT] = ACTIONS(5086),
    [anon_sym_SEMI] = ACTIONS(5088),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym_COLON_COLON] = ACTIONS(5088),
    [anon_sym_LBRACE] = ACTIONS(5088),
    [anon_sym_RBRACE] = ACTIONS(5088),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_RBRACK] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_COLON] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5088),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5088),
    [anon_sym_or] = ACTIONS(5086),
    [anon_sym_and] = ACTIONS(5086),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5086),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5088),
    [anon_sym_PLUS_PLUS] = ACTIONS(5088),
    [anon_sym_DOT] = ACTIONS(5086),
    [anon_sym_DOT_STAR] = ACTIONS(5088),
    [anon_sym_DASH_GT] = ACTIONS(5088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5086),
    [anon_sym_decltype] = ACTIONS(5086),
    [anon_sym_final] = ACTIONS(5086),
    [anon_sym_override] = ACTIONS(5086),
  },
  [2130] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(5488),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_friend] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RPAREN] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5120),
    [anon_sym_BANG_EQ] = ACTIONS(5120),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5120),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5120),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5120),
    [anon_sym_RBRACK] = ACTIONS(5120),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5120),
    [anon_sym_STAR_EQ] = ACTIONS(5120),
    [anon_sym_SLASH_EQ] = ACTIONS(5120),
    [anon_sym_PERCENT_EQ] = ACTIONS(5120),
    [anon_sym_PLUS_EQ] = ACTIONS(5120),
    [anon_sym_DASH_EQ] = ACTIONS(5120),
    [anon_sym_LT_LT_EQ] = ACTIONS(5120),
    [anon_sym_GT_GT_EQ] = ACTIONS(5120),
    [anon_sym_AMP_EQ] = ACTIONS(5120),
    [anon_sym_CARET_EQ] = ACTIONS(5120),
    [anon_sym_PIPE_EQ] = ACTIONS(5120),
    [anon_sym_and_eq] = ACTIONS(5113),
    [anon_sym_or_eq] = ACTIONS(5113),
    [anon_sym_xor_eq] = ACTIONS(5113),
    [anon_sym_LT_EQ_GT] = ACTIONS(5120),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5120),
    [anon_sym_PLUS_PLUS] = ACTIONS(5120),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5120),
    [anon_sym_DASH_GT] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_friend] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(5474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_RPAREN] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5476),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5476),
    [anon_sym_BANG_EQ] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5476),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5474),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_RBRACK] = ACTIONS(5476),
    [anon_sym_EQ] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_STAR_EQ] = ACTIONS(5476),
    [anon_sym_SLASH_EQ] = ACTIONS(5476),
    [anon_sym_PERCENT_EQ] = ACTIONS(5476),
    [anon_sym_PLUS_EQ] = ACTIONS(5476),
    [anon_sym_DASH_EQ] = ACTIONS(5476),
    [anon_sym_LT_LT_EQ] = ACTIONS(5476),
    [anon_sym_GT_GT_EQ] = ACTIONS(5476),
    [anon_sym_AMP_EQ] = ACTIONS(5476),
    [anon_sym_CARET_EQ] = ACTIONS(5476),
    [anon_sym_PIPE_EQ] = ACTIONS(5476),
    [anon_sym_and_eq] = ACTIONS(5474),
    [anon_sym_or_eq] = ACTIONS(5474),
    [anon_sym_xor_eq] = ACTIONS(5474),
    [anon_sym_LT_EQ_GT] = ACTIONS(5476),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_bitor] = ACTIONS(5474),
    [anon_sym_xor] = ACTIONS(5474),
    [anon_sym_bitand] = ACTIONS(5474),
    [anon_sym_not_eq] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5476),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_DOT_STAR] = ACTIONS(5476),
    [anon_sym_DASH_GT] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5474),
    [anon_sym_decltype] = ACTIONS(5474),
    [anon_sym_final] = ACTIONS(5474),
    [anon_sym_override] = ACTIONS(5474),
  },
  [2135] = {
    [sym_decltype_auto] = STATE(2315),
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5492),
    [anon_sym_COMMA] = ACTIONS(5492),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5490),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5492),
    [anon_sym_BANG_EQ] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5492),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_SEMI] = ACTIONS(5492),
    [anon_sym___extension__] = ACTIONS(5490),
    [anon_sym___attribute__] = ACTIONS(5490),
    [anon_sym___based] = ACTIONS(5490),
    [anon_sym_LBRACE] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5490),
    [anon_sym_unsigned] = ACTIONS(5490),
    [anon_sym_long] = ACTIONS(5490),
    [anon_sym_short] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_RBRACK] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5490),
    [anon_sym_constexpr] = ACTIONS(5490),
    [anon_sym_volatile] = ACTIONS(5490),
    [anon_sym_restrict] = ACTIONS(5490),
    [anon_sym___restrict__] = ACTIONS(5490),
    [anon_sym__Atomic] = ACTIONS(5490),
    [anon_sym__Noreturn] = ACTIONS(5490),
    [anon_sym_noreturn] = ACTIONS(5490),
    [anon_sym_mutable] = ACTIONS(5490),
    [anon_sym_constinit] = ACTIONS(5490),
    [anon_sym_consteval] = ACTIONS(5490),
    [sym_primitive_type] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_LT_EQ_GT] = ACTIONS(5492),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_bitor] = ACTIONS(5490),
    [anon_sym_xor] = ACTIONS(5490),
    [anon_sym_bitand] = ACTIONS(5490),
    [anon_sym_not_eq] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5492),
    [anon_sym_DOT] = ACTIONS(5490),
    [anon_sym_DOT_STAR] = ACTIONS(5492),
    [anon_sym_DASH_GT] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5494),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_final] = ACTIONS(5490),
    [anon_sym_override] = ACTIONS(5490),
    [anon_sym_requires] = ACTIONS(5490),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_friend] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_friend] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_friend] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [aux_sym_preproc_else_token1] = ACTIONS(3355),
    [aux_sym_preproc_elif_token1] = ACTIONS(3355),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_friend] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_friend] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5100),
    [anon_sym_COMMA] = ACTIONS(5100),
    [anon_sym_RPAREN] = ACTIONS(5100),
    [aux_sym_preproc_if_token2] = ACTIONS(5100),
    [aux_sym_preproc_else_token1] = ACTIONS(5100),
    [aux_sym_preproc_elif_token1] = ACTIONS(5098),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5100),
    [anon_sym_LPAREN2] = ACTIONS(5100),
    [anon_sym_DASH] = ACTIONS(5098),
    [anon_sym_PLUS] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_SLASH] = ACTIONS(5098),
    [anon_sym_PERCENT] = ACTIONS(5098),
    [anon_sym_PIPE_PIPE] = ACTIONS(5100),
    [anon_sym_AMP_AMP] = ACTIONS(5100),
    [anon_sym_PIPE] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_AMP] = ACTIONS(5098),
    [anon_sym_EQ_EQ] = ACTIONS(5100),
    [anon_sym_BANG_EQ] = ACTIONS(5100),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_GT_EQ] = ACTIONS(5100),
    [anon_sym_LT_EQ] = ACTIONS(5098),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5098),
    [anon_sym_GT_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5100),
    [anon_sym___attribute__] = ACTIONS(5098),
    [anon_sym_COLON_COLON] = ACTIONS(5100),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_RBRACE] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5100),
    [anon_sym_RBRACK] = ACTIONS(5100),
    [anon_sym_EQ] = ACTIONS(5098),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_STAR_EQ] = ACTIONS(5100),
    [anon_sym_SLASH_EQ] = ACTIONS(5100),
    [anon_sym_PERCENT_EQ] = ACTIONS(5100),
    [anon_sym_PLUS_EQ] = ACTIONS(5100),
    [anon_sym_DASH_EQ] = ACTIONS(5100),
    [anon_sym_LT_LT_EQ] = ACTIONS(5100),
    [anon_sym_GT_GT_EQ] = ACTIONS(5100),
    [anon_sym_AMP_EQ] = ACTIONS(5100),
    [anon_sym_CARET_EQ] = ACTIONS(5100),
    [anon_sym_PIPE_EQ] = ACTIONS(5100),
    [anon_sym_and_eq] = ACTIONS(5098),
    [anon_sym_or_eq] = ACTIONS(5098),
    [anon_sym_xor_eq] = ACTIONS(5098),
    [anon_sym_LT_EQ_GT] = ACTIONS(5100),
    [anon_sym_or] = ACTIONS(5098),
    [anon_sym_and] = ACTIONS(5098),
    [anon_sym_bitor] = ACTIONS(5098),
    [anon_sym_xor] = ACTIONS(5098),
    [anon_sym_bitand] = ACTIONS(5098),
    [anon_sym_not_eq] = ACTIONS(5098),
    [anon_sym_DASH_DASH] = ACTIONS(5100),
    [anon_sym_PLUS_PLUS] = ACTIONS(5100),
    [anon_sym_DOT] = ACTIONS(5098),
    [anon_sym_DOT_STAR] = ACTIONS(5100),
    [anon_sym_DASH_GT] = ACTIONS(5100),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5098),
    [anon_sym_decltype] = ACTIONS(5098),
    [anon_sym_final] = ACTIONS(5098),
    [anon_sym_override] = ACTIONS(5098),
  },
  [2142] = {
    [sym_string_literal] = STATE(2221),
    [sym_raw_string_literal] = STATE(2221),
    [aux_sym_concatenated_string_repeat1] = STATE(2221),
    [sym_identifier] = ACTIONS(5498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5236),
    [anon_sym_COMMA] = ACTIONS(5236),
    [aux_sym_preproc_if_token2] = ACTIONS(5236),
    [aux_sym_preproc_else_token1] = ACTIONS(5236),
    [aux_sym_preproc_elif_token1] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5236),
    [anon_sym_AMP_AMP] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5236),
    [anon_sym_BANG_EQ] = ACTIONS(5236),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5236),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5236),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5236),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5236),
    [anon_sym_PLUS_PLUS] = ACTIONS(5236),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5236),
    [anon_sym_DASH_GT] = ACTIONS(5236),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5238),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5073),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5073),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5073),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5073),
    [anon_sym_GT_GT] = ACTIONS(5073),
    [anon_sym_SEMI] = ACTIONS(5073),
    [anon_sym___extension__] = ACTIONS(5071),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym___based] = ACTIONS(5071),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5073),
    [anon_sym_signed] = ACTIONS(5071),
    [anon_sym_unsigned] = ACTIONS(5071),
    [anon_sym_long] = ACTIONS(5071),
    [anon_sym_short] = ACTIONS(5071),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_RBRACK] = ACTIONS(5073),
    [anon_sym_const] = ACTIONS(5071),
    [anon_sym_constexpr] = ACTIONS(5071),
    [anon_sym_volatile] = ACTIONS(5071),
    [anon_sym_restrict] = ACTIONS(5071),
    [anon_sym___restrict__] = ACTIONS(5071),
    [anon_sym__Atomic] = ACTIONS(5071),
    [anon_sym__Noreturn] = ACTIONS(5071),
    [anon_sym_noreturn] = ACTIONS(5071),
    [anon_sym_mutable] = ACTIONS(5071),
    [anon_sym_constinit] = ACTIONS(5071),
    [anon_sym_consteval] = ACTIONS(5071),
    [sym_primitive_type] = ACTIONS(5071),
    [anon_sym_COLON] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_final] = ACTIONS(5071),
    [anon_sym_override] = ACTIONS(5071),
    [anon_sym_requires] = ACTIONS(5071),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_friend] = ACTIONS(2907),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2147] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(5504),
    [aux_sym_preproc_def_token1] = ACTIONS(5504),
    [aux_sym_preproc_if_token1] = ACTIONS(5504),
    [aux_sym_preproc_if_token2] = ACTIONS(5504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5504),
    [aux_sym_preproc_else_token1] = ACTIONS(5504),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5504),
    [sym_preproc_directive] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_TILDE] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym_typedef] = ACTIONS(5504),
    [anon_sym_extern] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5506),
    [anon_sym___declspec] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_static] = ACTIONS(5504),
    [anon_sym_register] = ACTIONS(5504),
    [anon_sym_inline] = ACTIONS(5504),
    [anon_sym___inline] = ACTIONS(5504),
    [anon_sym___inline__] = ACTIONS(5504),
    [anon_sym___forceinline] = ACTIONS(5504),
    [anon_sym_thread_local] = ACTIONS(5504),
    [anon_sym___thread] = ACTIONS(5504),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [sym_primitive_type] = ACTIONS(5504),
    [anon_sym_enum] = ACTIONS(5504),
    [anon_sym_class] = ACTIONS(5504),
    [anon_sym_struct] = ACTIONS(5504),
    [anon_sym_union] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_virtual] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym_explicit] = ACTIONS(5504),
    [anon_sym_typename] = ACTIONS(5504),
    [anon_sym_template] = ACTIONS(5504),
    [anon_sym_operator] = ACTIONS(5504),
    [anon_sym_friend] = ACTIONS(5504),
    [anon_sym_public] = ACTIONS(5504),
    [anon_sym_private] = ACTIONS(5504),
    [anon_sym_protected] = ACTIONS(5504),
    [anon_sym_using] = ACTIONS(5504),
    [anon_sym_static_assert] = ACTIONS(5504),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(5082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5084),
    [anon_sym_COMMA] = ACTIONS(5084),
    [anon_sym_RPAREN] = ACTIONS(5084),
    [aux_sym_preproc_if_token2] = ACTIONS(5084),
    [aux_sym_preproc_else_token1] = ACTIONS(5084),
    [aux_sym_preproc_elif_token1] = ACTIONS(5082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5084),
    [anon_sym_DASH] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(5082),
    [anon_sym_STAR] = ACTIONS(5082),
    [anon_sym_SLASH] = ACTIONS(5082),
    [anon_sym_PERCENT] = ACTIONS(5082),
    [anon_sym_PIPE_PIPE] = ACTIONS(5084),
    [anon_sym_AMP_AMP] = ACTIONS(5084),
    [anon_sym_PIPE] = ACTIONS(5082),
    [anon_sym_CARET] = ACTIONS(5082),
    [anon_sym_AMP] = ACTIONS(5082),
    [anon_sym_EQ_EQ] = ACTIONS(5084),
    [anon_sym_BANG_EQ] = ACTIONS(5084),
    [anon_sym_GT] = ACTIONS(5082),
    [anon_sym_GT_EQ] = ACTIONS(5084),
    [anon_sym_LT_EQ] = ACTIONS(5082),
    [anon_sym_LT] = ACTIONS(5082),
    [anon_sym_LT_LT] = ACTIONS(5082),
    [anon_sym_GT_GT] = ACTIONS(5082),
    [anon_sym_SEMI] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5082),
    [anon_sym_COLON_COLON] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5084),
    [anon_sym_RBRACE] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_RBRACK] = ACTIONS(5084),
    [anon_sym_EQ] = ACTIONS(5082),
    [anon_sym_COLON] = ACTIONS(5082),
    [anon_sym_QMARK] = ACTIONS(5084),
    [anon_sym_STAR_EQ] = ACTIONS(5084),
    [anon_sym_SLASH_EQ] = ACTIONS(5084),
    [anon_sym_PERCENT_EQ] = ACTIONS(5084),
    [anon_sym_PLUS_EQ] = ACTIONS(5084),
    [anon_sym_DASH_EQ] = ACTIONS(5084),
    [anon_sym_LT_LT_EQ] = ACTIONS(5084),
    [anon_sym_GT_GT_EQ] = ACTIONS(5084),
    [anon_sym_AMP_EQ] = ACTIONS(5084),
    [anon_sym_CARET_EQ] = ACTIONS(5084),
    [anon_sym_PIPE_EQ] = ACTIONS(5084),
    [anon_sym_and_eq] = ACTIONS(5082),
    [anon_sym_or_eq] = ACTIONS(5082),
    [anon_sym_xor_eq] = ACTIONS(5082),
    [anon_sym_LT_EQ_GT] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5082),
    [anon_sym_and] = ACTIONS(5082),
    [anon_sym_bitor] = ACTIONS(5082),
    [anon_sym_xor] = ACTIONS(5082),
    [anon_sym_bitand] = ACTIONS(5082),
    [anon_sym_not_eq] = ACTIONS(5082),
    [anon_sym_DASH_DASH] = ACTIONS(5084),
    [anon_sym_PLUS_PLUS] = ACTIONS(5084),
    [anon_sym_DOT] = ACTIONS(5082),
    [anon_sym_DOT_STAR] = ACTIONS(5084),
    [anon_sym_DASH_GT] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5082),
    [anon_sym_decltype] = ACTIONS(5082),
    [anon_sym_final] = ACTIONS(5082),
    [anon_sym_override] = ACTIONS(5082),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_TILDE] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym___extension__] = ACTIONS(5508),
    [anon_sym_typedef] = ACTIONS(5508),
    [anon_sym_extern] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym_COLON_COLON] = ACTIONS(5510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5510),
    [anon_sym___declspec] = ACTIONS(5508),
    [anon_sym___based] = ACTIONS(5508),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_static] = ACTIONS(5508),
    [anon_sym_register] = ACTIONS(5508),
    [anon_sym_inline] = ACTIONS(5508),
    [anon_sym___inline] = ACTIONS(5508),
    [anon_sym___inline__] = ACTIONS(5508),
    [anon_sym___forceinline] = ACTIONS(5508),
    [anon_sym_thread_local] = ACTIONS(5508),
    [anon_sym___thread] = ACTIONS(5508),
    [anon_sym_const] = ACTIONS(5508),
    [anon_sym_constexpr] = ACTIONS(5508),
    [anon_sym_volatile] = ACTIONS(5508),
    [anon_sym_restrict] = ACTIONS(5508),
    [anon_sym___restrict__] = ACTIONS(5508),
    [anon_sym__Atomic] = ACTIONS(5508),
    [anon_sym__Noreturn] = ACTIONS(5508),
    [anon_sym_noreturn] = ACTIONS(5508),
    [anon_sym_mutable] = ACTIONS(5508),
    [anon_sym_constinit] = ACTIONS(5508),
    [anon_sym_consteval] = ACTIONS(5508),
    [sym_primitive_type] = ACTIONS(5508),
    [anon_sym_enum] = ACTIONS(5508),
    [anon_sym_class] = ACTIONS(5508),
    [anon_sym_struct] = ACTIONS(5508),
    [anon_sym_union] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
    [anon_sym_virtual] = ACTIONS(5508),
    [anon_sym_alignas] = ACTIONS(5508),
    [anon_sym_explicit] = ACTIONS(5508),
    [anon_sym_typename] = ACTIONS(5508),
    [anon_sym_template] = ACTIONS(5508),
    [anon_sym_operator] = ACTIONS(5508),
    [anon_sym_friend] = ACTIONS(5508),
    [anon_sym_public] = ACTIONS(5508),
    [anon_sym_private] = ACTIONS(5508),
    [anon_sym_protected] = ACTIONS(5508),
    [anon_sym_using] = ACTIONS(5508),
    [anon_sym_static_assert] = ACTIONS(5508),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(5512),
    [aux_sym_preproc_def_token1] = ACTIONS(5512),
    [aux_sym_preproc_if_token1] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5512),
    [sym_preproc_directive] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_TILDE] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym___extension__] = ACTIONS(5512),
    [anon_sym_typedef] = ACTIONS(5512),
    [anon_sym_extern] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym_COLON_COLON] = ACTIONS(5514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5514),
    [anon_sym___declspec] = ACTIONS(5512),
    [anon_sym___based] = ACTIONS(5512),
    [anon_sym_signed] = ACTIONS(5512),
    [anon_sym_unsigned] = ACTIONS(5512),
    [anon_sym_long] = ACTIONS(5512),
    [anon_sym_short] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_static] = ACTIONS(5512),
    [anon_sym_register] = ACTIONS(5512),
    [anon_sym_inline] = ACTIONS(5512),
    [anon_sym___inline] = ACTIONS(5512),
    [anon_sym___inline__] = ACTIONS(5512),
    [anon_sym___forceinline] = ACTIONS(5512),
    [anon_sym_thread_local] = ACTIONS(5512),
    [anon_sym___thread] = ACTIONS(5512),
    [anon_sym_const] = ACTIONS(5512),
    [anon_sym_constexpr] = ACTIONS(5512),
    [anon_sym_volatile] = ACTIONS(5512),
    [anon_sym_restrict] = ACTIONS(5512),
    [anon_sym___restrict__] = ACTIONS(5512),
    [anon_sym__Atomic] = ACTIONS(5512),
    [anon_sym__Noreturn] = ACTIONS(5512),
    [anon_sym_noreturn] = ACTIONS(5512),
    [anon_sym_mutable] = ACTIONS(5512),
    [anon_sym_constinit] = ACTIONS(5512),
    [anon_sym_consteval] = ACTIONS(5512),
    [sym_primitive_type] = ACTIONS(5512),
    [anon_sym_enum] = ACTIONS(5512),
    [anon_sym_class] = ACTIONS(5512),
    [anon_sym_struct] = ACTIONS(5512),
    [anon_sym_union] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
    [anon_sym_virtual] = ACTIONS(5512),
    [anon_sym_alignas] = ACTIONS(5512),
    [anon_sym_explicit] = ACTIONS(5512),
    [anon_sym_typename] = ACTIONS(5512),
    [anon_sym_template] = ACTIONS(5512),
    [anon_sym_operator] = ACTIONS(5512),
    [anon_sym_friend] = ACTIONS(5512),
    [anon_sym_public] = ACTIONS(5512),
    [anon_sym_private] = ACTIONS(5512),
    [anon_sym_protected] = ACTIONS(5512),
    [anon_sym_using] = ACTIONS(5512),
    [anon_sym_static_assert] = ACTIONS(5512),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5524),
    [aux_sym_preproc_def_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5524),
    [sym_preproc_directive] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_TILDE] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5524),
    [anon_sym_typedef] = ACTIONS(5524),
    [anon_sym_extern] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym_COLON_COLON] = ACTIONS(5526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5526),
    [anon_sym___declspec] = ACTIONS(5524),
    [anon_sym___based] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5524),
    [anon_sym_unsigned] = ACTIONS(5524),
    [anon_sym_long] = ACTIONS(5524),
    [anon_sym_short] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_static] = ACTIONS(5524),
    [anon_sym_register] = ACTIONS(5524),
    [anon_sym_inline] = ACTIONS(5524),
    [anon_sym___inline] = ACTIONS(5524),
    [anon_sym___inline__] = ACTIONS(5524),
    [anon_sym___forceinline] = ACTIONS(5524),
    [anon_sym_thread_local] = ACTIONS(5524),
    [anon_sym___thread] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5524),
    [anon_sym_constexpr] = ACTIONS(5524),
    [anon_sym_volatile] = ACTIONS(5524),
    [anon_sym_restrict] = ACTIONS(5524),
    [anon_sym___restrict__] = ACTIONS(5524),
    [anon_sym__Atomic] = ACTIONS(5524),
    [anon_sym__Noreturn] = ACTIONS(5524),
    [anon_sym_noreturn] = ACTIONS(5524),
    [anon_sym_mutable] = ACTIONS(5524),
    [anon_sym_constinit] = ACTIONS(5524),
    [anon_sym_consteval] = ACTIONS(5524),
    [sym_primitive_type] = ACTIONS(5524),
    [anon_sym_enum] = ACTIONS(5524),
    [anon_sym_class] = ACTIONS(5524),
    [anon_sym_struct] = ACTIONS(5524),
    [anon_sym_union] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
    [anon_sym_virtual] = ACTIONS(5524),
    [anon_sym_alignas] = ACTIONS(5524),
    [anon_sym_explicit] = ACTIONS(5524),
    [anon_sym_typename] = ACTIONS(5524),
    [anon_sym_template] = ACTIONS(5524),
    [anon_sym_operator] = ACTIONS(5524),
    [anon_sym_friend] = ACTIONS(5524),
    [anon_sym_public] = ACTIONS(5524),
    [anon_sym_private] = ACTIONS(5524),
    [anon_sym_protected] = ACTIONS(5524),
    [anon_sym_using] = ACTIONS(5524),
    [anon_sym_static_assert] = ACTIONS(5524),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(5528),
    [aux_sym_preproc_def_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5528),
    [sym_preproc_directive] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_TILDE] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5528),
    [anon_sym_typedef] = ACTIONS(5528),
    [anon_sym_extern] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym_COLON_COLON] = ACTIONS(5530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5530),
    [anon_sym___declspec] = ACTIONS(5528),
    [anon_sym___based] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5528),
    [anon_sym_unsigned] = ACTIONS(5528),
    [anon_sym_long] = ACTIONS(5528),
    [anon_sym_short] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_static] = ACTIONS(5528),
    [anon_sym_register] = ACTIONS(5528),
    [anon_sym_inline] = ACTIONS(5528),
    [anon_sym___inline] = ACTIONS(5528),
    [anon_sym___inline__] = ACTIONS(5528),
    [anon_sym___forceinline] = ACTIONS(5528),
    [anon_sym_thread_local] = ACTIONS(5528),
    [anon_sym___thread] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5528),
    [anon_sym_constexpr] = ACTIONS(5528),
    [anon_sym_volatile] = ACTIONS(5528),
    [anon_sym_restrict] = ACTIONS(5528),
    [anon_sym___restrict__] = ACTIONS(5528),
    [anon_sym__Atomic] = ACTIONS(5528),
    [anon_sym__Noreturn] = ACTIONS(5528),
    [anon_sym_noreturn] = ACTIONS(5528),
    [anon_sym_mutable] = ACTIONS(5528),
    [anon_sym_constinit] = ACTIONS(5528),
    [anon_sym_consteval] = ACTIONS(5528),
    [sym_primitive_type] = ACTIONS(5528),
    [anon_sym_enum] = ACTIONS(5528),
    [anon_sym_class] = ACTIONS(5528),
    [anon_sym_struct] = ACTIONS(5528),
    [anon_sym_union] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
    [anon_sym_virtual] = ACTIONS(5528),
    [anon_sym_alignas] = ACTIONS(5528),
    [anon_sym_explicit] = ACTIONS(5528),
    [anon_sym_typename] = ACTIONS(5528),
    [anon_sym_template] = ACTIONS(5528),
    [anon_sym_operator] = ACTIONS(5528),
    [anon_sym_friend] = ACTIONS(5528),
    [anon_sym_public] = ACTIONS(5528),
    [anon_sym_private] = ACTIONS(5528),
    [anon_sym_protected] = ACTIONS(5528),
    [anon_sym_using] = ACTIONS(5528),
    [anon_sym_static_assert] = ACTIONS(5528),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_friend] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_friend] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [aux_sym_preproc_if_token2] = ACTIONS(5077),
    [aux_sym_preproc_else_token1] = ACTIONS(5077),
    [aux_sym_preproc_elif_token1] = ACTIONS(5075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_RBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_friend] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
  },
  [2171] = {
    [sym_string_literal] = STATE(2025),
    [sym_template_argument_list] = STATE(2673),
    [sym_raw_string_literal] = STATE(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5227),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_friend] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5548),
    [aux_sym_preproc_def_token1] = ACTIONS(5548),
    [aux_sym_preproc_if_token1] = ACTIONS(5548),
    [aux_sym_preproc_if_token2] = ACTIONS(5548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5548),
    [sym_preproc_directive] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_TILDE] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym___extension__] = ACTIONS(5548),
    [anon_sym_typedef] = ACTIONS(5548),
    [anon_sym_extern] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_COLON_COLON] = ACTIONS(5550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5550),
    [anon_sym___declspec] = ACTIONS(5548),
    [anon_sym___based] = ACTIONS(5548),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_static] = ACTIONS(5548),
    [anon_sym_register] = ACTIONS(5548),
    [anon_sym_inline] = ACTIONS(5548),
    [anon_sym___inline] = ACTIONS(5548),
    [anon_sym___inline__] = ACTIONS(5548),
    [anon_sym___forceinline] = ACTIONS(5548),
    [anon_sym_thread_local] = ACTIONS(5548),
    [anon_sym___thread] = ACTIONS(5548),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5548),
    [anon_sym_volatile] = ACTIONS(5548),
    [anon_sym_restrict] = ACTIONS(5548),
    [anon_sym___restrict__] = ACTIONS(5548),
    [anon_sym__Atomic] = ACTIONS(5548),
    [anon_sym__Noreturn] = ACTIONS(5548),
    [anon_sym_noreturn] = ACTIONS(5548),
    [anon_sym_mutable] = ACTIONS(5548),
    [anon_sym_constinit] = ACTIONS(5548),
    [anon_sym_consteval] = ACTIONS(5548),
    [sym_primitive_type] = ACTIONS(5548),
    [anon_sym_enum] = ACTIONS(5548),
    [anon_sym_class] = ACTIONS(5548),
    [anon_sym_struct] = ACTIONS(5548),
    [anon_sym_union] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
    [anon_sym_virtual] = ACTIONS(5548),
    [anon_sym_alignas] = ACTIONS(5548),
    [anon_sym_explicit] = ACTIONS(5548),
    [anon_sym_typename] = ACTIONS(5548),
    [anon_sym_template] = ACTIONS(5548),
    [anon_sym_operator] = ACTIONS(5548),
    [anon_sym_friend] = ACTIONS(5548),
    [anon_sym_public] = ACTIONS(5548),
    [anon_sym_private] = ACTIONS(5548),
    [anon_sym_protected] = ACTIONS(5548),
    [anon_sym_using] = ACTIONS(5548),
    [anon_sym_static_assert] = ACTIONS(5548),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(5552),
    [aux_sym_preproc_def_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [sym_preproc_directive] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5554),
    [anon_sym_TILDE] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5552),
    [anon_sym_typedef] = ACTIONS(5552),
    [anon_sym_extern] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5552),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5554),
    [anon_sym___declspec] = ACTIONS(5552),
    [anon_sym___based] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_static] = ACTIONS(5552),
    [anon_sym_register] = ACTIONS(5552),
    [anon_sym_inline] = ACTIONS(5552),
    [anon_sym___inline] = ACTIONS(5552),
    [anon_sym___inline__] = ACTIONS(5552),
    [anon_sym___forceinline] = ACTIONS(5552),
    [anon_sym_thread_local] = ACTIONS(5552),
    [anon_sym___thread] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5552),
    [anon_sym_constexpr] = ACTIONS(5552),
    [anon_sym_volatile] = ACTIONS(5552),
    [anon_sym_restrict] = ACTIONS(5552),
    [anon_sym___restrict__] = ACTIONS(5552),
    [anon_sym__Atomic] = ACTIONS(5552),
    [anon_sym__Noreturn] = ACTIONS(5552),
    [anon_sym_noreturn] = ACTIONS(5552),
    [anon_sym_mutable] = ACTIONS(5552),
    [anon_sym_constinit] = ACTIONS(5552),
    [anon_sym_consteval] = ACTIONS(5552),
    [sym_primitive_type] = ACTIONS(5552),
    [anon_sym_enum] = ACTIONS(5552),
    [anon_sym_class] = ACTIONS(5552),
    [anon_sym_struct] = ACTIONS(5552),
    [anon_sym_union] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5552),
    [anon_sym_decltype] = ACTIONS(5552),
    [anon_sym_virtual] = ACTIONS(5552),
    [anon_sym_alignas] = ACTIONS(5552),
    [anon_sym_explicit] = ACTIONS(5552),
    [anon_sym_typename] = ACTIONS(5552),
    [anon_sym_template] = ACTIONS(5552),
    [anon_sym_operator] = ACTIONS(5552),
    [anon_sym_friend] = ACTIONS(5552),
    [anon_sym_public] = ACTIONS(5552),
    [anon_sym_private] = ACTIONS(5552),
    [anon_sym_protected] = ACTIONS(5552),
    [anon_sym_using] = ACTIONS(5552),
    [anon_sym_static_assert] = ACTIONS(5552),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3289),
    [aux_sym_preproc_elif_token1] = ACTIONS(3289),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_friend] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5558),
    [anon_sym_TILDE] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5556),
    [anon_sym_typedef] = ACTIONS(5556),
    [anon_sym_extern] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5556),
    [anon_sym_COLON_COLON] = ACTIONS(5558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5558),
    [anon_sym___declspec] = ACTIONS(5556),
    [anon_sym___based] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_static] = ACTIONS(5556),
    [anon_sym_register] = ACTIONS(5556),
    [anon_sym_inline] = ACTIONS(5556),
    [anon_sym___inline] = ACTIONS(5556),
    [anon_sym___inline__] = ACTIONS(5556),
    [anon_sym___forceinline] = ACTIONS(5556),
    [anon_sym_thread_local] = ACTIONS(5556),
    [anon_sym___thread] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5556),
    [anon_sym_constexpr] = ACTIONS(5556),
    [anon_sym_volatile] = ACTIONS(5556),
    [anon_sym_restrict] = ACTIONS(5556),
    [anon_sym___restrict__] = ACTIONS(5556),
    [anon_sym__Atomic] = ACTIONS(5556),
    [anon_sym__Noreturn] = ACTIONS(5556),
    [anon_sym_noreturn] = ACTIONS(5556),
    [anon_sym_mutable] = ACTIONS(5556),
    [anon_sym_constinit] = ACTIONS(5556),
    [anon_sym_consteval] = ACTIONS(5556),
    [sym_primitive_type] = ACTIONS(5556),
    [anon_sym_enum] = ACTIONS(5556),
    [anon_sym_class] = ACTIONS(5556),
    [anon_sym_struct] = ACTIONS(5556),
    [anon_sym_union] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5556),
    [anon_sym_decltype] = ACTIONS(5556),
    [anon_sym_virtual] = ACTIONS(5556),
    [anon_sym_alignas] = ACTIONS(5556),
    [anon_sym_explicit] = ACTIONS(5556),
    [anon_sym_typename] = ACTIONS(5556),
    [anon_sym_template] = ACTIONS(5556),
    [anon_sym_operator] = ACTIONS(5556),
    [anon_sym_friend] = ACTIONS(5556),
    [anon_sym_public] = ACTIONS(5556),
    [anon_sym_private] = ACTIONS(5556),
    [anon_sym_protected] = ACTIONS(5556),
    [anon_sym_using] = ACTIONS(5556),
    [anon_sym_static_assert] = ACTIONS(5556),
  },
  [2177] = {
    [sym_string_literal] = STATE(2025),
    [sym_template_argument_list] = STATE(3209),
    [sym_raw_string_literal] = STATE(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5563),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2162),
    [anon_sym_u_DQUOTE] = ACTIONS(2162),
    [anon_sym_U_DQUOTE] = ACTIONS(2162),
    [anon_sym_u8_DQUOTE] = ACTIONS(2162),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2172),
    [anon_sym_LR_DQUOTE] = ACTIONS(2172),
    [anon_sym_uR_DQUOTE] = ACTIONS(2172),
    [anon_sym_UR_DQUOTE] = ACTIONS(2172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2172),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(5569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5571),
    [anon_sym_COMMA] = ACTIONS(5571),
    [anon_sym_RPAREN] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_DASH] = ACTIONS(5569),
    [anon_sym_PLUS] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_SLASH] = ACTIONS(5569),
    [anon_sym_PERCENT] = ACTIONS(5571),
    [anon_sym_PIPE_PIPE] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_PIPE] = ACTIONS(5569),
    [anon_sym_CARET] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_EQ_EQ] = ACTIONS(5571),
    [anon_sym_BANG_EQ] = ACTIONS(5571),
    [anon_sym_GT] = ACTIONS(5569),
    [anon_sym_GT_EQ] = ACTIONS(5571),
    [anon_sym_LT_EQ] = ACTIONS(5569),
    [anon_sym_LT] = ACTIONS(5569),
    [anon_sym_LT_LT] = ACTIONS(5571),
    [anon_sym_GT_GT] = ACTIONS(5571),
    [anon_sym_SEMI] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5569),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5569),
    [anon_sym_LBRACE] = ACTIONS(5571),
    [anon_sym_RBRACE] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5569),
    [anon_sym_unsigned] = ACTIONS(5569),
    [anon_sym_long] = ACTIONS(5569),
    [anon_sym_short] = ACTIONS(5569),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5569),
    [anon_sym_constexpr] = ACTIONS(5569),
    [anon_sym_volatile] = ACTIONS(5569),
    [anon_sym_restrict] = ACTIONS(5569),
    [anon_sym___restrict__] = ACTIONS(5569),
    [anon_sym__Atomic] = ACTIONS(5569),
    [anon_sym__Noreturn] = ACTIONS(5569),
    [anon_sym_noreturn] = ACTIONS(5569),
    [anon_sym_mutable] = ACTIONS(5569),
    [anon_sym_constinit] = ACTIONS(5569),
    [anon_sym_consteval] = ACTIONS(5569),
    [sym_primitive_type] = ACTIONS(5569),
    [anon_sym_COLON] = ACTIONS(5569),
    [anon_sym_QMARK] = ACTIONS(5571),
    [anon_sym_LT_EQ_GT] = ACTIONS(5571),
    [anon_sym_or] = ACTIONS(5569),
    [anon_sym_and] = ACTIONS(5569),
    [anon_sym_bitor] = ACTIONS(5569),
    [anon_sym_xor] = ACTIONS(5569),
    [anon_sym_bitand] = ACTIONS(5569),
    [anon_sym_not_eq] = ACTIONS(5569),
    [anon_sym_DASH_DASH] = ACTIONS(5571),
    [anon_sym_PLUS_PLUS] = ACTIONS(5571),
    [anon_sym_DOT] = ACTIONS(5569),
    [anon_sym_DOT_STAR] = ACTIONS(5571),
    [anon_sym_DASH_GT] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_final] = ACTIONS(5569),
    [anon_sym_override] = ACTIONS(5569),
    [anon_sym_requires] = ACTIONS(5569),
  },
  [2179] = {
    [sym_string_literal] = STATE(2310),
    [sym_template_argument_list] = STATE(3435),
    [sym_raw_string_literal] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5102),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [sym_primitive_type] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [aux_sym_preproc_else_token1] = ACTIONS(5577),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [sym_primitive_type] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5073),
    [anon_sym_COMMA] = ACTIONS(5073),
    [anon_sym_RPAREN] = ACTIONS(5073),
    [aux_sym_preproc_if_token2] = ACTIONS(5073),
    [aux_sym_preproc_else_token1] = ACTIONS(5073),
    [aux_sym_preproc_elif_token1] = ACTIONS(5071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5073),
    [anon_sym_LPAREN2] = ACTIONS(5073),
    [anon_sym_DASH] = ACTIONS(5071),
    [anon_sym_PLUS] = ACTIONS(5071),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_SLASH] = ACTIONS(5071),
    [anon_sym_PERCENT] = ACTIONS(5071),
    [anon_sym_PIPE_PIPE] = ACTIONS(5073),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_PIPE] = ACTIONS(5071),
    [anon_sym_CARET] = ACTIONS(5071),
    [anon_sym_AMP] = ACTIONS(5071),
    [anon_sym_EQ_EQ] = ACTIONS(5073),
    [anon_sym_BANG_EQ] = ACTIONS(5073),
    [anon_sym_GT] = ACTIONS(5071),
    [anon_sym_GT_EQ] = ACTIONS(5073),
    [anon_sym_LT_EQ] = ACTIONS(5071),
    [anon_sym_LT] = ACTIONS(5071),
    [anon_sym_LT_LT] = ACTIONS(5071),
    [anon_sym_GT_GT] = ACTIONS(5071),
    [anon_sym_SEMI] = ACTIONS(5073),
    [anon_sym___attribute__] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(5073),
    [anon_sym_LBRACE] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5073),
    [anon_sym_RBRACK] = ACTIONS(5073),
    [anon_sym_EQ] = ACTIONS(5071),
    [anon_sym_COLON] = ACTIONS(5071),
    [anon_sym_QMARK] = ACTIONS(5073),
    [anon_sym_STAR_EQ] = ACTIONS(5073),
    [anon_sym_SLASH_EQ] = ACTIONS(5073),
    [anon_sym_PERCENT_EQ] = ACTIONS(5073),
    [anon_sym_PLUS_EQ] = ACTIONS(5073),
    [anon_sym_DASH_EQ] = ACTIONS(5073),
    [anon_sym_LT_LT_EQ] = ACTIONS(5073),
    [anon_sym_GT_GT_EQ] = ACTIONS(5073),
    [anon_sym_AMP_EQ] = ACTIONS(5073),
    [anon_sym_CARET_EQ] = ACTIONS(5073),
    [anon_sym_PIPE_EQ] = ACTIONS(5073),
    [anon_sym_and_eq] = ACTIONS(5071),
    [anon_sym_or_eq] = ACTIONS(5071),
    [anon_sym_xor_eq] = ACTIONS(5071),
    [anon_sym_LT_EQ_GT] = ACTIONS(5073),
    [anon_sym_or] = ACTIONS(5071),
    [anon_sym_and] = ACTIONS(5071),
    [anon_sym_bitor] = ACTIONS(5071),
    [anon_sym_xor] = ACTIONS(5071),
    [anon_sym_bitand] = ACTIONS(5071),
    [anon_sym_not_eq] = ACTIONS(5071),
    [anon_sym_DASH_DASH] = ACTIONS(5073),
    [anon_sym_PLUS_PLUS] = ACTIONS(5073),
    [anon_sym_DOT] = ACTIONS(5071),
    [anon_sym_DOT_STAR] = ACTIONS(5073),
    [anon_sym_DASH_GT] = ACTIONS(5073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5071),
    [anon_sym_decltype] = ACTIONS(5071),
    [anon_sym_final] = ACTIONS(5071),
    [anon_sym_override] = ACTIONS(5071),
  },
  [2183] = {
    [sym_string_literal] = STATE(2310),
    [sym_template_argument_list] = STATE(3469),
    [sym_raw_string_literal] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5127),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5583),
    [anon_sym_COMMA] = ACTIONS(5583),
    [anon_sym_RPAREN] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_DASH] = ACTIONS(5581),
    [anon_sym_PLUS] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5583),
    [anon_sym_SLASH] = ACTIONS(5581),
    [anon_sym_PERCENT] = ACTIONS(5583),
    [anon_sym_PIPE_PIPE] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_PIPE] = ACTIONS(5581),
    [anon_sym_CARET] = ACTIONS(5583),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym_EQ_EQ] = ACTIONS(5583),
    [anon_sym_BANG_EQ] = ACTIONS(5583),
    [anon_sym_GT] = ACTIONS(5581),
    [anon_sym_GT_EQ] = ACTIONS(5583),
    [anon_sym_LT_EQ] = ACTIONS(5581),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(5583),
    [anon_sym_GT_GT] = ACTIONS(5583),
    [anon_sym_SEMI] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5581),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(5583),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5581),
    [anon_sym_unsigned] = ACTIONS(5581),
    [anon_sym_long] = ACTIONS(5581),
    [anon_sym_short] = ACTIONS(5581),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5581),
    [anon_sym_constexpr] = ACTIONS(5581),
    [anon_sym_volatile] = ACTIONS(5581),
    [anon_sym_restrict] = ACTIONS(5581),
    [anon_sym___restrict__] = ACTIONS(5581),
    [anon_sym__Atomic] = ACTIONS(5581),
    [anon_sym__Noreturn] = ACTIONS(5581),
    [anon_sym_noreturn] = ACTIONS(5581),
    [anon_sym_mutable] = ACTIONS(5581),
    [anon_sym_constinit] = ACTIONS(5581),
    [anon_sym_consteval] = ACTIONS(5581),
    [sym_primitive_type] = ACTIONS(5581),
    [anon_sym_COLON] = ACTIONS(5581),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LT_EQ_GT] = ACTIONS(5583),
    [anon_sym_or] = ACTIONS(5581),
    [anon_sym_and] = ACTIONS(5581),
    [anon_sym_bitor] = ACTIONS(5581),
    [anon_sym_xor] = ACTIONS(5581),
    [anon_sym_bitand] = ACTIONS(5581),
    [anon_sym_not_eq] = ACTIONS(5581),
    [anon_sym_DASH_DASH] = ACTIONS(5583),
    [anon_sym_PLUS_PLUS] = ACTIONS(5583),
    [anon_sym_DOT] = ACTIONS(5581),
    [anon_sym_DOT_STAR] = ACTIONS(5583),
    [anon_sym_DASH_GT] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_final] = ACTIONS(5581),
    [anon_sym_override] = ACTIONS(5581),
    [anon_sym_requires] = ACTIONS(5581),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5585),
    [aux_sym_preproc_def_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token2] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5585),
    [aux_sym_preproc_else_token1] = ACTIONS(5585),
    [aux_sym_preproc_elif_token1] = ACTIONS(5585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5585),
    [sym_preproc_directive] = ACTIONS(5585),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_TILDE] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym_typedef] = ACTIONS(5585),
    [anon_sym_extern] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5587),
    [anon_sym___declspec] = ACTIONS(5585),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5585),
    [anon_sym_static] = ACTIONS(5585),
    [anon_sym_register] = ACTIONS(5585),
    [anon_sym_inline] = ACTIONS(5585),
    [anon_sym___inline] = ACTIONS(5585),
    [anon_sym___inline__] = ACTIONS(5585),
    [anon_sym___forceinline] = ACTIONS(5585),
    [anon_sym_thread_local] = ACTIONS(5585),
    [anon_sym___thread] = ACTIONS(5585),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [sym_primitive_type] = ACTIONS(5585),
    [anon_sym_enum] = ACTIONS(5585),
    [anon_sym_class] = ACTIONS(5585),
    [anon_sym_struct] = ACTIONS(5585),
    [anon_sym_union] = ACTIONS(5585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_virtual] = ACTIONS(5585),
    [anon_sym_alignas] = ACTIONS(5585),
    [anon_sym_explicit] = ACTIONS(5585),
    [anon_sym_typename] = ACTIONS(5585),
    [anon_sym_template] = ACTIONS(5585),
    [anon_sym_operator] = ACTIONS(5585),
    [anon_sym_friend] = ACTIONS(5585),
    [anon_sym_public] = ACTIONS(5585),
    [anon_sym_private] = ACTIONS(5585),
    [anon_sym_protected] = ACTIONS(5585),
    [anon_sym_using] = ACTIONS(5585),
    [anon_sym_static_assert] = ACTIONS(5585),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(5585),
    [aux_sym_preproc_def_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token2] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5585),
    [aux_sym_preproc_else_token1] = ACTIONS(5585),
    [aux_sym_preproc_elif_token1] = ACTIONS(5585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5585),
    [sym_preproc_directive] = ACTIONS(5585),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_TILDE] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym_typedef] = ACTIONS(5585),
    [anon_sym_extern] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5587),
    [anon_sym___declspec] = ACTIONS(5585),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5585),
    [anon_sym_static] = ACTIONS(5585),
    [anon_sym_register] = ACTIONS(5585),
    [anon_sym_inline] = ACTIONS(5585),
    [anon_sym___inline] = ACTIONS(5585),
    [anon_sym___inline__] = ACTIONS(5585),
    [anon_sym___forceinline] = ACTIONS(5585),
    [anon_sym_thread_local] = ACTIONS(5585),
    [anon_sym___thread] = ACTIONS(5585),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [sym_primitive_type] = ACTIONS(5585),
    [anon_sym_enum] = ACTIONS(5585),
    [anon_sym_class] = ACTIONS(5585),
    [anon_sym_struct] = ACTIONS(5585),
    [anon_sym_union] = ACTIONS(5585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_virtual] = ACTIONS(5585),
    [anon_sym_alignas] = ACTIONS(5585),
    [anon_sym_explicit] = ACTIONS(5585),
    [anon_sym_typename] = ACTIONS(5585),
    [anon_sym_template] = ACTIONS(5585),
    [anon_sym_operator] = ACTIONS(5585),
    [anon_sym_friend] = ACTIONS(5585),
    [anon_sym_public] = ACTIONS(5585),
    [anon_sym_private] = ACTIONS(5585),
    [anon_sym_protected] = ACTIONS(5585),
    [anon_sym_using] = ACTIONS(5585),
    [anon_sym_static_assert] = ACTIONS(5585),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [sym_primitive_type] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [sym_primitive_type] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5597),
    [aux_sym_preproc_def_token1] = ACTIONS(5597),
    [aux_sym_preproc_if_token1] = ACTIONS(5597),
    [aux_sym_preproc_if_token2] = ACTIONS(5597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5597),
    [aux_sym_preproc_else_token1] = ACTIONS(5597),
    [aux_sym_preproc_elif_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5597),
    [sym_preproc_directive] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(5599),
    [anon_sym_STAR] = ACTIONS(5599),
    [anon_sym_AMP_AMP] = ACTIONS(5599),
    [anon_sym_AMP] = ACTIONS(5597),
    [anon_sym___extension__] = ACTIONS(5597),
    [anon_sym_typedef] = ACTIONS(5597),
    [anon_sym_extern] = ACTIONS(5597),
    [anon_sym___attribute__] = ACTIONS(5597),
    [anon_sym_COLON_COLON] = ACTIONS(5599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5599),
    [anon_sym___declspec] = ACTIONS(5597),
    [anon_sym___based] = ACTIONS(5597),
    [anon_sym_signed] = ACTIONS(5597),
    [anon_sym_unsigned] = ACTIONS(5597),
    [anon_sym_long] = ACTIONS(5597),
    [anon_sym_short] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_static] = ACTIONS(5597),
    [anon_sym_register] = ACTIONS(5597),
    [anon_sym_inline] = ACTIONS(5597),
    [anon_sym___inline] = ACTIONS(5597),
    [anon_sym___inline__] = ACTIONS(5597),
    [anon_sym___forceinline] = ACTIONS(5597),
    [anon_sym_thread_local] = ACTIONS(5597),
    [anon_sym___thread] = ACTIONS(5597),
    [anon_sym_const] = ACTIONS(5597),
    [anon_sym_constexpr] = ACTIONS(5597),
    [anon_sym_volatile] = ACTIONS(5597),
    [anon_sym_restrict] = ACTIONS(5597),
    [anon_sym___restrict__] = ACTIONS(5597),
    [anon_sym__Atomic] = ACTIONS(5597),
    [anon_sym__Noreturn] = ACTIONS(5597),
    [anon_sym_noreturn] = ACTIONS(5597),
    [anon_sym_mutable] = ACTIONS(5597),
    [anon_sym_constinit] = ACTIONS(5597),
    [anon_sym_consteval] = ACTIONS(5597),
    [sym_primitive_type] = ACTIONS(5597),
    [anon_sym_enum] = ACTIONS(5597),
    [anon_sym_class] = ACTIONS(5597),
    [anon_sym_struct] = ACTIONS(5597),
    [anon_sym_union] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5597),
    [anon_sym_decltype] = ACTIONS(5597),
    [anon_sym_virtual] = ACTIONS(5597),
    [anon_sym_alignas] = ACTIONS(5597),
    [anon_sym_explicit] = ACTIONS(5597),
    [anon_sym_typename] = ACTIONS(5597),
    [anon_sym_template] = ACTIONS(5597),
    [anon_sym_operator] = ACTIONS(5597),
    [anon_sym_friend] = ACTIONS(5597),
    [anon_sym_public] = ACTIONS(5597),
    [anon_sym_private] = ACTIONS(5597),
    [anon_sym_protected] = ACTIONS(5597),
    [anon_sym_using] = ACTIONS(5597),
    [anon_sym_static_assert] = ACTIONS(5597),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [aux_sym_preproc_else_token1] = ACTIONS(3228),
    [aux_sym_preproc_elif_token1] = ACTIONS(3228),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_friend] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [aux_sym_preproc_else_token1] = ACTIONS(3224),
    [aux_sym_preproc_elif_token1] = ACTIONS(3224),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_friend] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_friend] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_friend] = ACTIONS(2907),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5601),
    [aux_sym_preproc_def_token1] = ACTIONS(5601),
    [aux_sym_preproc_if_token1] = ACTIONS(5601),
    [aux_sym_preproc_if_token2] = ACTIONS(5601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5601),
    [aux_sym_preproc_else_token1] = ACTIONS(5601),
    [aux_sym_preproc_elif_token1] = ACTIONS(5601),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5601),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5601),
    [sym_preproc_directive] = ACTIONS(5601),
    [anon_sym_LPAREN2] = ACTIONS(5603),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_STAR] = ACTIONS(5603),
    [anon_sym_AMP_AMP] = ACTIONS(5603),
    [anon_sym_AMP] = ACTIONS(5601),
    [anon_sym___extension__] = ACTIONS(5601),
    [anon_sym_typedef] = ACTIONS(5601),
    [anon_sym_extern] = ACTIONS(5601),
    [anon_sym___attribute__] = ACTIONS(5601),
    [anon_sym_COLON_COLON] = ACTIONS(5603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5603),
    [anon_sym___declspec] = ACTIONS(5601),
    [anon_sym___based] = ACTIONS(5601),
    [anon_sym_signed] = ACTIONS(5601),
    [anon_sym_unsigned] = ACTIONS(5601),
    [anon_sym_long] = ACTIONS(5601),
    [anon_sym_short] = ACTIONS(5601),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_static] = ACTIONS(5601),
    [anon_sym_register] = ACTIONS(5601),
    [anon_sym_inline] = ACTIONS(5601),
    [anon_sym___inline] = ACTIONS(5601),
    [anon_sym___inline__] = ACTIONS(5601),
    [anon_sym___forceinline] = ACTIONS(5601),
    [anon_sym_thread_local] = ACTIONS(5601),
    [anon_sym___thread] = ACTIONS(5601),
    [anon_sym_const] = ACTIONS(5601),
    [anon_sym_constexpr] = ACTIONS(5601),
    [anon_sym_volatile] = ACTIONS(5601),
    [anon_sym_restrict] = ACTIONS(5601),
    [anon_sym___restrict__] = ACTIONS(5601),
    [anon_sym__Atomic] = ACTIONS(5601),
    [anon_sym__Noreturn] = ACTIONS(5601),
    [anon_sym_noreturn] = ACTIONS(5601),
    [anon_sym_mutable] = ACTIONS(5601),
    [anon_sym_constinit] = ACTIONS(5601),
    [anon_sym_consteval] = ACTIONS(5601),
    [sym_primitive_type] = ACTIONS(5601),
    [anon_sym_enum] = ACTIONS(5601),
    [anon_sym_class] = ACTIONS(5601),
    [anon_sym_struct] = ACTIONS(5601),
    [anon_sym_union] = ACTIONS(5601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5601),
    [anon_sym_decltype] = ACTIONS(5601),
    [anon_sym_virtual] = ACTIONS(5601),
    [anon_sym_alignas] = ACTIONS(5601),
    [anon_sym_explicit] = ACTIONS(5601),
    [anon_sym_typename] = ACTIONS(5601),
    [anon_sym_template] = ACTIONS(5601),
    [anon_sym_operator] = ACTIONS(5601),
    [anon_sym_friend] = ACTIONS(5601),
    [anon_sym_public] = ACTIONS(5601),
    [anon_sym_private] = ACTIONS(5601),
    [anon_sym_protected] = ACTIONS(5601),
    [anon_sym_using] = ACTIONS(5601),
    [anon_sym_static_assert] = ACTIONS(5601),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_friend] = ACTIONS(2887),
    [anon_sym_public] = ACTIONS(2887),
    [anon_sym_private] = ACTIONS(2887),
    [anon_sym_protected] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_friend] = ACTIONS(2887),
    [anon_sym_public] = ACTIONS(2887),
    [anon_sym_private] = ACTIONS(2887),
    [anon_sym_protected] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_friend] = ACTIONS(2895),
    [anon_sym_public] = ACTIONS(2895),
    [anon_sym_private] = ACTIONS(2895),
    [anon_sym_protected] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_friend] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5605),
    [aux_sym_preproc_def_token1] = ACTIONS(5605),
    [aux_sym_preproc_if_token1] = ACTIONS(5605),
    [aux_sym_preproc_if_token2] = ACTIONS(5605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5605),
    [aux_sym_preproc_else_token1] = ACTIONS(5605),
    [aux_sym_preproc_elif_token1] = ACTIONS(5605),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5605),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5605),
    [sym_preproc_directive] = ACTIONS(5605),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(5607),
    [anon_sym_STAR] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_AMP] = ACTIONS(5605),
    [anon_sym___extension__] = ACTIONS(5605),
    [anon_sym_typedef] = ACTIONS(5605),
    [anon_sym_extern] = ACTIONS(5605),
    [anon_sym___attribute__] = ACTIONS(5605),
    [anon_sym_COLON_COLON] = ACTIONS(5607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5607),
    [anon_sym___declspec] = ACTIONS(5605),
    [anon_sym___based] = ACTIONS(5605),
    [anon_sym_signed] = ACTIONS(5605),
    [anon_sym_unsigned] = ACTIONS(5605),
    [anon_sym_long] = ACTIONS(5605),
    [anon_sym_short] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_static] = ACTIONS(5605),
    [anon_sym_register] = ACTIONS(5605),
    [anon_sym_inline] = ACTIONS(5605),
    [anon_sym___inline] = ACTIONS(5605),
    [anon_sym___inline__] = ACTIONS(5605),
    [anon_sym___forceinline] = ACTIONS(5605),
    [anon_sym_thread_local] = ACTIONS(5605),
    [anon_sym___thread] = ACTIONS(5605),
    [anon_sym_const] = ACTIONS(5605),
    [anon_sym_constexpr] = ACTIONS(5605),
    [anon_sym_volatile] = ACTIONS(5605),
    [anon_sym_restrict] = ACTIONS(5605),
    [anon_sym___restrict__] = ACTIONS(5605),
    [anon_sym__Atomic] = ACTIONS(5605),
    [anon_sym__Noreturn] = ACTIONS(5605),
    [anon_sym_noreturn] = ACTIONS(5605),
    [anon_sym_mutable] = ACTIONS(5605),
    [anon_sym_constinit] = ACTIONS(5605),
    [anon_sym_consteval] = ACTIONS(5605),
    [sym_primitive_type] = ACTIONS(5605),
    [anon_sym_enum] = ACTIONS(5605),
    [anon_sym_class] = ACTIONS(5605),
    [anon_sym_struct] = ACTIONS(5605),
    [anon_sym_union] = ACTIONS(5605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5605),
    [anon_sym_decltype] = ACTIONS(5605),
    [anon_sym_virtual] = ACTIONS(5605),
    [anon_sym_alignas] = ACTIONS(5605),
    [anon_sym_explicit] = ACTIONS(5605),
    [anon_sym_typename] = ACTIONS(5605),
    [anon_sym_template] = ACTIONS(5605),
    [anon_sym_operator] = ACTIONS(5605),
    [anon_sym_friend] = ACTIONS(5605),
    [anon_sym_public] = ACTIONS(5605),
    [anon_sym_private] = ACTIONS(5605),
    [anon_sym_protected] = ACTIONS(5605),
    [anon_sym_using] = ACTIONS(5605),
    [anon_sym_static_assert] = ACTIONS(5605),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5609),
    [aux_sym_preproc_def_token1] = ACTIONS(5609),
    [aux_sym_preproc_if_token1] = ACTIONS(5609),
    [aux_sym_preproc_if_token2] = ACTIONS(5609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5609),
    [aux_sym_preproc_else_token1] = ACTIONS(5609),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5609),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5609),
    [sym_preproc_directive] = ACTIONS(5609),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_TILDE] = ACTIONS(5611),
    [anon_sym_STAR] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym___extension__] = ACTIONS(5609),
    [anon_sym_typedef] = ACTIONS(5609),
    [anon_sym_extern] = ACTIONS(5609),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym_COLON_COLON] = ACTIONS(5611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5611),
    [anon_sym___declspec] = ACTIONS(5609),
    [anon_sym___based] = ACTIONS(5609),
    [anon_sym_signed] = ACTIONS(5609),
    [anon_sym_unsigned] = ACTIONS(5609),
    [anon_sym_long] = ACTIONS(5609),
    [anon_sym_short] = ACTIONS(5609),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_static] = ACTIONS(5609),
    [anon_sym_register] = ACTIONS(5609),
    [anon_sym_inline] = ACTIONS(5609),
    [anon_sym___inline] = ACTIONS(5609),
    [anon_sym___inline__] = ACTIONS(5609),
    [anon_sym___forceinline] = ACTIONS(5609),
    [anon_sym_thread_local] = ACTIONS(5609),
    [anon_sym___thread] = ACTIONS(5609),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5609),
    [anon_sym_volatile] = ACTIONS(5609),
    [anon_sym_restrict] = ACTIONS(5609),
    [anon_sym___restrict__] = ACTIONS(5609),
    [anon_sym__Atomic] = ACTIONS(5609),
    [anon_sym__Noreturn] = ACTIONS(5609),
    [anon_sym_noreturn] = ACTIONS(5609),
    [anon_sym_mutable] = ACTIONS(5609),
    [anon_sym_constinit] = ACTIONS(5609),
    [anon_sym_consteval] = ACTIONS(5609),
    [sym_primitive_type] = ACTIONS(5609),
    [anon_sym_enum] = ACTIONS(5609),
    [anon_sym_class] = ACTIONS(5609),
    [anon_sym_struct] = ACTIONS(5609),
    [anon_sym_union] = ACTIONS(5609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
    [anon_sym_virtual] = ACTIONS(5609),
    [anon_sym_alignas] = ACTIONS(5609),
    [anon_sym_explicit] = ACTIONS(5609),
    [anon_sym_typename] = ACTIONS(5609),
    [anon_sym_template] = ACTIONS(5609),
    [anon_sym_operator] = ACTIONS(5609),
    [anon_sym_friend] = ACTIONS(5609),
    [anon_sym_public] = ACTIONS(5609),
    [anon_sym_private] = ACTIONS(5609),
    [anon_sym_protected] = ACTIONS(5609),
    [anon_sym_using] = ACTIONS(5609),
    [anon_sym_static_assert] = ACTIONS(5609),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5613),
    [anon_sym_unsigned] = ACTIONS(5613),
    [anon_sym_long] = ACTIONS(5613),
    [anon_sym_short] = ACTIONS(5613),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5613),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [sym_primitive_type] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(5617),
    [aux_sym_preproc_def_token1] = ACTIONS(5617),
    [aux_sym_preproc_if_token1] = ACTIONS(5617),
    [aux_sym_preproc_if_token2] = ACTIONS(5617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5617),
    [aux_sym_preproc_else_token1] = ACTIONS(5617),
    [aux_sym_preproc_elif_token1] = ACTIONS(5617),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5617),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5617),
    [sym_preproc_directive] = ACTIONS(5617),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_TILDE] = ACTIONS(5619),
    [anon_sym_STAR] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym___extension__] = ACTIONS(5617),
    [anon_sym_typedef] = ACTIONS(5617),
    [anon_sym_extern] = ACTIONS(5617),
    [anon_sym___attribute__] = ACTIONS(5617),
    [anon_sym_COLON_COLON] = ACTIONS(5619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5619),
    [anon_sym___declspec] = ACTIONS(5617),
    [anon_sym___based] = ACTIONS(5617),
    [anon_sym_signed] = ACTIONS(5617),
    [anon_sym_unsigned] = ACTIONS(5617),
    [anon_sym_long] = ACTIONS(5617),
    [anon_sym_short] = ACTIONS(5617),
    [anon_sym_LBRACK] = ACTIONS(5617),
    [anon_sym_static] = ACTIONS(5617),
    [anon_sym_register] = ACTIONS(5617),
    [anon_sym_inline] = ACTIONS(5617),
    [anon_sym___inline] = ACTIONS(5617),
    [anon_sym___inline__] = ACTIONS(5617),
    [anon_sym___forceinline] = ACTIONS(5617),
    [anon_sym_thread_local] = ACTIONS(5617),
    [anon_sym___thread] = ACTIONS(5617),
    [anon_sym_const] = ACTIONS(5617),
    [anon_sym_constexpr] = ACTIONS(5617),
    [anon_sym_volatile] = ACTIONS(5617),
    [anon_sym_restrict] = ACTIONS(5617),
    [anon_sym___restrict__] = ACTIONS(5617),
    [anon_sym__Atomic] = ACTIONS(5617),
    [anon_sym__Noreturn] = ACTIONS(5617),
    [anon_sym_noreturn] = ACTIONS(5617),
    [anon_sym_mutable] = ACTIONS(5617),
    [anon_sym_constinit] = ACTIONS(5617),
    [anon_sym_consteval] = ACTIONS(5617),
    [sym_primitive_type] = ACTIONS(5617),
    [anon_sym_enum] = ACTIONS(5617),
    [anon_sym_class] = ACTIONS(5617),
    [anon_sym_struct] = ACTIONS(5617),
    [anon_sym_union] = ACTIONS(5617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5617),
    [anon_sym_decltype] = ACTIONS(5617),
    [anon_sym_virtual] = ACTIONS(5617),
    [anon_sym_alignas] = ACTIONS(5617),
    [anon_sym_explicit] = ACTIONS(5617),
    [anon_sym_typename] = ACTIONS(5617),
    [anon_sym_template] = ACTIONS(5617),
    [anon_sym_operator] = ACTIONS(5617),
    [anon_sym_friend] = ACTIONS(5617),
    [anon_sym_public] = ACTIONS(5617),
    [anon_sym_private] = ACTIONS(5617),
    [anon_sym_protected] = ACTIONS(5617),
    [anon_sym_using] = ACTIONS(5617),
    [anon_sym_static_assert] = ACTIONS(5617),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5621),
    [aux_sym_preproc_def_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token2] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5621),
    [aux_sym_preproc_else_token1] = ACTIONS(5621),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5621),
    [sym_preproc_directive] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym_typedef] = ACTIONS(5621),
    [anon_sym_extern] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5623),
    [anon_sym___declspec] = ACTIONS(5621),
    [anon_sym___based] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5621),
    [anon_sym_unsigned] = ACTIONS(5621),
    [anon_sym_long] = ACTIONS(5621),
    [anon_sym_short] = ACTIONS(5621),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_static] = ACTIONS(5621),
    [anon_sym_register] = ACTIONS(5621),
    [anon_sym_inline] = ACTIONS(5621),
    [anon_sym___inline] = ACTIONS(5621),
    [anon_sym___inline__] = ACTIONS(5621),
    [anon_sym___forceinline] = ACTIONS(5621),
    [anon_sym_thread_local] = ACTIONS(5621),
    [anon_sym___thread] = ACTIONS(5621),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [sym_primitive_type] = ACTIONS(5621),
    [anon_sym_enum] = ACTIONS(5621),
    [anon_sym_class] = ACTIONS(5621),
    [anon_sym_struct] = ACTIONS(5621),
    [anon_sym_union] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_virtual] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym_explicit] = ACTIONS(5621),
    [anon_sym_typename] = ACTIONS(5621),
    [anon_sym_template] = ACTIONS(5621),
    [anon_sym_operator] = ACTIONS(5621),
    [anon_sym_friend] = ACTIONS(5621),
    [anon_sym_public] = ACTIONS(5621),
    [anon_sym_private] = ACTIONS(5621),
    [anon_sym_protected] = ACTIONS(5621),
    [anon_sym_using] = ACTIONS(5621),
    [anon_sym_static_assert] = ACTIONS(5621),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5621),
    [aux_sym_preproc_def_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token2] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5621),
    [aux_sym_preproc_else_token1] = ACTIONS(5621),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5621),
    [sym_preproc_directive] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym_typedef] = ACTIONS(5621),
    [anon_sym_extern] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5623),
    [anon_sym___declspec] = ACTIONS(5621),
    [anon_sym___based] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5621),
    [anon_sym_unsigned] = ACTIONS(5621),
    [anon_sym_long] = ACTIONS(5621),
    [anon_sym_short] = ACTIONS(5621),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_static] = ACTIONS(5621),
    [anon_sym_register] = ACTIONS(5621),
    [anon_sym_inline] = ACTIONS(5621),
    [anon_sym___inline] = ACTIONS(5621),
    [anon_sym___inline__] = ACTIONS(5621),
    [anon_sym___forceinline] = ACTIONS(5621),
    [anon_sym_thread_local] = ACTIONS(5621),
    [anon_sym___thread] = ACTIONS(5621),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [sym_primitive_type] = ACTIONS(5621),
    [anon_sym_enum] = ACTIONS(5621),
    [anon_sym_class] = ACTIONS(5621),
    [anon_sym_struct] = ACTIONS(5621),
    [anon_sym_union] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_virtual] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym_explicit] = ACTIONS(5621),
    [anon_sym_typename] = ACTIONS(5621),
    [anon_sym_template] = ACTIONS(5621),
    [anon_sym_operator] = ACTIONS(5621),
    [anon_sym_friend] = ACTIONS(5621),
    [anon_sym_public] = ACTIONS(5621),
    [anon_sym_private] = ACTIONS(5621),
    [anon_sym_protected] = ACTIONS(5621),
    [anon_sym_using] = ACTIONS(5621),
    [anon_sym_static_assert] = ACTIONS(5621),
  },
  [2209] = {
    [sym_template_argument_list] = STATE(2286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5058),
    [anon_sym_COMMA] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5058),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5058),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5065),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5063),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(5625),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym___extension__] = ACTIONS(5061),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_restrict] = ACTIONS(5061),
    [anon_sym___restrict__] = ACTIONS(5061),
    [anon_sym__Atomic] = ACTIONS(5061),
    [anon_sym__Noreturn] = ACTIONS(5061),
    [anon_sym_noreturn] = ACTIONS(5061),
    [anon_sym_mutable] = ACTIONS(5061),
    [anon_sym_constinit] = ACTIONS(5061),
    [anon_sym_consteval] = ACTIONS(5061),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5063),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5056),
    [anon_sym_or_eq] = ACTIONS(5056),
    [anon_sym_xor_eq] = ACTIONS(5056),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5056),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5056),
    [anon_sym_not_eq] = ACTIONS(5056),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5061),
    [anon_sym_decltype] = ACTIONS(5061),
    [anon_sym_GT2] = ACTIONS(5058),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5628),
    [aux_sym_preproc_def_token1] = ACTIONS(5628),
    [aux_sym_preproc_if_token1] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [sym_preproc_directive] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_TILDE] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5628),
    [anon_sym_typedef] = ACTIONS(5628),
    [anon_sym_extern] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5628),
    [anon_sym_COLON_COLON] = ACTIONS(5630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5628),
    [anon_sym___based] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5628),
    [anon_sym_unsigned] = ACTIONS(5628),
    [anon_sym_long] = ACTIONS(5628),
    [anon_sym_short] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_static] = ACTIONS(5628),
    [anon_sym_register] = ACTIONS(5628),
    [anon_sym_inline] = ACTIONS(5628),
    [anon_sym___inline] = ACTIONS(5628),
    [anon_sym___inline__] = ACTIONS(5628),
    [anon_sym___forceinline] = ACTIONS(5628),
    [anon_sym_thread_local] = ACTIONS(5628),
    [anon_sym___thread] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5628),
    [anon_sym_constexpr] = ACTIONS(5628),
    [anon_sym_volatile] = ACTIONS(5628),
    [anon_sym_restrict] = ACTIONS(5628),
    [anon_sym___restrict__] = ACTIONS(5628),
    [anon_sym__Atomic] = ACTIONS(5628),
    [anon_sym__Noreturn] = ACTIONS(5628),
    [anon_sym_noreturn] = ACTIONS(5628),
    [anon_sym_mutable] = ACTIONS(5628),
    [anon_sym_constinit] = ACTIONS(5628),
    [anon_sym_consteval] = ACTIONS(5628),
    [sym_primitive_type] = ACTIONS(5628),
    [anon_sym_enum] = ACTIONS(5628),
    [anon_sym_class] = ACTIONS(5628),
    [anon_sym_struct] = ACTIONS(5628),
    [anon_sym_union] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5628),
    [anon_sym_decltype] = ACTIONS(5628),
    [anon_sym_virtual] = ACTIONS(5628),
    [anon_sym_alignas] = ACTIONS(5628),
    [anon_sym_explicit] = ACTIONS(5628),
    [anon_sym_typename] = ACTIONS(5628),
    [anon_sym_template] = ACTIONS(5628),
    [anon_sym_operator] = ACTIONS(5628),
    [anon_sym_friend] = ACTIONS(5628),
    [anon_sym_public] = ACTIONS(5628),
    [anon_sym_private] = ACTIONS(5628),
    [anon_sym_protected] = ACTIONS(5628),
    [anon_sym_using] = ACTIONS(5628),
    [anon_sym_static_assert] = ACTIONS(5628),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5632),
    [aux_sym_preproc_def_token1] = ACTIONS(5632),
    [aux_sym_preproc_if_token1] = ACTIONS(5632),
    [aux_sym_preproc_if_token2] = ACTIONS(5632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5632),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5632),
    [sym_preproc_directive] = ACTIONS(5632),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5634),
    [anon_sym_AMP_AMP] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5632),
    [anon_sym___extension__] = ACTIONS(5632),
    [anon_sym_typedef] = ACTIONS(5632),
    [anon_sym_extern] = ACTIONS(5632),
    [anon_sym___attribute__] = ACTIONS(5632),
    [anon_sym_COLON_COLON] = ACTIONS(5634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5634),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(5632),
    [anon_sym_signed] = ACTIONS(5632),
    [anon_sym_unsigned] = ACTIONS(5632),
    [anon_sym_long] = ACTIONS(5632),
    [anon_sym_short] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_static] = ACTIONS(5632),
    [anon_sym_register] = ACTIONS(5632),
    [anon_sym_inline] = ACTIONS(5632),
    [anon_sym___inline] = ACTIONS(5632),
    [anon_sym___inline__] = ACTIONS(5632),
    [anon_sym___forceinline] = ACTIONS(5632),
    [anon_sym_thread_local] = ACTIONS(5632),
    [anon_sym___thread] = ACTIONS(5632),
    [anon_sym_const] = ACTIONS(5632),
    [anon_sym_constexpr] = ACTIONS(5632),
    [anon_sym_volatile] = ACTIONS(5632),
    [anon_sym_restrict] = ACTIONS(5632),
    [anon_sym___restrict__] = ACTIONS(5632),
    [anon_sym__Atomic] = ACTIONS(5632),
    [anon_sym__Noreturn] = ACTIONS(5632),
    [anon_sym_noreturn] = ACTIONS(5632),
    [anon_sym_mutable] = ACTIONS(5632),
    [anon_sym_constinit] = ACTIONS(5632),
    [anon_sym_consteval] = ACTIONS(5632),
    [sym_primitive_type] = ACTIONS(5632),
    [anon_sym_enum] = ACTIONS(5632),
    [anon_sym_class] = ACTIONS(5632),
    [anon_sym_struct] = ACTIONS(5632),
    [anon_sym_union] = ACTIONS(5632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5632),
    [anon_sym_decltype] = ACTIONS(5632),
    [anon_sym_virtual] = ACTIONS(5632),
    [anon_sym_alignas] = ACTIONS(5632),
    [anon_sym_explicit] = ACTIONS(5632),
    [anon_sym_typename] = ACTIONS(5632),
    [anon_sym_template] = ACTIONS(5632),
    [anon_sym_operator] = ACTIONS(5632),
    [anon_sym_friend] = ACTIONS(5632),
    [anon_sym_public] = ACTIONS(5632),
    [anon_sym_private] = ACTIONS(5632),
    [anon_sym_protected] = ACTIONS(5632),
    [anon_sym_using] = ACTIONS(5632),
    [anon_sym_static_assert] = ACTIONS(5632),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5636),
    [aux_sym_preproc_def_token1] = ACTIONS(5636),
    [aux_sym_preproc_if_token1] = ACTIONS(5636),
    [aux_sym_preproc_if_token2] = ACTIONS(5636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5636),
    [aux_sym_preproc_else_token1] = ACTIONS(5636),
    [aux_sym_preproc_elif_token1] = ACTIONS(5636),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5636),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5636),
    [sym_preproc_directive] = ACTIONS(5636),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_TILDE] = ACTIONS(5638),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5636),
    [anon_sym___extension__] = ACTIONS(5636),
    [anon_sym_typedef] = ACTIONS(5636),
    [anon_sym_extern] = ACTIONS(5636),
    [anon_sym___attribute__] = ACTIONS(5636),
    [anon_sym_COLON_COLON] = ACTIONS(5638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5638),
    [anon_sym___declspec] = ACTIONS(5636),
    [anon_sym___based] = ACTIONS(5636),
    [anon_sym_signed] = ACTIONS(5636),
    [anon_sym_unsigned] = ACTIONS(5636),
    [anon_sym_long] = ACTIONS(5636),
    [anon_sym_short] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [anon_sym_static] = ACTIONS(5636),
    [anon_sym_register] = ACTIONS(5636),
    [anon_sym_inline] = ACTIONS(5636),
    [anon_sym___inline] = ACTIONS(5636),
    [anon_sym___inline__] = ACTIONS(5636),
    [anon_sym___forceinline] = ACTIONS(5636),
    [anon_sym_thread_local] = ACTIONS(5636),
    [anon_sym___thread] = ACTIONS(5636),
    [anon_sym_const] = ACTIONS(5636),
    [anon_sym_constexpr] = ACTIONS(5636),
    [anon_sym_volatile] = ACTIONS(5636),
    [anon_sym_restrict] = ACTIONS(5636),
    [anon_sym___restrict__] = ACTIONS(5636),
    [anon_sym__Atomic] = ACTIONS(5636),
    [anon_sym__Noreturn] = ACTIONS(5636),
    [anon_sym_noreturn] = ACTIONS(5636),
    [anon_sym_mutable] = ACTIONS(5636),
    [anon_sym_constinit] = ACTIONS(5636),
    [anon_sym_consteval] = ACTIONS(5636),
    [sym_primitive_type] = ACTIONS(5636),
    [anon_sym_enum] = ACTIONS(5636),
    [anon_sym_class] = ACTIONS(5636),
    [anon_sym_struct] = ACTIONS(5636),
    [anon_sym_union] = ACTIONS(5636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5636),
    [anon_sym_decltype] = ACTIONS(5636),
    [anon_sym_virtual] = ACTIONS(5636),
    [anon_sym_alignas] = ACTIONS(5636),
    [anon_sym_explicit] = ACTIONS(5636),
    [anon_sym_typename] = ACTIONS(5636),
    [anon_sym_template] = ACTIONS(5636),
    [anon_sym_operator] = ACTIONS(5636),
    [anon_sym_friend] = ACTIONS(5636),
    [anon_sym_public] = ACTIONS(5636),
    [anon_sym_private] = ACTIONS(5636),
    [anon_sym_protected] = ACTIONS(5636),
    [anon_sym_using] = ACTIONS(5636),
    [anon_sym_static_assert] = ACTIONS(5636),
  },
  [2213] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4446),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_friend] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5096),
    [anon_sym_RPAREN] = ACTIONS(5096),
    [aux_sym_preproc_if_token2] = ACTIONS(5096),
    [aux_sym_preproc_else_token1] = ACTIONS(5096),
    [aux_sym_preproc_elif_token1] = ACTIONS(5094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5096),
    [anon_sym_LPAREN2] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5094),
    [anon_sym_STAR] = ACTIONS(5094),
    [anon_sym_SLASH] = ACTIONS(5094),
    [anon_sym_PERCENT] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_PIPE] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5094),
    [anon_sym_AMP] = ACTIONS(5094),
    [anon_sym_EQ_EQ] = ACTIONS(5096),
    [anon_sym_BANG_EQ] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5094),
    [anon_sym_GT_EQ] = ACTIONS(5096),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5094),
    [anon_sym_LT_LT] = ACTIONS(5094),
    [anon_sym_GT_GT] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5096),
    [anon_sym___attribute__] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5096),
    [anon_sym_RBRACE] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5096),
    [anon_sym_RBRACK] = ACTIONS(5096),
    [anon_sym_EQ] = ACTIONS(5094),
    [anon_sym_COLON] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5096),
    [anon_sym_STAR_EQ] = ACTIONS(5096),
    [anon_sym_SLASH_EQ] = ACTIONS(5096),
    [anon_sym_PERCENT_EQ] = ACTIONS(5096),
    [anon_sym_PLUS_EQ] = ACTIONS(5096),
    [anon_sym_DASH_EQ] = ACTIONS(5096),
    [anon_sym_LT_LT_EQ] = ACTIONS(5096),
    [anon_sym_GT_GT_EQ] = ACTIONS(5096),
    [anon_sym_AMP_EQ] = ACTIONS(5096),
    [anon_sym_CARET_EQ] = ACTIONS(5096),
    [anon_sym_PIPE_EQ] = ACTIONS(5096),
    [anon_sym_and_eq] = ACTIONS(5094),
    [anon_sym_or_eq] = ACTIONS(5094),
    [anon_sym_xor_eq] = ACTIONS(5094),
    [anon_sym_LT_EQ_GT] = ACTIONS(5096),
    [anon_sym_or] = ACTIONS(5094),
    [anon_sym_and] = ACTIONS(5094),
    [anon_sym_bitor] = ACTIONS(5094),
    [anon_sym_xor] = ACTIONS(5094),
    [anon_sym_bitand] = ACTIONS(5094),
    [anon_sym_not_eq] = ACTIONS(5094),
    [anon_sym_DASH_DASH] = ACTIONS(5096),
    [anon_sym_PLUS_PLUS] = ACTIONS(5096),
    [anon_sym_DOT] = ACTIONS(5094),
    [anon_sym_DOT_STAR] = ACTIONS(5096),
    [anon_sym_DASH_GT] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5094),
    [anon_sym_decltype] = ACTIONS(5094),
    [anon_sym_final] = ACTIONS(5094),
    [anon_sym_override] = ACTIONS(5094),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [2220] = {
    [sym_string_literal] = STATE(2142),
    [sym_raw_string_literal] = STATE(2142),
    [aux_sym_concatenated_string_repeat1] = STATE(2142),
    [sym_identifier] = ACTIONS(5640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5282),
  },
  [2221] = {
    [sym_string_literal] = STATE(2221),
    [sym_raw_string_literal] = STATE(2221),
    [aux_sym_concatenated_string_repeat1] = STATE(2221),
    [sym_identifier] = ACTIONS(5642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5645),
    [anon_sym_u_DQUOTE] = ACTIONS(5645),
    [anon_sym_U_DQUOTE] = ACTIONS(5645),
    [anon_sym_u8_DQUOTE] = ACTIONS(5645),
    [anon_sym_DQUOTE] = ACTIONS(5645),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5648),
    [anon_sym_LR_DQUOTE] = ACTIONS(5648),
    [anon_sym_uR_DQUOTE] = ACTIONS(5648),
    [anon_sym_UR_DQUOTE] = ACTIONS(5648),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5648),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2223] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_RBRACE] = ACTIONS(4349),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_friend] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_friend] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_friend] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_friend] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_friend] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_friend] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(5581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5583),
    [anon_sym_COMMA] = ACTIONS(5583),
    [anon_sym_RPAREN] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5583),
    [anon_sym_DASH] = ACTIONS(5581),
    [anon_sym_PLUS] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5581),
    [anon_sym_SLASH] = ACTIONS(5581),
    [anon_sym_PERCENT] = ACTIONS(5581),
    [anon_sym_PIPE_PIPE] = ACTIONS(5583),
    [anon_sym_AMP_AMP] = ACTIONS(5583),
    [anon_sym_PIPE] = ACTIONS(5581),
    [anon_sym_CARET] = ACTIONS(5581),
    [anon_sym_AMP] = ACTIONS(5581),
    [anon_sym_EQ_EQ] = ACTIONS(5583),
    [anon_sym_BANG_EQ] = ACTIONS(5583),
    [anon_sym_GT] = ACTIONS(5581),
    [anon_sym_GT_EQ] = ACTIONS(5583),
    [anon_sym_LT_EQ] = ACTIONS(5581),
    [anon_sym_LT] = ACTIONS(5581),
    [anon_sym_LT_LT] = ACTIONS(5581),
    [anon_sym_GT_GT] = ACTIONS(5581),
    [anon_sym_SEMI] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5581),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5583),
    [anon_sym_RBRACE] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_EQ] = ACTIONS(5581),
    [anon_sym_COLON] = ACTIONS(5581),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_STAR_EQ] = ACTIONS(5583),
    [anon_sym_SLASH_EQ] = ACTIONS(5583),
    [anon_sym_PERCENT_EQ] = ACTIONS(5583),
    [anon_sym_PLUS_EQ] = ACTIONS(5583),
    [anon_sym_DASH_EQ] = ACTIONS(5583),
    [anon_sym_LT_LT_EQ] = ACTIONS(5583),
    [anon_sym_GT_GT_EQ] = ACTIONS(5583),
    [anon_sym_AMP_EQ] = ACTIONS(5583),
    [anon_sym_CARET_EQ] = ACTIONS(5583),
    [anon_sym_PIPE_EQ] = ACTIONS(5583),
    [anon_sym_and_eq] = ACTIONS(5581),
    [anon_sym_or_eq] = ACTIONS(5581),
    [anon_sym_xor_eq] = ACTIONS(5581),
    [anon_sym_LT_EQ_GT] = ACTIONS(5583),
    [anon_sym_or] = ACTIONS(5581),
    [anon_sym_and] = ACTIONS(5581),
    [anon_sym_bitor] = ACTIONS(5581),
    [anon_sym_xor] = ACTIONS(5581),
    [anon_sym_bitand] = ACTIONS(5581),
    [anon_sym_not_eq] = ACTIONS(5581),
    [anon_sym_DASH_DASH] = ACTIONS(5583),
    [anon_sym_PLUS_PLUS] = ACTIONS(5583),
    [anon_sym_DOT] = ACTIONS(5581),
    [anon_sym_DOT_STAR] = ACTIONS(5583),
    [anon_sym_DASH_GT] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5581),
    [anon_sym_decltype] = ACTIONS(5581),
    [anon_sym_final] = ACTIONS(5581),
    [anon_sym_override] = ACTIONS(5581),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_friend] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
  },
  [2236] = {
    [sym_string_literal] = STATE(2310),
    [sym_template_argument_list] = STATE(3469),
    [sym_raw_string_literal] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5127),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(5653),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_EQ] = ACTIONS(5653),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [anon_sym_asm] = ACTIONS(5651),
    [anon_sym___asm__] = ACTIONS(5651),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_final] = ACTIONS(5651),
    [anon_sym_override] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_GT2] = ACTIONS(5653),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_try] = ACTIONS(5651),
    [anon_sym_noexcept] = ACTIONS(5651),
    [anon_sym_throw] = ACTIONS(5651),
    [anon_sym_requires] = ACTIONS(5651),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(5655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5657),
    [anon_sym_COMMA] = ACTIONS(5657),
    [anon_sym_RPAREN] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_DASH] = ACTIONS(5655),
    [anon_sym_PLUS] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_SLASH] = ACTIONS(5655),
    [anon_sym_PERCENT] = ACTIONS(5657),
    [anon_sym_PIPE_PIPE] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_PIPE] = ACTIONS(5655),
    [anon_sym_CARET] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym_EQ_EQ] = ACTIONS(5657),
    [anon_sym_BANG_EQ] = ACTIONS(5657),
    [anon_sym_GT] = ACTIONS(5655),
    [anon_sym_GT_EQ] = ACTIONS(5657),
    [anon_sym_LT_EQ] = ACTIONS(5655),
    [anon_sym_LT] = ACTIONS(5655),
    [anon_sym_LT_LT] = ACTIONS(5657),
    [anon_sym_GT_GT] = ACTIONS(5657),
    [anon_sym_SEMI] = ACTIONS(5657),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_LBRACE] = ACTIONS(5657),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_RBRACK] = ACTIONS(5657),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_COLON] = ACTIONS(5657),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_LT_EQ_GT] = ACTIONS(5657),
    [anon_sym_or] = ACTIONS(5655),
    [anon_sym_and] = ACTIONS(5655),
    [anon_sym_bitor] = ACTIONS(5655),
    [anon_sym_xor] = ACTIONS(5655),
    [anon_sym_bitand] = ACTIONS(5655),
    [anon_sym_not_eq] = ACTIONS(5655),
    [anon_sym_DASH_DASH] = ACTIONS(5657),
    [anon_sym_PLUS_PLUS] = ACTIONS(5657),
    [anon_sym_DOT] = ACTIONS(5655),
    [anon_sym_DOT_STAR] = ACTIONS(5657),
    [anon_sym_DASH_GT] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_final] = ACTIONS(5655),
    [anon_sym_override] = ACTIONS(5655),
    [anon_sym_requires] = ACTIONS(5655),
  },
  [2239] = {
    [sym_catch_clause] = STATE(2307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_friend] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(5659),
  },
  [2240] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5881),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2241] = {
    [sym_string_literal] = STATE(3798),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(3798),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___attribute__] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(5661),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5663),
    [anon_sym_SLASH_EQ] = ACTIONS(5663),
    [anon_sym_PERCENT_EQ] = ACTIONS(5663),
    [anon_sym_PLUS_EQ] = ACTIONS(5663),
    [anon_sym_DASH_EQ] = ACTIONS(5663),
    [anon_sym_LT_LT_EQ] = ACTIONS(5663),
    [anon_sym_GT_GT_EQ] = ACTIONS(5663),
    [anon_sym_AMP_EQ] = ACTIONS(5663),
    [anon_sym_CARET_EQ] = ACTIONS(5663),
    [anon_sym_PIPE_EQ] = ACTIONS(5663),
    [anon_sym_and_eq] = ACTIONS(5663),
    [anon_sym_or_eq] = ACTIONS(5663),
    [anon_sym_xor_eq] = ACTIONS(5663),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5665),
    [anon_sym_u_DQUOTE] = ACTIONS(5665),
    [anon_sym_U_DQUOTE] = ACTIONS(5665),
    [anon_sym_u8_DQUOTE] = ACTIONS(5665),
    [anon_sym_DQUOTE] = ACTIONS(5665),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5667),
    [anon_sym_LR_DQUOTE] = ACTIONS(5667),
    [anon_sym_uR_DQUOTE] = ACTIONS(5667),
    [anon_sym_UR_DQUOTE] = ACTIONS(5667),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5667),
  },
  [2242] = {
    [sym_catch_clause] = STATE(2248),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_AMP_AMP] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2840),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym_COLON_COLON] = ACTIONS(2842),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___based] = ACTIONS(2840),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_mutable] = ACTIONS(2840),
    [anon_sym_constinit] = ACTIONS(2840),
    [anon_sym_consteval] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_class] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2840),
    [anon_sym_decltype] = ACTIONS(2840),
    [anon_sym_virtual] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym_explicit] = ACTIONS(2840),
    [anon_sym_typename] = ACTIONS(2840),
    [anon_sym_template] = ACTIONS(2840),
    [anon_sym_operator] = ACTIONS(2840),
    [anon_sym_friend] = ACTIONS(2840),
    [anon_sym_public] = ACTIONS(2840),
    [anon_sym_private] = ACTIONS(2840),
    [anon_sym_protected] = ACTIONS(2840),
    [anon_sym_using] = ACTIONS(2840),
    [anon_sym_static_assert] = ACTIONS(2840),
    [anon_sym_catch] = ACTIONS(5669),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_final] = ACTIONS(5671),
    [anon_sym_override] = ACTIONS(5671),
    [anon_sym_requires] = ACTIONS(5671),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_final] = ACTIONS(5671),
    [anon_sym_override] = ACTIONS(5671),
    [anon_sym_requires] = ACTIONS(5671),
  },
  [2245] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5913),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5677),
    [anon_sym_COMMA] = ACTIONS(5677),
    [anon_sym_RPAREN] = ACTIONS(5677),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_DASH] = ACTIONS(5675),
    [anon_sym_PLUS] = ACTIONS(5675),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_SLASH] = ACTIONS(5675),
    [anon_sym_PERCENT] = ACTIONS(5677),
    [anon_sym_PIPE_PIPE] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_PIPE] = ACTIONS(5675),
    [anon_sym_CARET] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym_EQ_EQ] = ACTIONS(5677),
    [anon_sym_BANG_EQ] = ACTIONS(5677),
    [anon_sym_GT] = ACTIONS(5675),
    [anon_sym_GT_EQ] = ACTIONS(5677),
    [anon_sym_LT_EQ] = ACTIONS(5675),
    [anon_sym_LT] = ACTIONS(5675),
    [anon_sym_LT_LT] = ACTIONS(5677),
    [anon_sym_GT_GT] = ACTIONS(5677),
    [anon_sym_SEMI] = ACTIONS(5677),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym___based] = ACTIONS(5675),
    [anon_sym_LBRACE] = ACTIONS(5677),
    [anon_sym_RBRACE] = ACTIONS(5677),
    [anon_sym_signed] = ACTIONS(5675),
    [anon_sym_unsigned] = ACTIONS(5675),
    [anon_sym_long] = ACTIONS(5675),
    [anon_sym_short] = ACTIONS(5675),
    [anon_sym_LBRACK] = ACTIONS(5677),
    [anon_sym_RBRACK] = ACTIONS(5677),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5675),
    [anon_sym_COLON] = ACTIONS(5677),
    [anon_sym_QMARK] = ACTIONS(5677),
    [anon_sym_LT_EQ_GT] = ACTIONS(5677),
    [anon_sym_or] = ACTIONS(5675),
    [anon_sym_and] = ACTIONS(5675),
    [anon_sym_bitor] = ACTIONS(5675),
    [anon_sym_xor] = ACTIONS(5675),
    [anon_sym_bitand] = ACTIONS(5675),
    [anon_sym_not_eq] = ACTIONS(5675),
    [anon_sym_DASH_DASH] = ACTIONS(5677),
    [anon_sym_PLUS_PLUS] = ACTIONS(5677),
    [anon_sym_DOT] = ACTIONS(5675),
    [anon_sym_DOT_STAR] = ACTIONS(5677),
    [anon_sym_DASH_GT] = ACTIONS(5677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
    [anon_sym_final] = ACTIONS(5675),
    [anon_sym_override] = ACTIONS(5675),
    [anon_sym_requires] = ACTIONS(5675),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(5679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5681),
    [anon_sym_COMMA] = ACTIONS(5681),
    [anon_sym_RPAREN] = ACTIONS(5681),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_DASH] = ACTIONS(5679),
    [anon_sym_PLUS] = ACTIONS(5679),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_SLASH] = ACTIONS(5679),
    [anon_sym_PERCENT] = ACTIONS(5681),
    [anon_sym_PIPE_PIPE] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_PIPE] = ACTIONS(5679),
    [anon_sym_CARET] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym_EQ_EQ] = ACTIONS(5681),
    [anon_sym_BANG_EQ] = ACTIONS(5681),
    [anon_sym_GT] = ACTIONS(5679),
    [anon_sym_GT_EQ] = ACTIONS(5681),
    [anon_sym_LT_EQ] = ACTIONS(5679),
    [anon_sym_LT] = ACTIONS(5679),
    [anon_sym_LT_LT] = ACTIONS(5681),
    [anon_sym_GT_GT] = ACTIONS(5681),
    [anon_sym_SEMI] = ACTIONS(5681),
    [anon_sym___extension__] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym___based] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(5681),
    [anon_sym_RBRACE] = ACTIONS(5681),
    [anon_sym_signed] = ACTIONS(5679),
    [anon_sym_unsigned] = ACTIONS(5679),
    [anon_sym_long] = ACTIONS(5679),
    [anon_sym_short] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5681),
    [anon_sym_RBRACK] = ACTIONS(5681),
    [anon_sym_const] = ACTIONS(5679),
    [anon_sym_constexpr] = ACTIONS(5679),
    [anon_sym_volatile] = ACTIONS(5679),
    [anon_sym_restrict] = ACTIONS(5679),
    [anon_sym___restrict__] = ACTIONS(5679),
    [anon_sym__Atomic] = ACTIONS(5679),
    [anon_sym__Noreturn] = ACTIONS(5679),
    [anon_sym_noreturn] = ACTIONS(5679),
    [anon_sym_mutable] = ACTIONS(5679),
    [anon_sym_constinit] = ACTIONS(5679),
    [anon_sym_consteval] = ACTIONS(5679),
    [sym_primitive_type] = ACTIONS(5679),
    [anon_sym_COLON] = ACTIONS(5681),
    [anon_sym_QMARK] = ACTIONS(5681),
    [anon_sym_LT_EQ_GT] = ACTIONS(5681),
    [anon_sym_or] = ACTIONS(5679),
    [anon_sym_and] = ACTIONS(5679),
    [anon_sym_bitor] = ACTIONS(5679),
    [anon_sym_xor] = ACTIONS(5679),
    [anon_sym_bitand] = ACTIONS(5679),
    [anon_sym_not_eq] = ACTIONS(5679),
    [anon_sym_DASH_DASH] = ACTIONS(5681),
    [anon_sym_PLUS_PLUS] = ACTIONS(5681),
    [anon_sym_DOT] = ACTIONS(5679),
    [anon_sym_DOT_STAR] = ACTIONS(5681),
    [anon_sym_DASH_GT] = ACTIONS(5681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
    [anon_sym_final] = ACTIONS(5679),
    [anon_sym_override] = ACTIONS(5679),
    [anon_sym_requires] = ACTIONS(5679),
  },
  [2248] = {
    [sym_catch_clause] = STATE(2248),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5683),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5688),
    [anon_sym_COMMA] = ACTIONS(5688),
    [anon_sym_RPAREN] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_STAR] = ACTIONS(5688),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5688),
    [anon_sym_PIPE_PIPE] = ACTIONS(5688),
    [anon_sym_AMP_AMP] = ACTIONS(5688),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_CARET] = ACTIONS(5688),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5688),
    [anon_sym_BANG_EQ] = ACTIONS(5688),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5688),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5688),
    [anon_sym_GT_GT] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5688),
    [anon_sym___extension__] = ACTIONS(5686),
    [anon_sym___attribute__] = ACTIONS(5686),
    [anon_sym___based] = ACTIONS(5686),
    [anon_sym_LBRACE] = ACTIONS(5688),
    [anon_sym_RBRACE] = ACTIONS(5688),
    [anon_sym_signed] = ACTIONS(5686),
    [anon_sym_unsigned] = ACTIONS(5686),
    [anon_sym_long] = ACTIONS(5686),
    [anon_sym_short] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_RBRACK] = ACTIONS(5688),
    [anon_sym_const] = ACTIONS(5686),
    [anon_sym_constexpr] = ACTIONS(5686),
    [anon_sym_volatile] = ACTIONS(5686),
    [anon_sym_restrict] = ACTIONS(5686),
    [anon_sym___restrict__] = ACTIONS(5686),
    [anon_sym__Atomic] = ACTIONS(5686),
    [anon_sym__Noreturn] = ACTIONS(5686),
    [anon_sym_noreturn] = ACTIONS(5686),
    [anon_sym_mutable] = ACTIONS(5686),
    [anon_sym_constinit] = ACTIONS(5686),
    [anon_sym_consteval] = ACTIONS(5686),
    [sym_primitive_type] = ACTIONS(5686),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_QMARK] = ACTIONS(5688),
    [anon_sym_LT_EQ_GT] = ACTIONS(5688),
    [anon_sym_or] = ACTIONS(5686),
    [anon_sym_and] = ACTIONS(5686),
    [anon_sym_bitor] = ACTIONS(5686),
    [anon_sym_xor] = ACTIONS(5686),
    [anon_sym_bitand] = ACTIONS(5686),
    [anon_sym_not_eq] = ACTIONS(5686),
    [anon_sym_DASH_DASH] = ACTIONS(5688),
    [anon_sym_PLUS_PLUS] = ACTIONS(5688),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_DOT_STAR] = ACTIONS(5688),
    [anon_sym_DASH_GT] = ACTIONS(5688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5686),
    [anon_sym_decltype] = ACTIONS(5686),
    [anon_sym_final] = ACTIONS(5686),
    [anon_sym_override] = ACTIONS(5686),
    [anon_sym_requires] = ACTIONS(5686),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5692),
    [anon_sym_COMMA] = ACTIONS(5692),
    [anon_sym_RPAREN] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_STAR] = ACTIONS(5692),
    [anon_sym_SLASH] = ACTIONS(5690),
    [anon_sym_PERCENT] = ACTIONS(5692),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5690),
    [anon_sym_CARET] = ACTIONS(5692),
    [anon_sym_AMP] = ACTIONS(5690),
    [anon_sym_EQ_EQ] = ACTIONS(5692),
    [anon_sym_BANG_EQ] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5690),
    [anon_sym_GT_EQ] = ACTIONS(5692),
    [anon_sym_LT_EQ] = ACTIONS(5690),
    [anon_sym_LT] = ACTIONS(5690),
    [anon_sym_LT_LT] = ACTIONS(5692),
    [anon_sym_GT_GT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5692),
    [anon_sym___extension__] = ACTIONS(5690),
    [anon_sym___attribute__] = ACTIONS(5690),
    [anon_sym___based] = ACTIONS(5690),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_RBRACE] = ACTIONS(5692),
    [anon_sym_signed] = ACTIONS(5690),
    [anon_sym_unsigned] = ACTIONS(5690),
    [anon_sym_long] = ACTIONS(5690),
    [anon_sym_short] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_RBRACK] = ACTIONS(5692),
    [anon_sym_const] = ACTIONS(5690),
    [anon_sym_constexpr] = ACTIONS(5690),
    [anon_sym_volatile] = ACTIONS(5690),
    [anon_sym_restrict] = ACTIONS(5690),
    [anon_sym___restrict__] = ACTIONS(5690),
    [anon_sym__Atomic] = ACTIONS(5690),
    [anon_sym__Noreturn] = ACTIONS(5690),
    [anon_sym_noreturn] = ACTIONS(5690),
    [anon_sym_mutable] = ACTIONS(5690),
    [anon_sym_constinit] = ACTIONS(5690),
    [anon_sym_consteval] = ACTIONS(5690),
    [sym_primitive_type] = ACTIONS(5690),
    [anon_sym_COLON] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_LT_EQ_GT] = ACTIONS(5692),
    [anon_sym_or] = ACTIONS(5690),
    [anon_sym_and] = ACTIONS(5690),
    [anon_sym_bitor] = ACTIONS(5690),
    [anon_sym_xor] = ACTIONS(5690),
    [anon_sym_bitand] = ACTIONS(5690),
    [anon_sym_not_eq] = ACTIONS(5690),
    [anon_sym_DASH_DASH] = ACTIONS(5692),
    [anon_sym_PLUS_PLUS] = ACTIONS(5692),
    [anon_sym_DOT] = ACTIONS(5690),
    [anon_sym_DOT_STAR] = ACTIONS(5692),
    [anon_sym_DASH_GT] = ACTIONS(5692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5690),
    [anon_sym_decltype] = ACTIONS(5690),
    [anon_sym_final] = ACTIONS(5690),
    [anon_sym_override] = ACTIONS(5690),
    [anon_sym_requires] = ACTIONS(5690),
  },
  [2251] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5848),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5696),
    [anon_sym_COMMA] = ACTIONS(5696),
    [anon_sym_RPAREN] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5696),
    [anon_sym_SLASH] = ACTIONS(5694),
    [anon_sym_PERCENT] = ACTIONS(5696),
    [anon_sym_PIPE_PIPE] = ACTIONS(5696),
    [anon_sym_AMP_AMP] = ACTIONS(5696),
    [anon_sym_PIPE] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5696),
    [anon_sym_AMP] = ACTIONS(5694),
    [anon_sym_EQ_EQ] = ACTIONS(5696),
    [anon_sym_BANG_EQ] = ACTIONS(5696),
    [anon_sym_GT] = ACTIONS(5694),
    [anon_sym_GT_EQ] = ACTIONS(5696),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5694),
    [anon_sym_LT_LT] = ACTIONS(5696),
    [anon_sym_GT_GT] = ACTIONS(5696),
    [anon_sym_SEMI] = ACTIONS(5696),
    [anon_sym___extension__] = ACTIONS(5694),
    [anon_sym___attribute__] = ACTIONS(5694),
    [anon_sym___based] = ACTIONS(5694),
    [anon_sym_LBRACE] = ACTIONS(5696),
    [anon_sym_RBRACE] = ACTIONS(5696),
    [anon_sym_signed] = ACTIONS(5694),
    [anon_sym_unsigned] = ACTIONS(5694),
    [anon_sym_long] = ACTIONS(5694),
    [anon_sym_short] = ACTIONS(5694),
    [anon_sym_LBRACK] = ACTIONS(5696),
    [anon_sym_RBRACK] = ACTIONS(5696),
    [anon_sym_const] = ACTIONS(5694),
    [anon_sym_constexpr] = ACTIONS(5694),
    [anon_sym_volatile] = ACTIONS(5694),
    [anon_sym_restrict] = ACTIONS(5694),
    [anon_sym___restrict__] = ACTIONS(5694),
    [anon_sym__Atomic] = ACTIONS(5694),
    [anon_sym__Noreturn] = ACTIONS(5694),
    [anon_sym_noreturn] = ACTIONS(5694),
    [anon_sym_mutable] = ACTIONS(5694),
    [anon_sym_constinit] = ACTIONS(5694),
    [anon_sym_consteval] = ACTIONS(5694),
    [sym_primitive_type] = ACTIONS(5694),
    [anon_sym_COLON] = ACTIONS(5696),
    [anon_sym_QMARK] = ACTIONS(5696),
    [anon_sym_LT_EQ_GT] = ACTIONS(5696),
    [anon_sym_or] = ACTIONS(5694),
    [anon_sym_and] = ACTIONS(5694),
    [anon_sym_bitor] = ACTIONS(5694),
    [anon_sym_xor] = ACTIONS(5694),
    [anon_sym_bitand] = ACTIONS(5694),
    [anon_sym_not_eq] = ACTIONS(5694),
    [anon_sym_DASH_DASH] = ACTIONS(5696),
    [anon_sym_PLUS_PLUS] = ACTIONS(5696),
    [anon_sym_DOT] = ACTIONS(5694),
    [anon_sym_DOT_STAR] = ACTIONS(5696),
    [anon_sym_DASH_GT] = ACTIONS(5696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5694),
    [anon_sym_decltype] = ACTIONS(5694),
    [anon_sym_final] = ACTIONS(5694),
    [anon_sym_override] = ACTIONS(5694),
    [anon_sym_requires] = ACTIONS(5694),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(5698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5700),
    [anon_sym_COMMA] = ACTIONS(5700),
    [anon_sym_RPAREN] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_STAR] = ACTIONS(5700),
    [anon_sym_SLASH] = ACTIONS(5698),
    [anon_sym_PERCENT] = ACTIONS(5700),
    [anon_sym_PIPE_PIPE] = ACTIONS(5700),
    [anon_sym_AMP_AMP] = ACTIONS(5700),
    [anon_sym_PIPE] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym_AMP] = ACTIONS(5698),
    [anon_sym_EQ_EQ] = ACTIONS(5700),
    [anon_sym_BANG_EQ] = ACTIONS(5700),
    [anon_sym_GT] = ACTIONS(5698),
    [anon_sym_GT_EQ] = ACTIONS(5700),
    [anon_sym_LT_EQ] = ACTIONS(5698),
    [anon_sym_LT] = ACTIONS(5698),
    [anon_sym_LT_LT] = ACTIONS(5700),
    [anon_sym_GT_GT] = ACTIONS(5700),
    [anon_sym_SEMI] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(5698),
    [anon_sym___attribute__] = ACTIONS(5698),
    [anon_sym___based] = ACTIONS(5698),
    [anon_sym_LBRACE] = ACTIONS(5700),
    [anon_sym_RBRACE] = ACTIONS(5700),
    [anon_sym_signed] = ACTIONS(5698),
    [anon_sym_unsigned] = ACTIONS(5698),
    [anon_sym_long] = ACTIONS(5698),
    [anon_sym_short] = ACTIONS(5698),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_RBRACK] = ACTIONS(5700),
    [anon_sym_const] = ACTIONS(5698),
    [anon_sym_constexpr] = ACTIONS(5698),
    [anon_sym_volatile] = ACTIONS(5698),
    [anon_sym_restrict] = ACTIONS(5698),
    [anon_sym___restrict__] = ACTIONS(5698),
    [anon_sym__Atomic] = ACTIONS(5698),
    [anon_sym__Noreturn] = ACTIONS(5698),
    [anon_sym_noreturn] = ACTIONS(5698),
    [anon_sym_mutable] = ACTIONS(5698),
    [anon_sym_constinit] = ACTIONS(5698),
    [anon_sym_consteval] = ACTIONS(5698),
    [sym_primitive_type] = ACTIONS(5698),
    [anon_sym_COLON] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(5700),
    [anon_sym_LT_EQ_GT] = ACTIONS(5700),
    [anon_sym_or] = ACTIONS(5698),
    [anon_sym_and] = ACTIONS(5698),
    [anon_sym_bitor] = ACTIONS(5698),
    [anon_sym_xor] = ACTIONS(5698),
    [anon_sym_bitand] = ACTIONS(5698),
    [anon_sym_not_eq] = ACTIONS(5698),
    [anon_sym_DASH_DASH] = ACTIONS(5700),
    [anon_sym_PLUS_PLUS] = ACTIONS(5700),
    [anon_sym_DOT] = ACTIONS(5698),
    [anon_sym_DOT_STAR] = ACTIONS(5700),
    [anon_sym_DASH_GT] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5698),
    [anon_sym_decltype] = ACTIONS(5698),
    [anon_sym_final] = ACTIONS(5698),
    [anon_sym_override] = ACTIONS(5698),
    [anon_sym_requires] = ACTIONS(5698),
  },
  [2254] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5702),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5704),
    [anon_sym_COMMA] = ACTIONS(5704),
    [anon_sym_RPAREN] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_STAR] = ACTIONS(5704),
    [anon_sym_SLASH] = ACTIONS(5702),
    [anon_sym_PERCENT] = ACTIONS(5704),
    [anon_sym_PIPE_PIPE] = ACTIONS(5704),
    [anon_sym_AMP_AMP] = ACTIONS(5704),
    [anon_sym_PIPE] = ACTIONS(5702),
    [anon_sym_CARET] = ACTIONS(5704),
    [anon_sym_AMP] = ACTIONS(5702),
    [anon_sym_EQ_EQ] = ACTIONS(5704),
    [anon_sym_BANG_EQ] = ACTIONS(5704),
    [anon_sym_GT] = ACTIONS(5702),
    [anon_sym_GT_EQ] = ACTIONS(5704),
    [anon_sym_LT_EQ] = ACTIONS(5702),
    [anon_sym_LT] = ACTIONS(5702),
    [anon_sym_LT_LT] = ACTIONS(5704),
    [anon_sym_GT_GT] = ACTIONS(5704),
    [anon_sym_SEMI] = ACTIONS(5704),
    [anon_sym___extension__] = ACTIONS(5702),
    [anon_sym___attribute__] = ACTIONS(5702),
    [anon_sym___based] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(5704),
    [anon_sym_RBRACE] = ACTIONS(5704),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_RBRACK] = ACTIONS(5704),
    [anon_sym_const] = ACTIONS(5702),
    [anon_sym_constexpr] = ACTIONS(5702),
    [anon_sym_volatile] = ACTIONS(5702),
    [anon_sym_restrict] = ACTIONS(5702),
    [anon_sym___restrict__] = ACTIONS(5702),
    [anon_sym__Atomic] = ACTIONS(5702),
    [anon_sym__Noreturn] = ACTIONS(5702),
    [anon_sym_noreturn] = ACTIONS(5702),
    [anon_sym_mutable] = ACTIONS(5702),
    [anon_sym_constinit] = ACTIONS(5702),
    [anon_sym_consteval] = ACTIONS(5702),
    [sym_primitive_type] = ACTIONS(5702),
    [anon_sym_COLON] = ACTIONS(5704),
    [anon_sym_QMARK] = ACTIONS(5704),
    [anon_sym_LT_EQ_GT] = ACTIONS(5704),
    [anon_sym_or] = ACTIONS(5702),
    [anon_sym_and] = ACTIONS(5702),
    [anon_sym_bitor] = ACTIONS(5702),
    [anon_sym_xor] = ACTIONS(5702),
    [anon_sym_bitand] = ACTIONS(5702),
    [anon_sym_not_eq] = ACTIONS(5702),
    [anon_sym_DASH_DASH] = ACTIONS(5704),
    [anon_sym_PLUS_PLUS] = ACTIONS(5704),
    [anon_sym_DOT] = ACTIONS(5702),
    [anon_sym_DOT_STAR] = ACTIONS(5704),
    [anon_sym_DASH_GT] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5702),
    [anon_sym_decltype] = ACTIONS(5702),
    [anon_sym_final] = ACTIONS(5702),
    [anon_sym_override] = ACTIONS(5702),
    [anon_sym_requires] = ACTIONS(5702),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym___based] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5706),
    [anon_sym_unsigned] = ACTIONS(5706),
    [anon_sym_long] = ACTIONS(5706),
    [anon_sym_short] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [sym_primitive_type] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(5706),
    [anon_sym_override] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5712),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5712),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5712),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5712),
    [anon_sym_GT_GT] = ACTIONS(5712),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___extension__] = ACTIONS(5710),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym___based] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_signed] = ACTIONS(5710),
    [anon_sym_unsigned] = ACTIONS(5710),
    [anon_sym_long] = ACTIONS(5710),
    [anon_sym_short] = ACTIONS(5710),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_const] = ACTIONS(5710),
    [anon_sym_constexpr] = ACTIONS(5710),
    [anon_sym_volatile] = ACTIONS(5710),
    [anon_sym_restrict] = ACTIONS(5710),
    [anon_sym___restrict__] = ACTIONS(5710),
    [anon_sym__Atomic] = ACTIONS(5710),
    [anon_sym__Noreturn] = ACTIONS(5710),
    [anon_sym_noreturn] = ACTIONS(5710),
    [anon_sym_mutable] = ACTIONS(5710),
    [anon_sym_constinit] = ACTIONS(5710),
    [anon_sym_consteval] = ACTIONS(5710),
    [sym_primitive_type] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
    [anon_sym_final] = ACTIONS(5710),
    [anon_sym_override] = ACTIONS(5710),
    [anon_sym_requires] = ACTIONS(5710),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5716),
    [anon_sym_RPAREN] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5716),
    [anon_sym_SLASH] = ACTIONS(5714),
    [anon_sym_PERCENT] = ACTIONS(5716),
    [anon_sym_PIPE_PIPE] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5716),
    [anon_sym_PIPE] = ACTIONS(5714),
    [anon_sym_CARET] = ACTIONS(5716),
    [anon_sym_AMP] = ACTIONS(5714),
    [anon_sym_EQ_EQ] = ACTIONS(5716),
    [anon_sym_BANG_EQ] = ACTIONS(5716),
    [anon_sym_GT] = ACTIONS(5714),
    [anon_sym_GT_EQ] = ACTIONS(5716),
    [anon_sym_LT_EQ] = ACTIONS(5714),
    [anon_sym_LT] = ACTIONS(5714),
    [anon_sym_LT_LT] = ACTIONS(5716),
    [anon_sym_GT_GT] = ACTIONS(5716),
    [anon_sym_SEMI] = ACTIONS(5716),
    [anon_sym___extension__] = ACTIONS(5714),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym___based] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_signed] = ACTIONS(5714),
    [anon_sym_unsigned] = ACTIONS(5714),
    [anon_sym_long] = ACTIONS(5714),
    [anon_sym_short] = ACTIONS(5714),
    [anon_sym_LBRACK] = ACTIONS(5716),
    [anon_sym_RBRACK] = ACTIONS(5716),
    [anon_sym_const] = ACTIONS(5714),
    [anon_sym_constexpr] = ACTIONS(5714),
    [anon_sym_volatile] = ACTIONS(5714),
    [anon_sym_restrict] = ACTIONS(5714),
    [anon_sym___restrict__] = ACTIONS(5714),
    [anon_sym__Atomic] = ACTIONS(5714),
    [anon_sym__Noreturn] = ACTIONS(5714),
    [anon_sym_noreturn] = ACTIONS(5714),
    [anon_sym_mutable] = ACTIONS(5714),
    [anon_sym_constinit] = ACTIONS(5714),
    [anon_sym_consteval] = ACTIONS(5714),
    [sym_primitive_type] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5716),
    [anon_sym_QMARK] = ACTIONS(5716),
    [anon_sym_LT_EQ_GT] = ACTIONS(5716),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5716),
    [anon_sym_PLUS_PLUS] = ACTIONS(5716),
    [anon_sym_DOT] = ACTIONS(5714),
    [anon_sym_DOT_STAR] = ACTIONS(5716),
    [anon_sym_DASH_GT] = ACTIONS(5716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
    [anon_sym_final] = ACTIONS(5714),
    [anon_sym_override] = ACTIONS(5714),
    [anon_sym_requires] = ACTIONS(5714),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5720),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5720),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5720),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5720),
    [anon_sym_GT_GT] = ACTIONS(5720),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___extension__] = ACTIONS(5718),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym___based] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_signed] = ACTIONS(5718),
    [anon_sym_unsigned] = ACTIONS(5718),
    [anon_sym_long] = ACTIONS(5718),
    [anon_sym_short] = ACTIONS(5718),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_const] = ACTIONS(5718),
    [anon_sym_constexpr] = ACTIONS(5718),
    [anon_sym_volatile] = ACTIONS(5718),
    [anon_sym_restrict] = ACTIONS(5718),
    [anon_sym___restrict__] = ACTIONS(5718),
    [anon_sym__Atomic] = ACTIONS(5718),
    [anon_sym__Noreturn] = ACTIONS(5718),
    [anon_sym_noreturn] = ACTIONS(5718),
    [anon_sym_mutable] = ACTIONS(5718),
    [anon_sym_constinit] = ACTIONS(5718),
    [anon_sym_consteval] = ACTIONS(5718),
    [sym_primitive_type] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
    [anon_sym_final] = ACTIONS(5718),
    [anon_sym_override] = ACTIONS(5718),
    [anon_sym_requires] = ACTIONS(5718),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym___based] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5613),
    [anon_sym_unsigned] = ACTIONS(5613),
    [anon_sym_long] = ACTIONS(5613),
    [anon_sym_short] = ACTIONS(5613),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5613),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [sym_primitive_type] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [2261] = {
    [sym_catch_clause] = STATE(2307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(5659),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [aux_sym_preproc_else_token1] = ACTIONS(2182),
    [aux_sym_preproc_elif_token1] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_friend] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [aux_sym_preproc_else_token1] = ACTIONS(2210),
    [aux_sym_preproc_elif_token1] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5724),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5724),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5724),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5724),
    [anon_sym_GT_GT] = ACTIONS(5724),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___extension__] = ACTIONS(5722),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym___based] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_signed] = ACTIONS(5722),
    [anon_sym_unsigned] = ACTIONS(5722),
    [anon_sym_long] = ACTIONS(5722),
    [anon_sym_short] = ACTIONS(5722),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_const] = ACTIONS(5722),
    [anon_sym_constexpr] = ACTIONS(5722),
    [anon_sym_volatile] = ACTIONS(5722),
    [anon_sym_restrict] = ACTIONS(5722),
    [anon_sym___restrict__] = ACTIONS(5722),
    [anon_sym__Atomic] = ACTIONS(5722),
    [anon_sym__Noreturn] = ACTIONS(5722),
    [anon_sym_noreturn] = ACTIONS(5722),
    [anon_sym_mutable] = ACTIONS(5722),
    [anon_sym_constinit] = ACTIONS(5722),
    [anon_sym_consteval] = ACTIONS(5722),
    [sym_primitive_type] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5722),
    [anon_sym_and] = ACTIONS(5722),
    [anon_sym_bitor] = ACTIONS(5722),
    [anon_sym_xor] = ACTIONS(5722),
    [anon_sym_bitand] = ACTIONS(5722),
    [anon_sym_not_eq] = ACTIONS(5722),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
    [anon_sym_final] = ACTIONS(5722),
    [anon_sym_override] = ACTIONS(5722),
    [anon_sym_requires] = ACTIONS(5722),
  },
  [2265] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5900),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2266] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(5726),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2267] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4442),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2268] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5825),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2269] = {
    [sym_catch_clause] = STATE(2248),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token2] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(5669),
  },
  [2270] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5819),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2271] = {
    [sym_identifier] = ACTIONS(5728),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [anon_sym_RPAREN] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_STAR] = ACTIONS(5730),
    [anon_sym_SLASH] = ACTIONS(5728),
    [anon_sym_PERCENT] = ACTIONS(5730),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5730),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5728),
    [anon_sym_GT_EQ] = ACTIONS(5730),
    [anon_sym_LT_EQ] = ACTIONS(5728),
    [anon_sym_LT] = ACTIONS(5728),
    [anon_sym_LT_LT] = ACTIONS(5730),
    [anon_sym_GT_GT] = ACTIONS(5730),
    [anon_sym_SEMI] = ACTIONS(5730),
    [anon_sym___extension__] = ACTIONS(5728),
    [anon_sym___attribute__] = ACTIONS(5728),
    [anon_sym___based] = ACTIONS(5728),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_RBRACE] = ACTIONS(5730),
    [anon_sym_signed] = ACTIONS(5728),
    [anon_sym_unsigned] = ACTIONS(5728),
    [anon_sym_long] = ACTIONS(5728),
    [anon_sym_short] = ACTIONS(5728),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_RBRACK] = ACTIONS(5730),
    [anon_sym_const] = ACTIONS(5728),
    [anon_sym_constexpr] = ACTIONS(5728),
    [anon_sym_volatile] = ACTIONS(5728),
    [anon_sym_restrict] = ACTIONS(5728),
    [anon_sym___restrict__] = ACTIONS(5728),
    [anon_sym__Atomic] = ACTIONS(5728),
    [anon_sym__Noreturn] = ACTIONS(5728),
    [anon_sym_noreturn] = ACTIONS(5728),
    [anon_sym_mutable] = ACTIONS(5728),
    [anon_sym_constinit] = ACTIONS(5728),
    [anon_sym_consteval] = ACTIONS(5728),
    [sym_primitive_type] = ACTIONS(5728),
    [anon_sym_COLON] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5728),
    [anon_sym_and] = ACTIONS(5728),
    [anon_sym_bitor] = ACTIONS(5728),
    [anon_sym_xor] = ACTIONS(5728),
    [anon_sym_bitand] = ACTIONS(5728),
    [anon_sym_not_eq] = ACTIONS(5728),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5728),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5728),
    [anon_sym_decltype] = ACTIONS(5728),
    [anon_sym_final] = ACTIONS(5728),
    [anon_sym_override] = ACTIONS(5728),
    [anon_sym_requires] = ACTIONS(5728),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_RPAREN] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5734),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5734),
    [anon_sym_PIPE_PIPE] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5734),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5734),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5734),
    [anon_sym_GT_GT] = ACTIONS(5734),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5732),
    [anon_sym___attribute__] = ACTIONS(5732),
    [anon_sym___based] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_RBRACE] = ACTIONS(5734),
    [anon_sym_signed] = ACTIONS(5732),
    [anon_sym_unsigned] = ACTIONS(5732),
    [anon_sym_long] = ACTIONS(5732),
    [anon_sym_short] = ACTIONS(5732),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_RBRACK] = ACTIONS(5734),
    [anon_sym_const] = ACTIONS(5732),
    [anon_sym_constexpr] = ACTIONS(5732),
    [anon_sym_volatile] = ACTIONS(5732),
    [anon_sym_restrict] = ACTIONS(5732),
    [anon_sym___restrict__] = ACTIONS(5732),
    [anon_sym__Atomic] = ACTIONS(5732),
    [anon_sym__Noreturn] = ACTIONS(5732),
    [anon_sym_noreturn] = ACTIONS(5732),
    [anon_sym_mutable] = ACTIONS(5732),
    [anon_sym_constinit] = ACTIONS(5732),
    [anon_sym_consteval] = ACTIONS(5732),
    [sym_primitive_type] = ACTIONS(5732),
    [anon_sym_COLON] = ACTIONS(5734),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_LT_EQ_GT] = ACTIONS(5734),
    [anon_sym_or] = ACTIONS(5732),
    [anon_sym_and] = ACTIONS(5732),
    [anon_sym_bitor] = ACTIONS(5732),
    [anon_sym_xor] = ACTIONS(5732),
    [anon_sym_bitand] = ACTIONS(5732),
    [anon_sym_not_eq] = ACTIONS(5732),
    [anon_sym_DASH_DASH] = ACTIONS(5734),
    [anon_sym_PLUS_PLUS] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5732),
    [anon_sym_decltype] = ACTIONS(5732),
    [anon_sym_final] = ACTIONS(5732),
    [anon_sym_override] = ACTIONS(5732),
    [anon_sym_requires] = ACTIONS(5732),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(5736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_RPAREN] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5738),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5738),
    [anon_sym_PIPE_PIPE] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_CARET] = ACTIONS(5738),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5736),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5738),
    [anon_sym_GT_GT] = ACTIONS(5738),
    [anon_sym_SEMI] = ACTIONS(5738),
    [anon_sym___extension__] = ACTIONS(5736),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym___based] = ACTIONS(5736),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_RBRACE] = ACTIONS(5738),
    [anon_sym_signed] = ACTIONS(5736),
    [anon_sym_unsigned] = ACTIONS(5736),
    [anon_sym_long] = ACTIONS(5736),
    [anon_sym_short] = ACTIONS(5736),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_RBRACK] = ACTIONS(5738),
    [anon_sym_const] = ACTIONS(5736),
    [anon_sym_constexpr] = ACTIONS(5736),
    [anon_sym_volatile] = ACTIONS(5736),
    [anon_sym_restrict] = ACTIONS(5736),
    [anon_sym___restrict__] = ACTIONS(5736),
    [anon_sym__Atomic] = ACTIONS(5736),
    [anon_sym__Noreturn] = ACTIONS(5736),
    [anon_sym_noreturn] = ACTIONS(5736),
    [anon_sym_mutable] = ACTIONS(5736),
    [anon_sym_constinit] = ACTIONS(5736),
    [anon_sym_consteval] = ACTIONS(5736),
    [sym_primitive_type] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_LT_EQ_GT] = ACTIONS(5738),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5738),
    [anon_sym_PLUS_PLUS] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_DOT_STAR] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
    [anon_sym_final] = ACTIONS(5736),
    [anon_sym_override] = ACTIONS(5736),
    [anon_sym_requires] = ACTIONS(5736),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(5740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_RPAREN] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5742),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5742),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_CARET] = ACTIONS(5742),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5740),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5742),
    [anon_sym_GT_GT] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5742),
    [anon_sym___extension__] = ACTIONS(5740),
    [anon_sym___attribute__] = ACTIONS(5740),
    [anon_sym___based] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_signed] = ACTIONS(5740),
    [anon_sym_unsigned] = ACTIONS(5740),
    [anon_sym_long] = ACTIONS(5740),
    [anon_sym_short] = ACTIONS(5740),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_RBRACK] = ACTIONS(5742),
    [anon_sym_const] = ACTIONS(5740),
    [anon_sym_constexpr] = ACTIONS(5740),
    [anon_sym_volatile] = ACTIONS(5740),
    [anon_sym_restrict] = ACTIONS(5740),
    [anon_sym___restrict__] = ACTIONS(5740),
    [anon_sym__Atomic] = ACTIONS(5740),
    [anon_sym__Noreturn] = ACTIONS(5740),
    [anon_sym_noreturn] = ACTIONS(5740),
    [anon_sym_mutable] = ACTIONS(5740),
    [anon_sym_constinit] = ACTIONS(5740),
    [anon_sym_consteval] = ACTIONS(5740),
    [sym_primitive_type] = ACTIONS(5740),
    [anon_sym_COLON] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5740),
    [anon_sym_and] = ACTIONS(5740),
    [anon_sym_bitor] = ACTIONS(5740),
    [anon_sym_xor] = ACTIONS(5740),
    [anon_sym_bitand] = ACTIONS(5740),
    [anon_sym_not_eq] = ACTIONS(5740),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5740),
    [anon_sym_decltype] = ACTIONS(5740),
    [anon_sym_final] = ACTIONS(5740),
    [anon_sym_override] = ACTIONS(5740),
    [anon_sym_requires] = ACTIONS(5740),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(5744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5746),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5746),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5746),
    [anon_sym_GT_GT] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___extension__] = ACTIONS(5744),
    [anon_sym___attribute__] = ACTIONS(5744),
    [anon_sym___based] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(5744),
    [anon_sym_unsigned] = ACTIONS(5744),
    [anon_sym_long] = ACTIONS(5744),
    [anon_sym_short] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5744),
    [anon_sym_constexpr] = ACTIONS(5744),
    [anon_sym_volatile] = ACTIONS(5744),
    [anon_sym_restrict] = ACTIONS(5744),
    [anon_sym___restrict__] = ACTIONS(5744),
    [anon_sym__Atomic] = ACTIONS(5744),
    [anon_sym__Noreturn] = ACTIONS(5744),
    [anon_sym_noreturn] = ACTIONS(5744),
    [anon_sym_mutable] = ACTIONS(5744),
    [anon_sym_constinit] = ACTIONS(5744),
    [anon_sym_consteval] = ACTIONS(5744),
    [sym_primitive_type] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5744),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5744),
    [anon_sym_not_eq] = ACTIONS(5744),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5744),
    [anon_sym_decltype] = ACTIONS(5744),
    [anon_sym_final] = ACTIONS(5744),
    [anon_sym_override] = ACTIONS(5744),
    [anon_sym_requires] = ACTIONS(5744),
  },
  [2277] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2311),
    [sym_identifier] = ACTIONS(5748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5750),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5750),
    [anon_sym_GT_GT] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym___extension__] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_RBRACK] = ACTIONS(5750),
    [anon_sym_const] = ACTIONS(5752),
    [anon_sym_constexpr] = ACTIONS(5752),
    [anon_sym_volatile] = ACTIONS(5752),
    [anon_sym_restrict] = ACTIONS(5752),
    [anon_sym___restrict__] = ACTIONS(5752),
    [anon_sym__Atomic] = ACTIONS(5752),
    [anon_sym__Noreturn] = ACTIONS(5752),
    [anon_sym_noreturn] = ACTIONS(5752),
    [anon_sym_mutable] = ACTIONS(5752),
    [anon_sym_constinit] = ACTIONS(5752),
    [anon_sym_consteval] = ACTIONS(5752),
    [sym_primitive_type] = ACTIONS(5756),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
    [anon_sym_final] = ACTIONS(5752),
    [anon_sym_override] = ACTIONS(5752),
    [anon_sym_requires] = ACTIONS(5752),
  },
  [2278] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2279] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5801),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(5758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___extension__] = ACTIONS(5758),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym___based] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_signed] = ACTIONS(5758),
    [anon_sym_unsigned] = ACTIONS(5758),
    [anon_sym_long] = ACTIONS(5758),
    [anon_sym_short] = ACTIONS(5758),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_const] = ACTIONS(5758),
    [anon_sym_constexpr] = ACTIONS(5758),
    [anon_sym_volatile] = ACTIONS(5758),
    [anon_sym_restrict] = ACTIONS(5758),
    [anon_sym___restrict__] = ACTIONS(5758),
    [anon_sym__Atomic] = ACTIONS(5758),
    [anon_sym__Noreturn] = ACTIONS(5758),
    [anon_sym_noreturn] = ACTIONS(5758),
    [anon_sym_mutable] = ACTIONS(5758),
    [anon_sym_constinit] = ACTIONS(5758),
    [anon_sym_consteval] = ACTIONS(5758),
    [sym_primitive_type] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
    [anon_sym_final] = ACTIONS(5758),
    [anon_sym_override] = ACTIONS(5758),
    [anon_sym_requires] = ACTIONS(5758),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_final] = ACTIONS(5671),
    [anon_sym_override] = ACTIONS(5671),
    [anon_sym_requires] = ACTIONS(5671),
  },
  [2282] = {
    [sym_attribute_specifier] = STATE(2496),
    [sym_enumerator_list] = STATE(2432),
    [sym_identifier] = ACTIONS(5762),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5764),
    [anon_sym_COMMA] = ACTIONS(5764),
    [anon_sym_RPAREN] = ACTIONS(5764),
    [aux_sym_preproc_if_token2] = ACTIONS(5764),
    [aux_sym_preproc_else_token1] = ACTIONS(5764),
    [aux_sym_preproc_elif_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5764),
    [anon_sym_LPAREN2] = ACTIONS(5764),
    [anon_sym_DASH] = ACTIONS(5762),
    [anon_sym_PLUS] = ACTIONS(5762),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5762),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5764),
    [anon_sym_AMP_AMP] = ACTIONS(5764),
    [anon_sym_PIPE] = ACTIONS(5762),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5762),
    [anon_sym_EQ_EQ] = ACTIONS(5764),
    [anon_sym_BANG_EQ] = ACTIONS(5764),
    [anon_sym_GT] = ACTIONS(5762),
    [anon_sym_GT_EQ] = ACTIONS(5764),
    [anon_sym_LT_EQ] = ACTIONS(5762),
    [anon_sym_LT] = ACTIONS(5762),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5764),
    [anon_sym_RBRACK] = ACTIONS(5764),
    [anon_sym_EQ] = ACTIONS(5762),
    [anon_sym_COLON] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_STAR_EQ] = ACTIONS(5764),
    [anon_sym_SLASH_EQ] = ACTIONS(5764),
    [anon_sym_PERCENT_EQ] = ACTIONS(5764),
    [anon_sym_PLUS_EQ] = ACTIONS(5764),
    [anon_sym_DASH_EQ] = ACTIONS(5764),
    [anon_sym_LT_LT_EQ] = ACTIONS(5764),
    [anon_sym_GT_GT_EQ] = ACTIONS(5764),
    [anon_sym_AMP_EQ] = ACTIONS(5764),
    [anon_sym_CARET_EQ] = ACTIONS(5764),
    [anon_sym_PIPE_EQ] = ACTIONS(5764),
    [anon_sym_and_eq] = ACTIONS(5762),
    [anon_sym_or_eq] = ACTIONS(5762),
    [anon_sym_xor_eq] = ACTIONS(5762),
    [anon_sym_LT_EQ_GT] = ACTIONS(5764),
    [anon_sym_or] = ACTIONS(5762),
    [anon_sym_and] = ACTIONS(5762),
    [anon_sym_bitor] = ACTIONS(5762),
    [anon_sym_xor] = ACTIONS(5762),
    [anon_sym_bitand] = ACTIONS(5762),
    [anon_sym_not_eq] = ACTIONS(5762),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DOT] = ACTIONS(5762),
    [anon_sym_DOT_STAR] = ACTIONS(5764),
    [anon_sym_DASH_GT] = ACTIONS(5764),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5762),
    [anon_sym_decltype] = ACTIONS(5762),
  },
  [2283] = {
    [sym_string_literal] = STATE(2283),
    [sym_raw_string_literal] = STATE(2283),
    [aux_sym_concatenated_string_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5301),
    [anon_sym_L_DQUOTE] = ACTIONS(5771),
    [anon_sym_u_DQUOTE] = ACTIONS(5771),
    [anon_sym_U_DQUOTE] = ACTIONS(5771),
    [anon_sym_u8_DQUOTE] = ACTIONS(5771),
    [anon_sym_DQUOTE] = ACTIONS(5771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5774),
    [anon_sym_LR_DQUOTE] = ACTIONS(5774),
    [anon_sym_uR_DQUOTE] = ACTIONS(5774),
    [anon_sym_UR_DQUOTE] = ACTIONS(5774),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5774),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5299),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5779),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5779),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5779),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5779),
    [anon_sym_GT_GT] = ACTIONS(5779),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___extension__] = ACTIONS(5777),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym___based] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_signed] = ACTIONS(5777),
    [anon_sym_unsigned] = ACTIONS(5777),
    [anon_sym_long] = ACTIONS(5777),
    [anon_sym_short] = ACTIONS(5777),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_const] = ACTIONS(5777),
    [anon_sym_constexpr] = ACTIONS(5777),
    [anon_sym_volatile] = ACTIONS(5777),
    [anon_sym_restrict] = ACTIONS(5777),
    [anon_sym___restrict__] = ACTIONS(5777),
    [anon_sym__Atomic] = ACTIONS(5777),
    [anon_sym__Noreturn] = ACTIONS(5777),
    [anon_sym_noreturn] = ACTIONS(5777),
    [anon_sym_mutable] = ACTIONS(5777),
    [anon_sym_constinit] = ACTIONS(5777),
    [anon_sym_consteval] = ACTIONS(5777),
    [sym_primitive_type] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
    [anon_sym_final] = ACTIONS(5777),
    [anon_sym_override] = ACTIONS(5777),
    [anon_sym_requires] = ACTIONS(5777),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(3491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3493),
    [anon_sym_COMMA] = ACTIONS(3493),
    [anon_sym_RPAREN] = ACTIONS(3493),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP_AMP] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym___attribute__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3493),
    [anon_sym___declspec] = ACTIONS(3491),
    [anon_sym___based] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_signed] = ACTIONS(3491),
    [anon_sym_unsigned] = ACTIONS(3491),
    [anon_sym_long] = ACTIONS(3491),
    [anon_sym_short] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3491),
    [anon_sym_EQ] = ACTIONS(3493),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_register] = ACTIONS(3491),
    [anon_sym_inline] = ACTIONS(3491),
    [anon_sym___inline] = ACTIONS(3491),
    [anon_sym___inline__] = ACTIONS(3491),
    [anon_sym___forceinline] = ACTIONS(3491),
    [anon_sym_thread_local] = ACTIONS(3491),
    [anon_sym___thread] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [sym_primitive_type] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_union] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [anon_sym_DASH_GT] = ACTIONS(3493),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3491),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_final] = ACTIONS(3491),
    [anon_sym_override] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_alignas] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_typename] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_GT2] = ACTIONS(3493),
    [anon_sym_operator] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_noexcept] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
  },
  [2286] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5117),
    [anon_sym_COMMA] = ACTIONS(5117),
    [anon_sym_LPAREN2] = ACTIONS(5117),
    [anon_sym_DASH] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5122),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5122),
    [anon_sym_PERCENT] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5117),
    [anon_sym_PIPE] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5122),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5122),
    [anon_sym_GT_EQ] = ACTIONS(5122),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5122),
    [anon_sym_LT_LT] = ACTIONS(5122),
    [anon_sym_GT_GT] = ACTIONS(5122),
    [anon_sym___extension__] = ACTIONS(5120),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5122),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5120),
    [anon_sym_volatile] = ACTIONS(5120),
    [anon_sym_restrict] = ACTIONS(5120),
    [anon_sym___restrict__] = ACTIONS(5120),
    [anon_sym__Atomic] = ACTIONS(5120),
    [anon_sym__Noreturn] = ACTIONS(5120),
    [anon_sym_noreturn] = ACTIONS(5120),
    [anon_sym_mutable] = ACTIONS(5120),
    [anon_sym_constinit] = ACTIONS(5120),
    [anon_sym_consteval] = ACTIONS(5120),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5122),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5122),
    [anon_sym_and] = ACTIONS(5122),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5122),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5122),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5120),
    [anon_sym_decltype] = ACTIONS(5120),
    [anon_sym_GT2] = ACTIONS(5117),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(5744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5746),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5746),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5746),
    [anon_sym_GT_GT] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___extension__] = ACTIONS(5744),
    [anon_sym___attribute__] = ACTIONS(5744),
    [anon_sym___based] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_signed] = ACTIONS(5744),
    [anon_sym_unsigned] = ACTIONS(5744),
    [anon_sym_long] = ACTIONS(5744),
    [anon_sym_short] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5744),
    [anon_sym_constexpr] = ACTIONS(5744),
    [anon_sym_volatile] = ACTIONS(5744),
    [anon_sym_restrict] = ACTIONS(5744),
    [anon_sym___restrict__] = ACTIONS(5744),
    [anon_sym__Atomic] = ACTIONS(5744),
    [anon_sym__Noreturn] = ACTIONS(5744),
    [anon_sym_noreturn] = ACTIONS(5744),
    [anon_sym_mutable] = ACTIONS(5744),
    [anon_sym_constinit] = ACTIONS(5744),
    [anon_sym_consteval] = ACTIONS(5744),
    [sym_primitive_type] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5744),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5744),
    [anon_sym_not_eq] = ACTIONS(5744),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5744),
    [anon_sym_decltype] = ACTIONS(5744),
    [anon_sym_final] = ACTIONS(5744),
    [anon_sym_override] = ACTIONS(5744),
    [anon_sym_requires] = ACTIONS(5744),
  },
  [2288] = {
    [sym_string_literal] = STATE(2288),
    [sym_raw_string_literal] = STATE(2288),
    [aux_sym_concatenated_string_repeat1] = STATE(2288),
    [sym_identifier] = ACTIONS(5781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5784),
    [anon_sym_u_DQUOTE] = ACTIONS(5784),
    [anon_sym_U_DQUOTE] = ACTIONS(5784),
    [anon_sym_u8_DQUOTE] = ACTIONS(5784),
    [anon_sym_DQUOTE] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5787),
    [anon_sym_LR_DQUOTE] = ACTIONS(5787),
    [anon_sym_uR_DQUOTE] = ACTIONS(5787),
    [anon_sym_UR_DQUOTE] = ACTIONS(5787),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5787),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5120),
    [anon_sym_COMMA] = ACTIONS(5120),
    [anon_sym_RPAREN] = ACTIONS(5120),
    [aux_sym_preproc_if_token2] = ACTIONS(5120),
    [aux_sym_preproc_else_token1] = ACTIONS(5120),
    [aux_sym_preproc_elif_token1] = ACTIONS(5113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5120),
    [anon_sym_LPAREN2] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5120),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5120),
    [anon_sym_BANG_EQ] = ACTIONS(5120),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5120),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5120),
    [anon_sym_GT_GT] = ACTIONS(5120),
    [anon_sym_SEMI] = ACTIONS(5120),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(5120),
    [anon_sym_RBRACE] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5120),
    [anon_sym_RBRACK] = ACTIONS(5120),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5120),
    [anon_sym_LT_EQ_GT] = ACTIONS(5120),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5120),
    [anon_sym_PLUS_PLUS] = ACTIONS(5120),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5120),
    [anon_sym_DASH_GT] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
    [anon_sym_requires] = ACTIONS(5113),
  },
  [2290] = {
    [sym_string_literal] = STATE(2283),
    [sym_raw_string_literal] = STATE(2283),
    [aux_sym_concatenated_string_repeat1] = STATE(2283),
    [sym_identifier] = ACTIONS(5790),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5236),
    [anon_sym_COMMA] = ACTIONS(5236),
    [anon_sym_RPAREN] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5236),
    [anon_sym_AMP_AMP] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5236),
    [anon_sym_BANG_EQ] = ACTIONS(5236),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5236),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5236),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5236),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5236),
    [anon_sym_PLUS_PLUS] = ACTIONS(5236),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5236),
    [anon_sym_DASH_GT] = ACTIONS(5238),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5236),
    [sym_literal_suffix] = ACTIONS(5238),
  },
  [2291] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(5792),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5799),
    [anon_sym_SLASH_EQ] = ACTIONS(5799),
    [anon_sym_PERCENT_EQ] = ACTIONS(5799),
    [anon_sym_PLUS_EQ] = ACTIONS(5799),
    [anon_sym_DASH_EQ] = ACTIONS(5799),
    [anon_sym_LT_LT_EQ] = ACTIONS(5799),
    [anon_sym_GT_GT_EQ] = ACTIONS(5799),
    [anon_sym_AMP_EQ] = ACTIONS(5799),
    [anon_sym_CARET_EQ] = ACTIONS(5799),
    [anon_sym_PIPE_EQ] = ACTIONS(5799),
    [anon_sym_and_eq] = ACTIONS(5799),
    [anon_sym_or_eq] = ACTIONS(5799),
    [anon_sym_xor_eq] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
    [anon_sym_requires] = ACTIONS(5468),
  },
  [2293] = {
    [sym_catch_clause] = STATE(2307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(2815),
    [aux_sym_preproc_def_token1] = ACTIONS(2815),
    [aux_sym_preproc_if_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2815),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2815),
    [sym_preproc_directive] = ACTIONS(2815),
    [anon_sym_LPAREN2] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym___extension__] = ACTIONS(2815),
    [anon_sym_typedef] = ACTIONS(2815),
    [anon_sym_extern] = ACTIONS(2815),
    [anon_sym___attribute__] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2817),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2817),
    [anon_sym___declspec] = ACTIONS(2815),
    [anon_sym___based] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2815),
    [anon_sym_unsigned] = ACTIONS(2815),
    [anon_sym_long] = ACTIONS(2815),
    [anon_sym_short] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2815),
    [anon_sym_register] = ACTIONS(2815),
    [anon_sym_inline] = ACTIONS(2815),
    [anon_sym___inline] = ACTIONS(2815),
    [anon_sym___inline__] = ACTIONS(2815),
    [anon_sym___forceinline] = ACTIONS(2815),
    [anon_sym_thread_local] = ACTIONS(2815),
    [anon_sym___thread] = ACTIONS(2815),
    [anon_sym_const] = ACTIONS(2815),
    [anon_sym_constexpr] = ACTIONS(2815),
    [anon_sym_volatile] = ACTIONS(2815),
    [anon_sym_restrict] = ACTIONS(2815),
    [anon_sym___restrict__] = ACTIONS(2815),
    [anon_sym__Atomic] = ACTIONS(2815),
    [anon_sym__Noreturn] = ACTIONS(2815),
    [anon_sym_noreturn] = ACTIONS(2815),
    [anon_sym_mutable] = ACTIONS(2815),
    [anon_sym_constinit] = ACTIONS(2815),
    [anon_sym_consteval] = ACTIONS(2815),
    [sym_primitive_type] = ACTIONS(2815),
    [anon_sym_enum] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2815),
    [anon_sym_struct] = ACTIONS(2815),
    [anon_sym_union] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2815),
    [anon_sym_decltype] = ACTIONS(2815),
    [anon_sym_virtual] = ACTIONS(2815),
    [anon_sym_alignas] = ACTIONS(2815),
    [anon_sym_explicit] = ACTIONS(2815),
    [anon_sym_typename] = ACTIONS(2815),
    [anon_sym_template] = ACTIONS(2815),
    [anon_sym_operator] = ACTIONS(2815),
    [anon_sym_friend] = ACTIONS(2815),
    [anon_sym_public] = ACTIONS(2815),
    [anon_sym_private] = ACTIONS(2815),
    [anon_sym_protected] = ACTIONS(2815),
    [anon_sym_using] = ACTIONS(2815),
    [anon_sym_static_assert] = ACTIONS(2815),
    [anon_sym_catch] = ACTIONS(5659),
  },
  [2294] = {
    [sym_template_argument_list] = STATE(2007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [aux_sym_preproc_if_token2] = ACTIONS(5803),
    [aux_sym_preproc_else_token1] = ACTIONS(5803),
    [aux_sym_preproc_elif_token1] = ACTIONS(5801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(5805),
    [anon_sym_unsigned] = ACTIONS(5805),
    [anon_sym_long] = ACTIONS(5805),
    [anon_sym_short] = ACTIONS(5805),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5801),
    [anon_sym_or_eq] = ACTIONS(5801),
    [anon_sym_xor_eq] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
  },
  [2295] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(5807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5809),
    [anon_sym_COMMA] = ACTIONS(5809),
    [anon_sym_RPAREN] = ACTIONS(5809),
    [anon_sym_LPAREN2] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5807),
    [anon_sym_PLUS] = ACTIONS(5807),
    [anon_sym_STAR] = ACTIONS(5809),
    [anon_sym_SLASH] = ACTIONS(5807),
    [anon_sym_PERCENT] = ACTIONS(5809),
    [anon_sym_PIPE_PIPE] = ACTIONS(5809),
    [anon_sym_AMP_AMP] = ACTIONS(5809),
    [anon_sym_PIPE] = ACTIONS(5807),
    [anon_sym_CARET] = ACTIONS(5809),
    [anon_sym_AMP] = ACTIONS(5807),
    [anon_sym_EQ_EQ] = ACTIONS(5809),
    [anon_sym_BANG_EQ] = ACTIONS(5809),
    [anon_sym_GT] = ACTIONS(5807),
    [anon_sym_GT_EQ] = ACTIONS(5809),
    [anon_sym_LT_EQ] = ACTIONS(5807),
    [anon_sym_LT] = ACTIONS(5807),
    [anon_sym_LT_LT] = ACTIONS(5809),
    [anon_sym_GT_GT] = ACTIONS(5809),
    [anon_sym_SEMI] = ACTIONS(5809),
    [anon_sym___extension__] = ACTIONS(5807),
    [anon_sym___attribute__] = ACTIONS(5807),
    [anon_sym___based] = ACTIONS(5807),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_RBRACE] = ACTIONS(5809),
    [anon_sym_signed] = ACTIONS(5807),
    [anon_sym_unsigned] = ACTIONS(5807),
    [anon_sym_long] = ACTIONS(5807),
    [anon_sym_short] = ACTIONS(5807),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [anon_sym_RBRACK] = ACTIONS(5809),
    [anon_sym_const] = ACTIONS(5807),
    [anon_sym_constexpr] = ACTIONS(5807),
    [anon_sym_volatile] = ACTIONS(5807),
    [anon_sym_restrict] = ACTIONS(5807),
    [anon_sym___restrict__] = ACTIONS(5807),
    [anon_sym__Atomic] = ACTIONS(5807),
    [anon_sym__Noreturn] = ACTIONS(5807),
    [anon_sym_noreturn] = ACTIONS(5807),
    [anon_sym_mutable] = ACTIONS(5807),
    [anon_sym_constinit] = ACTIONS(5807),
    [anon_sym_consteval] = ACTIONS(5807),
    [sym_primitive_type] = ACTIONS(5807),
    [anon_sym_COLON] = ACTIONS(5809),
    [anon_sym_QMARK] = ACTIONS(5809),
    [anon_sym_LT_EQ_GT] = ACTIONS(5809),
    [anon_sym_or] = ACTIONS(5807),
    [anon_sym_and] = ACTIONS(5807),
    [anon_sym_bitor] = ACTIONS(5807),
    [anon_sym_xor] = ACTIONS(5807),
    [anon_sym_bitand] = ACTIONS(5807),
    [anon_sym_not_eq] = ACTIONS(5807),
    [anon_sym_DASH_DASH] = ACTIONS(5809),
    [anon_sym_PLUS_PLUS] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5807),
    [anon_sym_DOT_STAR] = ACTIONS(5809),
    [anon_sym_DASH_GT] = ACTIONS(5809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5807),
    [anon_sym_decltype] = ACTIONS(5807),
    [anon_sym_final] = ACTIONS(5807),
    [anon_sym_override] = ACTIONS(5807),
    [anon_sym_requires] = ACTIONS(5807),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5813),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5813),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5813),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5813),
    [anon_sym_GT_GT] = ACTIONS(5813),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___extension__] = ACTIONS(5811),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym___based] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_signed] = ACTIONS(5811),
    [anon_sym_unsigned] = ACTIONS(5811),
    [anon_sym_long] = ACTIONS(5811),
    [anon_sym_short] = ACTIONS(5811),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_const] = ACTIONS(5811),
    [anon_sym_constexpr] = ACTIONS(5811),
    [anon_sym_volatile] = ACTIONS(5811),
    [anon_sym_restrict] = ACTIONS(5811),
    [anon_sym___restrict__] = ACTIONS(5811),
    [anon_sym__Atomic] = ACTIONS(5811),
    [anon_sym__Noreturn] = ACTIONS(5811),
    [anon_sym_noreturn] = ACTIONS(5811),
    [anon_sym_mutable] = ACTIONS(5811),
    [anon_sym_constinit] = ACTIONS(5811),
    [anon_sym_consteval] = ACTIONS(5811),
    [sym_primitive_type] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
    [anon_sym_final] = ACTIONS(5811),
    [anon_sym_override] = ACTIONS(5811),
    [anon_sym_requires] = ACTIONS(5811),
  },
  [2298] = {
    [sym_identifier] = ACTIONS(5815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5817),
    [anon_sym_COMMA] = ACTIONS(5817),
    [anon_sym_RPAREN] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_STAR] = ACTIONS(5817),
    [anon_sym_SLASH] = ACTIONS(5815),
    [anon_sym_PERCENT] = ACTIONS(5817),
    [anon_sym_PIPE_PIPE] = ACTIONS(5817),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_PIPE] = ACTIONS(5815),
    [anon_sym_CARET] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5815),
    [anon_sym_EQ_EQ] = ACTIONS(5817),
    [anon_sym_BANG_EQ] = ACTIONS(5817),
    [anon_sym_GT] = ACTIONS(5815),
    [anon_sym_GT_EQ] = ACTIONS(5817),
    [anon_sym_LT_EQ] = ACTIONS(5815),
    [anon_sym_LT] = ACTIONS(5815),
    [anon_sym_LT_LT] = ACTIONS(5817),
    [anon_sym_GT_GT] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5817),
    [anon_sym___extension__] = ACTIONS(5815),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym___based] = ACTIONS(5815),
    [anon_sym_LBRACE] = ACTIONS(5817),
    [anon_sym_RBRACE] = ACTIONS(5817),
    [anon_sym_signed] = ACTIONS(5815),
    [anon_sym_unsigned] = ACTIONS(5815),
    [anon_sym_long] = ACTIONS(5815),
    [anon_sym_short] = ACTIONS(5815),
    [anon_sym_LBRACK] = ACTIONS(5817),
    [anon_sym_RBRACK] = ACTIONS(5817),
    [anon_sym_const] = ACTIONS(5815),
    [anon_sym_constexpr] = ACTIONS(5815),
    [anon_sym_volatile] = ACTIONS(5815),
    [anon_sym_restrict] = ACTIONS(5815),
    [anon_sym___restrict__] = ACTIONS(5815),
    [anon_sym__Atomic] = ACTIONS(5815),
    [anon_sym__Noreturn] = ACTIONS(5815),
    [anon_sym_noreturn] = ACTIONS(5815),
    [anon_sym_mutable] = ACTIONS(5815),
    [anon_sym_constinit] = ACTIONS(5815),
    [anon_sym_consteval] = ACTIONS(5815),
    [sym_primitive_type] = ACTIONS(5815),
    [anon_sym_COLON] = ACTIONS(5817),
    [anon_sym_QMARK] = ACTIONS(5817),
    [anon_sym_LT_EQ_GT] = ACTIONS(5817),
    [anon_sym_or] = ACTIONS(5815),
    [anon_sym_and] = ACTIONS(5815),
    [anon_sym_bitor] = ACTIONS(5815),
    [anon_sym_xor] = ACTIONS(5815),
    [anon_sym_bitand] = ACTIONS(5815),
    [anon_sym_not_eq] = ACTIONS(5815),
    [anon_sym_DASH_DASH] = ACTIONS(5817),
    [anon_sym_PLUS_PLUS] = ACTIONS(5817),
    [anon_sym_DOT] = ACTIONS(5815),
    [anon_sym_DOT_STAR] = ACTIONS(5817),
    [anon_sym_DASH_GT] = ACTIONS(5817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5815),
    [anon_sym_decltype] = ACTIONS(5815),
    [anon_sym_final] = ACTIONS(5815),
    [anon_sym_override] = ACTIONS(5815),
    [anon_sym_requires] = ACTIONS(5815),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5821),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_RPAREN] = ACTIONS(5821),
    [anon_sym_LPAREN2] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5819),
    [anon_sym_PLUS] = ACTIONS(5819),
    [anon_sym_STAR] = ACTIONS(5821),
    [anon_sym_SLASH] = ACTIONS(5819),
    [anon_sym_PERCENT] = ACTIONS(5821),
    [anon_sym_PIPE_PIPE] = ACTIONS(5821),
    [anon_sym_AMP_AMP] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5819),
    [anon_sym_CARET] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym_EQ_EQ] = ACTIONS(5821),
    [anon_sym_BANG_EQ] = ACTIONS(5821),
    [anon_sym_GT] = ACTIONS(5819),
    [anon_sym_GT_EQ] = ACTIONS(5821),
    [anon_sym_LT_EQ] = ACTIONS(5819),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(5821),
    [anon_sym_GT_GT] = ACTIONS(5821),
    [anon_sym_SEMI] = ACTIONS(5821),
    [anon_sym___extension__] = ACTIONS(5819),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym___based] = ACTIONS(5819),
    [anon_sym_LBRACE] = ACTIONS(5821),
    [anon_sym_RBRACE] = ACTIONS(5821),
    [anon_sym_signed] = ACTIONS(5819),
    [anon_sym_unsigned] = ACTIONS(5819),
    [anon_sym_long] = ACTIONS(5819),
    [anon_sym_short] = ACTIONS(5819),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_const] = ACTIONS(5819),
    [anon_sym_constexpr] = ACTIONS(5819),
    [anon_sym_volatile] = ACTIONS(5819),
    [anon_sym_restrict] = ACTIONS(5819),
    [anon_sym___restrict__] = ACTIONS(5819),
    [anon_sym__Atomic] = ACTIONS(5819),
    [anon_sym__Noreturn] = ACTIONS(5819),
    [anon_sym_noreturn] = ACTIONS(5819),
    [anon_sym_mutable] = ACTIONS(5819),
    [anon_sym_constinit] = ACTIONS(5819),
    [anon_sym_consteval] = ACTIONS(5819),
    [sym_primitive_type] = ACTIONS(5819),
    [anon_sym_COLON] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LT_EQ_GT] = ACTIONS(5821),
    [anon_sym_or] = ACTIONS(5819),
    [anon_sym_and] = ACTIONS(5819),
    [anon_sym_bitor] = ACTIONS(5819),
    [anon_sym_xor] = ACTIONS(5819),
    [anon_sym_bitand] = ACTIONS(5819),
    [anon_sym_not_eq] = ACTIONS(5819),
    [anon_sym_DASH_DASH] = ACTIONS(5821),
    [anon_sym_PLUS_PLUS] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5819),
    [anon_sym_DOT_STAR] = ACTIONS(5821),
    [anon_sym_DASH_GT] = ACTIONS(5821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
    [anon_sym_final] = ACTIONS(5819),
    [anon_sym_override] = ACTIONS(5819),
    [anon_sym_requires] = ACTIONS(5819),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5825),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5825),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5825),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5825),
    [anon_sym_GT_GT] = ACTIONS(5825),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___extension__] = ACTIONS(5823),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym___based] = ACTIONS(5823),
    [anon_sym_LBRACE] = ACTIONS(5825),
    [anon_sym_RBRACE] = ACTIONS(5825),
    [anon_sym_signed] = ACTIONS(5823),
    [anon_sym_unsigned] = ACTIONS(5823),
    [anon_sym_long] = ACTIONS(5823),
    [anon_sym_short] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_RBRACK] = ACTIONS(5825),
    [anon_sym_const] = ACTIONS(5823),
    [anon_sym_constexpr] = ACTIONS(5823),
    [anon_sym_volatile] = ACTIONS(5823),
    [anon_sym_restrict] = ACTIONS(5823),
    [anon_sym___restrict__] = ACTIONS(5823),
    [anon_sym__Atomic] = ACTIONS(5823),
    [anon_sym__Noreturn] = ACTIONS(5823),
    [anon_sym_noreturn] = ACTIONS(5823),
    [anon_sym_mutable] = ACTIONS(5823),
    [anon_sym_constinit] = ACTIONS(5823),
    [anon_sym_consteval] = ACTIONS(5823),
    [sym_primitive_type] = ACTIONS(5823),
    [anon_sym_COLON] = ACTIONS(5825),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5823),
    [anon_sym_decltype] = ACTIONS(5823),
    [anon_sym_final] = ACTIONS(5823),
    [anon_sym_override] = ACTIONS(5823),
    [anon_sym_requires] = ACTIONS(5823),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(5827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_RPAREN] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_STAR] = ACTIONS(5829),
    [anon_sym_SLASH] = ACTIONS(5827),
    [anon_sym_PERCENT] = ACTIONS(5829),
    [anon_sym_PIPE_PIPE] = ACTIONS(5829),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_PIPE] = ACTIONS(5827),
    [anon_sym_CARET] = ACTIONS(5829),
    [anon_sym_AMP] = ACTIONS(5827),
    [anon_sym_EQ_EQ] = ACTIONS(5829),
    [anon_sym_BANG_EQ] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(5827),
    [anon_sym_GT_EQ] = ACTIONS(5829),
    [anon_sym_LT_EQ] = ACTIONS(5827),
    [anon_sym_LT] = ACTIONS(5827),
    [anon_sym_LT_LT] = ACTIONS(5829),
    [anon_sym_GT_GT] = ACTIONS(5829),
    [anon_sym_SEMI] = ACTIONS(5829),
    [anon_sym___extension__] = ACTIONS(5827),
    [anon_sym___attribute__] = ACTIONS(5827),
    [anon_sym___based] = ACTIONS(5827),
    [anon_sym_LBRACE] = ACTIONS(5829),
    [anon_sym_RBRACE] = ACTIONS(5829),
    [anon_sym_signed] = ACTIONS(5827),
    [anon_sym_unsigned] = ACTIONS(5827),
    [anon_sym_long] = ACTIONS(5827),
    [anon_sym_short] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5829),
    [anon_sym_const] = ACTIONS(5827),
    [anon_sym_constexpr] = ACTIONS(5827),
    [anon_sym_volatile] = ACTIONS(5827),
    [anon_sym_restrict] = ACTIONS(5827),
    [anon_sym___restrict__] = ACTIONS(5827),
    [anon_sym__Atomic] = ACTIONS(5827),
    [anon_sym__Noreturn] = ACTIONS(5827),
    [anon_sym_noreturn] = ACTIONS(5827),
    [anon_sym_mutable] = ACTIONS(5827),
    [anon_sym_constinit] = ACTIONS(5827),
    [anon_sym_consteval] = ACTIONS(5827),
    [sym_primitive_type] = ACTIONS(5827),
    [anon_sym_COLON] = ACTIONS(5829),
    [anon_sym_QMARK] = ACTIONS(5829),
    [anon_sym_LT_EQ_GT] = ACTIONS(5829),
    [anon_sym_or] = ACTIONS(5827),
    [anon_sym_and] = ACTIONS(5827),
    [anon_sym_bitor] = ACTIONS(5827),
    [anon_sym_xor] = ACTIONS(5827),
    [anon_sym_bitand] = ACTIONS(5827),
    [anon_sym_not_eq] = ACTIONS(5827),
    [anon_sym_DASH_DASH] = ACTIONS(5829),
    [anon_sym_PLUS_PLUS] = ACTIONS(5829),
    [anon_sym_DOT] = ACTIONS(5827),
    [anon_sym_DOT_STAR] = ACTIONS(5829),
    [anon_sym_DASH_GT] = ACTIONS(5829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5827),
    [anon_sym_decltype] = ACTIONS(5827),
    [anon_sym_final] = ACTIONS(5827),
    [anon_sym_override] = ACTIONS(5827),
    [anon_sym_requires] = ACTIONS(5827),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_RPAREN] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5831),
    [anon_sym_PLUS] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(5833),
    [anon_sym_SLASH] = ACTIONS(5831),
    [anon_sym_PERCENT] = ACTIONS(5833),
    [anon_sym_PIPE_PIPE] = ACTIONS(5833),
    [anon_sym_AMP_AMP] = ACTIONS(5833),
    [anon_sym_PIPE] = ACTIONS(5831),
    [anon_sym_CARET] = ACTIONS(5833),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym_EQ_EQ] = ACTIONS(5833),
    [anon_sym_BANG_EQ] = ACTIONS(5833),
    [anon_sym_GT] = ACTIONS(5831),
    [anon_sym_GT_EQ] = ACTIONS(5833),
    [anon_sym_LT_EQ] = ACTIONS(5831),
    [anon_sym_LT] = ACTIONS(5831),
    [anon_sym_LT_LT] = ACTIONS(5833),
    [anon_sym_GT_GT] = ACTIONS(5833),
    [anon_sym_SEMI] = ACTIONS(5833),
    [anon_sym___extension__] = ACTIONS(5831),
    [anon_sym___attribute__] = ACTIONS(5831),
    [anon_sym___based] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_RBRACE] = ACTIONS(5833),
    [anon_sym_signed] = ACTIONS(5831),
    [anon_sym_unsigned] = ACTIONS(5831),
    [anon_sym_long] = ACTIONS(5831),
    [anon_sym_short] = ACTIONS(5831),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5833),
    [anon_sym_const] = ACTIONS(5831),
    [anon_sym_constexpr] = ACTIONS(5831),
    [anon_sym_volatile] = ACTIONS(5831),
    [anon_sym_restrict] = ACTIONS(5831),
    [anon_sym___restrict__] = ACTIONS(5831),
    [anon_sym__Atomic] = ACTIONS(5831),
    [anon_sym__Noreturn] = ACTIONS(5831),
    [anon_sym_noreturn] = ACTIONS(5831),
    [anon_sym_mutable] = ACTIONS(5831),
    [anon_sym_constinit] = ACTIONS(5831),
    [anon_sym_consteval] = ACTIONS(5831),
    [sym_primitive_type] = ACTIONS(5831),
    [anon_sym_COLON] = ACTIONS(5833),
    [anon_sym_QMARK] = ACTIONS(5833),
    [anon_sym_LT_EQ_GT] = ACTIONS(5833),
    [anon_sym_or] = ACTIONS(5831),
    [anon_sym_and] = ACTIONS(5831),
    [anon_sym_bitor] = ACTIONS(5831),
    [anon_sym_xor] = ACTIONS(5831),
    [anon_sym_bitand] = ACTIONS(5831),
    [anon_sym_not_eq] = ACTIONS(5831),
    [anon_sym_DASH_DASH] = ACTIONS(5833),
    [anon_sym_PLUS_PLUS] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_DOT_STAR] = ACTIONS(5833),
    [anon_sym_DASH_GT] = ACTIONS(5833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5831),
    [anon_sym_decltype] = ACTIONS(5831),
    [anon_sym_final] = ACTIONS(5831),
    [anon_sym_override] = ACTIONS(5831),
    [anon_sym_requires] = ACTIONS(5831),
  },
  [2303] = {
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5837),
    [anon_sym_COMMA] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(5837),
    [anon_sym_LPAREN2] = ACTIONS(5837),
    [anon_sym_DASH] = ACTIONS(5835),
    [anon_sym_PLUS] = ACTIONS(5835),
    [anon_sym_STAR] = ACTIONS(5837),
    [anon_sym_SLASH] = ACTIONS(5835),
    [anon_sym_PERCENT] = ACTIONS(5837),
    [anon_sym_PIPE_PIPE] = ACTIONS(5837),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_PIPE] = ACTIONS(5835),
    [anon_sym_CARET] = ACTIONS(5837),
    [anon_sym_AMP] = ACTIONS(5835),
    [anon_sym_EQ_EQ] = ACTIONS(5837),
    [anon_sym_BANG_EQ] = ACTIONS(5837),
    [anon_sym_GT] = ACTIONS(5835),
    [anon_sym_GT_EQ] = ACTIONS(5837),
    [anon_sym_LT_EQ] = ACTIONS(5835),
    [anon_sym_LT] = ACTIONS(5835),
    [anon_sym_LT_LT] = ACTIONS(5837),
    [anon_sym_GT_GT] = ACTIONS(5837),
    [anon_sym_SEMI] = ACTIONS(5837),
    [anon_sym___extension__] = ACTIONS(5835),
    [anon_sym___attribute__] = ACTIONS(5835),
    [anon_sym___based] = ACTIONS(5835),
    [anon_sym_LBRACE] = ACTIONS(5837),
    [anon_sym_RBRACE] = ACTIONS(5837),
    [anon_sym_signed] = ACTIONS(5835),
    [anon_sym_unsigned] = ACTIONS(5835),
    [anon_sym_long] = ACTIONS(5835),
    [anon_sym_short] = ACTIONS(5835),
    [anon_sym_LBRACK] = ACTIONS(5837),
    [anon_sym_RBRACK] = ACTIONS(5837),
    [anon_sym_const] = ACTIONS(5835),
    [anon_sym_constexpr] = ACTIONS(5835),
    [anon_sym_volatile] = ACTIONS(5835),
    [anon_sym_restrict] = ACTIONS(5835),
    [anon_sym___restrict__] = ACTIONS(5835),
    [anon_sym__Atomic] = ACTIONS(5835),
    [anon_sym__Noreturn] = ACTIONS(5835),
    [anon_sym_noreturn] = ACTIONS(5835),
    [anon_sym_mutable] = ACTIONS(5835),
    [anon_sym_constinit] = ACTIONS(5835),
    [anon_sym_consteval] = ACTIONS(5835),
    [sym_primitive_type] = ACTIONS(5835),
    [anon_sym_COLON] = ACTIONS(5837),
    [anon_sym_QMARK] = ACTIONS(5837),
    [anon_sym_LT_EQ_GT] = ACTIONS(5837),
    [anon_sym_or] = ACTIONS(5835),
    [anon_sym_and] = ACTIONS(5835),
    [anon_sym_bitor] = ACTIONS(5835),
    [anon_sym_xor] = ACTIONS(5835),
    [anon_sym_bitand] = ACTIONS(5835),
    [anon_sym_not_eq] = ACTIONS(5835),
    [anon_sym_DASH_DASH] = ACTIONS(5837),
    [anon_sym_PLUS_PLUS] = ACTIONS(5837),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_DOT_STAR] = ACTIONS(5837),
    [anon_sym_DASH_GT] = ACTIONS(5837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5835),
    [anon_sym_decltype] = ACTIONS(5835),
    [anon_sym_final] = ACTIONS(5835),
    [anon_sym_override] = ACTIONS(5835),
    [anon_sym_requires] = ACTIONS(5835),
  },
  [2304] = {
    [sym_string_literal] = STATE(2666),
    [sym_template_argument_list] = STATE(4170),
    [sym_raw_string_literal] = STATE(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5839),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(5842),
    [anon_sym_or_eq] = ACTIONS(5842),
    [anon_sym_xor_eq] = ACTIONS(5842),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(4436),
    [anon_sym_u_DQUOTE] = ACTIONS(4436),
    [anon_sym_U_DQUOTE] = ACTIONS(4436),
    [anon_sym_u8_DQUOTE] = ACTIONS(4436),
    [anon_sym_DQUOTE] = ACTIONS(4436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4438),
    [anon_sym_LR_DQUOTE] = ACTIONS(4438),
    [anon_sym_uR_DQUOTE] = ACTIONS(4438),
    [anon_sym_UR_DQUOTE] = ACTIONS(4438),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4438),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
  },
  [2305] = {
    [sym_identifier] = ACTIONS(5844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_RPAREN] = ACTIONS(5846),
    [anon_sym_LPAREN2] = ACTIONS(5846),
    [anon_sym_DASH] = ACTIONS(5844),
    [anon_sym_PLUS] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5846),
    [anon_sym_SLASH] = ACTIONS(5844),
    [anon_sym_PERCENT] = ACTIONS(5846),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5846),
    [anon_sym_PIPE] = ACTIONS(5844),
    [anon_sym_CARET] = ACTIONS(5846),
    [anon_sym_AMP] = ACTIONS(5844),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_GT] = ACTIONS(5844),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5844),
    [anon_sym_LT] = ACTIONS(5844),
    [anon_sym_LT_LT] = ACTIONS(5846),
    [anon_sym_GT_GT] = ACTIONS(5846),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym___extension__] = ACTIONS(5844),
    [anon_sym___attribute__] = ACTIONS(5844),
    [anon_sym___based] = ACTIONS(5844),
    [anon_sym_LBRACE] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_signed] = ACTIONS(5844),
    [anon_sym_unsigned] = ACTIONS(5844),
    [anon_sym_long] = ACTIONS(5844),
    [anon_sym_short] = ACTIONS(5844),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_const] = ACTIONS(5844),
    [anon_sym_constexpr] = ACTIONS(5844),
    [anon_sym_volatile] = ACTIONS(5844),
    [anon_sym_restrict] = ACTIONS(5844),
    [anon_sym___restrict__] = ACTIONS(5844),
    [anon_sym__Atomic] = ACTIONS(5844),
    [anon_sym__Noreturn] = ACTIONS(5844),
    [anon_sym_noreturn] = ACTIONS(5844),
    [anon_sym_mutable] = ACTIONS(5844),
    [anon_sym_constinit] = ACTIONS(5844),
    [anon_sym_consteval] = ACTIONS(5844),
    [sym_primitive_type] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_QMARK] = ACTIONS(5846),
    [anon_sym_LT_EQ_GT] = ACTIONS(5846),
    [anon_sym_or] = ACTIONS(5844),
    [anon_sym_and] = ACTIONS(5844),
    [anon_sym_bitor] = ACTIONS(5844),
    [anon_sym_xor] = ACTIONS(5844),
    [anon_sym_bitand] = ACTIONS(5844),
    [anon_sym_not_eq] = ACTIONS(5844),
    [anon_sym_DASH_DASH] = ACTIONS(5846),
    [anon_sym_PLUS_PLUS] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5844),
    [anon_sym_DOT_STAR] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5844),
    [anon_sym_decltype] = ACTIONS(5844),
    [anon_sym_final] = ACTIONS(5844),
    [anon_sym_override] = ACTIONS(5844),
    [anon_sym_requires] = ACTIONS(5844),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_COMMA] = ACTIONS(5850),
    [anon_sym_RPAREN] = ACTIONS(5850),
    [anon_sym_LPAREN2] = ACTIONS(5850),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5850),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5850),
    [anon_sym_PIPE_PIPE] = ACTIONS(5850),
    [anon_sym_AMP_AMP] = ACTIONS(5850),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_CARET] = ACTIONS(5850),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_EQ_EQ] = ACTIONS(5850),
    [anon_sym_BANG_EQ] = ACTIONS(5850),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_GT_EQ] = ACTIONS(5850),
    [anon_sym_LT_EQ] = ACTIONS(5848),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5850),
    [anon_sym_GT_GT] = ACTIONS(5850),
    [anon_sym_SEMI] = ACTIONS(5850),
    [anon_sym___extension__] = ACTIONS(5848),
    [anon_sym___attribute__] = ACTIONS(5848),
    [anon_sym___based] = ACTIONS(5848),
    [anon_sym_LBRACE] = ACTIONS(5850),
    [anon_sym_RBRACE] = ACTIONS(5850),
    [anon_sym_signed] = ACTIONS(5848),
    [anon_sym_unsigned] = ACTIONS(5848),
    [anon_sym_long] = ACTIONS(5848),
    [anon_sym_short] = ACTIONS(5848),
    [anon_sym_LBRACK] = ACTIONS(5850),
    [anon_sym_RBRACK] = ACTIONS(5850),
    [anon_sym_const] = ACTIONS(5848),
    [anon_sym_constexpr] = ACTIONS(5848),
    [anon_sym_volatile] = ACTIONS(5848),
    [anon_sym_restrict] = ACTIONS(5848),
    [anon_sym___restrict__] = ACTIONS(5848),
    [anon_sym__Atomic] = ACTIONS(5848),
    [anon_sym__Noreturn] = ACTIONS(5848),
    [anon_sym_noreturn] = ACTIONS(5848),
    [anon_sym_mutable] = ACTIONS(5848),
    [anon_sym_constinit] = ACTIONS(5848),
    [anon_sym_consteval] = ACTIONS(5848),
    [sym_primitive_type] = ACTIONS(5848),
    [anon_sym_COLON] = ACTIONS(5850),
    [anon_sym_QMARK] = ACTIONS(5850),
    [anon_sym_LT_EQ_GT] = ACTIONS(5850),
    [anon_sym_or] = ACTIONS(5848),
    [anon_sym_and] = ACTIONS(5848),
    [anon_sym_bitor] = ACTIONS(5848),
    [anon_sym_xor] = ACTIONS(5848),
    [anon_sym_bitand] = ACTIONS(5848),
    [anon_sym_not_eq] = ACTIONS(5848),
    [anon_sym_DASH_DASH] = ACTIONS(5850),
    [anon_sym_PLUS_PLUS] = ACTIONS(5850),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_DOT_STAR] = ACTIONS(5850),
    [anon_sym_DASH_GT] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5848),
    [anon_sym_decltype] = ACTIONS(5848),
    [anon_sym_final] = ACTIONS(5848),
    [anon_sym_override] = ACTIONS(5848),
    [anon_sym_requires] = ACTIONS(5848),
  },
  [2307] = {
    [sym_catch_clause] = STATE(2307),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2307),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5852),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_DASH] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5855),
    [anon_sym_STAR] = ACTIONS(5857),
    [anon_sym_SLASH] = ACTIONS(5855),
    [anon_sym_PERCENT] = ACTIONS(5857),
    [anon_sym_PIPE_PIPE] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5855),
    [anon_sym_CARET] = ACTIONS(5857),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_EQ_EQ] = ACTIONS(5857),
    [anon_sym_BANG_EQ] = ACTIONS(5857),
    [anon_sym_GT] = ACTIONS(5855),
    [anon_sym_GT_EQ] = ACTIONS(5857),
    [anon_sym_LT_EQ] = ACTIONS(5855),
    [anon_sym_LT] = ACTIONS(5855),
    [anon_sym_LT_LT] = ACTIONS(5857),
    [anon_sym_GT_GT] = ACTIONS(5857),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___extension__] = ACTIONS(5855),
    [anon_sym___attribute__] = ACTIONS(5855),
    [anon_sym___based] = ACTIONS(5855),
    [anon_sym_LBRACE] = ACTIONS(5857),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_signed] = ACTIONS(5855),
    [anon_sym_unsigned] = ACTIONS(5855),
    [anon_sym_long] = ACTIONS(5855),
    [anon_sym_short] = ACTIONS(5855),
    [anon_sym_LBRACK] = ACTIONS(5857),
    [anon_sym_RBRACK] = ACTIONS(5857),
    [anon_sym_const] = ACTIONS(5855),
    [anon_sym_constexpr] = ACTIONS(5855),
    [anon_sym_volatile] = ACTIONS(5855),
    [anon_sym_restrict] = ACTIONS(5855),
    [anon_sym___restrict__] = ACTIONS(5855),
    [anon_sym__Atomic] = ACTIONS(5855),
    [anon_sym__Noreturn] = ACTIONS(5855),
    [anon_sym_noreturn] = ACTIONS(5855),
    [anon_sym_mutable] = ACTIONS(5855),
    [anon_sym_constinit] = ACTIONS(5855),
    [anon_sym_consteval] = ACTIONS(5855),
    [sym_primitive_type] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_QMARK] = ACTIONS(5857),
    [anon_sym_LT_EQ_GT] = ACTIONS(5857),
    [anon_sym_or] = ACTIONS(5855),
    [anon_sym_and] = ACTIONS(5855),
    [anon_sym_bitor] = ACTIONS(5855),
    [anon_sym_xor] = ACTIONS(5855),
    [anon_sym_bitand] = ACTIONS(5855),
    [anon_sym_not_eq] = ACTIONS(5855),
    [anon_sym_DASH_DASH] = ACTIONS(5857),
    [anon_sym_PLUS_PLUS] = ACTIONS(5857),
    [anon_sym_DOT] = ACTIONS(5855),
    [anon_sym_DOT_STAR] = ACTIONS(5857),
    [anon_sym_DASH_GT] = ACTIONS(5857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
    [anon_sym_final] = ACTIONS(5855),
    [anon_sym_override] = ACTIONS(5855),
    [anon_sym_requires] = ACTIONS(5855),
  },
  [2309] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5800),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2310] = {
    [sym_string_literal] = STATE(2290),
    [sym_raw_string_literal] = STATE(2290),
    [aux_sym_concatenated_string_repeat1] = STATE(2290),
    [sym_identifier] = ACTIONS(5859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5282),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5280),
    [sym_literal_suffix] = ACTIONS(5282),
  },
  [2311] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5861),
    [anon_sym_SLASH] = ACTIONS(5864),
    [anon_sym_PERCENT] = ACTIONS(5861),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_CARET] = ACTIONS(5861),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5864),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5861),
    [anon_sym_GT_GT] = ACTIONS(5861),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___extension__] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5864),
    [anon_sym_LBRACE] = ACTIONS(5861),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_signed] = ACTIONS(5345),
    [anon_sym_unsigned] = ACTIONS(5345),
    [anon_sym_long] = ACTIONS(5345),
    [anon_sym_short] = ACTIONS(5345),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_RBRACK] = ACTIONS(5861),
    [anon_sym_const] = ACTIONS(5864),
    [anon_sym_constexpr] = ACTIONS(5864),
    [anon_sym_volatile] = ACTIONS(5864),
    [anon_sym_restrict] = ACTIONS(5864),
    [anon_sym___restrict__] = ACTIONS(5864),
    [anon_sym__Atomic] = ACTIONS(5864),
    [anon_sym__Noreturn] = ACTIONS(5864),
    [anon_sym_noreturn] = ACTIONS(5864),
    [anon_sym_mutable] = ACTIONS(5864),
    [anon_sym_constinit] = ACTIONS(5864),
    [anon_sym_consteval] = ACTIONS(5864),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
    [anon_sym_final] = ACTIONS(5864),
    [anon_sym_override] = ACTIONS(5864),
    [anon_sym_requires] = ACTIONS(5864),
  },
  [2312] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(5867),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_RBRACK] = ACTIONS(5794),
    [anon_sym_EQ] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5799),
    [anon_sym_SLASH_EQ] = ACTIONS(5799),
    [anon_sym_PERCENT_EQ] = ACTIONS(5799),
    [anon_sym_PLUS_EQ] = ACTIONS(5799),
    [anon_sym_DASH_EQ] = ACTIONS(5799),
    [anon_sym_LT_LT_EQ] = ACTIONS(5799),
    [anon_sym_GT_GT_EQ] = ACTIONS(5799),
    [anon_sym_AMP_EQ] = ACTIONS(5799),
    [anon_sym_CARET_EQ] = ACTIONS(5799),
    [anon_sym_PIPE_EQ] = ACTIONS(5799),
    [anon_sym_and_eq] = ACTIONS(5799),
    [anon_sym_or_eq] = ACTIONS(5799),
    [anon_sym_xor_eq] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2313] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2314] = {
    [sym_string_literal] = STATE(2288),
    [sym_raw_string_literal] = STATE(2288),
    [aux_sym_concatenated_string_repeat1] = STATE(2288),
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5236),
    [anon_sym_COMMA] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5236),
    [anon_sym_AMP_AMP] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5236),
    [anon_sym_BANG_EQ] = ACTIONS(5236),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5236),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_SEMI] = ACTIONS(5236),
    [anon_sym___attribute__] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5236),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5236),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5236),
    [anon_sym_PLUS_PLUS] = ACTIONS(5236),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5236),
    [anon_sym_DASH_GT] = ACTIONS(5236),
    [anon_sym_L_DQUOTE] = ACTIONS(5872),
    [anon_sym_u_DQUOTE] = ACTIONS(5872),
    [anon_sym_U_DQUOTE] = ACTIONS(5872),
    [anon_sym_u8_DQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5874),
    [anon_sym_LR_DQUOTE] = ACTIONS(5874),
    [anon_sym_uR_DQUOTE] = ACTIONS(5874),
    [anon_sym_UR_DQUOTE] = ACTIONS(5874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5874),
    [sym_literal_suffix] = ACTIONS(5238),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5878),
    [anon_sym_COMMA] = ACTIONS(5878),
    [anon_sym_RPAREN] = ACTIONS(5878),
    [anon_sym_LPAREN2] = ACTIONS(5878),
    [anon_sym_DASH] = ACTIONS(5876),
    [anon_sym_PLUS] = ACTIONS(5876),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_SLASH] = ACTIONS(5876),
    [anon_sym_PERCENT] = ACTIONS(5878),
    [anon_sym_PIPE_PIPE] = ACTIONS(5878),
    [anon_sym_AMP_AMP] = ACTIONS(5878),
    [anon_sym_PIPE] = ACTIONS(5876),
    [anon_sym_CARET] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5876),
    [anon_sym_EQ_EQ] = ACTIONS(5878),
    [anon_sym_BANG_EQ] = ACTIONS(5878),
    [anon_sym_GT] = ACTIONS(5876),
    [anon_sym_GT_EQ] = ACTIONS(5878),
    [anon_sym_LT_EQ] = ACTIONS(5876),
    [anon_sym_LT] = ACTIONS(5876),
    [anon_sym_LT_LT] = ACTIONS(5878),
    [anon_sym_GT_GT] = ACTIONS(5878),
    [anon_sym_SEMI] = ACTIONS(5878),
    [anon_sym___extension__] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5876),
    [anon_sym___based] = ACTIONS(5876),
    [anon_sym_LBRACE] = ACTIONS(5878),
    [anon_sym_RBRACE] = ACTIONS(5878),
    [anon_sym_signed] = ACTIONS(5876),
    [anon_sym_unsigned] = ACTIONS(5876),
    [anon_sym_long] = ACTIONS(5876),
    [anon_sym_short] = ACTIONS(5876),
    [anon_sym_LBRACK] = ACTIONS(5878),
    [anon_sym_RBRACK] = ACTIONS(5878),
    [anon_sym_const] = ACTIONS(5876),
    [anon_sym_constexpr] = ACTIONS(5876),
    [anon_sym_volatile] = ACTIONS(5876),
    [anon_sym_restrict] = ACTIONS(5876),
    [anon_sym___restrict__] = ACTIONS(5876),
    [anon_sym__Atomic] = ACTIONS(5876),
    [anon_sym__Noreturn] = ACTIONS(5876),
    [anon_sym_noreturn] = ACTIONS(5876),
    [anon_sym_mutable] = ACTIONS(5876),
    [anon_sym_constinit] = ACTIONS(5876),
    [anon_sym_consteval] = ACTIONS(5876),
    [sym_primitive_type] = ACTIONS(5876),
    [anon_sym_COLON] = ACTIONS(5878),
    [anon_sym_QMARK] = ACTIONS(5878),
    [anon_sym_LT_EQ_GT] = ACTIONS(5878),
    [anon_sym_or] = ACTIONS(5876),
    [anon_sym_and] = ACTIONS(5876),
    [anon_sym_bitor] = ACTIONS(5876),
    [anon_sym_xor] = ACTIONS(5876),
    [anon_sym_bitand] = ACTIONS(5876),
    [anon_sym_not_eq] = ACTIONS(5876),
    [anon_sym_DASH_DASH] = ACTIONS(5878),
    [anon_sym_PLUS_PLUS] = ACTIONS(5878),
    [anon_sym_DOT] = ACTIONS(5876),
    [anon_sym_DOT_STAR] = ACTIONS(5878),
    [anon_sym_DASH_GT] = ACTIONS(5878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5876),
    [anon_sym_decltype] = ACTIONS(5876),
    [anon_sym_final] = ACTIONS(5876),
    [anon_sym_override] = ACTIONS(5876),
    [anon_sym_requires] = ACTIONS(5876),
  },
  [2316] = {
    [sym_string_literal] = STATE(2314),
    [sym_raw_string_literal] = STATE(2314),
    [aux_sym_concatenated_string_repeat1] = STATE(2314),
    [sym_identifier] = ACTIONS(5880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(5872),
    [anon_sym_u_DQUOTE] = ACTIONS(5872),
    [anon_sym_U_DQUOTE] = ACTIONS(5872),
    [anon_sym_u8_DQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5874),
    [anon_sym_LR_DQUOTE] = ACTIONS(5874),
    [anon_sym_uR_DQUOTE] = ACTIONS(5874),
    [anon_sym_UR_DQUOTE] = ACTIONS(5874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5874),
    [sym_literal_suffix] = ACTIONS(5282),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5470),
    [anon_sym_COMMA] = ACTIONS(5470),
    [anon_sym_RPAREN] = ACTIONS(5470),
    [aux_sym_preproc_if_token2] = ACTIONS(5470),
    [aux_sym_preproc_else_token1] = ACTIONS(5470),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5470),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5468),
    [anon_sym_STAR] = ACTIONS(5468),
    [anon_sym_SLASH] = ACTIONS(5468),
    [anon_sym_PERCENT] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_PIPE] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5468),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym_EQ_EQ] = ACTIONS(5470),
    [anon_sym_BANG_EQ] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5468),
    [anon_sym_GT_EQ] = ACTIONS(5470),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(5468),
    [anon_sym_GT_GT] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5470),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_LBRACE] = ACTIONS(5470),
    [anon_sym_RBRACE] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_QMARK] = ACTIONS(5470),
    [anon_sym_STAR_EQ] = ACTIONS(5470),
    [anon_sym_SLASH_EQ] = ACTIONS(5470),
    [anon_sym_PERCENT_EQ] = ACTIONS(5470),
    [anon_sym_PLUS_EQ] = ACTIONS(5470),
    [anon_sym_DASH_EQ] = ACTIONS(5470),
    [anon_sym_LT_LT_EQ] = ACTIONS(5470),
    [anon_sym_GT_GT_EQ] = ACTIONS(5470),
    [anon_sym_AMP_EQ] = ACTIONS(5470),
    [anon_sym_CARET_EQ] = ACTIONS(5470),
    [anon_sym_PIPE_EQ] = ACTIONS(5470),
    [anon_sym_and_eq] = ACTIONS(5468),
    [anon_sym_or_eq] = ACTIONS(5468),
    [anon_sym_xor_eq] = ACTIONS(5468),
    [anon_sym_LT_EQ_GT] = ACTIONS(5470),
    [anon_sym_or] = ACTIONS(5468),
    [anon_sym_and] = ACTIONS(5468),
    [anon_sym_bitor] = ACTIONS(5468),
    [anon_sym_xor] = ACTIONS(5468),
    [anon_sym_bitand] = ACTIONS(5468),
    [anon_sym_not_eq] = ACTIONS(5468),
    [anon_sym_DASH_DASH] = ACTIONS(5470),
    [anon_sym_PLUS_PLUS] = ACTIONS(5470),
    [anon_sym_DOT] = ACTIONS(5468),
    [anon_sym_DOT_STAR] = ACTIONS(5470),
    [anon_sym_DASH_GT] = ACTIONS(5470),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_final] = ACTIONS(5468),
    [anon_sym_override] = ACTIONS(5468),
  },
  [2318] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4381),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4385),
    [anon_sym_SLASH_EQ] = ACTIONS(4385),
    [anon_sym_PERCENT_EQ] = ACTIONS(4385),
    [anon_sym_PLUS_EQ] = ACTIONS(4385),
    [anon_sym_DASH_EQ] = ACTIONS(4385),
    [anon_sym_LT_LT_EQ] = ACTIONS(4385),
    [anon_sym_GT_GT_EQ] = ACTIONS(4385),
    [anon_sym_AMP_EQ] = ACTIONS(4385),
    [anon_sym_CARET_EQ] = ACTIONS(4385),
    [anon_sym_PIPE_EQ] = ACTIONS(4385),
    [anon_sym_and_eq] = ACTIONS(4385),
    [anon_sym_or_eq] = ACTIONS(4385),
    [anon_sym_xor_eq] = ACTIONS(4385),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2319] = {
    [sym_catch_clause] = STATE(2248),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2248),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_AMP_AMP] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym_COLON_COLON] = ACTIONS(2846),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___based] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_mutable] = ACTIONS(2844),
    [anon_sym_constinit] = ACTIONS(2844),
    [anon_sym_consteval] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_class] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2844),
    [anon_sym_decltype] = ACTIONS(2844),
    [anon_sym_virtual] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym_explicit] = ACTIONS(2844),
    [anon_sym_typename] = ACTIONS(2844),
    [anon_sym_template] = ACTIONS(2844),
    [anon_sym_operator] = ACTIONS(2844),
    [anon_sym_friend] = ACTIONS(2844),
    [anon_sym_public] = ACTIONS(2844),
    [anon_sym_private] = ACTIONS(2844),
    [anon_sym_protected] = ACTIONS(2844),
    [anon_sym_using] = ACTIONS(2844),
    [anon_sym_static_assert] = ACTIONS(2844),
    [anon_sym_catch] = ACTIONS(5669),
  },
  [2320] = {
    [sym_string_literal] = STATE(2220),
    [sym_raw_string_literal] = STATE(2220),
    [sym_identifier] = ACTIONS(5438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [aux_sym_preproc_if_token2] = ACTIONS(5440),
    [aux_sym_preproc_else_token1] = ACTIONS(5440),
    [aux_sym_preproc_elif_token1] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5882),
  },
  [2321] = {
    [sym_string_literal] = STATE(2220),
    [sym_raw_string_literal] = STATE(2220),
    [sym_identifier] = ACTIONS(4357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [aux_sym_preproc_if_token2] = ACTIONS(4349),
    [aux_sym_preproc_else_token1] = ACTIONS(4349),
    [aux_sym_preproc_elif_token1] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5882),
  },
  [2322] = {
    [sym_attribute_specifier] = STATE(2517),
    [sym_enumerator_list] = STATE(2438),
    [sym_identifier] = ACTIONS(5884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5886),
    [anon_sym_COMMA] = ACTIONS(5886),
    [anon_sym_RPAREN] = ACTIONS(5886),
    [aux_sym_preproc_if_token2] = ACTIONS(5886),
    [aux_sym_preproc_else_token1] = ACTIONS(5886),
    [aux_sym_preproc_elif_token1] = ACTIONS(5884),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5886),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5886),
    [anon_sym_LPAREN2] = ACTIONS(5886),
    [anon_sym_DASH] = ACTIONS(5884),
    [anon_sym_PLUS] = ACTIONS(5884),
    [anon_sym_STAR] = ACTIONS(5884),
    [anon_sym_SLASH] = ACTIONS(5884),
    [anon_sym_PERCENT] = ACTIONS(5884),
    [anon_sym_PIPE_PIPE] = ACTIONS(5886),
    [anon_sym_AMP_AMP] = ACTIONS(5886),
    [anon_sym_PIPE] = ACTIONS(5884),
    [anon_sym_CARET] = ACTIONS(5884),
    [anon_sym_AMP] = ACTIONS(5884),
    [anon_sym_EQ_EQ] = ACTIONS(5886),
    [anon_sym_BANG_EQ] = ACTIONS(5886),
    [anon_sym_GT] = ACTIONS(5884),
    [anon_sym_GT_EQ] = ACTIONS(5886),
    [anon_sym_LT_EQ] = ACTIONS(5884),
    [anon_sym_LT] = ACTIONS(5884),
    [anon_sym_LT_LT] = ACTIONS(5884),
    [anon_sym_GT_GT] = ACTIONS(5884),
    [anon_sym_SEMI] = ACTIONS(5886),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5886),
    [anon_sym_LBRACK] = ACTIONS(5886),
    [anon_sym_RBRACK] = ACTIONS(5886),
    [anon_sym_EQ] = ACTIONS(5884),
    [anon_sym_COLON] = ACTIONS(5886),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_STAR_EQ] = ACTIONS(5886),
    [anon_sym_SLASH_EQ] = ACTIONS(5886),
    [anon_sym_PERCENT_EQ] = ACTIONS(5886),
    [anon_sym_PLUS_EQ] = ACTIONS(5886),
    [anon_sym_DASH_EQ] = ACTIONS(5886),
    [anon_sym_LT_LT_EQ] = ACTIONS(5886),
    [anon_sym_GT_GT_EQ] = ACTIONS(5886),
    [anon_sym_AMP_EQ] = ACTIONS(5886),
    [anon_sym_CARET_EQ] = ACTIONS(5886),
    [anon_sym_PIPE_EQ] = ACTIONS(5886),
    [anon_sym_and_eq] = ACTIONS(5884),
    [anon_sym_or_eq] = ACTIONS(5884),
    [anon_sym_xor_eq] = ACTIONS(5884),
    [anon_sym_LT_EQ_GT] = ACTIONS(5886),
    [anon_sym_or] = ACTIONS(5884),
    [anon_sym_and] = ACTIONS(5884),
    [anon_sym_bitor] = ACTIONS(5884),
    [anon_sym_xor] = ACTIONS(5884),
    [anon_sym_bitand] = ACTIONS(5884),
    [anon_sym_not_eq] = ACTIONS(5884),
    [anon_sym_DASH_DASH] = ACTIONS(5886),
    [anon_sym_PLUS_PLUS] = ACTIONS(5886),
    [anon_sym_DOT] = ACTIONS(5884),
    [anon_sym_DOT_STAR] = ACTIONS(5886),
    [anon_sym_DASH_GT] = ACTIONS(5886),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5884),
    [anon_sym_decltype] = ACTIONS(5884),
  },
  [2323] = {
    [sym__declaration_modifiers] = STATE(2389),
    [sym__declaration_specifiers] = STATE(5839),
    [sym_attribute_specifier] = STATE(2389),
    [sym_attribute_declaration] = STATE(2389),
    [sym_ms_declspec_modifier] = STATE(2389),
    [sym_storage_class_specifier] = STATE(2389),
    [sym_type_qualifier] = STATE(2389),
    [sym__type_specifier] = STATE(3239),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(2389),
    [sym_alignas_specifier] = STATE(2389),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2389),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2324] = {
    [sym_string_literal] = STATE(2316),
    [sym_template_argument_list] = STATE(2673),
    [sym_raw_string_literal] = STATE(2316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5227),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___attribute__] = ACTIONS(4349),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5872),
    [anon_sym_u_DQUOTE] = ACTIONS(5872),
    [anon_sym_U_DQUOTE] = ACTIONS(5872),
    [anon_sym_u8_DQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5874),
    [anon_sym_LR_DQUOTE] = ACTIONS(5874),
    [anon_sym_uR_DQUOTE] = ACTIONS(5874),
    [anon_sym_UR_DQUOTE] = ACTIONS(5874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5874),
  },
  [2325] = {
    [sym_attribute_specifier] = STATE(2503),
    [sym_identifier] = ACTIONS(5888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5890),
    [anon_sym_COMMA] = ACTIONS(5890),
    [anon_sym_RPAREN] = ACTIONS(5890),
    [aux_sym_preproc_if_token2] = ACTIONS(5890),
    [aux_sym_preproc_else_token1] = ACTIONS(5890),
    [aux_sym_preproc_elif_token1] = ACTIONS(5888),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5890),
    [anon_sym_LPAREN2] = ACTIONS(5890),
    [anon_sym_DASH] = ACTIONS(5888),
    [anon_sym_PLUS] = ACTIONS(5888),
    [anon_sym_STAR] = ACTIONS(5888),
    [anon_sym_SLASH] = ACTIONS(5888),
    [anon_sym_PERCENT] = ACTIONS(5888),
    [anon_sym_PIPE_PIPE] = ACTIONS(5890),
    [anon_sym_AMP_AMP] = ACTIONS(5890),
    [anon_sym_PIPE] = ACTIONS(5888),
    [anon_sym_CARET] = ACTIONS(5888),
    [anon_sym_AMP] = ACTIONS(5888),
    [anon_sym_EQ_EQ] = ACTIONS(5890),
    [anon_sym_BANG_EQ] = ACTIONS(5890),
    [anon_sym_GT] = ACTIONS(5888),
    [anon_sym_GT_EQ] = ACTIONS(5890),
    [anon_sym_LT_EQ] = ACTIONS(5888),
    [anon_sym_LT] = ACTIONS(5888),
    [anon_sym_LT_LT] = ACTIONS(5888),
    [anon_sym_GT_GT] = ACTIONS(5888),
    [anon_sym_SEMI] = ACTIONS(5890),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5890),
    [anon_sym_RBRACE] = ACTIONS(5890),
    [anon_sym_LBRACK] = ACTIONS(5890),
    [anon_sym_RBRACK] = ACTIONS(5890),
    [anon_sym_EQ] = ACTIONS(5888),
    [anon_sym_COLON] = ACTIONS(5890),
    [anon_sym_QMARK] = ACTIONS(5890),
    [anon_sym_STAR_EQ] = ACTIONS(5890),
    [anon_sym_SLASH_EQ] = ACTIONS(5890),
    [anon_sym_PERCENT_EQ] = ACTIONS(5890),
    [anon_sym_PLUS_EQ] = ACTIONS(5890),
    [anon_sym_DASH_EQ] = ACTIONS(5890),
    [anon_sym_LT_LT_EQ] = ACTIONS(5890),
    [anon_sym_GT_GT_EQ] = ACTIONS(5890),
    [anon_sym_AMP_EQ] = ACTIONS(5890),
    [anon_sym_CARET_EQ] = ACTIONS(5890),
    [anon_sym_PIPE_EQ] = ACTIONS(5890),
    [anon_sym_and_eq] = ACTIONS(5888),
    [anon_sym_or_eq] = ACTIONS(5888),
    [anon_sym_xor_eq] = ACTIONS(5888),
    [anon_sym_LT_EQ_GT] = ACTIONS(5890),
    [anon_sym_or] = ACTIONS(5888),
    [anon_sym_and] = ACTIONS(5888),
    [anon_sym_bitor] = ACTIONS(5888),
    [anon_sym_xor] = ACTIONS(5888),
    [anon_sym_bitand] = ACTIONS(5888),
    [anon_sym_not_eq] = ACTIONS(5888),
    [anon_sym_DASH_DASH] = ACTIONS(5890),
    [anon_sym_PLUS_PLUS] = ACTIONS(5890),
    [anon_sym_DOT] = ACTIONS(5888),
    [anon_sym_DOT_STAR] = ACTIONS(5890),
    [anon_sym_DASH_GT] = ACTIONS(5890),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5888),
    [anon_sym_decltype] = ACTIONS(5888),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_friend] = ACTIONS(3256),
    [anon_sym_public] = ACTIONS(3256),
    [anon_sym_private] = ACTIONS(3256),
    [anon_sym_protected] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_friend] = ACTIONS(3252),
    [anon_sym_public] = ACTIONS(3252),
    [anon_sym_private] = ACTIONS(3252),
    [anon_sym_protected] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
  },
  [2329] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_friend] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
  },
  [2330] = {
    [sym_template_argument_list] = STATE(2132),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_RPAREN] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4347),
    [anon_sym_STAR] = ACTIONS(4347),
    [anon_sym_SLASH] = ACTIONS(4347),
    [anon_sym_PERCENT] = ACTIONS(4347),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4347),
    [anon_sym_CARET] = ACTIONS(4347),
    [anon_sym_AMP] = ACTIONS(4347),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT] = ACTIONS(4347),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4347),
    [anon_sym_LT] = ACTIONS(5460),
    [anon_sym_LT_LT] = ACTIONS(4347),
    [anon_sym_GT_GT] = ACTIONS(4347),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym___attribute__] = ACTIONS(4355),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4355),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_signed] = ACTIONS(5892),
    [anon_sym_unsigned] = ACTIONS(5892),
    [anon_sym_long] = ACTIONS(5892),
    [anon_sym_short] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_RBRACK] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4347),
    [anon_sym_COLON] = ACTIONS(4347),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_and_eq] = ACTIONS(4355),
    [anon_sym_or_eq] = ACTIONS(4355),
    [anon_sym_xor_eq] = ACTIONS(4355),
    [anon_sym_LT_EQ_GT] = ACTIONS(4355),
    [anon_sym_or] = ACTIONS(4347),
    [anon_sym_and] = ACTIONS(4347),
    [anon_sym_bitor] = ACTIONS(4355),
    [anon_sym_xor] = ACTIONS(4347),
    [anon_sym_bitand] = ACTIONS(4355),
    [anon_sym_not_eq] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_DOT_STAR] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4355),
    [anon_sym_decltype] = ACTIONS(4355),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(3228),
    [aux_sym_preproc_def_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token1] = ACTIONS(3228),
    [aux_sym_preproc_if_token2] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3228),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3228),
    [aux_sym_preproc_else_token1] = ACTIONS(3228),
    [aux_sym_preproc_elif_token1] = ACTIONS(3228),
    [sym_preproc_directive] = ACTIONS(3228),
    [anon_sym_LPAREN2] = ACTIONS(3230),
    [anon_sym_TILDE] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3230),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3228),
    [anon_sym_typedef] = ACTIONS(3228),
    [anon_sym_extern] = ACTIONS(3228),
    [anon_sym___attribute__] = ACTIONS(3228),
    [anon_sym_COLON_COLON] = ACTIONS(3230),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3230),
    [anon_sym___declspec] = ACTIONS(3228),
    [anon_sym___based] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3228),
    [anon_sym_unsigned] = ACTIONS(3228),
    [anon_sym_long] = ACTIONS(3228),
    [anon_sym_short] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3228),
    [anon_sym_static] = ACTIONS(3228),
    [anon_sym_register] = ACTIONS(3228),
    [anon_sym_inline] = ACTIONS(3228),
    [anon_sym___inline] = ACTIONS(3228),
    [anon_sym___inline__] = ACTIONS(3228),
    [anon_sym___forceinline] = ACTIONS(3228),
    [anon_sym_thread_local] = ACTIONS(3228),
    [anon_sym___thread] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_mutable] = ACTIONS(3228),
    [anon_sym_constinit] = ACTIONS(3228),
    [anon_sym_consteval] = ACTIONS(3228),
    [sym_primitive_type] = ACTIONS(3228),
    [anon_sym_enum] = ACTIONS(3228),
    [anon_sym_class] = ACTIONS(3228),
    [anon_sym_struct] = ACTIONS(3228),
    [anon_sym_union] = ACTIONS(3228),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3228),
    [anon_sym_decltype] = ACTIONS(3228),
    [anon_sym_virtual] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3228),
    [anon_sym_explicit] = ACTIONS(3228),
    [anon_sym_typename] = ACTIONS(3228),
    [anon_sym_template] = ACTIONS(3228),
    [anon_sym_operator] = ACTIONS(3228),
    [anon_sym_friend] = ACTIONS(3228),
    [anon_sym_public] = ACTIONS(3228),
    [anon_sym_private] = ACTIONS(3228),
    [anon_sym_protected] = ACTIONS(3228),
    [anon_sym_using] = ACTIONS(3228),
    [anon_sym_static_assert] = ACTIONS(3228),
  },
  [2332] = {
    [sym_identifier] = ACTIONS(3232),
    [aux_sym_preproc_def_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token1] = ACTIONS(3232),
    [aux_sym_preproc_if_token2] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3232),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3232),
    [aux_sym_preproc_else_token1] = ACTIONS(3232),
    [aux_sym_preproc_elif_token1] = ACTIONS(3232),
    [sym_preproc_directive] = ACTIONS(3232),
    [anon_sym_LPAREN2] = ACTIONS(3234),
    [anon_sym_TILDE] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3234),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3232),
    [anon_sym_typedef] = ACTIONS(3232),
    [anon_sym_extern] = ACTIONS(3232),
    [anon_sym___attribute__] = ACTIONS(3232),
    [anon_sym_COLON_COLON] = ACTIONS(3234),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3234),
    [anon_sym___declspec] = ACTIONS(3232),
    [anon_sym___based] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3232),
    [anon_sym_unsigned] = ACTIONS(3232),
    [anon_sym_long] = ACTIONS(3232),
    [anon_sym_short] = ACTIONS(3232),
    [anon_sym_LBRACK] = ACTIONS(3232),
    [anon_sym_static] = ACTIONS(3232),
    [anon_sym_register] = ACTIONS(3232),
    [anon_sym_inline] = ACTIONS(3232),
    [anon_sym___inline] = ACTIONS(3232),
    [anon_sym___inline__] = ACTIONS(3232),
    [anon_sym___forceinline] = ACTIONS(3232),
    [anon_sym_thread_local] = ACTIONS(3232),
    [anon_sym___thread] = ACTIONS(3232),
    [anon_sym_const] = ACTIONS(3232),
    [anon_sym_constexpr] = ACTIONS(3232),
    [anon_sym_volatile] = ACTIONS(3232),
    [anon_sym_restrict] = ACTIONS(3232),
    [anon_sym___restrict__] = ACTIONS(3232),
    [anon_sym__Atomic] = ACTIONS(3232),
    [anon_sym__Noreturn] = ACTIONS(3232),
    [anon_sym_noreturn] = ACTIONS(3232),
    [anon_sym_mutable] = ACTIONS(3232),
    [anon_sym_constinit] = ACTIONS(3232),
    [anon_sym_consteval] = ACTIONS(3232),
    [sym_primitive_type] = ACTIONS(3232),
    [anon_sym_enum] = ACTIONS(3232),
    [anon_sym_class] = ACTIONS(3232),
    [anon_sym_struct] = ACTIONS(3232),
    [anon_sym_union] = ACTIONS(3232),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3232),
    [anon_sym_decltype] = ACTIONS(3232),
    [anon_sym_virtual] = ACTIONS(3232),
    [anon_sym_alignas] = ACTIONS(3232),
    [anon_sym_explicit] = ACTIONS(3232),
    [anon_sym_typename] = ACTIONS(3232),
    [anon_sym_template] = ACTIONS(3232),
    [anon_sym_operator] = ACTIONS(3232),
    [anon_sym_friend] = ACTIONS(3232),
    [anon_sym_public] = ACTIONS(3232),
    [anon_sym_private] = ACTIONS(3232),
    [anon_sym_protected] = ACTIONS(3232),
    [anon_sym_using] = ACTIONS(3232),
    [anon_sym_static_assert] = ACTIONS(3232),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(3224),
    [aux_sym_preproc_def_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token1] = ACTIONS(3224),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3224),
    [aux_sym_preproc_else_token1] = ACTIONS(3224),
    [aux_sym_preproc_elif_token1] = ACTIONS(3224),
    [sym_preproc_directive] = ACTIONS(3224),
    [anon_sym_LPAREN2] = ACTIONS(3226),
    [anon_sym_TILDE] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3226),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym___extension__] = ACTIONS(3224),
    [anon_sym_typedef] = ACTIONS(3224),
    [anon_sym_extern] = ACTIONS(3224),
    [anon_sym___attribute__] = ACTIONS(3224),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3226),
    [anon_sym___declspec] = ACTIONS(3224),
    [anon_sym___based] = ACTIONS(3224),
    [anon_sym_signed] = ACTIONS(3224),
    [anon_sym_unsigned] = ACTIONS(3224),
    [anon_sym_long] = ACTIONS(3224),
    [anon_sym_short] = ACTIONS(3224),
    [anon_sym_LBRACK] = ACTIONS(3224),
    [anon_sym_static] = ACTIONS(3224),
    [anon_sym_register] = ACTIONS(3224),
    [anon_sym_inline] = ACTIONS(3224),
    [anon_sym___inline] = ACTIONS(3224),
    [anon_sym___inline__] = ACTIONS(3224),
    [anon_sym___forceinline] = ACTIONS(3224),
    [anon_sym_thread_local] = ACTIONS(3224),
    [anon_sym___thread] = ACTIONS(3224),
    [anon_sym_const] = ACTIONS(3224),
    [anon_sym_constexpr] = ACTIONS(3224),
    [anon_sym_volatile] = ACTIONS(3224),
    [anon_sym_restrict] = ACTIONS(3224),
    [anon_sym___restrict__] = ACTIONS(3224),
    [anon_sym__Atomic] = ACTIONS(3224),
    [anon_sym__Noreturn] = ACTIONS(3224),
    [anon_sym_noreturn] = ACTIONS(3224),
    [anon_sym_mutable] = ACTIONS(3224),
    [anon_sym_constinit] = ACTIONS(3224),
    [anon_sym_consteval] = ACTIONS(3224),
    [sym_primitive_type] = ACTIONS(3224),
    [anon_sym_enum] = ACTIONS(3224),
    [anon_sym_class] = ACTIONS(3224),
    [anon_sym_struct] = ACTIONS(3224),
    [anon_sym_union] = ACTIONS(3224),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3224),
    [anon_sym_decltype] = ACTIONS(3224),
    [anon_sym_virtual] = ACTIONS(3224),
    [anon_sym_alignas] = ACTIONS(3224),
    [anon_sym_explicit] = ACTIONS(3224),
    [anon_sym_typename] = ACTIONS(3224),
    [anon_sym_template] = ACTIONS(3224),
    [anon_sym_operator] = ACTIONS(3224),
    [anon_sym_friend] = ACTIONS(3224),
    [anon_sym_public] = ACTIONS(3224),
    [anon_sym_private] = ACTIONS(3224),
    [anon_sym_protected] = ACTIONS(3224),
    [anon_sym_using] = ACTIONS(3224),
    [anon_sym_static_assert] = ACTIONS(3224),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2335] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_friend] = ACTIONS(3278),
    [anon_sym_public] = ACTIONS(3278),
    [anon_sym_private] = ACTIONS(3278),
    [anon_sym_protected] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
  },
  [2337] = {
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token1] = ACTIONS(3196),
    [aux_sym_preproc_if_token2] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3196),
    [aux_sym_preproc_else_token1] = ACTIONS(3196),
    [aux_sym_preproc_elif_token1] = ACTIONS(3196),
    [sym_preproc_directive] = ACTIONS(3196),
    [anon_sym_LPAREN2] = ACTIONS(3198),
    [anon_sym_TILDE] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3198),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym___extension__] = ACTIONS(3196),
    [anon_sym_typedef] = ACTIONS(3196),
    [anon_sym_extern] = ACTIONS(3196),
    [anon_sym___attribute__] = ACTIONS(3196),
    [anon_sym_COLON_COLON] = ACTIONS(3198),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3198),
    [anon_sym___declspec] = ACTIONS(3196),
    [anon_sym___based] = ACTIONS(3196),
    [anon_sym_signed] = ACTIONS(3196),
    [anon_sym_unsigned] = ACTIONS(3196),
    [anon_sym_long] = ACTIONS(3196),
    [anon_sym_short] = ACTIONS(3196),
    [anon_sym_LBRACK] = ACTIONS(3196),
    [anon_sym_static] = ACTIONS(3196),
    [anon_sym_register] = ACTIONS(3196),
    [anon_sym_inline] = ACTIONS(3196),
    [anon_sym___inline] = ACTIONS(3196),
    [anon_sym___inline__] = ACTIONS(3196),
    [anon_sym___forceinline] = ACTIONS(3196),
    [anon_sym_thread_local] = ACTIONS(3196),
    [anon_sym___thread] = ACTIONS(3196),
    [anon_sym_const] = ACTIONS(3196),
    [anon_sym_constexpr] = ACTIONS(3196),
    [anon_sym_volatile] = ACTIONS(3196),
    [anon_sym_restrict] = ACTIONS(3196),
    [anon_sym___restrict__] = ACTIONS(3196),
    [anon_sym__Atomic] = ACTIONS(3196),
    [anon_sym__Noreturn] = ACTIONS(3196),
    [anon_sym_noreturn] = ACTIONS(3196),
    [anon_sym_mutable] = ACTIONS(3196),
    [anon_sym_constinit] = ACTIONS(3196),
    [anon_sym_consteval] = ACTIONS(3196),
    [sym_primitive_type] = ACTIONS(3196),
    [anon_sym_enum] = ACTIONS(3196),
    [anon_sym_class] = ACTIONS(3196),
    [anon_sym_struct] = ACTIONS(3196),
    [anon_sym_union] = ACTIONS(3196),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3196),
    [anon_sym_decltype] = ACTIONS(3196),
    [anon_sym_virtual] = ACTIONS(3196),
    [anon_sym_alignas] = ACTIONS(3196),
    [anon_sym_explicit] = ACTIONS(3196),
    [anon_sym_typename] = ACTIONS(3196),
    [anon_sym_template] = ACTIONS(3196),
    [anon_sym_operator] = ACTIONS(3196),
    [anon_sym_friend] = ACTIONS(3196),
    [anon_sym_public] = ACTIONS(3196),
    [anon_sym_private] = ACTIONS(3196),
    [anon_sym_protected] = ACTIONS(3196),
    [anon_sym_using] = ACTIONS(3196),
    [anon_sym_static_assert] = ACTIONS(3196),
  },
  [2338] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2420),
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [anon_sym_RPAREN] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_SEMI] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(5896),
    [anon_sym_unsigned] = ACTIONS(5896),
    [anon_sym_long] = ACTIONS(5896),
    [anon_sym_short] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_RBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5752),
    [sym_primitive_type] = ACTIONS(5898),
    [anon_sym_COLON] = ACTIONS(5750),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5752),
    [anon_sym_or_eq] = ACTIONS(5752),
    [anon_sym_xor_eq] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_friend] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
  },
  [2340] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_friend] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
  },
  [2341] = {
    [sym_identifier] = ACTIONS(3282),
    [aux_sym_preproc_def_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token1] = ACTIONS(3282),
    [aux_sym_preproc_if_token2] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3282),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3282),
    [aux_sym_preproc_else_token1] = ACTIONS(3282),
    [aux_sym_preproc_elif_token1] = ACTIONS(3282),
    [sym_preproc_directive] = ACTIONS(3282),
    [anon_sym_LPAREN2] = ACTIONS(3284),
    [anon_sym_TILDE] = ACTIONS(3284),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3282),
    [anon_sym_typedef] = ACTIONS(3282),
    [anon_sym_extern] = ACTIONS(3282),
    [anon_sym___attribute__] = ACTIONS(3282),
    [anon_sym_COLON_COLON] = ACTIONS(3284),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3284),
    [anon_sym___declspec] = ACTIONS(3282),
    [anon_sym___based] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3282),
    [anon_sym_unsigned] = ACTIONS(3282),
    [anon_sym_long] = ACTIONS(3282),
    [anon_sym_short] = ACTIONS(3282),
    [anon_sym_LBRACK] = ACTIONS(3282),
    [anon_sym_static] = ACTIONS(3282),
    [anon_sym_register] = ACTIONS(3282),
    [anon_sym_inline] = ACTIONS(3282),
    [anon_sym___inline] = ACTIONS(3282),
    [anon_sym___inline__] = ACTIONS(3282),
    [anon_sym___forceinline] = ACTIONS(3282),
    [anon_sym_thread_local] = ACTIONS(3282),
    [anon_sym___thread] = ACTIONS(3282),
    [anon_sym_const] = ACTIONS(3282),
    [anon_sym_constexpr] = ACTIONS(3282),
    [anon_sym_volatile] = ACTIONS(3282),
    [anon_sym_restrict] = ACTIONS(3282),
    [anon_sym___restrict__] = ACTIONS(3282),
    [anon_sym__Atomic] = ACTIONS(3282),
    [anon_sym__Noreturn] = ACTIONS(3282),
    [anon_sym_noreturn] = ACTIONS(3282),
    [anon_sym_mutable] = ACTIONS(3282),
    [anon_sym_constinit] = ACTIONS(3282),
    [anon_sym_consteval] = ACTIONS(3282),
    [sym_primitive_type] = ACTIONS(3282),
    [anon_sym_enum] = ACTIONS(3282),
    [anon_sym_class] = ACTIONS(3282),
    [anon_sym_struct] = ACTIONS(3282),
    [anon_sym_union] = ACTIONS(3282),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3282),
    [anon_sym_decltype] = ACTIONS(3282),
    [anon_sym_virtual] = ACTIONS(3282),
    [anon_sym_alignas] = ACTIONS(3282),
    [anon_sym_explicit] = ACTIONS(3282),
    [anon_sym_typename] = ACTIONS(3282),
    [anon_sym_template] = ACTIONS(3282),
    [anon_sym_operator] = ACTIONS(3282),
    [anon_sym_friend] = ACTIONS(3282),
    [anon_sym_public] = ACTIONS(3282),
    [anon_sym_private] = ACTIONS(3282),
    [anon_sym_protected] = ACTIONS(3282),
    [anon_sym_using] = ACTIONS(3282),
    [anon_sym_static_assert] = ACTIONS(3282),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_friend] = ACTIONS(3244),
    [anon_sym_public] = ACTIONS(3244),
    [anon_sym_private] = ACTIONS(3244),
    [anon_sym_protected] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(3192),
    [aux_sym_preproc_def_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token1] = ACTIONS(3192),
    [aux_sym_preproc_if_token2] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3192),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3192),
    [aux_sym_preproc_else_token1] = ACTIONS(3192),
    [aux_sym_preproc_elif_token1] = ACTIONS(3192),
    [sym_preproc_directive] = ACTIONS(3192),
    [anon_sym_LPAREN2] = ACTIONS(3194),
    [anon_sym_TILDE] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3194),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym___extension__] = ACTIONS(3192),
    [anon_sym_typedef] = ACTIONS(3192),
    [anon_sym_extern] = ACTIONS(3192),
    [anon_sym___attribute__] = ACTIONS(3192),
    [anon_sym_COLON_COLON] = ACTIONS(3194),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3194),
    [anon_sym___declspec] = ACTIONS(3192),
    [anon_sym___based] = ACTIONS(3192),
    [anon_sym_signed] = ACTIONS(3192),
    [anon_sym_unsigned] = ACTIONS(3192),
    [anon_sym_long] = ACTIONS(3192),
    [anon_sym_short] = ACTIONS(3192),
    [anon_sym_LBRACK] = ACTIONS(3192),
    [anon_sym_static] = ACTIONS(3192),
    [anon_sym_register] = ACTIONS(3192),
    [anon_sym_inline] = ACTIONS(3192),
    [anon_sym___inline] = ACTIONS(3192),
    [anon_sym___inline__] = ACTIONS(3192),
    [anon_sym___forceinline] = ACTIONS(3192),
    [anon_sym_thread_local] = ACTIONS(3192),
    [anon_sym___thread] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3192),
    [anon_sym_constexpr] = ACTIONS(3192),
    [anon_sym_volatile] = ACTIONS(3192),
    [anon_sym_restrict] = ACTIONS(3192),
    [anon_sym___restrict__] = ACTIONS(3192),
    [anon_sym__Atomic] = ACTIONS(3192),
    [anon_sym__Noreturn] = ACTIONS(3192),
    [anon_sym_noreturn] = ACTIONS(3192),
    [anon_sym_mutable] = ACTIONS(3192),
    [anon_sym_constinit] = ACTIONS(3192),
    [anon_sym_consteval] = ACTIONS(3192),
    [sym_primitive_type] = ACTIONS(3192),
    [anon_sym_enum] = ACTIONS(3192),
    [anon_sym_class] = ACTIONS(3192),
    [anon_sym_struct] = ACTIONS(3192),
    [anon_sym_union] = ACTIONS(3192),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3192),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3192),
    [anon_sym_alignas] = ACTIONS(3192),
    [anon_sym_explicit] = ACTIONS(3192),
    [anon_sym_typename] = ACTIONS(3192),
    [anon_sym_template] = ACTIONS(3192),
    [anon_sym_operator] = ACTIONS(3192),
    [anon_sym_friend] = ACTIONS(3192),
    [anon_sym_public] = ACTIONS(3192),
    [anon_sym_private] = ACTIONS(3192),
    [anon_sym_protected] = ACTIONS(3192),
    [anon_sym_using] = ACTIONS(3192),
    [anon_sym_static_assert] = ACTIONS(3192),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(3188),
    [aux_sym_preproc_def_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token1] = ACTIONS(3188),
    [aux_sym_preproc_if_token2] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3188),
    [aux_sym_preproc_else_token1] = ACTIONS(3188),
    [aux_sym_preproc_elif_token1] = ACTIONS(3188),
    [sym_preproc_directive] = ACTIONS(3188),
    [anon_sym_LPAREN2] = ACTIONS(3190),
    [anon_sym_TILDE] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3190),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym___extension__] = ACTIONS(3188),
    [anon_sym_typedef] = ACTIONS(3188),
    [anon_sym_extern] = ACTIONS(3188),
    [anon_sym___attribute__] = ACTIONS(3188),
    [anon_sym_COLON_COLON] = ACTIONS(3190),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3190),
    [anon_sym___declspec] = ACTIONS(3188),
    [anon_sym___based] = ACTIONS(3188),
    [anon_sym_signed] = ACTIONS(3188),
    [anon_sym_unsigned] = ACTIONS(3188),
    [anon_sym_long] = ACTIONS(3188),
    [anon_sym_short] = ACTIONS(3188),
    [anon_sym_LBRACK] = ACTIONS(3188),
    [anon_sym_static] = ACTIONS(3188),
    [anon_sym_register] = ACTIONS(3188),
    [anon_sym_inline] = ACTIONS(3188),
    [anon_sym___inline] = ACTIONS(3188),
    [anon_sym___inline__] = ACTIONS(3188),
    [anon_sym___forceinline] = ACTIONS(3188),
    [anon_sym_thread_local] = ACTIONS(3188),
    [anon_sym___thread] = ACTIONS(3188),
    [anon_sym_const] = ACTIONS(3188),
    [anon_sym_constexpr] = ACTIONS(3188),
    [anon_sym_volatile] = ACTIONS(3188),
    [anon_sym_restrict] = ACTIONS(3188),
    [anon_sym___restrict__] = ACTIONS(3188),
    [anon_sym__Atomic] = ACTIONS(3188),
    [anon_sym__Noreturn] = ACTIONS(3188),
    [anon_sym_noreturn] = ACTIONS(3188),
    [anon_sym_mutable] = ACTIONS(3188),
    [anon_sym_constinit] = ACTIONS(3188),
    [anon_sym_consteval] = ACTIONS(3188),
    [sym_primitive_type] = ACTIONS(3188),
    [anon_sym_enum] = ACTIONS(3188),
    [anon_sym_class] = ACTIONS(3188),
    [anon_sym_struct] = ACTIONS(3188),
    [anon_sym_union] = ACTIONS(3188),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3188),
    [anon_sym_decltype] = ACTIONS(3188),
    [anon_sym_virtual] = ACTIONS(3188),
    [anon_sym_alignas] = ACTIONS(3188),
    [anon_sym_explicit] = ACTIONS(3188),
    [anon_sym_typename] = ACTIONS(3188),
    [anon_sym_template] = ACTIONS(3188),
    [anon_sym_operator] = ACTIONS(3188),
    [anon_sym_friend] = ACTIONS(3188),
    [anon_sym_public] = ACTIONS(3188),
    [anon_sym_private] = ACTIONS(3188),
    [anon_sym_protected] = ACTIONS(3188),
    [anon_sym_using] = ACTIONS(3188),
    [anon_sym_static_assert] = ACTIONS(3188),
  },
  [2346] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2347] = {
    [sym_identifier] = ACTIONS(5601),
    [aux_sym_preproc_def_token1] = ACTIONS(5601),
    [aux_sym_preproc_if_token1] = ACTIONS(5601),
    [aux_sym_preproc_if_token2] = ACTIONS(5601),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5601),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5601),
    [aux_sym_preproc_else_token1] = ACTIONS(5601),
    [aux_sym_preproc_elif_token1] = ACTIONS(5601),
    [sym_preproc_directive] = ACTIONS(5601),
    [anon_sym_LPAREN2] = ACTIONS(5603),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_STAR] = ACTIONS(5603),
    [anon_sym_AMP_AMP] = ACTIONS(5603),
    [anon_sym_AMP] = ACTIONS(5601),
    [anon_sym___extension__] = ACTIONS(5601),
    [anon_sym_typedef] = ACTIONS(5601),
    [anon_sym_extern] = ACTIONS(5601),
    [anon_sym___attribute__] = ACTIONS(5601),
    [anon_sym_COLON_COLON] = ACTIONS(5603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5603),
    [anon_sym___declspec] = ACTIONS(5601),
    [anon_sym___based] = ACTIONS(5601),
    [anon_sym_signed] = ACTIONS(5601),
    [anon_sym_unsigned] = ACTIONS(5601),
    [anon_sym_long] = ACTIONS(5601),
    [anon_sym_short] = ACTIONS(5601),
    [anon_sym_LBRACK] = ACTIONS(5601),
    [anon_sym_static] = ACTIONS(5601),
    [anon_sym_register] = ACTIONS(5601),
    [anon_sym_inline] = ACTIONS(5601),
    [anon_sym___inline] = ACTIONS(5601),
    [anon_sym___inline__] = ACTIONS(5601),
    [anon_sym___forceinline] = ACTIONS(5601),
    [anon_sym_thread_local] = ACTIONS(5601),
    [anon_sym___thread] = ACTIONS(5601),
    [anon_sym_const] = ACTIONS(5601),
    [anon_sym_constexpr] = ACTIONS(5601),
    [anon_sym_volatile] = ACTIONS(5601),
    [anon_sym_restrict] = ACTIONS(5601),
    [anon_sym___restrict__] = ACTIONS(5601),
    [anon_sym__Atomic] = ACTIONS(5601),
    [anon_sym__Noreturn] = ACTIONS(5601),
    [anon_sym_noreturn] = ACTIONS(5601),
    [anon_sym_mutable] = ACTIONS(5601),
    [anon_sym_constinit] = ACTIONS(5601),
    [anon_sym_consteval] = ACTIONS(5601),
    [sym_primitive_type] = ACTIONS(5601),
    [anon_sym_enum] = ACTIONS(5601),
    [anon_sym_class] = ACTIONS(5601),
    [anon_sym_struct] = ACTIONS(5601),
    [anon_sym_union] = ACTIONS(5601),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5601),
    [anon_sym_decltype] = ACTIONS(5601),
    [anon_sym_virtual] = ACTIONS(5601),
    [anon_sym_alignas] = ACTIONS(5601),
    [anon_sym_explicit] = ACTIONS(5601),
    [anon_sym_typename] = ACTIONS(5601),
    [anon_sym_template] = ACTIONS(5601),
    [anon_sym_operator] = ACTIONS(5601),
    [anon_sym_friend] = ACTIONS(5601),
    [anon_sym_public] = ACTIONS(5601),
    [anon_sym_private] = ACTIONS(5601),
    [anon_sym_protected] = ACTIONS(5601),
    [anon_sym_using] = ACTIONS(5601),
    [anon_sym_static_assert] = ACTIONS(5601),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2349] = {
    [sym_identifier] = ACTIONS(5609),
    [aux_sym_preproc_def_token1] = ACTIONS(5609),
    [aux_sym_preproc_if_token1] = ACTIONS(5609),
    [aux_sym_preproc_if_token2] = ACTIONS(5609),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5609),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5609),
    [aux_sym_preproc_else_token1] = ACTIONS(5609),
    [aux_sym_preproc_elif_token1] = ACTIONS(5609),
    [sym_preproc_directive] = ACTIONS(5609),
    [anon_sym_LPAREN2] = ACTIONS(5611),
    [anon_sym_TILDE] = ACTIONS(5611),
    [anon_sym_STAR] = ACTIONS(5611),
    [anon_sym_AMP_AMP] = ACTIONS(5611),
    [anon_sym_AMP] = ACTIONS(5609),
    [anon_sym___extension__] = ACTIONS(5609),
    [anon_sym_typedef] = ACTIONS(5609),
    [anon_sym_extern] = ACTIONS(5609),
    [anon_sym___attribute__] = ACTIONS(5609),
    [anon_sym_COLON_COLON] = ACTIONS(5611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5611),
    [anon_sym___declspec] = ACTIONS(5609),
    [anon_sym___based] = ACTIONS(5609),
    [anon_sym_signed] = ACTIONS(5609),
    [anon_sym_unsigned] = ACTIONS(5609),
    [anon_sym_long] = ACTIONS(5609),
    [anon_sym_short] = ACTIONS(5609),
    [anon_sym_LBRACK] = ACTIONS(5609),
    [anon_sym_static] = ACTIONS(5609),
    [anon_sym_register] = ACTIONS(5609),
    [anon_sym_inline] = ACTIONS(5609),
    [anon_sym___inline] = ACTIONS(5609),
    [anon_sym___inline__] = ACTIONS(5609),
    [anon_sym___forceinline] = ACTIONS(5609),
    [anon_sym_thread_local] = ACTIONS(5609),
    [anon_sym___thread] = ACTIONS(5609),
    [anon_sym_const] = ACTIONS(5609),
    [anon_sym_constexpr] = ACTIONS(5609),
    [anon_sym_volatile] = ACTIONS(5609),
    [anon_sym_restrict] = ACTIONS(5609),
    [anon_sym___restrict__] = ACTIONS(5609),
    [anon_sym__Atomic] = ACTIONS(5609),
    [anon_sym__Noreturn] = ACTIONS(5609),
    [anon_sym_noreturn] = ACTIONS(5609),
    [anon_sym_mutable] = ACTIONS(5609),
    [anon_sym_constinit] = ACTIONS(5609),
    [anon_sym_consteval] = ACTIONS(5609),
    [sym_primitive_type] = ACTIONS(5609),
    [anon_sym_enum] = ACTIONS(5609),
    [anon_sym_class] = ACTIONS(5609),
    [anon_sym_struct] = ACTIONS(5609),
    [anon_sym_union] = ACTIONS(5609),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5609),
    [anon_sym_decltype] = ACTIONS(5609),
    [anon_sym_virtual] = ACTIONS(5609),
    [anon_sym_alignas] = ACTIONS(5609),
    [anon_sym_explicit] = ACTIONS(5609),
    [anon_sym_typename] = ACTIONS(5609),
    [anon_sym_template] = ACTIONS(5609),
    [anon_sym_operator] = ACTIONS(5609),
    [anon_sym_friend] = ACTIONS(5609),
    [anon_sym_public] = ACTIONS(5609),
    [anon_sym_private] = ACTIONS(5609),
    [anon_sym_protected] = ACTIONS(5609),
    [anon_sym_using] = ACTIONS(5609),
    [anon_sym_static_assert] = ACTIONS(5609),
  },
  [2350] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_friend] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
  },
  [2351] = {
    [sym_identifier] = ACTIONS(5504),
    [aux_sym_preproc_def_token1] = ACTIONS(5504),
    [aux_sym_preproc_if_token1] = ACTIONS(5504),
    [aux_sym_preproc_if_token2] = ACTIONS(5504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5504),
    [aux_sym_preproc_else_token1] = ACTIONS(5504),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [sym_preproc_directive] = ACTIONS(5504),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_TILDE] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym_typedef] = ACTIONS(5504),
    [anon_sym_extern] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5506),
    [anon_sym___declspec] = ACTIONS(5504),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5504),
    [anon_sym_static] = ACTIONS(5504),
    [anon_sym_register] = ACTIONS(5504),
    [anon_sym_inline] = ACTIONS(5504),
    [anon_sym___inline] = ACTIONS(5504),
    [anon_sym___inline__] = ACTIONS(5504),
    [anon_sym___forceinline] = ACTIONS(5504),
    [anon_sym_thread_local] = ACTIONS(5504),
    [anon_sym___thread] = ACTIONS(5504),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [sym_primitive_type] = ACTIONS(5504),
    [anon_sym_enum] = ACTIONS(5504),
    [anon_sym_class] = ACTIONS(5504),
    [anon_sym_struct] = ACTIONS(5504),
    [anon_sym_union] = ACTIONS(5504),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_virtual] = ACTIONS(5504),
    [anon_sym_alignas] = ACTIONS(5504),
    [anon_sym_explicit] = ACTIONS(5504),
    [anon_sym_typename] = ACTIONS(5504),
    [anon_sym_template] = ACTIONS(5504),
    [anon_sym_operator] = ACTIONS(5504),
    [anon_sym_friend] = ACTIONS(5504),
    [anon_sym_public] = ACTIONS(5504),
    [anon_sym_private] = ACTIONS(5504),
    [anon_sym_protected] = ACTIONS(5504),
    [anon_sym_using] = ACTIONS(5504),
    [anon_sym_static_assert] = ACTIONS(5504),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_friend] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_friend] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
  },
  [2354] = {
    [sym_identifier] = ACTIONS(5508),
    [aux_sym_preproc_def_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token1] = ACTIONS(5508),
    [aux_sym_preproc_if_token2] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5508),
    [aux_sym_preproc_else_token1] = ACTIONS(5508),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [sym_preproc_directive] = ACTIONS(5508),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_TILDE] = ACTIONS(5510),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym___extension__] = ACTIONS(5508),
    [anon_sym_typedef] = ACTIONS(5508),
    [anon_sym_extern] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym_COLON_COLON] = ACTIONS(5510),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5510),
    [anon_sym___declspec] = ACTIONS(5508),
    [anon_sym___based] = ACTIONS(5508),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_static] = ACTIONS(5508),
    [anon_sym_register] = ACTIONS(5508),
    [anon_sym_inline] = ACTIONS(5508),
    [anon_sym___inline] = ACTIONS(5508),
    [anon_sym___inline__] = ACTIONS(5508),
    [anon_sym___forceinline] = ACTIONS(5508),
    [anon_sym_thread_local] = ACTIONS(5508),
    [anon_sym___thread] = ACTIONS(5508),
    [anon_sym_const] = ACTIONS(5508),
    [anon_sym_constexpr] = ACTIONS(5508),
    [anon_sym_volatile] = ACTIONS(5508),
    [anon_sym_restrict] = ACTIONS(5508),
    [anon_sym___restrict__] = ACTIONS(5508),
    [anon_sym__Atomic] = ACTIONS(5508),
    [anon_sym__Noreturn] = ACTIONS(5508),
    [anon_sym_noreturn] = ACTIONS(5508),
    [anon_sym_mutable] = ACTIONS(5508),
    [anon_sym_constinit] = ACTIONS(5508),
    [anon_sym_consteval] = ACTIONS(5508),
    [sym_primitive_type] = ACTIONS(5508),
    [anon_sym_enum] = ACTIONS(5508),
    [anon_sym_class] = ACTIONS(5508),
    [anon_sym_struct] = ACTIONS(5508),
    [anon_sym_union] = ACTIONS(5508),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5508),
    [anon_sym_decltype] = ACTIONS(5508),
    [anon_sym_virtual] = ACTIONS(5508),
    [anon_sym_alignas] = ACTIONS(5508),
    [anon_sym_explicit] = ACTIONS(5508),
    [anon_sym_typename] = ACTIONS(5508),
    [anon_sym_template] = ACTIONS(5508),
    [anon_sym_operator] = ACTIONS(5508),
    [anon_sym_friend] = ACTIONS(5508),
    [anon_sym_public] = ACTIONS(5508),
    [anon_sym_private] = ACTIONS(5508),
    [anon_sym_protected] = ACTIONS(5508),
    [anon_sym_using] = ACTIONS(5508),
    [anon_sym_static_assert] = ACTIONS(5508),
  },
  [2355] = {
    [sym_identifier] = ACTIONS(5512),
    [aux_sym_preproc_def_token1] = ACTIONS(5512),
    [aux_sym_preproc_if_token1] = ACTIONS(5512),
    [aux_sym_preproc_if_token2] = ACTIONS(5512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5512),
    [aux_sym_preproc_else_token1] = ACTIONS(5512),
    [aux_sym_preproc_elif_token1] = ACTIONS(5512),
    [sym_preproc_directive] = ACTIONS(5512),
    [anon_sym_LPAREN2] = ACTIONS(5514),
    [anon_sym_TILDE] = ACTIONS(5514),
    [anon_sym_STAR] = ACTIONS(5514),
    [anon_sym_AMP_AMP] = ACTIONS(5514),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym___extension__] = ACTIONS(5512),
    [anon_sym_typedef] = ACTIONS(5512),
    [anon_sym_extern] = ACTIONS(5512),
    [anon_sym___attribute__] = ACTIONS(5512),
    [anon_sym_COLON_COLON] = ACTIONS(5514),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5514),
    [anon_sym___declspec] = ACTIONS(5512),
    [anon_sym___based] = ACTIONS(5512),
    [anon_sym_signed] = ACTIONS(5512),
    [anon_sym_unsigned] = ACTIONS(5512),
    [anon_sym_long] = ACTIONS(5512),
    [anon_sym_short] = ACTIONS(5512),
    [anon_sym_LBRACK] = ACTIONS(5512),
    [anon_sym_static] = ACTIONS(5512),
    [anon_sym_register] = ACTIONS(5512),
    [anon_sym_inline] = ACTIONS(5512),
    [anon_sym___inline] = ACTIONS(5512),
    [anon_sym___inline__] = ACTIONS(5512),
    [anon_sym___forceinline] = ACTIONS(5512),
    [anon_sym_thread_local] = ACTIONS(5512),
    [anon_sym___thread] = ACTIONS(5512),
    [anon_sym_const] = ACTIONS(5512),
    [anon_sym_constexpr] = ACTIONS(5512),
    [anon_sym_volatile] = ACTIONS(5512),
    [anon_sym_restrict] = ACTIONS(5512),
    [anon_sym___restrict__] = ACTIONS(5512),
    [anon_sym__Atomic] = ACTIONS(5512),
    [anon_sym__Noreturn] = ACTIONS(5512),
    [anon_sym_noreturn] = ACTIONS(5512),
    [anon_sym_mutable] = ACTIONS(5512),
    [anon_sym_constinit] = ACTIONS(5512),
    [anon_sym_consteval] = ACTIONS(5512),
    [sym_primitive_type] = ACTIONS(5512),
    [anon_sym_enum] = ACTIONS(5512),
    [anon_sym_class] = ACTIONS(5512),
    [anon_sym_struct] = ACTIONS(5512),
    [anon_sym_union] = ACTIONS(5512),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5512),
    [anon_sym_virtual] = ACTIONS(5512),
    [anon_sym_alignas] = ACTIONS(5512),
    [anon_sym_explicit] = ACTIONS(5512),
    [anon_sym_typename] = ACTIONS(5512),
    [anon_sym_template] = ACTIONS(5512),
    [anon_sym_operator] = ACTIONS(5512),
    [anon_sym_friend] = ACTIONS(5512),
    [anon_sym_public] = ACTIONS(5512),
    [anon_sym_private] = ACTIONS(5512),
    [anon_sym_protected] = ACTIONS(5512),
    [anon_sym_using] = ACTIONS(5512),
    [anon_sym_static_assert] = ACTIONS(5512),
  },
  [2356] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(5597),
    [aux_sym_preproc_def_token1] = ACTIONS(5597),
    [aux_sym_preproc_if_token1] = ACTIONS(5597),
    [aux_sym_preproc_if_token2] = ACTIONS(5597),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5597),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5597),
    [aux_sym_preproc_else_token1] = ACTIONS(5597),
    [aux_sym_preproc_elif_token1] = ACTIONS(5597),
    [sym_preproc_directive] = ACTIONS(5597),
    [anon_sym_LPAREN2] = ACTIONS(5599),
    [anon_sym_TILDE] = ACTIONS(5599),
    [anon_sym_STAR] = ACTIONS(5599),
    [anon_sym_AMP_AMP] = ACTIONS(5599),
    [anon_sym_AMP] = ACTIONS(5597),
    [anon_sym___extension__] = ACTIONS(5597),
    [anon_sym_typedef] = ACTIONS(5597),
    [anon_sym_extern] = ACTIONS(5597),
    [anon_sym___attribute__] = ACTIONS(5597),
    [anon_sym_COLON_COLON] = ACTIONS(5599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5599),
    [anon_sym___declspec] = ACTIONS(5597),
    [anon_sym___based] = ACTIONS(5597),
    [anon_sym_signed] = ACTIONS(5597),
    [anon_sym_unsigned] = ACTIONS(5597),
    [anon_sym_long] = ACTIONS(5597),
    [anon_sym_short] = ACTIONS(5597),
    [anon_sym_LBRACK] = ACTIONS(5597),
    [anon_sym_static] = ACTIONS(5597),
    [anon_sym_register] = ACTIONS(5597),
    [anon_sym_inline] = ACTIONS(5597),
    [anon_sym___inline] = ACTIONS(5597),
    [anon_sym___inline__] = ACTIONS(5597),
    [anon_sym___forceinline] = ACTIONS(5597),
    [anon_sym_thread_local] = ACTIONS(5597),
    [anon_sym___thread] = ACTIONS(5597),
    [anon_sym_const] = ACTIONS(5597),
    [anon_sym_constexpr] = ACTIONS(5597),
    [anon_sym_volatile] = ACTIONS(5597),
    [anon_sym_restrict] = ACTIONS(5597),
    [anon_sym___restrict__] = ACTIONS(5597),
    [anon_sym__Atomic] = ACTIONS(5597),
    [anon_sym__Noreturn] = ACTIONS(5597),
    [anon_sym_noreturn] = ACTIONS(5597),
    [anon_sym_mutable] = ACTIONS(5597),
    [anon_sym_constinit] = ACTIONS(5597),
    [anon_sym_consteval] = ACTIONS(5597),
    [sym_primitive_type] = ACTIONS(5597),
    [anon_sym_enum] = ACTIONS(5597),
    [anon_sym_class] = ACTIONS(5597),
    [anon_sym_struct] = ACTIONS(5597),
    [anon_sym_union] = ACTIONS(5597),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5597),
    [anon_sym_decltype] = ACTIONS(5597),
    [anon_sym_virtual] = ACTIONS(5597),
    [anon_sym_alignas] = ACTIONS(5597),
    [anon_sym_explicit] = ACTIONS(5597),
    [anon_sym_typename] = ACTIONS(5597),
    [anon_sym_template] = ACTIONS(5597),
    [anon_sym_operator] = ACTIONS(5597),
    [anon_sym_friend] = ACTIONS(5597),
    [anon_sym_public] = ACTIONS(5597),
    [anon_sym_private] = ACTIONS(5597),
    [anon_sym_protected] = ACTIONS(5597),
    [anon_sym_using] = ACTIONS(5597),
    [anon_sym_static_assert] = ACTIONS(5597),
  },
  [2360] = {
    [sym_attribute_declaration] = STATE(2493),
    [sym_parameter_list] = STATE(2481),
    [aux_sym_attributed_declarator_repeat1] = STATE(2493),
    [sym_identifier] = ACTIONS(5900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5902),
    [anon_sym_COMMA] = ACTIONS(5902),
    [anon_sym_RPAREN] = ACTIONS(5902),
    [aux_sym_preproc_if_token2] = ACTIONS(5902),
    [aux_sym_preproc_else_token1] = ACTIONS(5902),
    [aux_sym_preproc_elif_token1] = ACTIONS(5900),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5902),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5902),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5900),
    [anon_sym_PLUS] = ACTIONS(5900),
    [anon_sym_STAR] = ACTIONS(5900),
    [anon_sym_SLASH] = ACTIONS(5900),
    [anon_sym_PERCENT] = ACTIONS(5900),
    [anon_sym_PIPE_PIPE] = ACTIONS(5902),
    [anon_sym_AMP_AMP] = ACTIONS(5902),
    [anon_sym_PIPE] = ACTIONS(5900),
    [anon_sym_CARET] = ACTIONS(5900),
    [anon_sym_AMP] = ACTIONS(5900),
    [anon_sym_EQ_EQ] = ACTIONS(5902),
    [anon_sym_BANG_EQ] = ACTIONS(5902),
    [anon_sym_GT] = ACTIONS(5900),
    [anon_sym_GT_EQ] = ACTIONS(5902),
    [anon_sym_LT_EQ] = ACTIONS(5900),
    [anon_sym_LT] = ACTIONS(5900),
    [anon_sym_LT_LT] = ACTIONS(5900),
    [anon_sym_GT_GT] = ACTIONS(5900),
    [anon_sym_SEMI] = ACTIONS(5902),
    [anon_sym___attribute__] = ACTIONS(5900),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5902),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_RBRACK] = ACTIONS(5902),
    [anon_sym_EQ] = ACTIONS(5900),
    [anon_sym_COLON] = ACTIONS(5902),
    [anon_sym_QMARK] = ACTIONS(5902),
    [anon_sym_STAR_EQ] = ACTIONS(5902),
    [anon_sym_SLASH_EQ] = ACTIONS(5902),
    [anon_sym_PERCENT_EQ] = ACTIONS(5902),
    [anon_sym_PLUS_EQ] = ACTIONS(5902),
    [anon_sym_DASH_EQ] = ACTIONS(5902),
    [anon_sym_LT_LT_EQ] = ACTIONS(5902),
    [anon_sym_GT_GT_EQ] = ACTIONS(5902),
    [anon_sym_AMP_EQ] = ACTIONS(5902),
    [anon_sym_CARET_EQ] = ACTIONS(5902),
    [anon_sym_PIPE_EQ] = ACTIONS(5902),
    [anon_sym_and_eq] = ACTIONS(5900),
    [anon_sym_or_eq] = ACTIONS(5900),
    [anon_sym_xor_eq] = ACTIONS(5900),
    [anon_sym_LT_EQ_GT] = ACTIONS(5902),
    [anon_sym_or] = ACTIONS(5900),
    [anon_sym_and] = ACTIONS(5900),
    [anon_sym_bitor] = ACTIONS(5900),
    [anon_sym_xor] = ACTIONS(5900),
    [anon_sym_bitand] = ACTIONS(5900),
    [anon_sym_not_eq] = ACTIONS(5900),
    [anon_sym_DASH_DASH] = ACTIONS(5902),
    [anon_sym_PLUS_PLUS] = ACTIONS(5902),
    [anon_sym_DOT] = ACTIONS(5900),
    [anon_sym_DOT_STAR] = ACTIONS(5902),
    [anon_sym_DASH_GT] = ACTIONS(5902),
    [sym_comment] = ACTIONS(3),
  },
  [2361] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2362] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5354),
    [anon_sym_RPAREN] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_GT_EQ] = ACTIONS(5354),
    [anon_sym_LT_EQ] = ACTIONS(5352),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_SEMI] = ACTIONS(5354),
    [anon_sym_RBRACE] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_RBRACK] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5352),
    [anon_sym_COLON] = ACTIONS(5354),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_STAR_EQ] = ACTIONS(5354),
    [anon_sym_SLASH_EQ] = ACTIONS(5354),
    [anon_sym_PERCENT_EQ] = ACTIONS(5354),
    [anon_sym_PLUS_EQ] = ACTIONS(5354),
    [anon_sym_DASH_EQ] = ACTIONS(5354),
    [anon_sym_LT_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT_GT_EQ] = ACTIONS(5354),
    [anon_sym_AMP_EQ] = ACTIONS(5354),
    [anon_sym_CARET_EQ] = ACTIONS(5354),
    [anon_sym_PIPE_EQ] = ACTIONS(5354),
    [anon_sym_and_eq] = ACTIONS(5352),
    [anon_sym_or_eq] = ACTIONS(5352),
    [anon_sym_xor_eq] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5354),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_bitor] = ACTIONS(5352),
    [anon_sym_xor] = ACTIONS(5352),
    [anon_sym_bitand] = ACTIONS(5352),
    [anon_sym_not_eq] = ACTIONS(5352),
    [anon_sym_DASH_DASH] = ACTIONS(5354),
    [anon_sym_PLUS_PLUS] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_DOT_STAR] = ACTIONS(5354),
    [anon_sym_DASH_GT] = ACTIONS(5354),
    [anon_sym_L_DQUOTE] = ACTIONS(5354),
    [anon_sym_u_DQUOTE] = ACTIONS(5354),
    [anon_sym_U_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8_DQUOTE] = ACTIONS(5354),
    [anon_sym_DQUOTE] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5354),
    [anon_sym_LR_DQUOTE] = ACTIONS(5354),
    [anon_sym_uR_DQUOTE] = ACTIONS(5354),
    [anon_sym_UR_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5354),
    [sym_literal_suffix] = ACTIONS(5352),
  },
  [2363] = {
    [sym_identifier] = ACTIONS(5636),
    [aux_sym_preproc_def_token1] = ACTIONS(5636),
    [aux_sym_preproc_if_token1] = ACTIONS(5636),
    [aux_sym_preproc_if_token2] = ACTIONS(5636),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5636),
    [aux_sym_preproc_else_token1] = ACTIONS(5636),
    [aux_sym_preproc_elif_token1] = ACTIONS(5636),
    [sym_preproc_directive] = ACTIONS(5636),
    [anon_sym_LPAREN2] = ACTIONS(5638),
    [anon_sym_TILDE] = ACTIONS(5638),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5636),
    [anon_sym___extension__] = ACTIONS(5636),
    [anon_sym_typedef] = ACTIONS(5636),
    [anon_sym_extern] = ACTIONS(5636),
    [anon_sym___attribute__] = ACTIONS(5636),
    [anon_sym_COLON_COLON] = ACTIONS(5638),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5638),
    [anon_sym___declspec] = ACTIONS(5636),
    [anon_sym___based] = ACTIONS(5636),
    [anon_sym_signed] = ACTIONS(5636),
    [anon_sym_unsigned] = ACTIONS(5636),
    [anon_sym_long] = ACTIONS(5636),
    [anon_sym_short] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [anon_sym_static] = ACTIONS(5636),
    [anon_sym_register] = ACTIONS(5636),
    [anon_sym_inline] = ACTIONS(5636),
    [anon_sym___inline] = ACTIONS(5636),
    [anon_sym___inline__] = ACTIONS(5636),
    [anon_sym___forceinline] = ACTIONS(5636),
    [anon_sym_thread_local] = ACTIONS(5636),
    [anon_sym___thread] = ACTIONS(5636),
    [anon_sym_const] = ACTIONS(5636),
    [anon_sym_constexpr] = ACTIONS(5636),
    [anon_sym_volatile] = ACTIONS(5636),
    [anon_sym_restrict] = ACTIONS(5636),
    [anon_sym___restrict__] = ACTIONS(5636),
    [anon_sym__Atomic] = ACTIONS(5636),
    [anon_sym__Noreturn] = ACTIONS(5636),
    [anon_sym_noreturn] = ACTIONS(5636),
    [anon_sym_mutable] = ACTIONS(5636),
    [anon_sym_constinit] = ACTIONS(5636),
    [anon_sym_consteval] = ACTIONS(5636),
    [sym_primitive_type] = ACTIONS(5636),
    [anon_sym_enum] = ACTIONS(5636),
    [anon_sym_class] = ACTIONS(5636),
    [anon_sym_struct] = ACTIONS(5636),
    [anon_sym_union] = ACTIONS(5636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5636),
    [anon_sym_decltype] = ACTIONS(5636),
    [anon_sym_virtual] = ACTIONS(5636),
    [anon_sym_alignas] = ACTIONS(5636),
    [anon_sym_explicit] = ACTIONS(5636),
    [anon_sym_typename] = ACTIONS(5636),
    [anon_sym_template] = ACTIONS(5636),
    [anon_sym_operator] = ACTIONS(5636),
    [anon_sym_friend] = ACTIONS(5636),
    [anon_sym_public] = ACTIONS(5636),
    [anon_sym_private] = ACTIONS(5636),
    [anon_sym_protected] = ACTIONS(5636),
    [anon_sym_using] = ACTIONS(5636),
    [anon_sym_static_assert] = ACTIONS(5636),
  },
  [2364] = {
    [sym_identifier] = ACTIONS(5632),
    [aux_sym_preproc_def_token1] = ACTIONS(5632),
    [aux_sym_preproc_if_token1] = ACTIONS(5632),
    [aux_sym_preproc_if_token2] = ACTIONS(5632),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5632),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [sym_preproc_directive] = ACTIONS(5632),
    [anon_sym_LPAREN2] = ACTIONS(5634),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5634),
    [anon_sym_AMP_AMP] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5632),
    [anon_sym___extension__] = ACTIONS(5632),
    [anon_sym_typedef] = ACTIONS(5632),
    [anon_sym_extern] = ACTIONS(5632),
    [anon_sym___attribute__] = ACTIONS(5632),
    [anon_sym_COLON_COLON] = ACTIONS(5634),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5634),
    [anon_sym___declspec] = ACTIONS(5632),
    [anon_sym___based] = ACTIONS(5632),
    [anon_sym_signed] = ACTIONS(5632),
    [anon_sym_unsigned] = ACTIONS(5632),
    [anon_sym_long] = ACTIONS(5632),
    [anon_sym_short] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_static] = ACTIONS(5632),
    [anon_sym_register] = ACTIONS(5632),
    [anon_sym_inline] = ACTIONS(5632),
    [anon_sym___inline] = ACTIONS(5632),
    [anon_sym___inline__] = ACTIONS(5632),
    [anon_sym___forceinline] = ACTIONS(5632),
    [anon_sym_thread_local] = ACTIONS(5632),
    [anon_sym___thread] = ACTIONS(5632),
    [anon_sym_const] = ACTIONS(5632),
    [anon_sym_constexpr] = ACTIONS(5632),
    [anon_sym_volatile] = ACTIONS(5632),
    [anon_sym_restrict] = ACTIONS(5632),
    [anon_sym___restrict__] = ACTIONS(5632),
    [anon_sym__Atomic] = ACTIONS(5632),
    [anon_sym__Noreturn] = ACTIONS(5632),
    [anon_sym_noreturn] = ACTIONS(5632),
    [anon_sym_mutable] = ACTIONS(5632),
    [anon_sym_constinit] = ACTIONS(5632),
    [anon_sym_consteval] = ACTIONS(5632),
    [sym_primitive_type] = ACTIONS(5632),
    [anon_sym_enum] = ACTIONS(5632),
    [anon_sym_class] = ACTIONS(5632),
    [anon_sym_struct] = ACTIONS(5632),
    [anon_sym_union] = ACTIONS(5632),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5632),
    [anon_sym_decltype] = ACTIONS(5632),
    [anon_sym_virtual] = ACTIONS(5632),
    [anon_sym_alignas] = ACTIONS(5632),
    [anon_sym_explicit] = ACTIONS(5632),
    [anon_sym_typename] = ACTIONS(5632),
    [anon_sym_template] = ACTIONS(5632),
    [anon_sym_operator] = ACTIONS(5632),
    [anon_sym_friend] = ACTIONS(5632),
    [anon_sym_public] = ACTIONS(5632),
    [anon_sym_private] = ACTIONS(5632),
    [anon_sym_protected] = ACTIONS(5632),
    [anon_sym_using] = ACTIONS(5632),
    [anon_sym_static_assert] = ACTIONS(5632),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_friend] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
  },
  [2366] = {
    [sym_identifier] = ACTIONS(5628),
    [aux_sym_preproc_def_token1] = ACTIONS(5628),
    [aux_sym_preproc_if_token1] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [sym_preproc_directive] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5630),
    [anon_sym_TILDE] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5628),
    [anon_sym_typedef] = ACTIONS(5628),
    [anon_sym_extern] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5628),
    [anon_sym_COLON_COLON] = ACTIONS(5630),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5630),
    [anon_sym___declspec] = ACTIONS(5628),
    [anon_sym___based] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5628),
    [anon_sym_unsigned] = ACTIONS(5628),
    [anon_sym_long] = ACTIONS(5628),
    [anon_sym_short] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_static] = ACTIONS(5628),
    [anon_sym_register] = ACTIONS(5628),
    [anon_sym_inline] = ACTIONS(5628),
    [anon_sym___inline] = ACTIONS(5628),
    [anon_sym___inline__] = ACTIONS(5628),
    [anon_sym___forceinline] = ACTIONS(5628),
    [anon_sym_thread_local] = ACTIONS(5628),
    [anon_sym___thread] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5628),
    [anon_sym_constexpr] = ACTIONS(5628),
    [anon_sym_volatile] = ACTIONS(5628),
    [anon_sym_restrict] = ACTIONS(5628),
    [anon_sym___restrict__] = ACTIONS(5628),
    [anon_sym__Atomic] = ACTIONS(5628),
    [anon_sym__Noreturn] = ACTIONS(5628),
    [anon_sym_noreturn] = ACTIONS(5628),
    [anon_sym_mutable] = ACTIONS(5628),
    [anon_sym_constinit] = ACTIONS(5628),
    [anon_sym_consteval] = ACTIONS(5628),
    [sym_primitive_type] = ACTIONS(5628),
    [anon_sym_enum] = ACTIONS(5628),
    [anon_sym_class] = ACTIONS(5628),
    [anon_sym_struct] = ACTIONS(5628),
    [anon_sym_union] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5628),
    [anon_sym_decltype] = ACTIONS(5628),
    [anon_sym_virtual] = ACTIONS(5628),
    [anon_sym_alignas] = ACTIONS(5628),
    [anon_sym_explicit] = ACTIONS(5628),
    [anon_sym_typename] = ACTIONS(5628),
    [anon_sym_template] = ACTIONS(5628),
    [anon_sym_operator] = ACTIONS(5628),
    [anon_sym_friend] = ACTIONS(5628),
    [anon_sym_public] = ACTIONS(5628),
    [anon_sym_private] = ACTIONS(5628),
    [anon_sym_protected] = ACTIONS(5628),
    [anon_sym_using] = ACTIONS(5628),
    [anon_sym_static_assert] = ACTIONS(5628),
  },
  [2367] = {
    [sym_identifier] = ACTIONS(5621),
    [aux_sym_preproc_def_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token2] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5621),
    [aux_sym_preproc_else_token1] = ACTIONS(5621),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [sym_preproc_directive] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym_typedef] = ACTIONS(5621),
    [anon_sym_extern] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5623),
    [anon_sym___declspec] = ACTIONS(5621),
    [anon_sym___based] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5621),
    [anon_sym_unsigned] = ACTIONS(5621),
    [anon_sym_long] = ACTIONS(5621),
    [anon_sym_short] = ACTIONS(5621),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_static] = ACTIONS(5621),
    [anon_sym_register] = ACTIONS(5621),
    [anon_sym_inline] = ACTIONS(5621),
    [anon_sym___inline] = ACTIONS(5621),
    [anon_sym___inline__] = ACTIONS(5621),
    [anon_sym___forceinline] = ACTIONS(5621),
    [anon_sym_thread_local] = ACTIONS(5621),
    [anon_sym___thread] = ACTIONS(5621),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [sym_primitive_type] = ACTIONS(5621),
    [anon_sym_enum] = ACTIONS(5621),
    [anon_sym_class] = ACTIONS(5621),
    [anon_sym_struct] = ACTIONS(5621),
    [anon_sym_union] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_virtual] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym_explicit] = ACTIONS(5621),
    [anon_sym_typename] = ACTIONS(5621),
    [anon_sym_template] = ACTIONS(5621),
    [anon_sym_operator] = ACTIONS(5621),
    [anon_sym_friend] = ACTIONS(5621),
    [anon_sym_public] = ACTIONS(5621),
    [anon_sym_private] = ACTIONS(5621),
    [anon_sym_protected] = ACTIONS(5621),
    [anon_sym_using] = ACTIONS(5621),
    [anon_sym_static_assert] = ACTIONS(5621),
  },
  [2368] = {
    [sym_identifier] = ACTIONS(5621),
    [aux_sym_preproc_def_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token1] = ACTIONS(5621),
    [aux_sym_preproc_if_token2] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5621),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5621),
    [aux_sym_preproc_else_token1] = ACTIONS(5621),
    [aux_sym_preproc_elif_token1] = ACTIONS(5621),
    [sym_preproc_directive] = ACTIONS(5621),
    [anon_sym_LPAREN2] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_STAR] = ACTIONS(5623),
    [anon_sym_AMP_AMP] = ACTIONS(5623),
    [anon_sym_AMP] = ACTIONS(5621),
    [anon_sym___extension__] = ACTIONS(5621),
    [anon_sym_typedef] = ACTIONS(5621),
    [anon_sym_extern] = ACTIONS(5621),
    [anon_sym___attribute__] = ACTIONS(5621),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5623),
    [anon_sym___declspec] = ACTIONS(5621),
    [anon_sym___based] = ACTIONS(5621),
    [anon_sym_signed] = ACTIONS(5621),
    [anon_sym_unsigned] = ACTIONS(5621),
    [anon_sym_long] = ACTIONS(5621),
    [anon_sym_short] = ACTIONS(5621),
    [anon_sym_LBRACK] = ACTIONS(5621),
    [anon_sym_static] = ACTIONS(5621),
    [anon_sym_register] = ACTIONS(5621),
    [anon_sym_inline] = ACTIONS(5621),
    [anon_sym___inline] = ACTIONS(5621),
    [anon_sym___inline__] = ACTIONS(5621),
    [anon_sym___forceinline] = ACTIONS(5621),
    [anon_sym_thread_local] = ACTIONS(5621),
    [anon_sym___thread] = ACTIONS(5621),
    [anon_sym_const] = ACTIONS(5621),
    [anon_sym_constexpr] = ACTIONS(5621),
    [anon_sym_volatile] = ACTIONS(5621),
    [anon_sym_restrict] = ACTIONS(5621),
    [anon_sym___restrict__] = ACTIONS(5621),
    [anon_sym__Atomic] = ACTIONS(5621),
    [anon_sym__Noreturn] = ACTIONS(5621),
    [anon_sym_noreturn] = ACTIONS(5621),
    [anon_sym_mutable] = ACTIONS(5621),
    [anon_sym_constinit] = ACTIONS(5621),
    [anon_sym_consteval] = ACTIONS(5621),
    [sym_primitive_type] = ACTIONS(5621),
    [anon_sym_enum] = ACTIONS(5621),
    [anon_sym_class] = ACTIONS(5621),
    [anon_sym_struct] = ACTIONS(5621),
    [anon_sym_union] = ACTIONS(5621),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5621),
    [anon_sym_decltype] = ACTIONS(5621),
    [anon_sym_virtual] = ACTIONS(5621),
    [anon_sym_alignas] = ACTIONS(5621),
    [anon_sym_explicit] = ACTIONS(5621),
    [anon_sym_typename] = ACTIONS(5621),
    [anon_sym_template] = ACTIONS(5621),
    [anon_sym_operator] = ACTIONS(5621),
    [anon_sym_friend] = ACTIONS(5621),
    [anon_sym_public] = ACTIONS(5621),
    [anon_sym_private] = ACTIONS(5621),
    [anon_sym_protected] = ACTIONS(5621),
    [anon_sym_using] = ACTIONS(5621),
    [anon_sym_static_assert] = ACTIONS(5621),
  },
  [2369] = {
    [sym_identifier] = ACTIONS(5617),
    [aux_sym_preproc_def_token1] = ACTIONS(5617),
    [aux_sym_preproc_if_token1] = ACTIONS(5617),
    [aux_sym_preproc_if_token2] = ACTIONS(5617),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5617),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5617),
    [aux_sym_preproc_else_token1] = ACTIONS(5617),
    [aux_sym_preproc_elif_token1] = ACTIONS(5617),
    [sym_preproc_directive] = ACTIONS(5617),
    [anon_sym_LPAREN2] = ACTIONS(5619),
    [anon_sym_TILDE] = ACTIONS(5619),
    [anon_sym_STAR] = ACTIONS(5619),
    [anon_sym_AMP_AMP] = ACTIONS(5619),
    [anon_sym_AMP] = ACTIONS(5617),
    [anon_sym___extension__] = ACTIONS(5617),
    [anon_sym_typedef] = ACTIONS(5617),
    [anon_sym_extern] = ACTIONS(5617),
    [anon_sym___attribute__] = ACTIONS(5617),
    [anon_sym_COLON_COLON] = ACTIONS(5619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5619),
    [anon_sym___declspec] = ACTIONS(5617),
    [anon_sym___based] = ACTIONS(5617),
    [anon_sym_signed] = ACTIONS(5617),
    [anon_sym_unsigned] = ACTIONS(5617),
    [anon_sym_long] = ACTIONS(5617),
    [anon_sym_short] = ACTIONS(5617),
    [anon_sym_LBRACK] = ACTIONS(5617),
    [anon_sym_static] = ACTIONS(5617),
    [anon_sym_register] = ACTIONS(5617),
    [anon_sym_inline] = ACTIONS(5617),
    [anon_sym___inline] = ACTIONS(5617),
    [anon_sym___inline__] = ACTIONS(5617),
    [anon_sym___forceinline] = ACTIONS(5617),
    [anon_sym_thread_local] = ACTIONS(5617),
    [anon_sym___thread] = ACTIONS(5617),
    [anon_sym_const] = ACTIONS(5617),
    [anon_sym_constexpr] = ACTIONS(5617),
    [anon_sym_volatile] = ACTIONS(5617),
    [anon_sym_restrict] = ACTIONS(5617),
    [anon_sym___restrict__] = ACTIONS(5617),
    [anon_sym__Atomic] = ACTIONS(5617),
    [anon_sym__Noreturn] = ACTIONS(5617),
    [anon_sym_noreturn] = ACTIONS(5617),
    [anon_sym_mutable] = ACTIONS(5617),
    [anon_sym_constinit] = ACTIONS(5617),
    [anon_sym_consteval] = ACTIONS(5617),
    [sym_primitive_type] = ACTIONS(5617),
    [anon_sym_enum] = ACTIONS(5617),
    [anon_sym_class] = ACTIONS(5617),
    [anon_sym_struct] = ACTIONS(5617),
    [anon_sym_union] = ACTIONS(5617),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5617),
    [anon_sym_decltype] = ACTIONS(5617),
    [anon_sym_virtual] = ACTIONS(5617),
    [anon_sym_alignas] = ACTIONS(5617),
    [anon_sym_explicit] = ACTIONS(5617),
    [anon_sym_typename] = ACTIONS(5617),
    [anon_sym_template] = ACTIONS(5617),
    [anon_sym_operator] = ACTIONS(5617),
    [anon_sym_friend] = ACTIONS(5617),
    [anon_sym_public] = ACTIONS(5617),
    [anon_sym_private] = ACTIONS(5617),
    [anon_sym_protected] = ACTIONS(5617),
    [anon_sym_using] = ACTIONS(5617),
    [anon_sym_static_assert] = ACTIONS(5617),
  },
  [2370] = {
    [sym_identifier] = ACTIONS(5605),
    [aux_sym_preproc_def_token1] = ACTIONS(5605),
    [aux_sym_preproc_if_token1] = ACTIONS(5605),
    [aux_sym_preproc_if_token2] = ACTIONS(5605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5605),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5605),
    [aux_sym_preproc_else_token1] = ACTIONS(5605),
    [aux_sym_preproc_elif_token1] = ACTIONS(5605),
    [sym_preproc_directive] = ACTIONS(5605),
    [anon_sym_LPAREN2] = ACTIONS(5607),
    [anon_sym_TILDE] = ACTIONS(5607),
    [anon_sym_STAR] = ACTIONS(5607),
    [anon_sym_AMP_AMP] = ACTIONS(5607),
    [anon_sym_AMP] = ACTIONS(5605),
    [anon_sym___extension__] = ACTIONS(5605),
    [anon_sym_typedef] = ACTIONS(5605),
    [anon_sym_extern] = ACTIONS(5605),
    [anon_sym___attribute__] = ACTIONS(5605),
    [anon_sym_COLON_COLON] = ACTIONS(5607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5607),
    [anon_sym___declspec] = ACTIONS(5605),
    [anon_sym___based] = ACTIONS(5605),
    [anon_sym_signed] = ACTIONS(5605),
    [anon_sym_unsigned] = ACTIONS(5605),
    [anon_sym_long] = ACTIONS(5605),
    [anon_sym_short] = ACTIONS(5605),
    [anon_sym_LBRACK] = ACTIONS(5605),
    [anon_sym_static] = ACTIONS(5605),
    [anon_sym_register] = ACTIONS(5605),
    [anon_sym_inline] = ACTIONS(5605),
    [anon_sym___inline] = ACTIONS(5605),
    [anon_sym___inline__] = ACTIONS(5605),
    [anon_sym___forceinline] = ACTIONS(5605),
    [anon_sym_thread_local] = ACTIONS(5605),
    [anon_sym___thread] = ACTIONS(5605),
    [anon_sym_const] = ACTIONS(5605),
    [anon_sym_constexpr] = ACTIONS(5605),
    [anon_sym_volatile] = ACTIONS(5605),
    [anon_sym_restrict] = ACTIONS(5605),
    [anon_sym___restrict__] = ACTIONS(5605),
    [anon_sym__Atomic] = ACTIONS(5605),
    [anon_sym__Noreturn] = ACTIONS(5605),
    [anon_sym_noreturn] = ACTIONS(5605),
    [anon_sym_mutable] = ACTIONS(5605),
    [anon_sym_constinit] = ACTIONS(5605),
    [anon_sym_consteval] = ACTIONS(5605),
    [sym_primitive_type] = ACTIONS(5605),
    [anon_sym_enum] = ACTIONS(5605),
    [anon_sym_class] = ACTIONS(5605),
    [anon_sym_struct] = ACTIONS(5605),
    [anon_sym_union] = ACTIONS(5605),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5605),
    [anon_sym_decltype] = ACTIONS(5605),
    [anon_sym_virtual] = ACTIONS(5605),
    [anon_sym_alignas] = ACTIONS(5605),
    [anon_sym_explicit] = ACTIONS(5605),
    [anon_sym_typename] = ACTIONS(5605),
    [anon_sym_template] = ACTIONS(5605),
    [anon_sym_operator] = ACTIONS(5605),
    [anon_sym_friend] = ACTIONS(5605),
    [anon_sym_public] = ACTIONS(5605),
    [anon_sym_private] = ACTIONS(5605),
    [anon_sym_protected] = ACTIONS(5605),
    [anon_sym_using] = ACTIONS(5605),
    [anon_sym_static_assert] = ACTIONS(5605),
  },
  [2371] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_friend] = ACTIONS(2907),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_friend] = ACTIONS(2887),
    [anon_sym_public] = ACTIONS(2887),
    [anon_sym_private] = ACTIONS(2887),
    [anon_sym_protected] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(2907),
    [aux_sym_preproc_def_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token1] = ACTIONS(2907),
    [aux_sym_preproc_if_token2] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2907),
    [aux_sym_preproc_else_token1] = ACTIONS(2907),
    [aux_sym_preproc_elif_token1] = ACTIONS(2907),
    [sym_preproc_directive] = ACTIONS(2907),
    [anon_sym_LPAREN2] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2909),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2907),
    [anon_sym_typedef] = ACTIONS(2907),
    [anon_sym_extern] = ACTIONS(2907),
    [anon_sym___attribute__] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2909),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2909),
    [anon_sym___declspec] = ACTIONS(2907),
    [anon_sym___based] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2907),
    [anon_sym_unsigned] = ACTIONS(2907),
    [anon_sym_long] = ACTIONS(2907),
    [anon_sym_short] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2907),
    [anon_sym_register] = ACTIONS(2907),
    [anon_sym_inline] = ACTIONS(2907),
    [anon_sym___inline] = ACTIONS(2907),
    [anon_sym___inline__] = ACTIONS(2907),
    [anon_sym___forceinline] = ACTIONS(2907),
    [anon_sym_thread_local] = ACTIONS(2907),
    [anon_sym___thread] = ACTIONS(2907),
    [anon_sym_const] = ACTIONS(2907),
    [anon_sym_constexpr] = ACTIONS(2907),
    [anon_sym_volatile] = ACTIONS(2907),
    [anon_sym_restrict] = ACTIONS(2907),
    [anon_sym___restrict__] = ACTIONS(2907),
    [anon_sym__Atomic] = ACTIONS(2907),
    [anon_sym__Noreturn] = ACTIONS(2907),
    [anon_sym_noreturn] = ACTIONS(2907),
    [anon_sym_mutable] = ACTIONS(2907),
    [anon_sym_constinit] = ACTIONS(2907),
    [anon_sym_consteval] = ACTIONS(2907),
    [sym_primitive_type] = ACTIONS(2907),
    [anon_sym_enum] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2907),
    [anon_sym_struct] = ACTIONS(2907),
    [anon_sym_union] = ACTIONS(2907),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2907),
    [anon_sym_decltype] = ACTIONS(2907),
    [anon_sym_virtual] = ACTIONS(2907),
    [anon_sym_alignas] = ACTIONS(2907),
    [anon_sym_explicit] = ACTIONS(2907),
    [anon_sym_typename] = ACTIONS(2907),
    [anon_sym_template] = ACTIONS(2907),
    [anon_sym_operator] = ACTIONS(2907),
    [anon_sym_friend] = ACTIONS(2907),
    [anon_sym_public] = ACTIONS(2907),
    [anon_sym_private] = ACTIONS(2907),
    [anon_sym_protected] = ACTIONS(2907),
    [anon_sym_using] = ACTIONS(2907),
    [anon_sym_static_assert] = ACTIONS(2907),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(5593),
    [aux_sym_preproc_def_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token1] = ACTIONS(5593),
    [aux_sym_preproc_if_token2] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5593),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5593),
    [aux_sym_preproc_else_token1] = ACTIONS(5593),
    [aux_sym_preproc_elif_token1] = ACTIONS(5593),
    [sym_preproc_directive] = ACTIONS(5593),
    [anon_sym_LPAREN2] = ACTIONS(5595),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_STAR] = ACTIONS(5595),
    [anon_sym_AMP_AMP] = ACTIONS(5595),
    [anon_sym_AMP] = ACTIONS(5593),
    [anon_sym___extension__] = ACTIONS(5593),
    [anon_sym_typedef] = ACTIONS(5593),
    [anon_sym_extern] = ACTIONS(5593),
    [anon_sym___attribute__] = ACTIONS(5593),
    [anon_sym_COLON_COLON] = ACTIONS(5595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5595),
    [anon_sym___declspec] = ACTIONS(5593),
    [anon_sym___based] = ACTIONS(5593),
    [anon_sym_signed] = ACTIONS(5593),
    [anon_sym_unsigned] = ACTIONS(5593),
    [anon_sym_long] = ACTIONS(5593),
    [anon_sym_short] = ACTIONS(5593),
    [anon_sym_LBRACK] = ACTIONS(5593),
    [anon_sym_static] = ACTIONS(5593),
    [anon_sym_register] = ACTIONS(5593),
    [anon_sym_inline] = ACTIONS(5593),
    [anon_sym___inline] = ACTIONS(5593),
    [anon_sym___inline__] = ACTIONS(5593),
    [anon_sym___forceinline] = ACTIONS(5593),
    [anon_sym_thread_local] = ACTIONS(5593),
    [anon_sym___thread] = ACTIONS(5593),
    [anon_sym_const] = ACTIONS(5593),
    [anon_sym_constexpr] = ACTIONS(5593),
    [anon_sym_volatile] = ACTIONS(5593),
    [anon_sym_restrict] = ACTIONS(5593),
    [anon_sym___restrict__] = ACTIONS(5593),
    [anon_sym__Atomic] = ACTIONS(5593),
    [anon_sym__Noreturn] = ACTIONS(5593),
    [anon_sym_noreturn] = ACTIONS(5593),
    [anon_sym_mutable] = ACTIONS(5593),
    [anon_sym_constinit] = ACTIONS(5593),
    [anon_sym_consteval] = ACTIONS(5593),
    [sym_primitive_type] = ACTIONS(5593),
    [anon_sym_enum] = ACTIONS(5593),
    [anon_sym_class] = ACTIONS(5593),
    [anon_sym_struct] = ACTIONS(5593),
    [anon_sym_union] = ACTIONS(5593),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5593),
    [anon_sym_decltype] = ACTIONS(5593),
    [anon_sym_virtual] = ACTIONS(5593),
    [anon_sym_alignas] = ACTIONS(5593),
    [anon_sym_explicit] = ACTIONS(5593),
    [anon_sym_typename] = ACTIONS(5593),
    [anon_sym_template] = ACTIONS(5593),
    [anon_sym_operator] = ACTIONS(5593),
    [anon_sym_friend] = ACTIONS(5593),
    [anon_sym_public] = ACTIONS(5593),
    [anon_sym_private] = ACTIONS(5593),
    [anon_sym_protected] = ACTIONS(5593),
    [anon_sym_using] = ACTIONS(5593),
    [anon_sym_static_assert] = ACTIONS(5593),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(5589),
    [aux_sym_preproc_def_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token1] = ACTIONS(5589),
    [aux_sym_preproc_if_token2] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5589),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5589),
    [aux_sym_preproc_else_token1] = ACTIONS(5589),
    [aux_sym_preproc_elif_token1] = ACTIONS(5589),
    [sym_preproc_directive] = ACTIONS(5589),
    [anon_sym_LPAREN2] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5591),
    [anon_sym_STAR] = ACTIONS(5591),
    [anon_sym_AMP_AMP] = ACTIONS(5591),
    [anon_sym_AMP] = ACTIONS(5589),
    [anon_sym___extension__] = ACTIONS(5589),
    [anon_sym_typedef] = ACTIONS(5589),
    [anon_sym_extern] = ACTIONS(5589),
    [anon_sym___attribute__] = ACTIONS(5589),
    [anon_sym_COLON_COLON] = ACTIONS(5591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5591),
    [anon_sym___declspec] = ACTIONS(5589),
    [anon_sym___based] = ACTIONS(5589),
    [anon_sym_signed] = ACTIONS(5589),
    [anon_sym_unsigned] = ACTIONS(5589),
    [anon_sym_long] = ACTIONS(5589),
    [anon_sym_short] = ACTIONS(5589),
    [anon_sym_LBRACK] = ACTIONS(5589),
    [anon_sym_static] = ACTIONS(5589),
    [anon_sym_register] = ACTIONS(5589),
    [anon_sym_inline] = ACTIONS(5589),
    [anon_sym___inline] = ACTIONS(5589),
    [anon_sym___inline__] = ACTIONS(5589),
    [anon_sym___forceinline] = ACTIONS(5589),
    [anon_sym_thread_local] = ACTIONS(5589),
    [anon_sym___thread] = ACTIONS(5589),
    [anon_sym_const] = ACTIONS(5589),
    [anon_sym_constexpr] = ACTIONS(5589),
    [anon_sym_volatile] = ACTIONS(5589),
    [anon_sym_restrict] = ACTIONS(5589),
    [anon_sym___restrict__] = ACTIONS(5589),
    [anon_sym__Atomic] = ACTIONS(5589),
    [anon_sym__Noreturn] = ACTIONS(5589),
    [anon_sym_noreturn] = ACTIONS(5589),
    [anon_sym_mutable] = ACTIONS(5589),
    [anon_sym_constinit] = ACTIONS(5589),
    [anon_sym_consteval] = ACTIONS(5589),
    [sym_primitive_type] = ACTIONS(5589),
    [anon_sym_enum] = ACTIONS(5589),
    [anon_sym_class] = ACTIONS(5589),
    [anon_sym_struct] = ACTIONS(5589),
    [anon_sym_union] = ACTIONS(5589),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5589),
    [anon_sym_decltype] = ACTIONS(5589),
    [anon_sym_virtual] = ACTIONS(5589),
    [anon_sym_alignas] = ACTIONS(5589),
    [anon_sym_explicit] = ACTIONS(5589),
    [anon_sym_typename] = ACTIONS(5589),
    [anon_sym_template] = ACTIONS(5589),
    [anon_sym_operator] = ACTIONS(5589),
    [anon_sym_friend] = ACTIONS(5589),
    [anon_sym_public] = ACTIONS(5589),
    [anon_sym_private] = ACTIONS(5589),
    [anon_sym_protected] = ACTIONS(5589),
    [anon_sym_using] = ACTIONS(5589),
    [anon_sym_static_assert] = ACTIONS(5589),
  },
  [2376] = {
    [sym_identifier] = ACTIONS(5585),
    [aux_sym_preproc_def_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token2] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5585),
    [aux_sym_preproc_else_token1] = ACTIONS(5585),
    [aux_sym_preproc_elif_token1] = ACTIONS(5585),
    [sym_preproc_directive] = ACTIONS(5585),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_TILDE] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym_typedef] = ACTIONS(5585),
    [anon_sym_extern] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5587),
    [anon_sym___declspec] = ACTIONS(5585),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5585),
    [anon_sym_static] = ACTIONS(5585),
    [anon_sym_register] = ACTIONS(5585),
    [anon_sym_inline] = ACTIONS(5585),
    [anon_sym___inline] = ACTIONS(5585),
    [anon_sym___inline__] = ACTIONS(5585),
    [anon_sym___forceinline] = ACTIONS(5585),
    [anon_sym_thread_local] = ACTIONS(5585),
    [anon_sym___thread] = ACTIONS(5585),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [sym_primitive_type] = ACTIONS(5585),
    [anon_sym_enum] = ACTIONS(5585),
    [anon_sym_class] = ACTIONS(5585),
    [anon_sym_struct] = ACTIONS(5585),
    [anon_sym_union] = ACTIONS(5585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_virtual] = ACTIONS(5585),
    [anon_sym_alignas] = ACTIONS(5585),
    [anon_sym_explicit] = ACTIONS(5585),
    [anon_sym_typename] = ACTIONS(5585),
    [anon_sym_template] = ACTIONS(5585),
    [anon_sym_operator] = ACTIONS(5585),
    [anon_sym_friend] = ACTIONS(5585),
    [anon_sym_public] = ACTIONS(5585),
    [anon_sym_private] = ACTIONS(5585),
    [anon_sym_protected] = ACTIONS(5585),
    [anon_sym_using] = ACTIONS(5585),
    [anon_sym_static_assert] = ACTIONS(5585),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(5585),
    [aux_sym_preproc_def_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token1] = ACTIONS(5585),
    [aux_sym_preproc_if_token2] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5585),
    [aux_sym_preproc_else_token1] = ACTIONS(5585),
    [aux_sym_preproc_elif_token1] = ACTIONS(5585),
    [sym_preproc_directive] = ACTIONS(5585),
    [anon_sym_LPAREN2] = ACTIONS(5587),
    [anon_sym_TILDE] = ACTIONS(5587),
    [anon_sym_STAR] = ACTIONS(5587),
    [anon_sym_AMP_AMP] = ACTIONS(5587),
    [anon_sym_AMP] = ACTIONS(5585),
    [anon_sym___extension__] = ACTIONS(5585),
    [anon_sym_typedef] = ACTIONS(5585),
    [anon_sym_extern] = ACTIONS(5585),
    [anon_sym___attribute__] = ACTIONS(5585),
    [anon_sym_COLON_COLON] = ACTIONS(5587),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5587),
    [anon_sym___declspec] = ACTIONS(5585),
    [anon_sym___based] = ACTIONS(5585),
    [anon_sym_signed] = ACTIONS(5585),
    [anon_sym_unsigned] = ACTIONS(5585),
    [anon_sym_long] = ACTIONS(5585),
    [anon_sym_short] = ACTIONS(5585),
    [anon_sym_LBRACK] = ACTIONS(5585),
    [anon_sym_static] = ACTIONS(5585),
    [anon_sym_register] = ACTIONS(5585),
    [anon_sym_inline] = ACTIONS(5585),
    [anon_sym___inline] = ACTIONS(5585),
    [anon_sym___inline__] = ACTIONS(5585),
    [anon_sym___forceinline] = ACTIONS(5585),
    [anon_sym_thread_local] = ACTIONS(5585),
    [anon_sym___thread] = ACTIONS(5585),
    [anon_sym_const] = ACTIONS(5585),
    [anon_sym_constexpr] = ACTIONS(5585),
    [anon_sym_volatile] = ACTIONS(5585),
    [anon_sym_restrict] = ACTIONS(5585),
    [anon_sym___restrict__] = ACTIONS(5585),
    [anon_sym__Atomic] = ACTIONS(5585),
    [anon_sym__Noreturn] = ACTIONS(5585),
    [anon_sym_noreturn] = ACTIONS(5585),
    [anon_sym_mutable] = ACTIONS(5585),
    [anon_sym_constinit] = ACTIONS(5585),
    [anon_sym_consteval] = ACTIONS(5585),
    [sym_primitive_type] = ACTIONS(5585),
    [anon_sym_enum] = ACTIONS(5585),
    [anon_sym_class] = ACTIONS(5585),
    [anon_sym_struct] = ACTIONS(5585),
    [anon_sym_union] = ACTIONS(5585),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5585),
    [anon_sym_decltype] = ACTIONS(5585),
    [anon_sym_virtual] = ACTIONS(5585),
    [anon_sym_alignas] = ACTIONS(5585),
    [anon_sym_explicit] = ACTIONS(5585),
    [anon_sym_typename] = ACTIONS(5585),
    [anon_sym_template] = ACTIONS(5585),
    [anon_sym_operator] = ACTIONS(5585),
    [anon_sym_friend] = ACTIONS(5585),
    [anon_sym_public] = ACTIONS(5585),
    [anon_sym_private] = ACTIONS(5585),
    [anon_sym_protected] = ACTIONS(5585),
    [anon_sym_using] = ACTIONS(5585),
    [anon_sym_static_assert] = ACTIONS(5585),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(5577),
    [aux_sym_preproc_def_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token1] = ACTIONS(5577),
    [aux_sym_preproc_if_token2] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5577),
    [aux_sym_preproc_else_token1] = ACTIONS(5577),
    [aux_sym_preproc_elif_token1] = ACTIONS(5577),
    [sym_preproc_directive] = ACTIONS(5577),
    [anon_sym_LPAREN2] = ACTIONS(5579),
    [anon_sym_TILDE] = ACTIONS(5579),
    [anon_sym_STAR] = ACTIONS(5579),
    [anon_sym_AMP_AMP] = ACTIONS(5579),
    [anon_sym_AMP] = ACTIONS(5577),
    [anon_sym___extension__] = ACTIONS(5577),
    [anon_sym_typedef] = ACTIONS(5577),
    [anon_sym_extern] = ACTIONS(5577),
    [anon_sym___attribute__] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5579),
    [anon_sym___declspec] = ACTIONS(5577),
    [anon_sym___based] = ACTIONS(5577),
    [anon_sym_signed] = ACTIONS(5577),
    [anon_sym_unsigned] = ACTIONS(5577),
    [anon_sym_long] = ACTIONS(5577),
    [anon_sym_short] = ACTIONS(5577),
    [anon_sym_LBRACK] = ACTIONS(5577),
    [anon_sym_static] = ACTIONS(5577),
    [anon_sym_register] = ACTIONS(5577),
    [anon_sym_inline] = ACTIONS(5577),
    [anon_sym___inline] = ACTIONS(5577),
    [anon_sym___inline__] = ACTIONS(5577),
    [anon_sym___forceinline] = ACTIONS(5577),
    [anon_sym_thread_local] = ACTIONS(5577),
    [anon_sym___thread] = ACTIONS(5577),
    [anon_sym_const] = ACTIONS(5577),
    [anon_sym_constexpr] = ACTIONS(5577),
    [anon_sym_volatile] = ACTIONS(5577),
    [anon_sym_restrict] = ACTIONS(5577),
    [anon_sym___restrict__] = ACTIONS(5577),
    [anon_sym__Atomic] = ACTIONS(5577),
    [anon_sym__Noreturn] = ACTIONS(5577),
    [anon_sym_noreturn] = ACTIONS(5577),
    [anon_sym_mutable] = ACTIONS(5577),
    [anon_sym_constinit] = ACTIONS(5577),
    [anon_sym_consteval] = ACTIONS(5577),
    [sym_primitive_type] = ACTIONS(5577),
    [anon_sym_enum] = ACTIONS(5577),
    [anon_sym_class] = ACTIONS(5577),
    [anon_sym_struct] = ACTIONS(5577),
    [anon_sym_union] = ACTIONS(5577),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5577),
    [anon_sym_decltype] = ACTIONS(5577),
    [anon_sym_virtual] = ACTIONS(5577),
    [anon_sym_alignas] = ACTIONS(5577),
    [anon_sym_explicit] = ACTIONS(5577),
    [anon_sym_typename] = ACTIONS(5577),
    [anon_sym_template] = ACTIONS(5577),
    [anon_sym_operator] = ACTIONS(5577),
    [anon_sym_friend] = ACTIONS(5577),
    [anon_sym_public] = ACTIONS(5577),
    [anon_sym_private] = ACTIONS(5577),
    [anon_sym_protected] = ACTIONS(5577),
    [anon_sym_using] = ACTIONS(5577),
    [anon_sym_static_assert] = ACTIONS(5577),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(5573),
    [aux_sym_preproc_def_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token1] = ACTIONS(5573),
    [aux_sym_preproc_if_token2] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5573),
    [aux_sym_preproc_else_token1] = ACTIONS(5573),
    [aux_sym_preproc_elif_token1] = ACTIONS(5573),
    [sym_preproc_directive] = ACTIONS(5573),
    [anon_sym_LPAREN2] = ACTIONS(5575),
    [anon_sym_TILDE] = ACTIONS(5575),
    [anon_sym_STAR] = ACTIONS(5575),
    [anon_sym_AMP_AMP] = ACTIONS(5575),
    [anon_sym_AMP] = ACTIONS(5573),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_typedef] = ACTIONS(5573),
    [anon_sym_extern] = ACTIONS(5573),
    [anon_sym___attribute__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5575),
    [anon_sym___declspec] = ACTIONS(5573),
    [anon_sym___based] = ACTIONS(5573),
    [anon_sym_signed] = ACTIONS(5573),
    [anon_sym_unsigned] = ACTIONS(5573),
    [anon_sym_long] = ACTIONS(5573),
    [anon_sym_short] = ACTIONS(5573),
    [anon_sym_LBRACK] = ACTIONS(5573),
    [anon_sym_static] = ACTIONS(5573),
    [anon_sym_register] = ACTIONS(5573),
    [anon_sym_inline] = ACTIONS(5573),
    [anon_sym___inline] = ACTIONS(5573),
    [anon_sym___inline__] = ACTIONS(5573),
    [anon_sym___forceinline] = ACTIONS(5573),
    [anon_sym_thread_local] = ACTIONS(5573),
    [anon_sym___thread] = ACTIONS(5573),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [sym_primitive_type] = ACTIONS(5573),
    [anon_sym_enum] = ACTIONS(5573),
    [anon_sym_class] = ACTIONS(5573),
    [anon_sym_struct] = ACTIONS(5573),
    [anon_sym_union] = ACTIONS(5573),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5573),
    [anon_sym_decltype] = ACTIONS(5573),
    [anon_sym_virtual] = ACTIONS(5573),
    [anon_sym_alignas] = ACTIONS(5573),
    [anon_sym_explicit] = ACTIONS(5573),
    [anon_sym_typename] = ACTIONS(5573),
    [anon_sym_template] = ACTIONS(5573),
    [anon_sym_operator] = ACTIONS(5573),
    [anon_sym_friend] = ACTIONS(5573),
    [anon_sym_public] = ACTIONS(5573),
    [anon_sym_private] = ACTIONS(5573),
    [anon_sym_protected] = ACTIONS(5573),
    [anon_sym_using] = ACTIONS(5573),
    [anon_sym_static_assert] = ACTIONS(5573),
  },
  [2380] = {
    [sym_identifier] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5558),
    [anon_sym_TILDE] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5556),
    [anon_sym_typedef] = ACTIONS(5556),
    [anon_sym_extern] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5556),
    [anon_sym_COLON_COLON] = ACTIONS(5558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5558),
    [anon_sym___declspec] = ACTIONS(5556),
    [anon_sym___based] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_static] = ACTIONS(5556),
    [anon_sym_register] = ACTIONS(5556),
    [anon_sym_inline] = ACTIONS(5556),
    [anon_sym___inline] = ACTIONS(5556),
    [anon_sym___inline__] = ACTIONS(5556),
    [anon_sym___forceinline] = ACTIONS(5556),
    [anon_sym_thread_local] = ACTIONS(5556),
    [anon_sym___thread] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5556),
    [anon_sym_constexpr] = ACTIONS(5556),
    [anon_sym_volatile] = ACTIONS(5556),
    [anon_sym_restrict] = ACTIONS(5556),
    [anon_sym___restrict__] = ACTIONS(5556),
    [anon_sym__Atomic] = ACTIONS(5556),
    [anon_sym__Noreturn] = ACTIONS(5556),
    [anon_sym_noreturn] = ACTIONS(5556),
    [anon_sym_mutable] = ACTIONS(5556),
    [anon_sym_constinit] = ACTIONS(5556),
    [anon_sym_consteval] = ACTIONS(5556),
    [sym_primitive_type] = ACTIONS(5556),
    [anon_sym_enum] = ACTIONS(5556),
    [anon_sym_class] = ACTIONS(5556),
    [anon_sym_struct] = ACTIONS(5556),
    [anon_sym_union] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5556),
    [anon_sym_decltype] = ACTIONS(5556),
    [anon_sym_virtual] = ACTIONS(5556),
    [anon_sym_alignas] = ACTIONS(5556),
    [anon_sym_explicit] = ACTIONS(5556),
    [anon_sym_typename] = ACTIONS(5556),
    [anon_sym_template] = ACTIONS(5556),
    [anon_sym_operator] = ACTIONS(5556),
    [anon_sym_friend] = ACTIONS(5556),
    [anon_sym_public] = ACTIONS(5556),
    [anon_sym_private] = ACTIONS(5556),
    [anon_sym_protected] = ACTIONS(5556),
    [anon_sym_using] = ACTIONS(5556),
    [anon_sym_static_assert] = ACTIONS(5556),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(5552),
    [aux_sym_preproc_def_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [sym_preproc_directive] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5554),
    [anon_sym_TILDE] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5552),
    [anon_sym_typedef] = ACTIONS(5552),
    [anon_sym_extern] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5552),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5554),
    [anon_sym___declspec] = ACTIONS(5552),
    [anon_sym___based] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_static] = ACTIONS(5552),
    [anon_sym_register] = ACTIONS(5552),
    [anon_sym_inline] = ACTIONS(5552),
    [anon_sym___inline] = ACTIONS(5552),
    [anon_sym___inline__] = ACTIONS(5552),
    [anon_sym___forceinline] = ACTIONS(5552),
    [anon_sym_thread_local] = ACTIONS(5552),
    [anon_sym___thread] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5552),
    [anon_sym_constexpr] = ACTIONS(5552),
    [anon_sym_volatile] = ACTIONS(5552),
    [anon_sym_restrict] = ACTIONS(5552),
    [anon_sym___restrict__] = ACTIONS(5552),
    [anon_sym__Atomic] = ACTIONS(5552),
    [anon_sym__Noreturn] = ACTIONS(5552),
    [anon_sym_noreturn] = ACTIONS(5552),
    [anon_sym_mutable] = ACTIONS(5552),
    [anon_sym_constinit] = ACTIONS(5552),
    [anon_sym_consteval] = ACTIONS(5552),
    [sym_primitive_type] = ACTIONS(5552),
    [anon_sym_enum] = ACTIONS(5552),
    [anon_sym_class] = ACTIONS(5552),
    [anon_sym_struct] = ACTIONS(5552),
    [anon_sym_union] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5552),
    [anon_sym_decltype] = ACTIONS(5552),
    [anon_sym_virtual] = ACTIONS(5552),
    [anon_sym_alignas] = ACTIONS(5552),
    [anon_sym_explicit] = ACTIONS(5552),
    [anon_sym_typename] = ACTIONS(5552),
    [anon_sym_template] = ACTIONS(5552),
    [anon_sym_operator] = ACTIONS(5552),
    [anon_sym_friend] = ACTIONS(5552),
    [anon_sym_public] = ACTIONS(5552),
    [anon_sym_private] = ACTIONS(5552),
    [anon_sym_protected] = ACTIONS(5552),
    [anon_sym_using] = ACTIONS(5552),
    [anon_sym_static_assert] = ACTIONS(5552),
  },
  [2382] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_RBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(5797),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5799),
    [anon_sym_SLASH_EQ] = ACTIONS(5799),
    [anon_sym_PERCENT_EQ] = ACTIONS(5799),
    [anon_sym_PLUS_EQ] = ACTIONS(5799),
    [anon_sym_DASH_EQ] = ACTIONS(5799),
    [anon_sym_LT_LT_EQ] = ACTIONS(5799),
    [anon_sym_GT_GT_EQ] = ACTIONS(5799),
    [anon_sym_AMP_EQ] = ACTIONS(5799),
    [anon_sym_CARET_EQ] = ACTIONS(5799),
    [anon_sym_PIPE_EQ] = ACTIONS(5799),
    [anon_sym_and_eq] = ACTIONS(5799),
    [anon_sym_or_eq] = ACTIONS(5799),
    [anon_sym_xor_eq] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(5548),
    [aux_sym_preproc_def_token1] = ACTIONS(5548),
    [aux_sym_preproc_if_token1] = ACTIONS(5548),
    [aux_sym_preproc_if_token2] = ACTIONS(5548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [sym_preproc_directive] = ACTIONS(5548),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_TILDE] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym___extension__] = ACTIONS(5548),
    [anon_sym_typedef] = ACTIONS(5548),
    [anon_sym_extern] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_COLON_COLON] = ACTIONS(5550),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5550),
    [anon_sym___declspec] = ACTIONS(5548),
    [anon_sym___based] = ACTIONS(5548),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_static] = ACTIONS(5548),
    [anon_sym_register] = ACTIONS(5548),
    [anon_sym_inline] = ACTIONS(5548),
    [anon_sym___inline] = ACTIONS(5548),
    [anon_sym___inline__] = ACTIONS(5548),
    [anon_sym___forceinline] = ACTIONS(5548),
    [anon_sym_thread_local] = ACTIONS(5548),
    [anon_sym___thread] = ACTIONS(5548),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5548),
    [anon_sym_volatile] = ACTIONS(5548),
    [anon_sym_restrict] = ACTIONS(5548),
    [anon_sym___restrict__] = ACTIONS(5548),
    [anon_sym__Atomic] = ACTIONS(5548),
    [anon_sym__Noreturn] = ACTIONS(5548),
    [anon_sym_noreturn] = ACTIONS(5548),
    [anon_sym_mutable] = ACTIONS(5548),
    [anon_sym_constinit] = ACTIONS(5548),
    [anon_sym_consteval] = ACTIONS(5548),
    [sym_primitive_type] = ACTIONS(5548),
    [anon_sym_enum] = ACTIONS(5548),
    [anon_sym_class] = ACTIONS(5548),
    [anon_sym_struct] = ACTIONS(5548),
    [anon_sym_union] = ACTIONS(5548),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
    [anon_sym_virtual] = ACTIONS(5548),
    [anon_sym_alignas] = ACTIONS(5548),
    [anon_sym_explicit] = ACTIONS(5548),
    [anon_sym_typename] = ACTIONS(5548),
    [anon_sym_template] = ACTIONS(5548),
    [anon_sym_operator] = ACTIONS(5548),
    [anon_sym_friend] = ACTIONS(5548),
    [anon_sym_public] = ACTIONS(5548),
    [anon_sym_private] = ACTIONS(5548),
    [anon_sym_protected] = ACTIONS(5548),
    [anon_sym_using] = ACTIONS(5548),
    [anon_sym_static_assert] = ACTIONS(5548),
  },
  [2384] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_SLASH] = ACTIONS(5348),
    [anon_sym_PERCENT] = ACTIONS(5348),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5348),
    [anon_sym_CARET] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT] = ACTIONS(5348),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(5348),
    [anon_sym_LT_LT] = ACTIONS(5348),
    [anon_sym_GT_GT] = ACTIONS(5348),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_EQ] = ACTIONS(5348),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5350),
    [anon_sym_STAR_EQ] = ACTIONS(5350),
    [anon_sym_SLASH_EQ] = ACTIONS(5350),
    [anon_sym_PERCENT_EQ] = ACTIONS(5350),
    [anon_sym_PLUS_EQ] = ACTIONS(5350),
    [anon_sym_DASH_EQ] = ACTIONS(5350),
    [anon_sym_LT_LT_EQ] = ACTIONS(5350),
    [anon_sym_GT_GT_EQ] = ACTIONS(5350),
    [anon_sym_AMP_EQ] = ACTIONS(5350),
    [anon_sym_CARET_EQ] = ACTIONS(5350),
    [anon_sym_PIPE_EQ] = ACTIONS(5350),
    [anon_sym_and_eq] = ACTIONS(5348),
    [anon_sym_or_eq] = ACTIONS(5348),
    [anon_sym_xor_eq] = ACTIONS(5348),
    [anon_sym_LT_EQ_GT] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5348),
    [anon_sym_and] = ACTIONS(5348),
    [anon_sym_bitor] = ACTIONS(5348),
    [anon_sym_xor] = ACTIONS(5348),
    [anon_sym_bitand] = ACTIONS(5348),
    [anon_sym_not_eq] = ACTIONS(5348),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_DOT_STAR] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_L_DQUOTE] = ACTIONS(5350),
    [anon_sym_u_DQUOTE] = ACTIONS(5350),
    [anon_sym_U_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8_DQUOTE] = ACTIONS(5350),
    [anon_sym_DQUOTE] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5350),
    [anon_sym_LR_DQUOTE] = ACTIONS(5350),
    [anon_sym_uR_DQUOTE] = ACTIONS(5350),
    [anon_sym_UR_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5350),
    [sym_literal_suffix] = ACTIONS(5348),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2386] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2388] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2389] = {
    [sym__declaration_modifiers] = STATE(4215),
    [sym_attribute_specifier] = STATE(4215),
    [sym_attribute_declaration] = STATE(4215),
    [sym_ms_declspec_modifier] = STATE(4215),
    [sym_storage_class_specifier] = STATE(4215),
    [sym_type_qualifier] = STATE(4215),
    [sym__type_specifier] = STATE(3260),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4215),
    [sym_alignas_specifier] = STATE(4215),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2390] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2391] = {
    [sym_identifier] = ACTIONS(5528),
    [aux_sym_preproc_def_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5528),
    [sym_preproc_directive] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_TILDE] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5528),
    [anon_sym_typedef] = ACTIONS(5528),
    [anon_sym_extern] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym_COLON_COLON] = ACTIONS(5530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5530),
    [anon_sym___declspec] = ACTIONS(5528),
    [anon_sym___based] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5528),
    [anon_sym_unsigned] = ACTIONS(5528),
    [anon_sym_long] = ACTIONS(5528),
    [anon_sym_short] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_static] = ACTIONS(5528),
    [anon_sym_register] = ACTIONS(5528),
    [anon_sym_inline] = ACTIONS(5528),
    [anon_sym___inline] = ACTIONS(5528),
    [anon_sym___inline__] = ACTIONS(5528),
    [anon_sym___forceinline] = ACTIONS(5528),
    [anon_sym_thread_local] = ACTIONS(5528),
    [anon_sym___thread] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5528),
    [anon_sym_constexpr] = ACTIONS(5528),
    [anon_sym_volatile] = ACTIONS(5528),
    [anon_sym_restrict] = ACTIONS(5528),
    [anon_sym___restrict__] = ACTIONS(5528),
    [anon_sym__Atomic] = ACTIONS(5528),
    [anon_sym__Noreturn] = ACTIONS(5528),
    [anon_sym_noreturn] = ACTIONS(5528),
    [anon_sym_mutable] = ACTIONS(5528),
    [anon_sym_constinit] = ACTIONS(5528),
    [anon_sym_consteval] = ACTIONS(5528),
    [sym_primitive_type] = ACTIONS(5528),
    [anon_sym_enum] = ACTIONS(5528),
    [anon_sym_class] = ACTIONS(5528),
    [anon_sym_struct] = ACTIONS(5528),
    [anon_sym_union] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
    [anon_sym_virtual] = ACTIONS(5528),
    [anon_sym_alignas] = ACTIONS(5528),
    [anon_sym_explicit] = ACTIONS(5528),
    [anon_sym_typename] = ACTIONS(5528),
    [anon_sym_template] = ACTIONS(5528),
    [anon_sym_operator] = ACTIONS(5528),
    [anon_sym_friend] = ACTIONS(5528),
    [anon_sym_public] = ACTIONS(5528),
    [anon_sym_private] = ACTIONS(5528),
    [anon_sym_protected] = ACTIONS(5528),
    [anon_sym_using] = ACTIONS(5528),
    [anon_sym_static_assert] = ACTIONS(5528),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(5524),
    [aux_sym_preproc_def_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5524),
    [sym_preproc_directive] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_TILDE] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5524),
    [anon_sym_typedef] = ACTIONS(5524),
    [anon_sym_extern] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym_COLON_COLON] = ACTIONS(5526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5526),
    [anon_sym___declspec] = ACTIONS(5524),
    [anon_sym___based] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5524),
    [anon_sym_unsigned] = ACTIONS(5524),
    [anon_sym_long] = ACTIONS(5524),
    [anon_sym_short] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_static] = ACTIONS(5524),
    [anon_sym_register] = ACTIONS(5524),
    [anon_sym_inline] = ACTIONS(5524),
    [anon_sym___inline] = ACTIONS(5524),
    [anon_sym___inline__] = ACTIONS(5524),
    [anon_sym___forceinline] = ACTIONS(5524),
    [anon_sym_thread_local] = ACTIONS(5524),
    [anon_sym___thread] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5524),
    [anon_sym_constexpr] = ACTIONS(5524),
    [anon_sym_volatile] = ACTIONS(5524),
    [anon_sym_restrict] = ACTIONS(5524),
    [anon_sym___restrict__] = ACTIONS(5524),
    [anon_sym__Atomic] = ACTIONS(5524),
    [anon_sym__Noreturn] = ACTIONS(5524),
    [anon_sym_noreturn] = ACTIONS(5524),
    [anon_sym_mutable] = ACTIONS(5524),
    [anon_sym_constinit] = ACTIONS(5524),
    [anon_sym_consteval] = ACTIONS(5524),
    [sym_primitive_type] = ACTIONS(5524),
    [anon_sym_enum] = ACTIONS(5524),
    [anon_sym_class] = ACTIONS(5524),
    [anon_sym_struct] = ACTIONS(5524),
    [anon_sym_union] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
    [anon_sym_virtual] = ACTIONS(5524),
    [anon_sym_alignas] = ACTIONS(5524),
    [anon_sym_explicit] = ACTIONS(5524),
    [anon_sym_typename] = ACTIONS(5524),
    [anon_sym_template] = ACTIONS(5524),
    [anon_sym_operator] = ACTIONS(5524),
    [anon_sym_friend] = ACTIONS(5524),
    [anon_sym_public] = ACTIONS(5524),
    [anon_sym_private] = ACTIONS(5524),
    [anon_sym_protected] = ACTIONS(5524),
    [anon_sym_using] = ACTIONS(5524),
    [anon_sym_static_assert] = ACTIONS(5524),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(3491),
    [anon_sym_LPAREN2] = ACTIONS(3493),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3493),
    [anon_sym___extension__] = ACTIONS(3491),
    [anon_sym_COLON_COLON] = ACTIONS(3493),
    [anon_sym_LBRACK] = ACTIONS(3493),
    [anon_sym_RBRACK] = ACTIONS(3493),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_constexpr] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_restrict] = ACTIONS(3491),
    [anon_sym___restrict__] = ACTIONS(3491),
    [anon_sym__Atomic] = ACTIONS(3491),
    [anon_sym__Noreturn] = ACTIONS(3491),
    [anon_sym_noreturn] = ACTIONS(3491),
    [anon_sym_mutable] = ACTIONS(3491),
    [anon_sym_constinit] = ACTIONS(3491),
    [anon_sym_consteval] = ACTIONS(3491),
    [sym_primitive_type] = ACTIONS(3491),
    [anon_sym_not] = ACTIONS(3491),
    [anon_sym_compl] = ACTIONS(3491),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym___alignof__] = ACTIONS(3491),
    [anon_sym___alignof] = ACTIONS(3491),
    [anon_sym__alignof] = ACTIONS(3491),
    [anon_sym_alignof] = ACTIONS(3491),
    [anon_sym__Alignof] = ACTIONS(3491),
    [anon_sym_offsetof] = ACTIONS(3491),
    [anon_sym__Generic] = ACTIONS(3491),
    [anon_sym_asm] = ACTIONS(3491),
    [anon_sym___asm__] = ACTIONS(3491),
    [sym_number_literal] = ACTIONS(3493),
    [anon_sym_L_SQUOTE] = ACTIONS(3493),
    [anon_sym_u_SQUOTE] = ACTIONS(3493),
    [anon_sym_U_SQUOTE] = ACTIONS(3493),
    [anon_sym_u8_SQUOTE] = ACTIONS(3493),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [anon_sym_L_DQUOTE] = ACTIONS(3493),
    [anon_sym_u_DQUOTE] = ACTIONS(3493),
    [anon_sym_U_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8_DQUOTE] = ACTIONS(3493),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [sym_true] = ACTIONS(3491),
    [sym_false] = ACTIONS(3491),
    [anon_sym_NULL] = ACTIONS(3491),
    [anon_sym_nullptr] = ACTIONS(3491),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3491),
    [anon_sym_template] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3491),
    [anon_sym_R_DQUOTE] = ACTIONS(3493),
    [anon_sym_LR_DQUOTE] = ACTIONS(3493),
    [anon_sym_uR_DQUOTE] = ACTIONS(3493),
    [anon_sym_UR_DQUOTE] = ACTIONS(3493),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3493),
    [anon_sym_co_await] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_requires] = ACTIONS(3491),
    [sym_this] = ACTIONS(3491),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(3289),
    [aux_sym_preproc_def_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3289),
    [aux_sym_preproc_else_token1] = ACTIONS(3289),
    [aux_sym_preproc_elif_token1] = ACTIONS(3289),
    [sym_preproc_directive] = ACTIONS(3289),
    [anon_sym_LPAREN2] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3289),
    [anon_sym_typedef] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym___attribute__] = ACTIONS(3289),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3291),
    [anon_sym___declspec] = ACTIONS(3289),
    [anon_sym___based] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3289),
    [anon_sym_unsigned] = ACTIONS(3289),
    [anon_sym_long] = ACTIONS(3289),
    [anon_sym_short] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_register] = ACTIONS(3289),
    [anon_sym_inline] = ACTIONS(3289),
    [anon_sym___inline] = ACTIONS(3289),
    [anon_sym___inline__] = ACTIONS(3289),
    [anon_sym___forceinline] = ACTIONS(3289),
    [anon_sym_thread_local] = ACTIONS(3289),
    [anon_sym___thread] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_constexpr] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_restrict] = ACTIONS(3289),
    [anon_sym___restrict__] = ACTIONS(3289),
    [anon_sym__Atomic] = ACTIONS(3289),
    [anon_sym__Noreturn] = ACTIONS(3289),
    [anon_sym_noreturn] = ACTIONS(3289),
    [anon_sym_mutable] = ACTIONS(3289),
    [anon_sym_constinit] = ACTIONS(3289),
    [anon_sym_consteval] = ACTIONS(3289),
    [sym_primitive_type] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_union] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3289),
    [anon_sym_decltype] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_alignas] = ACTIONS(3289),
    [anon_sym_explicit] = ACTIONS(3289),
    [anon_sym_typename] = ACTIONS(3289),
    [anon_sym_template] = ACTIONS(3289),
    [anon_sym_operator] = ACTIONS(3289),
    [anon_sym_friend] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_static_assert] = ACTIONS(3289),
  },
  [2398] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
  },
  [2399] = {
    [sym_string_literal] = STATE(4003),
    [sym_template_argument_list] = STATE(5066),
    [sym_raw_string_literal] = STATE(4003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4357),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5144),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(5149),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(5151),
    [anon_sym_SLASH_EQ] = ACTIONS(5151),
    [anon_sym_PERCENT_EQ] = ACTIONS(5151),
    [anon_sym_PLUS_EQ] = ACTIONS(5151),
    [anon_sym_DASH_EQ] = ACTIONS(5151),
    [anon_sym_LT_LT_EQ] = ACTIONS(5151),
    [anon_sym_GT_GT_EQ] = ACTIONS(5149),
    [anon_sym_AMP_EQ] = ACTIONS(5151),
    [anon_sym_CARET_EQ] = ACTIONS(5151),
    [anon_sym_PIPE_EQ] = ACTIONS(5151),
    [anon_sym_and_eq] = ACTIONS(5151),
    [anon_sym_or_eq] = ACTIONS(5151),
    [anon_sym_xor_eq] = ACTIONS(5151),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5153),
    [anon_sym_u_DQUOTE] = ACTIONS(5153),
    [anon_sym_U_DQUOTE] = ACTIONS(5153),
    [anon_sym_u8_DQUOTE] = ACTIONS(5153),
    [anon_sym_DQUOTE] = ACTIONS(5153),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4349),
    [anon_sym_R_DQUOTE] = ACTIONS(5155),
    [anon_sym_LR_DQUOTE] = ACTIONS(5155),
    [anon_sym_uR_DQUOTE] = ACTIONS(5155),
    [anon_sym_UR_DQUOTE] = ACTIONS(5155),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5155),
  },
  [2400] = {
    [sym_attribute_declaration] = STATE(2493),
    [sym_parameter_list] = STATE(2481),
    [aux_sym_attributed_declarator_repeat1] = STATE(2493),
    [sym_identifier] = ACTIONS(5910),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5912),
    [anon_sym_COMMA] = ACTIONS(5912),
    [anon_sym_RPAREN] = ACTIONS(5912),
    [aux_sym_preproc_if_token2] = ACTIONS(5912),
    [aux_sym_preproc_else_token1] = ACTIONS(5912),
    [aux_sym_preproc_elif_token1] = ACTIONS(5910),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5912),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5910),
    [anon_sym_PLUS] = ACTIONS(5910),
    [anon_sym_STAR] = ACTIONS(5910),
    [anon_sym_SLASH] = ACTIONS(5910),
    [anon_sym_PERCENT] = ACTIONS(5910),
    [anon_sym_PIPE_PIPE] = ACTIONS(5912),
    [anon_sym_AMP_AMP] = ACTIONS(5912),
    [anon_sym_PIPE] = ACTIONS(5910),
    [anon_sym_CARET] = ACTIONS(5910),
    [anon_sym_AMP] = ACTIONS(5910),
    [anon_sym_EQ_EQ] = ACTIONS(5912),
    [anon_sym_BANG_EQ] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5910),
    [anon_sym_GT_EQ] = ACTIONS(5912),
    [anon_sym_LT_EQ] = ACTIONS(5910),
    [anon_sym_LT] = ACTIONS(5910),
    [anon_sym_LT_LT] = ACTIONS(5910),
    [anon_sym_GT_GT] = ACTIONS(5910),
    [anon_sym_SEMI] = ACTIONS(5912),
    [anon_sym___attribute__] = ACTIONS(5910),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_RBRACK] = ACTIONS(5912),
    [anon_sym_EQ] = ACTIONS(5910),
    [anon_sym_COLON] = ACTIONS(5912),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_STAR_EQ] = ACTIONS(5912),
    [anon_sym_SLASH_EQ] = ACTIONS(5912),
    [anon_sym_PERCENT_EQ] = ACTIONS(5912),
    [anon_sym_PLUS_EQ] = ACTIONS(5912),
    [anon_sym_DASH_EQ] = ACTIONS(5912),
    [anon_sym_LT_LT_EQ] = ACTIONS(5912),
    [anon_sym_GT_GT_EQ] = ACTIONS(5912),
    [anon_sym_AMP_EQ] = ACTIONS(5912),
    [anon_sym_CARET_EQ] = ACTIONS(5912),
    [anon_sym_PIPE_EQ] = ACTIONS(5912),
    [anon_sym_and_eq] = ACTIONS(5910),
    [anon_sym_or_eq] = ACTIONS(5910),
    [anon_sym_xor_eq] = ACTIONS(5910),
    [anon_sym_LT_EQ_GT] = ACTIONS(5912),
    [anon_sym_or] = ACTIONS(5910),
    [anon_sym_and] = ACTIONS(5910),
    [anon_sym_bitor] = ACTIONS(5910),
    [anon_sym_xor] = ACTIONS(5910),
    [anon_sym_bitand] = ACTIONS(5910),
    [anon_sym_not_eq] = ACTIONS(5910),
    [anon_sym_DASH_DASH] = ACTIONS(5912),
    [anon_sym_PLUS_PLUS] = ACTIONS(5912),
    [anon_sym_DOT] = ACTIONS(5910),
    [anon_sym_DOT_STAR] = ACTIONS(5912),
    [anon_sym_DASH_GT] = ACTIONS(5912),
    [sym_comment] = ACTIONS(3),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(3335),
    [aux_sym_preproc_def_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token2] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3335),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3335),
    [aux_sym_preproc_else_token1] = ACTIONS(3335),
    [aux_sym_preproc_elif_token1] = ACTIONS(3335),
    [sym_preproc_directive] = ACTIONS(3335),
    [anon_sym_LPAREN2] = ACTIONS(3337),
    [anon_sym_TILDE] = ACTIONS(3337),
    [anon_sym_STAR] = ACTIONS(3337),
    [anon_sym_AMP_AMP] = ACTIONS(3337),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym___extension__] = ACTIONS(3335),
    [anon_sym_typedef] = ACTIONS(3335),
    [anon_sym_extern] = ACTIONS(3335),
    [anon_sym___attribute__] = ACTIONS(3335),
    [anon_sym_COLON_COLON] = ACTIONS(3337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3337),
    [anon_sym___declspec] = ACTIONS(3335),
    [anon_sym___based] = ACTIONS(3335),
    [anon_sym_signed] = ACTIONS(3335),
    [anon_sym_unsigned] = ACTIONS(3335),
    [anon_sym_long] = ACTIONS(3335),
    [anon_sym_short] = ACTIONS(3335),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_static] = ACTIONS(3335),
    [anon_sym_register] = ACTIONS(3335),
    [anon_sym_inline] = ACTIONS(3335),
    [anon_sym___inline] = ACTIONS(3335),
    [anon_sym___inline__] = ACTIONS(3335),
    [anon_sym___forceinline] = ACTIONS(3335),
    [anon_sym_thread_local] = ACTIONS(3335),
    [anon_sym___thread] = ACTIONS(3335),
    [anon_sym_const] = ACTIONS(3335),
    [anon_sym_constexpr] = ACTIONS(3335),
    [anon_sym_volatile] = ACTIONS(3335),
    [anon_sym_restrict] = ACTIONS(3335),
    [anon_sym___restrict__] = ACTIONS(3335),
    [anon_sym__Atomic] = ACTIONS(3335),
    [anon_sym__Noreturn] = ACTIONS(3335),
    [anon_sym_noreturn] = ACTIONS(3335),
    [anon_sym_mutable] = ACTIONS(3335),
    [anon_sym_constinit] = ACTIONS(3335),
    [anon_sym_consteval] = ACTIONS(3335),
    [sym_primitive_type] = ACTIONS(3335),
    [anon_sym_enum] = ACTIONS(3335),
    [anon_sym_class] = ACTIONS(3335),
    [anon_sym_struct] = ACTIONS(3335),
    [anon_sym_union] = ACTIONS(3335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3335),
    [anon_sym_decltype] = ACTIONS(3335),
    [anon_sym_virtual] = ACTIONS(3335),
    [anon_sym_alignas] = ACTIONS(3335),
    [anon_sym_explicit] = ACTIONS(3335),
    [anon_sym_typename] = ACTIONS(3335),
    [anon_sym_template] = ACTIONS(3335),
    [anon_sym_operator] = ACTIONS(3335),
    [anon_sym_friend] = ACTIONS(3335),
    [anon_sym_public] = ACTIONS(3335),
    [anon_sym_private] = ACTIONS(3335),
    [anon_sym_protected] = ACTIONS(3335),
    [anon_sym_using] = ACTIONS(3335),
    [anon_sym_static_assert] = ACTIONS(3335),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(3339),
    [aux_sym_preproc_def_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [sym_preproc_directive] = ACTIONS(3339),
    [anon_sym_LPAREN2] = ACTIONS(3341),
    [anon_sym_TILDE] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(3341),
    [anon_sym_AMP_AMP] = ACTIONS(3341),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym___extension__] = ACTIONS(3339),
    [anon_sym_typedef] = ACTIONS(3339),
    [anon_sym_extern] = ACTIONS(3339),
    [anon_sym___attribute__] = ACTIONS(3339),
    [anon_sym_COLON_COLON] = ACTIONS(3341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3341),
    [anon_sym___declspec] = ACTIONS(3339),
    [anon_sym___based] = ACTIONS(3339),
    [anon_sym_signed] = ACTIONS(3339),
    [anon_sym_unsigned] = ACTIONS(3339),
    [anon_sym_long] = ACTIONS(3339),
    [anon_sym_short] = ACTIONS(3339),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_static] = ACTIONS(3339),
    [anon_sym_register] = ACTIONS(3339),
    [anon_sym_inline] = ACTIONS(3339),
    [anon_sym___inline] = ACTIONS(3339),
    [anon_sym___inline__] = ACTIONS(3339),
    [anon_sym___forceinline] = ACTIONS(3339),
    [anon_sym_thread_local] = ACTIONS(3339),
    [anon_sym___thread] = ACTIONS(3339),
    [anon_sym_const] = ACTIONS(3339),
    [anon_sym_constexpr] = ACTIONS(3339),
    [anon_sym_volatile] = ACTIONS(3339),
    [anon_sym_restrict] = ACTIONS(3339),
    [anon_sym___restrict__] = ACTIONS(3339),
    [anon_sym__Atomic] = ACTIONS(3339),
    [anon_sym__Noreturn] = ACTIONS(3339),
    [anon_sym_noreturn] = ACTIONS(3339),
    [anon_sym_mutable] = ACTIONS(3339),
    [anon_sym_constinit] = ACTIONS(3339),
    [anon_sym_consteval] = ACTIONS(3339),
    [sym_primitive_type] = ACTIONS(3339),
    [anon_sym_enum] = ACTIONS(3339),
    [anon_sym_class] = ACTIONS(3339),
    [anon_sym_struct] = ACTIONS(3339),
    [anon_sym_union] = ACTIONS(3339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3339),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(3339),
    [anon_sym_alignas] = ACTIONS(3339),
    [anon_sym_explicit] = ACTIONS(3339),
    [anon_sym_typename] = ACTIONS(3339),
    [anon_sym_template] = ACTIONS(3339),
    [anon_sym_operator] = ACTIONS(3339),
    [anon_sym_friend] = ACTIONS(3339),
    [anon_sym_public] = ACTIONS(3339),
    [anon_sym_private] = ACTIONS(3339),
    [anon_sym_protected] = ACTIONS(3339),
    [anon_sym_using] = ACTIONS(3339),
    [anon_sym_static_assert] = ACTIONS(3339),
  },
  [2403] = {
    [sym_attribute_specifier] = STATE(2491),
    [sym_identifier] = ACTIONS(5914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5916),
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_RPAREN] = ACTIONS(5916),
    [aux_sym_preproc_if_token2] = ACTIONS(5916),
    [aux_sym_preproc_else_token1] = ACTIONS(5916),
    [aux_sym_preproc_elif_token1] = ACTIONS(5914),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5916),
    [anon_sym_DASH] = ACTIONS(5914),
    [anon_sym_PLUS] = ACTIONS(5914),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_SLASH] = ACTIONS(5914),
    [anon_sym_PERCENT] = ACTIONS(5914),
    [anon_sym_PIPE_PIPE] = ACTIONS(5916),
    [anon_sym_AMP_AMP] = ACTIONS(5916),
    [anon_sym_PIPE] = ACTIONS(5914),
    [anon_sym_CARET] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(5914),
    [anon_sym_EQ_EQ] = ACTIONS(5916),
    [anon_sym_BANG_EQ] = ACTIONS(5916),
    [anon_sym_GT] = ACTIONS(5914),
    [anon_sym_GT_EQ] = ACTIONS(5916),
    [anon_sym_LT_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(5914),
    [anon_sym_LT_LT] = ACTIONS(5914),
    [anon_sym_GT_GT] = ACTIONS(5914),
    [anon_sym_SEMI] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5916),
    [anon_sym_RBRACE] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym_RBRACK] = ACTIONS(5916),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_COLON] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5916),
    [anon_sym_STAR_EQ] = ACTIONS(5916),
    [anon_sym_SLASH_EQ] = ACTIONS(5916),
    [anon_sym_PERCENT_EQ] = ACTIONS(5916),
    [anon_sym_PLUS_EQ] = ACTIONS(5916),
    [anon_sym_DASH_EQ] = ACTIONS(5916),
    [anon_sym_LT_LT_EQ] = ACTIONS(5916),
    [anon_sym_GT_GT_EQ] = ACTIONS(5916),
    [anon_sym_AMP_EQ] = ACTIONS(5916),
    [anon_sym_CARET_EQ] = ACTIONS(5916),
    [anon_sym_PIPE_EQ] = ACTIONS(5916),
    [anon_sym_and_eq] = ACTIONS(5914),
    [anon_sym_or_eq] = ACTIONS(5914),
    [anon_sym_xor_eq] = ACTIONS(5914),
    [anon_sym_LT_EQ_GT] = ACTIONS(5916),
    [anon_sym_or] = ACTIONS(5914),
    [anon_sym_and] = ACTIONS(5914),
    [anon_sym_bitor] = ACTIONS(5914),
    [anon_sym_xor] = ACTIONS(5914),
    [anon_sym_bitand] = ACTIONS(5914),
    [anon_sym_not_eq] = ACTIONS(5914),
    [anon_sym_DASH_DASH] = ACTIONS(5916),
    [anon_sym_PLUS_PLUS] = ACTIONS(5916),
    [anon_sym_DOT] = ACTIONS(5914),
    [anon_sym_DOT_STAR] = ACTIONS(5916),
    [anon_sym_DASH_GT] = ACTIONS(5916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5914),
    [anon_sym_decltype] = ACTIONS(5914),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_friend] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
  },
  [2405] = {
    [sym_attribute_declaration] = STATE(2493),
    [sym_parameter_list] = STATE(2481),
    [aux_sym_attributed_declarator_repeat1] = STATE(2493),
    [sym_identifier] = ACTIONS(5918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [aux_sym_preproc_if_token2] = ACTIONS(5920),
    [aux_sym_preproc_else_token1] = ACTIONS(5920),
    [aux_sym_preproc_elif_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5920),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5920),
    [anon_sym_AMP_AMP] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_EQ_EQ] = ACTIONS(5920),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5918),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5918),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_EQ] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_and_eq] = ACTIONS(5918),
    [anon_sym_or_eq] = ACTIONS(5918),
    [anon_sym_xor_eq] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_or] = ACTIONS(5918),
    [anon_sym_and] = ACTIONS(5918),
    [anon_sym_bitor] = ACTIONS(5918),
    [anon_sym_xor] = ACTIONS(5918),
    [anon_sym_bitand] = ACTIONS(5918),
    [anon_sym_not_eq] = ACTIONS(5918),
    [anon_sym_DASH_DASH] = ACTIONS(5920),
    [anon_sym_PLUS_PLUS] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_DOT_STAR] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
  },
  [2406] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_RPAREN] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_SLASH] = ACTIONS(5360),
    [anon_sym_PERCENT] = ACTIONS(5360),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5360),
    [anon_sym_CARET] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT] = ACTIONS(5360),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5360),
    [anon_sym_LT] = ACTIONS(5360),
    [anon_sym_LT_LT] = ACTIONS(5360),
    [anon_sym_GT_GT] = ACTIONS(5360),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5362),
    [anon_sym_EQ] = ACTIONS(5360),
    [anon_sym_COLON] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5362),
    [anon_sym_STAR_EQ] = ACTIONS(5362),
    [anon_sym_SLASH_EQ] = ACTIONS(5362),
    [anon_sym_PERCENT_EQ] = ACTIONS(5362),
    [anon_sym_PLUS_EQ] = ACTIONS(5362),
    [anon_sym_DASH_EQ] = ACTIONS(5362),
    [anon_sym_LT_LT_EQ] = ACTIONS(5362),
    [anon_sym_GT_GT_EQ] = ACTIONS(5362),
    [anon_sym_AMP_EQ] = ACTIONS(5362),
    [anon_sym_CARET_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_and_eq] = ACTIONS(5360),
    [anon_sym_or_eq] = ACTIONS(5360),
    [anon_sym_xor_eq] = ACTIONS(5360),
    [anon_sym_LT_EQ_GT] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5360),
    [anon_sym_and] = ACTIONS(5360),
    [anon_sym_bitor] = ACTIONS(5360),
    [anon_sym_xor] = ACTIONS(5360),
    [anon_sym_bitand] = ACTIONS(5360),
    [anon_sym_not_eq] = ACTIONS(5360),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_DOT_STAR] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_L_DQUOTE] = ACTIONS(5362),
    [anon_sym_u_DQUOTE] = ACTIONS(5362),
    [anon_sym_U_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8_DQUOTE] = ACTIONS(5362),
    [anon_sym_DQUOTE] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5362),
    [anon_sym_LR_DQUOTE] = ACTIONS(5362),
    [anon_sym_uR_DQUOTE] = ACTIONS(5362),
    [anon_sym_UR_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5362),
    [sym_literal_suffix] = ACTIONS(5360),
  },
  [2407] = {
    [sym_decltype_auto] = STATE(2474),
    [sym_identifier] = ACTIONS(5490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5492),
    [anon_sym_COMMA] = ACTIONS(5492),
    [anon_sym_RPAREN] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5490),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_PIPE] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5492),
    [anon_sym_BANG_EQ] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5492),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5490),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5490),
    [anon_sym_LBRACE] = ACTIONS(5492),
    [anon_sym_RBRACE] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_RBRACK] = ACTIONS(5492),
    [anon_sym_EQ] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_STAR_EQ] = ACTIONS(5492),
    [anon_sym_SLASH_EQ] = ACTIONS(5492),
    [anon_sym_PERCENT_EQ] = ACTIONS(5492),
    [anon_sym_PLUS_EQ] = ACTIONS(5492),
    [anon_sym_DASH_EQ] = ACTIONS(5492),
    [anon_sym_LT_LT_EQ] = ACTIONS(5492),
    [anon_sym_GT_GT_EQ] = ACTIONS(5492),
    [anon_sym_AMP_EQ] = ACTIONS(5492),
    [anon_sym_CARET_EQ] = ACTIONS(5492),
    [anon_sym_PIPE_EQ] = ACTIONS(5492),
    [anon_sym_and_eq] = ACTIONS(5490),
    [anon_sym_or_eq] = ACTIONS(5490),
    [anon_sym_xor_eq] = ACTIONS(5490),
    [anon_sym_LT_EQ_GT] = ACTIONS(5492),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_bitor] = ACTIONS(5490),
    [anon_sym_xor] = ACTIONS(5490),
    [anon_sym_bitand] = ACTIONS(5490),
    [anon_sym_not_eq] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5492),
    [anon_sym_DOT] = ACTIONS(5490),
    [anon_sym_DOT_STAR] = ACTIONS(5492),
    [anon_sym_DASH_GT] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5421),
    [anon_sym_decltype] = ACTIONS(5423),
  },
  [2408] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2410] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2056),
    [sym_identifier] = ACTIONS(5864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [aux_sym_preproc_if_token2] = ACTIONS(5861),
    [aux_sym_preproc_else_token1] = ACTIONS(5861),
    [aux_sym_preproc_elif_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5864),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5864),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5864),
    [anon_sym_LBRACE] = ACTIONS(5861),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_EQ] = ACTIONS(5864),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_STAR_EQ] = ACTIONS(5861),
    [anon_sym_SLASH_EQ] = ACTIONS(5861),
    [anon_sym_PERCENT_EQ] = ACTIONS(5861),
    [anon_sym_PLUS_EQ] = ACTIONS(5861),
    [anon_sym_DASH_EQ] = ACTIONS(5861),
    [anon_sym_LT_LT_EQ] = ACTIONS(5861),
    [anon_sym_GT_GT_EQ] = ACTIONS(5861),
    [anon_sym_AMP_EQ] = ACTIONS(5861),
    [anon_sym_CARET_EQ] = ACTIONS(5861),
    [anon_sym_PIPE_EQ] = ACTIONS(5861),
    [anon_sym_and_eq] = ACTIONS(5864),
    [anon_sym_or_eq] = ACTIONS(5864),
    [anon_sym_xor_eq] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
  },
  [2411] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_friend] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
  },
  [2412] = {
    [sym_identifier] = ACTIONS(2887),
    [aux_sym_preproc_def_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token1] = ACTIONS(2887),
    [aux_sym_preproc_if_token2] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2887),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2887),
    [aux_sym_preproc_else_token1] = ACTIONS(2887),
    [aux_sym_preproc_elif_token1] = ACTIONS(2887),
    [sym_preproc_directive] = ACTIONS(2887),
    [anon_sym_LPAREN2] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2889),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2887),
    [anon_sym_typedef] = ACTIONS(2887),
    [anon_sym_extern] = ACTIONS(2887),
    [anon_sym___attribute__] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2889),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2889),
    [anon_sym___declspec] = ACTIONS(2887),
    [anon_sym___based] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2887),
    [anon_sym_unsigned] = ACTIONS(2887),
    [anon_sym_long] = ACTIONS(2887),
    [anon_sym_short] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2887),
    [anon_sym_register] = ACTIONS(2887),
    [anon_sym_inline] = ACTIONS(2887),
    [anon_sym___inline] = ACTIONS(2887),
    [anon_sym___inline__] = ACTIONS(2887),
    [anon_sym___forceinline] = ACTIONS(2887),
    [anon_sym_thread_local] = ACTIONS(2887),
    [anon_sym___thread] = ACTIONS(2887),
    [anon_sym_const] = ACTIONS(2887),
    [anon_sym_constexpr] = ACTIONS(2887),
    [anon_sym_volatile] = ACTIONS(2887),
    [anon_sym_restrict] = ACTIONS(2887),
    [anon_sym___restrict__] = ACTIONS(2887),
    [anon_sym__Atomic] = ACTIONS(2887),
    [anon_sym__Noreturn] = ACTIONS(2887),
    [anon_sym_noreturn] = ACTIONS(2887),
    [anon_sym_mutable] = ACTIONS(2887),
    [anon_sym_constinit] = ACTIONS(2887),
    [anon_sym_consteval] = ACTIONS(2887),
    [sym_primitive_type] = ACTIONS(2887),
    [anon_sym_enum] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2887),
    [anon_sym_struct] = ACTIONS(2887),
    [anon_sym_union] = ACTIONS(2887),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2887),
    [anon_sym_decltype] = ACTIONS(2887),
    [anon_sym_virtual] = ACTIONS(2887),
    [anon_sym_alignas] = ACTIONS(2887),
    [anon_sym_explicit] = ACTIONS(2887),
    [anon_sym_typename] = ACTIONS(2887),
    [anon_sym_template] = ACTIONS(2887),
    [anon_sym_operator] = ACTIONS(2887),
    [anon_sym_friend] = ACTIONS(2887),
    [anon_sym_public] = ACTIONS(2887),
    [anon_sym_private] = ACTIONS(2887),
    [anon_sym_protected] = ACTIONS(2887),
    [anon_sym_using] = ACTIONS(2887),
    [anon_sym_static_assert] = ACTIONS(2887),
  },
  [2413] = {
    [sym_template_argument_list] = STATE(2007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___attribute__] = ACTIONS(5803),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(5892),
    [anon_sym_unsigned] = ACTIONS(5892),
    [anon_sym_long] = ACTIONS(5892),
    [anon_sym_short] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5803),
    [anon_sym_or_eq] = ACTIONS(5803),
    [anon_sym_xor_eq] = ACTIONS(5803),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5803),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5803),
    [anon_sym_not_eq] = ACTIONS(5803),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5803),
    [anon_sym_decltype] = ACTIONS(5803),
  },
  [2414] = {
    [sym__declaration_modifiers] = STATE(4215),
    [sym_attribute_specifier] = STATE(4215),
    [sym_attribute_declaration] = STATE(4215),
    [sym_ms_declspec_modifier] = STATE(4215),
    [sym_storage_class_specifier] = STATE(4215),
    [sym_type_qualifier] = STATE(4215),
    [sym__type_specifier] = STATE(3260),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4215),
    [sym_alignas_specifier] = STATE(4215),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7171),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5159),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3049),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3053),
    [anon_sym_union] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3057),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2415] = {
    [sym_identifier] = ACTIONS(3005),
    [aux_sym_preproc_def_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token1] = ACTIONS(3005),
    [aux_sym_preproc_if_token2] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3005),
    [aux_sym_preproc_else_token1] = ACTIONS(3005),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3005),
    [anon_sym_LPAREN2] = ACTIONS(3007),
    [anon_sym_TILDE] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3005),
    [anon_sym_typedef] = ACTIONS(3005),
    [anon_sym_extern] = ACTIONS(3005),
    [anon_sym___attribute__] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3007),
    [anon_sym___declspec] = ACTIONS(3005),
    [anon_sym___based] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3005),
    [anon_sym_unsigned] = ACTIONS(3005),
    [anon_sym_long] = ACTIONS(3005),
    [anon_sym_short] = ACTIONS(3005),
    [anon_sym_LBRACK] = ACTIONS(3005),
    [anon_sym_static] = ACTIONS(3005),
    [anon_sym_register] = ACTIONS(3005),
    [anon_sym_inline] = ACTIONS(3005),
    [anon_sym___inline] = ACTIONS(3005),
    [anon_sym___inline__] = ACTIONS(3005),
    [anon_sym___forceinline] = ACTIONS(3005),
    [anon_sym_thread_local] = ACTIONS(3005),
    [anon_sym___thread] = ACTIONS(3005),
    [anon_sym_const] = ACTIONS(3005),
    [anon_sym_constexpr] = ACTIONS(3005),
    [anon_sym_volatile] = ACTIONS(3005),
    [anon_sym_restrict] = ACTIONS(3005),
    [anon_sym___restrict__] = ACTIONS(3005),
    [anon_sym__Atomic] = ACTIONS(3005),
    [anon_sym__Noreturn] = ACTIONS(3005),
    [anon_sym_noreturn] = ACTIONS(3005),
    [anon_sym_mutable] = ACTIONS(3005),
    [anon_sym_constinit] = ACTIONS(3005),
    [anon_sym_consteval] = ACTIONS(3005),
    [sym_primitive_type] = ACTIONS(3005),
    [anon_sym_enum] = ACTIONS(3005),
    [anon_sym_class] = ACTIONS(3005),
    [anon_sym_struct] = ACTIONS(3005),
    [anon_sym_union] = ACTIONS(3005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3005),
    [anon_sym_decltype] = ACTIONS(3005),
    [anon_sym_virtual] = ACTIONS(3005),
    [anon_sym_alignas] = ACTIONS(3005),
    [anon_sym_explicit] = ACTIONS(3005),
    [anon_sym_typename] = ACTIONS(3005),
    [anon_sym_template] = ACTIONS(3005),
    [anon_sym_operator] = ACTIONS(3005),
    [anon_sym_friend] = ACTIONS(3005),
    [anon_sym_public] = ACTIONS(3005),
    [anon_sym_private] = ACTIONS(3005),
    [anon_sym_protected] = ACTIONS(3005),
    [anon_sym_using] = ACTIONS(3005),
    [anon_sym_static_assert] = ACTIONS(3005),
  },
  [2416] = {
    [sym_template_argument_list] = STATE(2132),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(4347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [aux_sym_preproc_if_token2] = ACTIONS(4355),
    [aux_sym_preproc_else_token1] = ACTIONS(4355),
    [aux_sym_preproc_elif_token1] = ACTIONS(4347),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4355),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(4355),
    [anon_sym_DASH] = ACTIONS(4347),
    [anon_sym_PLUS] = ACTIONS(4347),
    [anon_sym_STAR] = ACTIONS(4347),
    [anon_sym_SLASH] = ACTIONS(4347),
    [anon_sym_PERCENT] = ACTIONS(4347),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4347),
    [anon_sym_CARET] = ACTIONS(4347),
    [anon_sym_AMP] = ACTIONS(4347),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT] = ACTIONS(4347),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4347),
    [anon_sym_LT] = ACTIONS(5460),
    [anon_sym_LT_LT] = ACTIONS(4347),
    [anon_sym_GT_GT] = ACTIONS(4347),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4355),
    [anon_sym_signed] = ACTIONS(5805),
    [anon_sym_unsigned] = ACTIONS(5805),
    [anon_sym_long] = ACTIONS(5805),
    [anon_sym_short] = ACTIONS(5805),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_EQ] = ACTIONS(4347),
    [anon_sym_QMARK] = ACTIONS(4355),
    [anon_sym_STAR_EQ] = ACTIONS(4355),
    [anon_sym_SLASH_EQ] = ACTIONS(4355),
    [anon_sym_PERCENT_EQ] = ACTIONS(4355),
    [anon_sym_PLUS_EQ] = ACTIONS(4355),
    [anon_sym_DASH_EQ] = ACTIONS(4355),
    [anon_sym_LT_LT_EQ] = ACTIONS(4355),
    [anon_sym_GT_GT_EQ] = ACTIONS(4355),
    [anon_sym_AMP_EQ] = ACTIONS(4355),
    [anon_sym_CARET_EQ] = ACTIONS(4355),
    [anon_sym_PIPE_EQ] = ACTIONS(4355),
    [anon_sym_and_eq] = ACTIONS(4347),
    [anon_sym_or_eq] = ACTIONS(4347),
    [anon_sym_xor_eq] = ACTIONS(4347),
    [anon_sym_LT_EQ_GT] = ACTIONS(4355),
    [anon_sym_or] = ACTIONS(4347),
    [anon_sym_and] = ACTIONS(4347),
    [anon_sym_bitor] = ACTIONS(4347),
    [anon_sym_xor] = ACTIONS(4347),
    [anon_sym_bitand] = ACTIONS(4347),
    [anon_sym_not_eq] = ACTIONS(4347),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4347),
    [anon_sym_DOT_STAR] = ACTIONS(4355),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4347),
    [anon_sym_decltype] = ACTIONS(4347),
  },
  [2417] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2410),
    [sym_identifier] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5750),
    [anon_sym_COMMA] = ACTIONS(5750),
    [aux_sym_preproc_if_token2] = ACTIONS(5750),
    [aux_sym_preproc_else_token1] = ACTIONS(5750),
    [aux_sym_preproc_elif_token1] = ACTIONS(5752),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5750),
    [anon_sym_LPAREN2] = ACTIONS(5750),
    [anon_sym_DASH] = ACTIONS(5752),
    [anon_sym_PLUS] = ACTIONS(5752),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5752),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5750),
    [anon_sym_AMP_AMP] = ACTIONS(5750),
    [anon_sym_PIPE] = ACTIONS(5752),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5752),
    [anon_sym_EQ_EQ] = ACTIONS(5750),
    [anon_sym_BANG_EQ] = ACTIONS(5750),
    [anon_sym_GT] = ACTIONS(5752),
    [anon_sym_GT_EQ] = ACTIONS(5750),
    [anon_sym_LT_EQ] = ACTIONS(5752),
    [anon_sym_LT] = ACTIONS(5752),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5752),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_signed] = ACTIONS(5925),
    [anon_sym_unsigned] = ACTIONS(5925),
    [anon_sym_long] = ACTIONS(5925),
    [anon_sym_short] = ACTIONS(5925),
    [anon_sym_LBRACK] = ACTIONS(5750),
    [anon_sym_EQ] = ACTIONS(5752),
    [sym_primitive_type] = ACTIONS(5927),
    [anon_sym_QMARK] = ACTIONS(5750),
    [anon_sym_STAR_EQ] = ACTIONS(5750),
    [anon_sym_SLASH_EQ] = ACTIONS(5750),
    [anon_sym_PERCENT_EQ] = ACTIONS(5750),
    [anon_sym_PLUS_EQ] = ACTIONS(5750),
    [anon_sym_DASH_EQ] = ACTIONS(5750),
    [anon_sym_LT_LT_EQ] = ACTIONS(5750),
    [anon_sym_GT_GT_EQ] = ACTIONS(5750),
    [anon_sym_AMP_EQ] = ACTIONS(5750),
    [anon_sym_CARET_EQ] = ACTIONS(5750),
    [anon_sym_PIPE_EQ] = ACTIONS(5750),
    [anon_sym_and_eq] = ACTIONS(5752),
    [anon_sym_or_eq] = ACTIONS(5752),
    [anon_sym_xor_eq] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5750),
    [anon_sym_or] = ACTIONS(5752),
    [anon_sym_and] = ACTIONS(5752),
    [anon_sym_bitor] = ACTIONS(5752),
    [anon_sym_xor] = ACTIONS(5752),
    [anon_sym_bitand] = ACTIONS(5752),
    [anon_sym_not_eq] = ACTIONS(5752),
    [anon_sym_DASH_DASH] = ACTIONS(5750),
    [anon_sym_PLUS_PLUS] = ACTIONS(5750),
    [anon_sym_DOT] = ACTIONS(5752),
    [anon_sym_DOT_STAR] = ACTIONS(5750),
    [anon_sym_DASH_GT] = ACTIONS(5750),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5752),
    [anon_sym_decltype] = ACTIONS(5752),
  },
  [2418] = {
    [sym_identifier] = ACTIONS(2895),
    [aux_sym_preproc_def_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token1] = ACTIONS(2895),
    [aux_sym_preproc_if_token2] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2895),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2895),
    [aux_sym_preproc_else_token1] = ACTIONS(2895),
    [aux_sym_preproc_elif_token1] = ACTIONS(2895),
    [sym_preproc_directive] = ACTIONS(2895),
    [anon_sym_LPAREN2] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2897),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2895),
    [anon_sym_typedef] = ACTIONS(2895),
    [anon_sym_extern] = ACTIONS(2895),
    [anon_sym___attribute__] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2897),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2897),
    [anon_sym___declspec] = ACTIONS(2895),
    [anon_sym___based] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2895),
    [anon_sym_unsigned] = ACTIONS(2895),
    [anon_sym_long] = ACTIONS(2895),
    [anon_sym_short] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2895),
    [anon_sym_register] = ACTIONS(2895),
    [anon_sym_inline] = ACTIONS(2895),
    [anon_sym___inline] = ACTIONS(2895),
    [anon_sym___inline__] = ACTIONS(2895),
    [anon_sym___forceinline] = ACTIONS(2895),
    [anon_sym_thread_local] = ACTIONS(2895),
    [anon_sym___thread] = ACTIONS(2895),
    [anon_sym_const] = ACTIONS(2895),
    [anon_sym_constexpr] = ACTIONS(2895),
    [anon_sym_volatile] = ACTIONS(2895),
    [anon_sym_restrict] = ACTIONS(2895),
    [anon_sym___restrict__] = ACTIONS(2895),
    [anon_sym__Atomic] = ACTIONS(2895),
    [anon_sym__Noreturn] = ACTIONS(2895),
    [anon_sym_noreturn] = ACTIONS(2895),
    [anon_sym_mutable] = ACTIONS(2895),
    [anon_sym_constinit] = ACTIONS(2895),
    [anon_sym_consteval] = ACTIONS(2895),
    [sym_primitive_type] = ACTIONS(2895),
    [anon_sym_enum] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2895),
    [anon_sym_struct] = ACTIONS(2895),
    [anon_sym_union] = ACTIONS(2895),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2895),
    [anon_sym_decltype] = ACTIONS(2895),
    [anon_sym_virtual] = ACTIONS(2895),
    [anon_sym_alignas] = ACTIONS(2895),
    [anon_sym_explicit] = ACTIONS(2895),
    [anon_sym_typename] = ACTIONS(2895),
    [anon_sym_template] = ACTIONS(2895),
    [anon_sym_operator] = ACTIONS(2895),
    [anon_sym_friend] = ACTIONS(2895),
    [anon_sym_public] = ACTIONS(2895),
    [anon_sym_private] = ACTIONS(2895),
    [anon_sym_protected] = ACTIONS(2895),
    [anon_sym_using] = ACTIONS(2895),
    [anon_sym_static_assert] = ACTIONS(2895),
  },
  [2419] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2420] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2056),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5861),
    [anon_sym_COMMA] = ACTIONS(5861),
    [anon_sym_RPAREN] = ACTIONS(5861),
    [anon_sym_LPAREN2] = ACTIONS(5861),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5864),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5861),
    [anon_sym_AMP_AMP] = ACTIONS(5861),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5861),
    [anon_sym_BANG_EQ] = ACTIONS(5861),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5861),
    [anon_sym_LT_EQ] = ACTIONS(5864),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym___attribute__] = ACTIONS(5864),
    [anon_sym_LBRACE] = ACTIONS(5861),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_signed] = ACTIONS(5364),
    [anon_sym_unsigned] = ACTIONS(5364),
    [anon_sym_long] = ACTIONS(5364),
    [anon_sym_short] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5861),
    [anon_sym_RBRACK] = ACTIONS(5861),
    [anon_sym_EQ] = ACTIONS(5864),
    [sym_primitive_type] = ACTIONS(5341),
    [anon_sym_COLON] = ACTIONS(5861),
    [anon_sym_QMARK] = ACTIONS(5861),
    [anon_sym_STAR_EQ] = ACTIONS(5861),
    [anon_sym_SLASH_EQ] = ACTIONS(5861),
    [anon_sym_PERCENT_EQ] = ACTIONS(5861),
    [anon_sym_PLUS_EQ] = ACTIONS(5861),
    [anon_sym_DASH_EQ] = ACTIONS(5861),
    [anon_sym_LT_LT_EQ] = ACTIONS(5861),
    [anon_sym_GT_GT_EQ] = ACTIONS(5861),
    [anon_sym_AMP_EQ] = ACTIONS(5861),
    [anon_sym_CARET_EQ] = ACTIONS(5861),
    [anon_sym_PIPE_EQ] = ACTIONS(5861),
    [anon_sym_and_eq] = ACTIONS(5864),
    [anon_sym_or_eq] = ACTIONS(5864),
    [anon_sym_xor_eq] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5861),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5861),
    [anon_sym_PLUS_PLUS] = ACTIONS(5861),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_DOT_STAR] = ACTIONS(5861),
    [anon_sym_DASH_GT] = ACTIONS(5861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
  },
  [2421] = {
    [sym_attribute_specifier] = STATE(2508),
    [sym_identifier] = ACTIONS(5929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5931),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_RPAREN] = ACTIONS(5931),
    [aux_sym_preproc_if_token2] = ACTIONS(5931),
    [aux_sym_preproc_else_token1] = ACTIONS(5931),
    [aux_sym_preproc_elif_token1] = ACTIONS(5929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5931),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5931),
    [anon_sym_DASH] = ACTIONS(5929),
    [anon_sym_PLUS] = ACTIONS(5929),
    [anon_sym_STAR] = ACTIONS(5929),
    [anon_sym_SLASH] = ACTIONS(5929),
    [anon_sym_PERCENT] = ACTIONS(5929),
    [anon_sym_PIPE_PIPE] = ACTIONS(5931),
    [anon_sym_AMP_AMP] = ACTIONS(5931),
    [anon_sym_PIPE] = ACTIONS(5929),
    [anon_sym_CARET] = ACTIONS(5929),
    [anon_sym_AMP] = ACTIONS(5929),
    [anon_sym_EQ_EQ] = ACTIONS(5931),
    [anon_sym_BANG_EQ] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(5929),
    [anon_sym_GT_EQ] = ACTIONS(5931),
    [anon_sym_LT_EQ] = ACTIONS(5929),
    [anon_sym_LT] = ACTIONS(5929),
    [anon_sym_LT_LT] = ACTIONS(5929),
    [anon_sym_GT_GT] = ACTIONS(5929),
    [anon_sym_SEMI] = ACTIONS(5931),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5931),
    [anon_sym_RBRACE] = ACTIONS(5931),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym_RBRACK] = ACTIONS(5931),
    [anon_sym_EQ] = ACTIONS(5929),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_QMARK] = ACTIONS(5931),
    [anon_sym_STAR_EQ] = ACTIONS(5931),
    [anon_sym_SLASH_EQ] = ACTIONS(5931),
    [anon_sym_PERCENT_EQ] = ACTIONS(5931),
    [anon_sym_PLUS_EQ] = ACTIONS(5931),
    [anon_sym_DASH_EQ] = ACTIONS(5931),
    [anon_sym_LT_LT_EQ] = ACTIONS(5931),
    [anon_sym_GT_GT_EQ] = ACTIONS(5931),
    [anon_sym_AMP_EQ] = ACTIONS(5931),
    [anon_sym_CARET_EQ] = ACTIONS(5931),
    [anon_sym_PIPE_EQ] = ACTIONS(5931),
    [anon_sym_and_eq] = ACTIONS(5929),
    [anon_sym_or_eq] = ACTIONS(5929),
    [anon_sym_xor_eq] = ACTIONS(5929),
    [anon_sym_LT_EQ_GT] = ACTIONS(5931),
    [anon_sym_or] = ACTIONS(5929),
    [anon_sym_and] = ACTIONS(5929),
    [anon_sym_bitor] = ACTIONS(5929),
    [anon_sym_xor] = ACTIONS(5929),
    [anon_sym_bitand] = ACTIONS(5929),
    [anon_sym_not_eq] = ACTIONS(5929),
    [anon_sym_DASH_DASH] = ACTIONS(5931),
    [anon_sym_PLUS_PLUS] = ACTIONS(5931),
    [anon_sym_DOT] = ACTIONS(5929),
    [anon_sym_DOT_STAR] = ACTIONS(5931),
    [anon_sym_DASH_GT] = ACTIONS(5931),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5929),
    [anon_sym_decltype] = ACTIONS(5929),
  },
  [2422] = {
    [sym_identifier] = ACTIONS(3323),
    [aux_sym_preproc_def_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token2] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3323),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3323),
    [aux_sym_preproc_else_token1] = ACTIONS(3323),
    [aux_sym_preproc_elif_token1] = ACTIONS(3323),
    [sym_preproc_directive] = ACTIONS(3323),
    [anon_sym_LPAREN2] = ACTIONS(3325),
    [anon_sym_TILDE] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3325),
    [anon_sym_AMP_AMP] = ACTIONS(3325),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3323),
    [anon_sym_typedef] = ACTIONS(3323),
    [anon_sym_extern] = ACTIONS(3323),
    [anon_sym___attribute__] = ACTIONS(3323),
    [anon_sym_COLON_COLON] = ACTIONS(3325),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3325),
    [anon_sym___declspec] = ACTIONS(3323),
    [anon_sym___based] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3323),
    [anon_sym_unsigned] = ACTIONS(3323),
    [anon_sym_long] = ACTIONS(3323),
    [anon_sym_short] = ACTIONS(3323),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_static] = ACTIONS(3323),
    [anon_sym_register] = ACTIONS(3323),
    [anon_sym_inline] = ACTIONS(3323),
    [anon_sym___inline] = ACTIONS(3323),
    [anon_sym___inline__] = ACTIONS(3323),
    [anon_sym___forceinline] = ACTIONS(3323),
    [anon_sym_thread_local] = ACTIONS(3323),
    [anon_sym___thread] = ACTIONS(3323),
    [anon_sym_const] = ACTIONS(3323),
    [anon_sym_constexpr] = ACTIONS(3323),
    [anon_sym_volatile] = ACTIONS(3323),
    [anon_sym_restrict] = ACTIONS(3323),
    [anon_sym___restrict__] = ACTIONS(3323),
    [anon_sym__Atomic] = ACTIONS(3323),
    [anon_sym__Noreturn] = ACTIONS(3323),
    [anon_sym_noreturn] = ACTIONS(3323),
    [anon_sym_mutable] = ACTIONS(3323),
    [anon_sym_constinit] = ACTIONS(3323),
    [anon_sym_consteval] = ACTIONS(3323),
    [sym_primitive_type] = ACTIONS(3323),
    [anon_sym_enum] = ACTIONS(3323),
    [anon_sym_class] = ACTIONS(3323),
    [anon_sym_struct] = ACTIONS(3323),
    [anon_sym_union] = ACTIONS(3323),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3323),
    [anon_sym_decltype] = ACTIONS(3323),
    [anon_sym_virtual] = ACTIONS(3323),
    [anon_sym_alignas] = ACTIONS(3323),
    [anon_sym_explicit] = ACTIONS(3323),
    [anon_sym_typename] = ACTIONS(3323),
    [anon_sym_template] = ACTIONS(3323),
    [anon_sym_operator] = ACTIONS(3323),
    [anon_sym_friend] = ACTIONS(3323),
    [anon_sym_public] = ACTIONS(3323),
    [anon_sym_private] = ACTIONS(3323),
    [anon_sym_protected] = ACTIONS(3323),
    [anon_sym_using] = ACTIONS(3323),
    [anon_sym_static_assert] = ACTIONS(3323),
  },
  [2423] = {
    [sym_attribute_specifier] = STATE(2499),
    [sym_identifier] = ACTIONS(5933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5935),
    [anon_sym_COMMA] = ACTIONS(5935),
    [anon_sym_RPAREN] = ACTIONS(5935),
    [aux_sym_preproc_if_token2] = ACTIONS(5935),
    [aux_sym_preproc_else_token1] = ACTIONS(5935),
    [aux_sym_preproc_elif_token1] = ACTIONS(5933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5935),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5935),
    [anon_sym_LPAREN2] = ACTIONS(5935),
    [anon_sym_DASH] = ACTIONS(5933),
    [anon_sym_PLUS] = ACTIONS(5933),
    [anon_sym_STAR] = ACTIONS(5933),
    [anon_sym_SLASH] = ACTIONS(5933),
    [anon_sym_PERCENT] = ACTIONS(5933),
    [anon_sym_PIPE_PIPE] = ACTIONS(5935),
    [anon_sym_AMP_AMP] = ACTIONS(5935),
    [anon_sym_PIPE] = ACTIONS(5933),
    [anon_sym_CARET] = ACTIONS(5933),
    [anon_sym_AMP] = ACTIONS(5933),
    [anon_sym_EQ_EQ] = ACTIONS(5935),
    [anon_sym_BANG_EQ] = ACTIONS(5935),
    [anon_sym_GT] = ACTIONS(5933),
    [anon_sym_GT_EQ] = ACTIONS(5935),
    [anon_sym_LT_EQ] = ACTIONS(5933),
    [anon_sym_LT] = ACTIONS(5933),
    [anon_sym_LT_LT] = ACTIONS(5933),
    [anon_sym_GT_GT] = ACTIONS(5933),
    [anon_sym_SEMI] = ACTIONS(5935),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5935),
    [anon_sym_RBRACE] = ACTIONS(5935),
    [anon_sym_LBRACK] = ACTIONS(5935),
    [anon_sym_RBRACK] = ACTIONS(5935),
    [anon_sym_EQ] = ACTIONS(5933),
    [anon_sym_COLON] = ACTIONS(5935),
    [anon_sym_QMARK] = ACTIONS(5935),
    [anon_sym_STAR_EQ] = ACTIONS(5935),
    [anon_sym_SLASH_EQ] = ACTIONS(5935),
    [anon_sym_PERCENT_EQ] = ACTIONS(5935),
    [anon_sym_PLUS_EQ] = ACTIONS(5935),
    [anon_sym_DASH_EQ] = ACTIONS(5935),
    [anon_sym_LT_LT_EQ] = ACTIONS(5935),
    [anon_sym_GT_GT_EQ] = ACTIONS(5935),
    [anon_sym_AMP_EQ] = ACTIONS(5935),
    [anon_sym_CARET_EQ] = ACTIONS(5935),
    [anon_sym_PIPE_EQ] = ACTIONS(5935),
    [anon_sym_and_eq] = ACTIONS(5933),
    [anon_sym_or_eq] = ACTIONS(5933),
    [anon_sym_xor_eq] = ACTIONS(5933),
    [anon_sym_LT_EQ_GT] = ACTIONS(5935),
    [anon_sym_or] = ACTIONS(5933),
    [anon_sym_and] = ACTIONS(5933),
    [anon_sym_bitor] = ACTIONS(5933),
    [anon_sym_xor] = ACTIONS(5933),
    [anon_sym_bitand] = ACTIONS(5933),
    [anon_sym_not_eq] = ACTIONS(5933),
    [anon_sym_DASH_DASH] = ACTIONS(5935),
    [anon_sym_PLUS_PLUS] = ACTIONS(5935),
    [anon_sym_DOT] = ACTIONS(5933),
    [anon_sym_DOT_STAR] = ACTIONS(5935),
    [anon_sym_DASH_GT] = ACTIONS(5935),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5933),
    [anon_sym_decltype] = ACTIONS(5933),
  },
  [2424] = {
    [sym_attribute_specifier] = STATE(2479),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5939),
    [anon_sym_COMMA] = ACTIONS(5939),
    [anon_sym_RPAREN] = ACTIONS(5939),
    [aux_sym_preproc_if_token2] = ACTIONS(5939),
    [aux_sym_preproc_else_token1] = ACTIONS(5939),
    [aux_sym_preproc_elif_token1] = ACTIONS(5937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5939),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(5939),
    [anon_sym_DASH] = ACTIONS(5937),
    [anon_sym_PLUS] = ACTIONS(5937),
    [anon_sym_STAR] = ACTIONS(5937),
    [anon_sym_SLASH] = ACTIONS(5937),
    [anon_sym_PERCENT] = ACTIONS(5937),
    [anon_sym_PIPE_PIPE] = ACTIONS(5939),
    [anon_sym_AMP_AMP] = ACTIONS(5939),
    [anon_sym_PIPE] = ACTIONS(5937),
    [anon_sym_CARET] = ACTIONS(5937),
    [anon_sym_AMP] = ACTIONS(5937),
    [anon_sym_EQ_EQ] = ACTIONS(5939),
    [anon_sym_BANG_EQ] = ACTIONS(5939),
    [anon_sym_GT] = ACTIONS(5937),
    [anon_sym_GT_EQ] = ACTIONS(5939),
    [anon_sym_LT_EQ] = ACTIONS(5937),
    [anon_sym_LT] = ACTIONS(5937),
    [anon_sym_LT_LT] = ACTIONS(5937),
    [anon_sym_GT_GT] = ACTIONS(5937),
    [anon_sym_SEMI] = ACTIONS(5939),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5939),
    [anon_sym_RBRACE] = ACTIONS(5939),
    [anon_sym_LBRACK] = ACTIONS(5939),
    [anon_sym_RBRACK] = ACTIONS(5939),
    [anon_sym_EQ] = ACTIONS(5937),
    [anon_sym_COLON] = ACTIONS(5939),
    [anon_sym_QMARK] = ACTIONS(5939),
    [anon_sym_STAR_EQ] = ACTIONS(5939),
    [anon_sym_SLASH_EQ] = ACTIONS(5939),
    [anon_sym_PERCENT_EQ] = ACTIONS(5939),
    [anon_sym_PLUS_EQ] = ACTIONS(5939),
    [anon_sym_DASH_EQ] = ACTIONS(5939),
    [anon_sym_LT_LT_EQ] = ACTIONS(5939),
    [anon_sym_GT_GT_EQ] = ACTIONS(5939),
    [anon_sym_AMP_EQ] = ACTIONS(5939),
    [anon_sym_CARET_EQ] = ACTIONS(5939),
    [anon_sym_PIPE_EQ] = ACTIONS(5939),
    [anon_sym_and_eq] = ACTIONS(5937),
    [anon_sym_or_eq] = ACTIONS(5937),
    [anon_sym_xor_eq] = ACTIONS(5937),
    [anon_sym_LT_EQ_GT] = ACTIONS(5939),
    [anon_sym_or] = ACTIONS(5937),
    [anon_sym_and] = ACTIONS(5937),
    [anon_sym_bitor] = ACTIONS(5937),
    [anon_sym_xor] = ACTIONS(5937),
    [anon_sym_bitand] = ACTIONS(5937),
    [anon_sym_not_eq] = ACTIONS(5937),
    [anon_sym_DASH_DASH] = ACTIONS(5939),
    [anon_sym_PLUS_PLUS] = ACTIONS(5939),
    [anon_sym_DOT] = ACTIONS(5937),
    [anon_sym_DOT_STAR] = ACTIONS(5939),
    [anon_sym_DASH_GT] = ACTIONS(5939),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5937),
    [anon_sym_decltype] = ACTIONS(5937),
  },
  [2425] = {
    [sym_attribute_specifier] = STATE(2476),
    [sym_identifier] = ACTIONS(5941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5943),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_RPAREN] = ACTIONS(5943),
    [aux_sym_preproc_if_token2] = ACTIONS(5943),
    [aux_sym_preproc_else_token1] = ACTIONS(5943),
    [aux_sym_preproc_elif_token1] = ACTIONS(5941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5943),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5943),
    [anon_sym_LPAREN2] = ACTIONS(5943),
    [anon_sym_DASH] = ACTIONS(5941),
    [anon_sym_PLUS] = ACTIONS(5941),
    [anon_sym_STAR] = ACTIONS(5941),
    [anon_sym_SLASH] = ACTIONS(5941),
    [anon_sym_PERCENT] = ACTIONS(5941),
    [anon_sym_PIPE_PIPE] = ACTIONS(5943),
    [anon_sym_AMP_AMP] = ACTIONS(5943),
    [anon_sym_PIPE] = ACTIONS(5941),
    [anon_sym_CARET] = ACTIONS(5941),
    [anon_sym_AMP] = ACTIONS(5941),
    [anon_sym_EQ_EQ] = ACTIONS(5943),
    [anon_sym_BANG_EQ] = ACTIONS(5943),
    [anon_sym_GT] = ACTIONS(5941),
    [anon_sym_GT_EQ] = ACTIONS(5943),
    [anon_sym_LT_EQ] = ACTIONS(5941),
    [anon_sym_LT] = ACTIONS(5941),
    [anon_sym_LT_LT] = ACTIONS(5941),
    [anon_sym_GT_GT] = ACTIONS(5941),
    [anon_sym_SEMI] = ACTIONS(5943),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5943),
    [anon_sym_RBRACE] = ACTIONS(5943),
    [anon_sym_LBRACK] = ACTIONS(5943),
    [anon_sym_RBRACK] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(5941),
    [anon_sym_COLON] = ACTIONS(5943),
    [anon_sym_QMARK] = ACTIONS(5943),
    [anon_sym_STAR_EQ] = ACTIONS(5943),
    [anon_sym_SLASH_EQ] = ACTIONS(5943),
    [anon_sym_PERCENT_EQ] = ACTIONS(5943),
    [anon_sym_PLUS_EQ] = ACTIONS(5943),
    [anon_sym_DASH_EQ] = ACTIONS(5943),
    [anon_sym_LT_LT_EQ] = ACTIONS(5943),
    [anon_sym_GT_GT_EQ] = ACTIONS(5943),
    [anon_sym_AMP_EQ] = ACTIONS(5943),
    [anon_sym_CARET_EQ] = ACTIONS(5943),
    [anon_sym_PIPE_EQ] = ACTIONS(5943),
    [anon_sym_and_eq] = ACTIONS(5941),
    [anon_sym_or_eq] = ACTIONS(5941),
    [anon_sym_xor_eq] = ACTIONS(5941),
    [anon_sym_LT_EQ_GT] = ACTIONS(5943),
    [anon_sym_or] = ACTIONS(5941),
    [anon_sym_and] = ACTIONS(5941),
    [anon_sym_bitor] = ACTIONS(5941),
    [anon_sym_xor] = ACTIONS(5941),
    [anon_sym_bitand] = ACTIONS(5941),
    [anon_sym_not_eq] = ACTIONS(5941),
    [anon_sym_DASH_DASH] = ACTIONS(5943),
    [anon_sym_PLUS_PLUS] = ACTIONS(5943),
    [anon_sym_DOT] = ACTIONS(5941),
    [anon_sym_DOT_STAR] = ACTIONS(5943),
    [anon_sym_DASH_GT] = ACTIONS(5943),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5941),
    [anon_sym_decltype] = ACTIONS(5941),
  },
  [2426] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_COMMA] = ACTIONS(5358),
    [anon_sym_RPAREN] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5358),
    [anon_sym_BANG_EQ] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5358),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym_RBRACE] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_RBRACK] = ACTIONS(5358),
    [anon_sym_EQ] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_STAR_EQ] = ACTIONS(5358),
    [anon_sym_SLASH_EQ] = ACTIONS(5358),
    [anon_sym_PERCENT_EQ] = ACTIONS(5358),
    [anon_sym_PLUS_EQ] = ACTIONS(5358),
    [anon_sym_DASH_EQ] = ACTIONS(5358),
    [anon_sym_LT_LT_EQ] = ACTIONS(5358),
    [anon_sym_GT_GT_EQ] = ACTIONS(5358),
    [anon_sym_AMP_EQ] = ACTIONS(5358),
    [anon_sym_CARET_EQ] = ACTIONS(5358),
    [anon_sym_PIPE_EQ] = ACTIONS(5358),
    [anon_sym_and_eq] = ACTIONS(5356),
    [anon_sym_or_eq] = ACTIONS(5356),
    [anon_sym_xor_eq] = ACTIONS(5356),
    [anon_sym_LT_EQ_GT] = ACTIONS(5358),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_bitor] = ACTIONS(5356),
    [anon_sym_xor] = ACTIONS(5356),
    [anon_sym_bitand] = ACTIONS(5356),
    [anon_sym_not_eq] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5358),
    [anon_sym_DASH_GT] = ACTIONS(5358),
    [anon_sym_L_DQUOTE] = ACTIONS(5358),
    [anon_sym_u_DQUOTE] = ACTIONS(5358),
    [anon_sym_U_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8_DQUOTE] = ACTIONS(5358),
    [anon_sym_DQUOTE] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5358),
    [anon_sym_LR_DQUOTE] = ACTIONS(5358),
    [anon_sym_uR_DQUOTE] = ACTIONS(5358),
    [anon_sym_UR_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5358),
    [sym_literal_suffix] = ACTIONS(5356),
  },
  [2427] = {
    [sym_string_literal] = STATE(2427),
    [sym_raw_string_literal] = STATE(2427),
    [aux_sym_concatenated_string_repeat1] = STATE(2427),
    [sym_identifier] = ACTIONS(5945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5301),
    [anon_sym_PLUS] = ACTIONS(5301),
    [anon_sym_STAR] = ACTIONS(5301),
    [anon_sym_SLASH] = ACTIONS(5301),
    [anon_sym_PERCENT] = ACTIONS(5301),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5301),
    [anon_sym_CARET] = ACTIONS(5301),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5301),
    [anon_sym_GT_EQ] = ACTIONS(5301),
    [anon_sym_LT_EQ] = ACTIONS(5301),
    [anon_sym_LT] = ACTIONS(5301),
    [anon_sym_LT_LT] = ACTIONS(5301),
    [anon_sym_GT_GT] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5301),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5301),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5301),
    [anon_sym_or_eq] = ACTIONS(5301),
    [anon_sym_xor_eq] = ACTIONS(5301),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_bitor] = ACTIONS(5301),
    [anon_sym_xor] = ACTIONS(5301),
    [anon_sym_bitand] = ACTIONS(5301),
    [anon_sym_not_eq] = ACTIONS(5301),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5301),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5948),
    [anon_sym_u_DQUOTE] = ACTIONS(5948),
    [anon_sym_U_DQUOTE] = ACTIONS(5948),
    [anon_sym_u8_DQUOTE] = ACTIONS(5948),
    [anon_sym_DQUOTE] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5299),
    [anon_sym_R_DQUOTE] = ACTIONS(5951),
    [anon_sym_LR_DQUOTE] = ACTIONS(5951),
    [anon_sym_uR_DQUOTE] = ACTIONS(5951),
    [anon_sym_UR_DQUOTE] = ACTIONS(5951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5951),
    [sym_literal_suffix] = ACTIONS(5301),
  },
  [2428] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_friend] = ACTIONS(2981),
    [anon_sym_public] = ACTIONS(2981),
    [anon_sym_private] = ACTIONS(2981),
    [anon_sym_protected] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
  },
  [2429] = {
    [sym__declaration_modifiers] = STATE(4215),
    [sym_attribute_specifier] = STATE(4215),
    [sym_attribute_declaration] = STATE(4215),
    [sym_ms_declspec_modifier] = STATE(4215),
    [sym_storage_class_specifier] = STATE(4215),
    [sym_type_qualifier] = STATE(4215),
    [sym__type_specifier] = STATE(4680),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4215),
    [sym_alignas_specifier] = STATE(4215),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7134),
    [sym_qualified_type_identifier] = STATE(3556),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3697),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3999),
    [anon_sym_unsigned] = ACTIONS(3999),
    [anon_sym_long] = ACTIONS(3999),
    [anon_sym_short] = ACTIONS(3999),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4001),
    [anon_sym_enum] = ACTIONS(4003),
    [anon_sym_class] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4007),
    [anon_sym_union] = ACTIONS(4009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4011),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2430] = {
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5653),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5653),
    [anon_sym_GT_GT] = ACTIONS(5653),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(5653),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [anon_sym_COLON] = ACTIONS(5653),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_final] = ACTIONS(5651),
    [anon_sym_override] = ACTIONS(5651),
    [anon_sym_requires] = ACTIONS(5651),
  },
  [2431] = {
    [sym_attribute_specifier] = STATE(2516),
    [sym_identifier] = ACTIONS(5954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5956),
    [anon_sym_COMMA] = ACTIONS(5956),
    [anon_sym_RPAREN] = ACTIONS(5956),
    [aux_sym_preproc_if_token2] = ACTIONS(5956),
    [aux_sym_preproc_else_token1] = ACTIONS(5956),
    [aux_sym_preproc_elif_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5956),
    [anon_sym_LPAREN2] = ACTIONS(5956),
    [anon_sym_DASH] = ACTIONS(5954),
    [anon_sym_PLUS] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5954),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5956),
    [anon_sym_AMP_AMP] = ACTIONS(5956),
    [anon_sym_PIPE] = ACTIONS(5954),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5954),
    [anon_sym_EQ_EQ] = ACTIONS(5956),
    [anon_sym_BANG_EQ] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5954),
    [anon_sym_GT_EQ] = ACTIONS(5956),
    [anon_sym_LT_EQ] = ACTIONS(5954),
    [anon_sym_LT] = ACTIONS(5954),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5956),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5956),
    [anon_sym_RBRACE] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_EQ] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5956),
    [anon_sym_STAR_EQ] = ACTIONS(5956),
    [anon_sym_SLASH_EQ] = ACTIONS(5956),
    [anon_sym_PERCENT_EQ] = ACTIONS(5956),
    [anon_sym_PLUS_EQ] = ACTIONS(5956),
    [anon_sym_DASH_EQ] = ACTIONS(5956),
    [anon_sym_LT_LT_EQ] = ACTIONS(5956),
    [anon_sym_GT_GT_EQ] = ACTIONS(5956),
    [anon_sym_AMP_EQ] = ACTIONS(5956),
    [anon_sym_CARET_EQ] = ACTIONS(5956),
    [anon_sym_PIPE_EQ] = ACTIONS(5956),
    [anon_sym_and_eq] = ACTIONS(5954),
    [anon_sym_or_eq] = ACTIONS(5954),
    [anon_sym_xor_eq] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5956),
    [anon_sym_or] = ACTIONS(5954),
    [anon_sym_and] = ACTIONS(5954),
    [anon_sym_bitor] = ACTIONS(5954),
    [anon_sym_xor] = ACTIONS(5954),
    [anon_sym_bitand] = ACTIONS(5954),
    [anon_sym_not_eq] = ACTIONS(5954),
    [anon_sym_DASH_DASH] = ACTIONS(5956),
    [anon_sym_PLUS_PLUS] = ACTIONS(5956),
    [anon_sym_DOT] = ACTIONS(5954),
    [anon_sym_DOT_STAR] = ACTIONS(5956),
    [anon_sym_DASH_GT] = ACTIONS(5956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5954),
    [anon_sym_decltype] = ACTIONS(5954),
  },
  [2432] = {
    [sym_attribute_specifier] = STATE(2456),
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [aux_sym_preproc_if_token2] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5958),
    [anon_sym_or_eq] = ACTIONS(5958),
    [anon_sym_xor_eq] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
  },
  [2433] = {
    [sym_attribute_specifier] = STATE(2542),
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [aux_sym_preproc_if_token2] = ACTIONS(5964),
    [aux_sym_preproc_else_token1] = ACTIONS(5964),
    [aux_sym_preproc_elif_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_RBRACE] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_STAR_EQ] = ACTIONS(5964),
    [anon_sym_SLASH_EQ] = ACTIONS(5964),
    [anon_sym_PERCENT_EQ] = ACTIONS(5964),
    [anon_sym_PLUS_EQ] = ACTIONS(5964),
    [anon_sym_DASH_EQ] = ACTIONS(5964),
    [anon_sym_LT_LT_EQ] = ACTIONS(5964),
    [anon_sym_GT_GT_EQ] = ACTIONS(5964),
    [anon_sym_AMP_EQ] = ACTIONS(5964),
    [anon_sym_CARET_EQ] = ACTIONS(5964),
    [anon_sym_PIPE_EQ] = ACTIONS(5964),
    [anon_sym_and_eq] = ACTIONS(5962),
    [anon_sym_or_eq] = ACTIONS(5962),
    [anon_sym_xor_eq] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
  },
  [2434] = {
    [sym_attribute_specifier] = STATE(2543),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2436] = {
    [sym_identifier] = ACTIONS(5569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5571),
    [anon_sym_COMMA] = ACTIONS(5571),
    [anon_sym_RPAREN] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_DASH] = ACTIONS(5569),
    [anon_sym_PLUS] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_SLASH] = ACTIONS(5569),
    [anon_sym_PERCENT] = ACTIONS(5569),
    [anon_sym_PIPE_PIPE] = ACTIONS(5571),
    [anon_sym_AMP_AMP] = ACTIONS(5571),
    [anon_sym_PIPE] = ACTIONS(5569),
    [anon_sym_CARET] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5569),
    [anon_sym_EQ_EQ] = ACTIONS(5571),
    [anon_sym_BANG_EQ] = ACTIONS(5571),
    [anon_sym_GT] = ACTIONS(5569),
    [anon_sym_GT_EQ] = ACTIONS(5571),
    [anon_sym_LT_EQ] = ACTIONS(5569),
    [anon_sym_LT] = ACTIONS(5569),
    [anon_sym_LT_LT] = ACTIONS(5569),
    [anon_sym_GT_GT] = ACTIONS(5569),
    [anon_sym_SEMI] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5569),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5571),
    [anon_sym_RBRACE] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_EQ] = ACTIONS(5569),
    [anon_sym_COLON] = ACTIONS(5569),
    [anon_sym_QMARK] = ACTIONS(5571),
    [anon_sym_STAR_EQ] = ACTIONS(5571),
    [anon_sym_SLASH_EQ] = ACTIONS(5571),
    [anon_sym_PERCENT_EQ] = ACTIONS(5571),
    [anon_sym_PLUS_EQ] = ACTIONS(5571),
    [anon_sym_DASH_EQ] = ACTIONS(5571),
    [anon_sym_LT_LT_EQ] = ACTIONS(5571),
    [anon_sym_GT_GT_EQ] = ACTIONS(5571),
    [anon_sym_AMP_EQ] = ACTIONS(5571),
    [anon_sym_CARET_EQ] = ACTIONS(5571),
    [anon_sym_PIPE_EQ] = ACTIONS(5571),
    [anon_sym_and_eq] = ACTIONS(5569),
    [anon_sym_or_eq] = ACTIONS(5569),
    [anon_sym_xor_eq] = ACTIONS(5569),
    [anon_sym_LT_EQ_GT] = ACTIONS(5571),
    [anon_sym_or] = ACTIONS(5569),
    [anon_sym_and] = ACTIONS(5569),
    [anon_sym_bitor] = ACTIONS(5569),
    [anon_sym_xor] = ACTIONS(5569),
    [anon_sym_bitand] = ACTIONS(5569),
    [anon_sym_not_eq] = ACTIONS(5569),
    [anon_sym_DASH_DASH] = ACTIONS(5571),
    [anon_sym_PLUS_PLUS] = ACTIONS(5571),
    [anon_sym_DOT] = ACTIONS(5569),
    [anon_sym_DOT_STAR] = ACTIONS(5571),
    [anon_sym_DASH_GT] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5569),
    [anon_sym_decltype] = ACTIONS(5569),
  },
  [2437] = {
    [sym_string_literal] = STATE(2427),
    [sym_raw_string_literal] = STATE(2427),
    [aux_sym_concatenated_string_repeat1] = STATE(2427),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5236),
    [anon_sym_COMMA] = ACTIONS(5236),
    [anon_sym_LPAREN2] = ACTIONS(5236),
    [anon_sym_DASH] = ACTIONS(5238),
    [anon_sym_PLUS] = ACTIONS(5238),
    [anon_sym_STAR] = ACTIONS(5238),
    [anon_sym_SLASH] = ACTIONS(5238),
    [anon_sym_PERCENT] = ACTIONS(5238),
    [anon_sym_PIPE_PIPE] = ACTIONS(5236),
    [anon_sym_AMP_AMP] = ACTIONS(5236),
    [anon_sym_PIPE] = ACTIONS(5238),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_AMP] = ACTIONS(5238),
    [anon_sym_EQ_EQ] = ACTIONS(5236),
    [anon_sym_BANG_EQ] = ACTIONS(5236),
    [anon_sym_GT] = ACTIONS(5238),
    [anon_sym_GT_EQ] = ACTIONS(5238),
    [anon_sym_LT_EQ] = ACTIONS(5238),
    [anon_sym_LT] = ACTIONS(5238),
    [anon_sym_LT_LT] = ACTIONS(5238),
    [anon_sym_GT_GT] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(5236),
    [anon_sym_EQ] = ACTIONS(5238),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_STAR_EQ] = ACTIONS(5236),
    [anon_sym_SLASH_EQ] = ACTIONS(5236),
    [anon_sym_PERCENT_EQ] = ACTIONS(5236),
    [anon_sym_PLUS_EQ] = ACTIONS(5236),
    [anon_sym_DASH_EQ] = ACTIONS(5236),
    [anon_sym_LT_LT_EQ] = ACTIONS(5236),
    [anon_sym_GT_GT_EQ] = ACTIONS(5238),
    [anon_sym_AMP_EQ] = ACTIONS(5236),
    [anon_sym_CARET_EQ] = ACTIONS(5236),
    [anon_sym_PIPE_EQ] = ACTIONS(5236),
    [anon_sym_and_eq] = ACTIONS(5238),
    [anon_sym_or_eq] = ACTIONS(5238),
    [anon_sym_xor_eq] = ACTIONS(5238),
    [anon_sym_LT_EQ_GT] = ACTIONS(5236),
    [anon_sym_or] = ACTIONS(5238),
    [anon_sym_and] = ACTIONS(5238),
    [anon_sym_bitor] = ACTIONS(5238),
    [anon_sym_xor] = ACTIONS(5238),
    [anon_sym_bitand] = ACTIONS(5238),
    [anon_sym_not_eq] = ACTIONS(5238),
    [anon_sym_DASH_DASH] = ACTIONS(5236),
    [anon_sym_PLUS_PLUS] = ACTIONS(5236),
    [anon_sym_DOT] = ACTIONS(5238),
    [anon_sym_DOT_STAR] = ACTIONS(5236),
    [anon_sym_DASH_GT] = ACTIONS(5236),
    [anon_sym_L_DQUOTE] = ACTIONS(5972),
    [anon_sym_u_DQUOTE] = ACTIONS(5972),
    [anon_sym_U_DQUOTE] = ACTIONS(5972),
    [anon_sym_u8_DQUOTE] = ACTIONS(5972),
    [anon_sym_DQUOTE] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5236),
    [anon_sym_R_DQUOTE] = ACTIONS(5974),
    [anon_sym_LR_DQUOTE] = ACTIONS(5974),
    [anon_sym_uR_DQUOTE] = ACTIONS(5974),
    [anon_sym_UR_DQUOTE] = ACTIONS(5974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5974),
    [sym_literal_suffix] = ACTIONS(5238),
  },
  [2438] = {
    [sym_attribute_specifier] = STATE(2535),
    [sym_identifier] = ACTIONS(5976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5978),
    [anon_sym_COMMA] = ACTIONS(5978),
    [anon_sym_RPAREN] = ACTIONS(5978),
    [aux_sym_preproc_if_token2] = ACTIONS(5978),
    [aux_sym_preproc_else_token1] = ACTIONS(5978),
    [aux_sym_preproc_elif_token1] = ACTIONS(5976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5978),
    [anon_sym_LPAREN2] = ACTIONS(5978),
    [anon_sym_DASH] = ACTIONS(5976),
    [anon_sym_PLUS] = ACTIONS(5976),
    [anon_sym_STAR] = ACTIONS(5976),
    [anon_sym_SLASH] = ACTIONS(5976),
    [anon_sym_PERCENT] = ACTIONS(5976),
    [anon_sym_PIPE_PIPE] = ACTIONS(5978),
    [anon_sym_AMP_AMP] = ACTIONS(5978),
    [anon_sym_PIPE] = ACTIONS(5976),
    [anon_sym_CARET] = ACTIONS(5976),
    [anon_sym_AMP] = ACTIONS(5976),
    [anon_sym_EQ_EQ] = ACTIONS(5978),
    [anon_sym_BANG_EQ] = ACTIONS(5978),
    [anon_sym_GT] = ACTIONS(5976),
    [anon_sym_GT_EQ] = ACTIONS(5978),
    [anon_sym_LT_EQ] = ACTIONS(5976),
    [anon_sym_LT] = ACTIONS(5976),
    [anon_sym_LT_LT] = ACTIONS(5976),
    [anon_sym_GT_GT] = ACTIONS(5976),
    [anon_sym_SEMI] = ACTIONS(5978),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5978),
    [anon_sym_RBRACE] = ACTIONS(5978),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_RBRACK] = ACTIONS(5978),
    [anon_sym_EQ] = ACTIONS(5976),
    [anon_sym_COLON] = ACTIONS(5978),
    [anon_sym_QMARK] = ACTIONS(5978),
    [anon_sym_STAR_EQ] = ACTIONS(5978),
    [anon_sym_SLASH_EQ] = ACTIONS(5978),
    [anon_sym_PERCENT_EQ] = ACTIONS(5978),
    [anon_sym_PLUS_EQ] = ACTIONS(5978),
    [anon_sym_DASH_EQ] = ACTIONS(5978),
    [anon_sym_LT_LT_EQ] = ACTIONS(5978),
    [anon_sym_GT_GT_EQ] = ACTIONS(5978),
    [anon_sym_AMP_EQ] = ACTIONS(5978),
    [anon_sym_CARET_EQ] = ACTIONS(5978),
    [anon_sym_PIPE_EQ] = ACTIONS(5978),
    [anon_sym_and_eq] = ACTIONS(5976),
    [anon_sym_or_eq] = ACTIONS(5976),
    [anon_sym_xor_eq] = ACTIONS(5976),
    [anon_sym_LT_EQ_GT] = ACTIONS(5978),
    [anon_sym_or] = ACTIONS(5976),
    [anon_sym_and] = ACTIONS(5976),
    [anon_sym_bitor] = ACTIONS(5976),
    [anon_sym_xor] = ACTIONS(5976),
    [anon_sym_bitand] = ACTIONS(5976),
    [anon_sym_not_eq] = ACTIONS(5976),
    [anon_sym_DASH_DASH] = ACTIONS(5978),
    [anon_sym_PLUS_PLUS] = ACTIONS(5978),
    [anon_sym_DOT] = ACTIONS(5976),
    [anon_sym_DOT_STAR] = ACTIONS(5978),
    [anon_sym_DASH_GT] = ACTIONS(5978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5976),
    [anon_sym_decltype] = ACTIONS(5976),
  },
  [2439] = {
    [sym_identifier] = ACTIONS(3355),
    [aux_sym_preproc_def_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token2] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3355),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3355),
    [aux_sym_preproc_else_token1] = ACTIONS(3355),
    [aux_sym_preproc_elif_token1] = ACTIONS(3355),
    [sym_preproc_directive] = ACTIONS(3355),
    [anon_sym_LPAREN2] = ACTIONS(3357),
    [anon_sym_TILDE] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3357),
    [anon_sym_AMP_AMP] = ACTIONS(3357),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3355),
    [anon_sym_typedef] = ACTIONS(3355),
    [anon_sym_extern] = ACTIONS(3355),
    [anon_sym___attribute__] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(3357),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3357),
    [anon_sym___declspec] = ACTIONS(3355),
    [anon_sym___based] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3355),
    [anon_sym_unsigned] = ACTIONS(3355),
    [anon_sym_long] = ACTIONS(3355),
    [anon_sym_short] = ACTIONS(3355),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_static] = ACTIONS(3355),
    [anon_sym_register] = ACTIONS(3355),
    [anon_sym_inline] = ACTIONS(3355),
    [anon_sym___inline] = ACTIONS(3355),
    [anon_sym___inline__] = ACTIONS(3355),
    [anon_sym___forceinline] = ACTIONS(3355),
    [anon_sym_thread_local] = ACTIONS(3355),
    [anon_sym___thread] = ACTIONS(3355),
    [anon_sym_const] = ACTIONS(3355),
    [anon_sym_constexpr] = ACTIONS(3355),
    [anon_sym_volatile] = ACTIONS(3355),
    [anon_sym_restrict] = ACTIONS(3355),
    [anon_sym___restrict__] = ACTIONS(3355),
    [anon_sym__Atomic] = ACTIONS(3355),
    [anon_sym__Noreturn] = ACTIONS(3355),
    [anon_sym_noreturn] = ACTIONS(3355),
    [anon_sym_mutable] = ACTIONS(3355),
    [anon_sym_constinit] = ACTIONS(3355),
    [anon_sym_consteval] = ACTIONS(3355),
    [sym_primitive_type] = ACTIONS(3355),
    [anon_sym_enum] = ACTIONS(3355),
    [anon_sym_class] = ACTIONS(3355),
    [anon_sym_struct] = ACTIONS(3355),
    [anon_sym_union] = ACTIONS(3355),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3355),
    [anon_sym_decltype] = ACTIONS(3355),
    [anon_sym_virtual] = ACTIONS(3355),
    [anon_sym_alignas] = ACTIONS(3355),
    [anon_sym_explicit] = ACTIONS(3355),
    [anon_sym_typename] = ACTIONS(3355),
    [anon_sym_template] = ACTIONS(3355),
    [anon_sym_operator] = ACTIONS(3355),
    [anon_sym_friend] = ACTIONS(3355),
    [anon_sym_public] = ACTIONS(3355),
    [anon_sym_private] = ACTIONS(3355),
    [anon_sym_protected] = ACTIONS(3355),
    [anon_sym_using] = ACTIONS(3355),
    [anon_sym_static_assert] = ACTIONS(3355),
  },
  [2440] = {
    [sym_identifier] = ACTIONS(3351),
    [aux_sym_preproc_def_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token2] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3351),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [sym_preproc_directive] = ACTIONS(3351),
    [anon_sym_LPAREN2] = ACTIONS(3353),
    [anon_sym_TILDE] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3353),
    [anon_sym_AMP_AMP] = ACTIONS(3353),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3351),
    [anon_sym_typedef] = ACTIONS(3351),
    [anon_sym_extern] = ACTIONS(3351),
    [anon_sym___attribute__] = ACTIONS(3351),
    [anon_sym_COLON_COLON] = ACTIONS(3353),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3353),
    [anon_sym___declspec] = ACTIONS(3351),
    [anon_sym___based] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3351),
    [anon_sym_unsigned] = ACTIONS(3351),
    [anon_sym_long] = ACTIONS(3351),
    [anon_sym_short] = ACTIONS(3351),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_static] = ACTIONS(3351),
    [anon_sym_register] = ACTIONS(3351),
    [anon_sym_inline] = ACTIONS(3351),
    [anon_sym___inline] = ACTIONS(3351),
    [anon_sym___inline__] = ACTIONS(3351),
    [anon_sym___forceinline] = ACTIONS(3351),
    [anon_sym_thread_local] = ACTIONS(3351),
    [anon_sym___thread] = ACTIONS(3351),
    [anon_sym_const] = ACTIONS(3351),
    [anon_sym_constexpr] = ACTIONS(3351),
    [anon_sym_volatile] = ACTIONS(3351),
    [anon_sym_restrict] = ACTIONS(3351),
    [anon_sym___restrict__] = ACTIONS(3351),
    [anon_sym__Atomic] = ACTIONS(3351),
    [anon_sym__Noreturn] = ACTIONS(3351),
    [anon_sym_noreturn] = ACTIONS(3351),
    [anon_sym_mutable] = ACTIONS(3351),
    [anon_sym_constinit] = ACTIONS(3351),
    [anon_sym_consteval] = ACTIONS(3351),
    [sym_primitive_type] = ACTIONS(3351),
    [anon_sym_enum] = ACTIONS(3351),
    [anon_sym_class] = ACTIONS(3351),
    [anon_sym_struct] = ACTIONS(3351),
    [anon_sym_union] = ACTIONS(3351),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3351),
    [anon_sym_decltype] = ACTIONS(3351),
    [anon_sym_virtual] = ACTIONS(3351),
    [anon_sym_alignas] = ACTIONS(3351),
    [anon_sym_explicit] = ACTIONS(3351),
    [anon_sym_typename] = ACTIONS(3351),
    [anon_sym_template] = ACTIONS(3351),
    [anon_sym_operator] = ACTIONS(3351),
    [anon_sym_friend] = ACTIONS(3351),
    [anon_sym_public] = ACTIONS(3351),
    [anon_sym_private] = ACTIONS(3351),
    [anon_sym_protected] = ACTIONS(3351),
    [anon_sym_using] = ACTIONS(3351),
    [anon_sym_static_assert] = ACTIONS(3351),
  },
  [2441] = {
    [sym_attribute_declaration] = STATE(2493),
    [sym_parameter_list] = STATE(2481),
    [aux_sym_attributed_declarator_repeat1] = STATE(2493),
    [sym_identifier] = ACTIONS(5980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5982),
    [anon_sym_COMMA] = ACTIONS(5982),
    [anon_sym_RPAREN] = ACTIONS(5982),
    [aux_sym_preproc_if_token2] = ACTIONS(5982),
    [aux_sym_preproc_else_token1] = ACTIONS(5982),
    [aux_sym_preproc_elif_token1] = ACTIONS(5980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5982),
    [anon_sym_LPAREN2] = ACTIONS(5904),
    [anon_sym_DASH] = ACTIONS(5980),
    [anon_sym_PLUS] = ACTIONS(5980),
    [anon_sym_STAR] = ACTIONS(5980),
    [anon_sym_SLASH] = ACTIONS(5980),
    [anon_sym_PERCENT] = ACTIONS(5980),
    [anon_sym_PIPE_PIPE] = ACTIONS(5982),
    [anon_sym_AMP_AMP] = ACTIONS(5982),
    [anon_sym_PIPE] = ACTIONS(5980),
    [anon_sym_CARET] = ACTIONS(5980),
    [anon_sym_AMP] = ACTIONS(5980),
    [anon_sym_EQ_EQ] = ACTIONS(5982),
    [anon_sym_BANG_EQ] = ACTIONS(5982),
    [anon_sym_GT] = ACTIONS(5980),
    [anon_sym_GT_EQ] = ACTIONS(5982),
    [anon_sym_LT_EQ] = ACTIONS(5980),
    [anon_sym_LT] = ACTIONS(5980),
    [anon_sym_LT_LT] = ACTIONS(5980),
    [anon_sym_GT_GT] = ACTIONS(5980),
    [anon_sym_SEMI] = ACTIONS(5982),
    [anon_sym___attribute__] = ACTIONS(5980),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(5982),
    [anon_sym_LBRACK] = ACTIONS(5908),
    [anon_sym_RBRACK] = ACTIONS(5982),
    [anon_sym_EQ] = ACTIONS(5980),
    [anon_sym_COLON] = ACTIONS(5982),
    [anon_sym_QMARK] = ACTIONS(5982),
    [anon_sym_STAR_EQ] = ACTIONS(5982),
    [anon_sym_SLASH_EQ] = ACTIONS(5982),
    [anon_sym_PERCENT_EQ] = ACTIONS(5982),
    [anon_sym_PLUS_EQ] = ACTIONS(5982),
    [anon_sym_DASH_EQ] = ACTIONS(5982),
    [anon_sym_LT_LT_EQ] = ACTIONS(5982),
    [anon_sym_GT_GT_EQ] = ACTIONS(5982),
    [anon_sym_AMP_EQ] = ACTIONS(5982),
    [anon_sym_CARET_EQ] = ACTIONS(5982),
    [anon_sym_PIPE_EQ] = ACTIONS(5982),
    [anon_sym_and_eq] = ACTIONS(5980),
    [anon_sym_or_eq] = ACTIONS(5980),
    [anon_sym_xor_eq] = ACTIONS(5980),
    [anon_sym_LT_EQ_GT] = ACTIONS(5982),
    [anon_sym_or] = ACTIONS(5980),
    [anon_sym_and] = ACTIONS(5980),
    [anon_sym_bitor] = ACTIONS(5980),
    [anon_sym_xor] = ACTIONS(5980),
    [anon_sym_bitand] = ACTIONS(5980),
    [anon_sym_not_eq] = ACTIONS(5980),
    [anon_sym_DASH_DASH] = ACTIONS(5982),
    [anon_sym_PLUS_PLUS] = ACTIONS(5982),
    [anon_sym_DOT] = ACTIONS(5980),
    [anon_sym_DOT_STAR] = ACTIONS(5982),
    [anon_sym_DASH_GT] = ACTIONS(5982),
    [sym_comment] = ACTIONS(3),
  },
  [2442] = {
    [sym_attribute_specifier] = STATE(2489),
    [sym_identifier] = ACTIONS(5984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5986),
    [anon_sym_COMMA] = ACTIONS(5986),
    [anon_sym_RPAREN] = ACTIONS(5986),
    [aux_sym_preproc_if_token2] = ACTIONS(5986),
    [aux_sym_preproc_else_token1] = ACTIONS(5986),
    [aux_sym_preproc_elif_token1] = ACTIONS(5984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5986),
    [anon_sym_LPAREN2] = ACTIONS(5986),
    [anon_sym_DASH] = ACTIONS(5984),
    [anon_sym_PLUS] = ACTIONS(5984),
    [anon_sym_STAR] = ACTIONS(5984),
    [anon_sym_SLASH] = ACTIONS(5984),
    [anon_sym_PERCENT] = ACTIONS(5984),
    [anon_sym_PIPE_PIPE] = ACTIONS(5986),
    [anon_sym_AMP_AMP] = ACTIONS(5986),
    [anon_sym_PIPE] = ACTIONS(5984),
    [anon_sym_CARET] = ACTIONS(5984),
    [anon_sym_AMP] = ACTIONS(5984),
    [anon_sym_EQ_EQ] = ACTIONS(5986),
    [anon_sym_BANG_EQ] = ACTIONS(5986),
    [anon_sym_GT] = ACTIONS(5984),
    [anon_sym_GT_EQ] = ACTIONS(5986),
    [anon_sym_LT_EQ] = ACTIONS(5984),
    [anon_sym_LT] = ACTIONS(5984),
    [anon_sym_LT_LT] = ACTIONS(5984),
    [anon_sym_GT_GT] = ACTIONS(5984),
    [anon_sym_SEMI] = ACTIONS(5986),
    [anon_sym___attribute__] = ACTIONS(5373),
    [anon_sym_LBRACE] = ACTIONS(5986),
    [anon_sym_RBRACE] = ACTIONS(5986),
    [anon_sym_LBRACK] = ACTIONS(5986),
    [anon_sym_RBRACK] = ACTIONS(5986),
    [anon_sym_EQ] = ACTIONS(5984),
    [anon_sym_COLON] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5986),
    [anon_sym_STAR_EQ] = ACTIONS(5986),
    [anon_sym_SLASH_EQ] = ACTIONS(5986),
    [anon_sym_PERCENT_EQ] = ACTIONS(5986),
    [anon_sym_PLUS_EQ] = ACTIONS(5986),
    [anon_sym_DASH_EQ] = ACTIONS(5986),
    [anon_sym_LT_LT_EQ] = ACTIONS(5986),
    [anon_sym_GT_GT_EQ] = ACTIONS(5986),
    [anon_sym_AMP_EQ] = ACTIONS(5986),
    [anon_sym_CARET_EQ] = ACTIONS(5986),
    [anon_sym_PIPE_EQ] = ACTIONS(5986),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(5986),
    [anon_sym_or] = ACTIONS(5984),
    [anon_sym_and] = ACTIONS(5984),
    [anon_sym_bitor] = ACTIONS(5984),
    [anon_sym_xor] = ACTIONS(5984),
    [anon_sym_bitand] = ACTIONS(5984),
    [anon_sym_not_eq] = ACTIONS(5984),
    [anon_sym_DASH_DASH] = ACTIONS(5986),
    [anon_sym_PLUS_PLUS] = ACTIONS(5986),
    [anon_sym_DOT] = ACTIONS(5984),
    [anon_sym_DOT_STAR] = ACTIONS(5986),
    [anon_sym_DASH_GT] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5984),
    [anon_sym_decltype] = ACTIONS(5984),
  },
  [2443] = {
    [sym__declaration_modifiers] = STATE(4215),
    [sym_attribute_specifier] = STATE(4215),
    [sym_attribute_declaration] = STATE(4215),
    [sym_ms_declspec_modifier] = STATE(4215),
    [sym_storage_class_specifier] = STATE(4215),
    [sym_type_qualifier] = STATE(4215),
    [sym__type_specifier] = STATE(3260),
    [sym_sized_type_specifier] = STATE(3664),
    [sym_enum_specifier] = STATE(3664),
    [sym_struct_specifier] = STATE(3664),
    [sym_union_specifier] = STATE(3664),
    [sym_placeholder_type_specifier] = STATE(3664),
    [sym_decltype_auto] = STATE(3687),
    [sym_decltype] = STATE(3639),
    [sym_class_specifier] = STATE(3664),
    [sym_virtual] = STATE(4215),
    [sym_alignas_specifier] = STATE(4215),
    [sym_dependent_type] = STATE(3664),
    [sym_template_type] = STATE(3639),
    [sym_dependent_type_identifier] = STATE(9302),
    [sym__scope_resolution] = STATE(7164),
    [sym_qualified_type_identifier] = STATE(4547),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4215),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3671),
    [sym_identifier] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(5411),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
  },
  [2445] = {
    [sym_identifier] = ACTIONS(3347),
    [aux_sym_preproc_def_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token2] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3347),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [sym_preproc_directive] = ACTIONS(3347),
    [anon_sym_LPAREN2] = ACTIONS(3349),
    [anon_sym_TILDE] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3349),
    [anon_sym_AMP_AMP] = ACTIONS(3349),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3347),
    [anon_sym_typedef] = ACTIONS(3347),
    [anon_sym_extern] = ACTIONS(3347),
    [anon_sym___attribute__] = ACTIONS(3347),
    [anon_sym_COLON_COLON] = ACTIONS(3349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3349),
    [anon_sym___declspec] = ACTIONS(3347),
    [anon_sym___based] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3347),
    [anon_sym_unsigned] = ACTIONS(3347),
    [anon_sym_long] = ACTIONS(3347),
    [anon_sym_short] = ACTIONS(3347),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_static] = ACTIONS(3347),
    [anon_sym_register] = ACTIONS(3347),
    [anon_sym_inline] = ACTIONS(3347),
    [anon_sym___inline] = ACTIONS(3347),
    [anon_sym___inline__] = ACTIONS(3347),
    [anon_sym___forceinline] = ACTIONS(3347),
    [anon_sym_thread_local] = ACTIONS(3347),
    [anon_sym___thread] = ACTIONS(3347),
    [anon_sym_const] = ACTIONS(3347),
    [anon_sym_constexpr] = ACTIONS(3347),
    [anon_sym_volatile] = ACTIONS(3347),
    [anon_sym_restrict] = ACTIONS(3347),
    [anon_sym___restrict__] = ACTIONS(3347),
    [anon_sym__Atomic] = ACTIONS(3347),
    [anon_sym__Noreturn] = ACTIONS(3347),
    [anon_sym_noreturn] = ACTIONS(3347),
    [anon_sym_mutable] = ACTIONS(3347),
    [anon_sym_constinit] = ACTIONS(3347),
    [anon_sym_consteval] = ACTIONS(3347),
    [sym_primitive_type] = ACTIONS(3347),
    [anon_sym_enum] = ACTIONS(3347),
    [anon_sym_class] = ACTIONS(3347),
    [anon_sym_struct] = ACTIONS(3347),
    [anon_sym_union] = ACTIONS(3347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3347),
    [anon_sym_decltype] = ACTIONS(3347),
    [anon_sym_virtual] = ACTIONS(3347),
    [anon_sym_alignas] = ACTIONS(3347),
    [anon_sym_explicit] = ACTIONS(3347),
    [anon_sym_typename] = ACTIONS(3347),
    [anon_sym_template] = ACTIONS(3347),
    [anon_sym_operator] = ACTIONS(3347),
    [anon_sym_friend] = ACTIONS(3347),
    [anon_sym_public] = ACTIONS(3347),
    [anon_sym_private] = ACTIONS(3347),
    [anon_sym_protected] = ACTIONS(3347),
    [anon_sym_using] = ACTIONS(3347),
    [anon_sym_static_assert] = ACTIONS(3347),
  },
  [2446] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_friend] = ACTIONS(2989),
    [anon_sym_public] = ACTIONS(2989),
    [anon_sym_private] = ACTIONS(2989),
    [anon_sym_protected] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(2903),
    [aux_sym_preproc_def_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token1] = ACTIONS(2903),
    [aux_sym_preproc_if_token2] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2903),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2903),
    [aux_sym_preproc_else_token1] = ACTIONS(2903),
    [aux_sym_preproc_elif_token1] = ACTIONS(2903),
    [sym_preproc_directive] = ACTIONS(2903),
    [anon_sym_LPAREN2] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2905),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2903),
    [anon_sym_typedef] = ACTIONS(2903),
    [anon_sym_extern] = ACTIONS(2903),
    [anon_sym___attribute__] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2905),
    [anon_sym___declspec] = ACTIONS(2903),
    [anon_sym___based] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2903),
    [anon_sym_unsigned] = ACTIONS(2903),
    [anon_sym_long] = ACTIONS(2903),
    [anon_sym_short] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2903),
    [anon_sym_register] = ACTIONS(2903),
    [anon_sym_inline] = ACTIONS(2903),
    [anon_sym___inline] = ACTIONS(2903),
    [anon_sym___inline__] = ACTIONS(2903),
    [anon_sym___forceinline] = ACTIONS(2903),
    [anon_sym_thread_local] = ACTIONS(2903),
    [anon_sym___thread] = ACTIONS(2903),
    [anon_sym_const] = ACTIONS(2903),
    [anon_sym_constexpr] = ACTIONS(2903),
    [anon_sym_volatile] = ACTIONS(2903),
    [anon_sym_restrict] = ACTIONS(2903),
    [anon_sym___restrict__] = ACTIONS(2903),
    [anon_sym__Atomic] = ACTIONS(2903),
    [anon_sym__Noreturn] = ACTIONS(2903),
    [anon_sym_noreturn] = ACTIONS(2903),
    [anon_sym_mutable] = ACTIONS(2903),
    [anon_sym_constinit] = ACTIONS(2903),
    [anon_sym_consteval] = ACTIONS(2903),
    [sym_primitive_type] = ACTIONS(2903),
    [anon_sym_enum] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2903),
    [anon_sym_struct] = ACTIONS(2903),
    [anon_sym_union] = ACTIONS(2903),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2903),
    [anon_sym_decltype] = ACTIONS(2903),
    [anon_sym_virtual] = ACTIONS(2903),
    [anon_sym_alignas] = ACTIONS(2903),
    [anon_sym_explicit] = ACTIONS(2903),
    [anon_sym_typename] = ACTIONS(2903),
    [anon_sym_template] = ACTIONS(2903),
    [anon_sym_operator] = ACTIONS(2903),
    [anon_sym_friend] = ACTIONS(2903),
    [anon_sym_public] = ACTIONS(2903),
    [anon_sym_private] = ACTIONS(2903),
    [anon_sym_protected] = ACTIONS(2903),
    [anon_sym_using] = ACTIONS(2903),
    [anon_sym_static_assert] = ACTIONS(2903),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(3343),
    [aux_sym_preproc_def_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token2] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3343),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [sym_preproc_directive] = ACTIONS(3343),
    [anon_sym_LPAREN2] = ACTIONS(3345),
    [anon_sym_TILDE] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3345),
    [anon_sym_AMP_AMP] = ACTIONS(3345),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym___extension__] = ACTIONS(3343),
    [anon_sym_typedef] = ACTIONS(3343),
    [anon_sym_extern] = ACTIONS(3343),
    [anon_sym___attribute__] = ACTIONS(3343),
    [anon_sym_COLON_COLON] = ACTIONS(3345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3345),
    [anon_sym___declspec] = ACTIONS(3343),
    [anon_sym___based] = ACTIONS(3343),
    [anon_sym_signed] = ACTIONS(3343),
    [anon_sym_unsigned] = ACTIONS(3343),
    [anon_sym_long] = ACTIONS(3343),
    [anon_sym_short] = ACTIONS(3343),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_static] = ACTIONS(3343),
    [anon_sym_register] = ACTIONS(3343),
    [anon_sym_inline] = ACTIONS(3343),
    [anon_sym___inline] = ACTIONS(3343),
    [anon_sym___inline__] = ACTIONS(3343),
    [anon_sym___forceinline] = ACTIONS(3343),
    [anon_sym_thread_local] = ACTIONS(3343),
    [anon_sym___thread] = ACTIONS(3343),
    [anon_sym_const] = ACTIONS(3343),
    [anon_sym_constexpr] = ACTIONS(3343),
    [anon_sym_volatile] = ACTIONS(3343),
    [anon_sym_restrict] = ACTIONS(3343),
    [anon_sym___restrict__] = ACTIONS(3343),
    [anon_sym__Atomic] = ACTIONS(3343),
    [anon_sym__Noreturn] = ACTIONS(3343),
    [anon_sym_noreturn] = ACTIONS(3343),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_constinit] = ACTIONS(3343),
    [anon_sym_consteval] = ACTIONS(3343),
    [sym_primitive_type] = ACTIONS(3343),
    [anon_sym_enum] = ACTIONS(3343),
    [anon_sym_class] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3343),
    [anon_sym_union] = ACTIONS(3343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3343),
    [anon_sym_decltype] = ACTIONS(3343),
    [anon_sym_virtual] = ACTIONS(3343),
    [anon_sym_alignas] = ACTIONS(3343),
    [anon_sym_explicit] = ACTIONS(3343),
    [anon_sym_typename] = ACTIONS(3343),
    [anon_sym_template] = ACTIONS(3343),
    [anon_sym_operator] = ACTIONS(3343),
    [anon_sym_friend] = ACTIONS(3343),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_using] = ACTIONS(3343),
    [anon_sym_static_assert] = ACTIONS(3343),
  },
  [2449] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2450] = {
    [sym_identifier] = ACTIONS(3001),
    [aux_sym_preproc_def_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token1] = ACTIONS(3001),
    [aux_sym_preproc_if_token2] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3001),
    [aux_sym_preproc_elif_token1] = ACTIONS(3001),
    [sym_preproc_directive] = ACTIONS(3001),
    [anon_sym_LPAREN2] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(3001),
    [anon_sym_typedef] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym___attribute__] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3003),
    [anon_sym___declspec] = ACTIONS(3001),
    [anon_sym___based] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(3001),
    [anon_sym_unsigned] = ACTIONS(3001),
    [anon_sym_long] = ACTIONS(3001),
    [anon_sym_short] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_register] = ACTIONS(3001),
    [anon_sym_inline] = ACTIONS(3001),
    [anon_sym___inline] = ACTIONS(3001),
    [anon_sym___inline__] = ACTIONS(3001),
    [anon_sym___forceinline] = ACTIONS(3001),
    [anon_sym_thread_local] = ACTIONS(3001),
    [anon_sym___thread] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_constexpr] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_restrict] = ACTIONS(3001),
    [anon_sym___restrict__] = ACTIONS(3001),
    [anon_sym__Atomic] = ACTIONS(3001),
    [anon_sym__Noreturn] = ACTIONS(3001),
    [anon_sym_noreturn] = ACTIONS(3001),
    [anon_sym_mutable] = ACTIONS(3001),
    [anon_sym_constinit] = ACTIONS(3001),
    [anon_sym_consteval] = ACTIONS(3001),
    [sym_primitive_type] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_union] = ACTIONS(3001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3001),
    [anon_sym_decltype] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_alignas] = ACTIONS(3001),
    [anon_sym_explicit] = ACTIONS(3001),
    [anon_sym_typename] = ACTIONS(3001),
    [anon_sym_template] = ACTIONS(3001),
    [anon_sym_operator] = ACTIONS(3001),
    [anon_sym_friend] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_static_assert] = ACTIONS(3001),
  },
  [2451] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2452] = {
    [sym_string_literal] = STATE(2453),
    [sym_template_argument_list] = STATE(3725),
    [sym_raw_string_literal] = STATE(2453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4357),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5988),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4357),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4349),
    [anon_sym_or_eq] = ACTIONS(4349),
    [anon_sym_xor_eq] = ACTIONS(4349),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5972),
    [anon_sym_u_DQUOTE] = ACTIONS(5972),
    [anon_sym_U_DQUOTE] = ACTIONS(5972),
    [anon_sym_u8_DQUOTE] = ACTIONS(5972),
    [anon_sym_DQUOTE] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4349),
    [anon_sym_R_DQUOTE] = ACTIONS(5974),
    [anon_sym_LR_DQUOTE] = ACTIONS(5974),
    [anon_sym_uR_DQUOTE] = ACTIONS(5974),
    [anon_sym_UR_DQUOTE] = ACTIONS(5974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5974),
  },
  [2453] = {
    [sym_string_literal] = STATE(2437),
    [sym_raw_string_literal] = STATE(2437),
    [aux_sym_concatenated_string_repeat1] = STATE(2437),
    [sym_identifier] = ACTIONS(5991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5282),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5282),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(5972),
    [anon_sym_u_DQUOTE] = ACTIONS(5972),
    [anon_sym_U_DQUOTE] = ACTIONS(5972),
    [anon_sym_u8_DQUOTE] = ACTIONS(5972),
    [anon_sym_DQUOTE] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5280),
    [anon_sym_R_DQUOTE] = ACTIONS(5974),
    [anon_sym_LR_DQUOTE] = ACTIONS(5974),
    [anon_sym_uR_DQUOTE] = ACTIONS(5974),
    [anon_sym_UR_DQUOTE] = ACTIONS(5974),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5974),
    [sym_literal_suffix] = ACTIONS(5282),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5613),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5613),
    [anon_sym_constexpr] = ACTIONS(5613),
    [anon_sym_volatile] = ACTIONS(5613),
    [anon_sym_restrict] = ACTIONS(5613),
    [anon_sym___restrict__] = ACTIONS(5613),
    [anon_sym__Atomic] = ACTIONS(5613),
    [anon_sym__Noreturn] = ACTIONS(5613),
    [anon_sym_noreturn] = ACTIONS(5613),
    [anon_sym_mutable] = ACTIONS(5613),
    [anon_sym_constinit] = ACTIONS(5613),
    [anon_sym_consteval] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
    [anon_sym_final] = ACTIONS(5613),
    [anon_sym_override] = ACTIONS(5613),
    [anon_sym_requires] = ACTIONS(5613),
  },
  [2455] = {
    [sym_identifier] = ACTIONS(3327),
    [aux_sym_preproc_def_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token2] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3327),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3327),
    [aux_sym_preproc_else_token1] = ACTIONS(3327),
    [aux_sym_preproc_elif_token1] = ACTIONS(3327),
    [sym_preproc_directive] = ACTIONS(3327),
    [anon_sym_LPAREN2] = ACTIONS(3329),
    [anon_sym_TILDE] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3329),
    [anon_sym_AMP_AMP] = ACTIONS(3329),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3327),
    [anon_sym_typedef] = ACTIONS(3327),
    [anon_sym_extern] = ACTIONS(3327),
    [anon_sym___attribute__] = ACTIONS(3327),
    [anon_sym_COLON_COLON] = ACTIONS(3329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3329),
    [anon_sym___declspec] = ACTIONS(3327),
    [anon_sym___based] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3327),
    [anon_sym_unsigned] = ACTIONS(3327),
    [anon_sym_long] = ACTIONS(3327),
    [anon_sym_short] = ACTIONS(3327),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_static] = ACTIONS(3327),
    [anon_sym_register] = ACTIONS(3327),
    [anon_sym_inline] = ACTIONS(3327),
    [anon_sym___inline] = ACTIONS(3327),
    [anon_sym___inline__] = ACTIONS(3327),
    [anon_sym___forceinline] = ACTIONS(3327),
    [anon_sym_thread_local] = ACTIONS(3327),
    [anon_sym___thread] = ACTIONS(3327),
    [anon_sym_const] = ACTIONS(3327),
    [anon_sym_constexpr] = ACTIONS(3327),
    [anon_sym_volatile] = ACTIONS(3327),
    [anon_sym_restrict] = ACTIONS(3327),
    [anon_sym___restrict__] = ACTIONS(3327),
    [anon_sym__Atomic] = ACTIONS(3327),
    [anon_sym__Noreturn] = ACTIONS(3327),
    [anon_sym_noreturn] = ACTIONS(3327),
    [anon_sym_mutable] = ACTIONS(3327),
    [anon_sym_constinit] = ACTIONS(3327),
    [anon_sym_consteval] = ACTIONS(3327),
    [sym_primitive_type] = ACTIONS(3327),
    [anon_sym_enum] = ACTIONS(3327),
    [anon_sym_class] = ACTIONS(3327),
    [anon_sym_struct] = ACTIONS(3327),
    [anon_sym_union] = ACTIONS(3327),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3327),
    [anon_sym_decltype] = ACTIONS(3327),
    [anon_sym_virtual] = ACTIONS(3327),
    [anon_sym_alignas] = ACTIONS(3327),
    [anon_sym_explicit] = ACTIONS(3327),
    [anon_sym_typename] = ACTIONS(3327),
    [anon_sym_template] = ACTIONS(3327),
    [anon_sym_operator] = ACTIONS(3327),
    [anon_sym_friend] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3327),
    [anon_sym_private] = ACTIONS(3327),
    [anon_sym_protected] = ACTIONS(3327),
    [anon_sym_using] = ACTIONS(3327),
    [anon_sym_static_assert] = ACTIONS(3327),
  },
  [2456] = {
    [sym_identifier] = ACTIONS(5831),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5833),
    [anon_sym_COMMA] = ACTIONS(5833),
    [anon_sym_RPAREN] = ACTIONS(5833),
    [aux_sym_preproc_if_token2] = ACTIONS(5833),
    [aux_sym_preproc_else_token1] = ACTIONS(5833),
    [aux_sym_preproc_elif_token1] = ACTIONS(5831),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5833),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5833),
    [anon_sym_LPAREN2] = ACTIONS(5833),
    [anon_sym_DASH] = ACTIONS(5831),
    [anon_sym_PLUS] = ACTIONS(5831),
    [anon_sym_STAR] = ACTIONS(5831),
    [anon_sym_SLASH] = ACTIONS(5831),
    [anon_sym_PERCENT] = ACTIONS(5831),
    [anon_sym_PIPE_PIPE] = ACTIONS(5833),
    [anon_sym_AMP_AMP] = ACTIONS(5833),
    [anon_sym_PIPE] = ACTIONS(5831),
    [anon_sym_CARET] = ACTIONS(5831),
    [anon_sym_AMP] = ACTIONS(5831),
    [anon_sym_EQ_EQ] = ACTIONS(5833),
    [anon_sym_BANG_EQ] = ACTIONS(5833),
    [anon_sym_GT] = ACTIONS(5831),
    [anon_sym_GT_EQ] = ACTIONS(5833),
    [anon_sym_LT_EQ] = ACTIONS(5831),
    [anon_sym_LT] = ACTIONS(5831),
    [anon_sym_LT_LT] = ACTIONS(5831),
    [anon_sym_GT_GT] = ACTIONS(5831),
    [anon_sym_SEMI] = ACTIONS(5833),
    [anon_sym___attribute__] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_RBRACE] = ACTIONS(5833),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5833),
    [anon_sym_EQ] = ACTIONS(5831),
    [anon_sym_COLON] = ACTIONS(5833),
    [anon_sym_QMARK] = ACTIONS(5833),
    [anon_sym_STAR_EQ] = ACTIONS(5833),
    [anon_sym_SLASH_EQ] = ACTIONS(5833),
    [anon_sym_PERCENT_EQ] = ACTIONS(5833),
    [anon_sym_PLUS_EQ] = ACTIONS(5833),
    [anon_sym_DASH_EQ] = ACTIONS(5833),
    [anon_sym_LT_LT_EQ] = ACTIONS(5833),
    [anon_sym_GT_GT_EQ] = ACTIONS(5833),
    [anon_sym_AMP_EQ] = ACTIONS(5833),
    [anon_sym_CARET_EQ] = ACTIONS(5833),
    [anon_sym_PIPE_EQ] = ACTIONS(5833),
    [anon_sym_and_eq] = ACTIONS(5831),
    [anon_sym_or_eq] = ACTIONS(5831),
    [anon_sym_xor_eq] = ACTIONS(5831),
    [anon_sym_LT_EQ_GT] = ACTIONS(5833),
    [anon_sym_or] = ACTIONS(5831),
    [anon_sym_and] = ACTIONS(5831),
    [anon_sym_bitor] = ACTIONS(5831),
    [anon_sym_xor] = ACTIONS(5831),
    [anon_sym_bitand] = ACTIONS(5831),
    [anon_sym_not_eq] = ACTIONS(5831),
    [anon_sym_DASH_DASH] = ACTIONS(5833),
    [anon_sym_PLUS_PLUS] = ACTIONS(5833),
    [anon_sym_DOT] = ACTIONS(5831),
    [anon_sym_DOT_STAR] = ACTIONS(5833),
    [anon_sym_DASH_GT] = ACTIONS(5833),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5831),
    [anon_sym_decltype] = ACTIONS(5831),
  },
  [2457] = {
    [sym_argument_list] = STATE(2908),
    [sym_initializer_list] = STATE(2908),
    [sym_identifier] = ACTIONS(5993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5995),
    [anon_sym_COMMA] = ACTIONS(5995),
    [anon_sym_RPAREN] = ACTIONS(5995),
    [aux_sym_preproc_if_token2] = ACTIONS(5995),
    [aux_sym_preproc_else_token1] = ACTIONS(5995),
    [aux_sym_preproc_elif_token1] = ACTIONS(5993),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5995),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5995),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(5993),
    [anon_sym_PLUS] = ACTIONS(5993),
    [anon_sym_STAR] = ACTIONS(5993),
    [anon_sym_SLASH] = ACTIONS(5993),
    [anon_sym_PERCENT] = ACTIONS(5993),
    [anon_sym_PIPE_PIPE] = ACTIONS(5995),
    [anon_sym_AMP_AMP] = ACTIONS(5995),
    [anon_sym_PIPE] = ACTIONS(5993),
    [anon_sym_CARET] = ACTIONS(5993),
    [anon_sym_AMP] = ACTIONS(5993),
    [anon_sym_EQ_EQ] = ACTIONS(5995),
    [anon_sym_BANG_EQ] = ACTIONS(5995),
    [anon_sym_GT] = ACTIONS(5993),
    [anon_sym_GT_EQ] = ACTIONS(5995),
    [anon_sym_LT_EQ] = ACTIONS(5993),
    [anon_sym_LT] = ACTIONS(5993),
    [anon_sym_LT_LT] = ACTIONS(5993),
    [anon_sym_GT_GT] = ACTIONS(5993),
    [anon_sym_SEMI] = ACTIONS(5995),
    [anon_sym___attribute__] = ACTIONS(5993),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5995),
    [anon_sym_RBRACK] = ACTIONS(5995),
    [anon_sym_EQ] = ACTIONS(5993),
    [anon_sym_COLON] = ACTIONS(5995),
    [anon_sym_QMARK] = ACTIONS(5995),
    [anon_sym_STAR_EQ] = ACTIONS(5995),
    [anon_sym_SLASH_EQ] = ACTIONS(5995),
    [anon_sym_PERCENT_EQ] = ACTIONS(5995),
    [anon_sym_PLUS_EQ] = ACTIONS(5995),
    [anon_sym_DASH_EQ] = ACTIONS(5995),
    [anon_sym_LT_LT_EQ] = ACTIONS(5995),
    [anon_sym_GT_GT_EQ] = ACTIONS(5995),
    [anon_sym_AMP_EQ] = ACTIONS(5995),
    [anon_sym_CARET_EQ] = ACTIONS(5995),
    [anon_sym_PIPE_EQ] = ACTIONS(5995),
    [anon_sym_and_eq] = ACTIONS(5993),
    [anon_sym_or_eq] = ACTIONS(5993),
    [anon_sym_xor_eq] = ACTIONS(5993),
    [anon_sym_LT_EQ_GT] = ACTIONS(5995),
    [anon_sym_or] = ACTIONS(5993),
    [anon_sym_and] = ACTIONS(5993),
    [anon_sym_bitor] = ACTIONS(5993),
    [anon_sym_xor] = ACTIONS(5993),
    [anon_sym_bitand] = ACTIONS(5993),
    [anon_sym_not_eq] = ACTIONS(5993),
    [anon_sym_DASH_DASH] = ACTIONS(5995),
    [anon_sym_PLUS_PLUS] = ACTIONS(5995),
    [anon_sym_DOT] = ACTIONS(5993),
    [anon_sym_DOT_STAR] = ACTIONS(5995),
    [anon_sym_DASH_GT] = ACTIONS(5995),
    [sym_comment] = ACTIONS(3),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
  },
  [2459] = {
    [sym_identifier] = ACTIONS(5613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5613),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5613),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5613),
    [anon_sym_GT_GT] = ACTIONS(5613),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_EQ] = ACTIONS(5613),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_STAR_EQ] = ACTIONS(5615),
    [anon_sym_SLASH_EQ] = ACTIONS(5615),
    [anon_sym_PERCENT_EQ] = ACTIONS(5615),
    [anon_sym_PLUS_EQ] = ACTIONS(5615),
    [anon_sym_DASH_EQ] = ACTIONS(5615),
    [anon_sym_LT_LT_EQ] = ACTIONS(5615),
    [anon_sym_GT_GT_EQ] = ACTIONS(5615),
    [anon_sym_AMP_EQ] = ACTIONS(5615),
    [anon_sym_CARET_EQ] = ACTIONS(5615),
    [anon_sym_PIPE_EQ] = ACTIONS(5615),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5613),
    [anon_sym_and] = ACTIONS(5613),
    [anon_sym_bitor] = ACTIONS(5613),
    [anon_sym_xor] = ACTIONS(5613),
    [anon_sym_bitand] = ACTIONS(5613),
    [anon_sym_not_eq] = ACTIONS(5613),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5613),
    [anon_sym_decltype] = ACTIONS(5613),
  },
  [2460] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5615),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_RPAREN] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5615),
    [anon_sym_DASH] = ACTIONS(5613),
    [anon_sym_PLUS] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5615),
    [anon_sym_SLASH] = ACTIONS(5613),
    [anon_sym_PERCENT] = ACTIONS(5615),
    [anon_sym_PIPE_PIPE] = ACTIONS(5615),
    [anon_sym_AMP_AMP] = ACTIONS(5615),
    [anon_sym_PIPE] = ACTIONS(5613),
    [anon_sym_CARET] = ACTIONS(5615),
    [anon_sym_AMP] = ACTIONS(5613),
    [anon_sym_EQ_EQ] = ACTIONS(5615),
    [anon_sym_BANG_EQ] = ACTIONS(5615),
    [anon_sym_GT] = ACTIONS(5613),
    [anon_sym_GT_EQ] = ACTIONS(5615),
    [anon_sym_LT_EQ] = ACTIONS(5613),
    [anon_sym_LT] = ACTIONS(5613),
    [anon_sym_LT_LT] = ACTIONS(5615),
    [anon_sym_GT_GT] = ACTIONS(5615),
    [anon_sym_SEMI] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(5615),
    [anon_sym_RBRACE] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5997),
    [anon_sym_unsigned] = ACTIONS(5997),
    [anon_sym_long] = ACTIONS(5997),
    [anon_sym_short] = ACTIONS(5997),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5613),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [anon_sym_COLON] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LT_EQ_GT] = ACTIONS(5615),
    [anon_sym_or] = ACTIONS(5615),
    [anon_sym_and] = ACTIONS(5615),
    [anon_sym_bitor] = ACTIONS(5615),
    [anon_sym_xor] = ACTIONS(5615),
    [anon_sym_bitand] = ACTIONS(5615),
    [anon_sym_not_eq] = ACTIONS(5615),
    [anon_sym_DASH_DASH] = ACTIONS(5615),
    [anon_sym_PLUS_PLUS] = ACTIONS(5615),
    [anon_sym_DOT] = ACTIONS(5613),
    [anon_sym_DOT_STAR] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_final] = ACTIONS(5615),
    [anon_sym_override] = ACTIONS(5615),
    [anon_sym_requires] = ACTIONS(5615),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(5777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5779),
    [anon_sym_COMMA] = ACTIONS(5779),
    [anon_sym_RPAREN] = ACTIONS(5779),
    [aux_sym_preproc_if_token2] = ACTIONS(5779),
    [aux_sym_preproc_else_token1] = ACTIONS(5779),
    [aux_sym_preproc_elif_token1] = ACTIONS(5777),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5779),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5779),
    [anon_sym_LPAREN2] = ACTIONS(5779),
    [anon_sym_DASH] = ACTIONS(5777),
    [anon_sym_PLUS] = ACTIONS(5777),
    [anon_sym_STAR] = ACTIONS(5777),
    [anon_sym_SLASH] = ACTIONS(5777),
    [anon_sym_PERCENT] = ACTIONS(5777),
    [anon_sym_PIPE_PIPE] = ACTIONS(5779),
    [anon_sym_AMP_AMP] = ACTIONS(5779),
    [anon_sym_PIPE] = ACTIONS(5777),
    [anon_sym_CARET] = ACTIONS(5777),
    [anon_sym_AMP] = ACTIONS(5777),
    [anon_sym_EQ_EQ] = ACTIONS(5779),
    [anon_sym_BANG_EQ] = ACTIONS(5779),
    [anon_sym_GT] = ACTIONS(5777),
    [anon_sym_GT_EQ] = ACTIONS(5779),
    [anon_sym_LT_EQ] = ACTIONS(5777),
    [anon_sym_LT] = ACTIONS(5777),
    [anon_sym_LT_LT] = ACTIONS(5777),
    [anon_sym_GT_GT] = ACTIONS(5777),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym___attribute__] = ACTIONS(5777),
    [anon_sym_LBRACE] = ACTIONS(5779),
    [anon_sym_RBRACE] = ACTIONS(5779),
    [anon_sym_LBRACK] = ACTIONS(5779),
    [anon_sym_RBRACK] = ACTIONS(5779),
    [anon_sym_EQ] = ACTIONS(5777),
    [anon_sym_COLON] = ACTIONS(5779),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_STAR_EQ] = ACTIONS(5779),
    [anon_sym_SLASH_EQ] = ACTIONS(5779),
    [anon_sym_PERCENT_EQ] = ACTIONS(5779),
    [anon_sym_PLUS_EQ] = ACTIONS(5779),
    [anon_sym_DASH_EQ] = ACTIONS(5779),
    [anon_sym_LT_LT_EQ] = ACTIONS(5779),
    [anon_sym_GT_GT_EQ] = ACTIONS(5779),
    [anon_sym_AMP_EQ] = ACTIONS(5779),
    [anon_sym_CARET_EQ] = ACTIONS(5779),
    [anon_sym_PIPE_EQ] = ACTIONS(5779),
    [anon_sym_and_eq] = ACTIONS(5777),
    [anon_sym_or_eq] = ACTIONS(5777),
    [anon_sym_xor_eq] = ACTIONS(5777),
    [anon_sym_LT_EQ_GT] = ACTIONS(5779),
    [anon_sym_or] = ACTIONS(5777),
    [anon_sym_and] = ACTIONS(5777),
    [anon_sym_bitor] = ACTIONS(5777),
    [anon_sym_xor] = ACTIONS(5777),
    [anon_sym_bitand] = ACTIONS(5777),
    [anon_sym_not_eq] = ACTIONS(5777),
    [anon_sym_DASH_DASH] = ACTIONS(5779),
    [anon_sym_PLUS_PLUS] = ACTIONS(5779),
    [anon_sym_DOT] = ACTIONS(5777),
    [anon_sym_DOT_STAR] = ACTIONS(5779),
    [anon_sym_DASH_GT] = ACTIONS(5779),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5777),
    [anon_sym_decltype] = ACTIONS(5777),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(5718),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5720),
    [anon_sym_COMMA] = ACTIONS(5720),
    [anon_sym_RPAREN] = ACTIONS(5720),
    [aux_sym_preproc_if_token2] = ACTIONS(5720),
    [aux_sym_preproc_else_token1] = ACTIONS(5720),
    [aux_sym_preproc_elif_token1] = ACTIONS(5718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5720),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5720),
    [anon_sym_LPAREN2] = ACTIONS(5720),
    [anon_sym_DASH] = ACTIONS(5718),
    [anon_sym_PLUS] = ACTIONS(5718),
    [anon_sym_STAR] = ACTIONS(5718),
    [anon_sym_SLASH] = ACTIONS(5718),
    [anon_sym_PERCENT] = ACTIONS(5718),
    [anon_sym_PIPE_PIPE] = ACTIONS(5720),
    [anon_sym_AMP_AMP] = ACTIONS(5720),
    [anon_sym_PIPE] = ACTIONS(5718),
    [anon_sym_CARET] = ACTIONS(5718),
    [anon_sym_AMP] = ACTIONS(5718),
    [anon_sym_EQ_EQ] = ACTIONS(5720),
    [anon_sym_BANG_EQ] = ACTIONS(5720),
    [anon_sym_GT] = ACTIONS(5718),
    [anon_sym_GT_EQ] = ACTIONS(5720),
    [anon_sym_LT_EQ] = ACTIONS(5718),
    [anon_sym_LT] = ACTIONS(5718),
    [anon_sym_LT_LT] = ACTIONS(5718),
    [anon_sym_GT_GT] = ACTIONS(5718),
    [anon_sym_SEMI] = ACTIONS(5720),
    [anon_sym___attribute__] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(5720),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LBRACK] = ACTIONS(5720),
    [anon_sym_RBRACK] = ACTIONS(5720),
    [anon_sym_EQ] = ACTIONS(5718),
    [anon_sym_COLON] = ACTIONS(5720),
    [anon_sym_QMARK] = ACTIONS(5720),
    [anon_sym_STAR_EQ] = ACTIONS(5720),
    [anon_sym_SLASH_EQ] = ACTIONS(5720),
    [anon_sym_PERCENT_EQ] = ACTIONS(5720),
    [anon_sym_PLUS_EQ] = ACTIONS(5720),
    [anon_sym_DASH_EQ] = ACTIONS(5720),
    [anon_sym_LT_LT_EQ] = ACTIONS(5720),
    [anon_sym_GT_GT_EQ] = ACTIONS(5720),
    [anon_sym_AMP_EQ] = ACTIONS(5720),
    [anon_sym_CARET_EQ] = ACTIONS(5720),
    [anon_sym_PIPE_EQ] = ACTIONS(5720),
    [anon_sym_and_eq] = ACTIONS(5718),
    [anon_sym_or_eq] = ACTIONS(5718),
    [anon_sym_xor_eq] = ACTIONS(5718),
    [anon_sym_LT_EQ_GT] = ACTIONS(5720),
    [anon_sym_or] = ACTIONS(5718),
    [anon_sym_and] = ACTIONS(5718),
    [anon_sym_bitor] = ACTIONS(5718),
    [anon_sym_xor] = ACTIONS(5718),
    [anon_sym_bitand] = ACTIONS(5718),
    [anon_sym_not_eq] = ACTIONS(5718),
    [anon_sym_DASH_DASH] = ACTIONS(5720),
    [anon_sym_PLUS_PLUS] = ACTIONS(5720),
    [anon_sym_DOT] = ACTIONS(5718),
    [anon_sym_DOT_STAR] = ACTIONS(5720),
    [anon_sym_DASH_GT] = ACTIONS(5720),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5718),
    [anon_sym_decltype] = ACTIONS(5718),
  },
  [2463] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5999),
    [anon_sym_COMMA] = ACTIONS(5999),
    [anon_sym_RPAREN] = ACTIONS(5999),
    [anon_sym_LPAREN2] = ACTIONS(5999),
    [anon_sym_DASH] = ACTIONS(6001),
    [anon_sym_PLUS] = ACTIONS(6001),
    [anon_sym_STAR] = ACTIONS(5999),
    [anon_sym_SLASH] = ACTIONS(6001),
    [anon_sym_PERCENT] = ACTIONS(5999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5999),
    [anon_sym_AMP_AMP] = ACTIONS(5999),
    [anon_sym_PIPE] = ACTIONS(6001),
    [anon_sym_CARET] = ACTIONS(5999),
    [anon_sym_AMP] = ACTIONS(6001),
    [anon_sym_EQ_EQ] = ACTIONS(5999),
    [anon_sym_BANG_EQ] = ACTIONS(5999),
    [anon_sym_GT] = ACTIONS(6001),
    [anon_sym_GT_EQ] = ACTIONS(5999),
    [anon_sym_LT_EQ] = ACTIONS(6001),
    [anon_sym_LT] = ACTIONS(6001),
    [anon_sym_LT_LT] = ACTIONS(5999),
    [anon_sym_GT_GT] = ACTIONS(5999),
    [anon_sym_SEMI] = ACTIONS(5999),
    [anon_sym___extension__] = ACTIONS(5999),
    [anon_sym___attribute__] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(5999),
    [anon_sym_RBRACE] = ACTIONS(5999),
    [anon_sym_signed] = ACTIONS(6003),
    [anon_sym_unsigned] = ACTIONS(6003),
    [anon_sym_long] = ACTIONS(6003),
    [anon_sym_short] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(5999),
    [anon_sym_RBRACK] = ACTIONS(5999),
    [anon_sym_const] = ACTIONS(6001),
    [anon_sym_constexpr] = ACTIONS(5999),
    [anon_sym_volatile] = ACTIONS(5999),
    [anon_sym_restrict] = ACTIONS(5999),
    [anon_sym___restrict__] = ACTIONS(5999),
    [anon_sym__Atomic] = ACTIONS(5999),
    [anon_sym__Noreturn] = ACTIONS(5999),
    [anon_sym_noreturn] = ACTIONS(5999),
    [anon_sym_mutable] = ACTIONS(5999),
    [anon_sym_constinit] = ACTIONS(5999),
    [anon_sym_consteval] = ACTIONS(5999),
    [anon_sym_COLON] = ACTIONS(5999),
    [anon_sym_QMARK] = ACTIONS(5999),
    [anon_sym_LT_EQ_GT] = ACTIONS(5999),
    [anon_sym_or] = ACTIONS(5999),
    [anon_sym_and] = ACTIONS(5999),
    [anon_sym_bitor] = ACTIONS(5999),
    [anon_sym_xor] = ACTIONS(5999),
    [anon_sym_bitand] = ACTIONS(5999),
    [anon_sym_not_eq] = ACTIONS(5999),
    [anon_sym_DASH_DASH] = ACTIONS(5999),
    [anon_sym_PLUS_PLUS] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_DOT_STAR] = ACTIONS(5999),
    [anon_sym_DASH_GT] = ACTIONS(5999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5999),
    [anon_sym_decltype] = ACTIONS(5999),
    [anon_sym_final] = ACTIONS(5999),
    [anon_sym_override] = ACTIONS(5999),
    [anon_sym_requires] = ACTIONS(5999),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(5807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5809),
    [anon_sym_COMMA] = ACTIONS(5809),
    [anon_sym_RPAREN] = ACTIONS(5809),
    [aux_sym_preproc_if_token2] = ACTIONS(5809),
    [aux_sym_preproc_else_token1] = ACTIONS(5809),
    [aux_sym_preproc_elif_token1] = ACTIONS(5807),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5809),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5809),
    [anon_sym_LPAREN2] = ACTIONS(5809),
    [anon_sym_DASH] = ACTIONS(5807),
    [anon_sym_PLUS] = ACTIONS(5807),
    [anon_sym_STAR] = ACTIONS(5807),
    [anon_sym_SLASH] = ACTIONS(5807),
    [anon_sym_PERCENT] = ACTIONS(5807),
    [anon_sym_PIPE_PIPE] = ACTIONS(5809),
    [anon_sym_AMP_AMP] = ACTIONS(5809),
    [anon_sym_PIPE] = ACTIONS(5807),
    [anon_sym_CARET] = ACTIONS(5807),
    [anon_sym_AMP] = ACTIONS(5807),
    [anon_sym_EQ_EQ] = ACTIONS(5809),
    [anon_sym_BANG_EQ] = ACTIONS(5809),
    [anon_sym_GT] = ACTIONS(5807),
    [anon_sym_GT_EQ] = ACTIONS(5809),
    [anon_sym_LT_EQ] = ACTIONS(5807),
    [anon_sym_LT] = ACTIONS(5807),
    [anon_sym_LT_LT] = ACTIONS(5807),
    [anon_sym_GT_GT] = ACTIONS(5807),
    [anon_sym_SEMI] = ACTIONS(5809),
    [anon_sym___attribute__] = ACTIONS(5807),
    [anon_sym_LBRACE] = ACTIONS(5809),
    [anon_sym_RBRACE] = ACTIONS(5809),
    [anon_sym_LBRACK] = ACTIONS(5809),
    [anon_sym_RBRACK] = ACTIONS(5809),
    [anon_sym_EQ] = ACTIONS(5807),
    [anon_sym_COLON] = ACTIONS(5809),
    [anon_sym_QMARK] = ACTIONS(5809),
    [anon_sym_STAR_EQ] = ACTIONS(5809),
    [anon_sym_SLASH_EQ] = ACTIONS(5809),
    [anon_sym_PERCENT_EQ] = ACTIONS(5809),
    [anon_sym_PLUS_EQ] = ACTIONS(5809),
    [anon_sym_DASH_EQ] = ACTIONS(5809),
    [anon_sym_LT_LT_EQ] = ACTIONS(5809),
    [anon_sym_GT_GT_EQ] = ACTIONS(5809),
    [anon_sym_AMP_EQ] = ACTIONS(5809),
    [anon_sym_CARET_EQ] = ACTIONS(5809),
    [anon_sym_PIPE_EQ] = ACTIONS(5809),
    [anon_sym_and_eq] = ACTIONS(5807),
    [anon_sym_or_eq] = ACTIONS(5807),
    [anon_sym_xor_eq] = ACTIONS(5807),
    [anon_sym_LT_EQ_GT] = ACTIONS(5809),
    [anon_sym_or] = ACTIONS(5807),
    [anon_sym_and] = ACTIONS(5807),
    [anon_sym_bitor] = ACTIONS(5807),
    [anon_sym_xor] = ACTIONS(5807),
    [anon_sym_bitand] = ACTIONS(5807),
    [anon_sym_not_eq] = ACTIONS(5807),
    [anon_sym_DASH_DASH] = ACTIONS(5809),
    [anon_sym_PLUS_PLUS] = ACTIONS(5809),
    [anon_sym_DOT] = ACTIONS(5807),
    [anon_sym_DOT_STAR] = ACTIONS(5809),
    [anon_sym_DASH_GT] = ACTIONS(5809),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5807),
    [anon_sym_decltype] = ACTIONS(5807),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
  },
  [2466] = {
    [sym_identifier] = ACTIONS(5819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5821),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_RPAREN] = ACTIONS(5821),
    [aux_sym_preproc_if_token2] = ACTIONS(5821),
    [aux_sym_preproc_else_token1] = ACTIONS(5821),
    [aux_sym_preproc_elif_token1] = ACTIONS(5819),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5821),
    [anon_sym_LPAREN2] = ACTIONS(5821),
    [anon_sym_DASH] = ACTIONS(5819),
    [anon_sym_PLUS] = ACTIONS(5819),
    [anon_sym_STAR] = ACTIONS(5819),
    [anon_sym_SLASH] = ACTIONS(5819),
    [anon_sym_PERCENT] = ACTIONS(5819),
    [anon_sym_PIPE_PIPE] = ACTIONS(5821),
    [anon_sym_AMP_AMP] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5819),
    [anon_sym_CARET] = ACTIONS(5819),
    [anon_sym_AMP] = ACTIONS(5819),
    [anon_sym_EQ_EQ] = ACTIONS(5821),
    [anon_sym_BANG_EQ] = ACTIONS(5821),
    [anon_sym_GT] = ACTIONS(5819),
    [anon_sym_GT_EQ] = ACTIONS(5821),
    [anon_sym_LT_EQ] = ACTIONS(5819),
    [anon_sym_LT] = ACTIONS(5819),
    [anon_sym_LT_LT] = ACTIONS(5819),
    [anon_sym_GT_GT] = ACTIONS(5819),
    [anon_sym_SEMI] = ACTIONS(5821),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym_LBRACE] = ACTIONS(5821),
    [anon_sym_RBRACE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5821),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5819),
    [anon_sym_COLON] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_STAR_EQ] = ACTIONS(5821),
    [anon_sym_SLASH_EQ] = ACTIONS(5821),
    [anon_sym_PERCENT_EQ] = ACTIONS(5821),
    [anon_sym_PLUS_EQ] = ACTIONS(5821),
    [anon_sym_DASH_EQ] = ACTIONS(5821),
    [anon_sym_LT_LT_EQ] = ACTIONS(5821),
    [anon_sym_GT_GT_EQ] = ACTIONS(5821),
    [anon_sym_AMP_EQ] = ACTIONS(5821),
    [anon_sym_CARET_EQ] = ACTIONS(5821),
    [anon_sym_PIPE_EQ] = ACTIONS(5821),
    [anon_sym_and_eq] = ACTIONS(5819),
    [anon_sym_or_eq] = ACTIONS(5819),
    [anon_sym_xor_eq] = ACTIONS(5819),
    [anon_sym_LT_EQ_GT] = ACTIONS(5821),
    [anon_sym_or] = ACTIONS(5819),
    [anon_sym_and] = ACTIONS(5819),
    [anon_sym_bitor] = ACTIONS(5819),
    [anon_sym_xor] = ACTIONS(5819),
    [anon_sym_bitand] = ACTIONS(5819),
    [anon_sym_not_eq] = ACTIONS(5819),
    [anon_sym_DASH_DASH] = ACTIONS(5821),
    [anon_sym_PLUS_PLUS] = ACTIONS(5821),
    [anon_sym_DOT] = ACTIONS(5819),
    [anon_sym_DOT_STAR] = ACTIONS(5821),
    [anon_sym_DASH_GT] = ACTIONS(5821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
  },
  [2467] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6005),
    [anon_sym_COMMA] = ACTIONS(6005),
    [anon_sym_RPAREN] = ACTIONS(6005),
    [anon_sym_LPAREN2] = ACTIONS(6005),
    [anon_sym_DASH] = ACTIONS(6007),
    [anon_sym_PLUS] = ACTIONS(6007),
    [anon_sym_STAR] = ACTIONS(6005),
    [anon_sym_SLASH] = ACTIONS(6007),
    [anon_sym_PERCENT] = ACTIONS(6005),
    [anon_sym_PIPE_PIPE] = ACTIONS(6005),
    [anon_sym_AMP_AMP] = ACTIONS(6005),
    [anon_sym_PIPE] = ACTIONS(6007),
    [anon_sym_CARET] = ACTIONS(6005),
    [anon_sym_AMP] = ACTIONS(6007),
    [anon_sym_EQ_EQ] = ACTIONS(6005),
    [anon_sym_BANG_EQ] = ACTIONS(6005),
    [anon_sym_GT] = ACTIONS(6007),
    [anon_sym_GT_EQ] = ACTIONS(6005),
    [anon_sym_LT_EQ] = ACTIONS(6007),
    [anon_sym_LT] = ACTIONS(6007),
    [anon_sym_LT_LT] = ACTIONS(6005),
    [anon_sym_GT_GT] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6005),
    [anon_sym___extension__] = ACTIONS(6005),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_LBRACE] = ACTIONS(6005),
    [anon_sym_RBRACE] = ACTIONS(6005),
    [anon_sym_signed] = ACTIONS(6003),
    [anon_sym_unsigned] = ACTIONS(6003),
    [anon_sym_long] = ACTIONS(6003),
    [anon_sym_short] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(6005),
    [anon_sym_RBRACK] = ACTIONS(6005),
    [anon_sym_const] = ACTIONS(6007),
    [anon_sym_constexpr] = ACTIONS(6005),
    [anon_sym_volatile] = ACTIONS(6005),
    [anon_sym_restrict] = ACTIONS(6005),
    [anon_sym___restrict__] = ACTIONS(6005),
    [anon_sym__Atomic] = ACTIONS(6005),
    [anon_sym__Noreturn] = ACTIONS(6005),
    [anon_sym_noreturn] = ACTIONS(6005),
    [anon_sym_mutable] = ACTIONS(6005),
    [anon_sym_constinit] = ACTIONS(6005),
    [anon_sym_consteval] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6005),
    [anon_sym_QMARK] = ACTIONS(6005),
    [anon_sym_LT_EQ_GT] = ACTIONS(6005),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6005),
    [anon_sym_PLUS_PLUS] = ACTIONS(6005),
    [anon_sym_DOT] = ACTIONS(6007),
    [anon_sym_DOT_STAR] = ACTIONS(6005),
    [anon_sym_DASH_GT] = ACTIONS(6005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6005),
    [anon_sym_decltype] = ACTIONS(6005),
    [anon_sym_final] = ACTIONS(6005),
    [anon_sym_override] = ACTIONS(6005),
    [anon_sym_requires] = ACTIONS(6005),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(5744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_else_token1] = ACTIONS(5746),
    [aux_sym_preproc_elif_token1] = ACTIONS(5744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_EQ] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_STAR_EQ] = ACTIONS(5746),
    [anon_sym_SLASH_EQ] = ACTIONS(5746),
    [anon_sym_PERCENT_EQ] = ACTIONS(5746),
    [anon_sym_PLUS_EQ] = ACTIONS(5746),
    [anon_sym_DASH_EQ] = ACTIONS(5746),
    [anon_sym_LT_LT_EQ] = ACTIONS(5746),
    [anon_sym_GT_GT_EQ] = ACTIONS(5746),
    [anon_sym_AMP_EQ] = ACTIONS(5746),
    [anon_sym_CARET_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_and_eq] = ACTIONS(5744),
    [anon_sym_or_eq] = ACTIONS(5744),
    [anon_sym_xor_eq] = ACTIONS(5744),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5744),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5744),
    [anon_sym_not_eq] = ACTIONS(5744),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5744),
    [anon_sym_decltype] = ACTIONS(5744),
  },
  [2469] = {
    [sym_identifier] = ACTIONS(5827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_RPAREN] = ACTIONS(5829),
    [aux_sym_preproc_if_token2] = ACTIONS(5829),
    [aux_sym_preproc_else_token1] = ACTIONS(5829),
    [aux_sym_preproc_elif_token1] = ACTIONS(5827),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5829),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5829),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5827),
    [anon_sym_PLUS] = ACTIONS(5827),
    [anon_sym_STAR] = ACTIONS(5827),
    [anon_sym_SLASH] = ACTIONS(5827),
    [anon_sym_PERCENT] = ACTIONS(5827),
    [anon_sym_PIPE_PIPE] = ACTIONS(5829),
    [anon_sym_AMP_AMP] = ACTIONS(5829),
    [anon_sym_PIPE] = ACTIONS(5827),
    [anon_sym_CARET] = ACTIONS(5827),
    [anon_sym_AMP] = ACTIONS(5827),
    [anon_sym_EQ_EQ] = ACTIONS(5829),
    [anon_sym_BANG_EQ] = ACTIONS(5829),
    [anon_sym_GT] = ACTIONS(5827),
    [anon_sym_GT_EQ] = ACTIONS(5829),
    [anon_sym_LT_EQ] = ACTIONS(5827),
    [anon_sym_LT] = ACTIONS(5827),
    [anon_sym_LT_LT] = ACTIONS(5827),
    [anon_sym_GT_GT] = ACTIONS(5827),
    [anon_sym_SEMI] = ACTIONS(5829),
    [anon_sym___attribute__] = ACTIONS(5827),
    [anon_sym_LBRACE] = ACTIONS(5829),
    [anon_sym_RBRACE] = ACTIONS(5829),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5829),
    [anon_sym_EQ] = ACTIONS(5827),
    [anon_sym_COLON] = ACTIONS(5829),
    [anon_sym_QMARK] = ACTIONS(5829),
    [anon_sym_STAR_EQ] = ACTIONS(5829),
    [anon_sym_SLASH_EQ] = ACTIONS(5829),
    [anon_sym_PERCENT_EQ] = ACTIONS(5829),
    [anon_sym_PLUS_EQ] = ACTIONS(5829),
    [anon_sym_DASH_EQ] = ACTIONS(5829),
    [anon_sym_LT_LT_EQ] = ACTIONS(5829),
    [anon_sym_GT_GT_EQ] = ACTIONS(5829),
    [anon_sym_AMP_EQ] = ACTIONS(5829),
    [anon_sym_CARET_EQ] = ACTIONS(5829),
    [anon_sym_PIPE_EQ] = ACTIONS(5829),
    [anon_sym_and_eq] = ACTIONS(5827),
    [anon_sym_or_eq] = ACTIONS(5827),
    [anon_sym_xor_eq] = ACTIONS(5827),
    [anon_sym_LT_EQ_GT] = ACTIONS(5829),
    [anon_sym_or] = ACTIONS(5827),
    [anon_sym_and] = ACTIONS(5827),
    [anon_sym_bitor] = ACTIONS(5827),
    [anon_sym_xor] = ACTIONS(5827),
    [anon_sym_bitand] = ACTIONS(5827),
    [anon_sym_not_eq] = ACTIONS(5827),
    [anon_sym_DASH_DASH] = ACTIONS(5829),
    [anon_sym_PLUS_PLUS] = ACTIONS(5829),
    [anon_sym_DOT] = ACTIONS(5827),
    [anon_sym_DOT_STAR] = ACTIONS(5829),
    [anon_sym_DASH_GT] = ACTIONS(5829),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5827),
    [anon_sym_decltype] = ACTIONS(5827),
  },
  [2470] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6009),
    [anon_sym_COMMA] = ACTIONS(6009),
    [anon_sym_RPAREN] = ACTIONS(6009),
    [anon_sym_LPAREN2] = ACTIONS(6009),
    [anon_sym_DASH] = ACTIONS(6011),
    [anon_sym_PLUS] = ACTIONS(6011),
    [anon_sym_STAR] = ACTIONS(6009),
    [anon_sym_SLASH] = ACTIONS(6011),
    [anon_sym_PERCENT] = ACTIONS(6009),
    [anon_sym_PIPE_PIPE] = ACTIONS(6009),
    [anon_sym_AMP_AMP] = ACTIONS(6009),
    [anon_sym_PIPE] = ACTIONS(6011),
    [anon_sym_CARET] = ACTIONS(6009),
    [anon_sym_AMP] = ACTIONS(6011),
    [anon_sym_EQ_EQ] = ACTIONS(6009),
    [anon_sym_BANG_EQ] = ACTIONS(6009),
    [anon_sym_GT] = ACTIONS(6011),
    [anon_sym_GT_EQ] = ACTIONS(6009),
    [anon_sym_LT_EQ] = ACTIONS(6011),
    [anon_sym_LT] = ACTIONS(6011),
    [anon_sym_LT_LT] = ACTIONS(6009),
    [anon_sym_GT_GT] = ACTIONS(6009),
    [anon_sym_SEMI] = ACTIONS(6009),
    [anon_sym___extension__] = ACTIONS(6009),
    [anon_sym___attribute__] = ACTIONS(6009),
    [anon_sym_LBRACE] = ACTIONS(6009),
    [anon_sym_RBRACE] = ACTIONS(6009),
    [anon_sym_signed] = ACTIONS(6003),
    [anon_sym_unsigned] = ACTIONS(6003),
    [anon_sym_long] = ACTIONS(6003),
    [anon_sym_short] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(6009),
    [anon_sym_RBRACK] = ACTIONS(6009),
    [anon_sym_const] = ACTIONS(6011),
    [anon_sym_constexpr] = ACTIONS(6009),
    [anon_sym_volatile] = ACTIONS(6009),
    [anon_sym_restrict] = ACTIONS(6009),
    [anon_sym___restrict__] = ACTIONS(6009),
    [anon_sym__Atomic] = ACTIONS(6009),
    [anon_sym__Noreturn] = ACTIONS(6009),
    [anon_sym_noreturn] = ACTIONS(6009),
    [anon_sym_mutable] = ACTIONS(6009),
    [anon_sym_constinit] = ACTIONS(6009),
    [anon_sym_consteval] = ACTIONS(6009),
    [anon_sym_COLON] = ACTIONS(6009),
    [anon_sym_QMARK] = ACTIONS(6009),
    [anon_sym_LT_EQ_GT] = ACTIONS(6009),
    [anon_sym_or] = ACTIONS(6009),
    [anon_sym_and] = ACTIONS(6009),
    [anon_sym_bitor] = ACTIONS(6009),
    [anon_sym_xor] = ACTIONS(6009),
    [anon_sym_bitand] = ACTIONS(6009),
    [anon_sym_not_eq] = ACTIONS(6009),
    [anon_sym_DASH_DASH] = ACTIONS(6009),
    [anon_sym_PLUS_PLUS] = ACTIONS(6009),
    [anon_sym_DOT] = ACTIONS(6011),
    [anon_sym_DOT_STAR] = ACTIONS(6009),
    [anon_sym_DASH_GT] = ACTIONS(6009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6009),
    [anon_sym_decltype] = ACTIONS(6009),
    [anon_sym_final] = ACTIONS(6009),
    [anon_sym_override] = ACTIONS(6009),
    [anon_sym_requires] = ACTIONS(6009),
  },
  [2471] = {
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5837),
    [anon_sym_COMMA] = ACTIONS(5837),
    [anon_sym_RPAREN] = ACTIONS(5837),
    [aux_sym_preproc_if_token2] = ACTIONS(5837),
    [aux_sym_preproc_else_token1] = ACTIONS(5837),
    [aux_sym_preproc_elif_token1] = ACTIONS(5835),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5837),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5837),
    [anon_sym_LPAREN2] = ACTIONS(5837),
    [anon_sym_DASH] = ACTIONS(5835),
    [anon_sym_PLUS] = ACTIONS(5835),
    [anon_sym_STAR] = ACTIONS(5835),
    [anon_sym_SLASH] = ACTIONS(5835),
    [anon_sym_PERCENT] = ACTIONS(5835),
    [anon_sym_PIPE_PIPE] = ACTIONS(5837),
    [anon_sym_AMP_AMP] = ACTIONS(5837),
    [anon_sym_PIPE] = ACTIONS(5835),
    [anon_sym_CARET] = ACTIONS(5835),
    [anon_sym_AMP] = ACTIONS(5835),
    [anon_sym_EQ_EQ] = ACTIONS(5837),
    [anon_sym_BANG_EQ] = ACTIONS(5837),
    [anon_sym_GT] = ACTIONS(5835),
    [anon_sym_GT_EQ] = ACTIONS(5837),
    [anon_sym_LT_EQ] = ACTIONS(5835),
    [anon_sym_LT] = ACTIONS(5835),
    [anon_sym_LT_LT] = ACTIONS(5835),
    [anon_sym_GT_GT] = ACTIONS(5835),
    [anon_sym_SEMI] = ACTIONS(5837),
    [anon_sym___attribute__] = ACTIONS(5835),
    [anon_sym_LBRACE] = ACTIONS(5837),
    [anon_sym_RBRACE] = ACTIONS(5837),
    [anon_sym_LBRACK] = ACTIONS(5837),
    [anon_sym_RBRACK] = ACTIONS(5837),
    [anon_sym_EQ] = ACTIONS(5835),
    [anon_sym_COLON] = ACTIONS(5837),
    [anon_sym_QMARK] = ACTIONS(5837),
    [anon_sym_STAR_EQ] = ACTIONS(5837),
    [anon_sym_SLASH_EQ] = ACTIONS(5837),
    [anon_sym_PERCENT_EQ] = ACTIONS(5837),
    [anon_sym_PLUS_EQ] = ACTIONS(5837),
    [anon_sym_DASH_EQ] = ACTIONS(5837),
    [anon_sym_LT_LT_EQ] = ACTIONS(5837),
    [anon_sym_GT_GT_EQ] = ACTIONS(5837),
    [anon_sym_AMP_EQ] = ACTIONS(5837),
    [anon_sym_CARET_EQ] = ACTIONS(5837),
    [anon_sym_PIPE_EQ] = ACTIONS(5837),
    [anon_sym_and_eq] = ACTIONS(5835),
    [anon_sym_or_eq] = ACTIONS(5835),
    [anon_sym_xor_eq] = ACTIONS(5835),
    [anon_sym_LT_EQ_GT] = ACTIONS(5837),
    [anon_sym_or] = ACTIONS(5835),
    [anon_sym_and] = ACTIONS(5835),
    [anon_sym_bitor] = ACTIONS(5835),
    [anon_sym_xor] = ACTIONS(5835),
    [anon_sym_bitand] = ACTIONS(5835),
    [anon_sym_not_eq] = ACTIONS(5835),
    [anon_sym_DASH_DASH] = ACTIONS(5837),
    [anon_sym_PLUS_PLUS] = ACTIONS(5837),
    [anon_sym_DOT] = ACTIONS(5835),
    [anon_sym_DOT_STAR] = ACTIONS(5837),
    [anon_sym_DASH_GT] = ACTIONS(5837),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5835),
    [anon_sym_decltype] = ACTIONS(5835),
  },
  [2472] = {
    [sym_template_argument_list] = STATE(2007),
    [sym_identifier] = ACTIONS(5458),
    [anon_sym_LPAREN2] = ACTIONS(4373),
    [anon_sym_TILDE] = ACTIONS(4373),
    [anon_sym_STAR] = ACTIONS(4373),
    [anon_sym_PIPE_PIPE] = ACTIONS(4373),
    [anon_sym_AMP_AMP] = ACTIONS(4373),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(5458),
    [anon_sym_extern] = ACTIONS(5458),
    [anon_sym___attribute__] = ACTIONS(5458),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4373),
    [anon_sym___declspec] = ACTIONS(5458),
    [anon_sym___based] = ACTIONS(5458),
    [anon_sym___cdecl] = ACTIONS(5458),
    [anon_sym___clrcall] = ACTIONS(5458),
    [anon_sym___stdcall] = ACTIONS(5458),
    [anon_sym___fastcall] = ACTIONS(5458),
    [anon_sym___thiscall] = ACTIONS(5458),
    [anon_sym___vectorcall] = ACTIONS(5458),
    [anon_sym_signed] = ACTIONS(5458),
    [anon_sym_unsigned] = ACTIONS(5458),
    [anon_sym_long] = ACTIONS(5458),
    [anon_sym_short] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5458),
    [anon_sym_static] = ACTIONS(5458),
    [anon_sym_register] = ACTIONS(5458),
    [anon_sym_inline] = ACTIONS(5458),
    [anon_sym___inline] = ACTIONS(5458),
    [anon_sym___inline__] = ACTIONS(5458),
    [anon_sym___forceinline] = ACTIONS(5458),
    [anon_sym_thread_local] = ACTIONS(5458),
    [anon_sym___thread] = ACTIONS(5458),
    [anon_sym_const] = ACTIONS(5458),
    [anon_sym_constexpr] = ACTIONS(5458),
    [anon_sym_volatile] = ACTIONS(5458),
    [anon_sym_restrict] = ACTIONS(5458),
    [anon_sym___restrict__] = ACTIONS(5458),
    [anon_sym__Atomic] = ACTIONS(5458),
    [anon_sym__Noreturn] = ACTIONS(5458),
    [anon_sym_noreturn] = ACTIONS(5458),
    [anon_sym_mutable] = ACTIONS(5458),
    [anon_sym_constinit] = ACTIONS(5458),
    [anon_sym_consteval] = ACTIONS(5458),
    [sym_primitive_type] = ACTIONS(5458),
    [anon_sym_enum] = ACTIONS(5458),
    [anon_sym_class] = ACTIONS(5458),
    [anon_sym_struct] = ACTIONS(5458),
    [anon_sym_union] = ACTIONS(5458),
    [anon_sym_or] = ACTIONS(5458),
    [anon_sym_and] = ACTIONS(5458),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5458),
    [anon_sym_decltype] = ACTIONS(5458),
    [anon_sym_virtual] = ACTIONS(5458),
    [anon_sym_alignas] = ACTIONS(5458),
    [anon_sym_explicit] = ACTIONS(5458),
    [anon_sym_typename] = ACTIONS(5458),
    [anon_sym_template] = ACTIONS(5458),
    [anon_sym_operator] = ACTIONS(5458),
    [anon_sym_friend] = ACTIONS(5458),
    [anon_sym_using] = ACTIONS(5458),
    [anon_sym_concept] = ACTIONS(5458),
  },
  [2473] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6015),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6015),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6015),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6015),
    [anon_sym_GT_GT] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6003),
    [anon_sym_unsigned] = ACTIONS(6003),
    [anon_sym_long] = ACTIONS(6003),
    [anon_sym_short] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6017),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6015),
    [anon_sym_and] = ACTIONS(6015),
    [anon_sym_bitor] = ACTIONS(6015),
    [anon_sym_xor] = ACTIONS(6015),
    [anon_sym_bitand] = ACTIONS(6015),
    [anon_sym_not_eq] = ACTIONS(6015),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_final] = ACTIONS(6015),
    [anon_sym_override] = ACTIONS(6015),
    [anon_sym_requires] = ACTIONS(6015),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(5876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5878),
    [anon_sym_COMMA] = ACTIONS(5878),
    [anon_sym_RPAREN] = ACTIONS(5878),
    [aux_sym_preproc_if_token2] = ACTIONS(5878),
    [aux_sym_preproc_else_token1] = ACTIONS(5878),
    [aux_sym_preproc_elif_token1] = ACTIONS(5876),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5878),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5878),
    [anon_sym_LPAREN2] = ACTIONS(5878),
    [anon_sym_DASH] = ACTIONS(5876),
    [anon_sym_PLUS] = ACTIONS(5876),
    [anon_sym_STAR] = ACTIONS(5876),
    [anon_sym_SLASH] = ACTIONS(5876),
    [anon_sym_PERCENT] = ACTIONS(5876),
    [anon_sym_PIPE_PIPE] = ACTIONS(5878),
    [anon_sym_AMP_AMP] = ACTIONS(5878),
    [anon_sym_PIPE] = ACTIONS(5876),
    [anon_sym_CARET] = ACTIONS(5876),
    [anon_sym_AMP] = ACTIONS(5876),
    [anon_sym_EQ_EQ] = ACTIONS(5878),
    [anon_sym_BANG_EQ] = ACTIONS(5878),
    [anon_sym_GT] = ACTIONS(5876),
    [anon_sym_GT_EQ] = ACTIONS(5878),
    [anon_sym_LT_EQ] = ACTIONS(5876),
    [anon_sym_LT] = ACTIONS(5876),
    [anon_sym_LT_LT] = ACTIONS(5876),
    [anon_sym_GT_GT] = ACTIONS(5876),
    [anon_sym_SEMI] = ACTIONS(5878),
    [anon_sym___attribute__] = ACTIONS(5876),
    [anon_sym_LBRACE] = ACTIONS(5878),
    [anon_sym_RBRACE] = ACTIONS(5878),
    [anon_sym_LBRACK] = ACTIONS(5878),
    [anon_sym_RBRACK] = ACTIONS(5878),
    [anon_sym_EQ] = ACTIONS(5876),
    [anon_sym_COLON] = ACTIONS(5878),
    [anon_sym_QMARK] = ACTIONS(5878),
    [anon_sym_STAR_EQ] = ACTIONS(5878),
    [anon_sym_SLASH_EQ] = ACTIONS(5878),
    [anon_sym_PERCENT_EQ] = ACTIONS(5878),
    [anon_sym_PLUS_EQ] = ACTIONS(5878),
    [anon_sym_DASH_EQ] = ACTIONS(5878),
    [anon_sym_LT_LT_EQ] = ACTIONS(5878),
    [anon_sym_GT_GT_EQ] = ACTIONS(5878),
    [anon_sym_AMP_EQ] = ACTIONS(5878),
    [anon_sym_CARET_EQ] = ACTIONS(5878),
    [anon_sym_PIPE_EQ] = ACTIONS(5878),
    [anon_sym_and_eq] = ACTIONS(5876),
    [anon_sym_or_eq] = ACTIONS(5876),
    [anon_sym_xor_eq] = ACTIONS(5876),
    [anon_sym_LT_EQ_GT] = ACTIONS(5878),
    [anon_sym_or] = ACTIONS(5876),
    [anon_sym_and] = ACTIONS(5876),
    [anon_sym_bitor] = ACTIONS(5876),
    [anon_sym_xor] = ACTIONS(5876),
    [anon_sym_bitand] = ACTIONS(5876),
    [anon_sym_not_eq] = ACTIONS(5876),
    [anon_sym_DASH_DASH] = ACTIONS(5878),
    [anon_sym_PLUS_PLUS] = ACTIONS(5878),
    [anon_sym_DOT] = ACTIONS(5876),
    [anon_sym_DOT_STAR] = ACTIONS(5878),
    [anon_sym_DASH_GT] = ACTIONS(5878),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5876),
    [anon_sym_decltype] = ACTIONS(5876),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_friend] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(5740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5742),
    [anon_sym_COMMA] = ACTIONS(5742),
    [anon_sym_RPAREN] = ACTIONS(5742),
    [aux_sym_preproc_if_token2] = ACTIONS(5742),
    [aux_sym_preproc_else_token1] = ACTIONS(5742),
    [aux_sym_preproc_elif_token1] = ACTIONS(5740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5742),
    [anon_sym_LPAREN2] = ACTIONS(5742),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5740),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5740),
    [anon_sym_PIPE_PIPE] = ACTIONS(5742),
    [anon_sym_AMP_AMP] = ACTIONS(5742),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_CARET] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5742),
    [anon_sym_BANG_EQ] = ACTIONS(5742),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5742),
    [anon_sym_LT_EQ] = ACTIONS(5740),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5740),
    [anon_sym_GT_GT] = ACTIONS(5740),
    [anon_sym_SEMI] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5742),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_LBRACK] = ACTIONS(5742),
    [anon_sym_RBRACK] = ACTIONS(5742),
    [anon_sym_EQ] = ACTIONS(5740),
    [anon_sym_COLON] = ACTIONS(5742),
    [anon_sym_QMARK] = ACTIONS(5742),
    [anon_sym_STAR_EQ] = ACTIONS(5742),
    [anon_sym_SLASH_EQ] = ACTIONS(5742),
    [anon_sym_PERCENT_EQ] = ACTIONS(5742),
    [anon_sym_PLUS_EQ] = ACTIONS(5742),
    [anon_sym_DASH_EQ] = ACTIONS(5742),
    [anon_sym_LT_LT_EQ] = ACTIONS(5742),
    [anon_sym_GT_GT_EQ] = ACTIONS(5742),
    [anon_sym_AMP_EQ] = ACTIONS(5742),
    [anon_sym_CARET_EQ] = ACTIONS(5742),
    [anon_sym_PIPE_EQ] = ACTIONS(5742),
    [anon_sym_and_eq] = ACTIONS(5740),
    [anon_sym_or_eq] = ACTIONS(5740),
    [anon_sym_xor_eq] = ACTIONS(5740),
    [anon_sym_LT_EQ_GT] = ACTIONS(5742),
    [anon_sym_or] = ACTIONS(5740),
    [anon_sym_and] = ACTIONS(5740),
    [anon_sym_bitor] = ACTIONS(5740),
    [anon_sym_xor] = ACTIONS(5740),
    [anon_sym_bitand] = ACTIONS(5740),
    [anon_sym_not_eq] = ACTIONS(5740),
    [anon_sym_DASH_DASH] = ACTIONS(5742),
    [anon_sym_PLUS_PLUS] = ACTIONS(5742),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_DOT_STAR] = ACTIONS(5742),
    [anon_sym_DASH_GT] = ACTIONS(5742),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5740),
    [anon_sym_decltype] = ACTIONS(5740),
  },
  [2477] = {
    [sym_attribute_specifier] = STATE(3190),
    [sym_field_declaration_list] = STATE(3016),
    [sym_virtual_specifier] = STATE(7454),
    [sym_base_class_clause] = STATE(8283),
    [sym_identifier] = ACTIONS(5369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5371),
    [anon_sym_COMMA] = ACTIONS(5371),
    [aux_sym_preproc_if_token2] = ACTIONS(5371),
    [aux_sym_preproc_else_token1] = ACTIONS(5371),
    [aux_sym_preproc_elif_token1] = ACTIONS(5371),
    [anon_sym_LPAREN2] = ACTIONS(5371),
    [anon_sym_DASH] = ACTIONS(5369),
    [anon_sym_PLUS] = ACTIONS(5369),
    [anon_sym_STAR] = ACTIONS(5369),
    [anon_sym_SLASH] = ACTIONS(5369),
    [anon_sym_PERCENT] = ACTIONS(5369),
    [anon_sym_PIPE_PIPE] = ACTIONS(5371),
    [anon_sym_AMP_AMP] = ACTIONS(5371),
    [anon_sym_PIPE] = ACTIONS(5369),
    [anon_sym_CARET] = ACTIONS(5369),
    [anon_sym_AMP] = ACTIONS(5369),
    [anon_sym_EQ_EQ] = ACTIONS(5371),
    [anon_sym_BANG_EQ] = ACTIONS(5371),
    [anon_sym_GT] = ACTIONS(5369),
    [anon_sym_GT_EQ] = ACTIONS(5371),
    [anon_sym_LT_EQ] = ACTIONS(5369),
    [anon_sym_LT] = ACTIONS(5369),
    [anon_sym_LT_LT] = ACTIONS(5369),
    [anon_sym_GT_GT] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(6019),
    [anon_sym_LBRACE] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym_EQ] = ACTIONS(5369),
    [anon_sym_COLON] = ACTIONS(5377),
    [anon_sym_QMARK] = ACTIONS(5371),
    [anon_sym_STAR_EQ] = ACTIONS(5371),
    [anon_sym_SLASH_EQ] = ACTIONS(5371),
    [anon_sym_PERCENT_EQ] = ACTIONS(5371),
    [anon_sym_PLUS_EQ] = ACTIONS(5371),
    [anon_sym_DASH_EQ] = ACTIONS(5371),
    [anon_sym_LT_LT_EQ] = ACTIONS(5371),
    [anon_sym_GT_GT_EQ] = ACTIONS(5371),
    [anon_sym_AMP_EQ] = ACTIONS(5371),
    [anon_sym_CARET_EQ] = ACTIONS(5371),
    [anon_sym_PIPE_EQ] = ACTIONS(5371),
    [anon_sym_and_eq] = ACTIONS(5369),
    [anon_sym_or_eq] = ACTIONS(5369),
    [anon_sym_xor_eq] = ACTIONS(5369),
    [anon_sym_LT_EQ_GT] = ACTIONS(5371),
    [anon_sym_or] = ACTIONS(5369),
    [anon_sym_and] = ACTIONS(5369),
    [anon_sym_bitor] = ACTIONS(5369),
    [anon_sym_xor] = ACTIONS(5369),
    [anon_sym_bitand] = ACTIONS(5369),
    [anon_sym_not_eq] = ACTIONS(5369),
    [anon_sym_DASH_DASH] = ACTIONS(5371),
    [anon_sym_PLUS_PLUS] = ACTIONS(5371),
    [anon_sym_DOT] = ACTIONS(5369),
    [anon_sym_DOT_STAR] = ACTIONS(5371),
    [anon_sym_DASH_GT] = ACTIONS(5371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5369),
    [anon_sym_decltype] = ACTIONS(5369),
    [anon_sym_final] = ACTIONS(5379),
    [anon_sym_override] = ACTIONS(5379),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(6023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6025),
    [anon_sym_COMMA] = ACTIONS(6025),
    [anon_sym_RPAREN] = ACTIONS(6025),
    [aux_sym_preproc_if_token2] = ACTIONS(6025),
    [aux_sym_preproc_else_token1] = ACTIONS(6025),
    [aux_sym_preproc_elif_token1] = ACTIONS(6023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6025),
    [anon_sym_LPAREN2] = ACTIONS(6025),
    [anon_sym_DASH] = ACTIONS(6023),
    [anon_sym_PLUS] = ACTIONS(6023),
    [anon_sym_STAR] = ACTIONS(6023),
    [anon_sym_SLASH] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(6023),
    [anon_sym_PIPE_PIPE] = ACTIONS(6025),
    [anon_sym_AMP_AMP] = ACTIONS(6025),
    [anon_sym_PIPE] = ACTIONS(6023),
    [anon_sym_CARET] = ACTIONS(6023),
    [anon_sym_AMP] = ACTIONS(6023),
    [anon_sym_EQ_EQ] = ACTIONS(6025),
    [anon_sym_BANG_EQ] = ACTIONS(6025),
    [anon_sym_GT] = ACTIONS(6023),
    [anon_sym_GT_EQ] = ACTIONS(6025),
    [anon_sym_LT_EQ] = ACTIONS(6023),
    [anon_sym_LT] = ACTIONS(6023),
    [anon_sym_LT_LT] = ACTIONS(6023),
    [anon_sym_GT_GT] = ACTIONS(6023),
    [anon_sym_SEMI] = ACTIONS(6025),
    [anon_sym___attribute__] = ACTIONS(6023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(6025),
    [anon_sym_RBRACE] = ACTIONS(6025),
    [anon_sym_LBRACK] = ACTIONS(6023),
    [anon_sym_RBRACK] = ACTIONS(6025),
    [anon_sym_EQ] = ACTIONS(6023),
    [anon_sym_COLON] = ACTIONS(6025),
    [anon_sym_QMARK] = ACTIONS(6025),
    [anon_sym_STAR_EQ] = ACTIONS(6025),
    [anon_sym_SLASH_EQ] = ACTIONS(6025),
    [anon_sym_PERCENT_EQ] = ACTIONS(6025),
    [anon_sym_PLUS_EQ] = ACTIONS(6025),
    [anon_sym_DASH_EQ] = ACTIONS(6025),
    [anon_sym_LT_LT_EQ] = ACTIONS(6025),
    [anon_sym_GT_GT_EQ] = ACTIONS(6025),
    [anon_sym_AMP_EQ] = ACTIONS(6025),
    [anon_sym_CARET_EQ] = ACTIONS(6025),
    [anon_sym_PIPE_EQ] = ACTIONS(6025),
    [anon_sym_and_eq] = ACTIONS(6023),
    [anon_sym_or_eq] = ACTIONS(6023),
    [anon_sym_xor_eq] = ACTIONS(6023),
    [anon_sym_LT_EQ_GT] = ACTIONS(6025),
    [anon_sym_or] = ACTIONS(6023),
    [anon_sym_and] = ACTIONS(6023),
    [anon_sym_bitor] = ACTIONS(6023),
    [anon_sym_xor] = ACTIONS(6023),
    [anon_sym_bitand] = ACTIONS(6023),
    [anon_sym_not_eq] = ACTIONS(6023),
    [anon_sym_DASH_DASH] = ACTIONS(6025),
    [anon_sym_PLUS_PLUS] = ACTIONS(6025),
    [anon_sym_DOT] = ACTIONS(6023),
    [anon_sym_DOT_STAR] = ACTIONS(6025),
    [anon_sym_DASH_GT] = ACTIONS(6025),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6023),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(5736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5738),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_RPAREN] = ACTIONS(5738),
    [aux_sym_preproc_if_token2] = ACTIONS(5738),
    [aux_sym_preproc_else_token1] = ACTIONS(5738),
    [aux_sym_preproc_elif_token1] = ACTIONS(5736),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5738),
    [anon_sym_LPAREN2] = ACTIONS(5738),
    [anon_sym_DASH] = ACTIONS(5736),
    [anon_sym_PLUS] = ACTIONS(5736),
    [anon_sym_STAR] = ACTIONS(5736),
    [anon_sym_SLASH] = ACTIONS(5736),
    [anon_sym_PERCENT] = ACTIONS(5736),
    [anon_sym_PIPE_PIPE] = ACTIONS(5738),
    [anon_sym_AMP_AMP] = ACTIONS(5738),
    [anon_sym_PIPE] = ACTIONS(5736),
    [anon_sym_CARET] = ACTIONS(5736),
    [anon_sym_AMP] = ACTIONS(5736),
    [anon_sym_EQ_EQ] = ACTIONS(5738),
    [anon_sym_BANG_EQ] = ACTIONS(5738),
    [anon_sym_GT] = ACTIONS(5736),
    [anon_sym_GT_EQ] = ACTIONS(5738),
    [anon_sym_LT_EQ] = ACTIONS(5736),
    [anon_sym_LT] = ACTIONS(5736),
    [anon_sym_LT_LT] = ACTIONS(5736),
    [anon_sym_GT_GT] = ACTIONS(5736),
    [anon_sym_SEMI] = ACTIONS(5738),
    [anon_sym___attribute__] = ACTIONS(5736),
    [anon_sym_LBRACE] = ACTIONS(5738),
    [anon_sym_RBRACE] = ACTIONS(5738),
    [anon_sym_LBRACK] = ACTIONS(5738),
    [anon_sym_RBRACK] = ACTIONS(5738),
    [anon_sym_EQ] = ACTIONS(5736),
    [anon_sym_COLON] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_STAR_EQ] = ACTIONS(5738),
    [anon_sym_SLASH_EQ] = ACTIONS(5738),
    [anon_sym_PERCENT_EQ] = ACTIONS(5738),
    [anon_sym_PLUS_EQ] = ACTIONS(5738),
    [anon_sym_DASH_EQ] = ACTIONS(5738),
    [anon_sym_LT_LT_EQ] = ACTIONS(5738),
    [anon_sym_GT_GT_EQ] = ACTIONS(5738),
    [anon_sym_AMP_EQ] = ACTIONS(5738),
    [anon_sym_CARET_EQ] = ACTIONS(5738),
    [anon_sym_PIPE_EQ] = ACTIONS(5738),
    [anon_sym_and_eq] = ACTIONS(5736),
    [anon_sym_or_eq] = ACTIONS(5736),
    [anon_sym_xor_eq] = ACTIONS(5736),
    [anon_sym_LT_EQ_GT] = ACTIONS(5738),
    [anon_sym_or] = ACTIONS(5736),
    [anon_sym_and] = ACTIONS(5736),
    [anon_sym_bitor] = ACTIONS(5736),
    [anon_sym_xor] = ACTIONS(5736),
    [anon_sym_bitand] = ACTIONS(5736),
    [anon_sym_not_eq] = ACTIONS(5736),
    [anon_sym_DASH_DASH] = ACTIONS(5738),
    [anon_sym_PLUS_PLUS] = ACTIONS(5738),
    [anon_sym_DOT] = ACTIONS(5736),
    [anon_sym_DOT_STAR] = ACTIONS(5738),
    [anon_sym_DASH_GT] = ACTIONS(5738),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5736),
    [anon_sym_decltype] = ACTIONS(5736),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
  },
  [2481] = {
    [sym_identifier] = ACTIONS(6027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6029),
    [anon_sym_COMMA] = ACTIONS(6029),
    [anon_sym_RPAREN] = ACTIONS(6029),
    [aux_sym_preproc_if_token2] = ACTIONS(6029),
    [aux_sym_preproc_else_token1] = ACTIONS(6029),
    [aux_sym_preproc_elif_token1] = ACTIONS(6027),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6029),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6029),
    [anon_sym_LPAREN2] = ACTIONS(6029),
    [anon_sym_DASH] = ACTIONS(6027),
    [anon_sym_PLUS] = ACTIONS(6027),
    [anon_sym_STAR] = ACTIONS(6027),
    [anon_sym_SLASH] = ACTIONS(6027),
    [anon_sym_PERCENT] = ACTIONS(6027),
    [anon_sym_PIPE_PIPE] = ACTIONS(6029),
    [anon_sym_AMP_AMP] = ACTIONS(6029),
    [anon_sym_PIPE] = ACTIONS(6027),
    [anon_sym_CARET] = ACTIONS(6027),
    [anon_sym_AMP] = ACTIONS(6027),
    [anon_sym_EQ_EQ] = ACTIONS(6029),
    [anon_sym_BANG_EQ] = ACTIONS(6029),
    [anon_sym_GT] = ACTIONS(6027),
    [anon_sym_GT_EQ] = ACTIONS(6029),
    [anon_sym_LT_EQ] = ACTIONS(6027),
    [anon_sym_LT] = ACTIONS(6027),
    [anon_sym_LT_LT] = ACTIONS(6027),
    [anon_sym_GT_GT] = ACTIONS(6027),
    [anon_sym_SEMI] = ACTIONS(6029),
    [anon_sym___attribute__] = ACTIONS(6027),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6029),
    [anon_sym_LBRACE] = ACTIONS(6029),
    [anon_sym_RBRACE] = ACTIONS(6029),
    [anon_sym_LBRACK] = ACTIONS(6027),
    [anon_sym_RBRACK] = ACTIONS(6029),
    [anon_sym_EQ] = ACTIONS(6027),
    [anon_sym_COLON] = ACTIONS(6029),
    [anon_sym_QMARK] = ACTIONS(6029),
    [anon_sym_STAR_EQ] = ACTIONS(6029),
    [anon_sym_SLASH_EQ] = ACTIONS(6029),
    [anon_sym_PERCENT_EQ] = ACTIONS(6029),
    [anon_sym_PLUS_EQ] = ACTIONS(6029),
    [anon_sym_DASH_EQ] = ACTIONS(6029),
    [anon_sym_LT_LT_EQ] = ACTIONS(6029),
    [anon_sym_GT_GT_EQ] = ACTIONS(6029),
    [anon_sym_AMP_EQ] = ACTIONS(6029),
    [anon_sym_CARET_EQ] = ACTIONS(6029),
    [anon_sym_PIPE_EQ] = ACTIONS(6029),
    [anon_sym_and_eq] = ACTIONS(6027),
    [anon_sym_or_eq] = ACTIONS(6027),
    [anon_sym_xor_eq] = ACTIONS(6027),
    [anon_sym_LT_EQ_GT] = ACTIONS(6029),
    [anon_sym_or] = ACTIONS(6027),
    [anon_sym_and] = ACTIONS(6027),
    [anon_sym_bitor] = ACTIONS(6027),
    [anon_sym_xor] = ACTIONS(6027),
    [anon_sym_bitand] = ACTIONS(6027),
    [anon_sym_not_eq] = ACTIONS(6027),
    [anon_sym_DASH_DASH] = ACTIONS(6029),
    [anon_sym_PLUS_PLUS] = ACTIONS(6029),
    [anon_sym_DOT] = ACTIONS(6027),
    [anon_sym_DOT_STAR] = ACTIONS(6029),
    [anon_sym_DASH_GT] = ACTIONS(6029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6027),
  },
  [2482] = {
    [sym_string_literal] = STATE(2316),
    [sym_raw_string_literal] = STATE(2316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym___attribute__] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(5872),
    [anon_sym_u_DQUOTE] = ACTIONS(5872),
    [anon_sym_U_DQUOTE] = ACTIONS(5872),
    [anon_sym_u8_DQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5874),
    [anon_sym_LR_DQUOTE] = ACTIONS(5874),
    [anon_sym_uR_DQUOTE] = ACTIONS(5874),
    [anon_sym_UR_DQUOTE] = ACTIONS(5874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5874),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(5356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_COMMA] = ACTIONS(5358),
    [aux_sym_preproc_if_token2] = ACTIONS(5358),
    [aux_sym_preproc_else_token1] = ACTIONS(5358),
    [aux_sym_preproc_elif_token1] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5358),
    [anon_sym_BANG_EQ] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5358),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5358),
    [anon_sym_EQ] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_STAR_EQ] = ACTIONS(5358),
    [anon_sym_SLASH_EQ] = ACTIONS(5358),
    [anon_sym_PERCENT_EQ] = ACTIONS(5358),
    [anon_sym_PLUS_EQ] = ACTIONS(5358),
    [anon_sym_DASH_EQ] = ACTIONS(5358),
    [anon_sym_LT_LT_EQ] = ACTIONS(5358),
    [anon_sym_GT_GT_EQ] = ACTIONS(5358),
    [anon_sym_AMP_EQ] = ACTIONS(5358),
    [anon_sym_CARET_EQ] = ACTIONS(5358),
    [anon_sym_PIPE_EQ] = ACTIONS(5358),
    [anon_sym_and_eq] = ACTIONS(5356),
    [anon_sym_or_eq] = ACTIONS(5356),
    [anon_sym_xor_eq] = ACTIONS(5356),
    [anon_sym_LT_EQ_GT] = ACTIONS(5358),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_bitor] = ACTIONS(5356),
    [anon_sym_xor] = ACTIONS(5356),
    [anon_sym_bitand] = ACTIONS(5356),
    [anon_sym_not_eq] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5358),
    [anon_sym_DASH_GT] = ACTIONS(5358),
    [anon_sym_L_DQUOTE] = ACTIONS(5358),
    [anon_sym_u_DQUOTE] = ACTIONS(5358),
    [anon_sym_U_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8_DQUOTE] = ACTIONS(5358),
    [anon_sym_DQUOTE] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5358),
    [anon_sym_LR_DQUOTE] = ACTIONS(5358),
    [anon_sym_uR_DQUOTE] = ACTIONS(5358),
    [anon_sym_UR_DQUOTE] = ACTIONS(5358),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5358),
    [sym_literal_suffix] = ACTIONS(5356),
  },
  [2484] = {
    [sym_string_literal] = STATE(2316),
    [sym_raw_string_literal] = STATE(2316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym___attribute__] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [anon_sym_L_DQUOTE] = ACTIONS(5872),
    [anon_sym_u_DQUOTE] = ACTIONS(5872),
    [anon_sym_U_DQUOTE] = ACTIONS(5872),
    [anon_sym_u8_DQUOTE] = ACTIONS(5872),
    [anon_sym_DQUOTE] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5874),
    [anon_sym_LR_DQUOTE] = ACTIONS(5874),
    [anon_sym_uR_DQUOTE] = ACTIONS(5874),
    [anon_sym_UR_DQUOTE] = ACTIONS(5874),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5874),
    [sym_literal_suffix] = ACTIONS(5442),
  },
  [2485] = {
    [sym_attribute_declaration] = STATE(2485),
    [aux_sym_attributed_declarator_repeat1] = STATE(2485),
    [sym_identifier] = ACTIONS(6031),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6033),
    [anon_sym_COMMA] = ACTIONS(6033),
    [anon_sym_RPAREN] = ACTIONS(6033),
    [aux_sym_preproc_if_token2] = ACTIONS(6033),
    [aux_sym_preproc_else_token1] = ACTIONS(6033),
    [aux_sym_preproc_elif_token1] = ACTIONS(6031),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6033),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6033),
    [anon_sym_LPAREN2] = ACTIONS(6033),
    [anon_sym_DASH] = ACTIONS(6031),
    [anon_sym_PLUS] = ACTIONS(6031),
    [anon_sym_STAR] = ACTIONS(6031),
    [anon_sym_SLASH] = ACTIONS(6031),
    [anon_sym_PERCENT] = ACTIONS(6031),
    [anon_sym_PIPE_PIPE] = ACTIONS(6033),
    [anon_sym_AMP_AMP] = ACTIONS(6033),
    [anon_sym_PIPE] = ACTIONS(6031),
    [anon_sym_CARET] = ACTIONS(6031),
    [anon_sym_AMP] = ACTIONS(6031),
    [anon_sym_EQ_EQ] = ACTIONS(6033),
    [anon_sym_BANG_EQ] = ACTIONS(6033),
    [anon_sym_GT] = ACTIONS(6031),
    [anon_sym_GT_EQ] = ACTIONS(6033),
    [anon_sym_LT_EQ] = ACTIONS(6031),
    [anon_sym_LT] = ACTIONS(6031),
    [anon_sym_LT_LT] = ACTIONS(6031),
    [anon_sym_GT_GT] = ACTIONS(6031),
    [anon_sym_SEMI] = ACTIONS(6033),
    [anon_sym___attribute__] = ACTIONS(6031),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6033),
    [anon_sym_LBRACK] = ACTIONS(6031),
    [anon_sym_RBRACK] = ACTIONS(6033),
    [anon_sym_EQ] = ACTIONS(6031),
    [anon_sym_COLON] = ACTIONS(6033),
    [anon_sym_QMARK] = ACTIONS(6033),
    [anon_sym_STAR_EQ] = ACTIONS(6033),
    [anon_sym_SLASH_EQ] = ACTIONS(6033),
    [anon_sym_PERCENT_EQ] = ACTIONS(6033),
    [anon_sym_PLUS_EQ] = ACTIONS(6033),
    [anon_sym_DASH_EQ] = ACTIONS(6033),
    [anon_sym_LT_LT_EQ] = ACTIONS(6033),
    [anon_sym_GT_GT_EQ] = ACTIONS(6033),
    [anon_sym_AMP_EQ] = ACTIONS(6033),
    [anon_sym_CARET_EQ] = ACTIONS(6033),
    [anon_sym_PIPE_EQ] = ACTIONS(6033),
    [anon_sym_and_eq] = ACTIONS(6031),
    [anon_sym_or_eq] = ACTIONS(6031),
    [anon_sym_xor_eq] = ACTIONS(6031),
    [anon_sym_LT_EQ_GT] = ACTIONS(6033),
    [anon_sym_or] = ACTIONS(6031),
    [anon_sym_and] = ACTIONS(6031),
    [anon_sym_bitor] = ACTIONS(6031),
    [anon_sym_xor] = ACTIONS(6031),
    [anon_sym_bitand] = ACTIONS(6031),
    [anon_sym_not_eq] = ACTIONS(6031),
    [anon_sym_DASH_DASH] = ACTIONS(6033),
    [anon_sym_PLUS_PLUS] = ACTIONS(6033),
    [anon_sym_DOT] = ACTIONS(6031),
    [anon_sym_DOT_STAR] = ACTIONS(6033),
    [anon_sym_DASH_GT] = ACTIONS(6033),
    [sym_comment] = ACTIONS(3),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(5744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5746),
    [anon_sym_COMMA] = ACTIONS(5746),
    [anon_sym_RPAREN] = ACTIONS(5746),
    [aux_sym_preproc_if_token2] = ACTIONS(5746),
    [aux_sym_preproc_else_token1] = ACTIONS(5746),
    [aux_sym_preproc_elif_token1] = ACTIONS(5744),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5746),
    [anon_sym_LPAREN2] = ACTIONS(5746),
    [anon_sym_DASH] = ACTIONS(5744),
    [anon_sym_PLUS] = ACTIONS(5744),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5744),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5746),
    [anon_sym_AMP_AMP] = ACTIONS(5746),
    [anon_sym_PIPE] = ACTIONS(5744),
    [anon_sym_CARET] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5744),
    [anon_sym_EQ_EQ] = ACTIONS(5746),
    [anon_sym_BANG_EQ] = ACTIONS(5746),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_GT_EQ] = ACTIONS(5746),
    [anon_sym_LT_EQ] = ACTIONS(5744),
    [anon_sym_LT] = ACTIONS(5744),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym_SEMI] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5744),
    [anon_sym_LBRACE] = ACTIONS(5746),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_LBRACK] = ACTIONS(5746),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_EQ] = ACTIONS(5744),
    [anon_sym_COLON] = ACTIONS(5746),
    [anon_sym_QMARK] = ACTIONS(5746),
    [anon_sym_STAR_EQ] = ACTIONS(5746),
    [anon_sym_SLASH_EQ] = ACTIONS(5746),
    [anon_sym_PERCENT_EQ] = ACTIONS(5746),
    [anon_sym_PLUS_EQ] = ACTIONS(5746),
    [anon_sym_DASH_EQ] = ACTIONS(5746),
    [anon_sym_LT_LT_EQ] = ACTIONS(5746),
    [anon_sym_GT_GT_EQ] = ACTIONS(5746),
    [anon_sym_AMP_EQ] = ACTIONS(5746),
    [anon_sym_CARET_EQ] = ACTIONS(5746),
    [anon_sym_PIPE_EQ] = ACTIONS(5746),
    [anon_sym_and_eq] = ACTIONS(5744),
    [anon_sym_or_eq] = ACTIONS(5744),
    [anon_sym_xor_eq] = ACTIONS(5744),
    [anon_sym_LT_EQ_GT] = ACTIONS(5746),
    [anon_sym_or] = ACTIONS(5744),
    [anon_sym_and] = ACTIONS(5744),
    [anon_sym_bitor] = ACTIONS(5744),
    [anon_sym_xor] = ACTIONS(5744),
    [anon_sym_bitand] = ACTIONS(5744),
    [anon_sym_not_eq] = ACTIONS(5744),
    [anon_sym_DASH_DASH] = ACTIONS(5746),
    [anon_sym_PLUS_PLUS] = ACTIONS(5746),
    [anon_sym_DOT] = ACTIONS(5744),
    [anon_sym_DOT_STAR] = ACTIONS(5746),
    [anon_sym_DASH_GT] = ACTIONS(5746),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5744),
    [anon_sym_decltype] = ACTIONS(5744),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(5360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [aux_sym_preproc_if_token2] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [anon_sym_LPAREN2] = ACTIONS(5362),
    [anon_sym_DASH] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(5360),
    [anon_sym_STAR] = ACTIONS(5360),
    [anon_sym_SLASH] = ACTIONS(5360),
    [anon_sym_PERCENT] = ACTIONS(5360),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5360),
    [anon_sym_CARET] = ACTIONS(5360),
    [anon_sym_AMP] = ACTIONS(5360),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT] = ACTIONS(5360),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5360),
    [anon_sym_LT] = ACTIONS(5360),
    [anon_sym_LT_LT] = ACTIONS(5360),
    [anon_sym_GT_GT] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_EQ] = ACTIONS(5360),
    [anon_sym_QMARK] = ACTIONS(5362),
    [anon_sym_STAR_EQ] = ACTIONS(5362),
    [anon_sym_SLASH_EQ] = ACTIONS(5362),
    [anon_sym_PERCENT_EQ] = ACTIONS(5362),
    [anon_sym_PLUS_EQ] = ACTIONS(5362),
    [anon_sym_DASH_EQ] = ACTIONS(5362),
    [anon_sym_LT_LT_EQ] = ACTIONS(5362),
    [anon_sym_GT_GT_EQ] = ACTIONS(5362),
    [anon_sym_AMP_EQ] = ACTIONS(5362),
    [anon_sym_CARET_EQ] = ACTIONS(5362),
    [anon_sym_PIPE_EQ] = ACTIONS(5362),
    [anon_sym_and_eq] = ACTIONS(5360),
    [anon_sym_or_eq] = ACTIONS(5360),
    [anon_sym_xor_eq] = ACTIONS(5360),
    [anon_sym_LT_EQ_GT] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5360),
    [anon_sym_and] = ACTIONS(5360),
    [anon_sym_bitor] = ACTIONS(5360),
    [anon_sym_xor] = ACTIONS(5360),
    [anon_sym_bitand] = ACTIONS(5360),
    [anon_sym_not_eq] = ACTIONS(5360),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5360),
    [anon_sym_DOT_STAR] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_L_DQUOTE] = ACTIONS(5362),
    [anon_sym_u_DQUOTE] = ACTIONS(5362),
    [anon_sym_U_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8_DQUOTE] = ACTIONS(5362),
    [anon_sym_DQUOTE] = ACTIONS(5362),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5362),
    [anon_sym_LR_DQUOTE] = ACTIONS(5362),
    [anon_sym_uR_DQUOTE] = ACTIONS(5362),
    [anon_sym_UR_DQUOTE] = ACTIONS(5362),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5362),
    [sym_literal_suffix] = ACTIONS(5360),
  },
  [2488] = {
    [sym_identifier] = ACTIONS(5728),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5730),
    [anon_sym_COMMA] = ACTIONS(5730),
    [anon_sym_RPAREN] = ACTIONS(5730),
    [aux_sym_preproc_if_token2] = ACTIONS(5730),
    [aux_sym_preproc_else_token1] = ACTIONS(5730),
    [aux_sym_preproc_elif_token1] = ACTIONS(5728),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5730),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5730),
    [anon_sym_LPAREN2] = ACTIONS(5730),
    [anon_sym_DASH] = ACTIONS(5728),
    [anon_sym_PLUS] = ACTIONS(5728),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_SLASH] = ACTIONS(5728),
    [anon_sym_PERCENT] = ACTIONS(5728),
    [anon_sym_PIPE_PIPE] = ACTIONS(5730),
    [anon_sym_AMP_AMP] = ACTIONS(5730),
    [anon_sym_PIPE] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5728),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_EQ_EQ] = ACTIONS(5730),
    [anon_sym_BANG_EQ] = ACTIONS(5730),
    [anon_sym_GT] = ACTIONS(5728),
    [anon_sym_GT_EQ] = ACTIONS(5730),
    [anon_sym_LT_EQ] = ACTIONS(5728),
    [anon_sym_LT] = ACTIONS(5728),
    [anon_sym_LT_LT] = ACTIONS(5728),
    [anon_sym_GT_GT] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5730),
    [anon_sym___attribute__] = ACTIONS(5728),
    [anon_sym_LBRACE] = ACTIONS(5730),
    [anon_sym_RBRACE] = ACTIONS(5730),
    [anon_sym_LBRACK] = ACTIONS(5730),
    [anon_sym_RBRACK] = ACTIONS(5730),
    [anon_sym_EQ] = ACTIONS(5728),
    [anon_sym_COLON] = ACTIONS(5730),
    [anon_sym_QMARK] = ACTIONS(5730),
    [anon_sym_STAR_EQ] = ACTIONS(5730),
    [anon_sym_SLASH_EQ] = ACTIONS(5730),
    [anon_sym_PERCENT_EQ] = ACTIONS(5730),
    [anon_sym_PLUS_EQ] = ACTIONS(5730),
    [anon_sym_DASH_EQ] = ACTIONS(5730),
    [anon_sym_LT_LT_EQ] = ACTIONS(5730),
    [anon_sym_GT_GT_EQ] = ACTIONS(5730),
    [anon_sym_AMP_EQ] = ACTIONS(5730),
    [anon_sym_CARET_EQ] = ACTIONS(5730),
    [anon_sym_PIPE_EQ] = ACTIONS(5730),
    [anon_sym_and_eq] = ACTIONS(5728),
    [anon_sym_or_eq] = ACTIONS(5728),
    [anon_sym_xor_eq] = ACTIONS(5728),
    [anon_sym_LT_EQ_GT] = ACTIONS(5730),
    [anon_sym_or] = ACTIONS(5728),
    [anon_sym_and] = ACTIONS(5728),
    [anon_sym_bitor] = ACTIONS(5728),
    [anon_sym_xor] = ACTIONS(5728),
    [anon_sym_bitand] = ACTIONS(5728),
    [anon_sym_not_eq] = ACTIONS(5728),
    [anon_sym_DASH_DASH] = ACTIONS(5730),
    [anon_sym_PLUS_PLUS] = ACTIONS(5730),
    [anon_sym_DOT] = ACTIONS(5728),
    [anon_sym_DOT_STAR] = ACTIONS(5730),
    [anon_sym_DASH_GT] = ACTIONS(5730),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5728),
    [anon_sym_decltype] = ACTIONS(5728),
  },
  [2489] = {
    [sym_identifier] = ACTIONS(5722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5724),
    [anon_sym_COMMA] = ACTIONS(5724),
    [anon_sym_RPAREN] = ACTIONS(5724),
    [aux_sym_preproc_if_token2] = ACTIONS(5724),
    [aux_sym_preproc_else_token1] = ACTIONS(5724),
    [aux_sym_preproc_elif_token1] = ACTIONS(5722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5724),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5724),
    [anon_sym_LPAREN2] = ACTIONS(5724),
    [anon_sym_DASH] = ACTIONS(5722),
    [anon_sym_PLUS] = ACTIONS(5722),
    [anon_sym_STAR] = ACTIONS(5722),
    [anon_sym_SLASH] = ACTIONS(5722),
    [anon_sym_PERCENT] = ACTIONS(5722),
    [anon_sym_PIPE_PIPE] = ACTIONS(5724),
    [anon_sym_AMP_AMP] = ACTIONS(5724),
    [anon_sym_PIPE] = ACTIONS(5722),
    [anon_sym_CARET] = ACTIONS(5722),
    [anon_sym_AMP] = ACTIONS(5722),
    [anon_sym_EQ_EQ] = ACTIONS(5724),
    [anon_sym_BANG_EQ] = ACTIONS(5724),
    [anon_sym_GT] = ACTIONS(5722),
    [anon_sym_GT_EQ] = ACTIONS(5724),
    [anon_sym_LT_EQ] = ACTIONS(5722),
    [anon_sym_LT] = ACTIONS(5722),
    [anon_sym_LT_LT] = ACTIONS(5722),
    [anon_sym_GT_GT] = ACTIONS(5722),
    [anon_sym_SEMI] = ACTIONS(5724),
    [anon_sym___attribute__] = ACTIONS(5722),
    [anon_sym_LBRACE] = ACTIONS(5724),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_LBRACK] = ACTIONS(5724),
    [anon_sym_RBRACK] = ACTIONS(5724),
    [anon_sym_EQ] = ACTIONS(5722),
    [anon_sym_COLON] = ACTIONS(5724),
    [anon_sym_QMARK] = ACTIONS(5724),
    [anon_sym_STAR_EQ] = ACTIONS(5724),
    [anon_sym_SLASH_EQ] = ACTIONS(5724),
    [anon_sym_PERCENT_EQ] = ACTIONS(5724),
    [anon_sym_PLUS_EQ] = ACTIONS(5724),
    [anon_sym_DASH_EQ] = ACTIONS(5724),
    [anon_sym_LT_LT_EQ] = ACTIONS(5724),
    [anon_sym_GT_GT_EQ] = ACTIONS(5724),
    [anon_sym_AMP_EQ] = ACTIONS(5724),
    [anon_sym_CARET_EQ] = ACTIONS(5724),
    [anon_sym_PIPE_EQ] = ACTIONS(5724),
    [anon_sym_and_eq] = ACTIONS(5722),
    [anon_sym_or_eq] = ACTIONS(5722),
    [anon_sym_xor_eq] = ACTIONS(5722),
    [anon_sym_LT_EQ_GT] = ACTIONS(5724),
    [anon_sym_or] = ACTIONS(5722),
    [anon_sym_and] = ACTIONS(5722),
    [anon_sym_bitor] = ACTIONS(5722),
    [anon_sym_xor] = ACTIONS(5722),
    [anon_sym_bitand] = ACTIONS(5722),
    [anon_sym_not_eq] = ACTIONS(5722),
    [anon_sym_DASH_DASH] = ACTIONS(5724),
    [anon_sym_PLUS_PLUS] = ACTIONS(5724),
    [anon_sym_DOT] = ACTIONS(5722),
    [anon_sym_DOT_STAR] = ACTIONS(5724),
    [anon_sym_DASH_GT] = ACTIONS(5724),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5722),
    [anon_sym_decltype] = ACTIONS(5722),
  },
  [2490] = {
    [sym_identifier] = ACTIONS(5732),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5734),
    [anon_sym_COMMA] = ACTIONS(5734),
    [anon_sym_RPAREN] = ACTIONS(5734),
    [aux_sym_preproc_if_token2] = ACTIONS(5734),
    [aux_sym_preproc_else_token1] = ACTIONS(5734),
    [aux_sym_preproc_elif_token1] = ACTIONS(5732),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5734),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5734),
    [anon_sym_LPAREN2] = ACTIONS(5734),
    [anon_sym_DASH] = ACTIONS(5732),
    [anon_sym_PLUS] = ACTIONS(5732),
    [anon_sym_STAR] = ACTIONS(5732),
    [anon_sym_SLASH] = ACTIONS(5732),
    [anon_sym_PERCENT] = ACTIONS(5732),
    [anon_sym_PIPE_PIPE] = ACTIONS(5734),
    [anon_sym_AMP_AMP] = ACTIONS(5734),
    [anon_sym_PIPE] = ACTIONS(5732),
    [anon_sym_CARET] = ACTIONS(5732),
    [anon_sym_AMP] = ACTIONS(5732),
    [anon_sym_EQ_EQ] = ACTIONS(5734),
    [anon_sym_BANG_EQ] = ACTIONS(5734),
    [anon_sym_GT] = ACTIONS(5732),
    [anon_sym_GT_EQ] = ACTIONS(5734),
    [anon_sym_LT_EQ] = ACTIONS(5732),
    [anon_sym_LT] = ACTIONS(5732),
    [anon_sym_LT_LT] = ACTIONS(5732),
    [anon_sym_GT_GT] = ACTIONS(5732),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___attribute__] = ACTIONS(5732),
    [anon_sym_LBRACE] = ACTIONS(5734),
    [anon_sym_RBRACE] = ACTIONS(5734),
    [anon_sym_LBRACK] = ACTIONS(5734),
    [anon_sym_RBRACK] = ACTIONS(5734),
    [anon_sym_EQ] = ACTIONS(5732),
    [anon_sym_COLON] = ACTIONS(5734),
    [anon_sym_QMARK] = ACTIONS(5734),
    [anon_sym_STAR_EQ] = ACTIONS(5734),
    [anon_sym_SLASH_EQ] = ACTIONS(5734),
    [anon_sym_PERCENT_EQ] = ACTIONS(5734),
    [anon_sym_PLUS_EQ] = ACTIONS(5734),
    [anon_sym_DASH_EQ] = ACTIONS(5734),
    [anon_sym_LT_LT_EQ] = ACTIONS(5734),
    [anon_sym_GT_GT_EQ] = ACTIONS(5734),
    [anon_sym_AMP_EQ] = ACTIONS(5734),
    [anon_sym_CARET_EQ] = ACTIONS(5734),
    [anon_sym_PIPE_EQ] = ACTIONS(5734),
    [anon_sym_and_eq] = ACTIONS(5732),
    [anon_sym_or_eq] = ACTIONS(5732),
    [anon_sym_xor_eq] = ACTIONS(5732),
    [anon_sym_LT_EQ_GT] = ACTIONS(5734),
    [anon_sym_or] = ACTIONS(5732),
    [anon_sym_and] = ACTIONS(5732),
    [anon_sym_bitor] = ACTIONS(5732),
    [anon_sym_xor] = ACTIONS(5732),
    [anon_sym_bitand] = ACTIONS(5732),
    [anon_sym_not_eq] = ACTIONS(5732),
    [anon_sym_DASH_DASH] = ACTIONS(5734),
    [anon_sym_PLUS_PLUS] = ACTIONS(5734),
    [anon_sym_DOT] = ACTIONS(5732),
    [anon_sym_DOT_STAR] = ACTIONS(5734),
    [anon_sym_DASH_GT] = ACTIONS(5734),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5732),
    [anon_sym_decltype] = ACTIONS(5732),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(5698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5700),
    [anon_sym_COMMA] = ACTIONS(5700),
    [anon_sym_RPAREN] = ACTIONS(5700),
    [aux_sym_preproc_if_token2] = ACTIONS(5700),
    [aux_sym_preproc_else_token1] = ACTIONS(5700),
    [aux_sym_preproc_elif_token1] = ACTIONS(5698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5700),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5700),
    [anon_sym_LPAREN2] = ACTIONS(5700),
    [anon_sym_DASH] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(5698),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_SLASH] = ACTIONS(5698),
    [anon_sym_PERCENT] = ACTIONS(5698),
    [anon_sym_PIPE_PIPE] = ACTIONS(5700),
    [anon_sym_AMP_AMP] = ACTIONS(5700),
    [anon_sym_PIPE] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5698),
    [anon_sym_AMP] = ACTIONS(5698),
    [anon_sym_EQ_EQ] = ACTIONS(5700),
    [anon_sym_BANG_EQ] = ACTIONS(5700),
    [anon_sym_GT] = ACTIONS(5698),
    [anon_sym_GT_EQ] = ACTIONS(5700),
    [anon_sym_LT_EQ] = ACTIONS(5698),
    [anon_sym_LT] = ACTIONS(5698),
    [anon_sym_LT_LT] = ACTIONS(5698),
    [anon_sym_GT_GT] = ACTIONS(5698),
    [anon_sym_SEMI] = ACTIONS(5700),
    [anon_sym___attribute__] = ACTIONS(5698),
    [anon_sym_LBRACE] = ACTIONS(5700),
    [anon_sym_RBRACE] = ACTIONS(5700),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_RBRACK] = ACTIONS(5700),
    [anon_sym_EQ] = ACTIONS(5698),
    [anon_sym_COLON] = ACTIONS(5700),
    [anon_sym_QMARK] = ACTIONS(5700),
    [anon_sym_STAR_EQ] = ACTIONS(5700),
    [anon_sym_SLASH_EQ] = ACTIONS(5700),
    [anon_sym_PERCENT_EQ] = ACTIONS(5700),
    [anon_sym_PLUS_EQ] = ACTIONS(5700),
    [anon_sym_DASH_EQ] = ACTIONS(5700),
    [anon_sym_LT_LT_EQ] = ACTIONS(5700),
    [anon_sym_GT_GT_EQ] = ACTIONS(5700),
    [anon_sym_AMP_EQ] = ACTIONS(5700),
    [anon_sym_CARET_EQ] = ACTIONS(5700),
    [anon_sym_PIPE_EQ] = ACTIONS(5700),
    [anon_sym_and_eq] = ACTIONS(5698),
    [anon_sym_or_eq] = ACTIONS(5698),
    [anon_sym_xor_eq] = ACTIONS(5698),
    [anon_sym_LT_EQ_GT] = ACTIONS(5700),
    [anon_sym_or] = ACTIONS(5698),
    [anon_sym_and] = ACTIONS(5698),
    [anon_sym_bitor] = ACTIONS(5698),
    [anon_sym_xor] = ACTIONS(5698),
    [anon_sym_bitand] = ACTIONS(5698),
    [anon_sym_not_eq] = ACTIONS(5698),
    [anon_sym_DASH_DASH] = ACTIONS(5700),
    [anon_sym_PLUS_PLUS] = ACTIONS(5700),
    [anon_sym_DOT] = ACTIONS(5698),
    [anon_sym_DOT_STAR] = ACTIONS(5700),
    [anon_sym_DASH_GT] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5698),
    [anon_sym_decltype] = ACTIONS(5698),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5696),
    [anon_sym_COMMA] = ACTIONS(5696),
    [anon_sym_RPAREN] = ACTIONS(5696),
    [aux_sym_preproc_if_token2] = ACTIONS(5696),
    [aux_sym_preproc_else_token1] = ACTIONS(5696),
    [aux_sym_preproc_elif_token1] = ACTIONS(5694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5696),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5696),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_DASH] = ACTIONS(5694),
    [anon_sym_PLUS] = ACTIONS(5694),
    [anon_sym_STAR] = ACTIONS(5694),
    [anon_sym_SLASH] = ACTIONS(5694),
    [anon_sym_PERCENT] = ACTIONS(5694),
    [anon_sym_PIPE_PIPE] = ACTIONS(5696),
    [anon_sym_AMP_AMP] = ACTIONS(5696),
    [anon_sym_PIPE] = ACTIONS(5694),
    [anon_sym_CARET] = ACTIONS(5694),
    [anon_sym_AMP] = ACTIONS(5694),
    [anon_sym_EQ_EQ] = ACTIONS(5696),
    [anon_sym_BANG_EQ] = ACTIONS(5696),
    [anon_sym_GT] = ACTIONS(5694),
    [anon_sym_GT_EQ] = ACTIONS(5696),
    [anon_sym_LT_EQ] = ACTIONS(5694),
    [anon_sym_LT] = ACTIONS(5694),
    [anon_sym_LT_LT] = ACTIONS(5694),
    [anon_sym_GT_GT] = ACTIONS(5694),
    [anon_sym_SEMI] = ACTIONS(5696),
    [anon_sym___attribute__] = ACTIONS(5694),
    [anon_sym_LBRACE] = ACTIONS(5696),
    [anon_sym_RBRACE] = ACTIONS(5696),
    [anon_sym_LBRACK] = ACTIONS(5696),
    [anon_sym_RBRACK] = ACTIONS(5696),
    [anon_sym_EQ] = ACTIONS(5694),
    [anon_sym_COLON] = ACTIONS(5696),
    [anon_sym_QMARK] = ACTIONS(5696),
    [anon_sym_STAR_EQ] = ACTIONS(5696),
    [anon_sym_SLASH_EQ] = ACTIONS(5696),
    [anon_sym_PERCENT_EQ] = ACTIONS(5696),
    [anon_sym_PLUS_EQ] = ACTIONS(5696),
    [anon_sym_DASH_EQ] = ACTIONS(5696),
    [anon_sym_LT_LT_EQ] = ACTIONS(5696),
    [anon_sym_GT_GT_EQ] = ACTIONS(5696),
    [anon_sym_AMP_EQ] = ACTIONS(5696),
    [anon_sym_CARET_EQ] = ACTIONS(5696),
    [anon_sym_PIPE_EQ] = ACTIONS(5696),
    [anon_sym_and_eq] = ACTIONS(5694),
    [anon_sym_or_eq] = ACTIONS(5694),
    [anon_sym_xor_eq] = ACTIONS(5694),
    [anon_sym_LT_EQ_GT] = ACTIONS(5696),
    [anon_sym_or] = ACTIONS(5694),
    [anon_sym_and] = ACTIONS(5694),
    [anon_sym_bitor] = ACTIONS(5694),
    [anon_sym_xor] = ACTIONS(5694),
    [anon_sym_bitand] = ACTIONS(5694),
    [anon_sym_not_eq] = ACTIONS(5694),
    [anon_sym_DASH_DASH] = ACTIONS(5696),
    [anon_sym_PLUS_PLUS] = ACTIONS(5696),
    [anon_sym_DOT] = ACTIONS(5694),
    [anon_sym_DOT_STAR] = ACTIONS(5696),
    [anon_sym_DASH_GT] = ACTIONS(5696),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5694),
    [anon_sym_decltype] = ACTIONS(5694),
  },
  [2493] = {
    [sym_attribute_declaration] = STATE(2485),
    [aux_sym_attributed_declarator_repeat1] = STATE(2485),
    [sym_identifier] = ACTIONS(6038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6040),
    [anon_sym_COMMA] = ACTIONS(6040),
    [anon_sym_RPAREN] = ACTIONS(6040),
    [aux_sym_preproc_if_token2] = ACTIONS(6040),
    [aux_sym_preproc_else_token1] = ACTIONS(6040),
    [aux_sym_preproc_elif_token1] = ACTIONS(6038),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6040),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6040),
    [anon_sym_LPAREN2] = ACTIONS(6040),
    [anon_sym_DASH] = ACTIONS(6038),
    [anon_sym_PLUS] = ACTIONS(6038),
    [anon_sym_STAR] = ACTIONS(6038),
    [anon_sym_SLASH] = ACTIONS(6038),
    [anon_sym_PERCENT] = ACTIONS(6038),
    [anon_sym_PIPE_PIPE] = ACTIONS(6040),
    [anon_sym_AMP_AMP] = ACTIONS(6040),
    [anon_sym_PIPE] = ACTIONS(6038),
    [anon_sym_CARET] = ACTIONS(6038),
    [anon_sym_AMP] = ACTIONS(6038),
    [anon_sym_EQ_EQ] = ACTIONS(6040),
    [anon_sym_BANG_EQ] = ACTIONS(6040),
    [anon_sym_GT] = ACTIONS(6038),
    [anon_sym_GT_EQ] = ACTIONS(6040),
    [anon_sym_LT_EQ] = ACTIONS(6038),
    [anon_sym_LT] = ACTIONS(6038),
    [anon_sym_LT_LT] = ACTIONS(6038),
    [anon_sym_GT_GT] = ACTIONS(6038),
    [anon_sym_SEMI] = ACTIONS(6040),
    [anon_sym___attribute__] = ACTIONS(6038),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5906),
    [anon_sym_RBRACE] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6038),
    [anon_sym_RBRACK] = ACTIONS(6040),
    [anon_sym_EQ] = ACTIONS(6038),
    [anon_sym_COLON] = ACTIONS(6040),
    [anon_sym_QMARK] = ACTIONS(6040),
    [anon_sym_STAR_EQ] = ACTIONS(6040),
    [anon_sym_SLASH_EQ] = ACTIONS(6040),
    [anon_sym_PERCENT_EQ] = ACTIONS(6040),
    [anon_sym_PLUS_EQ] = ACTIONS(6040),
    [anon_sym_DASH_EQ] = ACTIONS(6040),
    [anon_sym_LT_LT_EQ] = ACTIONS(6040),
    [anon_sym_GT_GT_EQ] = ACTIONS(6040),
    [anon_sym_AMP_EQ] = ACTIONS(6040),
    [anon_sym_CARET_EQ] = ACTIONS(6040),
    [anon_sym_PIPE_EQ] = ACTIONS(6040),
    [anon_sym_and_eq] = ACTIONS(6038),
    [anon_sym_or_eq] = ACTIONS(6038),
    [anon_sym_xor_eq] = ACTIONS(6038),
    [anon_sym_LT_EQ_GT] = ACTIONS(6040),
    [anon_sym_or] = ACTIONS(6038),
    [anon_sym_and] = ACTIONS(6038),
    [anon_sym_bitor] = ACTIONS(6038),
    [anon_sym_xor] = ACTIONS(6038),
    [anon_sym_bitand] = ACTIONS(6038),
    [anon_sym_not_eq] = ACTIONS(6038),
    [anon_sym_DASH_DASH] = ACTIONS(6040),
    [anon_sym_PLUS_PLUS] = ACTIONS(6040),
    [anon_sym_DOT] = ACTIONS(6038),
    [anon_sym_DOT_STAR] = ACTIONS(6040),
    [anon_sym_DASH_GT] = ACTIONS(6040),
    [sym_comment] = ACTIONS(3),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(5348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [aux_sym_preproc_if_token2] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [anon_sym_LPAREN2] = ACTIONS(5350),
    [anon_sym_DASH] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5348),
    [anon_sym_STAR] = ACTIONS(5348),
    [anon_sym_SLASH] = ACTIONS(5348),
    [anon_sym_PERCENT] = ACTIONS(5348),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5348),
    [anon_sym_CARET] = ACTIONS(5348),
    [anon_sym_AMP] = ACTIONS(5348),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT] = ACTIONS(5348),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(5348),
    [anon_sym_LT_LT] = ACTIONS(5348),
    [anon_sym_GT_GT] = ACTIONS(5348),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_EQ] = ACTIONS(5348),
    [anon_sym_QMARK] = ACTIONS(5350),
    [anon_sym_STAR_EQ] = ACTIONS(5350),
    [anon_sym_SLASH_EQ] = ACTIONS(5350),
    [anon_sym_PERCENT_EQ] = ACTIONS(5350),
    [anon_sym_PLUS_EQ] = ACTIONS(5350),
    [anon_sym_DASH_EQ] = ACTIONS(5350),
    [anon_sym_LT_LT_EQ] = ACTIONS(5350),
    [anon_sym_GT_GT_EQ] = ACTIONS(5350),
    [anon_sym_AMP_EQ] = ACTIONS(5350),
    [anon_sym_CARET_EQ] = ACTIONS(5350),
    [anon_sym_PIPE_EQ] = ACTIONS(5350),
    [anon_sym_and_eq] = ACTIONS(5348),
    [anon_sym_or_eq] = ACTIONS(5348),
    [anon_sym_xor_eq] = ACTIONS(5348),
    [anon_sym_LT_EQ_GT] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5348),
    [anon_sym_and] = ACTIONS(5348),
    [anon_sym_bitor] = ACTIONS(5348),
    [anon_sym_xor] = ACTIONS(5348),
    [anon_sym_bitand] = ACTIONS(5348),
    [anon_sym_not_eq] = ACTIONS(5348),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5348),
    [anon_sym_DOT_STAR] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_L_DQUOTE] = ACTIONS(5350),
    [anon_sym_u_DQUOTE] = ACTIONS(5350),
    [anon_sym_U_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8_DQUOTE] = ACTIONS(5350),
    [anon_sym_DQUOTE] = ACTIONS(5350),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5350),
    [anon_sym_LR_DQUOTE] = ACTIONS(5350),
    [anon_sym_uR_DQUOTE] = ACTIONS(5350),
    [anon_sym_UR_DQUOTE] = ACTIONS(5350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5350),
    [sym_literal_suffix] = ACTIONS(5348),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(5675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5677),
    [anon_sym_COMMA] = ACTIONS(5677),
    [anon_sym_RPAREN] = ACTIONS(5677),
    [aux_sym_preproc_if_token2] = ACTIONS(5677),
    [aux_sym_preproc_else_token1] = ACTIONS(5677),
    [aux_sym_preproc_elif_token1] = ACTIONS(5675),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5677),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5677),
    [anon_sym_LPAREN2] = ACTIONS(5677),
    [anon_sym_DASH] = ACTIONS(5675),
    [anon_sym_PLUS] = ACTIONS(5675),
    [anon_sym_STAR] = ACTIONS(5675),
    [anon_sym_SLASH] = ACTIONS(5675),
    [anon_sym_PERCENT] = ACTIONS(5675),
    [anon_sym_PIPE_PIPE] = ACTIONS(5677),
    [anon_sym_AMP_AMP] = ACTIONS(5677),
    [anon_sym_PIPE] = ACTIONS(5675),
    [anon_sym_CARET] = ACTIONS(5675),
    [anon_sym_AMP] = ACTIONS(5675),
    [anon_sym_EQ_EQ] = ACTIONS(5677),
    [anon_sym_BANG_EQ] = ACTIONS(5677),
    [anon_sym_GT] = ACTIONS(5675),
    [anon_sym_GT_EQ] = ACTIONS(5677),
    [anon_sym_LT_EQ] = ACTIONS(5675),
    [anon_sym_LT] = ACTIONS(5675),
    [anon_sym_LT_LT] = ACTIONS(5675),
    [anon_sym_GT_GT] = ACTIONS(5675),
    [anon_sym_SEMI] = ACTIONS(5677),
    [anon_sym___attribute__] = ACTIONS(5675),
    [anon_sym_LBRACE] = ACTIONS(5677),
    [anon_sym_RBRACE] = ACTIONS(5677),
    [anon_sym_LBRACK] = ACTIONS(5677),
    [anon_sym_RBRACK] = ACTIONS(5677),
    [anon_sym_EQ] = ACTIONS(5675),
    [anon_sym_COLON] = ACTIONS(5677),
    [anon_sym_QMARK] = ACTIONS(5677),
    [anon_sym_STAR_EQ] = ACTIONS(5677),
    [anon_sym_SLASH_EQ] = ACTIONS(5677),
    [anon_sym_PERCENT_EQ] = ACTIONS(5677),
    [anon_sym_PLUS_EQ] = ACTIONS(5677),
    [anon_sym_DASH_EQ] = ACTIONS(5677),
    [anon_sym_LT_LT_EQ] = ACTIONS(5677),
    [anon_sym_GT_GT_EQ] = ACTIONS(5677),
    [anon_sym_AMP_EQ] = ACTIONS(5677),
    [anon_sym_CARET_EQ] = ACTIONS(5677),
    [anon_sym_PIPE_EQ] = ACTIONS(5677),
    [anon_sym_and_eq] = ACTIONS(5675),
    [anon_sym_or_eq] = ACTIONS(5675),
    [anon_sym_xor_eq] = ACTIONS(5675),
    [anon_sym_LT_EQ_GT] = ACTIONS(5677),
    [anon_sym_or] = ACTIONS(5675),
    [anon_sym_and] = ACTIONS(5675),
    [anon_sym_bitor] = ACTIONS(5675),
    [anon_sym_xor] = ACTIONS(5675),
    [anon_sym_bitand] = ACTIONS(5675),
    [anon_sym_not_eq] = ACTIONS(5675),
    [anon_sym_DASH_DASH] = ACTIONS(5677),
    [anon_sym_PLUS_PLUS] = ACTIONS(5677),
    [anon_sym_DOT] = ACTIONS(5675),
    [anon_sym_DOT_STAR] = ACTIONS(5677),
    [anon_sym_DASH_GT] = ACTIONS(5677),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5675),
    [anon_sym_decltype] = ACTIONS(5675),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5716),
    [anon_sym_COMMA] = ACTIONS(5716),
    [anon_sym_RPAREN] = ACTIONS(5716),
    [aux_sym_preproc_if_token2] = ACTIONS(5716),
    [aux_sym_preproc_else_token1] = ACTIONS(5716),
    [aux_sym_preproc_elif_token1] = ACTIONS(5714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5716),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5716),
    [anon_sym_DASH] = ACTIONS(5714),
    [anon_sym_PLUS] = ACTIONS(5714),
    [anon_sym_STAR] = ACTIONS(5714),
    [anon_sym_SLASH] = ACTIONS(5714),
    [anon_sym_PERCENT] = ACTIONS(5714),
    [anon_sym_PIPE_PIPE] = ACTIONS(5716),
    [anon_sym_AMP_AMP] = ACTIONS(5716),
    [anon_sym_PIPE] = ACTIONS(5714),
    [anon_sym_CARET] = ACTIONS(5714),
    [anon_sym_AMP] = ACTIONS(5714),
    [anon_sym_EQ_EQ] = ACTIONS(5716),
    [anon_sym_BANG_EQ] = ACTIONS(5716),
    [anon_sym_GT] = ACTIONS(5714),
    [anon_sym_GT_EQ] = ACTIONS(5716),
    [anon_sym_LT_EQ] = ACTIONS(5714),
    [anon_sym_LT] = ACTIONS(5714),
    [anon_sym_LT_LT] = ACTIONS(5714),
    [anon_sym_GT_GT] = ACTIONS(5714),
    [anon_sym_SEMI] = ACTIONS(5716),
    [anon_sym___attribute__] = ACTIONS(5714),
    [anon_sym_LBRACE] = ACTIONS(5716),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_LBRACK] = ACTIONS(5716),
    [anon_sym_RBRACK] = ACTIONS(5716),
    [anon_sym_EQ] = ACTIONS(5714),
    [anon_sym_COLON] = ACTIONS(5716),
    [anon_sym_QMARK] = ACTIONS(5716),
    [anon_sym_STAR_EQ] = ACTIONS(5716),
    [anon_sym_SLASH_EQ] = ACTIONS(5716),
    [anon_sym_PERCENT_EQ] = ACTIONS(5716),
    [anon_sym_PLUS_EQ] = ACTIONS(5716),
    [anon_sym_DASH_EQ] = ACTIONS(5716),
    [anon_sym_LT_LT_EQ] = ACTIONS(5716),
    [anon_sym_GT_GT_EQ] = ACTIONS(5716),
    [anon_sym_AMP_EQ] = ACTIONS(5716),
    [anon_sym_CARET_EQ] = ACTIONS(5716),
    [anon_sym_PIPE_EQ] = ACTIONS(5716),
    [anon_sym_and_eq] = ACTIONS(5714),
    [anon_sym_or_eq] = ACTIONS(5714),
    [anon_sym_xor_eq] = ACTIONS(5714),
    [anon_sym_LT_EQ_GT] = ACTIONS(5716),
    [anon_sym_or] = ACTIONS(5714),
    [anon_sym_and] = ACTIONS(5714),
    [anon_sym_bitor] = ACTIONS(5714),
    [anon_sym_xor] = ACTIONS(5714),
    [anon_sym_bitand] = ACTIONS(5714),
    [anon_sym_not_eq] = ACTIONS(5714),
    [anon_sym_DASH_DASH] = ACTIONS(5716),
    [anon_sym_PLUS_PLUS] = ACTIONS(5716),
    [anon_sym_DOT] = ACTIONS(5714),
    [anon_sym_DOT_STAR] = ACTIONS(5716),
    [anon_sym_DASH_GT] = ACTIONS(5716),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5714),
    [anon_sym_decltype] = ACTIONS(5714),
  },
  [2497] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
  },
  [2498] = {
    [sym_string_literal] = STATE(2967),
    [sym_template_argument_list] = STATE(4222),
    [sym_raw_string_literal] = STATE(2967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(5485),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(6042),
    [anon_sym_COLON] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(6044),
    [anon_sym_SLASH_EQ] = ACTIONS(6044),
    [anon_sym_PERCENT_EQ] = ACTIONS(6044),
    [anon_sym_PLUS_EQ] = ACTIONS(6044),
    [anon_sym_DASH_EQ] = ACTIONS(6044),
    [anon_sym_LT_LT_EQ] = ACTIONS(6044),
    [anon_sym_GT_GT_EQ] = ACTIONS(6044),
    [anon_sym_AMP_EQ] = ACTIONS(6044),
    [anon_sym_CARET_EQ] = ACTIONS(6044),
    [anon_sym_PIPE_EQ] = ACTIONS(6044),
    [anon_sym_and_eq] = ACTIONS(6044),
    [anon_sym_or_eq] = ACTIONS(6044),
    [anon_sym_xor_eq] = ACTIONS(6044),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4349),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4349),
    [anon_sym_not_eq] = ACTIONS(4349),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4349),
    [anon_sym_L_DQUOTE] = ACTIONS(3685),
    [anon_sym_u_DQUOTE] = ACTIONS(3685),
    [anon_sym_U_DQUOTE] = ACTIONS(3685),
    [anon_sym_u8_DQUOTE] = ACTIONS(3685),
    [anon_sym_DQUOTE] = ACTIONS(3685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3689),
    [anon_sym_LR_DQUOTE] = ACTIONS(3689),
    [anon_sym_uR_DQUOTE] = ACTIONS(3689),
    [anon_sym_UR_DQUOTE] = ACTIONS(3689),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3689),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5712),
    [anon_sym_COMMA] = ACTIONS(5712),
    [anon_sym_RPAREN] = ACTIONS(5712),
    [aux_sym_preproc_if_token2] = ACTIONS(5712),
    [aux_sym_preproc_else_token1] = ACTIONS(5712),
    [aux_sym_preproc_elif_token1] = ACTIONS(5710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5712),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5712),
    [anon_sym_LPAREN2] = ACTIONS(5712),
    [anon_sym_DASH] = ACTIONS(5710),
    [anon_sym_PLUS] = ACTIONS(5710),
    [anon_sym_STAR] = ACTIONS(5710),
    [anon_sym_SLASH] = ACTIONS(5710),
    [anon_sym_PERCENT] = ACTIONS(5710),
    [anon_sym_PIPE_PIPE] = ACTIONS(5712),
    [anon_sym_AMP_AMP] = ACTIONS(5712),
    [anon_sym_PIPE] = ACTIONS(5710),
    [anon_sym_CARET] = ACTIONS(5710),
    [anon_sym_AMP] = ACTIONS(5710),
    [anon_sym_EQ_EQ] = ACTIONS(5712),
    [anon_sym_BANG_EQ] = ACTIONS(5712),
    [anon_sym_GT] = ACTIONS(5710),
    [anon_sym_GT_EQ] = ACTIONS(5712),
    [anon_sym_LT_EQ] = ACTIONS(5710),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(5710),
    [anon_sym_GT_GT] = ACTIONS(5710),
    [anon_sym_SEMI] = ACTIONS(5712),
    [anon_sym___attribute__] = ACTIONS(5710),
    [anon_sym_LBRACE] = ACTIONS(5712),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_RBRACK] = ACTIONS(5712),
    [anon_sym_EQ] = ACTIONS(5710),
    [anon_sym_COLON] = ACTIONS(5712),
    [anon_sym_QMARK] = ACTIONS(5712),
    [anon_sym_STAR_EQ] = ACTIONS(5712),
    [anon_sym_SLASH_EQ] = ACTIONS(5712),
    [anon_sym_PERCENT_EQ] = ACTIONS(5712),
    [anon_sym_PLUS_EQ] = ACTIONS(5712),
    [anon_sym_DASH_EQ] = ACTIONS(5712),
    [anon_sym_LT_LT_EQ] = ACTIONS(5712),
    [anon_sym_GT_GT_EQ] = ACTIONS(5712),
    [anon_sym_AMP_EQ] = ACTIONS(5712),
    [anon_sym_CARET_EQ] = ACTIONS(5712),
    [anon_sym_PIPE_EQ] = ACTIONS(5712),
    [anon_sym_and_eq] = ACTIONS(5710),
    [anon_sym_or_eq] = ACTIONS(5710),
    [anon_sym_xor_eq] = ACTIONS(5710),
    [anon_sym_LT_EQ_GT] = ACTIONS(5712),
    [anon_sym_or] = ACTIONS(5710),
    [anon_sym_and] = ACTIONS(5710),
    [anon_sym_bitor] = ACTIONS(5710),
    [anon_sym_xor] = ACTIONS(5710),
    [anon_sym_bitand] = ACTIONS(5710),
    [anon_sym_not_eq] = ACTIONS(5710),
    [anon_sym_DASH_DASH] = ACTIONS(5712),
    [anon_sym_PLUS_PLUS] = ACTIONS(5712),
    [anon_sym_DOT] = ACTIONS(5710),
    [anon_sym_DOT_STAR] = ACTIONS(5712),
    [anon_sym_DASH_GT] = ACTIONS(5712),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5710),
    [anon_sym_decltype] = ACTIONS(5710),
  },
  [2500] = {
    [sym_argument_list] = STATE(2818),
    [sym_initializer_list] = STATE(2818),
    [sym_identifier] = ACTIONS(6046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6048),
    [anon_sym_COMMA] = ACTIONS(6048),
    [anon_sym_RPAREN] = ACTIONS(6048),
    [aux_sym_preproc_if_token2] = ACTIONS(6048),
    [aux_sym_preproc_else_token1] = ACTIONS(6048),
    [aux_sym_preproc_elif_token1] = ACTIONS(6046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6048),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(6046),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_STAR] = ACTIONS(6046),
    [anon_sym_SLASH] = ACTIONS(6046),
    [anon_sym_PERCENT] = ACTIONS(6046),
    [anon_sym_PIPE_PIPE] = ACTIONS(6048),
    [anon_sym_AMP_AMP] = ACTIONS(6048),
    [anon_sym_PIPE] = ACTIONS(6046),
    [anon_sym_CARET] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_EQ_EQ] = ACTIONS(6048),
    [anon_sym_BANG_EQ] = ACTIONS(6048),
    [anon_sym_GT] = ACTIONS(6046),
    [anon_sym_GT_EQ] = ACTIONS(6048),
    [anon_sym_LT_EQ] = ACTIONS(6046),
    [anon_sym_LT] = ACTIONS(6046),
    [anon_sym_LT_LT] = ACTIONS(6046),
    [anon_sym_GT_GT] = ACTIONS(6046),
    [anon_sym_SEMI] = ACTIONS(6048),
    [anon_sym___attribute__] = ACTIONS(6046),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(6048),
    [anon_sym_LBRACK] = ACTIONS(6048),
    [anon_sym_RBRACK] = ACTIONS(6048),
    [anon_sym_EQ] = ACTIONS(6046),
    [anon_sym_COLON] = ACTIONS(6048),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_STAR_EQ] = ACTIONS(6048),
    [anon_sym_SLASH_EQ] = ACTIONS(6048),
    [anon_sym_PERCENT_EQ] = ACTIONS(6048),
    [anon_sym_PLUS_EQ] = ACTIONS(6048),
    [anon_sym_DASH_EQ] = ACTIONS(6048),
    [anon_sym_LT_LT_EQ] = ACTIONS(6048),
    [anon_sym_GT_GT_EQ] = ACTIONS(6048),
    [anon_sym_AMP_EQ] = ACTIONS(6048),
    [anon_sym_CARET_EQ] = ACTIONS(6048),
    [anon_sym_PIPE_EQ] = ACTIONS(6048),
    [anon_sym_and_eq] = ACTIONS(6046),
    [anon_sym_or_eq] = ACTIONS(6046),
    [anon_sym_xor_eq] = ACTIONS(6046),
    [anon_sym_LT_EQ_GT] = ACTIONS(6048),
    [anon_sym_or] = ACTIONS(6046),
    [anon_sym_and] = ACTIONS(6046),
    [anon_sym_bitor] = ACTIONS(6046),
    [anon_sym_xor] = ACTIONS(6046),
    [anon_sym_bitand] = ACTIONS(6046),
    [anon_sym_not_eq] = ACTIONS(6046),
    [anon_sym_DASH_DASH] = ACTIONS(6048),
    [anon_sym_PLUS_PLUS] = ACTIONS(6048),
    [anon_sym_DOT] = ACTIONS(6046),
    [anon_sym_DOT_STAR] = ACTIONS(6048),
    [anon_sym_DASH_GT] = ACTIONS(6048),
    [sym_comment] = ACTIONS(3),
  },
  [2501] = {
    [sym_argument_list] = STATE(2874),
    [sym_initializer_list] = STATE(2874),
    [sym_identifier] = ACTIONS(6050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6052),
    [anon_sym_COMMA] = ACTIONS(6052),
    [anon_sym_RPAREN] = ACTIONS(6052),
    [aux_sym_preproc_if_token2] = ACTIONS(6052),
    [aux_sym_preproc_else_token1] = ACTIONS(6052),
    [aux_sym_preproc_elif_token1] = ACTIONS(6050),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6052),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6052),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(6050),
    [anon_sym_PLUS] = ACTIONS(6050),
    [anon_sym_STAR] = ACTIONS(6050),
    [anon_sym_SLASH] = ACTIONS(6050),
    [anon_sym_PERCENT] = ACTIONS(6050),
    [anon_sym_PIPE_PIPE] = ACTIONS(6052),
    [anon_sym_AMP_AMP] = ACTIONS(6052),
    [anon_sym_PIPE] = ACTIONS(6050),
    [anon_sym_CARET] = ACTIONS(6050),
    [anon_sym_AMP] = ACTIONS(6050),
    [anon_sym_EQ_EQ] = ACTIONS(6052),
    [anon_sym_BANG_EQ] = ACTIONS(6052),
    [anon_sym_GT] = ACTIONS(6050),
    [anon_sym_GT_EQ] = ACTIONS(6052),
    [anon_sym_LT_EQ] = ACTIONS(6050),
    [anon_sym_LT] = ACTIONS(6050),
    [anon_sym_LT_LT] = ACTIONS(6050),
    [anon_sym_GT_GT] = ACTIONS(6050),
    [anon_sym_SEMI] = ACTIONS(6052),
    [anon_sym___attribute__] = ACTIONS(6050),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(6052),
    [anon_sym_LBRACK] = ACTIONS(6052),
    [anon_sym_RBRACK] = ACTIONS(6052),
    [anon_sym_EQ] = ACTIONS(6050),
    [anon_sym_COLON] = ACTIONS(6052),
    [anon_sym_QMARK] = ACTIONS(6052),
    [anon_sym_STAR_EQ] = ACTIONS(6052),
    [anon_sym_SLASH_EQ] = ACTIONS(6052),
    [anon_sym_PERCENT_EQ] = ACTIONS(6052),
    [anon_sym_PLUS_EQ] = ACTIONS(6052),
    [anon_sym_DASH_EQ] = ACTIONS(6052),
    [anon_sym_LT_LT_EQ] = ACTIONS(6052),
    [anon_sym_GT_GT_EQ] = ACTIONS(6052),
    [anon_sym_AMP_EQ] = ACTIONS(6052),
    [anon_sym_CARET_EQ] = ACTIONS(6052),
    [anon_sym_PIPE_EQ] = ACTIONS(6052),
    [anon_sym_and_eq] = ACTIONS(6050),
    [anon_sym_or_eq] = ACTIONS(6050),
    [anon_sym_xor_eq] = ACTIONS(6050),
    [anon_sym_LT_EQ_GT] = ACTIONS(6052),
    [anon_sym_or] = ACTIONS(6050),
    [anon_sym_and] = ACTIONS(6050),
    [anon_sym_bitor] = ACTIONS(6050),
    [anon_sym_xor] = ACTIONS(6050),
    [anon_sym_bitand] = ACTIONS(6050),
    [anon_sym_not_eq] = ACTIONS(6050),
    [anon_sym_DASH_DASH] = ACTIONS(6052),
    [anon_sym_PLUS_PLUS] = ACTIONS(6052),
    [anon_sym_DOT] = ACTIONS(6050),
    [anon_sym_DOT_STAR] = ACTIONS(6052),
    [anon_sym_DASH_GT] = ACTIONS(6052),
    [sym_comment] = ACTIONS(3),
  },
  [2502] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2503] = {
    [sym_identifier] = ACTIONS(5655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5657),
    [anon_sym_COMMA] = ACTIONS(5657),
    [anon_sym_RPAREN] = ACTIONS(5657),
    [aux_sym_preproc_if_token2] = ACTIONS(5657),
    [aux_sym_preproc_else_token1] = ACTIONS(5657),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_DASH] = ACTIONS(5655),
    [anon_sym_PLUS] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_SLASH] = ACTIONS(5655),
    [anon_sym_PERCENT] = ACTIONS(5655),
    [anon_sym_PIPE_PIPE] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_PIPE] = ACTIONS(5655),
    [anon_sym_CARET] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym_EQ_EQ] = ACTIONS(5657),
    [anon_sym_BANG_EQ] = ACTIONS(5657),
    [anon_sym_GT] = ACTIONS(5655),
    [anon_sym_GT_EQ] = ACTIONS(5657),
    [anon_sym_LT_EQ] = ACTIONS(5655),
    [anon_sym_LT] = ACTIONS(5655),
    [anon_sym_LT_LT] = ACTIONS(5655),
    [anon_sym_GT_GT] = ACTIONS(5655),
    [anon_sym_SEMI] = ACTIONS(5657),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_LBRACE] = ACTIONS(5657),
    [anon_sym_RBRACE] = ACTIONS(5657),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_RBRACK] = ACTIONS(5657),
    [anon_sym_EQ] = ACTIONS(5655),
    [anon_sym_COLON] = ACTIONS(5657),
    [anon_sym_QMARK] = ACTIONS(5657),
    [anon_sym_STAR_EQ] = ACTIONS(5657),
    [anon_sym_SLASH_EQ] = ACTIONS(5657),
    [anon_sym_PERCENT_EQ] = ACTIONS(5657),
    [anon_sym_PLUS_EQ] = ACTIONS(5657),
    [anon_sym_DASH_EQ] = ACTIONS(5657),
    [anon_sym_LT_LT_EQ] = ACTIONS(5657),
    [anon_sym_GT_GT_EQ] = ACTIONS(5657),
    [anon_sym_AMP_EQ] = ACTIONS(5657),
    [anon_sym_CARET_EQ] = ACTIONS(5657),
    [anon_sym_PIPE_EQ] = ACTIONS(5657),
    [anon_sym_and_eq] = ACTIONS(5655),
    [anon_sym_or_eq] = ACTIONS(5655),
    [anon_sym_xor_eq] = ACTIONS(5655),
    [anon_sym_LT_EQ_GT] = ACTIONS(5657),
    [anon_sym_or] = ACTIONS(5655),
    [anon_sym_and] = ACTIONS(5655),
    [anon_sym_bitor] = ACTIONS(5655),
    [anon_sym_xor] = ACTIONS(5655),
    [anon_sym_bitand] = ACTIONS(5655),
    [anon_sym_not_eq] = ACTIONS(5655),
    [anon_sym_DASH_DASH] = ACTIONS(5657),
    [anon_sym_PLUS_PLUS] = ACTIONS(5657),
    [anon_sym_DOT] = ACTIONS(5655),
    [anon_sym_DOT_STAR] = ACTIONS(5657),
    [anon_sym_DASH_GT] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
  },
  [2504] = {
    [sym_identifier] = ACTIONS(5758),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5760),
    [anon_sym_COMMA] = ACTIONS(5760),
    [anon_sym_RPAREN] = ACTIONS(5760),
    [aux_sym_preproc_if_token2] = ACTIONS(5760),
    [aux_sym_preproc_else_token1] = ACTIONS(5760),
    [aux_sym_preproc_elif_token1] = ACTIONS(5758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5760),
    [anon_sym_LPAREN2] = ACTIONS(5760),
    [anon_sym_DASH] = ACTIONS(5758),
    [anon_sym_PLUS] = ACTIONS(5758),
    [anon_sym_STAR] = ACTIONS(5758),
    [anon_sym_SLASH] = ACTIONS(5758),
    [anon_sym_PERCENT] = ACTIONS(5758),
    [anon_sym_PIPE_PIPE] = ACTIONS(5760),
    [anon_sym_AMP_AMP] = ACTIONS(5760),
    [anon_sym_PIPE] = ACTIONS(5758),
    [anon_sym_CARET] = ACTIONS(5758),
    [anon_sym_AMP] = ACTIONS(5758),
    [anon_sym_EQ_EQ] = ACTIONS(5760),
    [anon_sym_BANG_EQ] = ACTIONS(5760),
    [anon_sym_GT] = ACTIONS(5758),
    [anon_sym_GT_EQ] = ACTIONS(5760),
    [anon_sym_LT_EQ] = ACTIONS(5758),
    [anon_sym_LT] = ACTIONS(5758),
    [anon_sym_LT_LT] = ACTIONS(5758),
    [anon_sym_GT_GT] = ACTIONS(5758),
    [anon_sym_SEMI] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5758),
    [anon_sym_LBRACE] = ACTIONS(5760),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_RBRACK] = ACTIONS(5760),
    [anon_sym_EQ] = ACTIONS(5758),
    [anon_sym_COLON] = ACTIONS(5760),
    [anon_sym_QMARK] = ACTIONS(5760),
    [anon_sym_STAR_EQ] = ACTIONS(5760),
    [anon_sym_SLASH_EQ] = ACTIONS(5760),
    [anon_sym_PERCENT_EQ] = ACTIONS(5760),
    [anon_sym_PLUS_EQ] = ACTIONS(5760),
    [anon_sym_DASH_EQ] = ACTIONS(5760),
    [anon_sym_LT_LT_EQ] = ACTIONS(5760),
    [anon_sym_GT_GT_EQ] = ACTIONS(5760),
    [anon_sym_AMP_EQ] = ACTIONS(5760),
    [anon_sym_CARET_EQ] = ACTIONS(5760),
    [anon_sym_PIPE_EQ] = ACTIONS(5760),
    [anon_sym_and_eq] = ACTIONS(5758),
    [anon_sym_or_eq] = ACTIONS(5758),
    [anon_sym_xor_eq] = ACTIONS(5758),
    [anon_sym_LT_EQ_GT] = ACTIONS(5760),
    [anon_sym_or] = ACTIONS(5758),
    [anon_sym_and] = ACTIONS(5758),
    [anon_sym_bitor] = ACTIONS(5758),
    [anon_sym_xor] = ACTIONS(5758),
    [anon_sym_bitand] = ACTIONS(5758),
    [anon_sym_not_eq] = ACTIONS(5758),
    [anon_sym_DASH_DASH] = ACTIONS(5760),
    [anon_sym_PLUS_PLUS] = ACTIONS(5760),
    [anon_sym_DOT] = ACTIONS(5758),
    [anon_sym_DOT_STAR] = ACTIONS(5760),
    [anon_sym_DASH_GT] = ACTIONS(5760),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5758),
    [anon_sym_decltype] = ACTIONS(5758),
  },
  [2505] = {
    [sym_string_literal] = STATE(2310),
    [sym_raw_string_literal] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4349),
    [anon_sym_COMMA] = ACTIONS(4349),
    [anon_sym_RPAREN] = ACTIONS(4349),
    [anon_sym_LPAREN2] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4357),
    [anon_sym_PLUS] = ACTIONS(4357),
    [anon_sym_STAR] = ACTIONS(4357),
    [anon_sym_SLASH] = ACTIONS(4357),
    [anon_sym_PERCENT] = ACTIONS(4357),
    [anon_sym_PIPE_PIPE] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4349),
    [anon_sym_PIPE] = ACTIONS(4357),
    [anon_sym_CARET] = ACTIONS(4357),
    [anon_sym_AMP] = ACTIONS(4357),
    [anon_sym_EQ_EQ] = ACTIONS(4349),
    [anon_sym_BANG_EQ] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4357),
    [anon_sym_GT_EQ] = ACTIONS(4349),
    [anon_sym_LT_EQ] = ACTIONS(4357),
    [anon_sym_LT] = ACTIONS(4357),
    [anon_sym_LT_LT] = ACTIONS(4357),
    [anon_sym_GT_GT] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4349),
    [anon_sym_EQ] = ACTIONS(4357),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_STAR_EQ] = ACTIONS(4349),
    [anon_sym_SLASH_EQ] = ACTIONS(4349),
    [anon_sym_PERCENT_EQ] = ACTIONS(4349),
    [anon_sym_PLUS_EQ] = ACTIONS(4349),
    [anon_sym_DASH_EQ] = ACTIONS(4349),
    [anon_sym_LT_LT_EQ] = ACTIONS(4349),
    [anon_sym_GT_GT_EQ] = ACTIONS(4349),
    [anon_sym_AMP_EQ] = ACTIONS(4349),
    [anon_sym_CARET_EQ] = ACTIONS(4349),
    [anon_sym_PIPE_EQ] = ACTIONS(4349),
    [anon_sym_and_eq] = ACTIONS(4357),
    [anon_sym_or_eq] = ACTIONS(4357),
    [anon_sym_xor_eq] = ACTIONS(4357),
    [anon_sym_LT_EQ_GT] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4357),
    [anon_sym_and] = ACTIONS(4357),
    [anon_sym_bitor] = ACTIONS(4357),
    [anon_sym_xor] = ACTIONS(4357),
    [anon_sym_bitand] = ACTIONS(4357),
    [anon_sym_not_eq] = ACTIONS(4357),
    [anon_sym_DASH_DASH] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4349),
    [anon_sym_DOT] = ACTIONS(4357),
    [anon_sym_DOT_STAR] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4357),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4349),
    [sym_literal_suffix] = ACTIONS(6054),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(5352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5354),
    [anon_sym_COMMA] = ACTIONS(5354),
    [aux_sym_preproc_if_token2] = ACTIONS(5354),
    [aux_sym_preproc_else_token1] = ACTIONS(5354),
    [aux_sym_preproc_elif_token1] = ACTIONS(5354),
    [anon_sym_LPAREN2] = ACTIONS(5354),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5352),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5352),
    [anon_sym_PIPE_PIPE] = ACTIONS(5354),
    [anon_sym_AMP_AMP] = ACTIONS(5354),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_CARET] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_EQ_EQ] = ACTIONS(5354),
    [anon_sym_BANG_EQ] = ACTIONS(5354),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_GT_EQ] = ACTIONS(5354),
    [anon_sym_LT_EQ] = ACTIONS(5352),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5352),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5354),
    [anon_sym_EQ] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_STAR_EQ] = ACTIONS(5354),
    [anon_sym_SLASH_EQ] = ACTIONS(5354),
    [anon_sym_PERCENT_EQ] = ACTIONS(5354),
    [anon_sym_PLUS_EQ] = ACTIONS(5354),
    [anon_sym_DASH_EQ] = ACTIONS(5354),
    [anon_sym_LT_LT_EQ] = ACTIONS(5354),
    [anon_sym_GT_GT_EQ] = ACTIONS(5354),
    [anon_sym_AMP_EQ] = ACTIONS(5354),
    [anon_sym_CARET_EQ] = ACTIONS(5354),
    [anon_sym_PIPE_EQ] = ACTIONS(5354),
    [anon_sym_and_eq] = ACTIONS(5352),
    [anon_sym_or_eq] = ACTIONS(5352),
    [anon_sym_xor_eq] = ACTIONS(5352),
    [anon_sym_LT_EQ_GT] = ACTIONS(5354),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_and] = ACTIONS(5352),
    [anon_sym_bitor] = ACTIONS(5352),
    [anon_sym_xor] = ACTIONS(5352),
    [anon_sym_bitand] = ACTIONS(5352),
    [anon_sym_not_eq] = ACTIONS(5352),
    [anon_sym_DASH_DASH] = ACTIONS(5354),
    [anon_sym_PLUS_PLUS] = ACTIONS(5354),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_DOT_STAR] = ACTIONS(5354),
    [anon_sym_DASH_GT] = ACTIONS(5354),
    [anon_sym_L_DQUOTE] = ACTIONS(5354),
    [anon_sym_u_DQUOTE] = ACTIONS(5354),
    [anon_sym_U_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8_DQUOTE] = ACTIONS(5354),
    [anon_sym_DQUOTE] = ACTIONS(5354),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5354),
    [anon_sym_LR_DQUOTE] = ACTIONS(5354),
    [anon_sym_uR_DQUOTE] = ACTIONS(5354),
    [anon_sym_UR_DQUOTE] = ACTIONS(5354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5354),
    [sym_literal_suffix] = ACTIONS(5352),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(5690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5692),
    [anon_sym_COMMA] = ACTIONS(5692),
    [anon_sym_RPAREN] = ACTIONS(5692),
    [aux_sym_preproc_if_token2] = ACTIONS(5692),
    [aux_sym_preproc_else_token1] = ACTIONS(5692),
    [aux_sym_preproc_elif_token1] = ACTIONS(5690),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_STAR] = ACTIONS(5690),
    [anon_sym_SLASH] = ACTIONS(5690),
    [anon_sym_PERCENT] = ACTIONS(5690),
    [anon_sym_PIPE_PIPE] = ACTIONS(5692),
    [anon_sym_AMP_AMP] = ACTIONS(5692),
    [anon_sym_PIPE] = ACTIONS(5690),
    [anon_sym_CARET] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(5690),
    [anon_sym_EQ_EQ] = ACTIONS(5692),
    [anon_sym_BANG_EQ] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5690),
    [anon_sym_GT_EQ] = ACTIONS(5692),
    [anon_sym_LT_EQ] = ACTIONS(5690),
    [anon_sym_LT] = ACTIONS(5690),
    [anon_sym_LT_LT] = ACTIONS(5690),
    [anon_sym_GT_GT] = ACTIONS(5690),
    [anon_sym_SEMI] = ACTIONS(5692),
    [anon_sym___attribute__] = ACTIONS(5690),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_RBRACE] = ACTIONS(5692),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_RBRACK] = ACTIONS(5692),
    [anon_sym_EQ] = ACTIONS(5690),
    [anon_sym_COLON] = ACTIONS(5692),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_STAR_EQ] = ACTIONS(5692),
    [anon_sym_SLASH_EQ] = ACTIONS(5692),
    [anon_sym_PERCENT_EQ] = ACTIONS(5692),
    [anon_sym_PLUS_EQ] = ACTIONS(5692),
    [anon_sym_DASH_EQ] = ACTIONS(5692),
    [anon_sym_LT_LT_EQ] = ACTIONS(5692),
    [anon_sym_GT_GT_EQ] = ACTIONS(5692),
    [anon_sym_AMP_EQ] = ACTIONS(5692),
    [anon_sym_CARET_EQ] = ACTIONS(5692),
    [anon_sym_PIPE_EQ] = ACTIONS(5692),
    [anon_sym_and_eq] = ACTIONS(5690),
    [anon_sym_or_eq] = ACTIONS(5690),
    [anon_sym_xor_eq] = ACTIONS(5690),
    [anon_sym_LT_EQ_GT] = ACTIONS(5692),
    [anon_sym_or] = ACTIONS(5690),
    [anon_sym_and] = ACTIONS(5690),
    [anon_sym_bitor] = ACTIONS(5690),
    [anon_sym_xor] = ACTIONS(5690),
    [anon_sym_bitand] = ACTIONS(5690),
    [anon_sym_not_eq] = ACTIONS(5690),
    [anon_sym_DASH_DASH] = ACTIONS(5692),
    [anon_sym_PLUS_PLUS] = ACTIONS(5692),
    [anon_sym_DOT] = ACTIONS(5690),
    [anon_sym_DOT_STAR] = ACTIONS(5692),
    [anon_sym_DASH_GT] = ACTIONS(5692),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5690),
    [anon_sym_decltype] = ACTIONS(5690),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(5686),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5688),
    [anon_sym_COMMA] = ACTIONS(5688),
    [anon_sym_RPAREN] = ACTIONS(5688),
    [aux_sym_preproc_if_token2] = ACTIONS(5688),
    [aux_sym_preproc_else_token1] = ACTIONS(5688),
    [aux_sym_preproc_elif_token1] = ACTIONS(5686),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_STAR] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [anon_sym_PIPE_PIPE] = ACTIONS(5688),
    [anon_sym_AMP_AMP] = ACTIONS(5688),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_CARET] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5688),
    [anon_sym_BANG_EQ] = ACTIONS(5688),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5688),
    [anon_sym_LT_EQ] = ACTIONS(5686),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_SEMI] = ACTIONS(5688),
    [anon_sym___attribute__] = ACTIONS(5686),
    [anon_sym_LBRACE] = ACTIONS(5688),
    [anon_sym_RBRACE] = ACTIONS(5688),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_RBRACK] = ACTIONS(5688),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_QMARK] = ACTIONS(5688),
    [anon_sym_STAR_EQ] = ACTIONS(5688),
    [anon_sym_SLASH_EQ] = ACTIONS(5688),
    [anon_sym_PERCENT_EQ] = ACTIONS(5688),
    [anon_sym_PLUS_EQ] = ACTIONS(5688),
    [anon_sym_DASH_EQ] = ACTIONS(5688),
    [anon_sym_LT_LT_EQ] = ACTIONS(5688),
    [anon_sym_GT_GT_EQ] = ACTIONS(5688),
    [anon_sym_AMP_EQ] = ACTIONS(5688),
    [anon_sym_CARET_EQ] = ACTIONS(5688),
    [anon_sym_PIPE_EQ] = ACTIONS(5688),
    [anon_sym_and_eq] = ACTIONS(5686),
    [anon_sym_or_eq] = ACTIONS(5686),
    [anon_sym_xor_eq] = ACTIONS(5686),
    [anon_sym_LT_EQ_GT] = ACTIONS(5688),
    [anon_sym_or] = ACTIONS(5686),
    [anon_sym_and] = ACTIONS(5686),
    [anon_sym_bitor] = ACTIONS(5686),
    [anon_sym_xor] = ACTIONS(5686),
    [anon_sym_bitand] = ACTIONS(5686),
    [anon_sym_not_eq] = ACTIONS(5686),
    [anon_sym_DASH_DASH] = ACTIONS(5688),
    [anon_sym_PLUS_PLUS] = ACTIONS(5688),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_DOT_STAR] = ACTIONS(5688),
    [anon_sym_DASH_GT] = ACTIONS(5688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5686),
    [anon_sym_decltype] = ACTIONS(5686),
  },
  [2509] = {
    [sym_identifier] = ACTIONS(5679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5681),
    [anon_sym_COMMA] = ACTIONS(5681),
    [anon_sym_RPAREN] = ACTIONS(5681),
    [aux_sym_preproc_if_token2] = ACTIONS(5681),
    [aux_sym_preproc_else_token1] = ACTIONS(5681),
    [aux_sym_preproc_elif_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5681),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5681),
    [anon_sym_LPAREN2] = ACTIONS(5681),
    [anon_sym_DASH] = ACTIONS(5679),
    [anon_sym_PLUS] = ACTIONS(5679),
    [anon_sym_STAR] = ACTIONS(5679),
    [anon_sym_SLASH] = ACTIONS(5679),
    [anon_sym_PERCENT] = ACTIONS(5679),
    [anon_sym_PIPE_PIPE] = ACTIONS(5681),
    [anon_sym_AMP_AMP] = ACTIONS(5681),
    [anon_sym_PIPE] = ACTIONS(5679),
    [anon_sym_CARET] = ACTIONS(5679),
    [anon_sym_AMP] = ACTIONS(5679),
    [anon_sym_EQ_EQ] = ACTIONS(5681),
    [anon_sym_BANG_EQ] = ACTIONS(5681),
    [anon_sym_GT] = ACTIONS(5679),
    [anon_sym_GT_EQ] = ACTIONS(5681),
    [anon_sym_LT_EQ] = ACTIONS(5679),
    [anon_sym_LT] = ACTIONS(5679),
    [anon_sym_LT_LT] = ACTIONS(5679),
    [anon_sym_GT_GT] = ACTIONS(5679),
    [anon_sym_SEMI] = ACTIONS(5681),
    [anon_sym___attribute__] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(5681),
    [anon_sym_RBRACE] = ACTIONS(5681),
    [anon_sym_LBRACK] = ACTIONS(5681),
    [anon_sym_RBRACK] = ACTIONS(5681),
    [anon_sym_EQ] = ACTIONS(5679),
    [anon_sym_COLON] = ACTIONS(5681),
    [anon_sym_QMARK] = ACTIONS(5681),
    [anon_sym_STAR_EQ] = ACTIONS(5681),
    [anon_sym_SLASH_EQ] = ACTIONS(5681),
    [anon_sym_PERCENT_EQ] = ACTIONS(5681),
    [anon_sym_PLUS_EQ] = ACTIONS(5681),
    [anon_sym_DASH_EQ] = ACTIONS(5681),
    [anon_sym_LT_LT_EQ] = ACTIONS(5681),
    [anon_sym_GT_GT_EQ] = ACTIONS(5681),
    [anon_sym_AMP_EQ] = ACTIONS(5681),
    [anon_sym_CARET_EQ] = ACTIONS(5681),
    [anon_sym_PIPE_EQ] = ACTIONS(5681),
    [anon_sym_and_eq] = ACTIONS(5679),
    [anon_sym_or_eq] = ACTIONS(5679),
    [anon_sym_xor_eq] = ACTIONS(5679),
    [anon_sym_LT_EQ_GT] = ACTIONS(5681),
    [anon_sym_or] = ACTIONS(5679),
    [anon_sym_and] = ACTIONS(5679),
    [anon_sym_bitor] = ACTIONS(5679),
    [anon_sym_xor] = ACTIONS(5679),
    [anon_sym_bitand] = ACTIONS(5679),
    [anon_sym_not_eq] = ACTIONS(5679),
    [anon_sym_DASH_DASH] = ACTIONS(5681),
    [anon_sym_PLUS_PLUS] = ACTIONS(5681),
    [anon_sym_DOT] = ACTIONS(5679),
    [anon_sym_DOT_STAR] = ACTIONS(5681),
    [anon_sym_DASH_GT] = ACTIONS(5681),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5679),
    [anon_sym_decltype] = ACTIONS(5679),
  },
  [2510] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
  },
  [2511] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(6056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6058),
    [anon_sym_COMMA] = ACTIONS(6058),
    [anon_sym_RPAREN] = ACTIONS(6058),
    [aux_sym_preproc_if_token2] = ACTIONS(6058),
    [aux_sym_preproc_else_token1] = ACTIONS(6058),
    [aux_sym_preproc_elif_token1] = ACTIONS(6056),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6058),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6058),
    [anon_sym_LPAREN2] = ACTIONS(6058),
    [anon_sym_DASH] = ACTIONS(6056),
    [anon_sym_PLUS] = ACTIONS(6056),
    [anon_sym_STAR] = ACTIONS(6056),
    [anon_sym_SLASH] = ACTIONS(6056),
    [anon_sym_PERCENT] = ACTIONS(6056),
    [anon_sym_PIPE_PIPE] = ACTIONS(6058),
    [anon_sym_AMP_AMP] = ACTIONS(6058),
    [anon_sym_PIPE] = ACTIONS(6056),
    [anon_sym_CARET] = ACTIONS(6056),
    [anon_sym_AMP] = ACTIONS(6056),
    [anon_sym_EQ_EQ] = ACTIONS(6058),
    [anon_sym_BANG_EQ] = ACTIONS(6058),
    [anon_sym_GT] = ACTIONS(6056),
    [anon_sym_GT_EQ] = ACTIONS(6058),
    [anon_sym_LT_EQ] = ACTIONS(6056),
    [anon_sym_LT] = ACTIONS(6056),
    [anon_sym_LT_LT] = ACTIONS(6056),
    [anon_sym_GT_GT] = ACTIONS(6056),
    [anon_sym_SEMI] = ACTIONS(6058),
    [anon_sym___attribute__] = ACTIONS(6056),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6058),
    [anon_sym_LBRACE] = ACTIONS(6058),
    [anon_sym_RBRACE] = ACTIONS(6058),
    [anon_sym_LBRACK] = ACTIONS(6056),
    [anon_sym_RBRACK] = ACTIONS(6058),
    [anon_sym_EQ] = ACTIONS(6056),
    [anon_sym_COLON] = ACTIONS(6058),
    [anon_sym_QMARK] = ACTIONS(6058),
    [anon_sym_STAR_EQ] = ACTIONS(6058),
    [anon_sym_SLASH_EQ] = ACTIONS(6058),
    [anon_sym_PERCENT_EQ] = ACTIONS(6058),
    [anon_sym_PLUS_EQ] = ACTIONS(6058),
    [anon_sym_DASH_EQ] = ACTIONS(6058),
    [anon_sym_LT_LT_EQ] = ACTIONS(6058),
    [anon_sym_GT_GT_EQ] = ACTIONS(6058),
    [anon_sym_AMP_EQ] = ACTIONS(6058),
    [anon_sym_CARET_EQ] = ACTIONS(6058),
    [anon_sym_PIPE_EQ] = ACTIONS(6058),
    [anon_sym_and_eq] = ACTIONS(6056),
    [anon_sym_or_eq] = ACTIONS(6056),
    [anon_sym_xor_eq] = ACTIONS(6056),
    [anon_sym_LT_EQ_GT] = ACTIONS(6058),
    [anon_sym_or] = ACTIONS(6056),
    [anon_sym_and] = ACTIONS(6056),
    [anon_sym_bitor] = ACTIONS(6056),
    [anon_sym_xor] = ACTIONS(6056),
    [anon_sym_bitand] = ACTIONS(6056),
    [anon_sym_not_eq] = ACTIONS(6056),
    [anon_sym_DASH_DASH] = ACTIONS(6058),
    [anon_sym_PLUS_PLUS] = ACTIONS(6058),
    [anon_sym_DOT] = ACTIONS(6056),
    [anon_sym_DOT_STAR] = ACTIONS(6058),
    [anon_sym_DASH_GT] = ACTIONS(6058),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6056),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(6060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6062),
    [anon_sym_COMMA] = ACTIONS(6062),
    [anon_sym_RPAREN] = ACTIONS(6062),
    [aux_sym_preproc_if_token2] = ACTIONS(6062),
    [aux_sym_preproc_else_token1] = ACTIONS(6062),
    [aux_sym_preproc_elif_token1] = ACTIONS(6060),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6062),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6062),
    [anon_sym_LPAREN2] = ACTIONS(6062),
    [anon_sym_DASH] = ACTIONS(6060),
    [anon_sym_PLUS] = ACTIONS(6060),
    [anon_sym_STAR] = ACTIONS(6060),
    [anon_sym_SLASH] = ACTIONS(6060),
    [anon_sym_PERCENT] = ACTIONS(6060),
    [anon_sym_PIPE_PIPE] = ACTIONS(6062),
    [anon_sym_AMP_AMP] = ACTIONS(6062),
    [anon_sym_PIPE] = ACTIONS(6060),
    [anon_sym_CARET] = ACTIONS(6060),
    [anon_sym_AMP] = ACTIONS(6060),
    [anon_sym_EQ_EQ] = ACTIONS(6062),
    [anon_sym_BANG_EQ] = ACTIONS(6062),
    [anon_sym_GT] = ACTIONS(6060),
    [anon_sym_GT_EQ] = ACTIONS(6062),
    [anon_sym_LT_EQ] = ACTIONS(6060),
    [anon_sym_LT] = ACTIONS(6060),
    [anon_sym_LT_LT] = ACTIONS(6060),
    [anon_sym_GT_GT] = ACTIONS(6060),
    [anon_sym_SEMI] = ACTIONS(6062),
    [anon_sym___attribute__] = ACTIONS(6060),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6062),
    [anon_sym_LBRACE] = ACTIONS(6062),
    [anon_sym_RBRACE] = ACTIONS(6062),
    [anon_sym_LBRACK] = ACTIONS(6060),
    [anon_sym_RBRACK] = ACTIONS(6062),
    [anon_sym_EQ] = ACTIONS(6060),
    [anon_sym_COLON] = ACTIONS(6062),
    [anon_sym_QMARK] = ACTIONS(6062),
    [anon_sym_STAR_EQ] = ACTIONS(6062),
    [anon_sym_SLASH_EQ] = ACTIONS(6062),
    [anon_sym_PERCENT_EQ] = ACTIONS(6062),
    [anon_sym_PLUS_EQ] = ACTIONS(6062),
    [anon_sym_DASH_EQ] = ACTIONS(6062),
    [anon_sym_LT_LT_EQ] = ACTIONS(6062),
    [anon_sym_GT_GT_EQ] = ACTIONS(6062),
    [anon_sym_AMP_EQ] = ACTIONS(6062),
    [anon_sym_CARET_EQ] = ACTIONS(6062),
    [anon_sym_PIPE_EQ] = ACTIONS(6062),
    [anon_sym_and_eq] = ACTIONS(6060),
    [anon_sym_or_eq] = ACTIONS(6060),
    [anon_sym_xor_eq] = ACTIONS(6060),
    [anon_sym_LT_EQ_GT] = ACTIONS(6062),
    [anon_sym_or] = ACTIONS(6060),
    [anon_sym_and] = ACTIONS(6060),
    [anon_sym_bitor] = ACTIONS(6060),
    [anon_sym_xor] = ACTIONS(6060),
    [anon_sym_bitand] = ACTIONS(6060),
    [anon_sym_not_eq] = ACTIONS(6060),
    [anon_sym_DASH_DASH] = ACTIONS(6062),
    [anon_sym_PLUS_PLUS] = ACTIONS(6062),
    [anon_sym_DOT] = ACTIONS(6060),
    [anon_sym_DOT_STAR] = ACTIONS(6062),
    [anon_sym_DASH_GT] = ACTIONS(6062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6060),
  },
  [2514] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6009),
    [anon_sym_COMMA] = ACTIONS(6009),
    [aux_sym_preproc_if_token2] = ACTIONS(6009),
    [aux_sym_preproc_else_token1] = ACTIONS(6009),
    [aux_sym_preproc_elif_token1] = ACTIONS(6011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6009),
    [anon_sym_LPAREN2] = ACTIONS(6009),
    [anon_sym_DASH] = ACTIONS(6011),
    [anon_sym_PLUS] = ACTIONS(6011),
    [anon_sym_STAR] = ACTIONS(6011),
    [anon_sym_SLASH] = ACTIONS(6011),
    [anon_sym_PERCENT] = ACTIONS(6011),
    [anon_sym_PIPE_PIPE] = ACTIONS(6009),
    [anon_sym_AMP_AMP] = ACTIONS(6009),
    [anon_sym_PIPE] = ACTIONS(6011),
    [anon_sym_CARET] = ACTIONS(6011),
    [anon_sym_AMP] = ACTIONS(6011),
    [anon_sym_EQ_EQ] = ACTIONS(6009),
    [anon_sym_BANG_EQ] = ACTIONS(6009),
    [anon_sym_GT] = ACTIONS(6011),
    [anon_sym_GT_EQ] = ACTIONS(6009),
    [anon_sym_LT_EQ] = ACTIONS(6011),
    [anon_sym_LT] = ACTIONS(6011),
    [anon_sym_LT_LT] = ACTIONS(6011),
    [anon_sym_GT_GT] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(6011),
    [anon_sym_LBRACE] = ACTIONS(6009),
    [anon_sym_signed] = ACTIONS(6064),
    [anon_sym_unsigned] = ACTIONS(6064),
    [anon_sym_long] = ACTIONS(6064),
    [anon_sym_short] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(6009),
    [anon_sym_EQ] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6009),
    [anon_sym_STAR_EQ] = ACTIONS(6009),
    [anon_sym_SLASH_EQ] = ACTIONS(6009),
    [anon_sym_PERCENT_EQ] = ACTIONS(6009),
    [anon_sym_PLUS_EQ] = ACTIONS(6009),
    [anon_sym_DASH_EQ] = ACTIONS(6009),
    [anon_sym_LT_LT_EQ] = ACTIONS(6009),
    [anon_sym_GT_GT_EQ] = ACTIONS(6009),
    [anon_sym_AMP_EQ] = ACTIONS(6009),
    [anon_sym_CARET_EQ] = ACTIONS(6009),
    [anon_sym_PIPE_EQ] = ACTIONS(6009),
    [anon_sym_and_eq] = ACTIONS(6011),
    [anon_sym_or_eq] = ACTIONS(6011),
    [anon_sym_xor_eq] = ACTIONS(6011),
    [anon_sym_LT_EQ_GT] = ACTIONS(6009),
    [anon_sym_or] = ACTIONS(6011),
    [anon_sym_and] = ACTIONS(6011),
    [anon_sym_bitor] = ACTIONS(6011),
    [anon_sym_xor] = ACTIONS(6011),
    [anon_sym_bitand] = ACTIONS(6011),
    [anon_sym_not_eq] = ACTIONS(6011),
    [anon_sym_DASH_DASH] = ACTIONS(6009),
    [anon_sym_PLUS_PLUS] = ACTIONS(6009),
    [anon_sym_DOT] = ACTIONS(6011),
    [anon_sym_DOT_STAR] = ACTIONS(6009),
    [anon_sym_DASH_GT] = ACTIONS(6009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6011),
    [anon_sym_decltype] = ACTIONS(6011),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5857),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_RPAREN] = ACTIONS(5857),
    [aux_sym_preproc_if_token2] = ACTIONS(5857),
    [aux_sym_preproc_else_token1] = ACTIONS(5857),
    [aux_sym_preproc_elif_token1] = ACTIONS(5855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5857),
    [anon_sym_LPAREN2] = ACTIONS(5857),
    [anon_sym_DASH] = ACTIONS(5855),
    [anon_sym_PLUS] = ACTIONS(5855),
    [anon_sym_STAR] = ACTIONS(5855),
    [anon_sym_SLASH] = ACTIONS(5855),
    [anon_sym_PERCENT] = ACTIONS(5855),
    [anon_sym_PIPE_PIPE] = ACTIONS(5857),
    [anon_sym_AMP_AMP] = ACTIONS(5857),
    [anon_sym_PIPE] = ACTIONS(5855),
    [anon_sym_CARET] = ACTIONS(5855),
    [anon_sym_AMP] = ACTIONS(5855),
    [anon_sym_EQ_EQ] = ACTIONS(5857),
    [anon_sym_BANG_EQ] = ACTIONS(5857),
    [anon_sym_GT] = ACTIONS(5855),
    [anon_sym_GT_EQ] = ACTIONS(5857),
    [anon_sym_LT_EQ] = ACTIONS(5855),
    [anon_sym_LT] = ACTIONS(5855),
    [anon_sym_LT_LT] = ACTIONS(5855),
    [anon_sym_GT_GT] = ACTIONS(5855),
    [anon_sym_SEMI] = ACTIONS(5857),
    [anon_sym___attribute__] = ACTIONS(5855),
    [anon_sym_LBRACE] = ACTIONS(5857),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_LBRACK] = ACTIONS(5857),
    [anon_sym_RBRACK] = ACTIONS(5857),
    [anon_sym_EQ] = ACTIONS(5855),
    [anon_sym_COLON] = ACTIONS(5857),
    [anon_sym_QMARK] = ACTIONS(5857),
    [anon_sym_STAR_EQ] = ACTIONS(5857),
    [anon_sym_SLASH_EQ] = ACTIONS(5857),
    [anon_sym_PERCENT_EQ] = ACTIONS(5857),
    [anon_sym_PLUS_EQ] = ACTIONS(5857),
    [anon_sym_DASH_EQ] = ACTIONS(5857),
    [anon_sym_LT_LT_EQ] = ACTIONS(5857),
    [anon_sym_GT_GT_EQ] = ACTIONS(5857),
    [anon_sym_AMP_EQ] = ACTIONS(5857),
    [anon_sym_CARET_EQ] = ACTIONS(5857),
    [anon_sym_PIPE_EQ] = ACTIONS(5857),
    [anon_sym_and_eq] = ACTIONS(5855),
    [anon_sym_or_eq] = ACTIONS(5855),
    [anon_sym_xor_eq] = ACTIONS(5855),
    [anon_sym_LT_EQ_GT] = ACTIONS(5857),
    [anon_sym_or] = ACTIONS(5855),
    [anon_sym_and] = ACTIONS(5855),
    [anon_sym_bitor] = ACTIONS(5855),
    [anon_sym_xor] = ACTIONS(5855),
    [anon_sym_bitand] = ACTIONS(5855),
    [anon_sym_not_eq] = ACTIONS(5855),
    [anon_sym_DASH_DASH] = ACTIONS(5857),
    [anon_sym_PLUS_PLUS] = ACTIONS(5857),
    [anon_sym_DOT] = ACTIONS(5855),
    [anon_sym_DOT_STAR] = ACTIONS(5857),
    [anon_sym_DASH_GT] = ACTIONS(5857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5855),
    [anon_sym_decltype] = ACTIONS(5855),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_COMMA] = ACTIONS(5850),
    [anon_sym_RPAREN] = ACTIONS(5850),
    [aux_sym_preproc_if_token2] = ACTIONS(5850),
    [aux_sym_preproc_else_token1] = ACTIONS(5850),
    [aux_sym_preproc_elif_token1] = ACTIONS(5848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5850),
    [anon_sym_LPAREN2] = ACTIONS(5850),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5848),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5848),
    [anon_sym_PIPE_PIPE] = ACTIONS(5850),
    [anon_sym_AMP_AMP] = ACTIONS(5850),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_CARET] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_EQ_EQ] = ACTIONS(5850),
    [anon_sym_BANG_EQ] = ACTIONS(5850),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_GT_EQ] = ACTIONS(5850),
    [anon_sym_LT_EQ] = ACTIONS(5848),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5848),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_SEMI] = ACTIONS(5850),
    [anon_sym___attribute__] = ACTIONS(5848),
    [anon_sym_LBRACE] = ACTIONS(5850),
    [anon_sym_RBRACE] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5850),
    [anon_sym_RBRACK] = ACTIONS(5850),
    [anon_sym_EQ] = ACTIONS(5848),
    [anon_sym_COLON] = ACTIONS(5850),
    [anon_sym_QMARK] = ACTIONS(5850),
    [anon_sym_STAR_EQ] = ACTIONS(5850),
    [anon_sym_SLASH_EQ] = ACTIONS(5850),
    [anon_sym_PERCENT_EQ] = ACTIONS(5850),
    [anon_sym_PLUS_EQ] = ACTIONS(5850),
    [anon_sym_DASH_EQ] = ACTIONS(5850),
    [anon_sym_LT_LT_EQ] = ACTIONS(5850),
    [anon_sym_GT_GT_EQ] = ACTIONS(5850),
    [anon_sym_AMP_EQ] = ACTIONS(5850),
    [anon_sym_CARET_EQ] = ACTIONS(5850),
    [anon_sym_PIPE_EQ] = ACTIONS(5850),
    [anon_sym_and_eq] = ACTIONS(5848),
    [anon_sym_or_eq] = ACTIONS(5848),
    [anon_sym_xor_eq] = ACTIONS(5848),
    [anon_sym_LT_EQ_GT] = ACTIONS(5850),
    [anon_sym_or] = ACTIONS(5848),
    [anon_sym_and] = ACTIONS(5848),
    [anon_sym_bitor] = ACTIONS(5848),
    [anon_sym_xor] = ACTIONS(5848),
    [anon_sym_bitand] = ACTIONS(5848),
    [anon_sym_not_eq] = ACTIONS(5848),
    [anon_sym_DASH_DASH] = ACTIONS(5850),
    [anon_sym_PLUS_PLUS] = ACTIONS(5850),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_DOT_STAR] = ACTIONS(5850),
    [anon_sym_DASH_GT] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5848),
    [anon_sym_decltype] = ACTIONS(5848),
  },
  [2517] = {
    [sym_identifier] = ACTIONS(5844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_RPAREN] = ACTIONS(5846),
    [aux_sym_preproc_if_token2] = ACTIONS(5846),
    [aux_sym_preproc_else_token1] = ACTIONS(5846),
    [aux_sym_preproc_elif_token1] = ACTIONS(5844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5846),
    [anon_sym_LPAREN2] = ACTIONS(5846),
    [anon_sym_DASH] = ACTIONS(5844),
    [anon_sym_PLUS] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5844),
    [anon_sym_SLASH] = ACTIONS(5844),
    [anon_sym_PERCENT] = ACTIONS(5844),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5846),
    [anon_sym_PIPE] = ACTIONS(5844),
    [anon_sym_CARET] = ACTIONS(5844),
    [anon_sym_AMP] = ACTIONS(5844),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_GT] = ACTIONS(5844),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5844),
    [anon_sym_LT] = ACTIONS(5844),
    [anon_sym_LT_LT] = ACTIONS(5844),
    [anon_sym_GT_GT] = ACTIONS(5844),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym___attribute__] = ACTIONS(5844),
    [anon_sym_LBRACE] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_EQ] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_QMARK] = ACTIONS(5846),
    [anon_sym_STAR_EQ] = ACTIONS(5846),
    [anon_sym_SLASH_EQ] = ACTIONS(5846),
    [anon_sym_PERCENT_EQ] = ACTIONS(5846),
    [anon_sym_PLUS_EQ] = ACTIONS(5846),
    [anon_sym_DASH_EQ] = ACTIONS(5846),
    [anon_sym_LT_LT_EQ] = ACTIONS(5846),
    [anon_sym_GT_GT_EQ] = ACTIONS(5846),
    [anon_sym_AMP_EQ] = ACTIONS(5846),
    [anon_sym_CARET_EQ] = ACTIONS(5846),
    [anon_sym_PIPE_EQ] = ACTIONS(5846),
    [anon_sym_and_eq] = ACTIONS(5844),
    [anon_sym_or_eq] = ACTIONS(5844),
    [anon_sym_xor_eq] = ACTIONS(5844),
    [anon_sym_LT_EQ_GT] = ACTIONS(5846),
    [anon_sym_or] = ACTIONS(5844),
    [anon_sym_and] = ACTIONS(5844),
    [anon_sym_bitor] = ACTIONS(5844),
    [anon_sym_xor] = ACTIONS(5844),
    [anon_sym_bitand] = ACTIONS(5844),
    [anon_sym_not_eq] = ACTIONS(5844),
    [anon_sym_DASH_DASH] = ACTIONS(5846),
    [anon_sym_PLUS_PLUS] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5844),
    [anon_sym_DOT_STAR] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5844),
    [anon_sym_decltype] = ACTIONS(5844),
  },
  [2518] = {
    [sym_identifier] = ACTIONS(6066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6068),
    [anon_sym_COMMA] = ACTIONS(6068),
    [anon_sym_RPAREN] = ACTIONS(6068),
    [aux_sym_preproc_if_token2] = ACTIONS(6068),
    [aux_sym_preproc_else_token1] = ACTIONS(6068),
    [aux_sym_preproc_elif_token1] = ACTIONS(6066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6068),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6068),
    [anon_sym_LPAREN2] = ACTIONS(6068),
    [anon_sym_DASH] = ACTIONS(6066),
    [anon_sym_PLUS] = ACTIONS(6066),
    [anon_sym_STAR] = ACTIONS(6066),
    [anon_sym_SLASH] = ACTIONS(6066),
    [anon_sym_PERCENT] = ACTIONS(6066),
    [anon_sym_PIPE_PIPE] = ACTIONS(6068),
    [anon_sym_AMP_AMP] = ACTIONS(6068),
    [anon_sym_PIPE] = ACTIONS(6066),
    [anon_sym_CARET] = ACTIONS(6066),
    [anon_sym_AMP] = ACTIONS(6066),
    [anon_sym_EQ_EQ] = ACTIONS(6068),
    [anon_sym_BANG_EQ] = ACTIONS(6068),
    [anon_sym_GT] = ACTIONS(6066),
    [anon_sym_GT_EQ] = ACTIONS(6068),
    [anon_sym_LT_EQ] = ACTIONS(6066),
    [anon_sym_LT] = ACTIONS(6066),
    [anon_sym_LT_LT] = ACTIONS(6066),
    [anon_sym_GT_GT] = ACTIONS(6066),
    [anon_sym_SEMI] = ACTIONS(6068),
    [anon_sym___attribute__] = ACTIONS(6066),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6068),
    [anon_sym_LBRACE] = ACTIONS(6068),
    [anon_sym_RBRACE] = ACTIONS(6068),
    [anon_sym_LBRACK] = ACTIONS(6066),
    [anon_sym_RBRACK] = ACTIONS(6068),
    [anon_sym_EQ] = ACTIONS(6066),
    [anon_sym_COLON] = ACTIONS(6068),
    [anon_sym_QMARK] = ACTIONS(6068),
    [anon_sym_STAR_EQ] = ACTIONS(6068),
    [anon_sym_SLASH_EQ] = ACTIONS(6068),
    [anon_sym_PERCENT_EQ] = ACTIONS(6068),
    [anon_sym_PLUS_EQ] = ACTIONS(6068),
    [anon_sym_DASH_EQ] = ACTIONS(6068),
    [anon_sym_LT_LT_EQ] = ACTIONS(6068),
    [anon_sym_GT_GT_EQ] = ACTIONS(6068),
    [anon_sym_AMP_EQ] = ACTIONS(6068),
    [anon_sym_CARET_EQ] = ACTIONS(6068),
    [anon_sym_PIPE_EQ] = ACTIONS(6068),
    [anon_sym_and_eq] = ACTIONS(6066),
    [anon_sym_or_eq] = ACTIONS(6066),
    [anon_sym_xor_eq] = ACTIONS(6066),
    [anon_sym_LT_EQ_GT] = ACTIONS(6068),
    [anon_sym_or] = ACTIONS(6066),
    [anon_sym_and] = ACTIONS(6066),
    [anon_sym_bitor] = ACTIONS(6066),
    [anon_sym_xor] = ACTIONS(6066),
    [anon_sym_bitand] = ACTIONS(6066),
    [anon_sym_not_eq] = ACTIONS(6066),
    [anon_sym_DASH_DASH] = ACTIONS(6068),
    [anon_sym_PLUS_PLUS] = ACTIONS(6068),
    [anon_sym_DOT] = ACTIONS(6066),
    [anon_sym_DOT_STAR] = ACTIONS(6068),
    [anon_sym_DASH_GT] = ACTIONS(6068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6066),
  },
  [2519] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5999),
    [anon_sym_COMMA] = ACTIONS(5999),
    [aux_sym_preproc_if_token2] = ACTIONS(5999),
    [aux_sym_preproc_else_token1] = ACTIONS(5999),
    [aux_sym_preproc_elif_token1] = ACTIONS(6001),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5999),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5999),
    [anon_sym_LPAREN2] = ACTIONS(5999),
    [anon_sym_DASH] = ACTIONS(6001),
    [anon_sym_PLUS] = ACTIONS(6001),
    [anon_sym_STAR] = ACTIONS(6001),
    [anon_sym_SLASH] = ACTIONS(6001),
    [anon_sym_PERCENT] = ACTIONS(6001),
    [anon_sym_PIPE_PIPE] = ACTIONS(5999),
    [anon_sym_AMP_AMP] = ACTIONS(5999),
    [anon_sym_PIPE] = ACTIONS(6001),
    [anon_sym_CARET] = ACTIONS(6001),
    [anon_sym_AMP] = ACTIONS(6001),
    [anon_sym_EQ_EQ] = ACTIONS(5999),
    [anon_sym_BANG_EQ] = ACTIONS(5999),
    [anon_sym_GT] = ACTIONS(6001),
    [anon_sym_GT_EQ] = ACTIONS(5999),
    [anon_sym_LT_EQ] = ACTIONS(6001),
    [anon_sym_LT] = ACTIONS(6001),
    [anon_sym_LT_LT] = ACTIONS(6001),
    [anon_sym_GT_GT] = ACTIONS(6001),
    [anon_sym___attribute__] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(5999),
    [anon_sym_signed] = ACTIONS(6064),
    [anon_sym_unsigned] = ACTIONS(6064),
    [anon_sym_long] = ACTIONS(6064),
    [anon_sym_short] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(5999),
    [anon_sym_EQ] = ACTIONS(6001),
    [anon_sym_QMARK] = ACTIONS(5999),
    [anon_sym_STAR_EQ] = ACTIONS(5999),
    [anon_sym_SLASH_EQ] = ACTIONS(5999),
    [anon_sym_PERCENT_EQ] = ACTIONS(5999),
    [anon_sym_PLUS_EQ] = ACTIONS(5999),
    [anon_sym_DASH_EQ] = ACTIONS(5999),
    [anon_sym_LT_LT_EQ] = ACTIONS(5999),
    [anon_sym_GT_GT_EQ] = ACTIONS(5999),
    [anon_sym_AMP_EQ] = ACTIONS(5999),
    [anon_sym_CARET_EQ] = ACTIONS(5999),
    [anon_sym_PIPE_EQ] = ACTIONS(5999),
    [anon_sym_and_eq] = ACTIONS(6001),
    [anon_sym_or_eq] = ACTIONS(6001),
    [anon_sym_xor_eq] = ACTIONS(6001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5999),
    [anon_sym_or] = ACTIONS(6001),
    [anon_sym_and] = ACTIONS(6001),
    [anon_sym_bitor] = ACTIONS(6001),
    [anon_sym_xor] = ACTIONS(6001),
    [anon_sym_bitand] = ACTIONS(6001),
    [anon_sym_not_eq] = ACTIONS(6001),
    [anon_sym_DASH_DASH] = ACTIONS(5999),
    [anon_sym_PLUS_PLUS] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_DOT_STAR] = ACTIONS(5999),
    [anon_sym_DASH_GT] = ACTIONS(5999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6001),
    [anon_sym_decltype] = ACTIONS(6001),
  },
  [2520] = {
    [sym_identifier] = ACTIONS(6070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6072),
    [anon_sym_COMMA] = ACTIONS(6072),
    [anon_sym_RPAREN] = ACTIONS(6072),
    [aux_sym_preproc_if_token2] = ACTIONS(6072),
    [aux_sym_preproc_else_token1] = ACTIONS(6072),
    [aux_sym_preproc_elif_token1] = ACTIONS(6070),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6072),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6072),
    [anon_sym_LPAREN2] = ACTIONS(6072),
    [anon_sym_DASH] = ACTIONS(6070),
    [anon_sym_PLUS] = ACTIONS(6070),
    [anon_sym_STAR] = ACTIONS(6070),
    [anon_sym_SLASH] = ACTIONS(6070),
    [anon_sym_PERCENT] = ACTIONS(6070),
    [anon_sym_PIPE_PIPE] = ACTIONS(6072),
    [anon_sym_AMP_AMP] = ACTIONS(6072),
    [anon_sym_PIPE] = ACTIONS(6070),
    [anon_sym_CARET] = ACTIONS(6070),
    [anon_sym_AMP] = ACTIONS(6070),
    [anon_sym_EQ_EQ] = ACTIONS(6072),
    [anon_sym_BANG_EQ] = ACTIONS(6072),
    [anon_sym_GT] = ACTIONS(6070),
    [anon_sym_GT_EQ] = ACTIONS(6072),
    [anon_sym_LT_EQ] = ACTIONS(6070),
    [anon_sym_LT] = ACTIONS(6070),
    [anon_sym_LT_LT] = ACTIONS(6070),
    [anon_sym_GT_GT] = ACTIONS(6070),
    [anon_sym_SEMI] = ACTIONS(6072),
    [anon_sym___attribute__] = ACTIONS(6070),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6072),
    [anon_sym_LBRACE] = ACTIONS(6072),
    [anon_sym_RBRACE] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_RBRACK] = ACTIONS(6072),
    [anon_sym_EQ] = ACTIONS(6070),
    [anon_sym_COLON] = ACTIONS(6072),
    [anon_sym_QMARK] = ACTIONS(6072),
    [anon_sym_STAR_EQ] = ACTIONS(6072),
    [anon_sym_SLASH_EQ] = ACTIONS(6072),
    [anon_sym_PERCENT_EQ] = ACTIONS(6072),
    [anon_sym_PLUS_EQ] = ACTIONS(6072),
    [anon_sym_DASH_EQ] = ACTIONS(6072),
    [anon_sym_LT_LT_EQ] = ACTIONS(6072),
    [anon_sym_GT_GT_EQ] = ACTIONS(6072),
    [anon_sym_AMP_EQ] = ACTIONS(6072),
    [anon_sym_CARET_EQ] = ACTIONS(6072),
    [anon_sym_PIPE_EQ] = ACTIONS(6072),
    [anon_sym_and_eq] = ACTIONS(6070),
    [anon_sym_or_eq] = ACTIONS(6070),
    [anon_sym_xor_eq] = ACTIONS(6070),
    [anon_sym_LT_EQ_GT] = ACTIONS(6072),
    [anon_sym_or] = ACTIONS(6070),
    [anon_sym_and] = ACTIONS(6070),
    [anon_sym_bitor] = ACTIONS(6070),
    [anon_sym_xor] = ACTIONS(6070),
    [anon_sym_bitand] = ACTIONS(6070),
    [anon_sym_not_eq] = ACTIONS(6070),
    [anon_sym_DASH_DASH] = ACTIONS(6072),
    [anon_sym_PLUS_PLUS] = ACTIONS(6072),
    [anon_sym_DOT] = ACTIONS(6070),
    [anon_sym_DOT_STAR] = ACTIONS(6072),
    [anon_sym_DASH_GT] = ACTIONS(6072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6070),
  },
  [2521] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6074),
    [anon_sym_COMMA] = ACTIONS(6074),
    [anon_sym_RPAREN] = ACTIONS(6074),
    [anon_sym_LPAREN2] = ACTIONS(6074),
    [anon_sym_DASH] = ACTIONS(6076),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_STAR] = ACTIONS(6074),
    [anon_sym_SLASH] = ACTIONS(6076),
    [anon_sym_PERCENT] = ACTIONS(6074),
    [anon_sym_PIPE_PIPE] = ACTIONS(6074),
    [anon_sym_AMP_AMP] = ACTIONS(6074),
    [anon_sym_PIPE] = ACTIONS(6076),
    [anon_sym_CARET] = ACTIONS(6074),
    [anon_sym_AMP] = ACTIONS(6076),
    [anon_sym_EQ_EQ] = ACTIONS(6074),
    [anon_sym_BANG_EQ] = ACTIONS(6074),
    [anon_sym_GT] = ACTIONS(6076),
    [anon_sym_GT_EQ] = ACTIONS(6074),
    [anon_sym_LT_EQ] = ACTIONS(6076),
    [anon_sym_LT] = ACTIONS(6076),
    [anon_sym_LT_LT] = ACTIONS(6074),
    [anon_sym_GT_GT] = ACTIONS(6074),
    [anon_sym_SEMI] = ACTIONS(6074),
    [anon_sym___extension__] = ACTIONS(6074),
    [anon_sym___attribute__] = ACTIONS(6074),
    [anon_sym_LBRACE] = ACTIONS(6074),
    [anon_sym_RBRACE] = ACTIONS(6074),
    [anon_sym_signed] = ACTIONS(6078),
    [anon_sym_unsigned] = ACTIONS(6078),
    [anon_sym_long] = ACTIONS(6078),
    [anon_sym_short] = ACTIONS(6078),
    [anon_sym_LBRACK] = ACTIONS(6074),
    [anon_sym_RBRACK] = ACTIONS(6074),
    [anon_sym_const] = ACTIONS(6076),
    [anon_sym_constexpr] = ACTIONS(6074),
    [anon_sym_volatile] = ACTIONS(6074),
    [anon_sym_restrict] = ACTIONS(6074),
    [anon_sym___restrict__] = ACTIONS(6074),
    [anon_sym__Atomic] = ACTIONS(6074),
    [anon_sym__Noreturn] = ACTIONS(6074),
    [anon_sym_noreturn] = ACTIONS(6074),
    [anon_sym_mutable] = ACTIONS(6074),
    [anon_sym_constinit] = ACTIONS(6074),
    [anon_sym_consteval] = ACTIONS(6074),
    [anon_sym_COLON] = ACTIONS(6074),
    [anon_sym_QMARK] = ACTIONS(6074),
    [anon_sym_LT_EQ_GT] = ACTIONS(6074),
    [anon_sym_or] = ACTIONS(6074),
    [anon_sym_and] = ACTIONS(6074),
    [anon_sym_bitor] = ACTIONS(6074),
    [anon_sym_xor] = ACTIONS(6074),
    [anon_sym_bitand] = ACTIONS(6074),
    [anon_sym_not_eq] = ACTIONS(6074),
    [anon_sym_DASH_DASH] = ACTIONS(6074),
    [anon_sym_PLUS_PLUS] = ACTIONS(6074),
    [anon_sym_DOT] = ACTIONS(6076),
    [anon_sym_DOT_STAR] = ACTIONS(6074),
    [anon_sym_DASH_GT] = ACTIONS(6074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6074),
    [anon_sym_decltype] = ACTIONS(6074),
    [anon_sym_final] = ACTIONS(6074),
    [anon_sym_override] = ACTIONS(6074),
    [anon_sym_requires] = ACTIONS(6074),
  },
  [2522] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2531),
    [sym_identifier] = ACTIONS(6076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6074),
    [anon_sym_COMMA] = ACTIONS(6074),
    [aux_sym_preproc_if_token2] = ACTIONS(6074),
    [aux_sym_preproc_else_token1] = ACTIONS(6074),
    [aux_sym_preproc_elif_token1] = ACTIONS(6076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6074),
    [anon_sym_LPAREN2] = ACTIONS(6074),
    [anon_sym_DASH] = ACTIONS(6076),
    [anon_sym_PLUS] = ACTIONS(6076),
    [anon_sym_STAR] = ACTIONS(6076),
    [anon_sym_SLASH] = ACTIONS(6076),
    [anon_sym_PERCENT] = ACTIONS(6076),
    [anon_sym_PIPE_PIPE] = ACTIONS(6074),
    [anon_sym_AMP_AMP] = ACTIONS(6074),
    [anon_sym_PIPE] = ACTIONS(6076),
    [anon_sym_CARET] = ACTIONS(6076),
    [anon_sym_AMP] = ACTIONS(6076),
    [anon_sym_EQ_EQ] = ACTIONS(6074),
    [anon_sym_BANG_EQ] = ACTIONS(6074),
    [anon_sym_GT] = ACTIONS(6076),
    [anon_sym_GT_EQ] = ACTIONS(6074),
    [anon_sym_LT_EQ] = ACTIONS(6076),
    [anon_sym_LT] = ACTIONS(6076),
    [anon_sym_LT_LT] = ACTIONS(6076),
    [anon_sym_GT_GT] = ACTIONS(6076),
    [anon_sym___attribute__] = ACTIONS(6076),
    [anon_sym_LBRACE] = ACTIONS(6074),
    [anon_sym_signed] = ACTIONS(6080),
    [anon_sym_unsigned] = ACTIONS(6080),
    [anon_sym_long] = ACTIONS(6080),
    [anon_sym_short] = ACTIONS(6080),
    [anon_sym_LBRACK] = ACTIONS(6074),
    [anon_sym_EQ] = ACTIONS(6076),
    [anon_sym_QMARK] = ACTIONS(6074),
    [anon_sym_STAR_EQ] = ACTIONS(6074),
    [anon_sym_SLASH_EQ] = ACTIONS(6074),
    [anon_sym_PERCENT_EQ] = ACTIONS(6074),
    [anon_sym_PLUS_EQ] = ACTIONS(6074),
    [anon_sym_DASH_EQ] = ACTIONS(6074),
    [anon_sym_LT_LT_EQ] = ACTIONS(6074),
    [anon_sym_GT_GT_EQ] = ACTIONS(6074),
    [anon_sym_AMP_EQ] = ACTIONS(6074),
    [anon_sym_CARET_EQ] = ACTIONS(6074),
    [anon_sym_PIPE_EQ] = ACTIONS(6074),
    [anon_sym_and_eq] = ACTIONS(6076),
    [anon_sym_or_eq] = ACTIONS(6076),
    [anon_sym_xor_eq] = ACTIONS(6076),
    [anon_sym_LT_EQ_GT] = ACTIONS(6074),
    [anon_sym_or] = ACTIONS(6076),
    [anon_sym_and] = ACTIONS(6076),
    [anon_sym_bitor] = ACTIONS(6076),
    [anon_sym_xor] = ACTIONS(6076),
    [anon_sym_bitand] = ACTIONS(6076),
    [anon_sym_not_eq] = ACTIONS(6076),
    [anon_sym_DASH_DASH] = ACTIONS(6074),
    [anon_sym_PLUS_PLUS] = ACTIONS(6074),
    [anon_sym_DOT] = ACTIONS(6076),
    [anon_sym_DOT_STAR] = ACTIONS(6074),
    [anon_sym_DASH_GT] = ACTIONS(6074),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6076),
    [anon_sym_decltype] = ACTIONS(6076),
  },
  [2523] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2533),
    [sym_identifier] = ACTIONS(6082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6084),
    [anon_sym_COMMA] = ACTIONS(6084),
    [aux_sym_preproc_if_token2] = ACTIONS(6084),
    [aux_sym_preproc_else_token1] = ACTIONS(6084),
    [aux_sym_preproc_elif_token1] = ACTIONS(6082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_STAR] = ACTIONS(6082),
    [anon_sym_SLASH] = ACTIONS(6082),
    [anon_sym_PERCENT] = ACTIONS(6082),
    [anon_sym_PIPE_PIPE] = ACTIONS(6084),
    [anon_sym_AMP_AMP] = ACTIONS(6084),
    [anon_sym_PIPE] = ACTIONS(6082),
    [anon_sym_CARET] = ACTIONS(6082),
    [anon_sym_AMP] = ACTIONS(6082),
    [anon_sym_EQ_EQ] = ACTIONS(6084),
    [anon_sym_BANG_EQ] = ACTIONS(6084),
    [anon_sym_GT] = ACTIONS(6082),
    [anon_sym_GT_EQ] = ACTIONS(6084),
    [anon_sym_LT_EQ] = ACTIONS(6082),
    [anon_sym_LT] = ACTIONS(6082),
    [anon_sym_LT_LT] = ACTIONS(6082),
    [anon_sym_GT_GT] = ACTIONS(6082),
    [anon_sym___attribute__] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(6084),
    [anon_sym_signed] = ACTIONS(6086),
    [anon_sym_unsigned] = ACTIONS(6086),
    [anon_sym_long] = ACTIONS(6086),
    [anon_sym_short] = ACTIONS(6086),
    [anon_sym_LBRACK] = ACTIONS(6084),
    [anon_sym_EQ] = ACTIONS(6082),
    [anon_sym_QMARK] = ACTIONS(6084),
    [anon_sym_STAR_EQ] = ACTIONS(6084),
    [anon_sym_SLASH_EQ] = ACTIONS(6084),
    [anon_sym_PERCENT_EQ] = ACTIONS(6084),
    [anon_sym_PLUS_EQ] = ACTIONS(6084),
    [anon_sym_DASH_EQ] = ACTIONS(6084),
    [anon_sym_LT_LT_EQ] = ACTIONS(6084),
    [anon_sym_GT_GT_EQ] = ACTIONS(6084),
    [anon_sym_AMP_EQ] = ACTIONS(6084),
    [anon_sym_CARET_EQ] = ACTIONS(6084),
    [anon_sym_PIPE_EQ] = ACTIONS(6084),
    [anon_sym_and_eq] = ACTIONS(6082),
    [anon_sym_or_eq] = ACTIONS(6082),
    [anon_sym_xor_eq] = ACTIONS(6082),
    [anon_sym_LT_EQ_GT] = ACTIONS(6084),
    [anon_sym_or] = ACTIONS(6082),
    [anon_sym_and] = ACTIONS(6082),
    [anon_sym_bitor] = ACTIONS(6082),
    [anon_sym_xor] = ACTIONS(6082),
    [anon_sym_bitand] = ACTIONS(6082),
    [anon_sym_not_eq] = ACTIONS(6082),
    [anon_sym_DASH_DASH] = ACTIONS(6084),
    [anon_sym_PLUS_PLUS] = ACTIONS(6084),
    [anon_sym_DOT] = ACTIONS(6082),
    [anon_sym_DOT_STAR] = ACTIONS(6084),
    [anon_sym_DASH_GT] = ACTIONS(6084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6082),
    [anon_sym_decltype] = ACTIONS(6082),
  },
  [2524] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6084),
    [anon_sym_COMMA] = ACTIONS(6084),
    [anon_sym_RPAREN] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_STAR] = ACTIONS(6084),
    [anon_sym_SLASH] = ACTIONS(6082),
    [anon_sym_PERCENT] = ACTIONS(6084),
    [anon_sym_PIPE_PIPE] = ACTIONS(6084),
    [anon_sym_AMP_AMP] = ACTIONS(6084),
    [anon_sym_PIPE] = ACTIONS(6082),
    [anon_sym_CARET] = ACTIONS(6084),
    [anon_sym_AMP] = ACTIONS(6082),
    [anon_sym_EQ_EQ] = ACTIONS(6084),
    [anon_sym_BANG_EQ] = ACTIONS(6084),
    [anon_sym_GT] = ACTIONS(6082),
    [anon_sym_GT_EQ] = ACTIONS(6084),
    [anon_sym_LT_EQ] = ACTIONS(6082),
    [anon_sym_LT] = ACTIONS(6082),
    [anon_sym_LT_LT] = ACTIONS(6084),
    [anon_sym_GT_GT] = ACTIONS(6084),
    [anon_sym_SEMI] = ACTIONS(6084),
    [anon_sym___extension__] = ACTIONS(6084),
    [anon_sym___attribute__] = ACTIONS(6084),
    [anon_sym_LBRACE] = ACTIONS(6084),
    [anon_sym_RBRACE] = ACTIONS(6084),
    [anon_sym_signed] = ACTIONS(6088),
    [anon_sym_unsigned] = ACTIONS(6088),
    [anon_sym_long] = ACTIONS(6088),
    [anon_sym_short] = ACTIONS(6088),
    [anon_sym_LBRACK] = ACTIONS(6084),
    [anon_sym_RBRACK] = ACTIONS(6084),
    [anon_sym_const] = ACTIONS(6082),
    [anon_sym_constexpr] = ACTIONS(6084),
    [anon_sym_volatile] = ACTIONS(6084),
    [anon_sym_restrict] = ACTIONS(6084),
    [anon_sym___restrict__] = ACTIONS(6084),
    [anon_sym__Atomic] = ACTIONS(6084),
    [anon_sym__Noreturn] = ACTIONS(6084),
    [anon_sym_noreturn] = ACTIONS(6084),
    [anon_sym_mutable] = ACTIONS(6084),
    [anon_sym_constinit] = ACTIONS(6084),
    [anon_sym_consteval] = ACTIONS(6084),
    [anon_sym_COLON] = ACTIONS(6084),
    [anon_sym_QMARK] = ACTIONS(6084),
    [anon_sym_LT_EQ_GT] = ACTIONS(6084),
    [anon_sym_or] = ACTIONS(6084),
    [anon_sym_and] = ACTIONS(6084),
    [anon_sym_bitor] = ACTIONS(6084),
    [anon_sym_xor] = ACTIONS(6084),
    [anon_sym_bitand] = ACTIONS(6084),
    [anon_sym_not_eq] = ACTIONS(6084),
    [anon_sym_DASH_DASH] = ACTIONS(6084),
    [anon_sym_PLUS_PLUS] = ACTIONS(6084),
    [anon_sym_DOT] = ACTIONS(6082),
    [anon_sym_DOT_STAR] = ACTIONS(6084),
    [anon_sym_DASH_GT] = ACTIONS(6084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6084),
    [anon_sym_decltype] = ACTIONS(6084),
    [anon_sym_final] = ACTIONS(6084),
    [anon_sym_override] = ACTIONS(6084),
    [anon_sym_requires] = ACTIONS(6084),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(6090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6092),
    [anon_sym_COMMA] = ACTIONS(6092),
    [anon_sym_RPAREN] = ACTIONS(6092),
    [aux_sym_preproc_if_token2] = ACTIONS(6092),
    [aux_sym_preproc_else_token1] = ACTIONS(6092),
    [aux_sym_preproc_elif_token1] = ACTIONS(6090),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6092),
    [anon_sym_LPAREN2] = ACTIONS(6092),
    [anon_sym_DASH] = ACTIONS(6090),
    [anon_sym_PLUS] = ACTIONS(6090),
    [anon_sym_STAR] = ACTIONS(6090),
    [anon_sym_SLASH] = ACTIONS(6090),
    [anon_sym_PERCENT] = ACTIONS(6090),
    [anon_sym_PIPE_PIPE] = ACTIONS(6092),
    [anon_sym_AMP_AMP] = ACTIONS(6092),
    [anon_sym_PIPE] = ACTIONS(6090),
    [anon_sym_CARET] = ACTIONS(6090),
    [anon_sym_AMP] = ACTIONS(6090),
    [anon_sym_EQ_EQ] = ACTIONS(6092),
    [anon_sym_BANG_EQ] = ACTIONS(6092),
    [anon_sym_GT] = ACTIONS(6090),
    [anon_sym_GT_EQ] = ACTIONS(6092),
    [anon_sym_LT_EQ] = ACTIONS(6090),
    [anon_sym_LT] = ACTIONS(6090),
    [anon_sym_LT_LT] = ACTIONS(6090),
    [anon_sym_GT_GT] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6092),
    [anon_sym___attribute__] = ACTIONS(6090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6092),
    [anon_sym_LBRACE] = ACTIONS(6092),
    [anon_sym_RBRACE] = ACTIONS(6092),
    [anon_sym_LBRACK] = ACTIONS(6090),
    [anon_sym_RBRACK] = ACTIONS(6092),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_COLON] = ACTIONS(6092),
    [anon_sym_QMARK] = ACTIONS(6092),
    [anon_sym_STAR_EQ] = ACTIONS(6092),
    [anon_sym_SLASH_EQ] = ACTIONS(6092),
    [anon_sym_PERCENT_EQ] = ACTIONS(6092),
    [anon_sym_PLUS_EQ] = ACTIONS(6092),
    [anon_sym_DASH_EQ] = ACTIONS(6092),
    [anon_sym_LT_LT_EQ] = ACTIONS(6092),
    [anon_sym_GT_GT_EQ] = ACTIONS(6092),
    [anon_sym_AMP_EQ] = ACTIONS(6092),
    [anon_sym_CARET_EQ] = ACTIONS(6092),
    [anon_sym_PIPE_EQ] = ACTIONS(6092),
    [anon_sym_and_eq] = ACTIONS(6090),
    [anon_sym_or_eq] = ACTIONS(6090),
    [anon_sym_xor_eq] = ACTIONS(6090),
    [anon_sym_LT_EQ_GT] = ACTIONS(6092),
    [anon_sym_or] = ACTIONS(6090),
    [anon_sym_and] = ACTIONS(6090),
    [anon_sym_bitor] = ACTIONS(6090),
    [anon_sym_xor] = ACTIONS(6090),
    [anon_sym_bitand] = ACTIONS(6090),
    [anon_sym_not_eq] = ACTIONS(6090),
    [anon_sym_DASH_DASH] = ACTIONS(6092),
    [anon_sym_PLUS_PLUS] = ACTIONS(6092),
    [anon_sym_DOT] = ACTIONS(6090),
    [anon_sym_DOT_STAR] = ACTIONS(6092),
    [anon_sym_DASH_GT] = ACTIONS(6092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6090),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(6094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6096),
    [anon_sym_COMMA] = ACTIONS(6096),
    [anon_sym_RPAREN] = ACTIONS(6096),
    [aux_sym_preproc_if_token2] = ACTIONS(6096),
    [aux_sym_preproc_else_token1] = ACTIONS(6096),
    [aux_sym_preproc_elif_token1] = ACTIONS(6094),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6096),
    [anon_sym_LPAREN2] = ACTIONS(6096),
    [anon_sym_DASH] = ACTIONS(6094),
    [anon_sym_PLUS] = ACTIONS(6094),
    [anon_sym_STAR] = ACTIONS(6094),
    [anon_sym_SLASH] = ACTIONS(6094),
    [anon_sym_PERCENT] = ACTIONS(6094),
    [anon_sym_PIPE_PIPE] = ACTIONS(6096),
    [anon_sym_AMP_AMP] = ACTIONS(6096),
    [anon_sym_PIPE] = ACTIONS(6094),
    [anon_sym_CARET] = ACTIONS(6094),
    [anon_sym_AMP] = ACTIONS(6094),
    [anon_sym_EQ_EQ] = ACTIONS(6096),
    [anon_sym_BANG_EQ] = ACTIONS(6096),
    [anon_sym_GT] = ACTIONS(6094),
    [anon_sym_GT_EQ] = ACTIONS(6096),
    [anon_sym_LT_EQ] = ACTIONS(6094),
    [anon_sym_LT] = ACTIONS(6094),
    [anon_sym_LT_LT] = ACTIONS(6094),
    [anon_sym_GT_GT] = ACTIONS(6094),
    [anon_sym_SEMI] = ACTIONS(6096),
    [anon_sym___attribute__] = ACTIONS(6094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6096),
    [anon_sym_LBRACE] = ACTIONS(6096),
    [anon_sym_RBRACE] = ACTIONS(6096),
    [anon_sym_LBRACK] = ACTIONS(6094),
    [anon_sym_RBRACK] = ACTIONS(6096),
    [anon_sym_EQ] = ACTIONS(6094),
    [anon_sym_COLON] = ACTIONS(6096),
    [anon_sym_QMARK] = ACTIONS(6096),
    [anon_sym_STAR_EQ] = ACTIONS(6096),
    [anon_sym_SLASH_EQ] = ACTIONS(6096),
    [anon_sym_PERCENT_EQ] = ACTIONS(6096),
    [anon_sym_PLUS_EQ] = ACTIONS(6096),
    [anon_sym_DASH_EQ] = ACTIONS(6096),
    [anon_sym_LT_LT_EQ] = ACTIONS(6096),
    [anon_sym_GT_GT_EQ] = ACTIONS(6096),
    [anon_sym_AMP_EQ] = ACTIONS(6096),
    [anon_sym_CARET_EQ] = ACTIONS(6096),
    [anon_sym_PIPE_EQ] = ACTIONS(6096),
    [anon_sym_and_eq] = ACTIONS(6094),
    [anon_sym_or_eq] = ACTIONS(6094),
    [anon_sym_xor_eq] = ACTIONS(6094),
    [anon_sym_LT_EQ_GT] = ACTIONS(6096),
    [anon_sym_or] = ACTIONS(6094),
    [anon_sym_and] = ACTIONS(6094),
    [anon_sym_bitor] = ACTIONS(6094),
    [anon_sym_xor] = ACTIONS(6094),
    [anon_sym_bitand] = ACTIONS(6094),
    [anon_sym_not_eq] = ACTIONS(6094),
    [anon_sym_DASH_DASH] = ACTIONS(6096),
    [anon_sym_PLUS_PLUS] = ACTIONS(6096),
    [anon_sym_DOT] = ACTIONS(6094),
    [anon_sym_DOT_STAR] = ACTIONS(6096),
    [anon_sym_DASH_GT] = ACTIONS(6096),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6094),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(6098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6100),
    [anon_sym_COMMA] = ACTIONS(6100),
    [anon_sym_RPAREN] = ACTIONS(6100),
    [aux_sym_preproc_if_token2] = ACTIONS(6100),
    [aux_sym_preproc_else_token1] = ACTIONS(6100),
    [aux_sym_preproc_elif_token1] = ACTIONS(6098),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6100),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6100),
    [anon_sym_LPAREN2] = ACTIONS(6100),
    [anon_sym_DASH] = ACTIONS(6098),
    [anon_sym_PLUS] = ACTIONS(6098),
    [anon_sym_STAR] = ACTIONS(6098),
    [anon_sym_SLASH] = ACTIONS(6098),
    [anon_sym_PERCENT] = ACTIONS(6098),
    [anon_sym_PIPE_PIPE] = ACTIONS(6100),
    [anon_sym_AMP_AMP] = ACTIONS(6100),
    [anon_sym_PIPE] = ACTIONS(6098),
    [anon_sym_CARET] = ACTIONS(6098),
    [anon_sym_AMP] = ACTIONS(6098),
    [anon_sym_EQ_EQ] = ACTIONS(6100),
    [anon_sym_BANG_EQ] = ACTIONS(6100),
    [anon_sym_GT] = ACTIONS(6098),
    [anon_sym_GT_EQ] = ACTIONS(6100),
    [anon_sym_LT_EQ] = ACTIONS(6098),
    [anon_sym_LT] = ACTIONS(6098),
    [anon_sym_LT_LT] = ACTIONS(6098),
    [anon_sym_GT_GT] = ACTIONS(6098),
    [anon_sym_SEMI] = ACTIONS(6100),
    [anon_sym___attribute__] = ACTIONS(6098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6100),
    [anon_sym_LBRACE] = ACTIONS(6100),
    [anon_sym_RBRACE] = ACTIONS(6100),
    [anon_sym_LBRACK] = ACTIONS(6098),
    [anon_sym_RBRACK] = ACTIONS(6100),
    [anon_sym_EQ] = ACTIONS(6098),
    [anon_sym_COLON] = ACTIONS(6100),
    [anon_sym_QMARK] = ACTIONS(6100),
    [anon_sym_STAR_EQ] = ACTIONS(6100),
    [anon_sym_SLASH_EQ] = ACTIONS(6100),
    [anon_sym_PERCENT_EQ] = ACTIONS(6100),
    [anon_sym_PLUS_EQ] = ACTIONS(6100),
    [anon_sym_DASH_EQ] = ACTIONS(6100),
    [anon_sym_LT_LT_EQ] = ACTIONS(6100),
    [anon_sym_GT_GT_EQ] = ACTIONS(6100),
    [anon_sym_AMP_EQ] = ACTIONS(6100),
    [anon_sym_CARET_EQ] = ACTIONS(6100),
    [anon_sym_PIPE_EQ] = ACTIONS(6100),
    [anon_sym_and_eq] = ACTIONS(6098),
    [anon_sym_or_eq] = ACTIONS(6098),
    [anon_sym_xor_eq] = ACTIONS(6098),
    [anon_sym_LT_EQ_GT] = ACTIONS(6100),
    [anon_sym_or] = ACTIONS(6098),
    [anon_sym_and] = ACTIONS(6098),
    [anon_sym_bitor] = ACTIONS(6098),
    [anon_sym_xor] = ACTIONS(6098),
    [anon_sym_bitand] = ACTIONS(6098),
    [anon_sym_not_eq] = ACTIONS(6098),
    [anon_sym_DASH_DASH] = ACTIONS(6100),
    [anon_sym_PLUS_PLUS] = ACTIONS(6100),
    [anon_sym_DOT] = ACTIONS(6098),
    [anon_sym_DOT_STAR] = ACTIONS(6100),
    [anon_sym_DASH_GT] = ACTIONS(6100),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6098),
  },
  [2528] = {
    [sym_identifier] = ACTIONS(6102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6104),
    [anon_sym_COMMA] = ACTIONS(6104),
    [anon_sym_RPAREN] = ACTIONS(6104),
    [aux_sym_preproc_if_token2] = ACTIONS(6104),
    [aux_sym_preproc_else_token1] = ACTIONS(6104),
    [aux_sym_preproc_elif_token1] = ACTIONS(6102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6104),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6104),
    [anon_sym_LPAREN2] = ACTIONS(6104),
    [anon_sym_DASH] = ACTIONS(6102),
    [anon_sym_PLUS] = ACTIONS(6102),
    [anon_sym_STAR] = ACTIONS(6102),
    [anon_sym_SLASH] = ACTIONS(6102),
    [anon_sym_PERCENT] = ACTIONS(6102),
    [anon_sym_PIPE_PIPE] = ACTIONS(6104),
    [anon_sym_AMP_AMP] = ACTIONS(6104),
    [anon_sym_PIPE] = ACTIONS(6102),
    [anon_sym_CARET] = ACTIONS(6102),
    [anon_sym_AMP] = ACTIONS(6102),
    [anon_sym_EQ_EQ] = ACTIONS(6104),
    [anon_sym_BANG_EQ] = ACTIONS(6104),
    [anon_sym_GT] = ACTIONS(6102),
    [anon_sym_GT_EQ] = ACTIONS(6104),
    [anon_sym_LT_EQ] = ACTIONS(6102),
    [anon_sym_LT] = ACTIONS(6102),
    [anon_sym_LT_LT] = ACTIONS(6102),
    [anon_sym_GT_GT] = ACTIONS(6102),
    [anon_sym_SEMI] = ACTIONS(6104),
    [anon_sym___attribute__] = ACTIONS(6102),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6104),
    [anon_sym_LBRACE] = ACTIONS(6104),
    [anon_sym_RBRACE] = ACTIONS(6104),
    [anon_sym_LBRACK] = ACTIONS(6102),
    [anon_sym_RBRACK] = ACTIONS(6104),
    [anon_sym_EQ] = ACTIONS(6102),
    [anon_sym_COLON] = ACTIONS(6104),
    [anon_sym_QMARK] = ACTIONS(6104),
    [anon_sym_STAR_EQ] = ACTIONS(6104),
    [anon_sym_SLASH_EQ] = ACTIONS(6104),
    [anon_sym_PERCENT_EQ] = ACTIONS(6104),
    [anon_sym_PLUS_EQ] = ACTIONS(6104),
    [anon_sym_DASH_EQ] = ACTIONS(6104),
    [anon_sym_LT_LT_EQ] = ACTIONS(6104),
    [anon_sym_GT_GT_EQ] = ACTIONS(6104),
    [anon_sym_AMP_EQ] = ACTIONS(6104),
    [anon_sym_CARET_EQ] = ACTIONS(6104),
    [anon_sym_PIPE_EQ] = ACTIONS(6104),
    [anon_sym_and_eq] = ACTIONS(6102),
    [anon_sym_or_eq] = ACTIONS(6102),
    [anon_sym_xor_eq] = ACTIONS(6102),
    [anon_sym_LT_EQ_GT] = ACTIONS(6104),
    [anon_sym_or] = ACTIONS(6102),
    [anon_sym_and] = ACTIONS(6102),
    [anon_sym_bitor] = ACTIONS(6102),
    [anon_sym_xor] = ACTIONS(6102),
    [anon_sym_bitand] = ACTIONS(6102),
    [anon_sym_not_eq] = ACTIONS(6102),
    [anon_sym_DASH_DASH] = ACTIONS(6104),
    [anon_sym_PLUS_PLUS] = ACTIONS(6104),
    [anon_sym_DOT] = ACTIONS(6102),
    [anon_sym_DOT_STAR] = ACTIONS(6104),
    [anon_sym_DASH_GT] = ACTIONS(6104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6102),
  },
  [2529] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2470),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5708),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5997),
    [anon_sym_unsigned] = ACTIONS(5997),
    [anon_sym_long] = ACTIONS(5997),
    [anon_sym_short] = ACTIONS(5997),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5708),
    [anon_sym_volatile] = ACTIONS(5708),
    [anon_sym_restrict] = ACTIONS(5708),
    [anon_sym___restrict__] = ACTIONS(5708),
    [anon_sym__Atomic] = ACTIONS(5708),
    [anon_sym__Noreturn] = ACTIONS(5708),
    [anon_sym_noreturn] = ACTIONS(5708),
    [anon_sym_mutable] = ACTIONS(5708),
    [anon_sym_constinit] = ACTIONS(5708),
    [anon_sym_consteval] = ACTIONS(5708),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5708),
    [anon_sym_and] = ACTIONS(5708),
    [anon_sym_bitor] = ACTIONS(5708),
    [anon_sym_xor] = ACTIONS(5708),
    [anon_sym_bitand] = ACTIONS(5708),
    [anon_sym_not_eq] = ACTIONS(5708),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5708),
    [anon_sym_decltype] = ACTIONS(5708),
    [anon_sym_final] = ACTIONS(5708),
    [anon_sym_override] = ACTIONS(5708),
    [anon_sym_requires] = ACTIONS(5708),
  },
  [2530] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(5341),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5343),
    [aux_sym_preproc_if_token2] = ACTIONS(5343),
    [aux_sym_preproc_else_token1] = ACTIONS(5343),
    [aux_sym_preproc_elif_token1] = ACTIONS(5341),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5343),
    [anon_sym_LPAREN2] = ACTIONS(5343),
    [anon_sym_DASH] = ACTIONS(5341),
    [anon_sym_PLUS] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_SLASH] = ACTIONS(5341),
    [anon_sym_PERCENT] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5343),
    [anon_sym_AMP_AMP] = ACTIONS(5343),
    [anon_sym_PIPE] = ACTIONS(5341),
    [anon_sym_CARET] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5341),
    [anon_sym_EQ_EQ] = ACTIONS(5343),
    [anon_sym_BANG_EQ] = ACTIONS(5343),
    [anon_sym_GT] = ACTIONS(5341),
    [anon_sym_GT_EQ] = ACTIONS(5343),
    [anon_sym_LT_EQ] = ACTIONS(5341),
    [anon_sym_LT] = ACTIONS(5341),
    [anon_sym_LT_LT] = ACTIONS(5341),
    [anon_sym_GT_GT] = ACTIONS(5341),
    [anon_sym___attribute__] = ACTIONS(5341),
    [anon_sym_LBRACE] = ACTIONS(5343),
    [anon_sym_signed] = ACTIONS(6106),
    [anon_sym_unsigned] = ACTIONS(6106),
    [anon_sym_long] = ACTIONS(6106),
    [anon_sym_short] = ACTIONS(6106),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_STAR_EQ] = ACTIONS(5343),
    [anon_sym_SLASH_EQ] = ACTIONS(5343),
    [anon_sym_PERCENT_EQ] = ACTIONS(5343),
    [anon_sym_PLUS_EQ] = ACTIONS(5343),
    [anon_sym_DASH_EQ] = ACTIONS(5343),
    [anon_sym_LT_LT_EQ] = ACTIONS(5343),
    [anon_sym_GT_GT_EQ] = ACTIONS(5343),
    [anon_sym_AMP_EQ] = ACTIONS(5343),
    [anon_sym_CARET_EQ] = ACTIONS(5343),
    [anon_sym_PIPE_EQ] = ACTIONS(5343),
    [anon_sym_and_eq] = ACTIONS(5341),
    [anon_sym_or_eq] = ACTIONS(5341),
    [anon_sym_xor_eq] = ACTIONS(5341),
    [anon_sym_LT_EQ_GT] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5341),
    [anon_sym_and] = ACTIONS(5341),
    [anon_sym_bitor] = ACTIONS(5341),
    [anon_sym_xor] = ACTIONS(5341),
    [anon_sym_bitand] = ACTIONS(5341),
    [anon_sym_not_eq] = ACTIONS(5341),
    [anon_sym_DASH_DASH] = ACTIONS(5343),
    [anon_sym_PLUS_PLUS] = ACTIONS(5343),
    [anon_sym_DOT] = ACTIONS(5341),
    [anon_sym_DOT_STAR] = ACTIONS(5343),
    [anon_sym_DASH_GT] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5341),
    [anon_sym_decltype] = ACTIONS(5341),
  },
  [2531] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [aux_sym_preproc_if_token2] = ACTIONS(6015),
    [aux_sym_preproc_else_token1] = ACTIONS(6015),
    [aux_sym_preproc_elif_token1] = ACTIONS(6017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6017),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6017),
    [anon_sym_GT_GT] = ACTIONS(6017),
    [anon_sym___attribute__] = ACTIONS(6017),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6064),
    [anon_sym_unsigned] = ACTIONS(6064),
    [anon_sym_long] = ACTIONS(6064),
    [anon_sym_short] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6017),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_STAR_EQ] = ACTIONS(6015),
    [anon_sym_SLASH_EQ] = ACTIONS(6015),
    [anon_sym_PERCENT_EQ] = ACTIONS(6015),
    [anon_sym_PLUS_EQ] = ACTIONS(6015),
    [anon_sym_DASH_EQ] = ACTIONS(6015),
    [anon_sym_LT_LT_EQ] = ACTIONS(6015),
    [anon_sym_GT_GT_EQ] = ACTIONS(6015),
    [anon_sym_AMP_EQ] = ACTIONS(6015),
    [anon_sym_CARET_EQ] = ACTIONS(6015),
    [anon_sym_PIPE_EQ] = ACTIONS(6015),
    [anon_sym_and_eq] = ACTIONS(6017),
    [anon_sym_or_eq] = ACTIONS(6017),
    [anon_sym_xor_eq] = ACTIONS(6017),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6017),
    [anon_sym_and] = ACTIONS(6017),
    [anon_sym_bitor] = ACTIONS(6017),
    [anon_sym_xor] = ACTIONS(6017),
    [anon_sym_bitand] = ACTIONS(6017),
    [anon_sym_not_eq] = ACTIONS(6017),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6017),
    [anon_sym_decltype] = ACTIONS(6017),
  },
  [2532] = {
    [sym_template_argument_list] = STATE(2673),
    [sym_identifier] = ACTIONS(5063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5056),
    [anon_sym_COMMA] = ACTIONS(5056),
    [anon_sym_RPAREN] = ACTIONS(5056),
    [aux_sym_preproc_if_token2] = ACTIONS(5056),
    [aux_sym_preproc_else_token1] = ACTIONS(5056),
    [aux_sym_preproc_elif_token1] = ACTIONS(5063),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5056),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5056),
    [anon_sym_LPAREN2] = ACTIONS(5056),
    [anon_sym_DASH] = ACTIONS(5063),
    [anon_sym_PLUS] = ACTIONS(5063),
    [anon_sym_STAR] = ACTIONS(5063),
    [anon_sym_SLASH] = ACTIONS(5063),
    [anon_sym_PERCENT] = ACTIONS(5063),
    [anon_sym_PIPE_PIPE] = ACTIONS(5056),
    [anon_sym_AMP_AMP] = ACTIONS(5056),
    [anon_sym_PIPE] = ACTIONS(5063),
    [anon_sym_CARET] = ACTIONS(5063),
    [anon_sym_AMP] = ACTIONS(5063),
    [anon_sym_EQ_EQ] = ACTIONS(5056),
    [anon_sym_BANG_EQ] = ACTIONS(5056),
    [anon_sym_GT] = ACTIONS(5063),
    [anon_sym_GT_EQ] = ACTIONS(5056),
    [anon_sym_LT_EQ] = ACTIONS(5063),
    [anon_sym_LT] = ACTIONS(6109),
    [anon_sym_LT_LT] = ACTIONS(5063),
    [anon_sym_GT_GT] = ACTIONS(5063),
    [anon_sym_SEMI] = ACTIONS(5056),
    [anon_sym___attribute__] = ACTIONS(5063),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [anon_sym_RBRACK] = ACTIONS(5056),
    [anon_sym_EQ] = ACTIONS(5063),
    [anon_sym_COLON] = ACTIONS(5063),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_STAR_EQ] = ACTIONS(5056),
    [anon_sym_SLASH_EQ] = ACTIONS(5056),
    [anon_sym_PERCENT_EQ] = ACTIONS(5056),
    [anon_sym_PLUS_EQ] = ACTIONS(5056),
    [anon_sym_DASH_EQ] = ACTIONS(5056),
    [anon_sym_LT_LT_EQ] = ACTIONS(5056),
    [anon_sym_GT_GT_EQ] = ACTIONS(5056),
    [anon_sym_AMP_EQ] = ACTIONS(5056),
    [anon_sym_CARET_EQ] = ACTIONS(5056),
    [anon_sym_PIPE_EQ] = ACTIONS(5056),
    [anon_sym_and_eq] = ACTIONS(5063),
    [anon_sym_or_eq] = ACTIONS(5063),
    [anon_sym_xor_eq] = ACTIONS(5063),
    [anon_sym_LT_EQ_GT] = ACTIONS(5056),
    [anon_sym_or] = ACTIONS(5063),
    [anon_sym_and] = ACTIONS(5063),
    [anon_sym_bitor] = ACTIONS(5063),
    [anon_sym_xor] = ACTIONS(5063),
    [anon_sym_bitand] = ACTIONS(5063),
    [anon_sym_not_eq] = ACTIONS(5063),
    [anon_sym_DASH_DASH] = ACTIONS(5056),
    [anon_sym_PLUS_PLUS] = ACTIONS(5056),
    [anon_sym_DOT] = ACTIONS(5063),
    [anon_sym_DOT_STAR] = ACTIONS(5056),
    [anon_sym_DASH_GT] = ACTIONS(5056),
    [sym_comment] = ACTIONS(3),
  },
  [2533] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6005),
    [anon_sym_COMMA] = ACTIONS(6005),
    [aux_sym_preproc_if_token2] = ACTIONS(6005),
    [aux_sym_preproc_else_token1] = ACTIONS(6005),
    [aux_sym_preproc_elif_token1] = ACTIONS(6007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6005),
    [anon_sym_LPAREN2] = ACTIONS(6005),
    [anon_sym_DASH] = ACTIONS(6007),
    [anon_sym_PLUS] = ACTIONS(6007),
    [anon_sym_STAR] = ACTIONS(6007),
    [anon_sym_SLASH] = ACTIONS(6007),
    [anon_sym_PERCENT] = ACTIONS(6007),
    [anon_sym_PIPE_PIPE] = ACTIONS(6005),
    [anon_sym_AMP_AMP] = ACTIONS(6005),
    [anon_sym_PIPE] = ACTIONS(6007),
    [anon_sym_CARET] = ACTIONS(6007),
    [anon_sym_AMP] = ACTIONS(6007),
    [anon_sym_EQ_EQ] = ACTIONS(6005),
    [anon_sym_BANG_EQ] = ACTIONS(6005),
    [anon_sym_GT] = ACTIONS(6007),
    [anon_sym_GT_EQ] = ACTIONS(6005),
    [anon_sym_LT_EQ] = ACTIONS(6007),
    [anon_sym_LT] = ACTIONS(6007),
    [anon_sym_LT_LT] = ACTIONS(6007),
    [anon_sym_GT_GT] = ACTIONS(6007),
    [anon_sym___attribute__] = ACTIONS(6007),
    [anon_sym_LBRACE] = ACTIONS(6005),
    [anon_sym_signed] = ACTIONS(6064),
    [anon_sym_unsigned] = ACTIONS(6064),
    [anon_sym_long] = ACTIONS(6064),
    [anon_sym_short] = ACTIONS(6064),
    [anon_sym_LBRACK] = ACTIONS(6005),
    [anon_sym_EQ] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(6005),
    [anon_sym_STAR_EQ] = ACTIONS(6005),
    [anon_sym_SLASH_EQ] = ACTIONS(6005),
    [anon_sym_PERCENT_EQ] = ACTIONS(6005),
    [anon_sym_PLUS_EQ] = ACTIONS(6005),
    [anon_sym_DASH_EQ] = ACTIONS(6005),
    [anon_sym_LT_LT_EQ] = ACTIONS(6005),
    [anon_sym_GT_GT_EQ] = ACTIONS(6005),
    [anon_sym_AMP_EQ] = ACTIONS(6005),
    [anon_sym_CARET_EQ] = ACTIONS(6005),
    [anon_sym_PIPE_EQ] = ACTIONS(6005),
    [anon_sym_and_eq] = ACTIONS(6007),
    [anon_sym_or_eq] = ACTIONS(6007),
    [anon_sym_xor_eq] = ACTIONS(6007),
    [anon_sym_LT_EQ_GT] = ACTIONS(6005),
    [anon_sym_or] = ACTIONS(6007),
    [anon_sym_and] = ACTIONS(6007),
    [anon_sym_bitor] = ACTIONS(6007),
    [anon_sym_xor] = ACTIONS(6007),
    [anon_sym_bitand] = ACTIONS(6007),
    [anon_sym_not_eq] = ACTIONS(6007),
    [anon_sym_DASH_DASH] = ACTIONS(6005),
    [anon_sym_PLUS_PLUS] = ACTIONS(6005),
    [anon_sym_DOT] = ACTIONS(6007),
    [anon_sym_DOT_STAR] = ACTIONS(6005),
    [anon_sym_DASH_GT] = ACTIONS(6005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6007),
    [anon_sym_decltype] = ACTIONS(6007),
  },
  [2534] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2514),
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(6112),
    [anon_sym_unsigned] = ACTIONS(6112),
    [anon_sym_long] = ACTIONS(6112),
    [anon_sym_short] = ACTIONS(6112),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5702),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5704),
    [anon_sym_COMMA] = ACTIONS(5704),
    [anon_sym_RPAREN] = ACTIONS(5704),
    [aux_sym_preproc_if_token2] = ACTIONS(5704),
    [aux_sym_preproc_else_token1] = ACTIONS(5704),
    [aux_sym_preproc_elif_token1] = ACTIONS(5702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5704),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5704),
    [anon_sym_LPAREN2] = ACTIONS(5704),
    [anon_sym_DASH] = ACTIONS(5702),
    [anon_sym_PLUS] = ACTIONS(5702),
    [anon_sym_STAR] = ACTIONS(5702),
    [anon_sym_SLASH] = ACTIONS(5702),
    [anon_sym_PERCENT] = ACTIONS(5702),
    [anon_sym_PIPE_PIPE] = ACTIONS(5704),
    [anon_sym_AMP_AMP] = ACTIONS(5704),
    [anon_sym_PIPE] = ACTIONS(5702),
    [anon_sym_CARET] = ACTIONS(5702),
    [anon_sym_AMP] = ACTIONS(5702),
    [anon_sym_EQ_EQ] = ACTIONS(5704),
    [anon_sym_BANG_EQ] = ACTIONS(5704),
    [anon_sym_GT] = ACTIONS(5702),
    [anon_sym_GT_EQ] = ACTIONS(5704),
    [anon_sym_LT_EQ] = ACTIONS(5702),
    [anon_sym_LT] = ACTIONS(5702),
    [anon_sym_LT_LT] = ACTIONS(5702),
    [anon_sym_GT_GT] = ACTIONS(5702),
    [anon_sym_SEMI] = ACTIONS(5704),
    [anon_sym___attribute__] = ACTIONS(5702),
    [anon_sym_LBRACE] = ACTIONS(5704),
    [anon_sym_RBRACE] = ACTIONS(5704),
    [anon_sym_LBRACK] = ACTIONS(5704),
    [anon_sym_RBRACK] = ACTIONS(5704),
    [anon_sym_EQ] = ACTIONS(5702),
    [anon_sym_COLON] = ACTIONS(5704),
    [anon_sym_QMARK] = ACTIONS(5704),
    [anon_sym_STAR_EQ] = ACTIONS(5704),
    [anon_sym_SLASH_EQ] = ACTIONS(5704),
    [anon_sym_PERCENT_EQ] = ACTIONS(5704),
    [anon_sym_PLUS_EQ] = ACTIONS(5704),
    [anon_sym_DASH_EQ] = ACTIONS(5704),
    [anon_sym_LT_LT_EQ] = ACTIONS(5704),
    [anon_sym_GT_GT_EQ] = ACTIONS(5704),
    [anon_sym_AMP_EQ] = ACTIONS(5704),
    [anon_sym_CARET_EQ] = ACTIONS(5704),
    [anon_sym_PIPE_EQ] = ACTIONS(5704),
    [anon_sym_and_eq] = ACTIONS(5702),
    [anon_sym_or_eq] = ACTIONS(5702),
    [anon_sym_xor_eq] = ACTIONS(5702),
    [anon_sym_LT_EQ_GT] = ACTIONS(5704),
    [anon_sym_or] = ACTIONS(5702),
    [anon_sym_and] = ACTIONS(5702),
    [anon_sym_bitor] = ACTIONS(5702),
    [anon_sym_xor] = ACTIONS(5702),
    [anon_sym_bitand] = ACTIONS(5702),
    [anon_sym_not_eq] = ACTIONS(5702),
    [anon_sym_DASH_DASH] = ACTIONS(5704),
    [anon_sym_PLUS_PLUS] = ACTIONS(5704),
    [anon_sym_DOT] = ACTIONS(5702),
    [anon_sym_DOT_STAR] = ACTIONS(5704),
    [anon_sym_DASH_GT] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5702),
    [anon_sym_decltype] = ACTIONS(5702),
  },
  [2536] = {
    [sym_argument_list] = STATE(2898),
    [sym_initializer_list] = STATE(2898),
    [sym_identifier] = ACTIONS(6114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6116),
    [anon_sym_COMMA] = ACTIONS(6116),
    [anon_sym_RPAREN] = ACTIONS(6116),
    [aux_sym_preproc_if_token2] = ACTIONS(6116),
    [aux_sym_preproc_else_token1] = ACTIONS(6116),
    [aux_sym_preproc_elif_token1] = ACTIONS(6114),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6116),
    [anon_sym_LPAREN2] = ACTIONS(5417),
    [anon_sym_DASH] = ACTIONS(6114),
    [anon_sym_PLUS] = ACTIONS(6114),
    [anon_sym_STAR] = ACTIONS(6114),
    [anon_sym_SLASH] = ACTIONS(6114),
    [anon_sym_PERCENT] = ACTIONS(6114),
    [anon_sym_PIPE_PIPE] = ACTIONS(6116),
    [anon_sym_AMP_AMP] = ACTIONS(6116),
    [anon_sym_PIPE] = ACTIONS(6114),
    [anon_sym_CARET] = ACTIONS(6114),
    [anon_sym_AMP] = ACTIONS(6114),
    [anon_sym_EQ_EQ] = ACTIONS(6116),
    [anon_sym_BANG_EQ] = ACTIONS(6116),
    [anon_sym_GT] = ACTIONS(6114),
    [anon_sym_GT_EQ] = ACTIONS(6116),
    [anon_sym_LT_EQ] = ACTIONS(6114),
    [anon_sym_LT] = ACTIONS(6114),
    [anon_sym_LT_LT] = ACTIONS(6114),
    [anon_sym_GT_GT] = ACTIONS(6114),
    [anon_sym_SEMI] = ACTIONS(6116),
    [anon_sym___attribute__] = ACTIONS(6114),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(6116),
    [anon_sym_LBRACK] = ACTIONS(6116),
    [anon_sym_RBRACK] = ACTIONS(6116),
    [anon_sym_EQ] = ACTIONS(6114),
    [anon_sym_COLON] = ACTIONS(6116),
    [anon_sym_QMARK] = ACTIONS(6116),
    [anon_sym_STAR_EQ] = ACTIONS(6116),
    [anon_sym_SLASH_EQ] = ACTIONS(6116),
    [anon_sym_PERCENT_EQ] = ACTIONS(6116),
    [anon_sym_PLUS_EQ] = ACTIONS(6116),
    [anon_sym_DASH_EQ] = ACTIONS(6116),
    [anon_sym_LT_LT_EQ] = ACTIONS(6116),
    [anon_sym_GT_GT_EQ] = ACTIONS(6116),
    [anon_sym_AMP_EQ] = ACTIONS(6116),
    [anon_sym_CARET_EQ] = ACTIONS(6116),
    [anon_sym_PIPE_EQ] = ACTIONS(6116),
    [anon_sym_and_eq] = ACTIONS(6114),
    [anon_sym_or_eq] = ACTIONS(6114),
    [anon_sym_xor_eq] = ACTIONS(6114),
    [anon_sym_LT_EQ_GT] = ACTIONS(6116),
    [anon_sym_or] = ACTIONS(6114),
    [anon_sym_and] = ACTIONS(6114),
    [anon_sym_bitor] = ACTIONS(6114),
    [anon_sym_xor] = ACTIONS(6114),
    [anon_sym_bitand] = ACTIONS(6114),
    [anon_sym_not_eq] = ACTIONS(6114),
    [anon_sym_DASH_DASH] = ACTIONS(6116),
    [anon_sym_PLUS_PLUS] = ACTIONS(6116),
    [anon_sym_DOT] = ACTIONS(6114),
    [anon_sym_DOT_STAR] = ACTIONS(6116),
    [anon_sym_DASH_GT] = ACTIONS(6116),
    [sym_comment] = ACTIONS(3),
  },
  [2537] = {
    [sym_identifier] = ACTIONS(2182),
    [aux_sym_preproc_def_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2182),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2182),
    [sym_preproc_directive] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_AMP_AMP] = ACTIONS(2180),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2182),
    [anon_sym_typedef] = ACTIONS(2182),
    [anon_sym_extern] = ACTIONS(2182),
    [anon_sym___attribute__] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2180),
    [anon_sym___declspec] = ACTIONS(2182),
    [anon_sym___based] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2182),
    [anon_sym_unsigned] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_register] = ACTIONS(2182),
    [anon_sym_inline] = ACTIONS(2182),
    [anon_sym___inline] = ACTIONS(2182),
    [anon_sym___inline__] = ACTIONS(2182),
    [anon_sym___forceinline] = ACTIONS(2182),
    [anon_sym_thread_local] = ACTIONS(2182),
    [anon_sym___thread] = ACTIONS(2182),
    [anon_sym_const] = ACTIONS(2182),
    [anon_sym_constexpr] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_restrict] = ACTIONS(2182),
    [anon_sym___restrict__] = ACTIONS(2182),
    [anon_sym__Atomic] = ACTIONS(2182),
    [anon_sym__Noreturn] = ACTIONS(2182),
    [anon_sym_noreturn] = ACTIONS(2182),
    [anon_sym_mutable] = ACTIONS(2182),
    [anon_sym_constinit] = ACTIONS(2182),
    [anon_sym_consteval] = ACTIONS(2182),
    [sym_primitive_type] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_struct] = ACTIONS(2182),
    [anon_sym_union] = ACTIONS(2182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2182),
    [anon_sym_decltype] = ACTIONS(2182),
    [anon_sym_virtual] = ACTIONS(2182),
    [anon_sym_alignas] = ACTIONS(2182),
    [anon_sym_explicit] = ACTIONS(2182),
    [anon_sym_typename] = ACTIONS(2182),
    [anon_sym_template] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2182),
    [anon_sym_friend] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_using] = ACTIONS(2182),
    [anon_sym_static_assert] = ACTIONS(2182),
    [anon_sym_catch] = ACTIONS(2182),
  },
  [2538] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_AMP_AMP] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym_COLON_COLON] = ACTIONS(2850),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___based] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_mutable] = ACTIONS(2848),
    [anon_sym_constinit] = ACTIONS(2848),
    [anon_sym_consteval] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_class] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2848),
    [anon_sym_decltype] = ACTIONS(2848),
    [anon_sym_virtual] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym_explicit] = ACTIONS(2848),
    [anon_sym_typename] = ACTIONS(2848),
    [anon_sym_template] = ACTIONS(2848),
    [anon_sym_operator] = ACTIONS(2848),
    [anon_sym_friend] = ACTIONS(2848),
    [anon_sym_public] = ACTIONS(2848),
    [anon_sym_private] = ACTIONS(2848),
    [anon_sym_protected] = ACTIONS(2848),
    [anon_sym_using] = ACTIONS(2848),
    [anon_sym_static_assert] = ACTIONS(2848),
    [anon_sym_catch] = ACTIONS(2848),
  },
  [2539] = {
    [sym_template_argument_list] = STATE(2007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2778),
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [aux_sym_preproc_if_token2] = ACTIONS(5803),
    [aux_sym_preproc_else_token1] = ACTIONS(5803),
    [aux_sym_preproc_elif_token1] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(6118),
    [anon_sym_unsigned] = ACTIONS(6118),
    [anon_sym_long] = ACTIONS(6118),
    [anon_sym_short] = ACTIONS(6118),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5801),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5801),
    [anon_sym_or_eq] = ACTIONS(5801),
    [anon_sym_xor_eq] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
  },
  [2540] = {
    [sym_identifier] = ACTIONS(5651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5653),
    [anon_sym_COMMA] = ACTIONS(5653),
    [anon_sym_RPAREN] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_DASH] = ACTIONS(5651),
    [anon_sym_PLUS] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_SLASH] = ACTIONS(5651),
    [anon_sym_PERCENT] = ACTIONS(5651),
    [anon_sym_PIPE_PIPE] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_PIPE] = ACTIONS(5651),
    [anon_sym_CARET] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym_EQ_EQ] = ACTIONS(5653),
    [anon_sym_BANG_EQ] = ACTIONS(5653),
    [anon_sym_GT] = ACTIONS(5651),
    [anon_sym_GT_EQ] = ACTIONS(5653),
    [anon_sym_LT_EQ] = ACTIONS(5651),
    [anon_sym_LT] = ACTIONS(5651),
    [anon_sym_LT_LT] = ACTIONS(5651),
    [anon_sym_GT_GT] = ACTIONS(5651),
    [anon_sym_SEMI] = ACTIONS(5653),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(5653),
    [anon_sym_RBRACE] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_EQ] = ACTIONS(5651),
    [anon_sym_COLON] = ACTIONS(5653),
    [anon_sym_QMARK] = ACTIONS(5653),
    [anon_sym_STAR_EQ] = ACTIONS(5653),
    [anon_sym_SLASH_EQ] = ACTIONS(5653),
    [anon_sym_PERCENT_EQ] = ACTIONS(5653),
    [anon_sym_PLUS_EQ] = ACTIONS(5653),
    [anon_sym_DASH_EQ] = ACTIONS(5653),
    [anon_sym_LT_LT_EQ] = ACTIONS(5653),
    [anon_sym_GT_GT_EQ] = ACTIONS(5653),
    [anon_sym_AMP_EQ] = ACTIONS(5653),
    [anon_sym_CARET_EQ] = ACTIONS(5653),
    [anon_sym_PIPE_EQ] = ACTIONS(5653),
    [anon_sym_and_eq] = ACTIONS(5651),
    [anon_sym_or_eq] = ACTIONS(5651),
    [anon_sym_xor_eq] = ACTIONS(5651),
    [anon_sym_LT_EQ_GT] = ACTIONS(5653),
    [anon_sym_or] = ACTIONS(5651),
    [anon_sym_and] = ACTIONS(5651),
    [anon_sym_bitor] = ACTIONS(5651),
    [anon_sym_xor] = ACTIONS(5651),
    [anon_sym_bitand] = ACTIONS(5651),
    [anon_sym_not_eq] = ACTIONS(5651),
    [anon_sym_DASH_DASH] = ACTIONS(5653),
    [anon_sym_PLUS_PLUS] = ACTIONS(5653),
    [anon_sym_DOT] = ACTIONS(5651),
    [anon_sym_DOT_STAR] = ACTIONS(5653),
    [anon_sym_DASH_GT] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
  },
  [2541] = {
    [sym_identifier] = ACTIONS(2210),
    [aux_sym_preproc_def_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2210),
    [aux_sym_preproc_if_token2] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2210),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2210),
    [sym_preproc_directive] = ACTIONS(2210),
    [anon_sym_LPAREN2] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_AMP_AMP] = ACTIONS(2208),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2210),
    [anon_sym_typedef] = ACTIONS(2210),
    [anon_sym_extern] = ACTIONS(2210),
    [anon_sym___attribute__] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2208),
    [anon_sym___declspec] = ACTIONS(2210),
    [anon_sym___based] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2210),
    [anon_sym_unsigned] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_register] = ACTIONS(2210),
    [anon_sym_inline] = ACTIONS(2210),
    [anon_sym___inline] = ACTIONS(2210),
    [anon_sym___inline__] = ACTIONS(2210),
    [anon_sym___forceinline] = ACTIONS(2210),
    [anon_sym_thread_local] = ACTIONS(2210),
    [anon_sym___thread] = ACTIONS(2210),
    [anon_sym_const] = ACTIONS(2210),
    [anon_sym_constexpr] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_restrict] = ACTIONS(2210),
    [anon_sym___restrict__] = ACTIONS(2210),
    [anon_sym__Atomic] = ACTIONS(2210),
    [anon_sym__Noreturn] = ACTIONS(2210),
    [anon_sym_noreturn] = ACTIONS(2210),
    [anon_sym_mutable] = ACTIONS(2210),
    [anon_sym_constinit] = ACTIONS(2210),
    [anon_sym_consteval] = ACTIONS(2210),
    [sym_primitive_type] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_struct] = ACTIONS(2210),
    [anon_sym_union] = ACTIONS(2210),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2210),
    [anon_sym_decltype] = ACTIONS(2210),
    [anon_sym_virtual] = ACTIONS(2210),
    [anon_sym_alignas] = ACTIONS(2210),
    [anon_sym_explicit] = ACTIONS(2210),
    [anon_sym_typename] = ACTIONS(2210),
    [anon_sym_template] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2210),
    [anon_sym_friend] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_using] = ACTIONS(2210),
    [anon_sym_static_assert] = ACTIONS(2210),
    [anon_sym_catch] = ACTIONS(2210),
  },
  [2542] = {
    [sym_identifier] = ACTIONS(5823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5825),
    [anon_sym_RPAREN] = ACTIONS(5825),
    [aux_sym_preproc_if_token2] = ACTIONS(5825),
    [aux_sym_preproc_else_token1] = ACTIONS(5825),
    [aux_sym_preproc_elif_token1] = ACTIONS(5823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5825),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5825),
    [anon_sym_LPAREN2] = ACTIONS(5825),
    [anon_sym_DASH] = ACTIONS(5823),
    [anon_sym_PLUS] = ACTIONS(5823),
    [anon_sym_STAR] = ACTIONS(5823),
    [anon_sym_SLASH] = ACTIONS(5823),
    [anon_sym_PERCENT] = ACTIONS(5823),
    [anon_sym_PIPE_PIPE] = ACTIONS(5825),
    [anon_sym_AMP_AMP] = ACTIONS(5825),
    [anon_sym_PIPE] = ACTIONS(5823),
    [anon_sym_CARET] = ACTIONS(5823),
    [anon_sym_AMP] = ACTIONS(5823),
    [anon_sym_EQ_EQ] = ACTIONS(5825),
    [anon_sym_BANG_EQ] = ACTIONS(5825),
    [anon_sym_GT] = ACTIONS(5823),
    [anon_sym_GT_EQ] = ACTIONS(5825),
    [anon_sym_LT_EQ] = ACTIONS(5823),
    [anon_sym_LT] = ACTIONS(5823),
    [anon_sym_LT_LT] = ACTIONS(5823),
    [anon_sym_GT_GT] = ACTIONS(5823),
    [anon_sym_SEMI] = ACTIONS(5825),
    [anon_sym___attribute__] = ACTIONS(5823),
    [anon_sym_LBRACE] = ACTIONS(5825),
    [anon_sym_RBRACE] = ACTIONS(5825),
    [anon_sym_LBRACK] = ACTIONS(5825),
    [anon_sym_RBRACK] = ACTIONS(5825),
    [anon_sym_EQ] = ACTIONS(5823),
    [anon_sym_COLON] = ACTIONS(5825),
    [anon_sym_QMARK] = ACTIONS(5825),
    [anon_sym_STAR_EQ] = ACTIONS(5825),
    [anon_sym_SLASH_EQ] = ACTIONS(5825),
    [anon_sym_PERCENT_EQ] = ACTIONS(5825),
    [anon_sym_PLUS_EQ] = ACTIONS(5825),
    [anon_sym_DASH_EQ] = ACTIONS(5825),
    [anon_sym_LT_LT_EQ] = ACTIONS(5825),
    [anon_sym_GT_GT_EQ] = ACTIONS(5825),
    [anon_sym_AMP_EQ] = ACTIONS(5825),
    [anon_sym_CARET_EQ] = ACTIONS(5825),
    [anon_sym_PIPE_EQ] = ACTIONS(5825),
    [anon_sym_and_eq] = ACTIONS(5823),
    [anon_sym_or_eq] = ACTIONS(5823),
    [anon_sym_xor_eq] = ACTIONS(5823),
    [anon_sym_LT_EQ_GT] = ACTIONS(5825),
    [anon_sym_or] = ACTIONS(5823),
    [anon_sym_and] = ACTIONS(5823),
    [anon_sym_bitor] = ACTIONS(5823),
    [anon_sym_xor] = ACTIONS(5823),
    [anon_sym_bitand] = ACTIONS(5823),
    [anon_sym_not_eq] = ACTIONS(5823),
    [anon_sym_DASH_DASH] = ACTIONS(5825),
    [anon_sym_PLUS_PLUS] = ACTIONS(5825),
    [anon_sym_DOT] = ACTIONS(5823),
    [anon_sym_DOT_STAR] = ACTIONS(5825),
    [anon_sym_DASH_GT] = ACTIONS(5825),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5823),
    [anon_sym_decltype] = ACTIONS(5823),
  },
  [2543] = {
    [sym_identifier] = ACTIONS(5815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5817),
    [anon_sym_COMMA] = ACTIONS(5817),
    [anon_sym_RPAREN] = ACTIONS(5817),
    [aux_sym_preproc_if_token2] = ACTIONS(5817),
    [aux_sym_preproc_else_token1] = ACTIONS(5817),
    [aux_sym_preproc_elif_token1] = ACTIONS(5815),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5817),
    [anon_sym_LPAREN2] = ACTIONS(5817),
    [anon_sym_DASH] = ACTIONS(5815),
    [anon_sym_PLUS] = ACTIONS(5815),
    [anon_sym_STAR] = ACTIONS(5815),
    [anon_sym_SLASH] = ACTIONS(5815),
    [anon_sym_PERCENT] = ACTIONS(5815),
    [anon_sym_PIPE_PIPE] = ACTIONS(5817),
    [anon_sym_AMP_AMP] = ACTIONS(5817),
    [anon_sym_PIPE] = ACTIONS(5815),
    [anon_sym_CARET] = ACTIONS(5815),
    [anon_sym_AMP] = ACTIONS(5815),
    [anon_sym_EQ_EQ] = ACTIONS(5817),
    [anon_sym_BANG_EQ] = ACTIONS(5817),
    [anon_sym_GT] = ACTIONS(5815),
    [anon_sym_GT_EQ] = ACTIONS(5817),
    [anon_sym_LT_EQ] = ACTIONS(5815),
    [anon_sym_LT] = ACTIONS(5815),
    [anon_sym_LT_LT] = ACTIONS(5815),
    [anon_sym_GT_GT] = ACTIONS(5815),
    [anon_sym_SEMI] = ACTIONS(5817),
    [anon_sym___attribute__] = ACTIONS(5815),
    [anon_sym_LBRACE] = ACTIONS(5817),
    [anon_sym_RBRACE] = ACTIONS(5817),
    [anon_sym_LBRACK] = ACTIONS(5817),
    [anon_sym_RBRACK] = ACTIONS(5817),
    [anon_sym_EQ] = ACTIONS(5815),
    [anon_sym_COLON] = ACTIONS(5817),
    [anon_sym_QMARK] = ACTIONS(5817),
    [anon_sym_STAR_EQ] = ACTIONS(5817),
    [anon_sym_SLASH_EQ] = ACTIONS(5817),
    [anon_sym_PERCENT_EQ] = ACTIONS(5817),
    [anon_sym_PLUS_EQ] = ACTIONS(5817),
    [anon_sym_DASH_EQ] = ACTIONS(5817),
    [anon_sym_LT_LT_EQ] = ACTIONS(5817),
    [anon_sym_GT_GT_EQ] = ACTIONS(5817),
    [anon_sym_AMP_EQ] = ACTIONS(5817),
    [anon_sym_CARET_EQ] = ACTIONS(5817),
    [anon_sym_PIPE_EQ] = ACTIONS(5817),
    [anon_sym_and_eq] = ACTIONS(5815),
    [anon_sym_or_eq] = ACTIONS(5815),
    [anon_sym_xor_eq] = ACTIONS(5815),
    [anon_sym_LT_EQ_GT] = ACTIONS(5817),
    [anon_sym_or] = ACTIONS(5815),
    [anon_sym_and] = ACTIONS(5815),
    [anon_sym_bitor] = ACTIONS(5815),
    [anon_sym_xor] = ACTIONS(5815),
    [anon_sym_bitand] = ACTIONS(5815),
    [anon_sym_not_eq] = ACTIONS(5815),
    [anon_sym_DASH_DASH] = ACTIONS(5817),
    [anon_sym_PLUS_PLUS] = ACTIONS(5817),
    [anon_sym_DOT] = ACTIONS(5815),
    [anon_sym_DOT_STAR] = ACTIONS(5817),
    [anon_sym_DASH_GT] = ACTIONS(5817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5815),
    [anon_sym_decltype] = ACTIONS(5815),
  },
  [2544] = {
    [sym_template_argument_list] = STATE(2007),
    [sym_identifier] = ACTIONS(5054),
    [anon_sym_LPAREN2] = ACTIONS(5061),
    [anon_sym_TILDE] = ACTIONS(5061),
    [anon_sym_STAR] = ACTIONS(5061),
    [anon_sym_PIPE_PIPE] = ACTIONS(5061),
    [anon_sym_AMP_AMP] = ACTIONS(5061),
    [anon_sym_AMP] = ACTIONS(5054),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym___extension__] = ACTIONS(5054),
    [anon_sym_extern] = ACTIONS(5054),
    [anon_sym___attribute__] = ACTIONS(5054),
    [anon_sym_COLON_COLON] = ACTIONS(4368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5061),
    [anon_sym___declspec] = ACTIONS(5054),
    [anon_sym___based] = ACTIONS(5054),
    [anon_sym___cdecl] = ACTIONS(5054),
    [anon_sym___clrcall] = ACTIONS(5054),
    [anon_sym___stdcall] = ACTIONS(5054),
    [anon_sym___fastcall] = ACTIONS(5054),
    [anon_sym___thiscall] = ACTIONS(5054),
    [anon_sym___vectorcall] = ACTIONS(5054),
    [anon_sym_signed] = ACTIONS(5054),
    [anon_sym_unsigned] = ACTIONS(5054),
    [anon_sym_long] = ACTIONS(5054),
    [anon_sym_short] = ACTIONS(5054),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [anon_sym_static] = ACTIONS(5054),
    [anon_sym_register] = ACTIONS(5054),
    [anon_sym_inline] = ACTIONS(5054),
    [anon_sym___inline] = ACTIONS(5054),
    [anon_sym___inline__] = ACTIONS(5054),
    [anon_sym___forceinline] = ACTIONS(5054),
    [anon_sym_thread_local] = ACTIONS(5054),
    [anon_sym___thread] = ACTIONS(5054),
    [anon_sym_const] = ACTIONS(5054),
    [anon_sym_constexpr] = ACTIONS(5054),
    [anon_sym_volatile] = ACTIONS(5054),
    [anon_sym_restrict] = ACTIONS(5054),
    [anon_sym___restrict__] = ACTIONS(5054),
    [anon_sym__Atomic] = ACTIONS(5054),
    [anon_sym__Noreturn] = ACTIONS(5054),
    [anon_sym_noreturn] = ACTIONS(5054),
    [anon_sym_mutable] = ACTIONS(5054),
    [anon_sym_constinit] = ACTIONS(5054),
    [anon_sym_consteval] = ACTIONS(5054),
    [sym_primitive_type] = ACTIONS(5054),
    [anon_sym_enum] = ACTIONS(5054),
    [anon_sym_class] = ACTIONS(5054),
    [anon_sym_struct] = ACTIONS(5054),
    [anon_sym_union] = ACTIONS(5054),
    [anon_sym_or] = ACTIONS(5054),
    [anon_sym_and] = ACTIONS(5054),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5054),
    [anon_sym_decltype] = ACTIONS(5054),
    [anon_sym_virtual] = ACTIONS(5054),
    [anon_sym_alignas] = ACTIONS(5054),
    [anon_sym_explicit] = ACTIONS(5054),
    [anon_sym_typename] = ACTIONS(5054),
    [anon_sym_template] = ACTIONS(5054),
    [anon_sym_operator] = ACTIONS(5054),
    [anon_sym_friend] = ACTIONS(5054),
    [anon_sym_using] = ACTIONS(5054),
    [anon_sym_concept] = ACTIONS(5054),
  },
  [2545] = {
    [sym_string_literal] = STATE(2310),
    [sym_raw_string_literal] = STATE(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_RPAREN] = ACTIONS(5440),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_DASH] = ACTIONS(5438),
    [anon_sym_PLUS] = ACTIONS(5438),
    [anon_sym_STAR] = ACTIONS(5438),
    [anon_sym_SLASH] = ACTIONS(5438),
    [anon_sym_PERCENT] = ACTIONS(5438),
    [anon_sym_PIPE_PIPE] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5438),
    [anon_sym_CARET] = ACTIONS(5438),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_GT] = ACTIONS(5438),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5438),
    [anon_sym_LT] = ACTIONS(5438),
    [anon_sym_LT_LT] = ACTIONS(5438),
    [anon_sym_GT_GT] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5438),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_and_eq] = ACTIONS(5438),
    [anon_sym_or_eq] = ACTIONS(5438),
    [anon_sym_xor_eq] = ACTIONS(5438),
    [anon_sym_LT_EQ_GT] = ACTIONS(5440),
    [anon_sym_or] = ACTIONS(5438),
    [anon_sym_and] = ACTIONS(5438),
    [anon_sym_bitor] = ACTIONS(5438),
    [anon_sym_xor] = ACTIONS(5438),
    [anon_sym_bitand] = ACTIONS(5438),
    [anon_sym_not_eq] = ACTIONS(5438),
    [anon_sym_DASH_DASH] = ACTIONS(5440),
    [anon_sym_PLUS_PLUS] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5438),
    [anon_sym_DOT_STAR] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5438),
    [anon_sym_L_DQUOTE] = ACTIONS(5109),
    [anon_sym_u_DQUOTE] = ACTIONS(5109),
    [anon_sym_U_DQUOTE] = ACTIONS(5109),
    [anon_sym_u8_DQUOTE] = ACTIONS(5109),
    [anon_sym_DQUOTE] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5111),
    [anon_sym_LR_DQUOTE] = ACTIONS(5111),
    [anon_sym_uR_DQUOTE] = ACTIONS(5111),
    [anon_sym_UR_DQUOTE] = ACTIONS(5111),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5440),
    [sym_literal_suffix] = ACTIONS(6054),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5813),
    [anon_sym_COMMA] = ACTIONS(5813),
    [anon_sym_RPAREN] = ACTIONS(5813),
    [aux_sym_preproc_if_token2] = ACTIONS(5813),
    [aux_sym_preproc_else_token1] = ACTIONS(5813),
    [aux_sym_preproc_elif_token1] = ACTIONS(5811),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5813),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5813),
    [anon_sym_LPAREN2] = ACTIONS(5813),
    [anon_sym_DASH] = ACTIONS(5811),
    [anon_sym_PLUS] = ACTIONS(5811),
    [anon_sym_STAR] = ACTIONS(5811),
    [anon_sym_SLASH] = ACTIONS(5811),
    [anon_sym_PERCENT] = ACTIONS(5811),
    [anon_sym_PIPE_PIPE] = ACTIONS(5813),
    [anon_sym_AMP_AMP] = ACTIONS(5813),
    [anon_sym_PIPE] = ACTIONS(5811),
    [anon_sym_CARET] = ACTIONS(5811),
    [anon_sym_AMP] = ACTIONS(5811),
    [anon_sym_EQ_EQ] = ACTIONS(5813),
    [anon_sym_BANG_EQ] = ACTIONS(5813),
    [anon_sym_GT] = ACTIONS(5811),
    [anon_sym_GT_EQ] = ACTIONS(5813),
    [anon_sym_LT_EQ] = ACTIONS(5811),
    [anon_sym_LT] = ACTIONS(5811),
    [anon_sym_LT_LT] = ACTIONS(5811),
    [anon_sym_GT_GT] = ACTIONS(5811),
    [anon_sym_SEMI] = ACTIONS(5813),
    [anon_sym___attribute__] = ACTIONS(5811),
    [anon_sym_LBRACE] = ACTIONS(5813),
    [anon_sym_RBRACE] = ACTIONS(5813),
    [anon_sym_LBRACK] = ACTIONS(5813),
    [anon_sym_RBRACK] = ACTIONS(5813),
    [anon_sym_EQ] = ACTIONS(5811),
    [anon_sym_COLON] = ACTIONS(5813),
    [anon_sym_QMARK] = ACTIONS(5813),
    [anon_sym_STAR_EQ] = ACTIONS(5813),
    [anon_sym_SLASH_EQ] = ACTIONS(5813),
    [anon_sym_PERCENT_EQ] = ACTIONS(5813),
    [anon_sym_PLUS_EQ] = ACTIONS(5813),
    [anon_sym_DASH_EQ] = ACTIONS(5813),
    [anon_sym_LT_LT_EQ] = ACTIONS(5813),
    [anon_sym_GT_GT_EQ] = ACTIONS(5813),
    [anon_sym_AMP_EQ] = ACTIONS(5813),
    [anon_sym_CARET_EQ] = ACTIONS(5813),
    [anon_sym_PIPE_EQ] = ACTIONS(5813),
    [anon_sym_and_eq] = ACTIONS(5811),
    [anon_sym_or_eq] = ACTIONS(5811),
    [anon_sym_xor_eq] = ACTIONS(5811),
    [anon_sym_LT_EQ_GT] = ACTIONS(5813),
    [anon_sym_or] = ACTIONS(5811),
    [anon_sym_and] = ACTIONS(5811),
    [anon_sym_bitor] = ACTIONS(5811),
    [anon_sym_xor] = ACTIONS(5811),
    [anon_sym_bitand] = ACTIONS(5811),
    [anon_sym_not_eq] = ACTIONS(5811),
    [anon_sym_DASH_DASH] = ACTIONS(5813),
    [anon_sym_PLUS_PLUS] = ACTIONS(5813),
    [anon_sym_DOT] = ACTIONS(5811),
    [anon_sym_DOT_STAR] = ACTIONS(5813),
    [anon_sym_DASH_GT] = ACTIONS(5813),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5811),
    [anon_sym_decltype] = ACTIONS(5811),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2887), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [71] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5520), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3343), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    STATE(2453), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5972), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5974), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5440), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5438), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3329), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3327), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3325), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3323), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5516), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3317), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2895), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3339), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3325), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3323), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3317), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2907), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5504), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2907), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2907), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [1286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3146), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5500), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3363), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5548), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5552), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5556), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5500), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5573), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6005), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5577), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3329), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3327), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2959), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3007), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3005), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [2430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3343), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3347), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5585), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3168), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2887), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5601), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2887), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5585), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2907), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2590), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3007), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3005), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2645), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3317), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3317), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3009), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5589), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6129), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3164), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3347), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3228), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5524), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3180), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5508), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5512), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      sym_primitive_type,
    STATE(2590), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6124), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5864), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5861), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3351), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5373), 1,
      anon_sym___attribute__,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(6137), 1,
      anon_sym_COLON,
    STATE(2322), 1,
      sym__enum_base_clause,
    STATE(2431), 1,
      sym_enumerator_list,
    STATE(2507), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6135), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5373), 1,
      anon_sym___attribute__,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(6137), 1,
      anon_sym_COLON,
    STATE(2282), 1,
      sym__enum_base_clause,
    STATE(2423), 1,
      sym_enumerator_list,
    STATE(2492), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5528), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3001), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5593), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3313), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(2778), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2843), 1,
      sym_template_argument_list,
    ACTIONS(6118), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4355), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3212), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3375), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5532), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3289), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5536), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3313), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5532), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5597), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [5533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3355), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6145), 1,
      sym_identifier,
    ACTIONS(6150), 1,
      sym_primitive_type,
    STATE(2606), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5750), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [5683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5601), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5636), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3339), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5632), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3291), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3289), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3335), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3353), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3351), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3355), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5520), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2959), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5520), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3335), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5516), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2645), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6127), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2895), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2887), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5516), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5512), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5628), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6009), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [7111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5536), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5621), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2981), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5508), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5504), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3268), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2903), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6152), 1,
      sym_identifier,
    STATE(2653), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6155), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6158), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5299), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [7687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2514), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6112), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2989), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5621), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3248), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7975] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_AMP,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6973), 1,
      sym__declarator,
    STATE(7036), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3308), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6163), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [8098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5617), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3252), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3359), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2574), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6175), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6084), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3258), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3256), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [8528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3268), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6177), 1,
      sym_identifier,
    STATE(2668), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5282), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5280), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [8678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3282), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6179), 1,
      sym_identifier,
    STATE(2653), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5238), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5236), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [8828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6122), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5999), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [8903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3282), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5636), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3280), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3278), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5115), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5460), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_template_argument_list,
    ACTIONS(6181), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6183), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3244), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5632), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5628), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5460), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_template_argument_list,
    ACTIONS(6185), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6187), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3180), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3359), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5611), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5609), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3176), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3188), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5607), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5605), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2981), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3375), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3168), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10195] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2280), 1,
      sym_attribute_specifier,
    STATE(2947), 1,
      sym_field_declaration_list,
    STATE(7581), 1,
      sym_virtual_specifier,
    STATE(8196), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5371), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [10282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5621), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2572), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6074), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [10499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5621), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3192), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3164), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3146), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3208), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5599), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5597), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3224), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5520), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5595), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5593), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5617), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5589), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5607), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5605), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3208), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3224), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3001), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3228), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5585), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3009), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5587), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5585), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3363), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5579), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5577), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5573), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5556), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5552), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3248), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5548), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3252), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5516), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3244), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2903), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3258), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3256), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3234), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3232), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3212), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5611), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5609), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2989), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3176), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5540), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5536), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3188), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5532), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3192), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5536), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5532), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5528), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3196), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3200), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5524), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3234), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3232), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3282), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5500), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5500), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5540), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3200), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3196), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5419), 1,
      anon_sym_LBRACK,
    STATE(2785), 1,
      sym_new_declarator,
    ACTIONS(6197), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3282), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3280), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3278), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    STATE(2453), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5972), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5974), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4349), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4357), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [14629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6201), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3109), 1,
      sym_field_declaration_list,
    STATE(3414), 1,
      sym_attribute_specifier,
    STATE(7462), 1,
      sym_virtual_specifier,
    STATE(8495), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5371), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [14789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6214), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [15011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6226), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5341), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [15225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6231), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6235), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6237), 1,
      anon_sym_LT,
    STATE(2843), 1,
      sym_template_argument_list,
    ACTIONS(5061), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5054), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [15441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6242), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6250), 1,
      anon_sym_and,
    ACTIONS(6246), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6244), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15585] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6252), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6254), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [15669] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [15753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6264), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5581), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6248), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6250), 1,
      anon_sym_and,
    ACTIONS(6274), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6276), 1,
      anon_sym_or,
    ACTIONS(6272), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6270), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6278), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5864), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_LT,
    STATE(2673), 1,
      sym_template_argument_list,
    ACTIONS(6281), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2210), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6290), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5999), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2786), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6294), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6074), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2182), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(2843), 1,
      sym_template_argument_list,
    ACTIONS(4373), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5458), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [17055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      sym_identifier,
    ACTIONS(6302), 1,
      sym_primitive_type,
    STATE(2814), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5752), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [17133] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [17217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6310), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6005), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6312), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2935), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4079), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4083), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5071), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5468), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5098), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5090), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5094), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18641] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [18725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5468), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5468), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6278), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5341), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [19011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5086), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5474), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5082), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 1,
      sym_identifier,
    ACTIONS(6330), 1,
      sym_primitive_type,
    STATE(2773), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6328), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5752), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [19299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6226), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5864), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [19375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5075), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19445] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6334), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [19529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6338), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [19611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5468), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2180), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6362), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6364), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5864), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [20447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    STATE(2305), 1,
      sym_attribute_specifier,
    STATE(2964), 1,
      sym_enumerator_list,
    ACTIONS(5884), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5886), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [20524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2971), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6371), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6375), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6379), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6383), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6387), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5266), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5075), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [21352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5113), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [21421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5082), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [21628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5086), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [21766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(6397), 1,
      anon_sym___attribute__,
    ACTIONS(6399), 1,
      anon_sym_COLON,
    STATE(2322), 1,
      sym__enum_base_clause,
    STATE(2431), 1,
      sym_enumerator_list,
    STATE(2507), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6135), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [21985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5094), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5090), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5098), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2208), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5071), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5232), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5258), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3983), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6425), 1,
      anon_sym_or,
    ACTIONS(6427), 1,
      anon_sym_and,
    ACTIONS(6270), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5254), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23442] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(6447), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6973), 1,
      sym__declarator,
    STATE(7271), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6163), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3583), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [23563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23632] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 1,
      sym_identifier,
    ACTIONS(6459), 1,
      sym_primitive_type,
    STATE(2829), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6457), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5752), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [23709] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6973), 1,
      sym__declarator,
    STATE(7243), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6163), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3489), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [23830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3230), 1,
      sym_field_declaration_list,
    STATE(3633), 1,
      sym_attribute_specifier,
    STATE(7565), 1,
      sym_virtual_specifier,
    STATE(8419), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5371), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6364), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5341), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [24195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(6397), 1,
      anon_sym___attribute__,
    ACTIONS(6399), 1,
      anon_sym_COLON,
    STATE(2282), 1,
      sym__enum_base_clause,
    STATE(2423), 1,
      sym_enumerator_list,
    STATE(2492), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [24414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24552] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2976), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5803), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6499), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6503), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5294), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24836] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6505), 1,
      anon_sym_LT,
    STATE(2935), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2998), 1,
      sym_template_argument_list,
    ACTIONS(6314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4355), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [24915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5544), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6427), 1,
      anon_sym_and,
    ACTIONS(6244), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6246), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5311), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    STATE(2666), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6509), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2777), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6312), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25483] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    STATE(2666), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4436), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4438), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [25560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6513), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6517), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5350), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6521), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6529), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_attribute_specifier,
    STATE(2953), 1,
      sym_enumerator_list,
    ACTIONS(5762), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5764), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(6557), 1,
      anon_sym_COLON,
    STATE(2995), 1,
      sym__enum_base_clause,
    STATE(3004), 1,
      sym_enumerator_list,
    STATE(3178), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6135), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5474), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [26753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6561), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5362), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(6557), 1,
      anon_sym_COLON,
    STATE(2991), 1,
      sym__enum_base_clause,
    STATE(3029), 1,
      sym_enumerator_list,
    STATE(3203), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5468), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5272), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5581), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6009), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27461] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(4502), 1,
      anon_sym_STAR,
    ACTIONS(4504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4506), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6163), 1,
      anon_sym_RPAREN,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7073), 1,
      sym__declarator,
    STATE(7243), 1,
      sym__abstract_declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3899), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [27581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6573), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      sym_auto,
    ACTIONS(6577), 1,
      anon_sym_decltype,
    STATE(3144), 1,
      sym_new_declarator,
    STATE(3211), 1,
      sym_decltype_auto,
    STATE(3635), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5415), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2298), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6579), 1,
      sym_identifier,
    STATE(2931), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6582), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6585), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2264), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5986), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2300), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5964), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6009), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5999), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2238), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5890), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6590), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28245] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6573), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      sym_auto,
    ACTIONS(6577), 1,
      anon_sym_decltype,
    STATE(3120), 1,
      sym_new_declarator,
    STATE(3211), 1,
      sym_decltype_auto,
    STATE(3456), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5449), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6592), 1,
      anon_sym_LT,
    STATE(2998), 1,
      sym_template_argument_list,
    ACTIONS(5054), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5061), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6595), 1,
      sym_identifier,
    STATE(2931), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5238), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5236), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6599), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6597), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [28547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2952), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6074), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2950), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6084), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2934), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6605), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6607), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [28831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2274), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5943), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2273), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5939), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6613), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6611), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [29043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6615), 1,
      anon_sym_LT,
    STATE(2976), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(6495), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4355), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [29121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6005), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6015), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2302), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2257), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5935), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29481] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6573), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      sym_auto,
    ACTIONS(6577), 1,
      anon_sym_decltype,
    STATE(3121), 1,
      sym_new_declarator,
    STATE(3211), 1,
      sym_decltype_auto,
    STATE(3588), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5436), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6505), 1,
      anon_sym_LT,
    STATE(2998), 1,
      sym_template_argument_list,
    ACTIONS(5458), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4373), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29707] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3118), 1,
      sym_field_declaration_list,
    STATE(3366), 1,
      sym_attribute_specifier,
    STATE(7561), 1,
      sym_virtual_specifier,
    STATE(8346), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5371), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [29791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2306), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5956), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2249), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5931), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2253), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5916), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6573), 1,
      anon_sym_LBRACK,
    ACTIONS(6575), 1,
      sym_auto,
    ACTIONS(6577), 1,
      anon_sym_decltype,
    STATE(3112), 1,
      sym_new_declarator,
    STATE(3211), 1,
      sym_decltype_auto,
    STATE(3532), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5453), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    STATE(2255), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5978), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30367] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6621), 1,
      sym_identifier,
    STATE(2940), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5282), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2757), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6005), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6588), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5999), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2951), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6623), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6074), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6625), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30798] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    ACTIONS(6629), 1,
      anon_sym_COLON,
    STATE(3041), 1,
      sym__enum_base_clause,
    STATE(3115), 1,
      sym_enumerator_list,
    STATE(3371), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6135), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30877] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    ACTIONS(6629), 1,
      anon_sym_COLON,
    STATE(3080), 1,
      sym__enum_base_clause,
    STATE(3104), 1,
      sym_enumerator_list,
    STATE(3434), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30956] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3514), 1,
      sym_field_declaration_list,
    STATE(4044), 1,
      sym_attribute_specifier,
    STATE(7650), 1,
      sym_virtual_specifier,
    STATE(8200), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5371), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6635), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5999), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2934), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6605), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6615), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(5458), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4373), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [31254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6635), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6009), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6635), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5362), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5864), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5861), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [31536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2881), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6635), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6005), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2980), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6640), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6074), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6642), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
    ACTIONS(5054), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5061), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [31820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(3092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5350), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [32033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2926), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6590), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32104] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    STATE(3021), 1,
      sym_enumerator_list,
    STATE(3175), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5764), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5354), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [32246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5358), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [32384] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    STATE(3026), 1,
      sym_enumerator_list,
    STATE(3167), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5886), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6649), 1,
      sym_identifier,
    ACTIONS(6653), 1,
      sym_primitive_type,
    STATE(2982), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6651), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5750), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5120), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2984), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6655), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6084), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3200), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5890), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32880] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6659), 1,
      anon_sym_LBRACK,
    ACTIONS(6661), 1,
      sym_auto,
    ACTIONS(6663), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_decltype_auto,
    STATE(3431), 1,
      sym_new_declarator,
    STATE(3810), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5436), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5120), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3168), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3162), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5120), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [33234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5341), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33304] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6659), 1,
      anon_sym_LBRACK,
    ACTIONS(6661), 1,
      sym_auto,
    ACTIONS(6663), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_decltype_auto,
    STATE(3433), 1,
      sym_new_declarator,
    STATE(4005), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5415), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5476), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3172), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym_COLON,
    STATE(3148), 1,
      sym__enum_base_clause,
    STATE(3306), 1,
      sym_enumerator_list,
    STATE(3565), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33670] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6659), 1,
      anon_sym_LBRACK,
    ACTIONS(6661), 1,
      sym_auto,
    ACTIONS(6663), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_decltype_auto,
    STATE(3393), 1,
      sym_new_declarator,
    STATE(3972), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5453), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3179), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5931), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3173), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5939), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5470), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6659), 1,
      anon_sym_LBRACK,
    ACTIONS(6661), 1,
      sym_auto,
    ACTIONS(6663), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_decltype_auto,
    STATE(3379), 1,
      sym_new_declarator,
    STATE(3903), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5449), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(3101), 1,
      sym_template_argument_list,
    ACTIONS(5061), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5054), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [34180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5583), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3166), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(3101), 1,
      sym_template_argument_list,
    ACTIONS(4373), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5458), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [34390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3206), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym_COLON,
    STATE(3177), 1,
      sym__enum_base_clause,
    STATE(3240), 1,
      sym_enumerator_list,
    STATE(3476), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6135), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3158), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3159), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5470), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34746] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
    STATE(3092), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4355), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3176), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5935), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6019), 1,
      anon_sym___attribute__,
    STATE(3164), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5077), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      sym_auto,
    ACTIONS(6577), 1,
      anon_sym_decltype,
    STATE(3211), 1,
      sym_decltype_auto,
    ACTIONS(5490), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5492), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5092), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5470), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(6680), 1,
      sym_auto,
    ACTIONS(6682), 1,
      anon_sym_decltype,
    STATE(3574), 1,
      sym_decltype_auto,
    STATE(3585), 1,
      sym_new_declarator,
    STATE(4183), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5436), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [35311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5073), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_enumerator_list,
    STATE(3401), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5886), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5470), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35615] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    STATE(3150), 1,
      sym_enumerator_list,
    STATE(3394), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5886), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5096), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5476), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6009), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [36069] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36174] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36269] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6718), 1,
      anon_sym_QMARK,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6369), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6371), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36382] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5100), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36544] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LPAREN2,
    ACTIONS(6724), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5918), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5920), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36619] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6728), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6730), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
    ACTIONS(5458), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4373), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [36799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5571), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36864] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LPAREN2,
    ACTIONS(6724), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5912), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37030] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [37113] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5681), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37265] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6732), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6734), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [37506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6736), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
    ACTIONS(5054), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5061), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [37577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5734), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3044), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6739), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [37776] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [37861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5583), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5730), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6741), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4081), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [38192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3077), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6743), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6074), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38261] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(6680), 1,
      sym_auto,
    ACTIONS(6682), 1,
      anon_sym_decltype,
    STATE(3528), 1,
      sym_new_declarator,
    STATE(3574), 1,
      sym_decltype_auto,
    STATE(4084), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5453), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [38342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4077), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [38407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [38472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    STATE(3192), 1,
      sym_enumerator_list,
    STATE(3407), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5764), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6005), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    STATE(3116), 1,
      sym_enumerator_list,
    STATE(3367), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5088), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5084), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5677), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38951] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(6680), 1,
      sym_auto,
    ACTIONS(6682), 1,
      anon_sym_decltype,
    STATE(3545), 1,
      sym_new_declarator,
    STATE(3574), 1,
      sym_decltype_auto,
    STATE(4142), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5415), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    ACTIONS(6680), 1,
      sym_auto,
    ACTIONS(6682), 1,
      anon_sym_decltype,
    STATE(3574), 1,
      sym_decltype_auto,
    STATE(3600), 1,
      sym_new_declarator,
    STATE(4123), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5449), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [39113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LPAREN2,
    ACTIONS(6724), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5900), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5902), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5470), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [39253] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6745), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6747), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39362] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6718), 1,
      anon_sym_QMARK,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6749), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6751), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [39540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5120), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2993), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5999), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LPAREN2,
    ACTIONS(6724), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_LBRACK,
    STATE(3429), 1,
      sym_parameter_list,
    STATE(3163), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5980), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5982), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39749] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6718), 1,
      anon_sym_QMARK,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6753), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6755), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39862] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6698), 1,
      anon_sym_GT_EQ,
    ACTIONS(6702), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6704), 1,
      anon_sym_not_eq,
    ACTIONS(6710), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6712), 1,
      anon_sym_and,
    ACTIONS(6716), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6720), 1,
      anon_sym_or,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6686), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6690), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6692), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6694), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6700), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6706), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6688), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6696), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6757), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6759), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5857), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5084), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3099), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6033), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3449), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5931), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5120), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5476), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3374), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3368), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3411), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5935), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1998), 1,
      sym_string_literal,
    ACTIONS(6768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [40832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3410), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5939), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3345), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5943), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6415), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [41032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3569), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6048), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6565), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6563), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [41166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5476), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5474), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [41230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3381), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3400), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41366] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(6770), 1,
      anon_sym_LT,
    STATE(3254), 1,
      sym_template_argument_list,
    ACTIONS(5063), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3385), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5939), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3424), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5890), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3637), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3601), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6116), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3406), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3409), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5077), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5084), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5088), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3383), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5943), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5096), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5092), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5100), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5075), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5082), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5088), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5086), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [42494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3342), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5916), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5073), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6773), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6775), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5470), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5077), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5088), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5096), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1999), 1,
      sym_string_literal,
    ACTIONS(6768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [43014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5092), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [43078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5100), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [43142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3548), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6052), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5073), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [43276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6779), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6525), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6523), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [43404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    STATE(3325), 1,
      sym_enumerator_list,
    STATE(3606), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5764), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [43476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5581), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3441), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5978), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 1,
      anon_sym___attribute__,
    STATE(3436), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5096), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5094), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    ACTIONS(6783), 1,
      anon_sym_COLON,
    STATE(3420), 1,
      sym__enum_base_clause,
    STATE(3523), 1,
      sym_enumerator_list,
    STATE(3996), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6135), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5092), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5090), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5098), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5470), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6377), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [44074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5704), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6785), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6787), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5817), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6724), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3099), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6040), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5825), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3388), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5890), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5833), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5779), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6789), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6791), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5742), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5738), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1996), 1,
      sym_string_literal,
    ACTIONS(6768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [45174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    STATE(3288), 1,
      sym_enumerator_list,
    STATE(3541), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5886), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [45374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5692), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5688), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5653), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5073), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5071), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [45630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3392), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5956), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2000), 1,
      sym_string_literal,
    ACTIONS(6768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [45766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3044), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6739), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [45898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5581), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [45964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2957), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5760), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3373), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5468), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [46416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5468), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [46546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5468), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [46804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5657), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5696), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3341), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5964), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [47128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1997), 1,
      sym_string_literal,
    ACTIONS(6768), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [47196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5700), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3451), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [47328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5583), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5115), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    ACTIONS(6783), 1,
      anon_sym_COLON,
    STATE(3418), 1,
      sym__enum_base_clause,
    STATE(3535), 1,
      sym_enumerator_list,
    STATE(4047), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6141), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5878), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6793), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6795), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6797), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6799), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5837), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5829), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2945), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5821), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5809), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5468), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [48374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6517), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6515), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [48438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5470), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5468), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [48504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5476), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [48568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3439), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5916), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3370), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5978), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    STATE(3369), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5986), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3578), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5939), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5571), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5734), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48965] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6803), 1,
      anon_sym_COMMA,
    ACTIONS(6805), 1,
      anon_sym_RPAREN,
    ACTIONS(6807), 1,
      anon_sym_DASH,
    ACTIONS(6809), 1,
      anon_sym_PLUS,
    ACTIONS(6811), 1,
      anon_sym_STAR,
    ACTIONS(6813), 1,
      anon_sym_SLASH,
    ACTIONS(6815), 1,
      anon_sym_PERCENT,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6821), 1,
      anon_sym_PIPE,
    ACTIONS(6823), 1,
      anon_sym_CARET,
    ACTIONS(6825), 1,
      anon_sym_AMP,
    ACTIONS(6827), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6829), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6831), 1,
      anon_sym_GT,
    ACTIONS(6833), 1,
      anon_sym_GT_EQ,
    ACTIONS(6835), 1,
      anon_sym_LT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT,
    ACTIONS(6839), 1,
      anon_sym_LT_LT,
    ACTIONS(6841), 1,
      anon_sym_GT_GT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6851), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6853), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6855), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6857), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6859), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6861), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6863), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6865), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6867), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6873), 1,
      anon_sym_or,
    ACTIONS(6875), 1,
      anon_sym_and,
    ACTIONS(6877), 1,
      anon_sym_bitor,
    ACTIONS(6879), 1,
      anon_sym_xor,
    ACTIONS(6881), 1,
      anon_sym_bitand,
    ACTIONS(6883), 1,
      anon_sym_not_eq,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6869), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5681), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6334), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6332), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [49266] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6732), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49375] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6322), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [49452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5734), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49515] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6935), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [49600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3526), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5956), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49667] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_LPAREN2,
    ACTIONS(6943), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_parameter_list,
    STATE(3372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5900), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5902), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      sym_auto,
    ACTIONS(6953), 1,
      anon_sym_decltype,
    STATE(3964), 1,
      sym_new_declarator,
    STATE(4004), 1,
      sym_decltype_auto,
    STATE(4349), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5436), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49819] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6753), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    ACTIONS(6955), 1,
      anon_sym_QMARK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [49932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(3350), 1,
      sym_template_argument_list,
    ACTIONS(6185), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6187), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3623), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5890), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50068] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [50147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5677), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50210] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      sym_auto,
    ACTIONS(6953), 1,
      anon_sym_decltype,
    STATE(3940), 1,
      sym_new_declarator,
    STATE(4004), 1,
      sym_decltype_auto,
    STATE(4324), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5415), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50352] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6803), 1,
      anon_sym_COMMA,
    ACTIONS(6807), 1,
      anon_sym_DASH,
    ACTIONS(6809), 1,
      anon_sym_PLUS,
    ACTIONS(6811), 1,
      anon_sym_STAR,
    ACTIONS(6813), 1,
      anon_sym_SLASH,
    ACTIONS(6815), 1,
      anon_sym_PERCENT,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6821), 1,
      anon_sym_PIPE,
    ACTIONS(6823), 1,
      anon_sym_CARET,
    ACTIONS(6825), 1,
      anon_sym_AMP,
    ACTIONS(6827), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6829), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6831), 1,
      anon_sym_GT,
    ACTIONS(6833), 1,
      anon_sym_GT_EQ,
    ACTIONS(6835), 1,
      anon_sym_LT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT,
    ACTIONS(6839), 1,
      anon_sym_LT_LT,
    ACTIONS(6841), 1,
      anon_sym_GT_GT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6851), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6853), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6855), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6857), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6859), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6861), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6863), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6865), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6867), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6873), 1,
      anon_sym_or,
    ACTIONS(6875), 1,
      anon_sym_and,
    ACTIONS(6877), 1,
      anon_sym_bitor,
    ACTIONS(6879), 1,
      anon_sym_xor,
    ACTIONS(6881), 1,
      anon_sym_bitand,
    ACTIONS(6883), 1,
      anon_sym_not_eq,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6959), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6869), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6218), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [50653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5677), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50781] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6732), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6734), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [50888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      sym_auto,
    ACTIONS(6953), 1,
      anon_sym_decltype,
    STATE(4001), 1,
      sym_new_declarator,
    STATE(4004), 1,
      sym_decltype_auto,
    STATE(4367), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5449), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6779), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51030] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    ACTIONS(6955), 1,
      anon_sym_QMARK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51143] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6258), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [51220] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6989), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3503), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6991), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [51305] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_LPAREN2,
    ACTIONS(6943), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_parameter_list,
    STATE(3372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5912), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    STATE(3413), 1,
      sym_decltype_auto,
    ACTIONS(5490), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5492), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [51556] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5389), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4349), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4357), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [51702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5470), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [51765] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51870] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    ACTIONS(6997), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6369), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6371), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [51981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5730), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52044] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52145] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [52248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [52347] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [52444] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [52539] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [52620] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6803), 1,
      anon_sym_COMMA,
    ACTIONS(6807), 1,
      anon_sym_DASH,
    ACTIONS(6809), 1,
      anon_sym_PLUS,
    ACTIONS(6811), 1,
      anon_sym_STAR,
    ACTIONS(6813), 1,
      anon_sym_SLASH,
    ACTIONS(6815), 1,
      anon_sym_PERCENT,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6821), 1,
      anon_sym_PIPE,
    ACTIONS(6823), 1,
      anon_sym_CARET,
    ACTIONS(6825), 1,
      anon_sym_AMP,
    ACTIONS(6827), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6829), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6831), 1,
      anon_sym_GT,
    ACTIONS(6833), 1,
      anon_sym_GT_EQ,
    ACTIONS(6835), 1,
      anon_sym_LT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT,
    ACTIONS(6839), 1,
      anon_sym_LT_LT,
    ACTIONS(6841), 1,
      anon_sym_GT_GT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6851), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6853), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6855), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6857), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6859), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6861), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6863), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6865), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6867), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6873), 1,
      anon_sym_or,
    ACTIONS(6875), 1,
      anon_sym_and,
    ACTIONS(6877), 1,
      anon_sym_bitor,
    ACTIONS(6879), 1,
      anon_sym_xor,
    ACTIONS(6881), 1,
      anon_sym_bitand,
    ACTIONS(6883), 1,
      anon_sym_not_eq,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7001), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6869), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52781] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [52878] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [52969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53032] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53121] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53287] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53370] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3584), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53625] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [53734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3596), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5978), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6661), 1,
      sym_auto,
    ACTIONS(6663), 1,
      anon_sym_decltype,
    STATE(3378), 1,
      sym_decltype_auto,
    ACTIONS(5490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53870] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6254), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6252), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [53947] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [54030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6143), 1,
      anon_sym_LT,
    STATE(3350), 1,
      sym_template_argument_list,
    ACTIONS(6181), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6183), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5681), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5079), 1,
      anon_sym_LT,
    STATE(3435), 1,
      sym_template_argument_list,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54233] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6757), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6759), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54340] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54577] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6728), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3560), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5986), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6338), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [54828] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6745), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6747), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5857), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54998] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    ACTIONS(6997), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6749), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6751), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3566), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3586), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5935), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55243] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6728), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6730), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55350] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_AMP,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6954), 1,
      sym__declarator,
    STATE(7028), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7003), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [55457] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(6963), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6965), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6977), 1,
      anon_sym_GT_EQ,
    ACTIONS(6981), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6983), 1,
      anon_sym_or,
    ACTIONS(6985), 1,
      anon_sym_and,
    ACTIONS(6987), 1,
      anon_sym_not_eq,
    ACTIONS(6997), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6999), 1,
      anon_sym_QMARK,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6961), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6967), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6969), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6971), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6973), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6979), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6957), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6975), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6753), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6755), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6573), 1,
      anon_sym_LBRACK,
    STATE(3404), 1,
      sym_new_declarator,
    ACTIONS(6197), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6199), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5068), 1,
      anon_sym_LT,
    STATE(3209), 1,
      sym_template_argument_list,
    ACTIONS(5063), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55706] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    ACTIONS(6951), 1,
      sym_auto,
    ACTIONS(6953), 1,
      anon_sym_decltype,
    STATE(4004), 1,
      sym_decltype_auto,
    STATE(4031), 1,
      sym_new_declarator,
    STATE(4281), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5453), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5730), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55848] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_LPAREN2,
    ACTIONS(6943), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_parameter_list,
    STATE(3372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5918), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5920), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55921] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6749), 1,
      anon_sym_EQ,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    ACTIONS(6955), 1,
      anon_sym_QMARK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56034] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6803), 1,
      anon_sym_COMMA,
    ACTIONS(6807), 1,
      anon_sym_DASH,
    ACTIONS(6809), 1,
      anon_sym_PLUS,
    ACTIONS(6811), 1,
      anon_sym_STAR,
    ACTIONS(6813), 1,
      anon_sym_SLASH,
    ACTIONS(6815), 1,
      anon_sym_PERCENT,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6821), 1,
      anon_sym_PIPE,
    ACTIONS(6823), 1,
      anon_sym_CARET,
    ACTIONS(6825), 1,
      anon_sym_AMP,
    ACTIONS(6827), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6829), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6831), 1,
      anon_sym_GT,
    ACTIONS(6833), 1,
      anon_sym_GT_EQ,
    ACTIONS(6835), 1,
      anon_sym_LT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT,
    ACTIONS(6839), 1,
      anon_sym_LT_LT,
    ACTIONS(6841), 1,
      anon_sym_GT_GT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6849), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6851), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6853), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6855), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6857), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6859), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6861), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6863), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6865), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6867), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6873), 1,
      anon_sym_or,
    ACTIONS(6875), 1,
      anon_sym_and,
    ACTIONS(6877), 1,
      anon_sym_bitor,
    ACTIONS(6879), 1,
      anon_sym_xor,
    ACTIONS(6881), 1,
      anon_sym_bitand,
    ACTIONS(6883), 1,
      anon_sym_not_eq,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7005), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6869), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3553), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5916), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56327] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6895), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6304), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [56404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_LPAREN2,
    ACTIONS(6943), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6945), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      sym_parameter_list,
    STATE(3372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5980), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5982), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3478), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5931), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5571), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3549), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym___attribute__,
    STATE(3577), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5943), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5857), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7013), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7011), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7009), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7007), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [56999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 1,
      anon_sym_LT,
    STATE(3254), 1,
      sym_template_argument_list,
    ACTIONS(6281), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6283), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5829), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5730), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5779), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7024), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7022), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7020), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7018), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    ACTIONS(7028), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    STATE(3900), 1,
      sym_parameter_list,
    STATE(3509), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5900), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5902), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [57451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7038), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7036), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7034), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7032), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6779), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5673), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5825), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7046), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7044), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7042), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7040), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5746), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6235), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5673), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5673), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7048), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3995), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3993), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [58331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6129), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5734), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5677), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4083), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5837), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5653), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5571), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6094), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6096), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 1,
      sym_auto,
    ACTIONS(6682), 1,
      anon_sym_decltype,
    STATE(3574), 1,
      sym_decltype_auto,
    ACTIONS(5490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5492), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6098), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6100), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6104), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6092), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5760), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5724), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5704), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3403), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6040), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5833), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5688), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6023), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6025), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5878), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(3990), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5995), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5850), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5742), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5738), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(2967), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(2967), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5657), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5746), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5850), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(3890), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61165] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    ACTIONS(7028), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    STATE(3900), 1,
      sym_parameter_list,
    STATE(3509), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5918), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5920), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6072), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6068), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6062), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6058), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5833), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5846), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7058), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7056), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7054), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7052), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [61675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7060), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3403), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6033), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6310), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5716), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5738), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5712), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5821), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5878), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7063), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4019), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4017), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [62489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5465), 1,
      anon_sym_LT,
    STATE(3469), 1,
      sym_template_argument_list,
    ACTIONS(5063), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    ACTIONS(5438), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    STATE(3530), 1,
      sym_enumerator_list,
    STATE(3993), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5764), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    ACTIONS(4357), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    STATE(3608), 1,
      sym_enumerator_list,
    STATE(3935), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5886), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5084), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5657), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5088), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5653), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5073), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6029), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5809), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(4043), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6116), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(3969), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6052), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5696), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5115), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5692), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5696), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5700), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4079), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5704), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    ACTIONS(7028), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    STATE(3900), 1,
      sym_parameter_list,
    STATE(3509), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5980), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5982), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5092), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5096), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5720), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64401] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7026), 1,
      anon_sym_LPAREN2,
    ACTIONS(7028), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7030), 1,
      anon_sym_LBRACK,
    STATE(3900), 1,
      sym_parameter_list,
    STATE(3509), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5910), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5912), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5100), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5615), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5688), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5813), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5817), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5681), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6214), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5428), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5430), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4349), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4357), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [64972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65094] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7087), 1,
      anon_sym_QMARK,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5653), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5232), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65510] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [65589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6375), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(5492), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5490), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [65717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6732), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5544), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6513), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5115), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6216), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [66082] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6749), 1,
      anon_sym_EQ,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [66193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6362), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(1968), 1,
      sym_template_argument_list,
    ACTIONS(6281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5779), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5692), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5746), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5688), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66624] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [66699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5294), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5311), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67065] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6336), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6338), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [67245] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67326] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6954), 1,
      sym__declarator,
    STATE(7272), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(7003), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [67431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5272), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6732), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6258), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2180), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6728), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [67931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [68008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2208), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68130] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6753), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7087), 1,
      anon_sym_QMARK,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68241] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6757), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6318), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6383), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68472] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7140), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3522), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7142), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [68549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6379), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_LT,
    STATE(3435), 1,
      sym_template_argument_list,
    ACTIONS(6281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5266), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7028), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6038), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6040), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68923] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [69034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7147), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3511), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6033), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3986), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5943), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3991), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5939), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6268), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6728), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [69763] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7160), 1,
      anon_sym___attribute__,
    ACTIONS(7163), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7166), 1,
      anon_sym___declspec,
    ACTIONS(7169), 1,
      anon_sym_virtual,
    ACTIONS(7172), 1,
      anon_sym_alignas,
    ACTIONS(7150), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7157), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3522), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7154), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [69840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3936), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69905] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [70012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5801), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5850), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4184), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3932), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6231), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6387), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70581] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6749), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7087), 1,
      anon_sym_QMARK,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3994), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5935), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3931), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6371), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3930), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      sym_identifier,
    STATE(3644), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3759), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5238), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5236), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5846), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_LBRACK,
    STATE(3680), 1,
      sym_new_declarator,
    ACTIONS(6197), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2971), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3997), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5931), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4061), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6052), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6517), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5833), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6521), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71702] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [71779] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6258), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [71854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5700), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71915] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72018] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5613), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [72178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5056), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5724), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72422] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_EQ,
    ACTIONS(6801), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_QMARK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7105), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7107), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7123), 1,
      anon_sym_or,
    ACTIONS(7125), 1,
      anon_sym_and,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [72533] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7109), 1,
      anon_sym_PIPE,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7127), 1,
      anon_sym_bitor,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [72632] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [72727] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [72820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5696), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5825), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72942] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [73031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6561), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73240] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5720), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5878), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6499), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7111), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [73662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5742), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5738), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5615), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [73906] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6252), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6254), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [73981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74042] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(6447), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6954), 1,
      sym__declarator,
    STATE(7237), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(7003), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5817), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4151), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6116), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5712), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6503), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5813), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74519] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6332), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6334), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [74594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7179), 1,
      sym_identifier,
    STATE(3539), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3759), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5282), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5704), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74968] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [75055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4143), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5995), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6509), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3983), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75488] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7113), 1,
      anon_sym_AMP,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    ACTIONS(7129), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [75581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5716), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75642] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7181), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3522), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7183), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [75719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3893), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5978), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [75784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7187), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7185), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [75845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7119), 1,
      anon_sym_GT_EQ,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7115), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7117), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [75934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5571), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5569), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [75995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(3892), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [76121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(3209), 1,
      sym_template_argument_list,
    ACTIONS(6281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5258), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [76385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5673), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76507] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6871), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [76590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6505), 1,
      anon_sym_LT,
    STATE(3803), 1,
      sym_template_argument_list,
    ACTIONS(6181), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6183), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [76657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5657), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6318), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76903] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [76982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7193), 1,
      anon_sym_and,
    ACTIONS(6244), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6246), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6322), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [77244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(4150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [77315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6529), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5760), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [77437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5673), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [77498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(2967), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5746), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [77750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5615), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5613), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [77813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(2967), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3685), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3689), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6264), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78004] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6885), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7101), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7121), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7103), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 1,
      sym_identifier,
    STATE(3644), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7200), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7203), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5809), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5673), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5821), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(4049), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5916), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78402] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7193), 1,
      anon_sym_and,
    ACTIONS(7206), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7208), 1,
      anon_sym_or,
    ACTIONS(6270), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5061), 1,
      anon_sym_LBRACE,
    ACTIONS(5625), 1,
      anon_sym_LT,
    STATE(3725), 1,
      sym_template_argument_list,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5254), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6505), 1,
      anon_sym_LT,
    STATE(3803), 1,
      sym_template_argument_list,
    ACTIONS(6185), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6187), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_LT,
    STATE(2077), 1,
      sym_template_argument_list,
    ACTIONS(6281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym___attribute__,
    STATE(4045), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5890), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(7069), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7071), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7073), 1,
      anon_sym_PIPE,
    ACTIONS(7077), 1,
      anon_sym_AMP,
    ACTIONS(7083), 1,
      anon_sym_GT_EQ,
    ACTIONS(7089), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7091), 1,
      anon_sym_or,
    ACTIONS(7093), 1,
      anon_sym_and,
    ACTIONS(7095), 1,
      anon_sym_bitor,
    ACTIONS(7097), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7075), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7085), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7067), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7079), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7081), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5829), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5837), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7212), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7210), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [79087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_EQ,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5560), 1,
      anon_sym_LPAREN2,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(4385), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5560), 1,
      anon_sym_LPAREN2,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(4357), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79223] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7218), 1,
      anon_sym_RPAREN,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6415), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 1,
      anon_sym_const,
    ACTIONS(5124), 1,
      anon_sym_AMP,
    ACTIONS(5117), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5122), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5120), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5115), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5613), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_EQ,
    ACTIONS(4385), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6951), 1,
      sym_auto,
    ACTIONS(6953), 1,
      anon_sym_decltype,
    STATE(4004), 1,
      sym_decltype_auto,
    ACTIONS(5490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5492), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79697] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7296), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6218), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [79985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5728), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [80045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7304), 1,
      sym_identifier,
    ACTIONS(7309), 1,
      sym_primitive_type,
    STATE(3760), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7307), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5752), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6318), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6615), 1,
      anon_sym_LT,
    STATE(3809), 1,
      sym_template_argument_list,
    ACTIONS(6181), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6183), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [80419] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7311), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6023), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6025), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5857), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6310), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5876), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [80815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5777), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [80875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5844), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [80935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6092), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5732), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5718), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81177] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6745), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81281] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7345), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5736), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81497] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6334), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [81571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(4067), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7347), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6029), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5468), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6104), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      sym_identifier,
    ACTIONS(7353), 1,
      sym_primitive_type,
    STATE(3728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5752), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [81947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5544), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5702), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [82067] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7355), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82223] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    ACTIONS(7357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6753), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [82331] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    ACTIONS(7357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6749), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [82439] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5571), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5700), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5698), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [82701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82779] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      sym_identifier,
    STATE(3709), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7364), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7367), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [83159] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [83249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [83341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6258), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83437] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [83537] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83747] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7370), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [83903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7372), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6318), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83965] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6728), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [84069] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7374), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5115), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5744), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [84409] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7376), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5864), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [84631] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7378), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_LBRACK,
    STATE(4039), 1,
      sym_new_declarator,
    ACTIONS(6197), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6199), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84851] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7380), 1,
      sym_identifier,
    STATE(3709), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5665), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5667), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5238), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5236), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5560), 1,
      anon_sym_LPAREN2,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(4357), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84985] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6252), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6254), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [85059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6615), 1,
      anon_sym_LT,
    STATE(3809), 1,
      sym_template_argument_list,
    ACTIONS(6185), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6187), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5679), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5730), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5688), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5686), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5677), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5740), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5690), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5848), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85665] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7382), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [85821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5857), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5855), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5681), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5722), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5710), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6561), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5714), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86241] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6905), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6909), 1,
      anon_sym_PIPE,
    ACTIONS(6913), 1,
      anon_sym_AMP,
    ACTIONS(6919), 1,
      anon_sym_GT_EQ,
    ACTIONS(6923), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6925), 1,
      anon_sym_or,
    ACTIONS(6927), 1,
      anon_sym_and,
    ACTIONS(6929), 1,
      anon_sym_bitor,
    ACTIONS(6931), 1,
      anon_sym_bitand,
    ACTIONS(6955), 1,
      anon_sym_QMARK,
    ACTIONS(7005), 1,
      anon_sym_RPAREN,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(7386), 1,
      anon_sym_EQ,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6911), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6921), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6903), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6915), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6917), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6869), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [86355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5744), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6214), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5813), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5811), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86535] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [86609] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [86683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(5560), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_LT,
    STATE(1971), 1,
      sym_template_argument_list,
    ACTIONS(6281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      sym_primitive_type,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5864), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [86879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(1969), 1,
      sym_template_argument_list,
    ACTIONS(6281), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5815), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6318), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4083), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87123] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6757), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [87227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7388), 1,
      anon_sym_LT,
    STATE(2123), 1,
      sym_template_argument_list,
    ACTIONS(6281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87291] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7391), 1,
      anon_sym_LPAREN2,
    STATE(2920), 1,
      sym_argument_list,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4407), 1,
      sym_initializer_list,
    ACTIONS(7394), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [87363] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6338), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [87435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5696), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5694), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87495] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    ACTIONS(7357), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7359), 1,
      anon_sym_QMARK,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6369), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [87603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5825), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5823), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5807), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5821), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5819), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6094), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6096), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6098), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6100), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5734), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5671), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7388), 1,
      anon_sym_LT,
    STATE(3469), 1,
      sym_template_argument_list,
    ACTIONS(6281), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5829), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5827), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6058), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6062), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6068), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5837), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5835), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5671), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6072), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5758), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(5560), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5655), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5671), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [88813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    STATE(3592), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3759), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88881] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(4502), 1,
      anon_sym_STAR,
    ACTIONS(4504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4506), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7003), 1,
      anon_sym_RPAREN,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7056), 1,
      sym__declarator,
    STATE(7272), 1,
      sym__abstract_declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    ACTIONS(5438), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89047] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6889), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6891), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7216), 1,
      anon_sym_COMMA,
    ACTIONS(7220), 1,
      anon_sym_DASH,
    ACTIONS(7222), 1,
      anon_sym_PLUS,
    ACTIONS(7224), 1,
      anon_sym_STAR,
    ACTIONS(7226), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_PERCENT,
    ACTIONS(7230), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7234), 1,
      anon_sym_PIPE,
    ACTIONS(7236), 1,
      anon_sym_CARET,
    ACTIONS(7238), 1,
      anon_sym_AMP,
    ACTIONS(7240), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7242), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7244), 1,
      anon_sym_GT,
    ACTIONS(7246), 1,
      anon_sym_GT_EQ,
    ACTIONS(7248), 1,
      anon_sym_LT_EQ,
    ACTIONS(7250), 1,
      anon_sym_LT,
    ACTIONS(7252), 1,
      anon_sym_LT_LT,
    ACTIONS(7254), 1,
      anon_sym_GT_GT,
    ACTIONS(7256), 1,
      anon_sym_EQ,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7260), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7262), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7264), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7266), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7268), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7270), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7272), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7274), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7276), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7278), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7282), 1,
      anon_sym_or,
    ACTIONS(7284), 1,
      anon_sym_and,
    ACTIONS(7286), 1,
      anon_sym_bitor,
    ACTIONS(7288), 1,
      anon_sym_xor,
    ACTIONS(7290), 1,
      anon_sym_bitand,
    ACTIONS(7292), 1,
      anon_sym_not_eq,
    ACTIONS(7396), 1,
      anon_sym_RPAREN,
    STATE(1864), 1,
      sym__binary_fold_operator,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    STATE(9154), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [89203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6235), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89323] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(7317), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7319), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7321), 1,
      anon_sym_PIPE,
    ACTIONS(7325), 1,
      anon_sym_AMP,
    ACTIONS(7333), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7335), 1,
      anon_sym_or,
    ACTIONS(7337), 1,
      anon_sym_and,
    ACTIONS(7339), 1,
      anon_sym_bitor,
    ACTIONS(7341), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6732), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7323), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7331), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7343), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7315), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7327), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7329), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [89427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7398), 1,
      sym_identifier,
    STATE(3731), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5665), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5667), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    ACTIONS(4357), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    STATE(3592), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3751), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3759), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4462), 1,
      sym_field_declaration_list,
    STATE(4661), 1,
      sym_attribute_specifier,
    STATE(7603), 1,
      sym_virtual_specifier,
    STATE(8445), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5371), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6561), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6129), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4079), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5675), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [89943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5831), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [90003] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3867), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4702), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6503), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4079), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6379), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6565), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5544), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5294), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5286), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7437), 1,
      anon_sym_requires,
    STATE(5374), 1,
      sym__function_attributes_start,
    STATE(5507), 1,
      sym_ref_qualifier,
    STATE(6463), 1,
      sym__function_attributes_end,
    STATE(6573), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5931), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6779), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6777), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [90860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6525), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7440), 1,
      anon_sym_namespace,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [90980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7444), 1,
      anon_sym_and,
    ACTIONS(6244), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6246), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5311), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5354), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [91161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3825), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5341), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [91224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5358), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [91283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7449), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [91344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6316), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6318), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91405] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6252), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6254), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7459), 1,
      anon_sym_requires,
    STATE(5384), 1,
      sym__function_attributes_start,
    STATE(5497), 1,
      sym_ref_qualifier,
    STATE(6464), 1,
      sym__function_attributes_end,
    STATE(6615), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5944), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3953), 1,
      sym_argument_list,
    STATE(4363), 1,
      sym_initializer_list,
    ACTIONS(7394), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [91713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 1,
      anon_sym_EQ,
    ACTIONS(5663), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91835] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6753), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7486), 1,
      anon_sym_QMARK,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [91944] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6728), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92049] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6749), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7486), 1,
      anon_sym_QMARK,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92158] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6332), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6334), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92395] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6817), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3879), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6072), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6068), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5266), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5315), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6529), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6062), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4699), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6264), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6058), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [93450] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [93537] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [93628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [93721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93780] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [93877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    ACTIONS(5440), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5438), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [93938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [94039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94098] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [94171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94289] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7201), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4703), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7504), 1,
      anon_sym_namespace,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [94451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6485), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6443), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [94644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    ACTIONS(4349), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4357), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [94705] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(6714), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7486), 1,
      anon_sym_QMARK,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [94814] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [94919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6338), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [94990] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_EQ,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7472), 1,
      anon_sym_PIPE,
    ACTIONS(7476), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_GT_EQ,
    ACTIONS(7488), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_or,
    ACTIONS(7492), 1,
      anon_sym_and,
    ACTIONS(7494), 1,
      anon_sym_bitor,
    ACTIONS(7496), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7464), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7474), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7484), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7466), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7480), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [95095] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6801), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4670), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95196] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [95269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6801), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4670), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95370] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6256), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [95443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6561), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7073), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4028), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4669), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6218), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [95674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6214), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7516), 1,
      anon_sym_LT,
    STATE(2286), 1,
      sym_template_argument_list,
    ACTIONS(6281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      sym_primitive_type,
    STATE(2046), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5345), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5864), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5861), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5272), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6517), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5724), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5704), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96274] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6783), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4687), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5350), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [96434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4083), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96493] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7519), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    STATE(4067), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7347), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4355), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5653), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4706), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6029), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7521), 1,
      sym_identifier,
    ACTIONS(7526), 1,
      sym_primitive_type,
    STATE(3886), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7524), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5750), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96848] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7073), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3899), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4675), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [96949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6439), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6318), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7528), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [97246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4347), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3922), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6082), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3918), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7534), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6074), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6076), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [97502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5311), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5286), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5258), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3825), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6017), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5294), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7540), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5107), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4355), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [98047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7516), 1,
      anon_sym_LT,
    STATE(3725), 1,
      sym_template_argument_list,
    ACTIONS(6281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3825), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6005), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6007), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [98173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98232] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6963), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4696), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7550), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5813), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5817), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5825), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5833), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6362), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6545), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5850), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3825), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6009), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6011), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [99108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99167] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6954), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3924), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    STATE(4275), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6052), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6098), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6100), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6094), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6096), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7552), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [99689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6499), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99807] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6748), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4009), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4681), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6235), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3971), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6403), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100422] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4702), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6104), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6092), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6411), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6521), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    STATE(4301), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6116), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7562), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [100944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6023), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6025), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6431), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101062] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6954), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6453), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5779), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101281] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4682), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6387), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7564), 1,
      sym_identifier,
    STATE(3973), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7567), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7570), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5301), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5254), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_namespace,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [101628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5362), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6375), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7444), 1,
      anon_sym_and,
    ACTIONS(7575), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7577), 1,
      anon_sym_or,
    ACTIONS(6270), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6272), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5720), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6383), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3825), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7538), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5999), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6001), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [102053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5742), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5615), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5315), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6533), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5738), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5746), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5716), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5712), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102763] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5107), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5803), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [102830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5692), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5688), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5821), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5829), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    STATE(4308), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5995), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5837), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7579), 1,
      sym_identifier,
    STATE(4033), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5153), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5282), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5878), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6549), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6415), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103493] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6753), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4674), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103653] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6769), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4666), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6473), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5258), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6513), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_namespace,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [104169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5056), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      anon_sym_LT,
    STATE(1977), 1,
      sym_template_argument_list,
    ACTIONS(6281), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6231), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3852), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4706), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7583), 1,
      anon_sym_namespace,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [104630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5254), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6553), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5266), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7394), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [104870] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6973), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4701), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6947), 1,
      anon_sym_LPAREN2,
    STATE(4351), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      sym_identifier,
    STATE(3973), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5153), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5238), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5236), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6268), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7222), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3958), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6419), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7587), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [105661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6310), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5809), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6509), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5760), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5657), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5696), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 1,
      anon_sym_typedef,
    ACTIONS(3493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [106253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5700), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6371), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6541), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6537), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106489] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6769), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4007), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4666), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2180), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7598), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7594), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7596), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7601), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7591), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [106713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4112), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6453), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6431), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7605), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [107181] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6732), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [107283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6411), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5999), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6545), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107693] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      anon_sym_EQ,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [107799] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7639), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6529), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6346), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6499), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108287] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7641), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7645), 1,
      anon_sym_or,
    ACTIONS(7647), 1,
      anon_sym_and,
    ACTIONS(6270), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6272), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [108485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6387), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5262), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [108731] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      anon_sym_EQ,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [108831] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      anon_sym_EQ,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [108929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [109023] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [109113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(3798), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5665), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5667), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [109265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    STATE(3798), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5665), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5667), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6260), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [109415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6260), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [109495] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [109571] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6260), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [109649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6262), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6264), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6266), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6268), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6513), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(4337), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6229), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6231), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6561), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7651), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110145] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7655), 1,
      anon_sym___attribute__,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7668), 1,
      anon_sym_requires,
    STATE(5461), 1,
      sym__function_attributes_start,
    STATE(5573), 1,
      sym_ref_qualifier,
    STATE(6376), 1,
      sym_trailing_return_type,
    STATE(6410), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5968), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6336), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6338), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [110319] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [110421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(4373), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5458), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [110485] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6334), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6009), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110691] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5151), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4349), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4357), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [110825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6375), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [110945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6415), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6383), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111061] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    ACTIONS(7673), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(4370), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4347), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [111133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6489), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6007), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6005), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [111253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6439), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6216), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [111381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4167), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111443] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [111549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6362), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111607] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4617), 1,
      sym_field_declaration_list,
    STATE(4740), 1,
      sym_attribute_specifier,
    STATE(7509), 1,
      sym_virtual_specifier,
    STATE(8177), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5371), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 1,
      anon_sym_EQ,
    ACTIONS(5799), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6354), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4083), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4081), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [111917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6379), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111975] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7682), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4141), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5706), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5708), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6391), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6553), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6473), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6395), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6481), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6011), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6009), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6549), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6533), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7647), 1,
      anon_sym_and,
    ACTIONS(6244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6246), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112649] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6745), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [112751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6403), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5272), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6001), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5999), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6509), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6318), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113161] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7686), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4179), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6074), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5651), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [113363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6525), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6493), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7693), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7695), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5054), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5061), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6443), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [113977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6005), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [114155] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6749), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7214), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7258), 1,
      anon_sym_QMARK,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [114261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5115), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6537), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7394), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [114441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7698), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [114499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6764), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [114557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6541), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114615] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    ACTIONS(7704), 1,
      anon_sym_EQ,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(7702), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4347), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [114687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6565), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7637), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [114865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5286), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7706), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7519), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5458), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4373), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6503), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115185] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    ACTIONS(6728), 1,
      anon_sym_EQ,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(7099), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7280), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7617), 1,
      anon_sym_PIPE,
    ACTIONS(7619), 1,
      anon_sym_CARET,
    ACTIONS(7621), 1,
      anon_sym_AMP,
    ACTIONS(7627), 1,
      anon_sym_GT_EQ,
    ACTIONS(7631), 1,
      anon_sym_bitor,
    ACTIONS(7633), 1,
      anon_sym_xor,
    ACTIONS(7635), 1,
      anon_sym_bitand,
    STATE(4008), 1,
      sym_argument_list,
    STATE(4010), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7294), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7609), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7613), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7615), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7629), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7611), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7623), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7625), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [115287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5258), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6419), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4117), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6076), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7708), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6074), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6519), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6521), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115523] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7710), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4122), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7712), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [115725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6477), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3983), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6485), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115899] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7714), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115981] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7655), 1,
      anon_sym___attribute__,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    STATE(5466), 1,
      sym__function_attributes_start,
    STATE(5548), 1,
      sym_ref_qualifier,
    STATE(6427), 1,
      sym__function_attributes_end,
    STATE(6444), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5959), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6371), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5254), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4141), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5613), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116263] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym___attribute__,
    ACTIONS(7731), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7734), 1,
      anon_sym___declspec,
    ACTIONS(7737), 1,
      anon_sym_virtual,
    ACTIONS(7740), 1,
      anon_sym_alignas,
    ACTIONS(7743), 1,
      anon_sym_explicit,
    ACTIONS(7720), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7718), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7725), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4201), 11,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7722), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116339] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4473), 1,
      sym_field_declaration_list,
    STATE(7615), 1,
      sym_virtual_specifier,
    STATE(8426), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5371), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [116413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5544), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116471] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6937), 1,
      sym_auto,
    ACTIONS(6939), 1,
      anon_sym_decltype,
    ACTIONS(7746), 1,
      anon_sym_SEMI,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6935), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6933), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5397), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3607), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5395), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5315), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5056), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6481), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5294), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4079), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4077), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [116843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(5061), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5054), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [116907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    STATE(4229), 1,
      sym_new_declarator,
    ACTIONS(6197), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5266), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5311), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6517), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117143] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7754), 1,
      anon_sym___attribute__,
    ACTIONS(7757), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7760), 1,
      anon_sym___declspec,
    ACTIONS(7763), 1,
      anon_sym_virtual,
    ACTIONS(7766), 1,
      anon_sym_alignas,
    ACTIONS(7751), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4215), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7748), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7150), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [117217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    ACTIONS(5438), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5440), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7698), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [117508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6779), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5115), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(5458), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4373), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [117687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    ACTIONS(7704), 1,
      anon_sym_EQ,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(7702), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4373), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5458), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117754] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(5485), 1,
      sym__function_attributes_start,
    STATE(5652), 1,
      sym_ref_qualifier,
    STATE(6434), 1,
      sym_trailing_return_type,
    STATE(6484), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5998), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(5054), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5061), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [118034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6310), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      sym_literal_suffix,
    ACTIONS(4357), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4349), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118150] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7776), 1,
      anon_sym_requires,
    STATE(5470), 1,
      sym__function_attributes_start,
    STATE(5616), 1,
      sym_ref_qualifier,
    STATE(6447), 1,
      sym_trailing_return_type,
    STATE(6551), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6011), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [118310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    STATE(5472), 1,
      sym__function_attributes_start,
    STATE(5636), 1,
      sym_ref_qualifier,
    STATE(6422), 1,
      sym__function_attributes_end,
    STATE(6444), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6004), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [118470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      anon_sym_EQ,
    ACTIONS(6044), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4349), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5084), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5088), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118645] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      anon_sym_COLON,
    STATE(4431), 1,
      sym__enum_base_clause,
    STATE(4483), 1,
      sym_enumerator_list,
    STATE(4653), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6135), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(7788), 1,
      anon_sym_COLON,
    STATE(4398), 1,
      sym__enum_base_clause,
    STATE(4456), 1,
      sym_enumerator_list,
    STATE(4612), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    STATE(4003), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5153), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5438), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4112), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5096), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5476), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5092), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5100), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    STATE(4003), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5153), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5155), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7792), 1,
      anon_sym_COLON,
    STATE(3769), 1,
      sym_attribute_specifier,
    STATE(4318), 1,
      sym__enum_base_clause,
    STATE(4440), 1,
      sym_enumerator_list,
    ACTIONS(6141), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6139), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [119271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5073), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7668), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    STATE(5476), 1,
      sym__function_attributes_start,
    STATE(5633), 1,
      sym_ref_qualifier,
    STATE(6376), 1,
      sym_trailing_return_type,
    STATE(6416), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5987), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7792), 1,
      anon_sym_COLON,
    STATE(3741), 1,
      sym_attribute_specifier,
    STATE(4280), 1,
      sym__enum_base_clause,
    STATE(4447), 1,
      sym_enumerator_list,
    ACTIONS(6135), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6133), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [119500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    STATE(4360), 1,
      sym_new_declarator,
    ACTIONS(6197), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6199), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119561] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    STATE(5469), 1,
      sym__function_attributes_start,
    STATE(5628), 1,
      sym_ref_qualifier,
    STATE(6419), 1,
      sym__function_attributes_end,
    STATE(6434), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6006), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119664] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    STATE(5473), 1,
      sym__function_attributes_start,
    STATE(5605), 1,
      sym_ref_qualifier,
    STATE(6444), 1,
      sym_trailing_return_type,
    STATE(6525), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6012), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7800), 1,
      anon_sym_LT,
    STATE(4337), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4418), 1,
      sym_template_argument_list,
    ACTIONS(7649), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4355), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119834] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7776), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    STATE(5480), 1,
      sym__function_attributes_start,
    STATE(5624), 1,
      sym_ref_qualifier,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6447), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7781), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6007), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5583), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7605), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [120053] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7668), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    STATE(5494), 1,
      sym__function_attributes_start,
    STATE(5613), 1,
      sym_ref_qualifier,
    STATE(6376), 1,
      sym_trailing_return_type,
    STATE(6496), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5986), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5113), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [120213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7802), 1,
      sym_identifier,
    ACTIONS(7807), 1,
      sym_primitive_type,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7805), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5750), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4261), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      sym_primitive_type,
    STATE(4261), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5861), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [120472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6517), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120584] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7814), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [120658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2180), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6338), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [120782] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7816), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [120856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    STATE(5515), 1,
      sym__function_attributes_start,
    STATE(5727), 1,
      sym_ref_qualifier,
    STATE(6607), 1,
      sym__function_attributes_end,
    STATE(6792), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6043), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5311), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5356), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [121182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6453), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6371), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7800), 1,
      anon_sym_LT,
    STATE(4418), 1,
      sym_template_argument_list,
    ACTIONS(5458), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4373), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    STATE(3683), 1,
      sym_attribute_specifier,
    STATE(4468), 1,
      sym_enumerator_list,
    ACTIONS(5886), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5884), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6387), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6005), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6525), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7824), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5054), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5061), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [121770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6218), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [121838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6431), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6411), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6403), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4336), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122122] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [122192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5350), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [122248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5266), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4282), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7829), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7831), 1,
      anon_sym_LT,
    STATE(4418), 1,
      sym_template_argument_list,
    ACTIONS(5054), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5061), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6509), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7834), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5341), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5343), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6362), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7837), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5315), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6533), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6541), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5362), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5262), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(4150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [123522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7841), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6272), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5258), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6545), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    STATE(3751), 1,
      sym_attribute_specifier,
    STATE(4448), 1,
      sym_enumerator_list,
    ACTIONS(5764), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5762), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123758] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7843), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6419), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3983), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5358), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6565), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6549), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124112] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7845), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2971), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5294), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6244), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6553), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5272), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124636] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      sym_auto,
    ACTIONS(7851), 1,
      anon_sym_decltype,
    STATE(4436), 1,
      sym_new_declarator,
    STATE(4659), 1,
      sym_decltype_auto,
    STATE(4417), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5453), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124708] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7853), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6009), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4302), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5999), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124902] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7855), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5254), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125032] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7859), 1,
      anon_sym_requires,
    STATE(5526), 1,
      sym__function_attributes_start,
    STATE(5763), 1,
      sym_ref_qualifier,
    STATE(6647), 1,
      sym__function_attributes_end,
    STATE(6805), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6030), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7540), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5458), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4373), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [125196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4279), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7862), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6074), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125256] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7864), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [125330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5354), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [125386] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7769), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7866), 1,
      anon_sym_requires,
    STATE(5524), 1,
      sym__function_attributes_start,
    STATE(5767), 1,
      sym_ref_qualifier,
    STATE(6579), 1,
      sym__function_attributes_end,
    STATE(6775), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6029), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5286), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125544] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      sym_auto,
    ACTIONS(7851), 1,
      anon_sym_decltype,
    STATE(4475), 1,
      sym_new_declarator,
    STATE(4659), 1,
      sym_decltype_auto,
    STATE(4430), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5449), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125616] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [125686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6503), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6537), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      sym_auto,
    ACTIONS(7851), 1,
      anon_sym_decltype,
    STATE(4469), 1,
      sym_new_declarator,
    STATE(4659), 1,
      sym_decltype_auto,
    STATE(4416), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5436), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6485), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126038] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7849), 1,
      sym_auto,
    ACTIONS(7851), 1,
      anon_sym_decltype,
    STATE(4486), 1,
      sym_new_declarator,
    STATE(4659), 1,
      sym_decltype_auto,
    STATE(4420), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5415), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6499), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7869), 1,
      anon_sym_SEMI,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [126296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6310), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126408] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6334), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [126478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6443), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6379), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126646] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    STATE(5512), 1,
      sym__function_attributes_start,
    STATE(5655), 1,
      sym_ref_qualifier,
    STATE(6698), 1,
      sym__function_attributes_end,
    STATE(6808), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5358), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [126804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6439), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5362), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [126916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5350), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5354), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2971), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5360), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [127196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6371), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5096), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5092), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5100), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5350), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5476), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127748] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7875), 1,
      anon_sym_requires,
    STATE(5597), 1,
      sym__function_attributes_start,
    STATE(5883), 1,
      sym_ref_qualifier,
    STATE(6747), 1,
      sym__function_attributes_end,
    STATE(6985), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5362), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5105), 1,
      anon_sym_SEMI,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7673), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(4370), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4355), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5073), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6509), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5358), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [128307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5088), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128527] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    STATE(5540), 1,
      sym__function_attributes_start,
    STATE(5915), 1,
      sym_ref_qualifier,
    STATE(6816), 1,
      sym__function_attributes_end,
    STATE(6999), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4828), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6048), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7414), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(4481), 1,
      sym_enumerator_list,
    STATE(4647), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5764), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5354), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [128856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(2250), 1,
      sym_attribute_specifier,
    STATE(2830), 1,
      sym__enum_base_clause,
    STATE(2959), 1,
      sym_enumerator_list,
    ACTIONS(6133), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6135), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [129033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7880), 1,
      anon_sym_COLON,
    STATE(2252), 1,
      sym_attribute_specifier,
    STATE(2914), 1,
      sym__enum_base_clause,
    STATE(2954), 1,
      sym_enumerator_list,
    ACTIONS(6139), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6141), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [129100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4347), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3983), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6362), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5801), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5803), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [129558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4373), 1,
      anon_sym_SEMI,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4347), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6503), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6387), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5120), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129845] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    ACTIONS(7884), 1,
      anon_sym_COLON,
    STATE(4520), 1,
      sym__enum_base_clause,
    STATE(4599), 1,
      sym_enumerator_list,
    STATE(4762), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6135), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4336), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130191] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    STATE(3683), 1,
      sym_attribute_specifier,
    STATE(4488), 1,
      sym_enumerator_list,
    ACTIONS(5884), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5886), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    ACTIONS(7884), 1,
      anon_sym_COLON,
    STATE(4501), 1,
      sym__enum_base_clause,
    STATE(4619), 1,
      sym_enumerator_list,
    STATE(4741), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6141), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130321] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7673), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4857), 1,
      sym_template_argument_list,
    ACTIONS(4370), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4355), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [130390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    STATE(3751), 1,
      sym_attribute_specifier,
    STATE(4470), 1,
      sym_enumerator_list,
    ACTIONS(5762), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5764), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6499), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    STATE(4460), 1,
      sym_enumerator_list,
    STATE(4608), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5886), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5583), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    STATE(4415), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6048), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4604), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3690), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5937), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3740), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5941), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3749), 1,
      sym_attribute_specifier,
    ACTIONS(5935), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5933), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3738), 1,
      sym_attribute_specifier,
    ACTIONS(5931), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5929), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4738), 1,
      sym_new_declarator,
    STATE(4430), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5449), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4731), 1,
      sym_new_declarator,
    STATE(4416), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5436), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4730), 1,
      sym_new_declarator,
    STATE(4417), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5453), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4758), 1,
      sym_new_declarator,
    STATE(4420), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5415), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(5061), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5054), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3743), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5954), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3806), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5958), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3771), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5962), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131712] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    ACTIONS(7894), 1,
      anon_sym_LBRACK,
    ACTIONS(7896), 1,
      sym_auto,
    ACTIONS(7898), 1,
      anon_sym_decltype,
    STATE(4733), 1,
      sym_new_declarator,
    STATE(4768), 1,
      sym_decltype_auto,
    STATE(4994), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5453), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3762), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5966), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4655), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5931), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131898] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    ACTIONS(7894), 1,
      anon_sym_LBRACK,
    ACTIONS(7896), 1,
      sym_auto,
    ACTIONS(7898), 1,
      anon_sym_decltype,
    STATE(4760), 1,
      sym_new_declarator,
    STATE(4768), 1,
      sym_decltype_auto,
    STATE(4977), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5449), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3789), 1,
      sym_attribute_specifier,
    ACTIONS(5890), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5888), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3706), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5914), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4650), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5935), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4615), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4629), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
    ACTIONS(4373), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5458), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4627), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132376] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    ACTIONS(7894), 1,
      anon_sym_LBRACK,
    ACTIONS(7896), 1,
      sym_auto,
    ACTIONS(7898), 1,
      anon_sym_decltype,
    STATE(4735), 1,
      sym_new_declarator,
    STATE(4768), 1,
      sym_decltype_auto,
    STATE(4924), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5436), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4643), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5939), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4598), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3789), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5890), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3762), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5968), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4624), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5890), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3771), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5964), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3699), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5976), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    STATE(4391), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6116), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3806), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5960), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3743), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5956), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3740), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5943), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3690), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5939), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7900), 1,
      anon_sym_LT,
    STATE(2969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(5147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4355), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [133208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    STATE(4422), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133268] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7904), 1,
      anon_sym_RPAREN,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7945), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3749), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5935), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3738), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5931), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    ACTIONS(7894), 1,
      anon_sym_LBRACK,
    ACTIONS(7896), 1,
      sym_auto,
    ACTIONS(7898), 1,
      anon_sym_decltype,
    STATE(4734), 1,
      sym_new_declarator,
    STATE(4768), 1,
      sym_decltype_auto,
    STATE(4906), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5415), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4602), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4600), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3706), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5916), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7400), 1,
      anon_sym___attribute__,
    STATE(4611), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5470), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3747), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5986), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    STATE(4412), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6052), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    STATE(3747), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5984), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [134014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(3699), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5978), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134072] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9258), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6766), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6764), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [134220] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6492), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134315] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6471), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134410] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6548), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134505] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7928), 1,
      anon_sym_COLON,
    STATE(3741), 1,
      sym_attribute_specifier,
    STATE(4280), 1,
      sym__enum_base_clause,
    STATE(4447), 1,
      sym_enumerator_list,
    ACTIONS(6135), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6133), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [134570] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6505), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6479), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134760] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6543), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6499), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134950] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6538), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135045] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7859), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(5721), 1,
      sym__function_attributes_start,
    STATE(5970), 1,
      sym_ref_qualifier,
    STATE(6805), 1,
      sym_trailing_return_type,
    STATE(7006), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7414), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7430), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6074), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135144] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    STATE(4634), 1,
      sym_enumerator_list,
    STATE(4770), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5764), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135205] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6535), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7934), 1,
      anon_sym_LT,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(5054), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5061), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [135359] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8463), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135454] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6532), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135549] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6534), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7849), 1,
      sym_auto,
    ACTIONS(7851), 1,
      anon_sym_decltype,
    STATE(4659), 1,
      sym_decltype_auto,
    ACTIONS(5490), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135703] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6549), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135798] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6520), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135893] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8861), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 1,
      anon_sym_LBRACE,
    ACTIONS(5615), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [136045] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9042), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9063), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136235] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9315), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136330] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6491), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136425] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4943), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7900), 1,
      anon_sym_LT,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(5458), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4373), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [136579] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9066), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9003), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    STATE(4656), 1,
      sym_enumerator_list,
    STATE(4752), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5886), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136830] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4818), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136925] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137020] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8951), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137115] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4780), 1,
      sym__type_specifier,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7975), 1,
      anon_sym_requires,
    STATE(5734), 1,
      sym__function_attributes_start,
    STATE(5967), 1,
      sym_ref_qualifier,
    STATE(6934), 1,
      sym__function_attributes_end,
    STATE(7029), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7414), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7665), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5491), 1,
      sym__type_specifier,
    STATE(6822), 1,
      sym_type_descriptor,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4645), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5571), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137457] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3991), 1,
      sym_identifier,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(4003), 1,
      anon_sym_enum,
    ACTIONS(4005), 1,
      anon_sym_class,
    ACTIONS(4007), 1,
      anon_sym_struct,
    ACTIONS(4009), 1,
      anon_sym_union,
    ACTIONS(4011), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5086), 1,
      sym__type_specifier,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4610), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3399), 1,
      anon_sym_enum,
    ACTIONS(3401), 1,
      anon_sym_class,
    ACTIONS(3403), 1,
      anon_sym_struct,
    ACTIONS(3405), 1,
      anon_sym_union,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(3433), 1,
      anon_sym_typename,
    ACTIONS(7978), 1,
      sym_identifier,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7982), 1,
      sym_primitive_type,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(5404), 1,
      sym__type_specifier,
    STATE(6822), 1,
      sym_type_descriptor,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    STATE(4652), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137647] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(5670), 1,
      sym__function_attributes_start,
    STATE(5969), 1,
      sym_ref_qualifier,
    STATE(6808), 1,
      sym_trailing_return_type,
    STATE(7008), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7414), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6819), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137746] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8741), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6519), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137936] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5283), 1,
      sym__type_specifier,
    STATE(6822), 1,
      sym_type_descriptor,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4625), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138031] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8682), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5681), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138179] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6524), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138274] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4774), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4630), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138369] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7424), 1,
      anon_sym_LBRACK,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7658), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    STATE(5725), 1,
      sym__function_attributes_start,
    STATE(5972), 1,
      sym_ref_qualifier,
    STATE(6878), 1,
      sym__function_attributes_end,
    STATE(7045), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7414), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5088), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5496), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6562), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6130), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8652), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138616] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4963), 1,
      sym__type_specifier,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4648), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138711] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6559), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6515), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5730), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139009] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8643), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [139157] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8679), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139252] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9447), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139347] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7986), 1,
      sym_identifier,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7990), 1,
      anon_sym_enum,
    ACTIONS(7992), 1,
      anon_sym_class,
    ACTIONS(7994), 1,
      anon_sym_struct,
    ACTIONS(7996), 1,
      anon_sym_union,
    ACTIONS(7998), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5464), 1,
      sym__type_specifier,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(6539), 1,
      sym_type_descriptor,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(4662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6565), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139537] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6536), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139632] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6541), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9193), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5734), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8704), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139970] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9203), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_LBRACE,
    ACTIONS(5615), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [140120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9358), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9363), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140310] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9191), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9483), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140500] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(4860), 1,
      sym__type_specifier,
    STATE(5349), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5842), 1,
      sym_qualified_type_identifier,
    STATE(5916), 1,
      sym_decltype_auto,
    STATE(6822), 1,
      sym_type_descriptor,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4651), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5678), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5910), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140595] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9499), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140690] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9194), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140785] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9196), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140880] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8847), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140975] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9213), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9218), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9410), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9432), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141355] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9234), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141450] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9239), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141545] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9436), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(9389), 1,
      sym_type_descriptor,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141735] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    STATE(3982), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5187), 1,
      sym_template_argument_list,
    ACTIONS(4370), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4355), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4375), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [141802] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8899), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141897] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9253), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(8916), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142087] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(5058), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5061), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(5054), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [142150] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9271), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142245] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9015), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142340] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9276), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142435] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9167), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142530] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9289), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9054), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3491), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [142773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9065), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142868] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9160), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142963] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5641), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9294), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143058] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9181), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5857), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143206] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5527), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9109), 1,
      sym_type_descriptor,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4614), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7187), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7185), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [143354] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7928), 1,
      anon_sym_COLON,
    STATE(3769), 1,
      sym_attribute_specifier,
    STATE(4318), 1,
      sym__enum_base_clause,
    STATE(4440), 1,
      sym_enumerator_list,
    ACTIONS(6141), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6139), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [143419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5677), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143472] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5992), 1,
      sym__type_specifier,
    STATE(6544), 1,
      sym__type_definition_type,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(4632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5742), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4753), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5833), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5821), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5825), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5817), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144039] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4870), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5829), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144235] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3991), 1,
      sym_identifier,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(4003), 1,
      anon_sym_enum,
    ACTIONS(4005), 1,
      anon_sym_class,
    ACTIONS(4007), 1,
      anon_sym_struct,
    ACTIONS(4009), 1,
      anon_sym_union,
    ACTIONS(4011), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5063), 1,
      sym__type_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5696), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5837), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144483] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5528), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5700), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4771), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5943), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4767), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5939), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4769), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5935), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4761), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5931), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5809), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3399), 1,
      anon_sym_enum,
    ACTIONS(3401), 1,
      anon_sym_class,
    ACTIONS(3403), 1,
      anon_sym_struct,
    ACTIONS(3405), 1,
      anon_sym_union,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(3433), 1,
      anon_sym_typename,
    ACTIONS(7978), 1,
      sym_identifier,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7982), 1,
      sym_primitive_type,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(5501), 1,
      sym__type_specifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5657), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145151] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5315), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_COLON,
    STATE(3741), 1,
      sym_attribute_specifier,
    STATE(4425), 1,
      sym__enum_base_clause,
    STATE(4471), 1,
      sym_enumerator_list,
    ACTIONS(6133), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6135), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [145307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5704), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8024), 1,
      anon_sym_COLON,
    STATE(3769), 1,
      sym_attribute_specifier,
    STATE(4428), 1,
      sym__enum_base_clause,
    STATE(4477), 1,
      sym_enumerator_list,
    ACTIONS(6139), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6141), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [145423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145475] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4816), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4739), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5890), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145623] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6005), 1,
      sym__type_specifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4436), 1,
      sym_new_declarator,
    STATE(4417), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5453), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4750), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5779), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4744), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4742), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146003] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(3787), 1,
      sym_attribute_specifier,
    STATE(4438), 1,
      sym_field_declaration_list,
    STATE(7717), 1,
      sym_virtual_specifier,
    STATE(8191), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5369), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [146071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5115), 1,
      anon_sym_SEMI,
    ACTIONS(5124), 1,
      anon_sym_LBRACK,
    ACTIONS(5117), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5120), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(5113), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [146181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146233] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(4791), 1,
      sym__type_specifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5738), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(8026), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym__enum_base_clause,
    STATE(3106), 1,
      sym_enumerator_list,
    STATE(3438), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6141), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [146441] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5492), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146637] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4873), 1,
      sym__type_specifier,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(8026), 1,
      anon_sym_COLON,
    STATE(3037), 1,
      sym__enum_base_clause,
    STATE(3182), 1,
      sym_enumerator_list,
    STATE(3437), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6135), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [146793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146845] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(4840), 1,
      sym__type_specifier,
    STATE(5349), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5842), 1,
      sym_qualified_type_identifier,
    STATE(5916), 1,
      sym_decltype_auto,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5678), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5910), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146937] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3399), 1,
      anon_sym_enum,
    ACTIONS(3401), 1,
      anon_sym_class,
    ACTIONS(3403), 1,
      anon_sym_struct,
    ACTIONS(3405), 1,
      anon_sym_union,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(3433), 1,
      anon_sym_typename,
    ACTIONS(7978), 1,
      sym_identifier,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7982), 1,
      sym_primitive_type,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(5424), 1,
      sym__type_specifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5692), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147081] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4775), 1,
      sym__type_specifier,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5688), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4729), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147281] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4486), 1,
      sym_new_declarator,
    STATE(4420), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5415), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147349] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4469), 1,
      sym_new_declarator,
    STATE(4416), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5436), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5878), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7794), 1,
      anon_sym_LBRACK,
    ACTIONS(7847), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4475), 1,
      sym_new_declarator,
    STATE(4430), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5449), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5760), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147589] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7986), 1,
      sym_identifier,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7990), 1,
      anon_sym_enum,
    ACTIONS(7992), 1,
      anon_sym_class,
    ACTIONS(7994), 1,
      anon_sym_struct,
    ACTIONS(7996), 1,
      anon_sym_union,
    ACTIONS(7998), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5456), 1,
      sym__type_specifier,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4728), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147737] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(5638), 1,
      sym__type_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7678), 1,
      anon_sym___attribute__,
    STATE(4745), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147885] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6753), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147970] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_EQ,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7093), 1,
      sym__declarator,
    STATE(7301), 1,
      sym__abstract_declarator,
    STATE(7393), 1,
      sym_abstract_reference_declarator,
    STATE(7949), 1,
      sym_variadic_declarator,
    STATE(7951), 1,
      sym_variadic_reference_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [148071] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_AMP,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym__declarator,
    STATE(7079), 1,
      sym__abstract_declarator,
    STATE(7966), 1,
      sym_variadic_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8038), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [148166] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148251] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6783), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148336] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8040), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8044), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [148439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5857), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6749), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148626] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7056), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      sym_auto,
    ACTIONS(7898), 1,
      anon_sym_decltype,
    STATE(4768), 1,
      sym_decltype_auto,
    ACTIONS(5490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5492), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148819] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6732), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [148918] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    ACTIONS(8084), 1,
      anon_sym_LBRACK,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4868), 1,
      sym_new_declarator,
    STATE(5383), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5434), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5436), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [148985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8088), 1,
      anon_sym___declspec,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    ACTIONS(8096), 1,
      anon_sym_alignas,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6989), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6991), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8086), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4845), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149062] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6769), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149147] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7050), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    ACTIONS(8084), 1,
      anon_sym_LBRACK,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4939), 1,
      sym_new_declarator,
    STATE(5376), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5413), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5415), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5730), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6517), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149401] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6963), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6794), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5571), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149673] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    ACTIONS(8084), 1,
      anon_sym_LBRACK,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4990), 1,
      sym_new_declarator,
    STATE(5392), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5447), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5449), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [149815] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [149894] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6745), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [149993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5681), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150044] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6260), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [150127] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7001), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6379), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150263] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6260), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [150348] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7050), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150433] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6801), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150518] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6954), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150603] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7201), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150688] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7227), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150773] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [150862] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [150953] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151038] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [151133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8088), 1,
      anon_sym___declspec,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    ACTIONS(8096), 1,
      anon_sym_alignas,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(6933), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6935), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8086), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4848), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151210] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    ACTIONS(8084), 1,
      anon_sym_LBRACK,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4890), 1,
      sym_new_declarator,
    STATE(5395), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5451), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5453), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [151277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5734), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151328] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6749), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [151431] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [151500] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6753), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [151603] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7042), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5677), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151739] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151824] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [151895] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(8028), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8098), 1,
      anon_sym_EQ,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7086), 1,
      sym__declarator,
    STATE(7292), 1,
      sym__abstract_declarator,
    STATE(7404), 1,
      sym_abstract_reference_declarator,
    STATE(7949), 1,
      sym_variadic_declarator,
    STATE(7951), 1,
      sym_variadic_reference_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(8030), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [151996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152049] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6728), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [152148] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8070), 1,
      anon_sym_QMARK,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6369), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [152251] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    ACTIONS(8052), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8054), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8058), 1,
      anon_sym_CARET,
    ACTIONS(8066), 1,
      anon_sym_GT_EQ,
    ACTIONS(8072), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8074), 1,
      anon_sym_or,
    ACTIONS(8076), 1,
      anon_sym_and,
    ACTIONS(8078), 1,
      anon_sym_xor,
    ACTIONS(8080), 1,
      anon_sym_not_eq,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8056), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8060), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8062), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8064), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [152350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8050), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8046), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8048), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8068), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [152423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5724), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5704), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(4415), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(4391), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6116), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152837] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4857), 1,
      sym_template_argument_list,
    ACTIONS(5058), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5061), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5054), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [152897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    STATE(4930), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6048), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    STATE(5008), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6052), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    STATE(4995), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6116), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6779), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5813), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(4422), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5995), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5657), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5760), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5696), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5817), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5809), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5825), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5700), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5821), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5829), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5833), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5837), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5653), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8100), 1,
      anon_sym_typedef,
    ACTIONS(3493), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [154073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8102), 1,
      anon_sym_typedef,
    ACTIONS(3493), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3491), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [154125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5779), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(4412), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6052), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5720), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(7892), 1,
      anon_sym_LPAREN2,
    STATE(4903), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5995), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5688), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5692), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5746), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5615), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5056), 1,
      anon_sym_SEMI,
    ACTIONS(5065), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(5058), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5061), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5054), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [154651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5738), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5878), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5712), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5716), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5742), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154901] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8104), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8130), 1,
      anon_sym_QMARK,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [155002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6657), 1,
      sym__abstract_declarator,
    STATE(5099), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8144), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [155150] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6711), 1,
      sym__abstract_declarator,
    STATE(5158), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8160), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155227] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8194), 1,
      anon_sym_SEMI,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7350), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8632), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6218), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [155391] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    ACTIONS(8204), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7353), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9364), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [155494] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6334), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155557] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6695), 1,
      sym__abstract_declarator,
    STATE(5168), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8144), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [155634] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2903), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [155746] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8206), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8208), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8210), 1,
      anon_sym_or,
    ACTIONS(8212), 1,
      anon_sym_and,
    ACTIONS(6270), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155803] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155866] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [155963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6338), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [156024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8208), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8212), 1,
      anon_sym_and,
    ACTIONS(6244), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6246), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2989), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [156177] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6165), 1,
      anon_sym_STAR,
    ACTIONS(6167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6169), 1,
      anon_sym_AMP,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym__declarator,
    STATE(7079), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8038), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [156266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6706), 1,
      sym__abstract_declarator,
    STATE(5166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8160), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3106), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [156392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8220), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8222), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6270), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6272), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156445] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8224), 1,
      anon_sym_COLON,
    STATE(3741), 1,
      sym_attribute_specifier,
    STATE(4280), 1,
      sym__enum_base_clause,
    STATE(4447), 1,
      sym_enumerator_list,
    ACTIONS(6135), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6133), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [156506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8224), 1,
      anon_sym_COLON,
    STATE(3769), 1,
      sym_attribute_specifier,
    STATE(4318), 1,
      sym__enum_base_clause,
    STATE(4440), 1,
      sym_enumerator_list,
    ACTIONS(6141), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6139), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [156567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6244), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156618] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    ACTIONS(8226), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7363), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8722), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156721] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6732), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [156818] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6258), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [156911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3009), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [156960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3001), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2981), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3208), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8230), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8228), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157156] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8040), 1,
      sym_identifier,
    ACTIONS(8104), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8130), 1,
      anon_sym_QMARK,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8044), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [157257] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6728), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [157354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6779), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157403] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    ACTIONS(8232), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7364), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8931), 1,
      sym_attribute_specifier,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [157506] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6749), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8104), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8130), 1,
      anon_sym_QMARK,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [157607] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6745), 1,
      sym_identifier,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [157704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_LBRACK,
    STATE(4836), 1,
      sym_new_declarator,
    ACTIONS(6197), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6199), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157808] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [157877] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [157944] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 1,
      sym_identifier,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8104), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8112), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8114), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8130), 1,
      anon_sym_QMARK,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8134), 1,
      anon_sym_or,
    ACTIONS(8136), 1,
      anon_sym_and,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [158045] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6653), 1,
      sym__abstract_declarator,
    STATE(5107), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8160), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [158122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5115), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158173] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6710), 1,
      sym__abstract_declarator,
    STATE(5141), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8144), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [158250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [158313] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [158386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [158463] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [158544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [158627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [158714] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    ACTIONS(6893), 1,
      anon_sym_LBRACK,
    ACTIONS(6897), 1,
      anon_sym_DOT,
    ACTIONS(8110), 1,
      anon_sym_SLASH,
    ACTIONS(8118), 1,
      anon_sym_CARET,
    ACTIONS(8126), 1,
      anon_sym_GT_EQ,
    ACTIONS(8132), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8138), 1,
      anon_sym_xor,
    ACTIONS(8140), 1,
      anon_sym_not_eq,
    STATE(3602), 1,
      sym_subscript_argument_list,
    STATE(3603), 1,
      sym_argument_list,
    ACTIONS(6899), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8106), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8108), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8116), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8120), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8122), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8128), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8142), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8124), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [158803] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [158881] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6371), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [158975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8268), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5400), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8266), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [159033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [159123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(5458), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4373), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 1,
      anon_sym_SEMI,
    ACTIONS(5615), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [159229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_SEMI,
    ACTIONS(5615), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [159279] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [159361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6751), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [159455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5246), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [159513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6310), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(5054), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5061), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [159615] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8272), 1,
      anon_sym_COMMA,
    ACTIONS(8274), 1,
      anon_sym_SEMI,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7732), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159715] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159781] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      sym_auto,
    ACTIONS(8290), 1,
      anon_sym_decltype,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(5863), 1,
      sym_decltype_auto,
    STATE(6773), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5354), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159857] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [159945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(4150), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7195), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [160003] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [160093] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [160179] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8088), 1,
      anon_sym___declspec,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    ACTIONS(8096), 1,
      anon_sym_alignas,
    ACTIONS(7140), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7142), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8086), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4858), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160247] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [160331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5246), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160389] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8088), 1,
      anon_sym___declspec,
    ACTIONS(8094), 1,
      anon_sym_virtual,
    ACTIONS(8096), 1,
      anon_sym_alignas,
    ACTIONS(7181), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7183), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8086), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4858), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160457] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [160547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6779), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160595] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160671] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160743] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160811] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [160881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(5187), 1,
      sym_template_argument_list,
    ACTIONS(5058), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5061), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5054), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [160939] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [161029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_LBRACK,
    ACTIONS(5117), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5120), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5113), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [161081] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7748), 1,
      anon_sym_const,
    ACTIONS(7751), 1,
      anon_sym___inline,
    ACTIONS(8298), 1,
      anon_sym___attribute__,
    ACTIONS(8301), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8304), 1,
      anon_sym___declspec,
    ACTIONS(8307), 1,
      anon_sym_virtual,
    ACTIONS(8310), 1,
      anon_sym_alignas,
    ACTIONS(7150), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7152), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8295), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4858), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8292), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    ACTIONS(4357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4349), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161199] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8288), 1,
      sym_auto,
    ACTIONS(8290), 1,
      anon_sym_decltype,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(5863), 1,
      sym_decltype_auto,
    STATE(6758), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5288), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      sym_literal_suffix,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5440), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6755), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [161419] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym__declarator,
    STATE(7245), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(8038), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [161506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6545), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8313), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [161646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8315), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5341), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161697] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8320), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    STATE(5398), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6114), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6116), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161847] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8360), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7769), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6845), 1,
      sym__abstract_declarator,
    STATE(5387), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162019] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8368), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162114] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7880), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6862), 1,
      sym__abstract_declarator,
    STATE(5407), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6742), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162363] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8392), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162458] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8394), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7838), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162555] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8422), 1,
      anon_sym_RBRACK,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7835), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6525), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5294), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [162746] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8432), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8000), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162843] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8434), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8052), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162940] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8436), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8026), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163037] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8438), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7806), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163134] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8440), 1,
      anon_sym_COMMA,
    ACTIONS(8442), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8021), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163231] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8030), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5286), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [163375] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8446), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8083), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163472] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6751), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163565] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8448), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8076), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    STATE(5386), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6046), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6048), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163715] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8450), 1,
      anon_sym_COMMA,
    ACTIONS(8452), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7796), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163812] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(8456), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7932), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163909] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [163998] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7795), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164095] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8460), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7782), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164192] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8462), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7984), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6362), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164336] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8084), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164433] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [164518] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [164607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6533), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5254), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8470), 1,
      anon_sym_or,
    ACTIONS(8472), 1,
      anon_sym_and,
    ACTIONS(6270), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6272), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6549), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164897] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8474), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7737), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164994] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8476), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7970), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5258), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165232] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8478), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8097), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5311), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6553), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165517] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8480), 1,
      anon_sym_COMMA,
    ACTIONS(8482), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7989), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5262), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6503), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5262), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6371), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166037] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6371), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8472), 1,
      anon_sym_and,
    ACTIONS(6244), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6246), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6517), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5276), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5272), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166369] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8484), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7996), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166466] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(8486), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8069), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166563] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7216), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5045), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5612), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5315), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166687] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(8496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8498), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7932), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166784] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8500), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8118), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    STATE(5372), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6050), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6052), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [166934] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8502), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8116), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6499), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167078] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8392), 1,
      anon_sym_SEMI,
    ACTIONS(8504), 1,
      anon_sym_COMMA,
    ACTIONS(8507), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167175] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6871), 1,
      sym__abstract_declarator,
    STATE(5421), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167250] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8274), 1,
      anon_sym_SEMI,
    ACTIONS(8509), 1,
      anon_sym_COMMA,
    ACTIONS(8512), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167347] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8514), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7958), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6777), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167521] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6777), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4874), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167598] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8516), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8138), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5266), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167742] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
    ACTIONS(8520), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8524), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8522), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [167886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167933] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8526), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8158), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1725), 1,
      sym__fold_operator,
    ACTIONS(8530), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8528), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [168079] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8532), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8161), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168176] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8534), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8062), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2971), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6565), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168367] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [168456] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8011), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6443), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5266), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168647] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym__abstract_declarator,
    STATE(5378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2180), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168769] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8058), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5232), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5258), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6419), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169054] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [169119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6537), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6541), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [169349] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8540), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7816), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169446] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6757), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4946), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5644), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6439), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169617] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8542), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8133), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169714] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8544), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8024), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169811] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [169898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2180), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169945] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8546), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7730), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5254), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170089] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8548), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(8151), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170186] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8550), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7922), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2208), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170377] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8552), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7811), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(8082), 1,
      anon_sym_LPAREN2,
    STATE(5375), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5993), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5995), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [170527] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8554), 1,
      anon_sym_COMMA,
    ACTIONS(8556), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8171), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170624] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8558), 1,
      anon_sym_COMMA,
    ACTIONS(8560), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8167), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170721] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8562), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8170), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6387), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6509), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5615), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5613), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [171008] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8564), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8164), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [171235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5294), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6379), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5311), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171423] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6755), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171516] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7853), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8315), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5864), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3983), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171760] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8568), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7869), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6431), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5276), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5272), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171998] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [172067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8572), 1,
      anon_sym_LPAREN2,
    ACTIONS(8574), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8570), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [172116] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8576), 1,
      anon_sym_COMMA,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7867), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172213] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8580), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7842), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172357] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
    ACTIONS(8582), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7732), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172454] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8584), 1,
      anon_sym_COMMA,
    ACTIONS(8586), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7852), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172551] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8588), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7845), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172648] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8590), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7761), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172745] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [172816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7229), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5630), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172940] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7800), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [173104] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8594), 1,
      sym_identifier,
    ACTIONS(8598), 1,
      sym_primitive_type,
    STATE(5007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8596), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5752), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173159] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(8600), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8029), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2208), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5232), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [173444] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7830), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173588] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [173669] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_STAR,
    ACTIONS(6447), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6449), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6968), 1,
      sym__declarator,
    STATE(7279), 1,
      sym__abstract_declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    ACTIONS(8038), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173756] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8180), 1,
      anon_sym_PIPE,
    ACTIONS(8184), 1,
      anon_sym_AMP,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8196), 1,
      anon_sym_QMARK,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8200), 1,
      anon_sym_bitor,
    ACTIONS(8202), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8178), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8182), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8604), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [173849] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    ACTIONS(8606), 1,
      anon_sym_GT2,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    STATE(7875), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173946] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8186), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [174023] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(8162), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174120] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    STATE(7797), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174217] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8174), 1,
      anon_sym_SLASH,
    ACTIONS(8190), 1,
      anon_sym_GT_EQ,
    ACTIONS(8198), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8172), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8192), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8188), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7183), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5025), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174369] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7183), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174446] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3241), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9103), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6779), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [174626] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [174686] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174872] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3262), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9103), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5715), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174946] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8630), 1,
      anon_sym_COMMA,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175040] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8634), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175134] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8636), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175228] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3241), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9103), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5052), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6218), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [175360] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8638), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175454] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4500), 1,
      anon_sym_LPAREN2,
    ACTIONS(4502), 1,
      anon_sym_STAR,
    ACTIONS(4504), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4506), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8038), 1,
      anon_sym_RPAREN,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7040), 1,
      sym__declarator,
    STATE(7245), 1,
      sym__abstract_declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175540] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8640), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8642), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175726] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175820] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6949), 1,
      sym__abstract_declarator,
    STATE(5465), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175894] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8652), 1,
      anon_sym_COMMA,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6338), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [176046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5122), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5115), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [176094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6997), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5126), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176168] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3093), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8823), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5160), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5679), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176242] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8676), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176334] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6734), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [176422] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6759), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176510] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176604] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2360), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8914), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8642), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176770] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8682), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176862] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8684), 1,
      anon_sym_COMMA,
    ACTIONS(8686), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2441), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8914), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5073), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177030] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8688), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177124] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177218] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2400), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8914), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5760), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177292] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6371), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177384] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6334), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [177444] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8692), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(5438), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2360), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8914), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5080), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177660] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(3681), 1,
      sym_decltype_auto,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6965), 1,
      sym__abstract_declarator,
    STATE(5455), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177734] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8268), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5488), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8266), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [177884] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6755), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177976] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8698), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178068] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6689), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5179), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5764), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178142] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178298] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6759), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [178386] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6656), 1,
      sym__abstract_declarator,
    STATE(5103), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178454] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [178540] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3335), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8584), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5133), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5740), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178614] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178708] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6654), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [178776] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [178860] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6747), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178948] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3320), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9103), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5046), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5680), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6651), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179090] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8368), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179182] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3335), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8584), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5740), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179256] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8724), 1,
      anon_sym_COMMA,
    ACTIONS(8726), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179350] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6650), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8728), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179418] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [179500] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [179580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [179656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [179730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8084), 1,
      anon_sym_LBRACK,
    STATE(5331), 1,
      sym_new_declarator,
    ACTIONS(6197), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6199), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179780] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8730), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179874] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6709), 1,
      sym__abstract_declarator,
    STATE(5174), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8732), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8507), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180126] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [180196] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [180262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      sym_literal_suffix,
    ACTIONS(4357), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180310] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6682), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5744), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7269), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180458] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [180526] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8736), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180620] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5121), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180694] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8738), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180788] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7011), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180862] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7011), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5145), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7268), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181102] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8740), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181194] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6730), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181282] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3446), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8584), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5704), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181448] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8744), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181542] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8746), 1,
      anon_sym_COMMA,
    ACTIONS(8748), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181636] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6747), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [181724] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8750), 1,
      anon_sym_COMMA,
    ACTIONS(8752), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181818] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6751), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181910] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6751), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5447), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8754), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6707), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [182126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5560), 1,
      anon_sym_LPAREN2,
    ACTIONS(5566), 1,
      anon_sym_LBRACK,
    ACTIONS(4357), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4349), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [182178] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182272] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7276), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5128), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5695), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182346] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182420] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8520), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182514] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6730), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [182602] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3442), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8584), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5105), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5743), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182740] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6260), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182800] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [182886] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6755), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182978] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8758), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183072] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183164] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8044), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6938), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5177), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5766), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183330] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6734), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6712), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8728), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [183486] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6715), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3086), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8823), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183628] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8764), 1,
      anon_sym_COMMA,
    ACTIONS(8766), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183722] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [183806] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3086), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8823), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5190), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5714), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8740), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183972] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8740), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184064] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6704), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8728), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184132] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [184204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6701), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8722), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [184272] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [184342] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8768), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184436] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8770), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184530] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6696), 1,
      sym__abstract_declarator,
    STATE(5159), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [184680] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6705), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184748] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [184828] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8322), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8336), 1,
      anon_sym_PIPE,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8350), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8354), 1,
      anon_sym_bitor,
    ACTIONS(8356), 1,
      anon_sym_bitand,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6371), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8332), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8334), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8338), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184920] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6928), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184994] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6260), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [185060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6661), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185134] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6928), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5188), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5758), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185208] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8772), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185302] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8774), 1,
      anon_sym_COMMA,
    ACTIONS(8776), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6661), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5120), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5754), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185470] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8342), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [185546] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185640] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    ACTIONS(7298), 1,
      anon_sym_LBRACK,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    ACTIONS(8330), 1,
      anon_sym_SLASH,
    ACTIONS(8346), 1,
      anon_sym_LT_LT,
    ACTIONS(8348), 1,
      anon_sym_GT_GT,
    ACTIONS(8352), 1,
      anon_sym_LT_EQ_GT,
    STATE(4138), 1,
      sym_subscript_argument_list,
    STATE(4140), 1,
      sym_argument_list,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7302), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8358), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8344), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [185714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_LBRACK,
    ACTIONS(5117), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5120), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5113), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [185764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6918), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185838] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8780), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185932] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3056), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8823), 1,
      sym_ms_based_modifier,
    ACTIONS(8620), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8618), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186006] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(7384), 1,
      anon_sym_COMMA,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8274), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8782), 1,
      anon_sym_COLON,
    STATE(3741), 1,
      sym_attribute_specifier,
    STATE(4425), 1,
      sym__enum_base_clause,
    STATE(4471), 1,
      sym_enumerator_list,
    ACTIONS(6133), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6135), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [186157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5255), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5613), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186206] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8786), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8812), 1,
      anon_sym_COLON,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8822), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186479] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8824), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186570] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6332), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6334), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [186629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186720] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8826), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8828), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187084] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187175] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187266] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8834), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6258), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8836), 1,
      anon_sym_LT,
    STATE(5443), 1,
      sym_template_argument_list,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5061), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [187467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5214), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6076), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6074), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187516] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187607] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8842), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8844), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8846), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6007), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6005), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8850), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8852), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188251] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8854), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188342] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8856), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8858), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188524] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188615] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5216), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188755] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8862), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188846] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8864), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188937] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189028] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189119] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8866), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5255), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5708), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [189259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8871), 1,
      anon_sym_const,
    ACTIONS(5478), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8868), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5480), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [189310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8874), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189401] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8876), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189583] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8878), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189674] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8880), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189765] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4859), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189856] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4807), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189947] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8882), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190038] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8884), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190129] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8886), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190311] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8888), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(8782), 1,
      anon_sym_COLON,
    STATE(3769), 1,
      sym_attribute_specifier,
    STATE(4428), 1,
      sym__enum_base_clause,
    STATE(4477), 1,
      sym_enumerator_list,
    ACTIONS(6139), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6141), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [190459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6001), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5999), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [190599] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8890), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190690] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190781] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190872] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190963] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191145] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8902), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8904), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4866), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6011), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8848), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6009), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [191376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8908), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8912), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191740] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191831] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191922] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8916), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192104] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8920), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192195] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8922), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192286] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8924), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8926), 1,
      anon_sym_RBRACE,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8928), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8930), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8932), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8934), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8936), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    ACTIONS(4357), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4349), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192970] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193061] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8940), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6779), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [193197] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8942), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8836), 1,
      anon_sym_LT,
    STATE(5443), 1,
      sym_template_argument_list,
    STATE(5447), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8754), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [193343] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6755), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5348), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8944), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193501] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8946), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7057), 1,
      sym__abstract_declarator,
    STATE(5495), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193756] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8956), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193938] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8958), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194029] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(8960), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194120] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194187] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8962), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194278] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6734), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6371), 1,
      anon_sym_COLON,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194456] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [194519] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [194604] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8964), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194695] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8966), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194786] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8968), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194877] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [194960] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [195041] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6258), 1,
      anon_sym_PIPE,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [195120] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8970), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8972), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8974), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8976), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195484] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8978), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6218), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [195632] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8980), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195723] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [195798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6258), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [195962] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196053] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8986), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196144] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [196213] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [196278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6258), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6260), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [196345] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7070), 1,
      sym__abstract_declarator,
    STATE(5479), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6747), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196505] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(8988), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196596] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6751), 1,
      anon_sym_COLON,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196687] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6730), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196774] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6755), 1,
      anon_sym_COLON,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196865] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196956] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197047] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [197106] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197197] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [197256] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8994), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8996), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8998), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9000), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9002), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6310), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [197756] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9004), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      sym_literal_suffix,
    ACTIONS(5438), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5440), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [197894] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9006), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9008), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5341), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198034] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9011), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198125] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198212] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9013), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198303] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(9015), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8836), 1,
      anon_sym_LT,
    STATE(5443), 1,
      sym_template_argument_list,
    ACTIONS(5458), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4373), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198445] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9017), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9019), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198627] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198718] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9021), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6336), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6338), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [198866] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9023), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5341), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(9008), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5861), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5864), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199008] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6815), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9029), 1,
      sym_primitive_type,
    STATE(5347), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9027), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5750), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5752), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199128] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9031), 1,
      anon_sym_COMMA,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199219] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9033), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9035), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199401] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9037), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199492] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6812), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9039), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9041), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(9043), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9047), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(7453), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_PIPE,
    ACTIONS(8802), 1,
      anon_sym_AMP,
    ACTIONS(8808), 1,
      anon_sym_GT_EQ,
    ACTIONS(8814), 1,
      anon_sym_QMARK,
    ACTIONS(8816), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8818), 1,
      anon_sym_bitor,
    ACTIONS(8820), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_COLON,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(7455), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8788), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8794), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8796), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8800), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8810), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8804), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8806), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200378] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200560] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9053), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200651] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_RBRACK,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200924] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8402), 1,
      anon_sym_SLASH,
    ACTIONS(8408), 1,
      anon_sym_PIPE,
    ACTIONS(8412), 1,
      anon_sym_AMP,
    ACTIONS(8418), 1,
      anon_sym_GT_EQ,
    ACTIONS(8424), 1,
      anon_sym_QMARK,
    ACTIONS(8426), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8428), 1,
      anon_sym_bitor,
    ACTIONS(8430), 1,
      anon_sym_bitand,
    ACTIONS(9057), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8398), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8400), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8404), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8406), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8410), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8420), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8414), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8416), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201015] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    ACTIONS(9059), 1,
      anon_sym_SEMI,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6453), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6497), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6499), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201194] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9068), 1,
      anon_sym_requires,
    STATE(5502), 1,
      sym_ref_qualifier,
    STATE(6462), 1,
      sym__function_attributes_end,
    STATE(6619), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5952), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6533), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6549), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6371), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201408] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6861), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9075), 1,
      anon_sym___attribute__,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9073), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9071), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [201522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6525), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5107), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [201620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6377), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6379), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6503), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201708] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(5498), 1,
      sym_ref_qualifier,
    STATE(6460), 1,
      sym__function_attributes_end,
    STATE(6601), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5951), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [201790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6407), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6342), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201878] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6831), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6553), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6541), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6435), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym__abstract_declarator,
    STATE(5417), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6437), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6439), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202186] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_DOT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8238), 1,
      anon_sym_SLASH,
    ACTIONS(8244), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_PIPE,
    ACTIONS(8258), 1,
      anon_sym_AMP,
    ACTIONS(8260), 1,
      anon_sym_QMARK,
    ACTIONS(8262), 1,
      anon_sym_bitor,
    ACTIONS(8264), 1,
      anon_sym_bitand,
    STATE(2878), 1,
      sym_subscript_argument_list,
    STATE(2880), 1,
      sym_argument_list,
    ACTIONS(6224), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7812), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8234), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8236), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8246), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8250), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8252), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8256), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8240), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8242), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6535), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6537), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6385), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6387), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6493), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6443), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6507), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6509), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(9080), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9078), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6403), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6477), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6485), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202720] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7120), 1,
      sym__abstract_declarator,
    STATE(5518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8144), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8268), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8266), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6417), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6419), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202886] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6885), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3987), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3983), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6489), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9088), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9090), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6270), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6272), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6360), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6362), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6563), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6565), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6545), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6358), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6354), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6411), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203352] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6868), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6890), 1,
      sym__abstract_declarator,
    STATE(5422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6431), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6350), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203572] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6880), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6839), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6346), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203748] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7098), 1,
      sym__abstract_declarator,
    STATE(5519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8160), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203820] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5503), 1,
      sym_field_declaration_list,
    STATE(5583), 1,
      sym_attribute_specifier,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8289), 1,
      sym_base_class_clause,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5371), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [203880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2971), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9090), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6244), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6246), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6391), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [204014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6395), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [204058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9097), 1,
      anon_sym_const,
    ACTIONS(5478), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9094), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5480), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [204107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(2969), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5801), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [204160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9100), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6007), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9100), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6005), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9102), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5708), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5470), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5100), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5092), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5096), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5088), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5084), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5077), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5642), 1,
      sym_field_declaration_list,
    STATE(5855), 1,
      sym_attribute_specifier,
    STATE(7710), 1,
      sym_virtual_specifier,
    STATE(8563), 1,
      sym_base_class_clause,
    ACTIONS(5369), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5371), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5120), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5433), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9108), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6076), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9110), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6074), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6011), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9100), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6009), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5335), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6001), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9100), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5999), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5073), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5468), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5470), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6288), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [205025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6214), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [205068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5581), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5583), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5476), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [205156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    STATE(2463), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5107), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [205209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7016), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7140), 1,
      sym__abstract_declarator,
    STATE(5592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8160), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6962), 1,
      sym__abstract_declarator,
    STATE(5467), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3491), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [205453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6233), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6235), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [205496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9120), 1,
      anon_sym_SEMI,
    ACTIONS(6491), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6493), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [205541] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(5532), 1,
      sym_ref_qualifier,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6406), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5966), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [205622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9136), 1,
      anon_sym_COLON,
    STATE(5477), 1,
      sym__enum_base_clause,
    STATE(5523), 1,
      sym_enumerator_list,
    STATE(5556), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6141), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5653), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [205720] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(5554), 1,
      sym_decltype_auto,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7158), 1,
      sym__abstract_declarator,
    STATE(5584), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8144), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205791] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6951), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205856] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5564), 1,
      sym_ref_qualifier,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6385), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5963), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [205937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6950), 1,
      sym__abstract_declarator,
    STATE(5231), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7420), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9136), 1,
      anon_sym_COLON,
    STATE(5475), 1,
      sym__enum_base_clause,
    STATE(5517), 1,
      sym_enumerator_list,
    STATE(5586), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6135), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206057] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5635), 1,
      sym_ref_qualifier,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6415), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5985), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [206137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5609), 1,
      sym_ref_qualifier,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(6553), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5978), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [206217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3047), 1,
      sym_primitive_type,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9147), 1,
      sym_identifier,
    ACTIONS(9149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9153), 1,
      anon_sym_EQ,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(4547), 1,
      sym_qualified_type_identifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    ACTIONS(9151), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [206301] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5608), 1,
      sym_ref_qualifier,
    STATE(6344), 1,
      sym__function_attributes_end,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5977), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [206381] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5607), 1,
      sym_ref_qualifier,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6530), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5976), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [206461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5468), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5470), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [206503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    STATE(5522), 1,
      sym_enumerator_list,
    STATE(5575), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5886), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206553] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(5627), 1,
      sym_ref_qualifier,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6409), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5991), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [206633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    STATE(5508), 1,
      sym_enumerator_list,
    STATE(5552), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5764), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206683] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7041), 1,
      sym__abstract_declarator,
    STATE(5481), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206747] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7025), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206811] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(5634), 1,
      sym_ref_qualifier,
    STATE(6400), 1,
      sym__function_attributes_end,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5993), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [206891] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7068), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9157), 1,
      anon_sym_COLON,
    STATE(5539), 1,
      sym__enum_base_clause,
    STATE(5647), 1,
      sym_enumerator_list,
    STATE(5827), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6135), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9159), 1,
      anon_sym_LT,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5061), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [207057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9159), 1,
      anon_sym_LT,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(5458), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4373), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [207105] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5650), 1,
      sym_ref_qualifier,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6494), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5997), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [207185] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9157), 1,
      anon_sym_COLON,
    STATE(5533), 1,
      sym__enum_base_clause,
    STATE(5649), 1,
      sym_enumerator_list,
    STATE(5858), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6141), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5458), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4373), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [207287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(9080), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9078), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [207335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
    ACTIONS(5054), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5061), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [207383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9161), 1,
      anon_sym___attribute__,
    STATE(5490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9073), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9071), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [207429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7206), 1,
      sym__abstract_declarator,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8144), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7225), 1,
      sym__abstract_declarator,
    STATE(5640), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8160), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5446), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9102), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [207615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(5632), 1,
      sym_ref_qualifier,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5980), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [207695] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7067), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8268), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8266), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [207807] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6460), 1,
      sym__function_attributes_end,
    STATE(6601), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5951), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207880] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6640), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5932), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [207953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5543), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5890), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5602), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5964), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208043] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7275), 1,
      sym__abstract_declarator,
    STATE(5746), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8160), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208112] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9187), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym__function_attributes_end,
    STATE(6578), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5938), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5530), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5939), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5595), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5943), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208275] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(6993), 1,
      sym_auto,
    ACTIONS(6995), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(3413), 1,
      sym_decltype_auto,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7246), 1,
      sym__abstract_declarator,
    STATE(5671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8144), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5589), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5968), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208389] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9068), 1,
      anon_sym_requires,
    STATE(6462), 1,
      sym__function_attributes_end,
    STATE(6619), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5952), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5601), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5960), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208507] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9153), 1,
      anon_sym_EQ,
    ACTIONS(9190), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9151), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5940), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [208596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7105), 1,
      sym__abstract_declarator,
    STATE(5513), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6163), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5555), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5916), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(5771), 1,
      sym_ref_qualifier,
    STATE(6652), 1,
      sym__function_attributes_end,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6019), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [208783] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7089), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7003), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8156), 1,
      sym_auto,
    ACTIONS(8158), 1,
      anon_sym_decltype,
    STATE(5554), 1,
      sym_decltype_auto,
    ACTIONS(5490), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5492), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208893] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5705), 1,
      sym_ref_qualifier,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6034), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [208972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3493), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [209013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5572), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5956), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209058] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7101), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8722), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209121] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7104), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8728), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5590), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5931), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5546), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5986), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5531), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5978), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    STATE(5535), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5935), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209364] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_requires,
    STATE(5669), 1,
      sym_ref_qualifier,
    STATE(6570), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6015), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [209443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9159), 1,
      anon_sym_LT,
    STATE(2969), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3091), 1,
      sym_template_argument_list,
    ACTIONS(4347), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [209494] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(5672), 1,
      sym_ref_qualifier,
    STATE(6685), 1,
      sym__function_attributes_end,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6018), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [209573] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7252), 1,
      sym__abstract_declarator,
    STATE(5735), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8144), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209642] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7249), 1,
      sym__abstract_declarator,
    STATE(5689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8160), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5779), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5738), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5704), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209831] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym___attribute__,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6405), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5960), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209903] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5626), 1,
      sym_enumerator_list,
    STATE(5822), 1,
      sym_attribute_specifier,
    ACTIONS(5762), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5764), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [209951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9210), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9216), 1,
      sym_primitive_type,
    ACTIONS(9218), 1,
      anon_sym_enum,
    ACTIONS(9220), 1,
      anon_sym_class,
    ACTIONS(9222), 1,
      anon_sym_struct,
    ACTIONS(9224), 1,
      anon_sym_union,
    ACTIONS(9226), 1,
      sym_auto,
    ACTIONS(9228), 1,
      anon_sym_decltype,
    ACTIONS(9230), 1,
      anon_sym_typename,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3074), 1,
      sym__type_specifier,
    STATE(3533), 1,
      sym_qualified_type_identifier,
    STATE(3572), 1,
      sym_decltype_auto,
    STATE(5674), 1,
      sym_argument_list,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3380), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3580), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5712), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9232), 1,
      sym_identifier,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      sym_primitive_type,
    ACTIONS(9240), 1,
      anon_sym_enum,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_struct,
    ACTIONS(9246), 1,
      anon_sym_union,
    ACTIONS(9248), 1,
      sym_auto,
    ACTIONS(9250), 1,
      anon_sym_decltype,
    ACTIONS(9252), 1,
      anon_sym_typename,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3256), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_decltype_auto,
    STATE(3987), 1,
      sym_qualified_type_identifier,
    STATE(5656), 1,
      sym_argument_list,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3686), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3980), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5673), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210191] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9260), 1,
      sym_primitive_type,
    ACTIONS(9262), 1,
      anon_sym_enum,
    ACTIONS(9264), 1,
      anon_sym_class,
    ACTIONS(9266), 1,
      anon_sym_struct,
    ACTIONS(9268), 1,
      anon_sym_union,
    ACTIONS(9270), 1,
      sym_auto,
    ACTIONS(9272), 1,
      anon_sym_decltype,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4450), 1,
      sym__type_specifier,
    STATE(4759), 1,
      sym_decltype_auto,
    STATE(4764), 1,
      sym_qualified_type_identifier,
    STATE(5667), 1,
      sym_argument_list,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4719), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4727), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210271] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5606), 1,
      sym_enumerator_list,
    STATE(5809), 1,
      sym_attribute_specifier,
    ACTIONS(5884), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5886), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210319] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(5920), 1,
      sym_ref_qualifier,
    STATE(6807), 1,
      sym__function_attributes_end,
    STATE(7003), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [210397] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9232), 1,
      sym_identifier,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      sym_primitive_type,
    ACTIONS(9240), 1,
      anon_sym_enum,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_struct,
    ACTIONS(9246), 1,
      anon_sym_union,
    ACTIONS(9248), 1,
      sym_auto,
    ACTIONS(9250), 1,
      anon_sym_decltype,
    ACTIONS(9252), 1,
      anon_sym_typename,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3312), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_decltype_auto,
    STATE(3987), 1,
      sym_qualified_type_identifier,
    STATE(5692), 1,
      sym_argument_list,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3686), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3980), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210477] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9210), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9216), 1,
      sym_primitive_type,
    ACTIONS(9218), 1,
      anon_sym_enum,
    ACTIONS(9220), 1,
      anon_sym_class,
    ACTIONS(9222), 1,
      anon_sym_struct,
    ACTIONS(9224), 1,
      anon_sym_union,
    ACTIONS(9226), 1,
      sym_auto,
    ACTIONS(9228), 1,
      anon_sym_decltype,
    ACTIONS(9230), 1,
      anon_sym_typename,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3085), 1,
      sym__type_specifier,
    STATE(3533), 1,
      sym_qualified_type_identifier,
    STATE(3572), 1,
      sym_decltype_auto,
    STATE(5710), 1,
      sym_argument_list,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3380), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3580), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5657), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210597] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5246), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4347), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4355), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [210647] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9276), 1,
      sym_identifier,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      anon_sym_enum,
    ACTIONS(9286), 1,
      anon_sym_class,
    ACTIONS(9288), 1,
      anon_sym_struct,
    ACTIONS(9290), 1,
      anon_sym_union,
    ACTIONS(9292), 1,
      sym_auto,
    ACTIONS(9294), 1,
      anon_sym_decltype,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3013), 1,
      sym__type_specifier,
    STATE(3334), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_decltype_auto,
    STATE(5661), 1,
      sym_argument_list,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5724), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5746), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210807] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6385), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5963), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [210879] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9298), 1,
      sym_identifier,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9304), 1,
      sym_primitive_type,
    ACTIONS(9306), 1,
      anon_sym_enum,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9318), 1,
      anon_sym_typename,
    STATE(2099), 1,
      sym__type_specifier,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(5769), 1,
      sym_argument_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210959] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9324), 1,
      sym_primitive_type,
    ACTIONS(9326), 1,
      anon_sym_enum,
    ACTIONS(9328), 1,
      anon_sym_typename,
    STATE(2099), 1,
      sym__type_specifier,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(5685), 1,
      sym_argument_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5615), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5716), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211119] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4444), 1,
      sym__type_specifier,
    STATE(5742), 1,
      sym_argument_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5878), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5700), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5696), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211319] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9298), 1,
      sym_identifier,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9304), 1,
      sym_primitive_type,
    ACTIONS(9306), 1,
      anon_sym_enum,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9318), 1,
      anon_sym_typename,
    STATE(2100), 1,
      sym__type_specifier,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(5765), 1,
      sym_argument_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5708), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5730), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9344), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6212), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6214), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211521] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9260), 1,
      sym_primitive_type,
    ACTIONS(9262), 1,
      anon_sym_enum,
    ACTIONS(9264), 1,
      anon_sym_class,
    ACTIONS(9266), 1,
      anon_sym_struct,
    ACTIONS(9268), 1,
      anon_sym_union,
    ACTIONS(9270), 1,
      sym_auto,
    ACTIONS(9272), 1,
      anon_sym_decltype,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4453), 1,
      sym__type_specifier,
    STATE(4759), 1,
      sym_decltype_auto,
    STATE(4764), 1,
      sym_qualified_type_identifier,
    STATE(5673), 1,
      sym_argument_list,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4719), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4727), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211601] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4660), 1,
      sym__type_specifier,
    STATE(5745), 1,
      sym_argument_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5813), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211721] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym___attribute__,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6343), 1,
      sym__function_attributes_end,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5965), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5746), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5734), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211873] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9324), 1,
      sym_primitive_type,
    ACTIONS(9326), 1,
      anon_sym_enum,
    ACTIONS(9328), 1,
      anon_sym_typename,
    STATE(2100), 1,
      sym__type_specifier,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(5761), 1,
      sym_argument_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5857), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [211993] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2963), 1,
      sym__type_specifier,
    STATE(3184), 1,
      sym_qualified_type_identifier,
    STATE(3221), 1,
      sym_decltype_auto,
    STATE(5698), 1,
      sym_argument_list,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3220), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2280), 1,
      sym_attribute_specifier,
    STATE(6041), 1,
      sym_field_declaration_list,
    STATE(7604), 1,
      sym_virtual_specifier,
    STATE(8276), 1,
      sym_base_class_clause,
    ACTIONS(5371), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5369), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [212129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2938), 1,
      sym__type_specifier,
    STATE(3184), 1,
      sym_qualified_type_identifier,
    STATE(3221), 1,
      sym_decltype_auto,
    STATE(5690), 1,
      sym_argument_list,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3220), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5850), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6406), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5966), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5480), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(8871), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5478), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [212365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5846), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5673), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7138), 1,
      sym__abstract_declarator,
    STATE(5603), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6163), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5809), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212547] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      anon_sym_enum,
    ACTIONS(9379), 1,
      anon_sym_class,
    ACTIONS(9381), 1,
      anon_sym_struct,
    ACTIONS(9383), 1,
      anon_sym_union,
    ACTIONS(9385), 1,
      sym_auto,
    ACTIONS(9387), 1,
      anon_sym_decltype,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4334), 1,
      sym__type_specifier,
    STATE(4620), 1,
      sym_decltype_auto,
    STATE(5703), 1,
      sym_argument_list,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4545), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4618), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212627] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      sym_primitive_type,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      anon_sym_enum,
    ACTIONS(9397), 1,
      anon_sym_class,
    ACTIONS(9399), 1,
      anon_sym_struct,
    ACTIONS(9401), 1,
      anon_sym_union,
    ACTIONS(9403), 1,
      anon_sym_typename,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(4690), 1,
      sym__type_specifier,
    STATE(5720), 1,
      sym_argument_list,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212707] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4442), 1,
      sym__type_specifier,
    STATE(5768), 1,
      sym_argument_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212787] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7982), 1,
      sym_primitive_type,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      anon_sym_enum,
    ACTIONS(9397), 1,
      anon_sym_class,
    ACTIONS(9399), 1,
      anon_sym_struct,
    ACTIONS(9401), 1,
      anon_sym_union,
    ACTIONS(9403), 1,
      anon_sym_typename,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(4709), 1,
      sym__type_specifier,
    STATE(5741), 1,
      sym_argument_list,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [212867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5760), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212907] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7173), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8722), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212969] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4633), 1,
      sym__type_specifier,
    STATE(5659), 1,
      sym_argument_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [213049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5692), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5677), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9276), 1,
      sym_identifier,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      anon_sym_enum,
    ACTIONS(9286), 1,
      anon_sym_class,
    ACTIONS(9288), 1,
      anon_sym_struct,
    ACTIONS(9290), 1,
      anon_sym_union,
    ACTIONS(9292), 1,
      sym_auto,
    ACTIONS(9294), 1,
      anon_sym_decltype,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3018), 1,
      sym__type_specifier,
    STATE(3334), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_decltype_auto,
    STATE(5706), 1,
      sym_argument_list,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [213209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5817), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5688), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213289] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      anon_sym_enum,
    ACTIONS(9379), 1,
      anon_sym_class,
    ACTIONS(9381), 1,
      anon_sym_struct,
    ACTIONS(9383), 1,
      anon_sym_union,
    ACTIONS(9385), 1,
      sym_auto,
    ACTIONS(9387), 1,
      anon_sym_decltype,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4347), 1,
      sym__type_specifier,
    STATE(4620), 1,
      sym_decltype_auto,
    STATE(5700), 1,
      sym_argument_list,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4545), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4618), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [213369] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7143), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8728), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5681), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5886), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9412), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5594), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9409), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9407), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9405), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [213519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5742), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5821), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213599] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_requires,
    STATE(5879), 1,
      sym_ref_qualifier,
    STATE(6744), 1,
      sym__function_attributes_end,
    STATE(6983), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [213677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5829), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5837), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5720), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5833), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5825), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_const,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7132), 1,
      sym__abstract_declarator,
    STATE(5430), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7003), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7653), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5673), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213979] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6530), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5976), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5774), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5978), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214093] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(6475), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6010), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214164] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(6396), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6000), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214235] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6449), 1,
      sym_trailing_return_type,
    STATE(6554), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5979), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [214306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(9427), 1,
      anon_sym_COLON,
    STATE(3078), 1,
      sym__enum_base_clause,
    STATE(3106), 1,
      sym_enumerator_list,
    STATE(3438), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6141), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [214357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5775), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5986), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(7183), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214461] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5980), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5856), 1,
      sym_attribute_specifier,
    ACTIONS(5888), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5890), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5807), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5964), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214618] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(6553), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5978), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [214689] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(6722), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214750] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7224), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8722), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214811] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(6742), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(4373), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5458), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [214917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    ACTIONS(5061), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5054), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [214962] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(7229), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9429), 1,
      anon_sym_COLON,
    STATE(2250), 1,
      sym_attribute_specifier,
    STATE(2830), 1,
      sym__enum_base_clause,
    STATE(2959), 1,
      sym_enumerator_list,
    ACTIONS(6133), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6135), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [215074] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6400), 1,
      sym__function_attributes_end,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5993), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7220), 1,
      sym__abstract_declarator,
    STATE(5645), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6163), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5808), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5960), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215249] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6408), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5983), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215320] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6415), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5985), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5829), 1,
      sym_attribute_specifier,
    ACTIONS(5929), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5931), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(7207), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5859), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5916), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215538] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6472), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5990), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [215609] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6409), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5991), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215680] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6398), 1,
      sym__function_attributes_end,
    STATE(6449), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5981), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215751] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    STATE(6426), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5996), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [215822] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6344), 1,
      sym__function_attributes_end,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5977), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215893] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym___attribute__,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(9427), 1,
      anon_sym_COLON,
    STATE(3037), 1,
      sym__enum_base_clause,
    STATE(3182), 1,
      sym_enumerator_list,
    STATE(3437), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6135), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8160), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7384), 1,
      sym__abstract_declarator,
    STATE(5954), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5816), 1,
      sym_attribute_specifier,
    ACTIONS(5941), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5943), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216054] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7235), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8728), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216115] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7888), 1,
      sym_auto,
    ACTIONS(7890), 1,
      anon_sym_decltype,
    ACTIONS(8144), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(2315), 1,
      sym_decltype_auto,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7371), 1,
      sym__abstract_declarator,
    STATE(5950), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5817), 1,
      sym_attribute_specifier,
    ACTIONS(5937), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5939), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9429), 1,
      anon_sym_COLON,
    STATE(2252), 1,
      sym_attribute_specifier,
    STATE(2914), 1,
      sym__enum_base_clause,
    STATE(2954), 1,
      sym_enumerator_list,
    ACTIONS(6139), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6141), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [216276] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(6777), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    ACTIONS(9172), 1,
      anon_sym_const,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7234), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7003), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5798), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5968), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5810), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5956), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_STAR,
    ACTIONS(9439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9441), 1,
      anon_sym_AMP,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7028), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7003), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9104), 1,
      anon_sym___attribute__,
    STATE(5788), 1,
      sym_attribute_specifier,
    ACTIONS(5933), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5935), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216588] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    STATE(6528), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5989), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [216659] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_STAR,
    ACTIONS(9439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9441), 1,
      anon_sym_AMP,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7036), 1,
      sym__abstract_declarator,
    STATE(5648), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6163), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216720] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6494), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5997), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [216791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5855), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5857), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216829] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7264), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216887] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6652), 1,
      sym__function_attributes_end,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6019), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216957] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9232), 1,
      sym_identifier,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      sym_primitive_type,
    ACTIONS(9240), 1,
      anon_sym_enum,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_struct,
    ACTIONS(9246), 1,
      anon_sym_union,
    ACTIONS(9248), 1,
      sym_auto,
    ACTIONS(9250), 1,
      anon_sym_decltype,
    ACTIONS(9252), 1,
      anon_sym_typename,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3248), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_decltype_auto,
    STATE(3987), 1,
      sym_qualified_type_identifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3686), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3980), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5675), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5677), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(7412), 1,
      sym__type_specifier,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217143] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4658), 1,
      sym__type_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      anon_sym_AMP,
    ACTIONS(9446), 1,
      anon_sym_const,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9443), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5480), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217261] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9276), 1,
      sym_identifier,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      anon_sym_enum,
    ACTIONS(9286), 1,
      anon_sym_class,
    ACTIONS(9288), 1,
      anon_sym_struct,
    ACTIONS(9290), 1,
      anon_sym_union,
    ACTIONS(9292), 1,
      sym_auto,
    ACTIONS(9294), 1,
      anon_sym_decltype,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3002), 1,
      sym__type_specifier,
    STATE(3334), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_decltype_auto,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7011), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217393] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7937), 1,
      sym_identifier,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7945), 1,
      anon_sym_enum,
    ACTIONS(7947), 1,
      anon_sym_class,
    ACTIONS(7949), 1,
      anon_sym_struct,
    ACTIONS(7951), 1,
      anon_sym_union,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7957), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5514), 1,
      sym__type_specifier,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2135), 1,
      sym__type_specifier,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217541] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6249), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7837), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [217611] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9260), 1,
      sym_primitive_type,
    ACTIONS(9262), 1,
      anon_sym_enum,
    ACTIONS(9264), 1,
      anon_sym_class,
    ACTIONS(9266), 1,
      anon_sym_struct,
    ACTIONS(9268), 1,
      anon_sym_union,
    ACTIONS(9270), 1,
      sym_auto,
    ACTIONS(9272), 1,
      anon_sym_decltype,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4677), 1,
      sym__type_specifier,
    STATE(4759), 1,
      sym_decltype_auto,
    STATE(4764), 1,
      sym_qualified_type_identifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4719), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4727), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217685] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9260), 1,
      sym_primitive_type,
    ACTIONS(9262), 1,
      anon_sym_enum,
    ACTIONS(9264), 1,
      anon_sym_class,
    ACTIONS(9266), 1,
      anon_sym_struct,
    ACTIONS(9268), 1,
      anon_sym_union,
    ACTIONS(9270), 1,
      sym_auto,
    ACTIONS(9272), 1,
      anon_sym_decltype,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4461), 1,
      sym__type_specifier,
    STATE(4759), 1,
      sym_decltype_auto,
    STATE(4764), 1,
      sym_qualified_type_identifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4719), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4727), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217759] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7269), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217817] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9449), 1,
      anon_sym_requires,
    STATE(6613), 1,
      sym__function_attributes_end,
    STATE(6780), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(5962), 1,
      sym_ref_qualifier,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7021), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [217963] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7278), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8722), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218023] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6659), 1,
      sym__function_attributes_end,
    STATE(6731), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6013), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218093] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9254), 1,
      sym_identifier,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9260), 1,
      sym_primitive_type,
    ACTIONS(9262), 1,
      anon_sym_enum,
    ACTIONS(9264), 1,
      anon_sym_class,
    ACTIONS(9266), 1,
      anon_sym_struct,
    ACTIONS(9268), 1,
      anon_sym_union,
    ACTIONS(9270), 1,
      sym_auto,
    ACTIONS(9272), 1,
      anon_sym_decltype,
    ACTIONS(9274), 1,
      anon_sym_typename,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4479), 1,
      sym__type_specifier,
    STATE(4759), 1,
      sym_decltype_auto,
    STATE(4764), 1,
      sym_qualified_type_identifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4719), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4727), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9210), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9216), 1,
      sym_primitive_type,
    ACTIONS(9218), 1,
      anon_sym_enum,
    ACTIONS(9220), 1,
      anon_sym_class,
    ACTIONS(9222), 1,
      anon_sym_struct,
    ACTIONS(9224), 1,
      anon_sym_union,
    ACTIONS(9226), 1,
      sym_auto,
    ACTIONS(9228), 1,
      anon_sym_decltype,
    ACTIONS(9230), 1,
      anon_sym_typename,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3035), 1,
      sym__type_specifier,
    STATE(3533), 1,
      sym_qualified_type_identifier,
    STATE(3572), 1,
      sym_decltype_auto,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3380), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3580), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9276), 1,
      sym_identifier,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      anon_sym_enum,
    ACTIONS(9286), 1,
      anon_sym_class,
    ACTIONS(9288), 1,
      anon_sym_struct,
    ACTIONS(9290), 1,
      anon_sym_union,
    ACTIONS(9292), 1,
      sym_auto,
    ACTIONS(9294), 1,
      anon_sym_decltype,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3289), 1,
      sym__type_specifier,
    STATE(3334), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_decltype_auto,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218315] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6300), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(8049), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [218385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5734), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5615), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218463] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3086), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(8823), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218521] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3241), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3047), 1,
      sym_primitive_type,
    ACTIONS(5130), 1,
      sym_identifier,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(4547), 1,
      sym_qualified_type_identifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5571), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5478), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5480), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9446), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218733] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7237), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7003), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9324), 1,
      sym_primitive_type,
    ACTIONS(9326), 1,
      anon_sym_enum,
    ACTIONS(9328), 1,
      anon_sym_typename,
    STATE(2090), 1,
      sym__type_specifier,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218867] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7271), 1,
      sym__abstract_declarator,
    STATE(5684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6163), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218927] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3262), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219059] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7242), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8728), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219119] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2929), 1,
      sym__type_specifier,
    STATE(3184), 1,
      sym_qualified_type_identifier,
    STATE(3221), 1,
      sym_decltype_auto,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3220), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219193] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6512), 1,
      sym__declarator,
    STATE(7917), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219263] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9232), 1,
      sym_identifier,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      sym_primitive_type,
    ACTIONS(9240), 1,
      anon_sym_enum,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_struct,
    ACTIONS(9246), 1,
      anon_sym_union,
    ACTIONS(9248), 1,
      sym_auto,
    ACTIONS(9250), 1,
      anon_sym_decltype,
    ACTIONS(9252), 1,
      anon_sym_typename,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3242), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_decltype_auto,
    STATE(3987), 1,
      sym_qualified_type_identifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3686), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3980), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219337] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7243), 1,
      sym__abstract_declarator,
    STATE(5696), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6163), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219397] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      anon_sym_enum,
    ACTIONS(9379), 1,
      anon_sym_class,
    ACTIONS(9381), 1,
      anon_sym_struct,
    ACTIONS(9383), 1,
      anon_sym_union,
    ACTIONS(9385), 1,
      sym_auto,
    ACTIONS(9387), 1,
      anon_sym_decltype,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4507), 1,
      sym__type_specifier,
    STATE(4620), 1,
      sym_decltype_auto,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4545), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4618), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7268), 1,
      sym__type_declarator,
    STATE(9188), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7272), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7003), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8288), 1,
      sym_auto,
    ACTIONS(8290), 1,
      anon_sym_decltype,
    STATE(5863), 1,
      sym_decltype_auto,
    ACTIONS(5490), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5492), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2955), 1,
      sym__type_specifier,
    STATE(3184), 1,
      sym_qualified_type_identifier,
    STATE(3221), 1,
      sym_decltype_auto,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3220), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219707] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6302), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7917), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219777] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      anon_sym_enum,
    ACTIONS(9379), 1,
      anon_sym_class,
    ACTIONS(9381), 1,
      anon_sym_struct,
    ACTIONS(9383), 1,
      anon_sym_union,
    ACTIONS(9385), 1,
      sym_auto,
    ACTIONS(9387), 1,
      anon_sym_decltype,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4355), 1,
      sym__type_specifier,
    STATE(4620), 1,
      sym_decltype_auto,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4545), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4618), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219851] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6473), 1,
      sym__declarator,
    STATE(7740), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [219921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9210), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9216), 1,
      sym_primitive_type,
    ACTIONS(9218), 1,
      anon_sym_enum,
    ACTIONS(9220), 1,
      anon_sym_class,
    ACTIONS(9222), 1,
      anon_sym_struct,
    ACTIONS(9224), 1,
      anon_sym_union,
    ACTIONS(9226), 1,
      sym_auto,
    ACTIONS(9228), 1,
      anon_sym_decltype,
    ACTIONS(9230), 1,
      anon_sym_typename,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3360), 1,
      sym__type_specifier,
    STATE(3533), 1,
      sym_qualified_type_identifier,
    STATE(3572), 1,
      sym_decltype_auto,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3380), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3580), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9369), 1,
      sym_identifier,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9375), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      anon_sym_enum,
    ACTIONS(9379), 1,
      anon_sym_class,
    ACTIONS(9381), 1,
      anon_sym_struct,
    ACTIONS(9383), 1,
      anon_sym_union,
    ACTIONS(9385), 1,
      sym_auto,
    ACTIONS(9387), 1,
      anon_sym_decltype,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4352), 1,
      sym__type_specifier,
    STATE(4620), 1,
      sym_decltype_auto,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(4545), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4618), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220069] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3395), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(8584), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220127] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6627), 1,
      sym__function_attributes_end,
    STATE(6761), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6045), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [220197] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9276), 1,
      sym_identifier,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      anon_sym_enum,
    ACTIONS(9286), 1,
      anon_sym_class,
    ACTIONS(9288), 1,
      anon_sym_struct,
    ACTIONS(9290), 1,
      anon_sym_union,
    ACTIONS(9292), 1,
      sym_auto,
    ACTIONS(9294), 1,
      anon_sym_decltype,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3008), 1,
      sym__type_specifier,
    STATE(3334), 1,
      sym_qualified_type_identifier,
    STATE(3382), 1,
      sym_decltype_auto,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3322), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3339), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220271] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9298), 1,
      sym_identifier,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9304), 1,
      sym_primitive_type,
    ACTIONS(9306), 1,
      anon_sym_enum,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9318), 1,
      anon_sym_typename,
    STATE(2407), 1,
      sym__type_specifier,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220345] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6312), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(8082), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220415] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6576), 1,
      sym__declarator,
    STATE(8287), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [220485] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9210), 1,
      sym_identifier,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9216), 1,
      sym_primitive_type,
    ACTIONS(9218), 1,
      anon_sym_enum,
    ACTIONS(9220), 1,
      anon_sym_class,
    ACTIONS(9222), 1,
      anon_sym_struct,
    ACTIONS(9224), 1,
      anon_sym_union,
    ACTIONS(9226), 1,
      sym_auto,
    ACTIONS(9228), 1,
      anon_sym_decltype,
    ACTIONS(9230), 1,
      anon_sym_typename,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3084), 1,
      sym__type_specifier,
    STATE(3533), 1,
      sym_qualified_type_identifier,
    STATE(3572), 1,
      sym_decltype_auto,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3380), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3580), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7910), 1,
      sym_identifier,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7916), 1,
      sym_primitive_type,
    ACTIONS(7918), 1,
      anon_sym_enum,
    ACTIONS(7920), 1,
      anon_sym_class,
    ACTIONS(7922), 1,
      anon_sym_struct,
    ACTIONS(7924), 1,
      anon_sym_union,
    ACTIONS(7926), 1,
      anon_sym_typename,
    STATE(2135), 1,
      sym__type_specifier,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3051), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(8823), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      sym_primitive_type,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      anon_sym_enum,
    ACTIONS(9397), 1,
      anon_sym_class,
    ACTIONS(9399), 1,
      anon_sym_struct,
    ACTIONS(9401), 1,
      anon_sym_union,
    ACTIONS(9403), 1,
      anon_sym_typename,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3263), 1,
      sym__type_specifier,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220765] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN2,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(3056), 1,
      sym__type_declarator,
    STATE(3399), 1,
      sym_pointer_type_declarator,
    STATE(8823), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3397), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220823] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8612), 1,
      sym_identifier,
    ACTIONS(8614), 1,
      anon_sym_LPAREN2,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(8624), 1,
      sym_primitive_type,
    STATE(3314), 1,
      sym__type_declarator,
    STATE(3781), 1,
      sym_pointer_type_declarator,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3783), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220881] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9232), 1,
      sym_identifier,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      sym_primitive_type,
    ACTIONS(9240), 1,
      anon_sym_enum,
    ACTIONS(9242), 1,
      anon_sym_class,
    ACTIONS(9244), 1,
      anon_sym_struct,
    ACTIONS(9246), 1,
      anon_sym_union,
    ACTIONS(9248), 1,
      sym_auto,
    ACTIONS(9250), 1,
      anon_sym_decltype,
    ACTIONS(9252), 1,
      anon_sym_typename,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3666), 1,
      sym__type_specifier,
    STATE(3979), 1,
      sym_decltype_auto,
    STATE(3987), 1,
      sym_qualified_type_identifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3686), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3980), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9324), 1,
      sym_primitive_type,
    ACTIONS(9326), 1,
      anon_sym_enum,
    ACTIONS(9328), 1,
      anon_sym_typename,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2407), 1,
      sym__type_specifier,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221029] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6564), 1,
      sym__declarator,
    STATE(7935), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221099] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6478), 1,
      sym__declarator,
    STATE(8082), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221169] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      sym_primitive_type,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      anon_sym_enum,
    ACTIONS(9397), 1,
      anon_sym_class,
    ACTIONS(9399), 1,
      anon_sym_struct,
    ACTIONS(9401), 1,
      anon_sym_union,
    ACTIONS(9403), 1,
      anon_sym_typename,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(4683), 1,
      sym__type_specifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221243] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(5971), 1,
      sym_ref_qualifier,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7000), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6075), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221319] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3047), 1,
      sym_primitive_type,
    ACTIONS(5157), 1,
      sym_identifier,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(4547), 1,
      sym_qualified_type_identifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(9455), 1,
      anon_sym_LPAREN2,
    STATE(2934), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4207), 1,
      sym_argument_list,
    STATE(5402), 1,
      sym_initializer_list,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6605), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [221443] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6291), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7935), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221513] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5974), 1,
      sym_ref_qualifier,
    STATE(6837), 1,
      sym__function_attributes_end,
    STATE(7053), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221589] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6320), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7754), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221659] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6034), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [221729] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221787] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2400), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3047), 1,
      sym_primitive_type,
    ACTIONS(3049), 1,
      anon_sym_enum,
    ACTIONS(3051), 1,
      anon_sym_class,
    ACTIONS(3053), 1,
      anon_sym_struct,
    ACTIONS(3055), 1,
      anon_sym_union,
    ACTIONS(3057), 1,
      anon_sym_typename,
    ACTIONS(5157), 1,
      sym_identifier,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(4547), 1,
      sym_qualified_type_identifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221919] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9347), 1,
      sym_identifier,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9353), 1,
      sym_primitive_type,
    ACTIONS(9355), 1,
      anon_sym_enum,
    ACTIONS(9357), 1,
      anon_sym_class,
    ACTIONS(9359), 1,
      anon_sym_struct,
    ACTIONS(9361), 1,
      anon_sym_union,
    ACTIONS(9363), 1,
      sym_auto,
    ACTIONS(9365), 1,
      anon_sym_decltype,
    ACTIONS(9367), 1,
      anon_sym_typename,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3032), 1,
      sym__type_specifier,
    STATE(3184), 1,
      sym_qualified_type_identifier,
    STATE(3221), 1,
      sym_decltype_auto,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3220), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221993] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6467), 1,
      sym__declarator,
    STATE(7740), 1,
      sym_init_declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222063] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6324), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(8081), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222133] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_requires,
    STATE(5961), 1,
      sym_ref_qualifier,
    STATE(6933), 1,
      sym__function_attributes_end,
    STATE(7030), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [222209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7239), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8722), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5681), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222307] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6488), 1,
      sym__declarator,
    STATE(7763), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222377] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6477), 1,
      sym__declarator,
    STATE(8049), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222447] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2360), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222505] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3446), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(8584), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      sym_primitive_type,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9395), 1,
      anon_sym_enum,
    ACTIONS(9397), 1,
      anon_sym_class,
    ACTIONS(9399), 1,
      anon_sym_struct,
    ACTIONS(9401), 1,
      anon_sym_union,
    ACTIONS(9403), 1,
      anon_sym_typename,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(4679), 1,
      sym__type_specifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [222637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4443), 1,
      sym__type_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [222711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8710), 1,
      sym_identifier,
    ACTIONS(8712), 1,
      anon_sym_LPAREN2,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(8718), 1,
      sym_primitive_type,
    STATE(3335), 1,
      sym__type_declarator,
    STATE(3854), 1,
      sym_pointer_type_declarator,
    STATE(8584), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8716), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3846), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222769] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6718), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222827] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4657), 1,
      sym__type_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [222901] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7253), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8728), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8284), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5730), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222999] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7943), 1,
      sym_primitive_type,
    ACTIONS(7953), 1,
      sym_auto,
    ACTIONS(7955), 1,
      anon_sym_decltype,
    ACTIONS(7986), 1,
      sym_identifier,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7990), 1,
      anon_sym_enum,
    ACTIONS(7992), 1,
      anon_sym_class,
    ACTIONS(7994), 1,
      anon_sym_struct,
    ACTIONS(7996), 1,
      anon_sym_union,
    ACTIONS(7998), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5514), 1,
      sym__type_specifier,
    STATE(5600), 1,
      sym_decltype_auto,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5551), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223073] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6255), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7919), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [223143] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3399), 1,
      anon_sym_enum,
    ACTIONS(3401), 1,
      anon_sym_class,
    ACTIONS(3403), 1,
      anon_sym_struct,
    ACTIONS(3405), 1,
      anon_sym_union,
    ACTIONS(3429), 1,
      sym_auto,
    ACTIONS(3431), 1,
      anon_sym_decltype,
    ACTIONS(3433), 1,
      anon_sym_typename,
    ACTIONS(7978), 1,
      sym_identifier,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7982), 1,
      sym_primitive_type,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3263), 1,
      sym__type_specifier,
    STATE(3422), 1,
      sym_qualified_type_identifier,
    STATE(3445), 1,
      sym_decltype_auto,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3251), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3448), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(5349), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5697), 1,
      sym__type_specifier,
    STATE(5842), 1,
      sym_qualified_type_identifier,
    STATE(5916), 1,
      sym_decltype_auto,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(5678), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5910), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223291] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6277), 1,
      sym__declarator,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7763), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [223361] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(6991), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223419] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6682), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223477] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(7959), 1,
      sym_identifier,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7963), 1,
      anon_sym_enum,
    ACTIONS(7965), 1,
      anon_sym_class,
    ACTIONS(7967), 1,
      anon_sym_struct,
    ACTIONS(7969), 1,
      anon_sym_union,
    ACTIONS(7971), 1,
      anon_sym_typename,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(7406), 1,
      sym__type_specifier,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223551] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6889), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3991), 1,
      sym_identifier,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4001), 1,
      sym_primitive_type,
    ACTIONS(4003), 1,
      anon_sym_enum,
    ACTIONS(4005), 1,
      anon_sym_class,
    ACTIONS(4007), 1,
      anon_sym_struct,
    ACTIONS(4009), 1,
      anon_sym_union,
    ACTIONS(4011), 1,
      anon_sym_typename,
    STATE(3465), 1,
      sym__type_specifier,
    STATE(3556), 1,
      sym_qualified_type_identifier,
    STATE(3687), 1,
      sym_decltype_auto,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(3639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3664), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223683] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6918), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223741] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6485), 1,
      sym__declarator,
    STATE(7740), 1,
      sym_init_declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [223811] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8664), 1,
      sym_primitive_type,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    STATE(2405), 1,
      sym__type_declarator,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9320), 1,
      sym_identifier,
    ACTIONS(9324), 1,
      sym_primitive_type,
    ACTIONS(9326), 1,
      anon_sym_enum,
    ACTIONS(9328), 1,
      anon_sym_typename,
    STATE(2093), 1,
      sym__type_specifier,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7908), 1,
      sym_primitive_type,
    STATE(2135), 1,
      sym__type_specifier,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6685), 1,
      sym__function_attributes_end,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6018), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [224087] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(8708), 1,
      sym_primitive_type,
    STATE(6661), 1,
      sym__type_declarator,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224145] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9298), 1,
      sym_identifier,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9304), 1,
      sym_primitive_type,
    ACTIONS(9306), 1,
      anon_sym_enum,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9318), 1,
      anon_sym_typename,
    STATE(2093), 1,
      sym__type_specifier,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224219] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8700), 1,
      sym_identifier,
    ACTIONS(8702), 1,
      anon_sym_LPAREN2,
    ACTIONS(8708), 1,
      sym_primitive_type,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    STATE(6841), 1,
      sym_pointer_type_declarator,
    STATE(6928), 1,
      sym__type_declarator,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8706), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6864), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224277] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_requires,
    STATE(6570), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6015), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [224347] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7908), 1,
      sym_primitive_type,
    ACTIONS(9330), 1,
      sym_identifier,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9334), 1,
      anon_sym_enum,
    ACTIONS(9336), 1,
      anon_sym_class,
    ACTIONS(9338), 1,
      anon_sym_struct,
    ACTIONS(9340), 1,
      anon_sym_union,
    ACTIONS(9342), 1,
      anon_sym_typename,
    STATE(2259), 1,
      sym_decltype_auto,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2454), 1,
      sym_qualified_type_identifier,
    STATE(4445), 1,
      sym__type_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2205), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2260), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9298), 1,
      sym_identifier,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9304), 1,
      sym_primitive_type,
    ACTIONS(9306), 1,
      anon_sym_enum,
    ACTIONS(9308), 1,
      anon_sym_class,
    ACTIONS(9310), 1,
      anon_sym_struct,
    ACTIONS(9312), 1,
      anon_sym_union,
    ACTIONS(9314), 1,
      sym_auto,
    ACTIONS(9316), 1,
      anon_sym_decltype,
    ACTIONS(9318), 1,
      anon_sym_typename,
    STATE(2090), 1,
      sym__type_specifier,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2458), 1,
      sym_qualified_type_identifier,
    STATE(2462), 1,
      sym_decltype_auto,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_dependent_type_identifier,
    STATE(2398), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2459), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5708), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224533] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6688), 1,
      sym__function_attributes_end,
    STATE(6797), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [224603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224682] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2296), 1,
      sym__class_declaration,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6198), 1,
      sym_ms_declspec_modifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5935), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5704), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5724), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224835] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5940), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224914] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2303), 1,
      sym__class_declaration,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(6229), 1,
      sym_ms_declspec_modifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5957), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5940), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225072] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6223), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5927), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225151] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6223), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5927), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6223), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5927), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4325), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225388] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225467] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2301), 1,
      sym__class_declaration,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(6229), 1,
      sym_ms_declspec_modifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5957), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225546] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9471), 1,
      anon_sym_COLON,
    STATE(2252), 1,
      sym_attribute_specifier,
    STATE(5975), 1,
      sym__enum_base_clause,
    STATE(6039), 1,
      sym_enumerator_list,
    ACTIONS(6141), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6139), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [225674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4325), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5712), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225790] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225869] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6237), 1,
      sym_ms_declspec_modifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6240), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5940), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225948] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2296), 1,
      sym__class_declaration,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(6229), 1,
      sym_ms_declspec_modifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6225), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5957), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7498), 1,
      anon_sym_STAR,
    ACTIONS(7500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7502), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6725), 1,
      sym__declarator,
    STATE(8991), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226094] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3355), 1,
      sym__class_declaration,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(6149), 1,
      sym_ms_declspec_modifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6148), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5955), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3330), 1,
      sym__class_declaration,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(6149), 1,
      sym_ms_declspec_modifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6148), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5955), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226252] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(3430), 1,
      sym__class_declaration,
    STATE(6149), 1,
      sym_ms_declspec_modifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6148), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5955), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226331] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4319), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5811), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5813), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5815), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5817), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226484] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4319), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226563] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7071), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4325), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(3430), 1,
      sym__class_declaration,
    STATE(6163), 1,
      sym_ms_declspec_modifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5945), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3330), 1,
      sym__class_declaration,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(6163), 1,
      sym_ms_declspec_modifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5945), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226934] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3355), 1,
      sym__class_declaration,
    STATE(3412), 1,
      sym__class_declaration_item,
    STATE(6163), 1,
      sym_ms_declspec_modifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6166), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5945), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227013] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5823), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5825), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5831), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5833), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5846), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5850), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227240] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227319] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3214), 1,
      sym__class_declaration,
    STATE(3217), 1,
      sym__class_declaration_item,
    STATE(6209), 1,
      sym_ms_declspec_modifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5947), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5777), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5779), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227435] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3215), 1,
      sym__class_declaration,
    STATE(3217), 1,
      sym__class_declaration_item,
    STATE(6209), 1,
      sym_ms_declspec_modifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5947), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5746), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5742), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5738), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5746), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7039), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227729] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_STAR,
    ACTIONS(7556), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6763), 1,
      sym__declarator,
    STATE(8645), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227796] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3217), 1,
      sym__class_declaration_item,
    STATE(3218), 1,
      sym__class_declaration,
    STATE(6209), 1,
      sym_ms_declspec_modifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6215), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5947), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5716), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227912] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7186), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9479), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [228016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7051), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228083] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4748), 1,
      sym__class_declaration_item,
    STATE(4751), 1,
      sym__class_declaration,
    STATE(6182), 1,
      sym_ms_declspec_modifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6184), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5692), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4748), 1,
      sym__class_declaration_item,
    STATE(4749), 1,
      sym__class_declaration,
    STATE(6182), 1,
      sym_ms_declspec_modifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6184), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5688), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228315] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4743), 1,
      sym__class_declaration,
    STATE(4748), 1,
      sym__class_declaration_item,
    STATE(6182), 1,
      sym_ms_declspec_modifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6184), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5937), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228394] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7040), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5653), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228498] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228577] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7185), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7031), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228711] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3362), 1,
      sym__class_declaration_item,
    STATE(3376), 1,
      sym__class_declaration,
    STATE(6178), 1,
      sym_ms_declspec_modifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5942), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228790] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3362), 1,
      sym__class_declaration_item,
    STATE(3375), 1,
      sym__class_declaration,
    STATE(6178), 1,
      sym_ms_declspec_modifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5942), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228869] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7040), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228936] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7063), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229003] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7175), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3356), 1,
      sym__class_declaration,
    STATE(3362), 1,
      sym__class_declaration_item,
    STATE(6178), 1,
      sym_ms_declspec_modifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6174), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5942), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5615), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229186] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3998), 1,
      sym__class_declaration_item,
    STATE(4040), 1,
      sym__class_declaration,
    STATE(6214), 1,
      sym_ms_declspec_modifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6211), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229265] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3998), 1,
      sym__class_declaration_item,
    STATE(4000), 1,
      sym__class_declaration,
    STATE(6214), 1,
      sym_ms_declspec_modifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6211), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229344] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3998), 1,
      sym__class_declaration_item,
    STATE(4002), 1,
      sym__class_declaration,
    STATE(6214), 1,
      sym_ms_declspec_modifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6211), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5934), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229423] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(5599), 1,
      sym__class_declaration,
    STATE(6228), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5936), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229502] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7202), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229569] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7081), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5673), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(5598), 1,
      sym__class_declaration,
    STATE(6228), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5936), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229752] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5578), 1,
      sym__class_declaration,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(6228), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6227), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5936), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5673), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229868] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4343), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229947] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4343), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5760), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5657), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5673), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5696), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5700), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4343), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9471), 1,
      anon_sym_COLON,
    STATE(2250), 1,
      sym_attribute_specifier,
    STATE(5973), 1,
      sym__enum_base_clause,
    STATE(6038), 1,
      sym_enumerator_list,
    ACTIONS(6135), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6133), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [230339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5803), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5801), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [230384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5878), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230421] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7210), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [230488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4305), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4305), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4305), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym_ms_declspec_modifier,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6161), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5948), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230804] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym_ms_declspec_modifier,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6161), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5948), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2303), 1,
      sym__class_declaration,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym_ms_declspec_modifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5928), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230962] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2301), 1,
      sym__class_declaration,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym_ms_declspec_modifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5928), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231041] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2296), 1,
      sym__class_declaration,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6192), 1,
      sym_ms_declspec_modifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6213), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5928), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4269), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6158), 1,
      sym_ms_declspec_modifier,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6161), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5948), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231278] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231357] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4269), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231436] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4358), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231594] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9493), 1,
      anon_sym_requires,
    STATE(6741), 1,
      sym__function_attributes_end,
    STATE(6982), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6047), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231663] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4269), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231742] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7055), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5835), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5837), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231846] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_requires,
    STATE(6744), 1,
      sym__function_attributes_end,
    STATE(6983), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6054), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231915] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(7404), 1,
      anon_sym_STAR,
    ACTIONS(7406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7408), 1,
      anon_sym_AMP,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(7188), 1,
      sym__declarator,
    STATE(8787), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2464), 1,
      sym__class_declaration,
    STATE(2466), 1,
      sym__class_declaration_item,
    STATE(6230), 1,
      sym_ms_declspec_modifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6232), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5941), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9500), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9498), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [232098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5829), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232135] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2466), 1,
      sym__class_declaration_item,
    STATE(2469), 1,
      sym__class_declaration,
    STATE(6230), 1,
      sym_ms_declspec_modifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6232), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5941), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232214] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2466), 1,
      sym__class_declaration_item,
    STATE(2471), 1,
      sym__class_declaration,
    STATE(6230), 1,
      sym_ms_declspec_modifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6232), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5941), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232293] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4601), 1,
      sym__class_declaration_item,
    STATE(4613), 1,
      sym__class_declaration,
    STATE(6147), 1,
      sym_ms_declspec_modifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5958), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232372] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4601), 1,
      sym__class_declaration_item,
    STATE(4609), 1,
      sym__class_declaration,
    STATE(6147), 1,
      sym_ms_declspec_modifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5958), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5821), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5807), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5809), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4601), 1,
      sym__class_declaration_item,
    STATE(4622), 1,
      sym__class_declaration,
    STATE(6147), 1,
      sym_ms_declspec_modifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5958), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232604] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5578), 1,
      sym__class_declaration,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(6154), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5933), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232683] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(5598), 1,
      sym__class_declaration,
    STATE(6154), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5933), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232762] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5596), 1,
      sym__class_declaration_item,
    STATE(5599), 1,
      sym__class_declaration,
    STATE(6154), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6165), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5933), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232920] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4266), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232999] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7069), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    STATE(5475), 1,
      sym__enum_base_clause,
    STATE(5517), 1,
      sym_enumerator_list,
    STATE(5586), 1,
      sym_attribute_specifier,
    ACTIONS(6133), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6135), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9506), 1,
      anon_sym_COLON,
    STATE(5477), 1,
      sym__enum_base_clause,
    STATE(5523), 1,
      sym_enumerator_list,
    STATE(5556), 1,
      sym_attribute_specifier,
    ACTIONS(6139), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6141), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [233164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(7115), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6002), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9407), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9511), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5904), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9508), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9405), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [233276] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3645), 1,
      sym__class_declaration,
    STATE(3647), 1,
      sym__class_declaration_item,
    STATE(6173), 1,
      sym_ms_declspec_modifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5939), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233355] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6161), 1,
      sym_identifier,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7542), 1,
      anon_sym_STAR,
    ACTIONS(7544), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7546), 1,
      anon_sym_AMP,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym__declarator,
    STATE(8727), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233422] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5882), 1,
      sym__class_declaration,
    STATE(5892), 1,
      sym__class_declaration_item,
    STATE(6137), 1,
      sym_ms_declspec_modifier,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5930), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3647), 1,
      sym__class_declaration_item,
    STATE(3656), 1,
      sym__class_declaration,
    STATE(6173), 1,
      sym_ms_declspec_modifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5939), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233580] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5887), 1,
      sym__class_declaration,
    STATE(5892), 1,
      sym__class_declaration_item,
    STATE(6137), 1,
      sym_ms_declspec_modifier,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5930), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5615), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233696] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3647), 1,
      sym__class_declaration_item,
    STATE(3657), 1,
      sym__class_declaration,
    STATE(6173), 1,
      sym_ms_declspec_modifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6172), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5939), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233775] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5892), 1,
      sym__class_declaration_item,
    STATE(5893), 1,
      sym__class_declaration,
    STATE(6137), 1,
      sym_ms_declspec_modifier,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6138), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5930), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233854] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7508), 1,
      anon_sym_STAR,
    ACTIONS(7510), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7512), 1,
      anon_sym_AMP,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(7074), 1,
      sym__declarator,
    STATE(9064), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233921] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3031), 1,
      anon_sym_LPAREN2,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3037), 1,
      anon_sym_AMP,
    ACTIONS(5393), 1,
      sym_identifier,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7412), 1,
      anon_sym_LBRACK,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(7233), 1,
      sym__declarator,
    STATE(9375), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6854), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233988] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6807), 1,
      sym__function_attributes_end,
    STATE(7003), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6052), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [234057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5720), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234094] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4319), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2301), 1,
      sym__class_declaration,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6198), 1,
      sym_ms_declspec_modifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5935), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234252] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(2303), 1,
      sym__class_declaration,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6198), 1,
      sym_ms_declspec_modifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6221), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5935), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234331] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6804), 1,
      sym__function_attributes_end,
    STATE(6947), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6056), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9174), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [234400] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234558] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3772), 1,
      sym__class_declaration,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6238), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5949), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234637] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6169), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4338), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6176), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5953), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234716] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3780), 1,
      sym__class_declaration,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6238), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5949), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234795] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3773), 1,
      sym__class_declaration_item,
    STATE(3784), 1,
      sym__class_declaration,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6238), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6236), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5949), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234874] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3778), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6186), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6193), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234950] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2244), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6219), 1,
      sym_ms_declspec_modifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9518), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6033), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6031), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [235066] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5849), 1,
      sym__class_declaration_item,
    STATE(6150), 1,
      sym_ms_declspec_modifier,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6144), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235142] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9068), 1,
      anon_sym_requires,
    STATE(6462), 1,
      sym__function_attributes_end,
    STATE(6619), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [235204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6458), 1,
      sym__function_attributes_end,
    STATE(6633), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [235266] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5537), 1,
      sym__class_declaration_item,
    STATE(6195), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235342] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(4041), 1,
      sym__class_declaration_item,
    STATE(6205), 1,
      sym_ms_declspec_modifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2244), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(6160), 1,
      sym_ms_declspec_modifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6159), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235494] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5537), 1,
      sym__class_declaration_item,
    STATE(6203), 1,
      sym_ms_declspec_modifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235570] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4747), 1,
      sym__class_declaration_item,
    STATE(6190), 1,
      sym_ms_declspec_modifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6461), 1,
      sym__function_attributes_end,
    STATE(6593), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [235708] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3634), 1,
      sym__class_declaration_item,
    STATE(6170), 1,
      sym_ms_declspec_modifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6171), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235784] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3778), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6157), 1,
      sym_ms_declspec_modifier,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235860] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2511), 1,
      sym__class_declaration_item,
    STATE(6234), 1,
      sym_ms_declspec_modifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6233), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235936] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3405), 1,
      sym__class_declaration_item,
    STATE(6162), 1,
      sym_ms_declspec_modifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(7461), 1,
      anon_sym_LPAREN2,
    STATE(2470), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3953), 1,
      sym_argument_list,
    STATE(3954), 1,
      sym_initializer_list,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5997), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5615), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [236060] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6460), 1,
      sym__function_attributes_end,
    STATE(6601), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236122] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3348), 1,
      sym__class_declaration_item,
    STATE(6197), 1,
      sym_ms_declspec_modifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6194), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236198] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(6163), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7374), 1,
      sym__abstract_declarator,
    STATE(5956), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236256] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3187), 1,
      sym__class_declaration_item,
    STATE(6217), 1,
      sym_ms_declspec_modifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236332] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3778), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6241), 1,
      sym_ms_declspec_modifier,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6239), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236408] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3778), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(6187), 1,
      sym_ms_declspec_modifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8722), 1,
      anon_sym_COLON,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7352), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6640), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236604] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9187), 1,
      anon_sym_requires,
    STATE(6459), 1,
      sym__function_attributes_end,
    STATE(6578), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [236666] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3778), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(6135), 1,
      sym_ms_declspec_modifier,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7379), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236800] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3348), 1,
      sym__class_declaration_item,
    STATE(6142), 1,
      sym_ms_declspec_modifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(7003), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9172), 1,
      anon_sym_const,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7413), 1,
      sym__abstract_declarator,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9170), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2244), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(6175), 1,
      sym_ms_declspec_modifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237010] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5399), 1,
      anon_sym___attribute__,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 1,
      anon_sym___declspec,
    ACTIONS(5409), 1,
      anon_sym_alignas,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4606), 1,
      sym__class_declaration_item,
    STATE(6139), 1,
      sym_ms_declspec_modifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237086] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6385), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym___attribute__,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6404), 1,
      sym__function_attributes_end,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237208] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_requires,
    STATE(6909), 1,
      sym__function_attributes_end,
    STATE(7032), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237275] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6797), 1,
      sym_trailing_return_type,
    STATE(6984), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6113), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237342] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym___attribute__,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6343), 1,
      sym__function_attributes_end,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(5988), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4355), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9546), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4347), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237448] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9531), 1,
      anon_sym___attribute__,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    STATE(6368), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9198), 1,
      anon_sym___attribute__,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6405), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237570] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_requires,
    STATE(6933), 1,
      sym__function_attributes_end,
    STATE(7030), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9122), 1,
      anon_sym___attribute__,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6406), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [237698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7021), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237765] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7000), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6075), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237832] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6731), 1,
      sym_trailing_return_type,
    STATE(6977), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6076), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237899] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6837), 1,
      sym__function_attributes_end,
    STATE(7053), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [237966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    STATE(2305), 1,
      sym_attribute_specifier,
    STATE(6027), 1,
      sym_enumerator_list,
    ACTIONS(5886), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5884), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238009] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_noexcept,
    ACTIONS(7435), 1,
      anon_sym_throw,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6937), 1,
      sym__function_attributes_end,
    STATE(7083), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6110), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [238076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    STATE(2258), 1,
      sym_attribute_specifier,
    STATE(6026), 1,
      sym_enumerator_list,
    ACTIONS(5764), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5762), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(6475), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    STATE(6396), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [238239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6449), 1,
      sym_trailing_return_type,
    STATE(6554), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238299] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9551), 1,
      anon_sym_requires,
    STATE(6450), 1,
      sym_trailing_return_type,
    STATE(6556), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6472), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9551), 1,
      anon_sym_requires,
    STATE(6401), 1,
      sym__function_attributes_end,
    STATE(6450), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9554), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6009), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9557), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6011), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238517] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6407), 1,
      sym__function_attributes_end,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9554), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [238577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9560), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      sym_primitive_type,
    STATE(5999), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5750), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5752), 16,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [238619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    STATE(6426), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [238679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238739] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    STATE(6409), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [238799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5999), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6001), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6424), 1,
      sym_trailing_return_type,
    STATE(6501), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [238897] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6430), 1,
      sym_trailing_return_type,
    STATE(6540), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [238957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    STATE(6408), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [239017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 1,
      sym_auto,
    ACTIONS(5496), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(9574), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9572), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [239061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6398), 1,
      sym__function_attributes_end,
    STATE(6449), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9418), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6005), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9576), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6007), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6015), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6424), 1,
      sym_trailing_return_type,
    STATE(6446), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9554), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    STATE(6528), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6494), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3007), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5861), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9582), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5864), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    STATE(6428), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9554), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [239475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9481), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9479), 24,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [239509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9500), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9498), 24,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [239543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5982), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5708), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5706), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6344), 1,
      sym__function_attributes_end,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [239639] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 1,
      sym_auto,
    ACTIONS(5496), 1,
      anon_sym_decltype,
    STATE(2315), 1,
      sym_decltype_auto,
    ACTIONS(9588), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6061), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9586), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [239683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    STATE(6415), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6400), 1,
      sym__function_attributes_end,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9141), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [239803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5994), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6084), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9590), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5995), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6074), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6076), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    STATE(6502), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [239939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6448), 1,
      sym_trailing_return_type,
    STATE(6553), 1,
      sym__function_attributes_end,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [239999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    STATE(6530), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [240059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(6719), 1,
      sym__function_attributes_end,
    STATE(6787), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [240118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9599), 1,
      anon_sym_requires,
    STATE(6617), 1,
      sym__function_attributes_end,
    STATE(6786), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [240177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9449), 1,
      anon_sym_requires,
    STATE(6613), 1,
      sym__function_attributes_end,
    STATE(6780), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [240236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5583), 1,
      anon_sym_LBRACE,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5615), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [240273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2300), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5962), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240310] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6659), 1,
      sym__function_attributes_end,
    STATE(6731), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [240369] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6688), 1,
      sym__function_attributes_end,
    STATE(6797), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [240428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2238), 1,
      sym_attribute_specifier,
    ACTIONS(5890), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5888), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    ACTIONS(9602), 1,
      anon_sym_LPAREN2,
    ACTIONS(9604), 1,
      anon_sym_LBRACE,
    ACTIONS(9608), 1,
      anon_sym_requires,
    STATE(3020), 1,
      sym_template_type,
    STATE(4199), 1,
      sym_requirement_seq,
    STATE(6523), 1,
      sym_lambda_capture_specifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(8224), 1,
      sym_requires_parameter_list,
    ACTIONS(9606), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4081), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN2,
    ACTIONS(9612), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_requires,
    STATE(4024), 1,
      sym_requirement_seq,
    STATE(4256), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(8525), 1,
      sym_requires_parameter_list,
    ACTIONS(9614), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4783), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2253), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5914), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    ACTIONS(9618), 1,
      anon_sym_LPAREN2,
    ACTIONS(9620), 1,
      anon_sym_LBRACE,
    ACTIONS(9624), 1,
      anon_sym_requires,
    STATE(3069), 1,
      sym_template_type,
    STATE(4984), 1,
      sym_requirement_seq,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(8558), 1,
      sym_requires_parameter_list,
    ACTIONS(9622), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5410), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2264), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5984), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2302), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5958), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2255), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5976), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [240796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6652), 1,
      sym__function_attributes_end,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [240855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_requires,
    STATE(6570), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [240914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6685), 1,
      sym__function_attributes_end,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [240973] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2298), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5966), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    ACTIONS(9626), 1,
      anon_sym_LPAREN2,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(9632), 1,
      anon_sym_requires,
    STATE(4432), 1,
      sym_template_type,
    STATE(4904), 1,
      sym_requirement_seq,
    STATE(6514), 1,
      sym_lambda_capture_specifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(8462), 1,
      sym_requires_parameter_list,
    ACTIONS(9630), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4905), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN2,
    ACTIONS(9612), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_requires,
    STATE(2185), 1,
      sym_template_type,
    STATE(4024), 1,
      sym_requirement_seq,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(8525), 1,
      sym_requires_parameter_list,
    ACTIONS(9634), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4793), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241132] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9421), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6627), 1,
      sym__function_attributes_end,
    STATE(6761), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6673), 1,
      sym__function_attributes_end,
    STATE(6724), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [241250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN2,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(9642), 1,
      anon_sym_requires,
    STATE(3000), 1,
      sym_template_type,
    STATE(3974), 1,
      sym_requirement_seq,
    STATE(6518), 1,
      sym_lambda_capture_specifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(8256), 1,
      sym_requires_parameter_list,
    ACTIONS(9640), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3978), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2249), 1,
      sym_attribute_specifier,
    ACTIONS(5931), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5929), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2306), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5954), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2257), 1,
      sym_attribute_specifier,
    ACTIONS(5935), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5933), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241422] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    ACTIONS(9644), 1,
      anon_sym_LPAREN2,
    ACTIONS(9646), 1,
      anon_sym_LBRACE,
    ACTIONS(9650), 1,
      anon_sym_requires,
    STATE(2234), 1,
      sym_template_type,
    STATE(2868), 1,
      sym_requirement_seq,
    STATE(6526), 1,
      sym_lambda_capture_specifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(8387), 1,
      sym_requires_parameter_list,
    ACTIONS(9648), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2867), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2273), 1,
      sym_attribute_specifier,
    ACTIONS(5939), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5937), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2274), 1,
      sym_attribute_specifier,
    ACTIONS(5943), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5941), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9138), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    ACTIONS(9652), 1,
      anon_sym_LPAREN2,
    ACTIONS(9654), 1,
      anon_sym_LBRACE,
    ACTIONS(9658), 1,
      anon_sym_requires,
    STATE(3208), 1,
      sym_template_type,
    STATE(4339), 1,
      sym_requirement_seq,
    STATE(6490), 1,
      sym_lambda_capture_specifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(8367), 1,
      sym_requires_parameter_list,
    ACTIONS(9656), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4315), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6632), 1,
      sym__function_attributes_end,
    STATE(6774), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [241736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    ACTIONS(9660), 1,
      anon_sym_LPAREN2,
    ACTIONS(9662), 1,
      anon_sym_LBRACE,
    ACTIONS(9666), 1,
      anon_sym_requires,
    STATE(2925), 1,
      sym_template_type,
    STATE(3651), 1,
      sym_requirement_seq,
    STATE(6533), 1,
      sym_lambda_capture_specifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(8374), 1,
      sym_requires_parameter_list,
    ACTIONS(9664), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3649), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9668), 1,
      anon_sym_requires,
    STATE(6738), 1,
      sym__function_attributes_end,
    STATE(6979), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [241855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6807), 1,
      sym__function_attributes_end,
    STATE(7003), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [241913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9415), 1,
      anon_sym_requires,
    STATE(6744), 1,
      sym__function_attributes_end,
    STATE(6983), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [241971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5982), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5615), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9671), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5613), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [242007] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8148), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8152), 1,
      anon_sym_AMP,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6655), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [242055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6804), 1,
      sym__function_attributes_end,
    STATE(6947), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [242113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8162), 1,
      anon_sym_STAR,
    ACTIONS(8164), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8166), 1,
      anon_sym_AMP,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6699), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9493), 1,
      anon_sym_requires,
    STATE(6741), 1,
      sym__function_attributes_end,
    STATE(6982), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [242219] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_STAR,
    ACTIONS(8216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 1,
      anon_sym_AMP,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6708), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [242267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6795), 1,
      sym__function_attributes_end,
    STATE(7020), 1,
      sym_trailing_return_type,
    STATE(7347), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6086), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6337), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [242325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 1,
      anon_sym_LBRACE,
    ACTIONS(5613), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5615), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [242359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9676), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9674), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8278), 1,
      anon_sym_STAR,
    ACTIONS(8280), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8282), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6720), 1,
      sym__abstract_declarator,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [242441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      anon_sym_AMP,
    ACTIONS(9681), 1,
      anon_sym_const,
    STATE(6060), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5480), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9678), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9686), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5574), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9684), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242513] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    ACTIONS(9690), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9694), 1,
      anon_sym_LPAREN2,
    STATE(6265), 1,
      sym_preproc_argument_list,
    ACTIONS(9696), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9692), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [242599] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LPAREN2,
    STATE(3020), 1,
      sym_template_type,
    STATE(6523), 1,
      sym_lambda_capture_specifier,
    STATE(7129), 1,
      sym__scope_resolution,
    ACTIONS(9700), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4144), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242651] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    ACTIONS(9702), 1,
      sym_identifier,
    ACTIONS(9704), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7145), 1,
      sym__scope_resolution,
    ACTIONS(9690), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242703] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_requires,
    ACTIONS(9698), 1,
      anon_sym_LPAREN2,
    STATE(3020), 1,
      sym_template_type,
    STATE(6523), 1,
      sym_lambda_capture_specifier,
    STATE(7129), 1,
      sym__scope_resolution,
    ACTIONS(9706), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4213), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242755] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    ACTIONS(9702), 1,
      sym_identifier,
    ACTIONS(9704), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7145), 1,
      sym__scope_resolution,
    ACTIONS(9708), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6824), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242807] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_LPAREN2,
    ACTIONS(9714), 1,
      anon_sym_requires,
    STATE(5452), 1,
      sym_template_type,
    STATE(6495), 1,
      sym_lambda_capture_specifier,
    STATE(7137), 1,
      sym__scope_resolution,
    ACTIONS(9712), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6599), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7133), 1,
      sym__scope_resolution,
    ACTIONS(9718), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6350), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242911] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    ACTIONS(9666), 1,
      anon_sym_requires,
    ACTIONS(9722), 1,
      anon_sym_LPAREN2,
    STATE(2925), 1,
      sym_template_type,
    STATE(6533), 1,
      sym_lambda_capture_specifier,
    STATE(7154), 1,
      sym__scope_resolution,
    ACTIONS(9724), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3627), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242963] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    ACTIONS(9666), 1,
      anon_sym_requires,
    ACTIONS(9722), 1,
      anon_sym_LPAREN2,
    STATE(2925), 1,
      sym_template_type,
    STATE(6533), 1,
      sym_lambda_capture_specifier,
    STATE(7154), 1,
      sym__scope_resolution,
    ACTIONS(9726), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3484), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243015] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9730), 1,
      anon_sym_SEMI,
    ACTIONS(9732), 1,
      anon_sym_LBRACE,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9736), 1,
      anon_sym_EQ,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    ACTIONS(9740), 1,
      anon_sym_try,
    STATE(2548), 1,
      sym_delete_method_clause,
    STATE(2638), 1,
      sym_compound_statement,
    STATE(2699), 1,
      sym_default_method_clause,
    STATE(2719), 1,
      sym_try_statement,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7349), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7369), 1,
      sym_bitfield_clause,
    STATE(7383), 1,
      sym_initializer_list,
    STATE(9148), 1,
      sym_attribute_specifier,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243083] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    ACTIONS(9742), 1,
      anon_sym_SEMI,
    ACTIONS(9744), 1,
      anon_sym_LBRACE,
    ACTIONS(9746), 1,
      anon_sym_EQ,
    ACTIONS(9748), 1,
      anon_sym_try,
    STATE(2153), 1,
      sym_compound_statement,
    STATE(2154), 1,
      sym_default_method_clause,
    STATE(2155), 1,
      sym_delete_method_clause,
    STATE(2156), 1,
      sym_try_statement,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7368), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7395), 1,
      sym_initializer_list,
    STATE(7401), 1,
      sym_bitfield_clause,
    STATE(8959), 1,
      sym_attribute_specifier,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6788), 1,
      sym_trailing_return_type,
    STATE(7000), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
  [243207] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6731), 1,
      sym_trailing_return_type,
    STATE(6977), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
  [243263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(6787), 1,
      sym_trailing_return_type,
    STATE(6960), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9521), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
  [243319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9750), 1,
      sym_identifier,
    ACTIONS(9752), 1,
      anon_sym_COLON_COLON,
    STATE(2767), 1,
      sym_template_type,
    STATE(6557), 1,
      sym_lambda_capture_specifier,
    STATE(7162), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2030), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243371] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(4256), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7147), 1,
      sym__scope_resolution,
    ACTIONS(9756), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4787), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243423] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(4256), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7147), 1,
      sym__scope_resolution,
    ACTIONS(9690), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243475] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    ACTIONS(9632), 1,
      anon_sym_requires,
    ACTIONS(9758), 1,
      anon_sym_LPAREN2,
    STATE(4432), 1,
      sym_template_type,
    STATE(6514), 1,
      sym_lambda_capture_specifier,
    STATE(7151), 1,
      sym__scope_resolution,
    ACTIONS(9760), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5004), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243527] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    ACTIONS(9632), 1,
      anon_sym_requires,
    ACTIONS(9758), 1,
      anon_sym_LPAREN2,
    STATE(4432), 1,
      sym_template_type,
    STATE(6514), 1,
      sym_lambda_capture_specifier,
    STATE(7151), 1,
      sym__scope_resolution,
    ACTIONS(9762), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4928), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243579] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    ACTIONS(9642), 1,
      anon_sym_requires,
    ACTIONS(9764), 1,
      anon_sym_LPAREN2,
    STATE(3000), 1,
      sym_template_type,
    STATE(6518), 1,
      sym_lambda_capture_specifier,
    STATE(7153), 1,
      sym__scope_resolution,
    ACTIONS(9766), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3823), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243631] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    ACTIONS(9642), 1,
      anon_sym_requires,
    ACTIONS(9764), 1,
      anon_sym_LPAREN2,
    STATE(3000), 1,
      sym_template_type,
    STATE(6518), 1,
      sym_lambda_capture_specifier,
    STATE(7153), 1,
      sym__scope_resolution,
    ACTIONS(9768), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3822), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243683] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7169), 1,
      sym__scope_resolution,
    ACTIONS(9772), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6349), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243735] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    ACTIONS(9776), 1,
      anon_sym_SEMI,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    ACTIONS(9780), 1,
      anon_sym_EQ,
    ACTIONS(9782), 1,
      anon_sym_try,
    STATE(2553), 1,
      sym_try_statement,
    STATE(2634), 1,
      sym_delete_method_clause,
    STATE(2636), 1,
      sym_default_method_clause,
    STATE(2642), 1,
      sym_compound_statement,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7366), 1,
      sym_initializer_list,
    STATE(7381), 1,
      sym_bitfield_clause,
    STATE(7417), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8696), 1,
      sym_attribute_specifier,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243803] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(9786), 1,
      anon_sym_LBRACK,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9784), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [243841] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9750), 1,
      sym_identifier,
    ACTIONS(9752), 1,
      anon_sym_COLON_COLON,
    STATE(2767), 1,
      sym_template_type,
    STATE(6557), 1,
      sym_lambda_capture_specifier,
    STATE(7162), 1,
      sym__scope_resolution,
    ACTIONS(9788), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2772), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243893] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    ACTIONS(9790), 1,
      anon_sym_SEMI,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_EQ,
    ACTIONS(9796), 1,
      anon_sym_try,
    STATE(2327), 1,
      sym_try_statement,
    STATE(2356), 1,
      sym_compound_statement,
    STATE(2357), 1,
      sym_default_method_clause,
    STATE(2358), 1,
      sym_delete_method_clause,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7358), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7389), 1,
      sym_bitfield_clause,
    STATE(7409), 1,
      sym_initializer_list,
    STATE(8647), 1,
      sym_attribute_specifier,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [243961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9798), 1,
      anon_sym_requires,
    STATE(6907), 1,
      sym__function_attributes_end,
    STATE(7035), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9521), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
  [244017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_requires,
    STATE(6909), 1,
      sym__function_attributes_end,
    STATE(7032), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
  [244073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_requires,
    STATE(6933), 1,
      sym__function_attributes_end,
    STATE(7030), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
  [244129] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7133), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2030), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244181] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7133), 1,
      sym__scope_resolution,
    ACTIONS(9801), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6383), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(9805), 1,
      anon_sym_LBRACK,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6399), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9803), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [244271] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7169), 1,
      sym__scope_resolution,
    ACTIONS(9807), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6412), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244323] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7157), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6435), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244375] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7157), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7065), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244427] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_requires,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(3069), 1,
      sym_template_type,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7139), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    ACTIONS(9690), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244531] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4027), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(9817), 1,
      sym_identifier,
    ACTIONS(9819), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6100), 1,
      sym__scope_resolution,
    STATE(7688), 1,
      sym_operator_cast,
    STATE(7691), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [244601] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    ACTIONS(9821), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7161), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244653] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_requires,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(3069), 1,
      sym_template_type,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7163), 1,
      sym__scope_resolution,
    ACTIONS(9823), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6969), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7127), 1,
      sym__scope_resolution,
    ACTIONS(9825), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4796), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7169), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6435), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8362), 1,
      anon_sym_STAR,
    ACTIONS(8364), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8366), 1,
      anon_sym_AMP,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6899), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [244855] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9770), 1,
      anon_sym_LPAREN2,
    ACTIONS(9774), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6522), 1,
      sym_lambda_capture_specifier,
    STATE(7157), 1,
      sym__scope_resolution,
    ACTIONS(9827), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7078), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244907] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9750), 1,
      sym_identifier,
    ACTIONS(9752), 1,
      anon_sym_COLON_COLON,
    STATE(2767), 1,
      sym_template_type,
    STATE(6557), 1,
      sym_lambda_capture_specifier,
    STATE(7162), 1,
      sym__scope_resolution,
    ACTIONS(9829), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2762), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [244959] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    ACTIONS(9831), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6825), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245011] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2030), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6935), 1,
      sym__function_attributes_end,
    STATE(7082), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9521), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
  [245119] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    ACTIONS(9833), 1,
      sym_identifier,
    ACTIONS(9835), 1,
      anon_sym_TILDE,
    ACTIONS(9837), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9839), 1,
      anon_sym_template,
    ACTIONS(9841), 1,
      anon_sym_operator,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6111), 1,
      sym__scope_resolution,
    STATE(7688), 1,
      sym_operator_cast,
    STATE(7691), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [245189] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    ACTIONS(9650), 1,
      anon_sym_requires,
    ACTIONS(9843), 1,
      anon_sym_LPAREN2,
    STATE(2234), 1,
      sym_template_type,
    STATE(6526), 1,
      sym_lambda_capture_specifier,
    STATE(7159), 1,
      sym__scope_resolution,
    ACTIONS(9845), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2894), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6724), 1,
      sym_trailing_return_type,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9521), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
  [245297] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    ACTIONS(9702), 1,
      sym_identifier,
    ACTIONS(9704), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7145), 1,
      sym__scope_resolution,
    ACTIONS(9847), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6760), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245349] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    ACTIONS(9658), 1,
      anon_sym_requires,
    ACTIONS(9849), 1,
      anon_sym_LPAREN2,
    STATE(3208), 1,
      sym_template_type,
    STATE(6490), 1,
      sym_lambda_capture_specifier,
    STATE(7128), 1,
      sym__scope_resolution,
    ACTIONS(9851), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4271), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245401] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_requires,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(3069), 1,
      sym_template_type,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7163), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4913), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    ACTIONS(9650), 1,
      anon_sym_requires,
    ACTIONS(9843), 1,
      anon_sym_LPAREN2,
    STATE(2234), 1,
      sym_template_type,
    STATE(6526), 1,
      sym_lambda_capture_specifier,
    STATE(7159), 1,
      sym__scope_resolution,
    ACTIONS(9853), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2896), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245505] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_LPAREN2,
    ACTIONS(9714), 1,
      anon_sym_requires,
    STATE(5452), 1,
      sym_template_type,
    STATE(6495), 1,
      sym_lambda_capture_specifier,
    STATE(7137), 1,
      sym__scope_resolution,
    ACTIONS(9855), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6598), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245557] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    ACTIONS(9616), 1,
      anon_sym_requires,
    ACTIONS(9688), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6507), 1,
      sym_lambda_capture_specifier,
    STATE(7148), 1,
      sym__scope_resolution,
    ACTIONS(9857), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7174), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6937), 1,
      sym__function_attributes_end,
    STATE(7083), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
  [245665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6797), 1,
      sym_trailing_return_type,
    STATE(6984), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9174), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
  [245721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9710), 1,
      anon_sym_LPAREN2,
    ACTIONS(9714), 1,
      anon_sym_requires,
    STATE(5452), 1,
      sym_template_type,
    STATE(6495), 1,
      sym_lambda_capture_specifier,
    STATE(7137), 1,
      sym__scope_resolution,
    ACTIONS(9859), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6577), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    ACTIONS(9658), 1,
      anon_sym_requires,
    ACTIONS(9849), 1,
      anon_sym_LPAREN2,
    STATE(3208), 1,
      sym_template_type,
    STATE(6490), 1,
      sym_lambda_capture_specifier,
    STATE(7128), 1,
      sym__scope_resolution,
    ACTIONS(9861), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4329), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6860), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [245871] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_requires,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(3069), 1,
      sym_template_type,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7139), 1,
      sym__scope_resolution,
    ACTIONS(9863), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5427), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [245923] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(3043), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(9865), 1,
      sym_identifier,
    ACTIONS(9867), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6126), 1,
      sym__scope_resolution,
    STATE(7688), 1,
      sym_operator_cast,
    STATE(7691), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [245993] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    ACTIONS(9624), 1,
      anon_sym_requires,
    ACTIONS(9813), 1,
      anon_sym_LPAREN2,
    STATE(3069), 1,
      sym_template_type,
    STATE(6481), 1,
      sym_lambda_capture_specifier,
    STATE(7163), 1,
      sym__scope_resolution,
    ACTIONS(9869), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6993), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [246045] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(2838), 1,
      anon_sym_LBRACK,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9716), 1,
      anon_sym_LPAREN2,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3149), 1,
      sym_template_type,
    STATE(6486), 1,
      sym_lambda_capture_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    ACTIONS(9871), 2,
      sym_true,
      sym_false,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6806), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [246097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6733), 1,
      sym_trailing_return_type,
    STATE(7021), 1,
      sym__function_attributes_end,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
  [246153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6837), 1,
      sym__function_attributes_end,
    STATE(7053), 1,
      sym_trailing_return_type,
    STATE(7302), 1,
      sym_gnu_asm_expression,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7426), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6323), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6457), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
  [246209] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(9875), 1,
      anon_sym_RPAREN,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    STATE(8100), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246264] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_STAR,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_AMP,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(6961), 1,
      sym__abstract_declarator,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [246309] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5563), 1,
      sym__class_declaration_item,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246368] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5565), 1,
      sym__class_declaration_item,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246427] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3726), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6212), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246486] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3785), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246545] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5857), 1,
      sym__class_declaration_item,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6144), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246604] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5852), 1,
      sym__class_declaration_item,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246663] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4639), 1,
      sym__class_declaration_item,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6210), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246722] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4646), 1,
      sym__class_declaration_item,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246781] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3450), 1,
      sym__class_declaration_item,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246840] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3344), 1,
      sym__class_declaration_item,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246899] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3391), 1,
      sym__class_declaration_item,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246958] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5818), 1,
      sym__class_declaration_item,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247017] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4641), 1,
      sym__class_declaration_item,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3432), 1,
      sym__class_declaration_item,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4603), 1,
      sym__class_declaration_item,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247194] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247253] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3340), 1,
      sym__class_declaration_item,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6143), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247312] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5815), 1,
      sym__class_declaration_item,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6153), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5401), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9903), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6151), 1,
      sym__scope_resolution,
    STATE(7688), 1,
      sym_operator_cast,
    STATE(7691), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [247434] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(9905), 1,
      anon_sym_RPAREN,
    STATE(8066), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [247489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5614), 1,
      sym_field_declaration_list,
    STATE(5797), 1,
      sym__class_declaration_item,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(7690), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5442), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5604), 1,
      sym__class_declaration_item,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6191), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2297), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3753), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3726), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6183), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247784] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3790), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6239), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247843] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2287), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6201), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247961] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3785), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248020] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3390), 1,
      sym__class_declaration_item,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6146), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248079] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3340), 1,
      sym__class_declaration_item,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6194), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248138] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3352), 1,
      sym__class_declaration_item,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248197] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5576), 1,
      sym__class_declaration_item,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248256] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248315] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3755), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248374] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3589), 1,
      sym__class_declaration_item,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248433] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3790), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6200), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248492] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3477), 1,
      sym__class_declaration_item,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6168), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248551] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3638), 1,
      sym__class_declaration_item,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248610] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3646), 1,
      sym__class_declaration_item,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248669] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3245), 1,
      sym_field_declaration_list,
    STATE(3619), 1,
      sym__class_declaration_item,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(7523), 1,
      sym_virtual_specifier,
    STATE(8371), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2877), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6171), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248728] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3408), 1,
      sym__class_declaration_item,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248787] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248846] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3785), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248905] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2287), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248964] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(3428), 1,
      sym__class_declaration_item,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(7663), 1,
      sym_virtual_specifier,
    STATE(8360), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2751), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6164), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249023] = 5,
    ACTIONS(9692), 1,
      anon_sym_LF,
    ACTIONS(9907), 1,
      anon_sym_LPAREN2,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(6452), 1,
      sym_preproc_argument_list,
    ACTIONS(9696), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [249056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9913), 1,
      anon_sym_LBRACK,
    ACTIONS(9911), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [249085] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2297), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4726), 1,
      sym__class_declaration_item,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6189), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249203] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3755), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249262] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4746), 1,
      sym__class_declaration_item,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3755), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3726), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6185), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249439] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3726), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6167), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3753), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249557] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4724), 1,
      sym__class_declaration_item,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249616] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4763), 1,
      sym__class_declaration_item,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6196), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249675] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5565), 1,
      sym__class_declaration_item,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2243), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6224), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249793] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3753), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249852] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3391), 1,
      sym__class_declaration_item,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249911] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5547), 1,
      sym__class_declaration_item,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6199), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249970] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4631), 1,
      sym_field_declaration_list,
    STATE(4737), 1,
      sym__class_declaration_item,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(7539), 1,
      sym_virtual_specifier,
    STATE(8392), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4128), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250029] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3344), 1,
      sym__class_declaration_item,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250088] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2243), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6159), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250147] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5563), 1,
      sym__class_declaration_item,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250206] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3753), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250265] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2297), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9917), 1,
      anon_sym_RPAREN,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(9927), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6226), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5547), 1,
      sym__class_declaration_item,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6133), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250426] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3929), 1,
      sym__class_declaration_item,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3985), 1,
      sym__class_declaration_item,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250544] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(3992), 1,
      sym__class_declaration_item,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3165), 1,
      sym_field_declaration_list,
    STATE(3450), 1,
      sym__class_declaration_item,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(7458), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2958), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3755), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3202), 1,
      sym__class_declaration_item,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6216), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250780] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4466), 1,
      sym_field_declaration_list,
    STATE(4605), 1,
      sym__class_declaration_item,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(7626), 1,
      sym_virtual_specifier,
    STATE(8466), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3801), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250839] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(4042), 1,
      sym__class_declaration_item,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3755), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [250957] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2281), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3654), 1,
      sym_field_declaration_list,
    STATE(4046), 1,
      sym__class_declaration_item,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(7704), 1,
      sym_virtual_specifier,
    STATE(8240), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2975), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6206), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3188), 1,
      sym__class_declaration_item,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3097), 1,
      sym__class_declaration_item,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3171), 1,
      sym__class_declaration_item,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6218), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3001), 1,
      sym_field_declaration_list,
    STATE(3160), 1,
      sym__class_declaration_item,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(7461), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2477), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251311] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6181), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3493), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [251399] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2281), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251458] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(9931), 1,
      anon_sym_RPAREN,
    ACTIONS(9933), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6131), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3790), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6193), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2287), 1,
      sym__class_declaration_item,
    STATE(2936), 1,
      sym_field_declaration_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(7644), 1,
      sym_virtual_specifier,
    STATE(8197), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2688), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2281), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251678] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(9935), 1,
      anon_sym_RPAREN,
    STATE(7799), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251733] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5576), 1,
      sym__class_declaration_item,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251792] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5499), 1,
      sym_field_declaration_list,
    STATE(5604), 1,
      sym__class_declaration_item,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(7489), 1,
      sym_virtual_specifier,
    STATE(8219), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5425), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251851] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2243), 1,
      sym__class_declaration_item,
    STATE(6020), 1,
      sym_field_declaration_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(7655), 1,
      sym_virtual_specifier,
    STATE(8275), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5570), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6177), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2497), 1,
      sym__class_declaration_item,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6233), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [251969] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(9937), 1,
      anon_sym_RPAREN,
    ACTIONS(9939), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6152), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252012] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2510), 1,
      sym__class_declaration_item,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252071] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2486), 1,
      sym__class_declaration_item,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252130] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2468), 1,
      sym__class_declaration_item,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6235), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252189] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2325), 1,
      sym_field_declaration_list,
    STATE(2546), 1,
      sym__class_declaration_item,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(7524), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252248] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3785), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3790), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6156), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3790), 1,
      sym__class_declaration_item,
    STATE(4464), 1,
      sym_field_declaration_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(7563), 1,
      sym_virtual_specifier,
    STATE(8425), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4202), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6188), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252425] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3753), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252484] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(3785), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252543] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    ACTIONS(7136), 1,
      anon_sym_COLON,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(3726), 1,
      sym__class_declaration_item,
    STATE(4454), 1,
      sym_field_declaration_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(7628), 1,
      sym_virtual_specifier,
    STATE(8382), 1,
      sym_base_class_clause,
    ACTIONS(5379), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6208), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [252602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(9951), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6334), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(9955), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6365), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(9957), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6371), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252722] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(5052), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(9959), 1,
      sym_identifier,
    ACTIONS(9961), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6245), 1,
      sym__scope_resolution,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [252786] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(9963), 1,
      sym_identifier,
    ACTIONS(9965), 1,
      anon_sym_TILDE,
    ACTIONS(9967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9969), 1,
      anon_sym_template,
    ACTIONS(9971), 1,
      anon_sym_operator,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(4011), 1,
      sym_pointer_type_declarator,
    STATE(4012), 1,
      sym_template_function,
    STATE(4013), 1,
      sym_destructor_name,
    STATE(4017), 1,
      sym_dependent_identifier,
    STATE(4018), 1,
      sym_qualified_identifier,
    STATE(4019), 1,
      sym_operator_name,
    STATE(6246), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [252850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9975), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9973), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [252878] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(9977), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6370), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9983), 1,
      anon_sym_SEMI,
    ACTIONS(9985), 1,
      anon_sym_LBRACE,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    STATE(2594), 1,
      sym_try_statement,
    STATE(2595), 1,
      sym_compound_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7863), 1,
      sym_gnu_asm_expression,
    STATE(7864), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [252976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9995), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9993), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9999), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9997), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253032] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10001), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6441), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10003), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6374), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(10005), 1,
      sym_identifier,
    ACTIONS(10007), 1,
      anon_sym_TILDE,
    ACTIONS(10009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10011), 1,
      anon_sym_template,
    ACTIONS(10013), 1,
      anon_sym_operator,
    STATE(3034), 1,
      sym_template_type,
    STATE(3038), 1,
      sym_dependent_type_identifier,
    STATE(3156), 1,
      sym_qualified_type_identifier,
    STATE(4059), 1,
      sym_destructor_name,
    STATE(4066), 1,
      sym_dependent_identifier,
    STATE(4164), 1,
      sym_pointer_type_declarator,
    STATE(4166), 1,
      sym_qualified_identifier,
    STATE(4177), 1,
      sym_template_function,
    STATE(4206), 1,
      sym_operator_name,
    STATE(6254), 1,
      sym__scope_resolution,
    STATE(8584), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [253176] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9748), 1,
      anon_sym_try,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10015), 1,
      anon_sym_SEMI,
    ACTIONS(10017), 1,
      anon_sym_LBRACE,
    STATE(2164), 1,
      sym_try_statement,
    STATE(2165), 1,
      sym_compound_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7889), 1,
      aux_sym_declaration_repeat1,
    STATE(7890), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [253234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10019), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6299), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10021), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6298), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    ACTIONS(9835), 1,
      anon_sym_TILDE,
    ACTIONS(10023), 1,
      sym_identifier,
    ACTIONS(10025), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10027), 1,
      anon_sym_template,
    ACTIONS(10029), 1,
      anon_sym_operator,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6258), 1,
      sym__scope_resolution,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [253378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10031), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6296), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253418] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10033), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6295), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253458] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8670), 1,
      anon_sym_STAR,
    ACTIONS(10035), 1,
      sym_identifier,
    ACTIONS(10037), 1,
      anon_sym_TILDE,
    ACTIONS(10039), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10041), 1,
      anon_sym_template,
    ACTIONS(10043), 1,
      anon_sym_operator,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(3512), 1,
      sym_operator_name,
    STATE(3515), 1,
      sym_qualified_identifier,
    STATE(3516), 1,
      sym_dependent_identifier,
    STATE(3527), 1,
      sym_destructor_name,
    STATE(3529), 1,
      sym_template_function,
    STATE(3557), 1,
      sym_pointer_type_declarator,
    STATE(6261), 1,
      sym__scope_resolution,
    STATE(8823), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [253522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10045), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6294), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10047), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6292), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10049), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10053), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10051), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10055), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6369), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253710] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(10057), 1,
      sym_identifier,
    ACTIONS(10059), 1,
      anon_sym_TILDE,
    ACTIONS(10061), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10063), 1,
      anon_sym_template,
    ACTIONS(10065), 1,
      anon_sym_operator,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(3674), 1,
      sym_template_function,
    STATE(3675), 1,
      sym_destructor_name,
    STATE(3710), 1,
      sym_dependent_identifier,
    STATE(3719), 1,
      sym_qualified_identifier,
    STATE(3734), 1,
      sym_operator_name,
    STATE(6267), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [253774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10067), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6395), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253814] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    ACTIONS(10069), 1,
      anon_sym_SEMI,
    STATE(6072), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8618), 1,
      sym_attribute_specifier,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [253866] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10071), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6290), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10073), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6289), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10075), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10079), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6386), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10081), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6335), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254060] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    ACTIONS(10083), 1,
      anon_sym_SEMI,
    STATE(6088), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(8700), 1,
      sym_attribute_specifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [254112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10085), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6413), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10087), 1,
      anon_sym_SEMI,
    ACTIONS(10089), 1,
      anon_sym_try,
    STATE(1058), 1,
      sym_try_statement,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8094), 1,
      sym_gnu_asm_expression,
    STATE(8108), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [254210] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(9965), 1,
      anon_sym_TILDE,
    ACTIONS(9971), 1,
      anon_sym_operator,
    ACTIONS(10091), 1,
      sym_identifier,
    ACTIONS(10093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10095), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(4011), 1,
      sym_pointer_type_declarator,
    STATE(4012), 1,
      sym_template_function,
    STATE(4013), 1,
      sym_destructor_name,
    STATE(4017), 1,
      sym_dependent_identifier,
    STATE(4018), 1,
      sym_qualified_identifier,
    STATE(4019), 1,
      sym_operator_name,
    STATE(6278), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [254274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10075), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [254310] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10097), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6390), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254350] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10099), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6279), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254390] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10101), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6453), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10103), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6272), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10105), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [254520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(9965), 1,
      anon_sym_TILDE,
    ACTIONS(9971), 1,
      anon_sym_operator,
    ACTIONS(10107), 1,
      sym_identifier,
    ACTIONS(10109), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10111), 1,
      anon_sym_template,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(4011), 1,
      sym_pointer_type_declarator,
    STATE(4012), 1,
      sym_template_function,
    STATE(4013), 1,
      sym_destructor_name,
    STATE(4017), 1,
      sym_dependent_identifier,
    STATE(4018), 1,
      sym_qualified_identifier,
    STATE(4019), 1,
      sym_operator_name,
    STATE(6285), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [254584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(4508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(10113), 1,
      sym_identifier,
    ACTIONS(10115), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3199), 1,
      sym_template_type,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6286), 1,
      sym__scope_resolution,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [254648] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_LBRACK,
    STATE(5490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6469), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9803), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254684] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8616), 1,
      anon_sym_STAR,
    ACTIONS(10059), 1,
      anon_sym_TILDE,
    ACTIONS(10065), 1,
      anon_sym_operator,
    ACTIONS(10117), 1,
      sym_identifier,
    ACTIONS(10119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10121), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(3674), 1,
      sym_template_function,
    STATE(3675), 1,
      sym_destructor_name,
    STATE(3710), 1,
      sym_dependent_identifier,
    STATE(3719), 1,
      sym_qualified_identifier,
    STATE(3734), 1,
      sym_operator_name,
    STATE(6288), 1,
      sym__scope_resolution,
    STATE(9103), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [254748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10077), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10075), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [254788] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10077), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10075), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [254830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10123), 1,
      anon_sym_SEMI,
    ACTIONS(10125), 1,
      anon_sym_LBRACE,
    ACTIONS(10127), 1,
      anon_sym_try,
    STATE(607), 1,
      sym_compound_statement,
    STATE(609), 1,
      sym_try_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7961), 1,
      sym_gnu_asm_expression,
    STATE(7965), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [254888] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(10077), 1,
      anon_sym_PIPE,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10075), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [254932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10129), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6382), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [254972] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(10077), 1,
      anon_sym_PIPE,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10075), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [255018] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10075), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [255064] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10075), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [255112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10133), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10131), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10077), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10075), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10077), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10075), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10135), 1,
      anon_sym_SEMI,
    ACTIONS(10137), 1,
      anon_sym_LBRACE,
    ACTIONS(10139), 1,
      anon_sym_try,
    STATE(869), 1,
      sym_compound_statement,
    STATE(880), 1,
      sym_try_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8141), 1,
      sym_gnu_asm_expression,
    STATE(8142), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [255258] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    ACTIONS(10141), 1,
      sym_identifier,
    ACTIONS(10143), 1,
      anon_sym_TILDE,
    ACTIONS(10145), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10147), 1,
      anon_sym_template,
    ACTIONS(10149), 1,
      anon_sym_operator,
    STATE(2840), 1,
      sym_operator_name,
    STATE(2841), 1,
      sym_qualified_identifier,
    STATE(2844), 1,
      sym_dependent_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2847), 1,
      sym_template_function,
    STATE(2857), 1,
      sym_pointer_type_declarator,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(6301), 1,
      sym__scope_resolution,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [255322] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      anon_sym_SEMI,
    ACTIONS(10153), 1,
      anon_sym_LBRACE,
    ACTIONS(10155), 1,
      anon_sym_try,
    STATE(412), 1,
      sym_compound_statement,
    STATE(415), 1,
      sym_try_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7879), 1,
      aux_sym_declaration_repeat1,
    STATE(7885), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [255380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6777), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6779), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255408] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10157), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6361), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10159), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6411), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255488] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    ACTIONS(10161), 1,
      anon_sym_SEMI,
    STATE(6085), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(8668), 1,
      sym_attribute_specifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [255540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10163), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6378), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(8948), 1,
      anon_sym_STAR,
    ACTIONS(8950), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8952), 1,
      anon_sym_AMP,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7061), 1,
      sym__abstract_declarator,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10165), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6420), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10167), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6380), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255704] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    ACTIONS(10169), 1,
      anon_sym_SEMI,
    STATE(6073), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(9028), 1,
      sym_attribute_specifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [255756] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10171), 1,
      anon_sym_SEMI,
    ACTIONS(10173), 1,
      anon_sym_LBRACE,
    ACTIONS(10175), 1,
      anon_sym_try,
    STATE(904), 1,
      sym_try_statement,
    STATE(909), 1,
      sym_compound_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8169), 1,
      aux_sym_declaration_repeat1,
    STATE(8176), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [255814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10177), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6348), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255854] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10179), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6377), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10181), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6433), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [255934] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8714), 1,
      anon_sym_STAR,
    ACTIONS(10007), 1,
      anon_sym_TILDE,
    ACTIONS(10013), 1,
      anon_sym_operator,
    ACTIONS(10183), 1,
      sym_identifier,
    ACTIONS(10185), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10187), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(4059), 1,
      sym_destructor_name,
    STATE(4066), 1,
      sym_dependent_identifier,
    STATE(4164), 1,
      sym_pointer_type_declarator,
    STATE(4166), 1,
      sym_qualified_identifier,
    STATE(4177), 1,
      sym_template_function,
    STATE(4206), 1,
      sym_operator_name,
    STATE(6316), 1,
      sym__scope_resolution,
    STATE(8584), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [255998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10191), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10189), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256026] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10193), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6414), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10195), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6358), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9796), 1,
      anon_sym_try,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10197), 1,
      anon_sym_SEMI,
    ACTIONS(10199), 1,
      anon_sym_LBRACE,
    STATE(2408), 1,
      sym_compound_statement,
    STATE(2409), 1,
      sym_try_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7745), 1,
      sym_gnu_asm_expression,
    STATE(7746), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [256164] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    ACTIONS(10143), 1,
      anon_sym_TILDE,
    ACTIONS(10149), 1,
      anon_sym_operator,
    ACTIONS(10201), 1,
      sym_identifier,
    ACTIONS(10203), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10205), 1,
      anon_sym_template,
    STATE(2840), 1,
      sym_operator_name,
    STATE(2841), 1,
      sym_qualified_identifier,
    STATE(2844), 1,
      sym_dependent_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2847), 1,
      sym_template_function,
    STATE(2857), 1,
      sym_pointer_type_declarator,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(6321), 1,
      sym__scope_resolution,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [256228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10209), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10207), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256256] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK,
    STATE(5490), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9784), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9740), 1,
      anon_sym_try,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10211), 1,
      anon_sym_SEMI,
    ACTIONS(10213), 1,
      anon_sym_LBRACE,
    STATE(2554), 1,
      sym_compound_statement,
    STATE(2559), 1,
      sym_try_statement,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8040), 1,
      aux_sym_declaration_repeat1,
    STATE(8041), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [256350] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8680), 1,
      anon_sym_STAR,
    ACTIONS(10143), 1,
      anon_sym_TILDE,
    ACTIONS(10149), 1,
      anon_sym_operator,
    ACTIONS(10215), 1,
      sym_identifier,
    ACTIONS(10217), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10219), 1,
      anon_sym_template,
    STATE(2840), 1,
      sym_operator_name,
    STATE(2841), 1,
      sym_qualified_identifier,
    STATE(2844), 1,
      sym_dependent_identifier,
    STATE(2845), 1,
      sym_destructor_name,
    STATE(2847), 1,
      sym_template_function,
    STATE(2857), 1,
      sym_pointer_type_declarator,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(6325), 1,
      sym__scope_resolution,
    STATE(8914), 1,
      sym_ms_based_modifier,
    STATE(9302), 1,
      sym_decltype,
  [256414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10221), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6339), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10223), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6372), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10225), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6251), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256534] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10227), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6351), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10231), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10229), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 1,
      sym_identifier,
    ACTIONS(9919), 1,
      anon_sym_LPAREN2,
    ACTIONS(9921), 1,
      anon_sym_defined,
    ACTIONS(10233), 1,
      sym_number_literal,
    ACTIONS(9923), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9925), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9929), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6284), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9941), 1,
      sym_identifier,
    ACTIONS(9943), 1,
      anon_sym_LPAREN2,
    ACTIONS(9945), 1,
      anon_sym_defined,
    ACTIONS(10235), 1,
      sym_number_literal,
    ACTIONS(9947), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9949), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6402), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256682] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6448), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256721] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10237), 1,
      anon_sym_LF,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [256766] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(10259), 1,
      anon_sym_RPAREN,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_LBRACK,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9803), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9784), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10263), 1,
      anon_sym_LBRACK,
    ACTIONS(10261), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256904] = 11,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10077), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [256947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10267), 1,
      anon_sym_LBRACK,
    ACTIONS(10265), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256974] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10269), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257019] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7560), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8762), 1,
      anon_sym_STAR,
    ACTIONS(10271), 1,
      sym_identifier,
    ACTIONS(10273), 1,
      anon_sym_template,
    STATE(6342), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_template_function,
    STATE(6863), 1,
      sym_pointer_type_declarator,
    STATE(6867), 1,
      sym_operator_name,
    STATE(6872), 1,
      sym_qualified_identifier,
    STATE(6882), 1,
      sym_dependent_identifier,
    STATE(6898), 1,
      sym_destructor_name,
    STATE(8663), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [257154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [257189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_LBRACK,
    ACTIONS(5315), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257216] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(9973), 1,
      anon_sym_LF,
    ACTIONS(9975), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [257243] = 9,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10077), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(10279), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10281), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6272), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(10283), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10285), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6272), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257344] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10287), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257389] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257424] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9903), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6353), 1,
      sym__scope_resolution,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10291), 1,
      anon_sym_LBRACK,
    ACTIONS(10289), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257508] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9082), 1,
      anon_sym_STAR,
    ACTIONS(9084), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9086), 1,
      anon_sym_AMP,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7102), 1,
      sym__abstract_declarator,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8038), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [257551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 1,
      anon_sym_LBRACK,
    ACTIONS(5262), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [257613] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10293), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 1,
      anon_sym_LBRACK,
    ACTIONS(5286), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10297), 1,
      anon_sym_LBRACK,
    ACTIONS(10295), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257712] = 8,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10077), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [257749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [257784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10301), 1,
      anon_sym_LBRACK,
    ACTIONS(10303), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6363), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10299), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257815] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(6967), 1,
      sym_access_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7559), 1,
      sym_virtual,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8032), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10306), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [257866] = 7,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10077), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [257901] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8734), 1,
      anon_sym_STAR,
    ACTIONS(9901), 1,
      sym_identifier,
    ACTIONS(9903), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6366), 1,
      sym__scope_resolution,
    STATE(9188), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257958] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7013), 1,
      sym_access_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7542), 1,
      sym_virtual,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7906), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10306), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [258009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6437), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258048] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10308), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258093] = 6,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10077), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258126] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10077), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258157] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10077), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258202] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10189), 1,
      anon_sym_LF,
    ACTIONS(10191), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258229] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10077), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 1,
      anon_sym_LBRACK,
    ACTIONS(5262), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [258318] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10310), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258363] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10312), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5256), 1,
      anon_sym_LBRACK,
    ACTIONS(5258), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258435] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10314), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258480] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(10316), 1,
      sym_identifier,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10320), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258537] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10077), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym_LBRACK,
    ACTIONS(10285), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [258630] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [258669] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10322), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258714] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(7514), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(10324), 1,
      sym_identifier,
    ACTIONS(10326), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_operator_name,
    STATE(3194), 1,
      sym_qualified_identifier,
    STATE(3196), 1,
      sym_dependent_identifier,
    STATE(3197), 1,
      sym_destructor_name,
    STATE(3198), 1,
      sym_template_function,
    STATE(3201), 1,
      sym_pointer_type_declarator,
    STATE(6387), 1,
      sym__scope_resolution,
    STATE(9030), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [258771] = 3,
    ACTIONS(6779), 1,
      anon_sym_LF,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(6777), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 1,
      anon_sym_LBRACK,
    ACTIONS(5294), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258825] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10328), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258870] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(9993), 1,
      anon_sym_LF,
    ACTIONS(9995), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [258932] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10131), 1,
      anon_sym_LF,
    ACTIONS(10133), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258959] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10207), 1,
      anon_sym_LF,
    ACTIONS(10209), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258986] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(9997), 1,
      anon_sym_LF,
    ACTIONS(9999), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [259013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [259052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 1,
      anon_sym_LBRACK,
    ACTIONS(5262), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259079] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9551), 1,
      anon_sym_requires,
    STATE(6450), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [259118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10332), 1,
      anon_sym_LBRACK,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10330), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6449), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [259188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10337), 1,
      anon_sym_requires,
    STATE(6451), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [259227] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10340), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [259272] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3033), 1,
      anon_sym_TILDE,
    ACTIONS(6171), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8704), 1,
      anon_sym_STAR,
    ACTIONS(10271), 1,
      sym_identifier,
    ACTIONS(10273), 1,
      anon_sym_template,
    STATE(6403), 1,
      sym__scope_resolution,
    STATE(6829), 1,
      sym_template_function,
    STATE(6863), 1,
      sym_pointer_type_declarator,
    STATE(6867), 1,
      sym_operator_name,
    STATE(6872), 1,
      sym_qualified_identifier,
    STATE(6882), 1,
      sym_dependent_identifier,
    STATE(6898), 1,
      sym_destructor_name,
    STATE(8793), 1,
      sym_ms_based_modifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [259329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10342), 1,
      anon_sym_requires,
    STATE(6442), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6430), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259407] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10342), 1,
      anon_sym_requires,
    STATE(6442), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [259485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6430), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [259524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [259563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259602] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10345), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [259647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym_LBRACK,
    ACTIONS(10281), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259676] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10347), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [259721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 1,
      anon_sym_SLASH,
    ACTIONS(9883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9887), 1,
      anon_sym_PIPE,
    ACTIONS(9889), 1,
      anon_sym_CARET,
    ACTIONS(9891), 1,
      anon_sym_AMP,
    ACTIONS(10349), 1,
      anon_sym_RPAREN,
    ACTIONS(9877), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9893), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9895), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9899), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [259770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [259809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [259848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_LBRACK,
    ACTIONS(2208), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [259875] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [259910] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [259949] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10351), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [259994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10355), 1,
      anon_sym_LPAREN2,
    ACTIONS(10357), 1,
      anon_sym_LBRACK,
    ACTIONS(10353), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [260062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      anon_sym_LBRACK,
    ACTIONS(5276), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260124] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7010), 1,
      sym_access_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7478), 1,
      sym_virtual,
    STATE(5929), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10306), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [260175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6424), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_DASH_GT,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7784), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6437), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [260292] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_LF,
    ACTIONS(10231), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [260319] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10342), 1,
      anon_sym_requires,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5230), 1,
      anon_sym_LBRACK,
    ACTIONS(5232), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 1,
      anon_sym_LBRACK,
    ACTIONS(5242), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260408] = 10,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_LF,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10077), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [260449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 1,
      anon_sym_LBRACK,
    ACTIONS(5311), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10361), 1,
      anon_sym_LBRACK,
    ACTIONS(10359), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260538] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10369), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6363), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10367), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260631] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(6966), 1,
      sym_access_specifier,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7723), 1,
      sym_virtual,
    STATE(6425), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7724), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10306), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [260682] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10371), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [260727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(10376), 1,
      anon_sym_requires,
    ACTIONS(10373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_LBRACK,
    ACTIONS(5266), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260859] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7796), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6445), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [260898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [260968] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9551), 1,
      anon_sym_requires,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [261003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10337), 1,
      anon_sym_requires,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [261038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(10379), 1,
      anon_sym_requires,
    ACTIONS(10373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [261073] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10051), 1,
      anon_sym_LF,
    ACTIONS(10053), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261100] = 12,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10243), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10247), 1,
      anon_sym_PIPE,
    ACTIONS(10249), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_AMP,
    ACTIONS(10382), 1,
      anon_sym_LF,
    ACTIONS(10239), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10253), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10241), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10255), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [261145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 1,
      anon_sym_LBRACK,
    ACTIONS(5272), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      anon_sym_LBRACK,
    ACTIONS(5254), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9786), 1,
      anon_sym_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9784), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    STATE(6631), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9528), 1,
      anon_sym_requires,
    STATE(6593), 1,
      sym_trailing_return_type,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    STATE(6640), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(10387), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_trailing_return_type,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9187), 1,
      anon_sym_requires,
    STATE(6578), 1,
      sym_trailing_return_type,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261436] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(9068), 1,
      anon_sym_requires,
    STATE(6619), 1,
      sym_trailing_return_type,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    STATE(6601), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9803), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACK,
    ACTIONS(10390), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6033), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261568] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10393), 1,
      anon_sym_SEMI,
    ACTIONS(10395), 1,
      anon_sym_COLON,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7773), 1,
      sym_gnu_asm_expression,
    STATE(7774), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [261620] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8146), 1,
      anon_sym_LPAREN2,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(9114), 1,
      anon_sym_STAR,
    ACTIONS(9116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9118), 1,
      anon_sym_AMP,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6545), 1,
      sym__function_declarator_seq,
    STATE(7141), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6546), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10332), 1,
      anon_sym_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10330), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7428), 1,
      anon_sym_DASH_GT,
    ACTIONS(7459), 1,
      anon_sym_requires,
    STATE(6633), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [261728] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7544), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9540), 1,
      anon_sym_requires,
    STATE(6430), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261808] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10393), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7773), 1,
      sym_gnu_asm_expression,
    STATE(7774), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [261857] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    STATE(2014), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6662), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7703), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6345), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [261943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9521), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261968] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10135), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8141), 1,
      sym_gnu_asm_expression,
    STATE(8142), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [262017] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10171), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8169), 1,
      aux_sym_declaration_repeat1,
    STATE(8176), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [262066] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7680), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10401), 1,
      anon_sym_LBRACK,
    ACTIONS(10399), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262134] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(4968), 1,
      sym_compound_statement,
    STATE(6566), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7600), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9207), 1,
      anon_sym_requires,
    STATE(6384), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5054), 1,
      anon_sym_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
    ACTIONS(5061), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6352), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [262288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10393), 1,
      anon_sym_SEMI,
    ACTIONS(10407), 1,
      anon_sym_EQ,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7773), 1,
      sym_gnu_asm_expression,
    STATE(7774), 1,
      aux_sym_declaration_repeat1,
    STATE(7985), 1,
      sym_initializer_list,
    STATE(8212), 1,
      sym_argument_list,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [262339] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    STATE(2017), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6474), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7708), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5458), 1,
      anon_sym_COLON,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
    ACTIONS(4373), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10087), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8094), 1,
      sym_gnu_asm_expression,
    STATE(8108), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [262468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_LBRACK,
    ACTIONS(10409), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262493] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4316), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6500), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7506), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7614), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262585] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7630), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LBRACK,
    ACTIONS(10415), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6418), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [262690] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6503), 1,
      sym_template_parameter_list,
    STATE(6611), 1,
      sym_compound_statement,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7611), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9131), 1,
      anon_sym_requires,
    STATE(6392), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10423), 1,
      anon_sym_LBRACK,
    ACTIONS(10421), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10427), 1,
      anon_sym_LBRACK,
    ACTIONS(10425), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7712), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262869] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4264), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6670), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7610), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6445), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [262955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6437), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [262992] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6628), 1,
      sym_compound_statement,
    STATE(6713), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7598), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_LBRACK,
    ACTIONS(10429), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263066] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7660), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263109] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2862), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6717), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7568), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3917), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6511), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7658), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263207] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(7200), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [263250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(6668), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [263293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10439), 1,
      anon_sym_LBRACK,
    ACTIONS(10437), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3912), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6658), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7700), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263367] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10151), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7879), 1,
      aux_sym_declaration_repeat1,
    STATE(7885), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [263416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10443), 1,
      anon_sym_LBRACK,
    ACTIONS(10441), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(4909), 1,
      sym_compound_statement,
    STATE(6521), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7529), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7640), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10275), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263558] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6432), 1,
      sym_compound_statement,
    STATE(6714), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7591), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263607] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(4014), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6558), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7537), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7426), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263699] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7514), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263742] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(4967), 1,
      sym_compound_statement,
    STATE(6694), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7487), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6379), 1,
      sym_compound_statement,
    STATE(6517), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7541), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263840] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4186), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6555), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7671), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7450), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6357), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [263969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2863), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6506), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7552), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9174), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6424), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [264080] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8488), 1,
      sym_identifier,
    ACTIONS(8490), 1,
      anon_sym_STAR,
    ACTIONS(8492), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8494), 1,
      anon_sym_AMP,
    STATE(7180), 1,
      sym__field_declarator,
    STATE(7348), 1,
      sym_operator_name,
    STATE(8852), 1,
      sym_ms_based_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [264123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym_requires,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6362), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [264160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8382), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_LPAREN2,
    ACTIONS(8386), 1,
      anon_sym_STAR,
    ACTIONS(8388), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8390), 1,
      anon_sym_AMP,
    STATE(6814), 1,
      sym__field_declarator,
    STATE(7009), 1,
      sym_operator_name,
    STATE(8619), 1,
      sym_ms_based_modifier,
    STATE(7027), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [264203] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7522), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3616), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6537), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7457), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264295] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7476), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264338] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7593), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7479), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264424] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3462), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6690), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7452), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264473] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7609), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10457), 1,
      anon_sym_LBRACK,
    ACTIONS(10455), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7798), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10342), 1,
      anon_sym_requires,
    STATE(6442), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [264578] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7512), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2014), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6686), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7446), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7697), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264713] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7435), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10463), 1,
      anon_sym_LBRACK,
    ACTIONS(10461), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(10363), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264831] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7715), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264874] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7582), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9164), 1,
      anon_sym_STAR,
    ACTIONS(9166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9168), 1,
      anon_sym_AMP,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7221), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9144), 1,
      anon_sym_requires,
    STATE(6448), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [264995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 1,
      anon_sym_LBRACK,
    ACTIONS(10469), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9424), 1,
      anon_sym_requires,
    STATE(6449), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [265057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9551), 1,
      anon_sym_requires,
    STATE(6450), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [265094] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4082), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6669), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7617), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10337), 1,
      anon_sym_requires,
    STATE(6451), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [265180] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 1,
      anon_sym_LT,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2017), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6542), 1,
      sym_template_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7423), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265229] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(3944), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6681), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7665), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7548), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [265321] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_STAR,
    ACTIONS(9439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9441), 1,
      anon_sym_AMP,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7079), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10475), 1,
      anon_sym_LBRACK,
    ACTIONS(10473), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9061), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10479), 1,
      anon_sym_LBRACK,
    ACTIONS(10477), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    ACTIONS(10123), 1,
      anon_sym_SEMI,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(7961), 1,
      sym_gnu_asm_expression,
    STATE(7965), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [265486] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7112), 1,
      sym__type_declarator,
    STATE(7595), 1,
      sym__type_definition_declarators,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [265529] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10397), 1,
      anon_sym_requires,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(4918), 1,
      sym_compound_statement,
    STATE(6665), 1,
      sym_requires_clause,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7694), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10483), 1,
      anon_sym_LBRACK,
    ACTIONS(10481), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9965), 1,
      anon_sym_TILDE,
    ACTIONS(10485), 1,
      sym_identifier,
    ACTIONS(10487), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10490), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10492), 1,
      anon_sym_template,
    STATE(6883), 1,
      sym__scope_resolution,
    STATE(8430), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3977), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [265645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10494), 1,
      sym_identifier,
    ACTIONS(10496), 1,
      sym_primitive_type,
    STATE(2338), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(2502), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9322), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [265685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9449), 1,
      anon_sym_requires,
    STATE(6780), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [265721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10498), 1,
      sym_identifier,
    ACTIONS(5236), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6584), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265751] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10504), 1,
      sym_identifier,
    ACTIONS(10506), 1,
      sym_primitive_type,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(2256), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [265791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9068), 1,
      anon_sym_requires,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(8022), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5105), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265851] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10508), 1,
      sym_identifier,
    ACTIONS(10510), 1,
      sym_primitive_type,
    STATE(2875), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(3384), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9214), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [265891] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9981), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(9989), 1,
      anon_sym_EQ,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(8350), 1,
      sym_gnu_asm_expression,
    ACTIONS(9991), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10512), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [265935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_requires,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [265989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_requires,
    STATE(6779), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [266025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7258), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [266087] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7261), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [266127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10506), 1,
      sym_primitive_type,
    ACTIONS(10516), 1,
      sym_identifier,
    STATE(2277), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(2256), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10518), 1,
      sym_identifier,
    ACTIONS(5299), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6584), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10521), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10524), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266197] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10527), 1,
      sym_identifier,
    ACTIONS(10529), 1,
      sym_primitive_type,
    STATE(3901), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(4540), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9373), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266237] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10531), 1,
      sym_identifier,
    ACTIONS(10533), 1,
      sym_primitive_type,
    STATE(5349), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(5770), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10535), 1,
      sym_identifier,
    ACTIONS(10537), 1,
      sym_primitive_type,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(5558), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266361] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10539), 1,
      sym_identifier,
    ACTIONS(10541), 1,
      sym_primitive_type,
    STATE(2996), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(3742), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6608), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10367), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10543), 1,
      sym_identifier,
    ACTIONS(10545), 1,
      sym_primitive_type,
    STATE(5984), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(2256), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7914), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10387), 1,
      anon_sym_requires,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [266497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7273), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [266537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10547), 1,
      sym_identifier,
    ACTIONS(10549), 1,
      sym_primitive_type,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(3748), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266577] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10551), 1,
      sym_identifier,
    ACTIONS(10553), 1,
      sym_primitive_type,
    STATE(2783), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(3297), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9280), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5254), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10555), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6272), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [266739] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7245), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [266779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10557), 1,
      sym_identifier,
    ACTIONS(10559), 1,
      sym_primitive_type,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(3249), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10561), 1,
      sym_identifier,
    ACTIONS(10563), 1,
      sym_primitive_type,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(3748), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10565), 1,
      sym_identifier,
    ACTIONS(10567), 1,
      sym_primitive_type,
    STATE(2625), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(3068), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [266899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(6737), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [266957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10569), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6608), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10299), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7172), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [267023] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10547), 1,
      sym_identifier,
    ACTIONS(10549), 1,
      sym_primitive_type,
    STATE(3671), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(3748), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(5063), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5056), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9599), 1,
      anon_sym_requires,
    STATE(6786), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4079), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [267205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10572), 1,
      sym_identifier,
    ACTIONS(5280), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6571), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267235] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10574), 1,
      anon_sym_requires,
    STATE(6793), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10580), 1,
      anon_sym_requires,
    ACTIONS(10577), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [267301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9187), 1,
      anon_sym_requires,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [267331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10561), 1,
      sym_identifier,
    ACTIONS(10563), 1,
      sym_primitive_type,
    STATE(3697), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(3748), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3999), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267393] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7263), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [267433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_identifier,
    ACTIONS(10585), 1,
      sym_primitive_type,
    STATE(2417), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(2502), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9302), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10587), 1,
      sym_identifier,
    ACTIONS(10589), 1,
      sym_primitive_type,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(4688), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9258), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267535] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10535), 1,
      sym_identifier,
    ACTIONS(10537), 1,
      sym_primitive_type,
    STATE(5028), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(5558), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7941), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(6774), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10559), 1,
      sym_primitive_type,
    ACTIONS(10591), 1,
      sym_identifier,
    STATE(2813), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(3249), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3395), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [267673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5232), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [267725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(6778), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [267791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267835] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8656), 1,
      sym_identifier,
    ACTIONS(8658), 1,
      anon_sym_LPAREN2,
    ACTIONS(8660), 1,
      anon_sym_STAR,
    ACTIONS(8664), 1,
      sym_primitive_type,
    STATE(2512), 1,
      sym_pointer_type_declarator,
    STATE(7267), 1,
      sym__type_declarator,
    STATE(9030), 1,
      sym_ms_based_modifier,
    ACTIONS(8662), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2518), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [267875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7818), 1,
      anon_sym_DASH_GT,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(6761), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267911] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9178), 1,
      anon_sym_STAR,
    ACTIONS(9180), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9182), 1,
      anon_sym_AMP,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7279), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [267951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACK,
    ACTIONS(10593), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6318), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4081), 1,
      anon_sym_LBRACK,
    ACTIONS(4083), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8048), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7921), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6788), 1,
      sym_trailing_return_type,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8126), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8001), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268312] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    STATE(6797), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268374] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4249), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268490] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3887), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7471), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(6787), 1,
      sym_trailing_return_type,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [268566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_LBRACK,
    ACTIONS(10613), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6033), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [268593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6745), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5902), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [268624] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(2023), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7679), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8156), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268698] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7897), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268729] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(4932), 1,
      sym_compound_statement,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7641), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10620), 1,
      anon_sym___attribute__,
    ACTIONS(10625), 1,
      anon_sym_alignas,
    ACTIONS(10623), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6666), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10618), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [268801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7894), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_COLON,
    ACTIONS(10630), 1,
      anon_sym_EQ,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7882), 1,
      sym_initializer_list,
    STATE(7884), 1,
      sym_bitfield_clause,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10628), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [268875] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4147), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7580), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268918] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4331), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7676), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8152), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7741), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    STATE(6765), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [269056] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7846), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269087] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10037), 1,
      anon_sym_TILDE,
    ACTIONS(10632), 1,
      sym_identifier,
    ACTIONS(10634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10636), 1,
      anon_sym_template,
    STATE(6920), 1,
      sym__scope_resolution,
    STATE(8324), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3464), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [269126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8122), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10007), 1,
      anon_sym_TILDE,
    ACTIONS(10638), 1,
      sym_identifier,
    ACTIONS(10640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10642), 1,
      anon_sym_template,
    STATE(6916), 1,
      sym__scope_resolution,
    STATE(8502), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4116), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [269196] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(10646), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10648), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10650), 1,
      aux_sym_preproc_elif_token1,
    STATE(7054), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7084), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7266), 1,
      sym_enumerator,
    ACTIONS(10652), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9116), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(9119), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [269235] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10143), 1,
      anon_sym_TILDE,
    ACTIONS(10654), 1,
      sym_identifier,
    ACTIONS(10656), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10658), 1,
      anon_sym_template,
    STATE(6931), 1,
      sym__scope_resolution,
    STATE(8180), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2834), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [269274] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9965), 1,
      anon_sym_TILDE,
    ACTIONS(10485), 1,
      sym_identifier,
    ACTIONS(10490), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10492), 1,
      anon_sym_template,
    STATE(6883), 1,
      sym__scope_resolution,
    STATE(8430), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3977), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [269313] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(3927), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7493), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6745), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5912), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7768), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269418] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7848), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6731), 1,
      sym_trailing_return_type,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [269482] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2023), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7466), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 1,
      anon_sym_LBRACK,
    ACTIONS(6318), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    STATE(6724), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [269581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6745), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5982), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269612] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3490), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7449), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(8034), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7765), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_LBRACK,
    ACTIONS(6561), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269740] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(5013), 1,
      sym_compound_statement,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7474), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269841] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7954), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(7871), 1,
      anon_sym_requires,
    STATE(6733), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [269905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7805), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269994] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(6752), 1,
      sym_string_literal,
    STATE(7017), 1,
      sym_raw_string_literal,
    STATE(7868), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(6283), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4107), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270313] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6588), 1,
      sym_compound_statement,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7587), 1,
      sym_abstract_function_declarator,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270356] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6454), 1,
      sym_compound_statement,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7620), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4255), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [270428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10143), 1,
      anon_sym_TILDE,
    ACTIONS(10654), 1,
      sym_identifier,
    ACTIONS(10660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10662), 1,
      anon_sym_template,
    STATE(6914), 1,
      sym__scope_resolution,
    STATE(8473), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2834), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [270467] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(5134), 1,
      anon_sym_STAR,
    ACTIONS(5136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5138), 1,
      anon_sym_AMP,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2924), 1,
      sym_compound_statement,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7590), 1,
      sym__abstract_declarator,
    STATE(7668), 1,
      sym_abstract_function_declarator,
    STATE(6743), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6745), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5920), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7857), 1,
      anon_sym_DASH_GT,
    ACTIONS(10664), 1,
      anon_sym_requires,
    STATE(6790), 1,
      sym_trailing_return_type,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [270574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270602] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5631), 1,
      sym_enumerator_list,
    STATE(7137), 1,
      sym__scope_resolution,
    ACTIONS(10669), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5486), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10671), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [270674] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5511), 1,
      sym_enumerator_list,
    STATE(7157), 1,
      sym__scope_resolution,
    ACTIONS(10673), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5902), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [270742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10675), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [270774] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2962), 1,
      sym_enumerator_list,
    STATE(7148), 1,
      sym__scope_resolution,
    ACTIONS(10677), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5643), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270834] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8038), 1,
      anon_sym_COLON,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9431), 1,
      anon_sym_STAR,
    ACTIONS(9433), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9435), 1,
      anon_sym_AMP,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7370), 1,
      sym__abstract_declarator,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3134), 1,
      sym_enumerator_list,
    STATE(7153), 1,
      sym__scope_resolution,
    ACTIONS(10679), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2974), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10275), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9596), 1,
      anon_sym_requires,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [270960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10415), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [271008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9174), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8772), 1,
      sym_concatenated_string,
    STATE(6904), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10683), 1,
      anon_sym_LBRACK,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10681), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [271112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(10685), 1,
      anon_sym_requires,
    STATE(6974), 1,
      sym_trailing_return_type,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [271144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10437), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271164] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3023), 1,
      sym_enumerator_list,
    STATE(7154), 1,
      sym__scope_resolution,
    ACTIONS(10688), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2922), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9668), 1,
      anon_sym_requires,
    STATE(6979), 1,
      sym_trailing_return_type,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [271236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10690), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10465), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9493), 1,
      anon_sym_requires,
    STATE(6982), 1,
      sym_trailing_return_type,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [271320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6038), 1,
      anon_sym_LBRACK,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10481), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9415), 1,
      anon_sym_requires,
    STATE(6983), 1,
      sym_trailing_return_type,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [271398] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10692), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10694), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10363), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8866), 1,
      sym_concatenated_string,
    STATE(6838), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10696), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271568] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2403), 1,
      sym_enumerator_list,
    STATE(7159), 1,
      sym__scope_resolution,
    ACTIONS(10698), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2609), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271636] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2403), 1,
      sym_enumerator_list,
    STATE(7159), 1,
      sym__scope_resolution,
    ACTIONS(10700), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2884), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271676] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10702), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4455), 1,
      sym_enumerator_list,
    STATE(7171), 1,
      sym__scope_resolution,
    ACTIONS(10704), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4595), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10706), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10708), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6272), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [271800] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [271830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10429), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10675), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271882] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3648), 1,
      sym_enumerator_list,
    STATE(7128), 1,
      sym__scope_resolution,
    ACTIONS(10710), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3210), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [271922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [271950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10441), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271990] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4457), 1,
      sym_enumerator_list,
    STATE(7147), 1,
      sym__scope_resolution,
    ACTIONS(10712), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4234), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10714), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [272062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10399), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8824), 1,
      sym_concatenated_string,
    STATE(6884), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9192), 1,
      anon_sym_requires,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272226] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4665), 1,
      sym_enumerator_list,
    STATE(7151), 1,
      sym__scope_resolution,
    ACTIONS(10716), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4426), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10718), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9449), 1,
      anon_sym_requires,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9599), 1,
      anon_sym_requires,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272388] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4482), 1,
      sym_enumerator_list,
    STATE(7169), 1,
      sym__scope_resolution,
    ACTIONS(10720), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5244), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8699), 1,
      sym_concatenated_string,
    STATE(6939), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10696), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [272488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3227), 1,
      sym_enumerator_list,
    STATE(7139), 1,
      sym__scope_resolution,
    ACTIONS(10722), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4644), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8942), 1,
      sym_concatenated_string,
    STATE(6877), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272556] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10574), 1,
      anon_sym_requires,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10664), 1,
      anon_sym_requires,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [272614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      anon_sym_requires,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [272642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10421), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      anon_sym_requires,
    ACTIONS(10577), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [272690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5122), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5115), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7820), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_requires,
    ACTIONS(10373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10694), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [272806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    STATE(7022), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [272838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3318), 1,
      sym_enumerator_list,
    STATE(7129), 1,
      sym__scope_resolution,
    ACTIONS(10730), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3011), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [272906] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2962), 1,
      sym_enumerator_list,
    STATE(7127), 1,
      sym__scope_resolution,
    ACTIONS(10732), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4405), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [272946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9521), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272966] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5511), 1,
      sym_enumerator_list,
    STATE(7169), 1,
      sym__scope_resolution,
    ACTIONS(10734), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5462), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10714), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [273038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8609), 1,
      sym_concatenated_string,
    STATE(6945), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(9197), 1,
      sym_concatenated_string,
    STATE(6843), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    STATE(7020), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [273126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9195), 1,
      anon_sym_requires,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [273154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(10736), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10738), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6272), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    STATE(6947), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [273212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [273240] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4455), 1,
      sym_enumerator_list,
    STATE(7164), 1,
      sym__scope_resolution,
    ACTIONS(10740), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4247), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8907), 1,
      sym_concatenated_string,
    STATE(6830), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10409), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3227), 1,
      sym_enumerator_list,
    STATE(7163), 1,
      sym__scope_resolution,
    ACTIONS(10742), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5610), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273396] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    STATE(4197), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(6948), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10744), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3818), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7878), 1,
      anon_sym_requires,
    STATE(7003), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [273488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4252), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10692), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [273520] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(4455), 1,
      sym_enumerator_list,
    STATE(7135), 1,
      sym__scope_resolution,
    ACTIONS(10746), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4795), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9061), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(6023), 1,
      sym_enumerator_list,
    STATE(7170), 1,
      sym__scope_resolution,
    ACTIONS(10748), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5786), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      sym_identifier,
    STATE(8833), 1,
      sym_concatenated_string,
    STATE(6915), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10708), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [273710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10477), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4482), 1,
      sym_enumerator_list,
    STATE(7157), 1,
      sym__scope_resolution,
    ACTIONS(10750), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10469), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10752), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10760), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8189), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8998), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [273920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10764), 1,
      anon_sym_LBRACK,
    ACTIONS(10762), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      anon_sym_SEMI,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    ACTIONS(10770), 1,
      anon_sym_EQ,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10774), 1,
      anon_sym_try,
    STATE(2552), 1,
      sym_compound_statement,
    STATE(8498), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2551), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10776), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8410), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9307), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6900), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10778), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8411), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8758), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6865), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    STATE(7083), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [274077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [274102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6098), 1,
      anon_sym_LBRACK,
    ACTIONS(6100), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_LBRACK,
    ACTIONS(6058), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 1,
      anon_sym_LBRACK,
    ACTIONS(6062), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10782), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [274217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      sym_identifier,
    ACTIONS(5354), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [274238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10786), 1,
      anon_sym_LBRACK,
    ACTIONS(10784), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10788), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8301), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9156), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6853), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8186), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9037), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8349), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8836), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6930), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10794), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8198), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9074), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6832), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10796), 1,
      anon_sym_SEMI,
    ACTIONS(10798), 1,
      anon_sym_EQ,
    ACTIONS(10800), 1,
      anon_sym_try,
    STATE(581), 1,
      sym_compound_statement,
    STATE(8365), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(580), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10802), 1,
      anon_sym_SEMI,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    ACTIONS(10806), 1,
      anon_sym_EQ,
    ACTIONS(10808), 1,
      anon_sym_try,
    STATE(2112), 1,
      sym_compound_statement,
    STATE(8267), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2110), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10810), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8272), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9140), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10812), 1,
      anon_sym_SEMI,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_try,
    STATE(936), 1,
      sym_compound_statement,
    STATE(8188), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(933), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_SEMI,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    STATE(900), 1,
      sym_compound_statement,
    STATE(8253), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(899), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 1,
      sym_identifier,
    ACTIONS(5350), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [274695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_LBRACK,
    ACTIONS(6068), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8446), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8703), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [274851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6072), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274920] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10826), 1,
      sym_identifier,
    ACTIONS(10828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10830), 1,
      anon_sym_template,
    STATE(2752), 1,
      sym_template_method,
    STATE(2771), 1,
      sym_dependent_field_identifier,
    STATE(2792), 1,
      sym_qualified_field_identifier,
    STATE(6869), 1,
      sym__scope_resolution,
    STATE(8230), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [274959] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    ACTIONS(9437), 1,
      anon_sym_STAR,
    ACTIONS(9439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9441), 1,
      anon_sym_AMP,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6823), 1,
      sym__function_declarator_seq,
    STATE(7212), 1,
      sym__abstract_declarator,
    STATE(6743), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      sym_identifier,
    ACTIONS(5362), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275063] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    ACTIONS(10770), 1,
      anon_sym_EQ,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10774), 1,
      anon_sym_try,
    ACTIONS(10832), 1,
      anon_sym_SEMI,
    STATE(2682), 1,
      sym_compound_statement,
    STATE(8552), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2683), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10834), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8533), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8579), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6940), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10836), 1,
      anon_sym_SEMI,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    STATE(416), 1,
      sym_compound_statement,
    STATE(8442), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(418), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    STATE(7053), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [275228] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_try,
    ACTIONS(10844), 1,
      anon_sym_SEMI,
    STATE(972), 1,
      sym_compound_statement,
    STATE(8221), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(975), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10846), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8274), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9143), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275346] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10490), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10492), 1,
      anon_sym_template,
    ACTIONS(10848), 1,
      sym_identifier,
    STATE(3831), 1,
      sym_template_method,
    STATE(3833), 1,
      sym_dependent_field_identifier,
    STATE(3840), 1,
      sym_qualified_field_identifier,
    STATE(6883), 1,
      sym__scope_resolution,
    STATE(8430), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [275385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4231), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [275437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 1,
      anon_sym_LBRACK,
    ACTIONS(5544), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10852), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8340), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9206), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10856), 1,
      anon_sym_LBRACK,
    ACTIONS(10854), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6956), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5920), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [275541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10858), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8245), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9105), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6881), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6023), 1,
      anon_sym_LBRACK,
    ACTIONS(6025), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275622] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8566), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9540), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6943), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10862), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8438), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9380), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6922), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 1,
      anon_sym_LBRACK,
    ACTIONS(6104), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10866), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4258), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10872), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8439), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9372), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10876), 1,
      anon_sym_LBRACK,
    ACTIONS(10874), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275853] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10878), 1,
      anon_sym_SEMI,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    ACTIONS(10882), 1,
      anon_sym_EQ,
    ACTIONS(10884), 1,
      anon_sym_try,
    STATE(2346), 1,
      sym_compound_statement,
    STATE(8389), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2345), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275890] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10886), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8203), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9011), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6848), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10888), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10892), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275969] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10894), 1,
      anon_sym_SEMI,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    ACTIONS(10898), 1,
      anon_sym_EQ,
    ACTIONS(10900), 1,
      anon_sym_try,
    STATE(2558), 1,
      sym_compound_statement,
    STATE(8535), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2576), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10902), 1,
      anon_sym_requires,
    STATE(7038), 1,
      sym_trailing_return_type,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10905), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8370), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9226), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6887), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9798), 1,
      anon_sym_requires,
    STATE(7035), 1,
      sym_trailing_return_type,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276105] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10907), 1,
      anon_sym_SEMI,
    ACTIONS(10909), 1,
      anon_sym_EQ,
    ACTIONS(10911), 1,
      anon_sym_try,
    STATE(1014), 1,
      sym_compound_statement,
    STATE(8414), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1008), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 1,
      anon_sym_LBRACK,
    ACTIONS(6029), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_LBRACK,
    ACTIONS(6096), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276184] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10913), 1,
      sym_identifier,
    STATE(6869), 1,
      sym__scope_resolution,
    STATE(8230), 1,
      sym_operator_name,
    STATE(8356), 1,
      sym_field_initializer,
    STATE(7685), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276221] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10662), 1,
      anon_sym_template,
    ACTIONS(10915), 1,
      sym_identifier,
    STATE(2752), 1,
      sym_template_method,
    STATE(2771), 1,
      sym_dependent_field_identifier,
    STATE(2792), 1,
      sym_qualified_field_identifier,
    STATE(6914), 1,
      sym__scope_resolution,
    STATE(8473), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10917), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276285] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10642), 1,
      anon_sym_template,
    ACTIONS(10919), 1,
      sym_identifier,
    STATE(4068), 1,
      sym_template_method,
    STATE(4069), 1,
      sym_dependent_field_identifier,
    STATE(4070), 1,
      sym_qualified_field_identifier,
    STATE(6916), 1,
      sym__scope_resolution,
    STATE(8502), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276324] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10909), 1,
      anon_sym_EQ,
    ACTIONS(10911), 1,
      anon_sym_try,
    ACTIONS(10921), 1,
      anon_sym_SEMI,
    STATE(1064), 1,
      sym_compound_statement,
    STATE(8315), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1065), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6956), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5912), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [276390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    ACTIONS(10882), 1,
      anon_sym_EQ,
    ACTIONS(10884), 1,
      anon_sym_try,
    ACTIONS(10923), 1,
      anon_sym_SEMI,
    STATE(2422), 1,
      sym_compound_statement,
    STATE(8435), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2455), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276427] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10636), 1,
      anon_sym_template,
    ACTIONS(10925), 1,
      sym_identifier,
    STATE(3624), 1,
      sym_template_method,
    STATE(3628), 1,
      sym_dependent_field_identifier,
    STATE(3629), 1,
      sym_qualified_field_identifier,
    STATE(6920), 1,
      sym__scope_resolution,
    STATE(8324), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10927), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8433), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9366), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10929), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8574), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8613), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    ACTIONS(10931), 1,
      anon_sym_SEMI,
    STATE(375), 1,
      sym_compound_statement,
    STATE(8390), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(378), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10935), 1,
      anon_sym_LBRACK,
    ACTIONS(10933), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276590] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10913), 1,
      sym_identifier,
    STATE(6869), 1,
      sym__scope_resolution,
    STATE(8079), 1,
      sym_field_initializer,
    STATE(8230), 1,
      sym_operator_name,
    STATE(7685), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276627] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    ACTIONS(10898), 1,
      anon_sym_EQ,
    ACTIONS(10900), 1,
      anon_sym_try,
    ACTIONS(10937), 1,
      anon_sym_SEMI,
    STATE(2727), 1,
      sym_compound_statement,
    STATE(8539), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2730), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276664] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10798), 1,
      anon_sym_EQ,
    ACTIONS(10800), 1,
      anon_sym_try,
    ACTIONS(10939), 1,
      anon_sym_SEMI,
    STATE(542), 1,
      sym_compound_statement,
    STATE(8321), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(545), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6956), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5902), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [276730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 1,
      anon_sym_LBRACK,
    ACTIONS(6092), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10941), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8312), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8872), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276784] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10656), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10658), 1,
      anon_sym_template,
    ACTIONS(10915), 1,
      sym_identifier,
    STATE(2752), 1,
      sym_template_method,
    STATE(2771), 1,
      sym_dependent_field_identifier,
    STATE(2792), 1,
      sym_qualified_field_identifier,
    STATE(6931), 1,
      sym__scope_resolution,
    STATE(8180), 1,
      sym_operator_name,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276823] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    ACTIONS(10806), 1,
      anon_sym_EQ,
    ACTIONS(10808), 1,
      anon_sym_try,
    ACTIONS(10943), 1,
      anon_sym_SEMI,
    STATE(2226), 1,
      sym_compound_statement,
    STATE(8228), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2227), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [276860] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_requires,
    STATE(7032), 1,
      sym_trailing_return_type,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276893] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_requires,
    STATE(7030), 1,
      sym_trailing_return_type,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    STATE(7076), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 1,
      sym_identifier,
    ACTIONS(5358), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276980] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    STATE(7082), 1,
      sym_trailing_return_type,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277013] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10616), 1,
      anon_sym_LBRACK,
    STATE(6911), 1,
      sym_parameter_list,
    STATE(6956), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5982), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [277042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10947), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8490), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8664), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 1,
      anon_sym_LBRACK,
    ACTIONS(6415), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277121] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    ACTIONS(10949), 1,
      anon_sym_SEMI,
    STATE(914), 1,
      sym_compound_statement,
    STATE(8182), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(930), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [277158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10951), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8521), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9503), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(10756), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10953), 1,
      anon_sym_RBRACE,
    ACTIONS(10758), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8453), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9386), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6921), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10955), 1,
      anon_sym_RPAREN,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277249] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_enumerator_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(2608), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [277311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10959), 1,
      anon_sym_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10957), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [277335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5520), 1,
      sym_enumerator_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(5901), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277449] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3100), 1,
      sym_enumerator_list,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(4649), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10714), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [277515] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4441), 1,
      sym_enumerator_list,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(4494), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [277575] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7882), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9483), 1,
      sym_identifier,
    STATE(4432), 1,
      sym_template_type,
    STATE(4621), 1,
      sym_enumerator_list,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(4419), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9463), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2960), 1,
      sym_enumerator_list,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(4404), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10798), 1,
      anon_sym_EQ,
    ACTIONS(10800), 1,
      anon_sym_try,
    STATE(542), 1,
      sym_compound_statement,
    STATE(8321), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(545), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [277681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(10664), 1,
      anon_sym_requires,
    STATE(6790), 1,
      sym_trailing_return_type,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [277711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10696), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [277793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10683), 1,
      anon_sym_LBRACK,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10681), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [277817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277843] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7097), 1,
      sym_virtual,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7701), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277879] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7118), 1,
      sym_virtual,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7906), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277915] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10675), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [277945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10961), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10963), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6272), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [277967] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7786), 1,
      anon_sym_LBRACE,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9502), 1,
      sym_identifier,
    STATE(4256), 1,
      sym_template_type,
    STATE(4452), 1,
      sym_enumerator_list,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(4238), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278003] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10798), 1,
      anon_sym_EQ,
    ACTIONS(10800), 1,
      anon_sym_try,
    STATE(581), 1,
      sym_compound_statement,
    STATE(8365), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(580), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [278037] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    STATE(416), 1,
      sym_compound_statement,
    STATE(8442), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(418), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [278071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10692), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [278101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10965), 1,
      anon_sym_requires,
    ACTIONS(10577), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9477), 1,
      sym_identifier,
    STATE(2925), 1,
      sym_template_type,
    STATE(3014), 1,
      sym_enumerator_list,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(2916), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(6765), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9596), 1,
      anon_sym_requires,
    STATE(6787), 1,
      sym_trailing_return_type,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6627), 1,
      anon_sym_LBRACE,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9485), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3103), 1,
      sym_enumerator_list,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(2973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10685), 1,
      anon_sym_requires,
    ACTIONS(10384), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278285] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    STATE(914), 1,
      sym_compound_statement,
    STATE(8182), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(930), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [278319] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_try,
    STATE(936), 1,
      sym_compound_statement,
    STATE(8188), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(933), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [278353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9668), 1,
      anon_sym_requires,
    ACTIONS(9525), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278379] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_requires,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(6724), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6730), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9415), 1,
      anon_sym_requires,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278461] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9465), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4441), 1,
      sym_enumerator_list,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(4250), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9491), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2960), 1,
      sym_enumerator_list,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(5623), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278533] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9516), 1,
      sym_identifier,
    STATE(5452), 1,
      sym_template_type,
    STATE(5629), 1,
      sym_enumerator_list,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(5482), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5766), 1,
      anon_sym_LBRACE,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9496), 1,
      sym_identifier,
    STATE(2234), 1,
      sym_template_type,
    STATE(2421), 1,
      sym_enumerator_list,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(2851), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278605] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4478), 1,
      sym_enumerator_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(5192), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5920), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [278669] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10909), 1,
      anon_sym_EQ,
    ACTIONS(10911), 1,
      anon_sym_try,
    STATE(1014), 1,
      sym_compound_statement,
    STATE(8414), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1008), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [278703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10963), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278723] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6668), 1,
      anon_sym_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9514), 1,
      sym_identifier,
    STATE(3020), 1,
      sym_template_type,
    STATE(3321), 1,
      sym_enumerator_list,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(3024), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6781), 1,
      anon_sym_LBRACE,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9487), 1,
      sym_identifier,
    STATE(3208), 1,
      sym_template_type,
    STATE(3544), 1,
      sym_enumerator_list,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(3153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5912), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [278823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5982), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [278851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_LT,
    ACTIONS(10972), 1,
      anon_sym_LBRACK,
    STATE(7048), 1,
      sym_template_argument_list,
    ACTIONS(10968), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9452), 1,
      anon_sym_requires,
    STATE(6731), 1,
      sym_trailing_return_type,
    ACTIONS(9184), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278931] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10694), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [278961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9134), 1,
      anon_sym_LBRACE,
    ACTIONS(9504), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(5520), 1,
      sym_enumerator_list,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(5468), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [279023] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6684), 1,
      anon_sym_LBRACE,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9473), 1,
      sym_identifier,
    STATE(3069), 1,
      sym_template_type,
    STATE(3100), 1,
      sym_enumerator_list,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(5637), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279059] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10909), 1,
      anon_sym_EQ,
    ACTIONS(10911), 1,
      anon_sym_try,
    STATE(1064), 1,
      sym_compound_statement,
    STATE(8315), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1065), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [279093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    ACTIONS(9195), 1,
      anon_sym_requires,
    STATE(6788), 1,
      sym_trailing_return_type,
    ACTIONS(9065), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279123] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    STATE(375), 1,
      sym_compound_statement,
    STATE(8390), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(378), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [279157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(6733), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6734), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_LT,
    ACTIONS(10976), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_template_argument_list,
    ACTIONS(10974), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279211] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7113), 1,
      sym_virtual,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7531), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5902), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [279275] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(4478), 1,
      sym_enumerator_list,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(4626), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279311] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 1,
      anon_sym_virtual,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7100), 1,
      sym_virtual,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7866), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279347] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10820), 1,
      anon_sym_EQ,
    ACTIONS(10822), 1,
      anon_sym_try,
    STATE(900), 1,
      sym_compound_statement,
    STATE(8253), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(899), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [279381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    ACTIONS(10814), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_try,
    STATE(972), 1,
      sym_compound_statement,
    STATE(8221), 1,
      sym_field_initializer_list,
    ACTIONS(5105), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(975), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [279415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4345), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [279441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6616), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10500), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10502), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279463] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7790), 1,
      anon_sym_LBRACE,
    ACTIONS(9461), 1,
      sym_identifier,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    STATE(3149), 1,
      sym_template_type,
    STATE(4441), 1,
      sym_enumerator_list,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(4794), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279499] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(6367), 1,
      anon_sym_LBRACE,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9467), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(6037), 1,
      sym_enumerator_list,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(5861), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6750), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [279561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7871), 1,
      anon_sym_requires,
    ACTIONS(7932), 1,
      anon_sym_DASH_GT,
    STATE(6797), 1,
      sym_trailing_return_type,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6799), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7878), 1,
      anon_sym_requires,
    ACTIONS(7457), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6591), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6767), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [279617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10980), 1,
      anon_sym_LBRACK,
    ACTIONS(10978), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279636] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10982), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9235), 1,
      sym_qualified_identifier,
    ACTIONS(10984), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10986), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9110), 1,
      sym_qualified_identifier,
    ACTIONS(10988), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10976), 1,
      anon_sym_LBRACK,
    ACTIONS(10974), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [279767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(9458), 1,
      anon_sym_requires,
    ACTIONS(9128), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [279794] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(9543), 1,
      anon_sym_requires,
    ACTIONS(9204), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [279821] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10139), 1,
      anon_sym_try,
    STATE(928), 1,
      sym_try_statement,
    STATE(929), 1,
      sym_compound_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279856] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(9798), 1,
      anon_sym_requires,
    ACTIONS(9537), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [279883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10990), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8587), 1,
      sym_qualified_identifier,
    ACTIONS(10992), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10996), 1,
      anon_sym_LBRACK,
    ACTIONS(10994), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(10902), 1,
      anon_sym_requires,
    ACTIONS(10334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [279960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [279985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10998), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8599), 1,
      sym_qualified_identifier,
    ACTIONS(11000), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 1,
      anon_sym_requires,
    ACTIONS(10373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [280043] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10155), 1,
      anon_sym_try,
    STATE(402), 1,
      sym_try_statement,
    STATE(405), 1,
      sym_compound_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10675), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [280107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280132] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10696), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [280161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11005), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11009), 1,
      aux_sym_preproc_elif_token1,
    STATE(7084), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9259), 1,
      sym_enumerator,
    ACTIONS(11011), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9116), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [280192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6240), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9063), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6527), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9061), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [280238] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11013), 1,
      sym_identifier,
    ACTIONS(11016), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11022), 1,
      sym_preproc_directive,
    ACTIONS(11025), 1,
      anon_sym_RBRACE,
    ACTIONS(11019), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9127), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7046), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [280267] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11029), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11031), 1,
      aux_sym_preproc_elif_token1,
    STATE(7191), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7192), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7367), 1,
      sym_enumerator,
    STATE(9351), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9353), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [280300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_LBRACK,
    ACTIONS(6131), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280319] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11033), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8822), 1,
      sym_qualified_identifier,
    ACTIONS(11035), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10694), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [280379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9748), 1,
      anon_sym_try,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    STATE(2224), 1,
      sym_compound_statement,
    STATE(2230), 1,
      sym_try_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11037), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9095), 1,
      sym_qualified_identifier,
    ACTIONS(11039), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9176), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6476), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9174), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [280472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(11041), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11045), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11047), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7184), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9265), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [280501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9740), 1,
      anon_sym_try,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    STATE(2667), 1,
      sym_compound_statement,
    STATE(2670), 1,
      sym_try_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10714), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [280565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11049), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8990), 1,
      sym_qualified_identifier,
    ACTIONS(11051), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11053), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9510), 1,
      sym_qualified_identifier,
    ACTIONS(11055), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6038), 1,
      anon_sym_LBRACK,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6040), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [280675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11059), 1,
      anon_sym_LBRACK,
    ACTIONS(11057), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10089), 1,
      anon_sym_try,
    STATE(1070), 1,
      sym_compound_statement,
    STATE(1071), 1,
      sym_try_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11063), 1,
      anon_sym_LBRACK,
    ACTIONS(11061), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym_LBRACK,
    ACTIONS(11065), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11067), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8803), 1,
      sym_qualified_identifier,
    ACTIONS(11069), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280875] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    STATE(2740), 1,
      sym_compound_statement,
    STATE(2747), 1,
      sym_try_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280910] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4340), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9796), 1,
      anon_sym_try,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    STATE(2340), 1,
      sym_try_statement,
    STATE(2341), 1,
      sym_compound_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11031), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11071), 1,
      aux_sym_preproc_if_token2,
    STATE(7182), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7236), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7367), 1,
      sym_enumerator,
    STATE(9394), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9395), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [281003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10692), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [281032] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10175), 1,
      anon_sym_try,
    STATE(876), 1,
      sym_compound_statement,
    STATE(879), 1,
      sym_try_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10648), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11031), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11073), 1,
      aux_sym_preproc_if_token2,
    STATE(7204), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7367), 1,
      sym_enumerator,
    STATE(9249), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9250), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [281100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(10365), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6561), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10363), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11077), 1,
      anon_sym_LBRACK,
    ACTIONS(11075), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_LBRACK,
    ACTIONS(11065), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11079), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6272), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [281194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11083), 1,
      anon_sym_LBRACK,
    ACTIONS(11081), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281213] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10127), 1,
      anon_sym_try,
    STATE(536), 1,
      sym_try_statement,
    STATE(558), 1,
      sym_compound_statement,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(10277), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6547), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10275), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7984), 1,
      anon_sym_requires,
    ACTIONS(9523), 1,
      anon_sym_LBRACK,
    ACTIONS(6193), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6438), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6516), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9521), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11009), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11085), 1,
      aux_sym_preproc_if_token2,
    STATE(7176), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9259), 1,
      sym_enumerator,
    ACTIONS(11011), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9256), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [281333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACK,
    ACTIONS(5100), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11089), 1,
      anon_sym_EQ,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    ACTIONS(11087), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11095), 1,
      anon_sym_delete,
    ACTIONS(11097), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11099), 1,
      anon_sym_delete,
    ACTIONS(11101), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11103), 1,
      anon_sym_delete,
    ACTIONS(11105), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LBRACK,
    ACTIONS(5073), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 1,
      anon_sym_delete,
    ACTIONS(11109), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11111), 1,
      anon_sym_EQ,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    ACTIONS(11087), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      anon_sym_delete,
    ACTIONS(11115), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11117), 1,
      anon_sym_delete,
    ACTIONS(11119), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281585] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11121), 1,
      anon_sym_delete,
    ACTIONS(11123), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7531), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [281637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11125), 1,
      anon_sym_delete,
    ACTIONS(11127), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7818), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [281713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    STATE(7492), 1,
      sym_gnu_asm_output_operand,
    STATE(9169), 1,
      sym_string_literal,
    ACTIONS(11129), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [281785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5090), 1,
      anon_sym_LBRACK,
    ACTIONS(5092), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11133), 1,
      anon_sym_delete,
    ACTIONS(11135), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5094), 1,
      anon_sym_LBRACK,
    ACTIONS(5096), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [281891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11123), 1,
      anon_sym_new,
    ACTIONS(11137), 1,
      anon_sym_delete,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11139), 1,
      anon_sym_delete,
    ACTIONS(11141), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11101), 1,
      anon_sym_new,
    ACTIONS(11143), 1,
      anon_sym_delete,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [281957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11145), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7722), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11147), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11101), 1,
      anon_sym_new,
    ACTIONS(11149), 1,
      anon_sym_delete,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [282039] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11151), 1,
      anon_sym_EQ,
    STATE(4225), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(9274), 1,
      sym_initializer_list,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11115), 1,
      anon_sym_new,
    ACTIONS(11153), 1,
      anon_sym_delete,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [282093] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(11155), 1,
      sym_identifier,
    ACTIONS(11157), 1,
      anon_sym_COLON_COLON,
    STATE(3186), 1,
      sym_template_type,
    STATE(7150), 1,
      sym__scope_resolution,
    STATE(3161), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9469), 1,
      sym_identifier,
    STATE(3149), 1,
      sym_template_type,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(7866), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9302), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      anon_sym_LBRACK,
    STATE(7464), 1,
      sym_gnu_asm_input_operand,
    STATE(9305), 1,
      sym_string_literal,
    ACTIONS(11159), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [282177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4384), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [282201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11163), 1,
      anon_sym_delete,
    ACTIONS(11165), 1,
      anon_sym_new,
    ACTIONS(11093), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11091), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [282223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_LBRACK,
    ACTIONS(5077), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [282241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_LBRACK,
    ACTIONS(5084), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [282259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_LBRACK,
    ACTIONS(5088), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [282277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11167), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8857), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11169), 1,
      sym_identifier,
    ACTIONS(11173), 1,
      sym_system_lib_string,
    STATE(8612), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11171), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [282325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9332), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11175), 1,
      sym_identifier,
    ACTIONS(11177), 1,
      anon_sym_template,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(7127), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282356] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9234), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11179), 1,
      sym_identifier,
    ACTIONS(11181), 1,
      anon_sym_template,
    STATE(3105), 1,
      sym_dependent_type_identifier,
    STATE(3107), 1,
      sym_template_type,
    STATE(3266), 1,
      sym_qualified_type_identifier,
    STATE(7128), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282387] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9212), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11183), 1,
      sym_identifier,
    ACTIONS(11185), 1,
      anon_sym_template,
    STATE(3017), 1,
      sym_dependent_type_identifier,
    STATE(3027), 1,
      sym_template_type,
    STATE(3087), 1,
      sym_qualified_type_identifier,
    STATE(7129), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282418] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11187), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9059), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11189), 1,
      sym_identifier,
    ACTIONS(11191), 1,
      sym_system_lib_string,
    STATE(9282), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11171), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [282466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282489] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11193), 1,
      sym_identifier,
    ACTIONS(11195), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(7133), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282520] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(3997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(7134), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282551] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11199), 1,
      sym_identifier,
    ACTIONS(11201), 1,
      anon_sym_template,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(3694), 1,
      sym_qualified_type_identifier,
    STATE(7135), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3209), 1,
      sym_template_argument_list,
    ACTIONS(5063), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5056), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [282605] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11203), 1,
      sym_identifier,
    ACTIONS(11205), 1,
      anon_sym_template,
    STATE(5435), 1,
      sym_template_type,
    STATE(5449), 1,
      sym_dependent_type_identifier,
    STATE(5474), 1,
      sym_qualified_type_identifier,
    STATE(7137), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9393), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11207), 1,
      sym_identifier,
    ACTIONS(11209), 1,
      anon_sym_template,
    STATE(3034), 1,
      sym_template_type,
    STATE(3038), 1,
      sym_dependent_type_identifier,
    STATE(3156), 1,
      sym_qualified_type_identifier,
    STATE(7139), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282690] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11211), 1,
      sym_identifier,
    ACTIONS(11213), 1,
      sym_system_lib_string,
    STATE(8783), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11171), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [282757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11215), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8654), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282807] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9704), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11217), 1,
      sym_identifier,
    ACTIONS(11219), 1,
      anon_sym_template,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(7145), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 1,
      anon_sym_AMP,
    ACTIONS(11225), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11221), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282857] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11227), 1,
      sym_identifier,
    ACTIONS(11229), 1,
      anon_sym_template,
    STATE(4218), 1,
      sym_dependent_type_identifier,
    STATE(4219), 1,
      sym_template_type,
    STATE(4357), 1,
      sym_qualified_type_identifier,
    STATE(7147), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282888] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7906), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11177), 1,
      anon_sym_template,
    ACTIONS(11231), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(7148), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11233), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9342), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(11157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11235), 1,
      sym_identifier,
    ACTIONS(11237), 1,
      anon_sym_template,
    STATE(3137), 1,
      sym_qualified_type_identifier,
    STATE(3223), 1,
      sym_template_type,
    STATE(3225), 1,
      sym_dependent_type_identifier,
    STATE(7150), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [282977] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11239), 1,
      sym_identifier,
    ACTIONS(11241), 1,
      anon_sym_template,
    STATE(4377), 1,
      sym_template_type,
    STATE(4386), 1,
      sym_dependent_type_identifier,
    STATE(4484), 1,
      sym_qualified_type_identifier,
    STATE(7151), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283008] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11243), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9537), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11245), 1,
      sym_identifier,
    ACTIONS(11247), 1,
      anon_sym_template,
    STATE(2983), 1,
      sym_template_type,
    STATE(2997), 1,
      sym_dependent_type_identifier,
    STATE(3015), 1,
      sym_qualified_type_identifier,
    STATE(7153), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283066] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9349), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11249), 1,
      sym_identifier,
    ACTIONS(11251), 1,
      anon_sym_template,
    STATE(2819), 1,
      sym_dependent_type_identifier,
    STATE(2923), 1,
      sym_template_type,
    STATE(2927), 1,
      sym_qualified_type_identifier,
    STATE(7154), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283097] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11253), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9112), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11255), 1,
      sym_identifier,
    ACTIONS(11257), 1,
      sym_system_lib_string,
    STATE(9144), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11171), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283145] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11197), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(3694), 1,
      sym_qualified_type_identifier,
    STATE(7157), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [283199] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9300), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11259), 1,
      sym_identifier,
    ACTIONS(11261), 1,
      anon_sym_template,
    STATE(2126), 1,
      sym_dependent_type_identifier,
    STATE(2128), 1,
      sym_template_type,
    STATE(2317), 1,
      sym_qualified_type_identifier,
    STATE(7159), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283230] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11263), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9017), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6244), 1,
      anon_sym_AMP,
    ACTIONS(11265), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6246), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [283276] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(9752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11267), 1,
      sym_identifier,
    ACTIONS(11269), 1,
      anon_sym_template,
    STATE(2801), 1,
      sym_template_type,
    STATE(2806), 1,
      sym_dependent_type_identifier,
    STATE(2807), 1,
      sym_qualified_type_identifier,
    STATE(7162), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283307] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11209), 1,
      anon_sym_template,
    ACTIONS(11271), 1,
      sym_identifier,
    STATE(3034), 1,
      sym_template_type,
    STATE(3038), 1,
      sym_dependent_type_identifier,
    STATE(3156), 1,
      sym_qualified_type_identifier,
    STATE(7163), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283338] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5140), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11273), 1,
      sym_identifier,
    ACTIONS(11275), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(7164), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11277), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9113), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3209), 1,
      sym_template_argument_list,
    ACTIONS(8022), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5105), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [283419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11279), 1,
      sym_identifier,
    ACTIONS(11281), 1,
      sym_system_lib_string,
    STATE(8853), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11171), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283440] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(10318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11283), 1,
      sym_identifier,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(8736), 1,
      sym_qualified_identifier,
    STATE(9302), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11193), 1,
      sym_identifier,
    ACTIONS(11195), 1,
      anon_sym_template,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(3694), 1,
      sym_qualified_type_identifier,
    STATE(7169), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283498] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(7912), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11285), 1,
      sym_identifier,
    ACTIONS(11287), 1,
      anon_sym_template,
    STATE(2111), 1,
      sym_dependent_type_identifier,
    STATE(2118), 1,
      sym_template_type,
    STATE(2292), 1,
      sym_qualified_type_identifier,
    STATE(7170), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_decltype,
    ACTIONS(5159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11199), 1,
      sym_identifier,
    ACTIONS(11201), 1,
      anon_sym_template,
    STATE(3193), 1,
      sym_qualified_type_identifier,
    STATE(3195), 1,
      sym_dependent_type_identifier,
    STATE(3199), 1,
      sym_template_type,
    STATE(7171), 1,
      sym__scope_resolution,
    STATE(9302), 1,
      sym_decltype,
  [283560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11289), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [283585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10599), 1,
      anon_sym_LBRACK,
    STATE(4525), 1,
      sym_parameter_list,
    STATE(6480), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [283608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6270), 1,
      anon_sym_AMP,
    ACTIONS(11265), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11291), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6272), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [283629] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11293), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11295), 1,
      sym_identifier,
    ACTIONS(11300), 1,
      aux_sym_preproc_elif_token1,
    STATE(7176), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9259), 1,
      sym_enumerator,
    ACTIONS(11298), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [283677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      anon_sym_LBRACK,
    STATE(7809), 1,
      sym_gnu_asm_input_operand,
    STATE(9305), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11302), 1,
      anon_sym_SEMI,
    ACTIONS(11304), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7480), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5063), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(5056), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [283745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(11306), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283771] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_SEMI,
    ACTIONS(11310), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7629), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11312), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11314), 1,
      aux_sym_preproc_elif_token1,
    STATE(7320), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9440), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [283821] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(10718), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11316), 1,
      sym_identifier,
    ACTIONS(11321), 1,
      aux_sym_preproc_elif_token1,
    STATE(7184), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11319), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [283867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11323), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11325), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11327), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283945] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10675), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283971] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11329), 1,
      anon_sym_SEMI,
    ACTIONS(11331), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11335), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11337), 1,
      anon_sym_EQ,
    ACTIONS(11333), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [284015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11339), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    STATE(7321), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9397), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [284041] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11343), 1,
      aux_sym_preproc_if_token2,
    STATE(7320), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9398), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [284065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11345), 1,
      aux_sym_preproc_if_token2,
    STATE(7192), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9353), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [284089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11349), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11347), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [284105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11131), 1,
      anon_sym_LBRACK,
    STATE(7855), 1,
      sym_gnu_asm_output_operand,
    STATE(9169), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [284125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11351), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11353), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11357), 1,
      anon_sym_SEMI,
    ACTIONS(11359), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7653), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(10744), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10696), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284281] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11361), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
    ACTIONS(11365), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7491), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11367), 1,
      aux_sym_preproc_if_token2,
    STATE(7320), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9350), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [284357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11029), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    STATE(7191), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9351), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [284383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [284405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(10671), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11369), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11371), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11373), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11375), 1,
      anon_sym_SEMI,
    ACTIONS(11377), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7448), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(3830), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(11379), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [284557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10714), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11381), 1,
      aux_sym_preproc_if_token2,
    STATE(7321), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9348), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [284609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11383), 1,
      anon_sym_SEMI,
    ACTIONS(11385), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(10702), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284661] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(3209), 1,
      sym_template_argument_list,
    ACTIONS(6283), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11389), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11387), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [284697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11391), 1,
      anon_sym_SEMI,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7432), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [284745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [284767] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10692), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11071), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    STATE(7236), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9394), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [284819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [284841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [284863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7675), 1,
      sym_string_literal,
    ACTIONS(11395), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [284881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(10694), 1,
      anon_sym_COLON,
    STATE(4538), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6964), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
    ACTIONS(11399), 1,
      anon_sym_EQ,
    STATE(2007), 1,
      sym_template_argument_list,
    STATE(7510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_LBRACK,
    ACTIONS(10690), 1,
      anon_sym_RPAREN,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(7077), 1,
      sym__function_declarator_seq,
    STATE(7303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [284959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11401), 1,
      aux_sym_preproc_if_token2,
    STATE(7214), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9249), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [284985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(8022), 1,
      anon_sym_LBRACK,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(5105), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [285007] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      sym_identifier,
    ACTIONS(11043), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11314), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11403), 1,
      aux_sym_preproc_if_token2,
    STATE(7182), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9395), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [285031] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    ACTIONS(11405), 1,
      anon_sym_SEMI,
    STATE(4270), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [285079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4500), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [285101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11007), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11341), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11407), 1,
      aux_sym_preproc_if_token2,
    STATE(7321), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    STATE(9437), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [285127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11411), 1,
      anon_sym_AMP,
    ACTIONS(11409), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [285163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_AMP,
    ACTIONS(6613), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [285199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11415), 1,
      anon_sym_AMP,
    ACTIONS(11413), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [285214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    ACTIONS(11417), 1,
      sym_identifier,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    STATE(947), 1,
      sym_declaration_list,
    STATE(8352), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11423), 1,
      sym_identifier,
    STATE(397), 1,
      sym_declaration_list,
    STATE(8407), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11425), 1,
      anon_sym_LBRACK,
    ACTIONS(11428), 1,
      anon_sym_EQ,
    ACTIONS(11430), 1,
      anon_sym_DOT,
    STATE(7248), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [285367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11433), 1,
      sym_identifier,
    STATE(543), 1,
      sym_declaration_list,
    STATE(8560), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11435), 1,
      sym_identifier,
    STATE(374), 1,
      sym_declaration_list,
    STATE(8383), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10611), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10597), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11439), 1,
      anon_sym_AMP,
    ACTIONS(11437), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [285495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_AMP,
    ACTIONS(4530), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [285510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11441), 1,
      sym_identifier,
    STATE(1027), 1,
      sym_declaration_list,
    STATE(8569), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(6791), 1,
      sym_template_argument_list,
    ACTIONS(6283), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [285554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11443), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6597), 1,
      anon_sym_AMP,
    ACTIONS(6599), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [285592] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11445), 1,
      sym_identifier,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(8384), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11447), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_AMP,
    ACTIONS(6609), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [285655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11449), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(5920), 1,
      anon_sym_COLON,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(2598), 1,
      sym_template_argument_list,
    STATE(8114), 2,
      sym_argument_list,
      sym_initializer_list,
  [285724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11453), 1,
      anon_sym_COMMA,
    ACTIONS(11455), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11451), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [285741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11457), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285764] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      anon_sym_COLON,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(5912), 1,
      anon_sym_COLON,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11459), 1,
      sym_identifier,
    STATE(889), 1,
      sym_declaration_list,
    STATE(8207), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10609), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10601), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [285877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(11461), 1,
      anon_sym_RPAREN,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7060), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(9987), 1,
      anon_sym_LBRACK,
    STATE(4253), 1,
      sym_parameter_list,
    STATE(6905), 1,
      sym__function_declarator_seq,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10603), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [285944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_LBRACK,
    ACTIONS(5982), 1,
      anon_sym_COLON,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(2481), 1,
      sym_parameter_list,
    STATE(7313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285967] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11463), 1,
      sym_identifier,
    STATE(960), 1,
      sym_declaration_list,
    STATE(8304), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [285992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10605), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(10607), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11223), 1,
      anon_sym_AMP,
    ACTIONS(11221), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [286049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11465), 1,
      anon_sym_LBRACK,
    ACTIONS(11467), 1,
      anon_sym_EQ,
    ACTIONS(11469), 1,
      anon_sym_DOT,
    STATE(7248), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [286068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11471), 1,
      sym_identifier,
    STATE(902), 1,
      sym_declaration_list,
    STATE(8257), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [286093] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11473), 1,
      sym_identifier,
    STATE(559), 1,
      sym_declaration_list,
    STATE(8537), 1,
      sym_nested_namespace_specifier,
    STATE(8624), 1,
      sym__namespace_specifier,
  [286118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    ACTIONS(11475), 1,
      anon_sym_SEMI,
    ACTIONS(11477), 1,
      anon_sym_EQ,
    STATE(2737), 2,
      sym_compound_statement,
      sym_try_statement,
  [286138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11479), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11481), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11485), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11487), 1,
      anon_sym_LPAREN2,
    STATE(7294), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11493), 1,
      anon_sym_LPAREN2,
    STATE(7305), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11495), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(10175), 1,
      anon_sym_try,
    ACTIONS(11497), 1,
      anon_sym_SEMI,
    ACTIONS(11499), 1,
      anon_sym_EQ,
    STATE(978), 2,
      sym_compound_statement,
      sym_try_statement,
  [286250] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4397), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(11087), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [286270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10089), 1,
      anon_sym_try,
    ACTIONS(11501), 1,
      anon_sym_SEMI,
    ACTIONS(11503), 1,
      anon_sym_EQ,
    STATE(989), 2,
      sym_compound_statement,
      sym_try_statement,
  [286290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11505), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11507), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(6283), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [286340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    ACTIONS(11509), 1,
      anon_sym_SEMI,
    ACTIONS(11511), 1,
      anon_sym_EQ,
    STATE(2582), 2,
      sym_compound_statement,
      sym_try_statement,
  [286360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11513), 1,
      anon_sym_LPAREN2,
    STATE(7288), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9419), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [286390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11515), 1,
      anon_sym_EQ,
    ACTIONS(11333), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [286404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
    ACTIONS(11087), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [286424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym___attribute__,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6287), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6465), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10959), 1,
      anon_sym_LBRACK,
    ACTIONS(10957), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11517), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11521), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11523), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 1,
      anon_sym_try,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    ACTIONS(11525), 1,
      anon_sym_SEMI,
    ACTIONS(11527), 1,
      anon_sym_EQ,
    STATE(2600), 2,
      sym_compound_statement,
      sym_try_statement,
  [286526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11529), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11531), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(4640), 1,
      sym_template_argument_list,
    ACTIONS(6283), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [286558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      anon_sym_LPAREN2,
    STATE(7304), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11535), 1,
      anon_sym_LPAREN2,
    STATE(7319), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_try,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    ACTIONS(11537), 1,
      anon_sym_SEMI,
    ACTIONS(11539), 1,
      anon_sym_EQ,
    STATE(2445), 2,
      sym_compound_statement,
      sym_try_statement,
  [286610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      anon_sym_LBRACK,
    ACTIONS(7930), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6040), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6466), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11541), 1,
      anon_sym_LPAREN2,
    STATE(7344), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11543), 1,
      anon_sym_LPAREN2,
    STATE(7290), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11545), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(10972), 1,
      anon_sym_LBRACK,
    STATE(7048), 1,
      sym_template_argument_list,
    ACTIONS(10968), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [286694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10155), 1,
      anon_sym_try,
    ACTIONS(11547), 1,
      anon_sym_SEMI,
    ACTIONS(11549), 1,
      anon_sym_EQ,
    STATE(424), 2,
      sym_compound_statement,
      sym_try_statement,
  [286714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11551), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11553), 1,
      sym_identifier,
    STATE(7320), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11319), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [286746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11295), 1,
      sym_identifier,
    STATE(7321), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9507), 1,
      sym_enumerator,
    ACTIONS(11298), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [286764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9748), 1,
      anon_sym_try,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    ACTIONS(11556), 1,
      anon_sym_SEMI,
    ACTIONS(11558), 1,
      anon_sym_EQ,
    STATE(2231), 2,
      sym_compound_statement,
      sym_try_statement,
  [286784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10127), 1,
      anon_sym_try,
    ACTIONS(11560), 1,
      anon_sym_SEMI,
    ACTIONS(11562), 1,
      anon_sym_EQ,
    STATE(535), 2,
      sym_compound_statement,
      sym_try_statement,
  [286804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10155), 1,
      anon_sym_try,
    ACTIONS(11564), 1,
      anon_sym_SEMI,
    ACTIONS(11566), 1,
      anon_sym_EQ,
    STATE(381), 2,
      sym_compound_statement,
      sym_try_statement,
  [286824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    ACTIONS(10175), 1,
      anon_sym_try,
    ACTIONS(11568), 1,
      anon_sym_SEMI,
    ACTIONS(11570), 1,
      anon_sym_EQ,
    STATE(912), 2,
      sym_compound_statement,
      sym_try_statement,
  [286844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10139), 1,
      anon_sym_try,
    ACTIONS(11572), 1,
      anon_sym_SEMI,
    ACTIONS(11574), 1,
      anon_sym_EQ,
    STATE(938), 2,
      sym_compound_statement,
      sym_try_statement,
  [286864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 1,
      anon_sym_LPAREN2,
    STATE(7316), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9748), 1,
      anon_sym_try,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    ACTIONS(11578), 1,
      anon_sym_SEMI,
    ACTIONS(11580), 1,
      anon_sym_EQ,
    STATE(2163), 2,
      sym_compound_statement,
      sym_try_statement,
  [286900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11298), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [286914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11584), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11025), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11587), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11589), 1,
      anon_sym_LPAREN2,
    STATE(7295), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_try,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    ACTIONS(11591), 1,
      anon_sym_SEMI,
    ACTIONS(11593), 1,
      anon_sym_EQ,
    STATE(2334), 2,
      sym_compound_statement,
      sym_try_statement,
  [286980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11479), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11481), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [286994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10139), 1,
      anon_sym_try,
    ACTIONS(11595), 1,
      anon_sym_SEMI,
    ACTIONS(11597), 1,
      anon_sym_EQ,
    STATE(896), 2,
      sym_compound_statement,
      sym_try_statement,
  [287014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9456), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [287028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11599), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11601), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [287042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11483), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11485), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [287056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11603), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11605), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [287070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10127), 1,
      anon_sym_try,
    ACTIONS(11607), 1,
      anon_sym_SEMI,
    ACTIONS(11609), 1,
      anon_sym_EQ,
    STATE(551), 2,
      sym_compound_statement,
      sym_try_statement,
  [287090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10089), 1,
      anon_sym_try,
    ACTIONS(11611), 1,
      anon_sym_SEMI,
    ACTIONS(11613), 1,
      anon_sym_EQ,
    STATE(1073), 2,
      sym_compound_statement,
      sym_try_statement,
  [287110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 1,
      anon_sym_try,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    ACTIONS(11615), 1,
      anon_sym_SEMI,
    ACTIONS(11617), 1,
      anon_sym_EQ,
    STATE(2744), 2,
      sym_compound_statement,
      sym_try_statement,
  [287130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11619), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11621), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [287144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 1,
      anon_sym_LPAREN2,
    STATE(7330), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11489), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [287160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7798), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [287174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11625), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11627), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [287188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    STATE(6094), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(10976), 1,
      anon_sym_LBRACK,
    STATE(7044), 1,
      sym_template_argument_list,
    ACTIONS(10974), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [287224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11629), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9277), 1,
      sym_attribute_specifier,
  [287243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8622), 1,
      sym_attribute_specifier,
  [287262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11633), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8724), 1,
      sym_attribute_specifier,
  [287281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10605), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11635), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9413), 1,
      sym_attribute_specifier,
  [287319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11637), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(8328), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [287332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11639), 1,
      anon_sym_SEMI,
    STATE(7365), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8723), 1,
      sym_attribute_specifier,
  [287351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(8314), 1,
      sym_argument_list,
    ACTIONS(11641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [287368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11645), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8626), 1,
      sym_attribute_specifier,
  [287387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8646), 1,
      sym_attribute_specifier,
  [287406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    ACTIONS(11649), 1,
      anon_sym_RPAREN,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287425] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11651), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8921), 1,
      sym_attribute_specifier,
  [287444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11653), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8728), 1,
      sym_attribute_specifier,
  [287463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11655), 1,
      anon_sym_SEMI,
    STATE(7375), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8629), 1,
      sym_attribute_specifier,
  [287482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11657), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8730), 1,
      sym_attribute_specifier,
  [287501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8922), 1,
      sym_attribute_specifier,
  [287520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8731), 1,
      sym_attribute_specifier,
  [287539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11663), 1,
      anon_sym_SEMI,
    STATE(7361), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8716), 1,
      sym_attribute_specifier,
  [287558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [287571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11667), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8940), 1,
      sym_attribute_specifier,
  [287590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_SEMI,
    STATE(7372), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9273), 1,
      sym_attribute_specifier,
  [287609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10611), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11671), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9367), 1,
      sym_attribute_specifier,
  [287666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(8894), 1,
      anon_sym_RPAREN,
    STATE(2920), 1,
      sym_argument_list,
    STATE(4407), 1,
      sym_initializer_list,
  [287685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10609), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11673), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8621), 1,
      sym_attribute_specifier,
  [287723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11675), 1,
      sym_identifier,
    STATE(8624), 1,
      sym__namespace_specifier,
    STATE(9005), 1,
      sym_nested_namespace_specifier,
  [287742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_template_argument_list,
    ACTIONS(6183), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [287759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11677), 1,
      sym_identifier,
    STATE(7983), 1,
      sym__namespace_specifier,
    STATE(8320), 1,
      sym_nested_namespace_specifier,
  [287778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10597), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    ACTIONS(11679), 1,
      anon_sym_RPAREN,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11681), 1,
      anon_sym_SEMI,
    STATE(7351), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8715), 1,
      sym_attribute_specifier,
  [287835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11683), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8927), 1,
      sym_attribute_specifier,
  [287854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11685), 1,
      anon_sym_SEMI,
    STATE(7391), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9243), 1,
      sym_attribute_specifier,
  [287873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10603), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [287892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(5187), 1,
      sym_template_argument_list,
    ACTIONS(6283), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [287909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11687), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(4099), 1,
      sym_template_method,
    STATE(8502), 1,
      sym_operator_name,
  [287928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8928), 1,
      sym_attribute_specifier,
  [287947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_LBRACK,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4857), 1,
      sym_template_argument_list,
    ACTIONS(6283), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [287964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11691), 1,
      anon_sym_SEMI,
    STATE(7357), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8649), 1,
      sym_attribute_specifier,
  [287983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11693), 1,
      anon_sym_SEMI,
    STATE(7360), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8929), 1,
      sym_attribute_specifier,
  [288002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11695), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9368), 1,
      sym_attribute_specifier,
  [288021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11697), 1,
      sym_identifier,
    STATE(8624), 1,
      sym__namespace_specifier,
    STATE(8858), 1,
      sym_nested_namespace_specifier,
  [288040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11699), 1,
      anon_sym_EQ,
    ACTIONS(10465), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11677), 1,
      sym_identifier,
    STATE(7964), 1,
      sym__namespace_specifier,
    STATE(8329), 1,
      sym_nested_namespace_specifier,
  [288072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11701), 1,
      anon_sym_SEMI,
    STATE(7382), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8941), 1,
      sym_attribute_specifier,
  [288091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11703), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(3853), 1,
      sym_template_method,
    STATE(8430), 1,
      sym_operator_name,
  [288110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11705), 1,
      sym_identifier,
    STATE(2766), 1,
      sym_template_method,
    STATE(3114), 1,
      sym_template_type,
    STATE(8230), 1,
      sym_operator_name,
  [288129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11707), 1,
      sym_identifier,
    STATE(2766), 1,
      sym_template_method,
    STATE(3114), 1,
      sym_template_type,
    STATE(8473), 1,
      sym_operator_name,
  [288148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11709), 1,
      sym_identifier,
    STATE(8624), 1,
      sym__namespace_specifier,
    STATE(8678), 1,
      sym_nested_namespace_specifier,
  [288167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11711), 1,
      sym_identifier,
    STATE(8624), 1,
      sym__namespace_specifier,
    STATE(8684), 1,
      sym_nested_namespace_specifier,
  [288186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11713), 1,
      anon_sym_SEMI,
    STATE(7387), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8943), 1,
      sym_attribute_specifier,
  [288205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11715), 1,
      anon_sym_SEMI,
    STATE(7410), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9365), 1,
      sym_attribute_specifier,
  [288224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11717), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [288237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11721), 1,
      anon_sym_EQ,
    ACTIONS(10465), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9149), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9153), 1,
      anon_sym_EQ,
    ACTIONS(11723), 1,
      sym_identifier,
    ACTIONS(9151), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [288267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(11725), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [288284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11707), 1,
      sym_identifier,
    STATE(2766), 1,
      sym_template_method,
    STATE(3114), 1,
      sym_template_type,
    STATE(8180), 1,
      sym_operator_name,
  [288303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11421), 1,
      anon_sym_inline,
    ACTIONS(11727), 1,
      sym_identifier,
    STATE(8624), 1,
      sym__namespace_specifier,
    STATE(8882), 1,
      sym_nested_namespace_specifier,
  [288322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11729), 1,
      anon_sym_SEMI,
    STATE(7411), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8606), 1,
      sym_attribute_specifier,
  [288341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11731), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9414), 1,
      sym_attribute_specifier,
  [288360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11733), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8625), 1,
      sym_attribute_specifier,
  [288379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      sym_auto,
    ACTIONS(8092), 1,
      anon_sym_decltype,
    STATE(3681), 1,
      sym_decltype_auto,
    ACTIONS(11735), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [288396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10601), 1,
      anon_sym_COLON,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4530), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [288415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(11737), 1,
      aux_sym_preproc_if_token2,
    STATE(7266), 1,
      sym_enumerator,
    STATE(7557), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7558), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [288434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11739), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(3641), 1,
      sym_template_method,
    STATE(8324), 1,
      sym_operator_name,
  [288453] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    ACTIONS(8842), 1,
      anon_sym_RPAREN,
    STATE(2920), 1,
      sym_argument_list,
    STATE(4407), 1,
      sym_initializer_list,
  [288472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(8168), 1,
      anon_sym_COMMA,
    ACTIONS(11741), 1,
      anon_sym_SEMI,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8717), 1,
      sym_attribute_specifier,
  [288491] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11743), 1,
      anon_sym_DQUOTE,
    ACTIONS(11745), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11747), 1,
      sym_escape_sequence,
    STATE(7574), 1,
      aux_sym_string_literal_repeat1,
  [288507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    ACTIONS(11751), 1,
      anon_sym_LBRACE,
    STATE(6455), 1,
      sym_requirement_seq,
    STATE(8386), 1,
      sym_requires_parameter_list,
  [288523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11753), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11757), 1,
      anon_sym_GT2,
    STATE(8077), 1,
      aux_sym_template_argument_list_repeat1,
  [288553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    ACTIONS(11759), 1,
      anon_sym_LBRACE,
    STATE(2016), 1,
      sym_requirement_seq,
    STATE(8225), 1,
      sym_requires_parameter_list,
  [288569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2012), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288583] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11761), 1,
      anon_sym_DQUOTE,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [288599] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11767), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11771), 1,
      anon_sym_SEMI,
    STATE(7451), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1084), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [288643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11775), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [288659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11777), 1,
      anon_sym___except,
    ACTIONS(11779), 1,
      anon_sym___finally,
    STATE(335), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [288673] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11781), 1,
      anon_sym_DQUOTE,
    ACTIONS(11783), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11785), 1,
      sym_escape_sequence,
    STATE(7424), 1,
      aux_sym_string_literal_repeat1,
  [288689] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11787), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(11791), 1,
      sym_preproc_arg,
    STATE(8252), 1,
      sym_preproc_params,
  [288705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11793), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5500), 1,
      sym_field_declaration_list,
    STATE(8286), 1,
      sym_base_class_clause,
  [288735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11795), 1,
      anon_sym_GT2,
    STATE(8053), 1,
      aux_sym_template_argument_list_repeat1,
  [288751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11797), 1,
      anon_sym_SEMI,
    STATE(7420), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11799), 1,
      anon_sym_GT2,
    STATE(7999), 1,
      aux_sym_template_argument_list_repeat1,
  [288781] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11801), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [288797] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11803), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11807), 1,
      anon_sym_EQ,
    STATE(925), 1,
      sym_declaration_list,
  [288827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11809), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [288843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11811), 1,
      anon_sym_COMMA,
    STATE(7441), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11814), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [288857] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11816), 1,
      anon_sym_DQUOTE,
    ACTIONS(11818), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11820), 1,
      sym_escape_sequence,
    STATE(7437), 1,
      aux_sym_string_literal_repeat1,
  [288873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288887] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11824), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [288903] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11304), 1,
      anon_sym_EQ,
    STATE(7480), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11828), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3518), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11830), 1,
      anon_sym_SEMI,
    STATE(7467), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11832), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3485), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11834), 1,
      anon_sym_GT2,
    STATE(8027), 1,
      aux_sym_template_argument_list_repeat1,
  [289031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3030), 1,
      sym_field_declaration_list,
    STATE(8269), 1,
      sym_base_class_clause,
  [289047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11836), 1,
      anon_sym_GT2,
    STATE(7807), 1,
      aux_sym_template_argument_list_repeat1,
  [289063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1086), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [289079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10453), 1,
      anon_sym_LBRACE,
    STATE(3461), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym_field_declaration_list,
    STATE(8345), 1,
      sym_base_class_clause,
  [289109] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11838), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [289125] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11840), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3010), 1,
      sym_field_declaration_list,
    STATE(8281), 1,
      sym_base_class_clause,
  [289155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3122), 1,
      sym_field_declaration_list,
    STATE(8447), 1,
      sym_base_class_clause,
  [289171] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11842), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [289187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11844), 1,
      anon_sym_COMMA,
    STATE(7666), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11846), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289201] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11848), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11850), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289243] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11852), 1,
      anon_sym_DQUOTE,
    ACTIONS(11854), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11856), 1,
      sym_escape_sequence,
    STATE(7459), 1,
      aux_sym_string_literal_repeat1,
  [289259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 1,
      anon_sym_COMMA,
    STATE(7656), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11860), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym___except,
    ACTIONS(11864), 1,
      anon_sym___finally,
    STATE(823), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [289287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3815), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289301] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5056), 1,
      anon_sym_SEMI,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2077), 1,
      sym_template_argument_list,
  [289317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11866), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(5035), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11868), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11870), 1,
      anon_sym_SEMI,
    STATE(7473), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11399), 1,
      anon_sym_EQ,
    STATE(7510), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7113), 1,
      sym_access_specifier,
    ACTIONS(11872), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [289399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11874), 1,
      anon_sym_SEMI,
    STATE(7638), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(7750), 1,
      sym_compound_statement,
    STATE(8259), 1,
      sym_field_initializer_list,
  [289443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11878), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289457] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11880), 1,
      anon_sym_DQUOTE,
    ACTIONS(11882), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11884), 1,
      sym_escape_sequence,
    STATE(7501), 1,
      aux_sym_string_literal_repeat1,
  [289473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11377), 1,
      anon_sym_EQ,
    STATE(7448), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289487] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11886), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [289503] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11888), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(5012), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4193), 1,
      sym_initializer_list,
    STATE(4207), 1,
      sym_argument_list,
  [289547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5504), 1,
      sym_field_declaration_list,
    STATE(8246), 1,
      sym_base_class_clause,
  [289563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(7354), 1,
      sym_template_parameter_list,
  [289579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11890), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 1,
      anon_sym_COMMA,
    STATE(7469), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11892), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(3984), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11894), 1,
      anon_sym___except,
    ACTIONS(11896), 1,
      anon_sym___finally,
    STATE(630), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [289635] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11898), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [289651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11900), 1,
      anon_sym_EQ,
    STATE(601), 1,
      sym_declaration_list,
  [289667] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11902), 1,
      anon_sym_DQUOTE,
    ACTIONS(11904), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11906), 1,
      sym_escape_sequence,
    STATE(7526), 1,
      aux_sym_string_literal_repeat1,
  [289683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(11737), 1,
      aux_sym_preproc_if_token2,
    STATE(7558), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9259), 1,
      sym_enumerator,
  [289699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11908), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_EQ,
    STATE(7545), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289727] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11910), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [289743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3582), 1,
      sym_argument_list,
    STATE(4996), 1,
      sym_initializer_list,
  [289759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11912), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289773] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(11914), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11916), 1,
      sym_preproc_arg,
    STATE(8400), 1,
      sym_preproc_params,
  [289789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11918), 1,
      anon_sym_GT2,
    STATE(7839), 1,
      aux_sym_template_argument_list_repeat1,
  [289805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4313), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11920), 1,
      anon_sym_GT2,
    STATE(7959), 1,
      aux_sym_template_argument_list_repeat1,
  [289835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11922), 1,
      anon_sym_GT2,
    STATE(8098), 1,
      aux_sym_template_argument_list_repeat1,
  [289851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4636), 1,
      sym_field_declaration_list,
    STATE(8336), 1,
      sym_base_class_clause,
  [289867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11924), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_SEMI,
    ACTIONS(11928), 1,
      anon_sym_DASH_GT,
    ACTIONS(11930), 1,
      anon_sym_noexcept,
    STATE(9317), 1,
      sym_trailing_return_type,
  [289897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11932), 1,
      anon_sym_SEMI,
    STATE(7443), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6571), 1,
      anon_sym_LPAREN2,
    STATE(3458), 1,
      sym_initializer_list,
    STATE(3582), 1,
      sym_argument_list,
  [289927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11934), 1,
      anon_sym_SEMI,
    STATE(7594), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289941] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(11936), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11938), 1,
      sym_preproc_arg,
    STATE(8361), 1,
      sym_preproc_params,
  [289957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11298), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [289967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11940), 1,
      anon_sym_EQ,
    STATE(1041), 1,
      sym_declaration_list,
  [289983] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(11942), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11944), 1,
      sym_preproc_arg,
    STATE(8231), 1,
      sym_preproc_params,
  [289999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11946), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11950), 1,
      anon_sym_LBRACE,
    STATE(7857), 1,
      aux_sym_base_class_clause_repeat1,
  [290015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_EQ,
    STATE(7654), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290029] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11952), 1,
      anon_sym_DQUOTE,
    ACTIONS(11954), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11956), 1,
      sym_escape_sequence,
    STATE(7546), 1,
      aux_sym_string_literal_repeat1,
  [290045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11958), 1,
      anon_sym_SEMI,
    STATE(7475), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(8420), 1,
      sym_base_class_clause,
  [290075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    STATE(2425), 1,
      sym_field_declaration_list,
    STATE(8511), 1,
      sym_base_class_clause,
  [290091] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290105] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11962), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(7872), 1,
      sym_compound_statement,
    STATE(8536), 1,
      sym_field_initializer_list,
  [290137] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym_DQUOTE,
    ACTIONS(11966), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11968), 1,
      sym_escape_sequence,
    STATE(7485), 1,
      aux_sym_string_literal_repeat1,
  [290153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10445), 1,
      anon_sym_LBRACE,
    STATE(4966), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9662), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(3651), 1,
      sym_requirement_seq,
    STATE(8374), 1,
      sym_requires_parameter_list,
  [290183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11972), 1,
      anon_sym_LBRACE,
    STATE(7902), 1,
      aux_sym_base_class_clause_repeat1,
  [290199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(11974), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [290215] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11976), 1,
      anon_sym_DQUOTE,
    ACTIONS(11978), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11980), 1,
      sym_escape_sequence,
    STATE(7444), 1,
      aux_sym_string_literal_repeat1,
  [290231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11982), 1,
      anon_sym_GT2,
    STATE(7924), 1,
      aux_sym_template_argument_list_repeat1,
  [290247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(4199), 1,
      sym_requirement_seq,
    STATE(8224), 1,
      sym_requires_parameter_list,
  [290263] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11984), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(3960), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290293] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11986), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4616), 1,
      sym_field_declaration_list,
    STATE(8357), 1,
      sym_base_class_clause,
  [290323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    STATE(2433), 1,
      sym_field_declaration_list,
    STATE(8485), 1,
      sym_base_class_clause,
  [290339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(6431), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7100), 1,
      sym_access_specifier,
    ACTIONS(11872), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [290365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11988), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [290375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(11990), 1,
      anon_sym_SEMI,
    STATE(7647), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290403] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(11994), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11996), 1,
      anon_sym___except,
    ACTIONS(11998), 1,
      anon_sym___finally,
    STATE(827), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [290433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12000), 1,
      anon_sym_SEMI,
    STATE(7596), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(3974), 1,
      sym_requirement_seq,
    STATE(8256), 1,
      sym_requires_parameter_list,
  [290463] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12002), 1,
      anon_sym_DQUOTE,
    ACTIONS(12004), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12007), 1,
      sym_escape_sequence,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1088), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [290495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2859), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290509] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12010), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290523] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12012), 1,
      anon_sym_DQUOTE,
    ACTIONS(12014), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12016), 1,
      sym_escape_sequence,
    STATE(7536), 1,
      aux_sym_string_literal_repeat1,
  [290539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12018), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [290555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8220), 1,
      sym_argument_list,
    ACTIONS(12020), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [290569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(12022), 1,
      aux_sym_preproc_if_token2,
    STATE(7184), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [290583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10754), 1,
      sym_identifier,
    ACTIONS(12024), 1,
      aux_sym_preproc_if_token2,
    STATE(7176), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9259), 1,
      sym_enumerator,
  [290599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7118), 1,
      sym_access_specifier,
    ACTIONS(11872), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [290611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12026), 1,
      anon_sym_EQ,
    STATE(858), 1,
      sym_declaration_list,
  [290627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3204), 1,
      sym_field_declaration_list,
    STATE(8309), 1,
      sym_base_class_clause,
  [290643] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12030), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4472), 1,
      sym_field_declaration_list,
    STATE(8427), 1,
      sym_base_class_clause,
  [290673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12033), 1,
      anon_sym_GT2,
    STATE(8119), 1,
      aux_sym_template_argument_list_repeat1,
  [290689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3305), 1,
      sym_field_declaration_list,
    STATE(8448), 1,
      sym_base_class_clause,
  [290705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11393), 1,
      anon_sym_EQ,
    STATE(7432), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(7974), 1,
      sym_compound_statement,
    STATE(8409), 1,
      sym_field_initializer_list,
  [290735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2905), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12035), 1,
      anon_sym_GT2,
    STATE(7997), 1,
      aux_sym_template_argument_list_repeat1,
  [290765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9646), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(2868), 1,
      sym_requirement_seq,
    STATE(8387), 1,
      sym_requires_parameter_list,
  [290781] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12037), 1,
      anon_sym_DQUOTE,
    ACTIONS(12039), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12041), 1,
      sym_escape_sequence,
    STATE(7576), 1,
      aux_sym_string_literal_repeat1,
  [290797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12043), 1,
      anon_sym_GT2,
    STATE(7843), 1,
      aux_sym_template_argument_list_repeat1,
  [290813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9612), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(4024), 1,
      sym_requirement_seq,
    STATE(8525), 1,
      sym_requires_parameter_list,
  [290829] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12045), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290845] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290859] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12049), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [290875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12051), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [290891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12053), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_COMMA,
    STATE(7579), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(12058), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [290919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4058), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [290933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2933), 1,
      sym_field_declaration_list,
    STATE(8190), 1,
      sym_base_class_clause,
  [290949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12060), 1,
      anon_sym_SEMI,
    STATE(7689), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12062), 1,
      anon_sym_GT2,
    STATE(8139), 1,
      aux_sym_template_argument_list_repeat1,
  [290979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(8175), 1,
      sym_compound_statement,
    STATE(8372), 1,
      sym_field_initializer_list,
  [290995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1090), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [291011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12064), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(6580), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12066), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12068), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [291069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    ACTIONS(10667), 1,
      anon_sym_LBRACK,
    STATE(4365), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym__function_declarator_seq,
  [291085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(6423), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291099] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_DQUOTE,
    ACTIONS(12072), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12074), 1,
      sym_escape_sequence,
    STATE(7495), 1,
      aux_sym_string_literal_repeat1,
  [291115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12076), 1,
      anon_sym_SEMI,
    STATE(7586), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12078), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12080), 1,
      anon_sym_SEMI,
    STATE(7622), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12082), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10644), 1,
      sym_identifier,
    ACTIONS(12084), 1,
      aux_sym_preproc_if_token2,
    STATE(7557), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [291185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(6589), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291199] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_DQUOTE,
    ACTIONS(12088), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12090), 1,
      sym_escape_sequence,
    STATE(7642), 1,
      aux_sym_string_literal_repeat1,
  [291215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(5033), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12092), 1,
      anon_sym_GT2,
    STATE(7876), 1,
      aux_sym_template_argument_list_repeat1,
  [291245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12094), 1,
      anon_sym_GT2,
    STATE(8159), 1,
      aux_sym_template_argument_list_repeat1,
  [291261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4480), 1,
      sym_field_declaration_list,
    STATE(8429), 1,
      sym_base_class_clause,
  [291277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6017), 1,
      sym_field_declaration_list,
    STATE(8279), 1,
      sym_base_class_clause,
  [291293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11359), 1,
      anon_sym_EQ,
    STATE(7653), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12096), 1,
      anon_sym_EQ,
    STATE(408), 1,
      sym_declaration_list,
  [291323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1087), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [291339] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12098), 1,
      anon_sym_DQUOTE,
    ACTIONS(12100), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12102), 1,
      sym_escape_sequence,
    STATE(7621), 1,
      aux_sym_string_literal_repeat1,
  [291355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12104), 1,
      anon_sym_SEMI,
    STATE(7588), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4333), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 1,
      anon_sym_LBRACE,
    STATE(6630), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12106), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(4904), 1,
      sym_requirement_seq,
    STATE(8462), 1,
      sym_requires_parameter_list,
  [291427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12108), 1,
      anon_sym_SEMI,
    STATE(7578), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4467), 1,
      sym_field_declaration_list,
    STATE(8432), 1,
      sym_base_class_clause,
  [291457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    ACTIONS(6676), 1,
      anon_sym_LPAREN2,
    STATE(4207), 1,
      sym_argument_list,
    STATE(5402), 1,
      sym_initializer_list,
  [291473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4149), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(7883), 1,
      sym_compound_statement,
    STATE(8291), 1,
      sym_field_initializer_list,
  [291503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11365), 1,
      anon_sym_EQ,
    STATE(7491), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      anon_sym_LBRACE,
    STATE(6456), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291531] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12110), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [291547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12112), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291561] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12114), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [291577] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12116), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [291591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12118), 1,
      anon_sym_EQ,
    STATE(7503), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4463), 1,
      sym_field_declaration_list,
    STATE(8443), 1,
      sym_base_class_clause,
  [291621] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12120), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [291637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4439), 1,
      sym_field_declaration_list,
    STATE(8524), 1,
      sym_base_class_clause,
  [291653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12122), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12124), 1,
      anon_sym_SEMI,
    STATE(7681), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12126), 1,
      anon_sym_GT2,
    STATE(8136), 1,
      aux_sym_template_argument_list_repeat1,
  [291697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1085), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [291713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12128), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12130), 1,
      anon_sym_GT2,
    STATE(8121), 1,
      aux_sym_template_argument_list_repeat1,
  [291743] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_DQUOTE,
    ACTIONS(12134), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12136), 1,
      sym_escape_sequence,
    STATE(7463), 1,
      aux_sym_string_literal_repeat1,
  [291759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11310), 1,
      anon_sym_EQ,
    STATE(7629), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291773] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12138), 1,
      anon_sym_DQUOTE,
    ACTIONS(12140), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12142), 1,
      sym_escape_sequence,
    STATE(7623), 1,
      aux_sym_string_literal_repeat1,
  [291789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12144), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12146), 1,
      anon_sym_COMMA,
    STATE(7639), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12149), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [291817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12151), 1,
      anon_sym_SEMI,
    STATE(7482), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(4978), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [291845] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12153), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [291861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(4984), 1,
      sym_requirement_seq,
    STATE(8558), 1,
      sym_requires_parameter_list,
  [291877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2946), 1,
      sym_field_declaration_list,
    STATE(8194), 1,
      sym_base_class_clause,
  [291893] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12155), 1,
      anon_sym_DQUOTE,
    ACTIONS(12157), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12159), 1,
      sym_escape_sequence,
    STATE(7649), 1,
      aux_sym_string_literal_repeat1,
  [291909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12161), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [291925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12163), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [291939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12165), 1,
      anon_sym_GT2,
    STATE(8149), 1,
      aux_sym_template_argument_list_repeat1,
  [291955] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12167), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [291971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_field_declaration_list,
    STATE(8184), 1,
      sym_base_class_clause,
  [291987] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12169), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [292003] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12171), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [292017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12173), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12175), 1,
      anon_sym_EQ,
    STATE(6660), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6042), 1,
      sym_field_declaration_list,
    STATE(8278), 1,
      sym_base_class_clause,
  [292061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12177), 1,
      anon_sym_COMMA,
    STATE(7656), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12180), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(8067), 1,
      sym_compound_statement,
    STATE(8232), 1,
      sym_field_initializer_list,
  [292091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3906), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym___except,
    ACTIONS(12184), 1,
      anon_sym___finally,
    STATE(1163), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [292119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12186), 1,
      anon_sym_SEMI,
    STATE(7612), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    STATE(2879), 1,
      sym_initializer_list,
    STATE(2920), 1,
      sym_argument_list,
  [292149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1083), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [292165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3110), 1,
      sym_field_declaration_list,
    STATE(8417), 1,
      sym_base_class_clause,
  [292181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1089), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [292197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10449), 1,
      anon_sym_LBRACE,
    STATE(3925), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11844), 1,
      anon_sym_COMMA,
    STATE(7687), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12188), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292225] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym_DQUOTE,
    ACTIONS(12192), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12194), 1,
      sym_escape_sequence,
    STATE(7693), 1,
      aux_sym_string_literal_repeat1,
  [292241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10433), 1,
      anon_sym_LBRACE,
    STATE(2883), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_LPAREN2,
    STATE(2920), 1,
      sym_argument_list,
    STATE(4407), 1,
      sym_initializer_list,
  [292271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym___except,
    ACTIONS(12198), 1,
      anon_sym___finally,
    STATE(823), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [292285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      anon_sym_LBRACE,
    STATE(4057), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12200), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292313] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(12202), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12204), 1,
      sym_preproc_arg,
    STATE(8576), 1,
      sym_preproc_params,
  [292329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12206), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [292345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12208), 1,
      anon_sym_COMMA,
    STATE(7686), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12210), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10413), 1,
      anon_sym_LBRACE,
    STATE(4272), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12212), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292387] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(12214), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12216), 1,
      sym_preproc_arg,
    STATE(8547), 1,
      sym_preproc_params,
  [292403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2027), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12218), 1,
      anon_sym_SEMI,
    STATE(7633), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12220), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12222), 1,
      anon_sym___except,
    ACTIONS(12224), 1,
      anon_sym___finally,
    STATE(524), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [292459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9654), 1,
      anon_sym_LBRACE,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(4339), 1,
      sym_requirement_seq,
    STATE(8367), 1,
      sym_requires_parameter_list,
  [292475] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_DQUOTE,
    ACTIONS(12228), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12230), 1,
      sym_escape_sequence,
    STATE(7651), 1,
      aux_sym_string_literal_repeat1,
  [292491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8101), 2,
      sym_argument_list,
      sym_initializer_list,
  [292505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12208), 1,
      anon_sym_COMMA,
    STATE(7639), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12232), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_COMMA,
    STATE(7687), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12237), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [292543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12241), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5639), 1,
      sym_field_declaration_list,
    STATE(8561), 1,
      sym_base_class_clause,
  [292573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [292583] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12243), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [292597] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12245), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [292613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10405), 1,
      anon_sym_LBRACE,
    STATE(4931), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292627] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11763), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11765), 1,
      sym_escape_sequence,
    ACTIONS(12247), 1,
      anon_sym_DQUOTE,
    STATE(7550), 1,
      aux_sym_string_literal_repeat1,
  [292643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12249), 1,
      anon_sym_SEMI,
    STATE(5379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12251), 1,
      anon_sym_SEMI,
    STATE(7677), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292671] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12253), 1,
      anon_sym_SQUOTE,
    STATE(7562), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11769), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [292685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      sym_identifier,
    ACTIONS(12257), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [292697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_LBRACE,
    STATE(3889), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12259), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12261), 1,
      anon_sym_LBRACE,
    STATE(8004), 1,
      aux_sym_base_class_clause_repeat1,
  [292727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    ACTIONS(12263), 1,
      anon_sym_LBRACE,
    STATE(6597), 1,
      sym_requirement_seq,
    STATE(8538), 1,
      sym_requires_parameter_list,
  [292743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2024), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_field_declaration_list,
    STATE(8199), 1,
      sym_base_class_clause,
  [292773] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(12265), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12267), 1,
      sym_preproc_arg,
    STATE(8395), 1,
      sym_preproc_params,
  [292789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(3953), 1,
      sym_argument_list,
    STATE(4363), 1,
      sym_initializer_list,
  [292805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12269), 1,
      anon_sym_EQ,
    STATE(7499), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2012), 1,
      sym_compound_statement,
    ACTIONS(10465), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [292833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(8150), 1,
      sym_compound_statement,
    STATE(8313), 1,
      sym_field_initializer_list,
  [292849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5615), 1,
      sym_field_declaration_list,
    STATE(8514), 1,
      sym_base_class_clause,
  [292865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_LT,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(1082), 1,
      sym_template_parameter_list,
    STATE(3114), 1,
      sym_template_type,
  [292881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12271), 1,
      anon_sym_SEMI,
    STATE(7672), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(7780), 1,
      sym_compound_statement,
    STATE(8459), 1,
      sym_field_initializer_list,
  [292911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7175), 1,
      anon_sym_LT,
    ACTIONS(12273), 1,
      anon_sym_SEMI,
    STATE(2007), 1,
      sym_template_argument_list,
  [292927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym___attribute__,
    ACTIONS(12275), 1,
      anon_sym_SEMI,
    STATE(7696), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [292941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10772), 1,
      anon_sym_COLON,
    STATE(8035), 1,
      sym_compound_statement,
    STATE(8326), 1,
      sym_field_initializer_list,
  [292957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4449), 1,
      sym_field_declaration_list,
    STATE(8450), 1,
      sym_base_class_clause,
  [292973] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12277), 1,
      anon_sym_DQUOTE,
    ACTIONS(12279), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12281), 1,
      sym_escape_sequence,
    STATE(7627), 1,
      aux_sym_string_literal_repeat1,
  [292989] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(12283), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12285), 1,
      sym_preproc_arg,
    STATE(8216), 1,
      sym_preproc_params,
  [293005] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_LPAREN,
    ACTIONS(12287), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12289), 1,
      sym_preproc_arg,
    STATE(8237), 1,
      sym_preproc_params,
  [293021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12291), 1,
      anon_sym_GT2,
    STATE(7770), 1,
      aux_sym_template_argument_list_repeat1,
  [293037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11145), 1,
      anon_sym_COMMA,
    STATE(7441), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12293), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [293051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7097), 1,
      sym_access_specifier,
    ACTIONS(11872), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [293063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12297), 1,
      anon_sym_LBRACE,
    STATE(7793), 1,
      aux_sym_base_class_clause_repeat1,
  [293079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    ACTIONS(6657), 1,
      anon_sym_LPAREN2,
    STATE(3953), 1,
      sym_argument_list,
    STATE(3954), 1,
      sym_initializer_list,
  [293095] = 5,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_DQUOTE,
    ACTIONS(12301), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12303), 1,
      sym_escape_sequence,
    STATE(7695), 1,
      aux_sym_string_literal_repeat1,
  [293111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12305), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [293124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_COMMA,
    ACTIONS(12309), 1,
      anon_sym_GT2,
    STATE(7962), 1,
      aux_sym_template_parameter_list_repeat1,
  [293137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(3662), 1,
      sym_template_function,
  [293150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12313), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [293163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 1,
      anon_sym_SEMI,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2077), 1,
      sym_template_argument_list,
  [293176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_RBRACE,
    ACTIONS(12315), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [293189] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12317), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12319), 1,
      anon_sym_LPAREN2,
    STATE(8930), 1,
      sym_preproc_argument_list,
  [293202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12323), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [293215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8590), 1,
      anon_sym_RPAREN,
    STATE(7761), 1,
      aux_sym_argument_list_repeat1,
  [293228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      anon_sym_catch,
    STATE(268), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [293252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12327), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [293261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12329), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7751), 1,
      aux_sym_attribute_declaration_repeat1,
  [293274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12331), 1,
      anon_sym_SEMI,
    STATE(7775), 1,
      aux_sym_declaration_repeat1,
  [293287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12333), 1,
      anon_sym_RPAREN,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    STATE(7767), 1,
      sym_gnu_asm_output_operand_list,
  [293300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12337), 1,
      anon_sym_GT2,
    STATE(7771), 1,
      aux_sym_template_argument_list_repeat1,
  [293313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12339), 1,
      anon_sym_RPAREN,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    STATE(8620), 1,
      sym_gnu_asm_goto_list,
  [293326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12343), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [293339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12348), 1,
      anon_sym_SEMI,
    STATE(7777), 1,
      aux_sym_declaration_repeat1,
  [293352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12350), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [293365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12352), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [293378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12354), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [293391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8742), 1,
      anon_sym_RBRACK,
    ACTIONS(12356), 1,
      anon_sym_COMMA,
    STATE(7749), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [293404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      anon_sym_catch,
    STATE(2319), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12361), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [293428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    STATE(7795), 1,
      aux_sym_argument_list_repeat1,
  [293441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    STATE(587), 1,
      sym_declaration_list,
  [293454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12363), 1,
      anon_sym_SEMI,
    STATE(7747), 1,
      aux_sym_declaration_repeat1,
  [293467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8450), 1,
      anon_sym_COMMA,
    ACTIONS(8452), 1,
      anon_sym_RBRACE,
    STATE(7796), 1,
      aux_sym_initializer_list_repeat1,
  [293480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12365), 1,
      anon_sym_COMMA,
    ACTIONS(12368), 1,
      anon_sym_RBRACK,
    STATE(7756), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [293493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12372), 1,
      anon_sym_constexpr,
    STATE(163), 1,
      sym_condition_clause,
  [293506] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7652), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12374), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [293517] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7465), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12376), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [293528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_catch,
    STATE(2092), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8460), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [293552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12380), 1,
      anon_sym_constexpr,
    STATE(225), 1,
      sym_condition_clause,
  [293565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12382), 1,
      anon_sym_SEMI,
    STATE(8110), 1,
      aux_sym_declaration_repeat1,
  [293578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_RPAREN,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    STATE(7743), 1,
      sym_gnu_asm_clobber_list,
  [293591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12388), 1,
      anon_sym_RPAREN,
    STATE(7804), 1,
      sym_gnu_asm_output_operand_list,
  [293604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_catch,
    STATE(371), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_RPAREN,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    STATE(7784), 1,
      sym_gnu_asm_input_operand_list,
  [293628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12396), 1,
      anon_sym_RPAREN,
    STATE(7785), 1,
      sym_gnu_asm_output_operand_list,
  [293641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12398), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [293654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12400), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [293667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12402), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [293680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
    STATE(8623), 1,
      sym_gnu_asm_goto_list,
  [293693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
    STATE(7824), 1,
      aux_sym_declaration_repeat1,
  [293706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12408), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [293719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [293732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
    STATE(7827), 1,
      aux_sym_parameter_list_repeat1,
  [293745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12416), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [293758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      anon_sym_catch,
    STATE(2242), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12418), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7734), 1,
      aux_sym_attribute_declaration_repeat1,
  [293782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_catch,
    STATE(2261), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12261), 1,
      anon_sym_LBRACE,
    STATE(8004), 1,
      aux_sym_base_class_clause_repeat1,
  [293806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12422), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [293819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8422), 1,
      anon_sym_RBRACK,
    STATE(7835), 1,
      aux_sym_subscript_argument_list_repeat1,
  [293832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12424), 1,
      anon_sym_RPAREN,
    STATE(7787), 1,
      sym_gnu_asm_clobber_list,
  [293845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12426), 1,
      anon_sym_RPAREN,
    STATE(7788), 1,
      sym_gnu_asm_input_operand_list,
  [293858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12428), 1,
      anon_sym_RPAREN,
    STATE(7764), 1,
      sym_gnu_asm_input_operand_list,
  [293871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12430), 1,
      anon_sym_RPAREN,
    STATE(9475), 1,
      sym_gnu_asm_goto_list,
  [293884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12432), 1,
      anon_sym_RPAREN,
    STATE(7792), 1,
      sym_gnu_asm_clobber_list,
  [293897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12434), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [293906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12436), 1,
      anon_sym_COMMA,
    ACTIONS(12439), 1,
      anon_sym_RPAREN,
    STATE(7790), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [293919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12441), 1,
      anon_sym_RPAREN,
    STATE(7772), 1,
      sym_gnu_asm_clobber_list,
  [293932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12443), 1,
      anon_sym_RPAREN,
    STATE(9472), 1,
      sym_gnu_asm_goto_list,
  [293945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12261), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [293958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(12447), 1,
      anon_sym_RPAREN,
    STATE(7790), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [293971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8394), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [293984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_RBRACE,
    ACTIONS(12449), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [293997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [294010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(12455), 1,
      anon_sym_RPAREN,
    STATE(7931), 1,
      aux_sym_preproc_argument_list_repeat1,
  [294032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(12457), 1,
      anon_sym_RBRACK,
    STATE(7933), 1,
      aux_sym_subscript_argument_list_repeat1,
  [294045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12459), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_catch,
    STATE(239), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12463), 1,
      anon_sym_COMMA,
    ACTIONS(12466), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [294078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12468), 1,
      anon_sym_RPAREN,
    STATE(7850), 1,
      sym_gnu_asm_input_operand_list,
  [294091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12470), 1,
      anon_sym_RPAREN,
    STATE(7851), 1,
      sym_gnu_asm_output_operand_list,
  [294104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12472), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12474), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    ACTIONS(12476), 1,
      anon_sym_RPAREN,
    STATE(7794), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [294143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12480), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [294178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12484), 1,
      anon_sym_RPAREN,
    STATE(9427), 1,
      sym_gnu_asm_goto_list,
  [294191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12486), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [294204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12488), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [294217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12492), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [294239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12494), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [294252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12498), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [294263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12500), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8604), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [294281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12502), 1,
      anon_sym_RPAREN,
    STATE(7812), 1,
      sym_gnu_asm_clobber_list,
  [294294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12504), 1,
      anon_sym_constexpr,
    STATE(216), 1,
      sym_condition_clause,
  [294307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12506), 1,
      anon_sym_RPAREN,
    STATE(9417), 1,
      sym_gnu_asm_goto_list,
  [294320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12508), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [294333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12510), 1,
      anon_sym_RPAREN,
    STATE(7821), 1,
      sym_gnu_asm_input_operand_list,
  [294346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12512), 1,
      anon_sym_RPAREN,
    STATE(7823), 1,
      sym_gnu_asm_clobber_list,
  [294359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [294372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_catch,
    STATE(2239), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294383] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7553), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12516), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [294407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      anon_sym_catch,
    STATE(2269), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_catch,
    STATE(2095), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [294442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_COMMA,
    ACTIONS(12525), 1,
      anon_sym_RPAREN,
    STATE(7834), 1,
      aux_sym_throw_specifier_repeat1,
  [294455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(12527), 1,
      anon_sym_RBRACK,
    STATE(7933), 1,
      aux_sym_subscript_argument_list_repeat1,
  [294468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12529), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12531), 1,
      anon_sym_SEMI,
    STATE(7865), 1,
      aux_sym_declaration_repeat1,
  [294494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12533), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [294507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12535), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12537), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_template_type,
    STATE(4006), 1,
      sym_template_function,
  [294546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12541), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12543), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12545), 1,
      anon_sym_RPAREN,
    STATE(9431), 1,
      sym_gnu_asm_goto_list,
  [294585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12547), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12549), 1,
      anon_sym_RPAREN,
    STATE(7825), 1,
      sym_gnu_asm_output_operand_list,
  [294611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12551), 1,
      anon_sym_RPAREN,
    STATE(7826), 1,
      sym_gnu_asm_input_operand_list,
  [294624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12553), 1,
      anon_sym_RPAREN,
    STATE(7786), 1,
      sym_gnu_asm_output_operand_list,
  [294637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12555), 1,
      anon_sym_RPAREN,
    STATE(7791), 1,
      sym_gnu_asm_input_operand_list,
  [294650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12557), 1,
      anon_sym_RPAREN,
    STATE(7860), 1,
      sym_gnu_asm_clobber_list,
  [294663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12559), 1,
      anon_sym_RPAREN,
    STATE(7861), 1,
      sym_gnu_asm_input_operand_list,
  [294676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_RBRACE,
    ACTIONS(12561), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [294689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8610), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [294702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    STATE(7800), 1,
      aux_sym_subscript_argument_list_repeat1,
  [294715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12563), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_LBRACE,
    STATE(7817), 1,
      aux_sym_base_class_clause_repeat1,
  [294737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [294750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12567), 1,
      anon_sym_GT2,
    STATE(7877), 1,
      aux_sym_template_argument_list_repeat1,
  [294763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12569), 1,
      anon_sym_constexpr,
    STATE(203), 1,
      sym_condition_clause,
  [294776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12571), 1,
      anon_sym_RPAREN,
    STATE(8729), 1,
      sym_gnu_asm_goto_list,
  [294789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12573), 1,
      anon_sym_RPAREN,
    STATE(7874), 1,
      sym_gnu_asm_clobber_list,
  [294802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      anon_sym_EQ,
    ACTIONS(11333), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [294813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_SEMI,
    STATE(7881), 1,
      aux_sym_declaration_repeat1,
  [294826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [294839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12581), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [294852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12585), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [294863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4417), 1,
      anon_sym_RBRACE,
    ACTIONS(12587), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [294876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12589), 1,
      anon_sym_RPAREN,
    STATE(7920), 1,
      sym_gnu_asm_output_operand_list,
  [294889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8602), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [294902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12591), 1,
      anon_sym_GT2,
    STATE(7810), 1,
      aux_sym_template_argument_list_repeat1,
  [294915] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7445), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12593), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_catch,
    STATE(253), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_RPAREN,
    STATE(7813), 1,
      aux_sym_parameter_list_repeat1,
  [294950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12597), 1,
      anon_sym_RPAREN,
    STATE(8733), 1,
      sym_gnu_asm_goto_list,
  [294963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [294989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12603), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [295002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12605), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [295015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12607), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [295028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [295041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [295054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [295063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_catch,
    STATE(2106), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [295074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [295083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_SEMI,
    STATE(7814), 1,
      aux_sym_declaration_repeat1,
  [295096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12619), 1,
      anon_sym_GT2,
    STATE(7836), 1,
      aux_sym_template_argument_list_repeat1,
  [295109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12621), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [295118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12623), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [295131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12625), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [295144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12627), 1,
      anon_sym_SEMI,
    STATE(7833), 1,
      aux_sym_declaration_repeat1,
  [295157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_COMMA,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
    STATE(7834), 1,
      aux_sym_throw_specifier_repeat1,
  [295170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11928), 1,
      anon_sym_DASH_GT,
    ACTIONS(12633), 1,
      anon_sym_SEMI,
    STATE(9387), 1,
      sym_trailing_return_type,
  [295183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_GT2,
    STATE(7840), 1,
      aux_sym_template_argument_list_repeat1,
  [295196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
    STATE(7847), 1,
      sym_gnu_asm_output_operand_list,
  [295209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_EQ,
    ACTIONS(7702), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
    STATE(7844), 1,
      sym_gnu_asm_clobber_list,
  [295233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12641), 1,
      anon_sym_RPAREN,
    STATE(7849), 1,
      sym_gnu_asm_output_operand_list,
  [295246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8584), 1,
      anon_sym_COMMA,
    ACTIONS(8586), 1,
      anon_sym_RBRACE,
    STATE(7852), 1,
      aux_sym_initializer_list_repeat1,
  [295259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    STATE(9384), 1,
      sym_gnu_asm_goto_list,
  [295272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    STATE(399), 1,
      sym_declaration_list,
  [295285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8576), 1,
      anon_sym_COMMA,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
    STATE(7867), 1,
      aux_sym_initializer_list_repeat1,
  [295298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11950), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [295311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8568), 1,
      anon_sym_RPAREN,
    STATE(7869), 1,
      aux_sym_argument_list_repeat1,
  [295324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(7853), 1,
      aux_sym_argument_list_repeat1,
  [295337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11950), 1,
      anon_sym_LBRACE,
    STATE(7857), 1,
      aux_sym_base_class_clause_repeat1,
  [295350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12647), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [295361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12649), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [295374] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12319), 1,
      anon_sym_LPAREN2,
    ACTIONS(12651), 1,
      aux_sym_preproc_include_token2,
    STATE(8930), 1,
      sym_preproc_argument_list,
  [295387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12653), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [295400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
    ACTIONS(8582), 1,
      anon_sym_COMMA,
    STATE(7732), 1,
      aux_sym_initializer_list_repeat1,
  [295413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11225), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [295422] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7698), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12655), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [295433] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12319), 1,
      anon_sym_LPAREN2,
    ACTIONS(12657), 1,
      aux_sym_preproc_include_token2,
    STATE(8930), 1,
      sym_preproc_argument_list,
  [295446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [295459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_COMMA,
    ACTIONS(12664), 1,
      anon_sym_RPAREN,
    STATE(7915), 1,
      aux_sym_preproc_params_repeat1,
  [295472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12666), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(4006), 1,
      sym_template_function,
  [295485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
    STATE(7878), 1,
      aux_sym_declaration_repeat1,
  [295498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12670), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7940), 1,
      aux_sym_attribute_declaration_repeat1,
  [295511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12672), 1,
      anon_sym_SEMI,
    STATE(7888), 1,
      aux_sym_declaration_repeat1,
  [295524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(7982), 1,
      sym_gnu_asm_input_operand_list,
  [295537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12676), 1,
      anon_sym_RPAREN,
    STATE(7981), 1,
      sym_gnu_asm_output_operand_list,
  [295550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12678), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [295563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      anon_sym_catch,
    STATE(230), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [295574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12680), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [295587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    STATE(1007), 1,
      sym_declaration_list,
  [295600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12682), 1,
      anon_sym_GT2,
    STATE(7930), 1,
      aux_sym_template_argument_list_repeat1,
  [295613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_catch,
    STATE(2060), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [295624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12686), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [295637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(400), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [295648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12690), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [295661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10105), 1,
      anon_sym_RPAREN,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    STATE(7931), 1,
      aux_sym_preproc_argument_list_repeat1,
  [295674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(12695), 1,
      anon_sym_RBRACK,
    STATE(7749), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [295687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 1,
      anon_sym_RBRACK,
    ACTIONS(12697), 1,
      anon_sym_COMMA,
    STATE(7933), 1,
      aux_sym_subscript_argument_list_repeat1,
  [295700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      sym_identifier,
    ACTIONS(12702), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12704), 1,
      anon_sym_SEMI,
    STATE(7967), 1,
      aux_sym_declaration_repeat1,
  [295724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7909), 1,
      aux_sym_attribute_declaration_repeat1,
  [295737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_COMMA,
    ACTIONS(12708), 1,
      anon_sym_RBRACK,
    STATE(7756), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [295750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [295763] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7486), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12712), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [295774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12714), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [295787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_COMMA,
    ACTIONS(12719), 1,
      anon_sym_LBRACE,
    STATE(7941), 1,
      aux_sym_field_initializer_list_repeat1,
  [295800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8462), 1,
      anon_sym_RPAREN,
    STATE(7984), 1,
      aux_sym_argument_list_repeat1,
  [295813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    STATE(934), 1,
      sym_declaration_list,
  [295826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12721), 1,
      anon_sym_GT2,
    STATE(7960), 1,
      aux_sym_template_argument_list_repeat1,
  [295839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_COMMA,
    ACTIONS(12723), 1,
      anon_sym_RPAREN,
    STATE(7891), 1,
      aux_sym_throw_specifier_repeat1,
  [295852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12725), 1,
      anon_sym_COMMA,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [295865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12730), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7907), 1,
      aux_sym_attribute_declaration_repeat1,
  [295878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8480), 1,
      anon_sym_COMMA,
    ACTIONS(8482), 1,
      anon_sym_RBRACE,
    STATE(7989), 1,
      aux_sym_initializer_list_repeat1,
  [295891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [295900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      anon_sym_COMMA,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
    STATE(7950), 1,
      aux_sym_requires_parameter_list_repeat1,
  [295913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12732), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [295922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12739), 1,
      anon_sym_GT2,
    STATE(8146), 1,
      aux_sym_template_argument_list_repeat1,
  [295935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_COMMA,
    ACTIONS(12741), 1,
      anon_sym_GT2,
    STATE(7728), 1,
      aux_sym_template_parameter_list_repeat1,
  [295948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12743), 1,
      anon_sym_RPAREN,
    STATE(7995), 1,
      sym_gnu_asm_output_operand_list,
  [295961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12745), 1,
      anon_sym_GT2,
    STATE(8003), 1,
      aux_sym_template_argument_list_repeat1,
  [295974] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12319), 1,
      anon_sym_LPAREN2,
    ACTIONS(12747), 1,
      aux_sym_preproc_include_token2,
    STATE(8930), 1,
      sym_preproc_argument_list,
  [295987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_COMMA,
    ACTIONS(12751), 1,
      anon_sym_RPAREN,
    STATE(8089), 1,
      aux_sym_preproc_params_repeat1,
  [296000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12753), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12755), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12757), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12759), 1,
      anon_sym_SEMI,
    STATE(8008), 1,
      aux_sym_declaration_repeat1,
  [296052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12761), 1,
      anon_sym_COMMA,
    ACTIONS(12764), 1,
      anon_sym_GT2,
    STATE(7962), 1,
      aux_sym_template_parameter_list_repeat1,
  [296065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [296074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12766), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [296085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12770), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12772), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [296107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [296129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12778), 1,
      anon_sym_RPAREN,
    STATE(8009), 1,
      aux_sym_parameter_list_repeat1,
  [296142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [296155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12782), 1,
      anon_sym_RPAREN,
    STATE(9189), 1,
      sym_gnu_asm_goto_list,
  [296168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12784), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [296177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_COMMA,
    ACTIONS(12789), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      anon_sym_catch,
    STATE(280), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [296201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12791), 1,
      anon_sym_RPAREN,
    STATE(7971), 1,
      sym_gnu_asm_clobber_list,
  [296214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12793), 1,
      anon_sym_RPAREN,
    STATE(9185), 1,
      sym_gnu_asm_goto_list,
  [296227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12795), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12797), 1,
      anon_sym_RPAREN,
    STATE(7975), 1,
      sym_gnu_asm_input_operand_list,
  [296251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12799), 1,
      anon_sym_RPAREN,
    STATE(7976), 1,
      sym_gnu_asm_clobber_list,
  [296264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8474), 1,
      anon_sym_RPAREN,
    STATE(7737), 1,
      aux_sym_argument_list_repeat1,
  [296277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12801), 1,
      anon_sym_RPAREN,
    STATE(7896), 1,
      sym_gnu_asm_input_operand_list,
  [296290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12803), 1,
      anon_sym_RPAREN,
    STATE(7899), 1,
      sym_gnu_asm_clobber_list,
  [296303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12805), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [296314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8536), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [296327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_RPAREN,
    ACTIONS(12807), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [296338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12811), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [296351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [296364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_catch,
    STATE(2059), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [296375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_RBRACE,
    ACTIONS(12815), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [296388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12817), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_LBRACE,
    STATE(7902), 1,
      aux_sym_base_class_clause_repeat1,
  [296414] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7525), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12819), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [296425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_COMMA,
    ACTIONS(12824), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [296438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12826), 1,
      anon_sym_constexpr,
    STATE(205), 1,
      sym_condition_clause,
  [296451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(8013), 1,
      sym_gnu_asm_input_operand_list,
  [296464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12830), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12832), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12834), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12836), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12838), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12840), 1,
      anon_sym_RPAREN,
    STATE(7978), 1,
      sym_gnu_asm_output_operand_list,
  [296542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12842), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [296555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12844), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    ACTIONS(11972), 1,
      anon_sym_LBRACE,
    STATE(7993), 1,
      aux_sym_base_class_clause_repeat1,
  [296581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12846), 1,
      anon_sym_RPAREN,
    STATE(7979), 1,
      sym_gnu_asm_input_operand_list,
  [296594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(12848), 1,
      anon_sym_constexpr,
    STATE(204), 1,
      sym_condition_clause,
  [296607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_COMMA,
    ACTIONS(12852), 1,
      anon_sym_RPAREN,
    STATE(7950), 1,
      aux_sym_requires_parameter_list_repeat1,
  [296620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12854), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [296646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      anon_sym_catch,
    STATE(284), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [296657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [296670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12860), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [296683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12862), 1,
      anon_sym_RPAREN,
    STATE(8020), 1,
      sym_gnu_asm_clobber_list,
  [296696] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7692), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12864), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [296707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12866), 1,
      anon_sym_RPAREN,
    STATE(8022), 1,
      sym_gnu_asm_input_operand_list,
  [296720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [296733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12870), 1,
      anon_sym_GT2,
    STATE(8028), 1,
      aux_sym_template_argument_list_repeat1,
  [296746] = 4,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12319), 1,
      anon_sym_LPAREN2,
    ACTIONS(12872), 1,
      aux_sym_preproc_include_token2,
    STATE(8930), 1,
      sym_preproc_argument_list,
  [296759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12874), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12876), 1,
      anon_sym_RPAREN,
    STATE(8920), 1,
      sym_gnu_asm_goto_list,
  [296785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_RBRACE,
    ACTIONS(12878), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [296798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12880), 1,
      anon_sym_RPAREN,
    STATE(8025), 1,
      sym_gnu_asm_clobber_list,
  [296811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_COMMA,
    ACTIONS(12885), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [296824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [296837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
    STATE(8923), 1,
      sym_gnu_asm_goto_list,
  [296850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12891), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12893), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [296889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [296902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8320), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [296915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12899), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8102), 1,
      aux_sym_attribute_declaration_repeat1,
  [296928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12824), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [296939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12903), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7987), 1,
      aux_sym_attribute_declaration_repeat1,
  [296952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12905), 1,
      anon_sym_RPAREN,
    STATE(8015), 1,
      sym_gnu_asm_output_operand_list,
  [296965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_catch,
    STATE(2058), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [296976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12907), 1,
      anon_sym_RPAREN,
    STATE(8917), 1,
      sym_gnu_asm_goto_list,
  [296989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_catch,
    STATE(355), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [297000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      anon_sym_RPAREN,
    ACTIONS(12911), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [297011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12915), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [297024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12917), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [297037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12919), 1,
      anon_sym_SEMI,
    STATE(7990), 1,
      aux_sym_declaration_repeat1,
  [297050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12921), 1,
      anon_sym_RPAREN,
    STATE(8036), 1,
      sym_gnu_asm_clobber_list,
  [297063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(12923), 1,
      anon_sym_RPAREN,
    STATE(8926), 1,
      sym_gnu_asm_goto_list,
  [297076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8608), 1,
      anon_sym_RBRACK,
    STATE(8162), 1,
      aux_sym_subscript_argument_list_repeat1,
  [297089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12925), 1,
      anon_sym_GT2,
    STATE(7998), 1,
      aux_sym_template_argument_list_repeat1,
  [297102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 1,
      sym_identifier,
    STATE(3043), 1,
      sym_template_type,
    STATE(4118), 1,
      sym_template_function,
  [297115] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7624), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12929), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(12931), 1,
      anon_sym_RPAREN,
    STATE(8005), 1,
      sym_gnu_asm_output_operand_list,
  [297139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12933), 1,
      anon_sym_SEMI,
    STATE(8144), 1,
      aux_sym_declaration_repeat1,
  [297152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_RBRACE,
    ACTIONS(12935), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [297165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12938), 1,
      anon_sym_GT2,
    STATE(8054), 1,
      aux_sym_template_argument_list_repeat1,
  [297178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12942), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    STATE(8042), 1,
      sym_gnu_asm_input_operand_list,
  [297230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(12948), 1,
      anon_sym_RPAREN,
    STATE(8043), 1,
      sym_gnu_asm_clobber_list,
  [297243] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7538), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12950), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12952), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [297267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12954), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_template_type,
    STATE(3662), 1,
      sym_template_function,
  [297280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12956), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8106), 1,
      aux_sym_attribute_declaration_repeat1,
  [297293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 1,
      anon_sym_COMMA,
    ACTIONS(8442), 1,
      anon_sym_RBRACE,
    STATE(8021), 1,
      aux_sym_initializer_list_repeat1,
  [297306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12958), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [297319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
    STATE(8030), 1,
      aux_sym_argument_list_repeat1,
  [297332] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7460), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12960), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12962), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [297356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
    STATE(7931), 1,
      aux_sym_preproc_argument_list_repeat1,
  [297369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_catch,
    STATE(942), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [297380] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7438), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12966), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8454), 1,
      anon_sym_COMMA,
    ACTIONS(12968), 1,
      anon_sym_RBRACK,
    STATE(7749), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [297404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12970), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [297417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_catch,
    STATE(2293), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [297428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      anon_sym_COMMA,
    ACTIONS(12972), 1,
      anon_sym_RBRACK,
    STATE(7937), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [297441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(6941), 1,
      sym_template_function,
  [297454] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7425), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12976), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12978), 1,
      anon_sym_GT2,
    STATE(8078), 1,
      aux_sym_template_argument_list_repeat1,
  [297478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12980), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12982), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(12984), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_COMMA,
    ACTIONS(12988), 1,
      anon_sym_LBRACE,
    STATE(8166), 1,
      aux_sym_field_initializer_list_repeat1,
  [297530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8628), 1,
      anon_sym_RPAREN,
    ACTIONS(12990), 1,
      anon_sym_COMMA,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [297543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12993), 1,
      anon_sym_SEMI,
    STATE(8039), 1,
      aux_sym_declaration_repeat1,
  [297556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(12995), 1,
      anon_sym_SEMI,
    STATE(8165), 1,
      aux_sym_declaration_repeat1,
  [297569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(12997), 1,
      anon_sym_RBRACK,
    STATE(7933), 1,
      aux_sym_subscript_argument_list_repeat1,
  [297582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(12999), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [297595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_catch,
    STATE(1121), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [297606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [297619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_COMMA,
    ACTIONS(13005), 1,
      anon_sym_RPAREN,
    STATE(8007), 1,
      aux_sym_requires_parameter_list_repeat1,
  [297632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_catch,
    STATE(488), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [297643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_COMMA,
    ACTIONS(13007), 1,
      anon_sym_RPAREN,
    STATE(7915), 1,
      aux_sym_preproc_params_repeat1,
  [297656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(13009), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8065), 1,
      aux_sym_attribute_declaration_repeat1,
  [297669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(13011), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [297682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(4006), 1,
      sym_template_function,
  [297695] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    STATE(7575), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13015), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13017), 1,
      anon_sym_SEMI,
    STATE(8019), 1,
      aux_sym_declaration_repeat1,
  [297719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13019), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [297732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13021), 1,
      anon_sym_GT2,
    STATE(8099), 1,
      aux_sym_template_argument_list_repeat1,
  [297745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13023), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13025), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13027), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 1,
      anon_sym_COMMA,
    ACTIONS(13029), 1,
      anon_sym_RPAREN,
    STATE(7931), 1,
      aux_sym_preproc_argument_list_repeat1,
  [297797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13033), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [297808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(13035), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [297821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8564), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_argument_list_repeat1,
  [297834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    STATE(974), 1,
      sym_declaration_list,
  [297847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    ACTIONS(13037), 1,
      anon_sym_constexpr,
    STATE(168), 1,
      sym_condition_clause,
  [297860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(13039), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7744), 1,
      aux_sym_attribute_declaration_repeat1,
  [297873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8562), 1,
      anon_sym_RPAREN,
    STATE(8170), 1,
      aux_sym_argument_list_repeat1,
  [297886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13041), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [297899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8558), 1,
      anon_sym_COMMA,
    ACTIONS(8560), 1,
      anon_sym_RBRACE,
    STATE(8167), 1,
      aux_sym_initializer_list_repeat1,
  [297912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13043), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [297925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(13045), 1,
      anon_sym_RPAREN,
    STATE(8163), 1,
      aux_sym_parameter_list_repeat1,
  [297938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_COMMA,
    ACTIONS(13047), 1,
      anon_sym_GT2,
    STATE(7962), 1,
      aux_sym_template_parameter_list_repeat1,
  [297951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8554), 1,
      anon_sym_COMMA,
    ACTIONS(8556), 1,
      anon_sym_RBRACE,
    STATE(8171), 1,
      aux_sym_initializer_list_repeat1,
  [297964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13051), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [297975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13053), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8372), 1,
      anon_sym_COMMA,
    ACTIONS(13055), 1,
      anon_sym_RPAREN,
    STATE(7803), 1,
      aux_sym_generic_expression_repeat1,
  [298001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13057), 1,
      anon_sym_GT2,
    STATE(8120), 1,
      aux_sym_template_argument_list_repeat1,
  [298014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13059), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13061), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13063), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13065), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(13067), 1,
      anon_sym_RPAREN,
    STATE(8153), 1,
      sym_gnu_asm_output_operand_list,
  [298079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
    STATE(9033), 1,
      sym_gnu_asm_goto_list,
  [298092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13071), 1,
      anon_sym_GT2,
    STATE(8148), 1,
      aux_sym_template_argument_list_repeat1,
  [298105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_while,
    ACTIONS(13073), 1,
      anon_sym_else,
    STATE(711), 1,
      sym_else_clause,
  [298118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
    STATE(8173), 1,
      sym_gnu_asm_output_operand_list,
  [298131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
    STATE(8123), 1,
      sym_gnu_asm_clobber_list,
  [298144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      anon_sym_COLON,
    ACTIONS(13079), 1,
      anon_sym_RPAREN,
    STATE(9072), 1,
      sym_gnu_asm_goto_list,
  [298157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13081), 1,
      anon_sym_GT2,
    STATE(8115), 1,
      aux_sym_template_argument_list_repeat1,
  [298170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13083), 1,
      anon_sym_RPAREN,
    STATE(8127), 1,
      sym_gnu_asm_input_operand_list,
  [298183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_COLON,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
    STATE(8128), 1,
      sym_gnu_asm_clobber_list,
  [298196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_COMMA,
    ACTIONS(13087), 1,
      anon_sym_GT2,
    STATE(8112), 1,
      aux_sym_template_parameter_list_repeat1,
  [298209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13089), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(4118), 1,
      sym_template_function,
  [298235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(479), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [298246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13093), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13095), 1,
      anon_sym_GT2,
    STATE(8140), 1,
      aux_sym_template_argument_list_repeat1,
  [298272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13097), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13099), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13101), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13103), 1,
      anon_sym_SEMI,
    STATE(8095), 1,
      aux_sym_declaration_repeat1,
  [298324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13105), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [298337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13107), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [298350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13109), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [298363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(13111), 1,
      anon_sym_RPAREN,
    STATE(8091), 1,
      aux_sym_parameter_list_repeat1,
  [298376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13113), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_while,
    ACTIONS(13073), 1,
      anon_sym_else,
    STATE(622), 1,
      sym_else_clause,
  [298402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13115), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13117), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      anon_sym_catch,
    STATE(462), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [298439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13119), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      sym_gnu_asm_output_operand_list,
  [298465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13123), 1,
      anon_sym_RPAREN,
    STATE(8131), 1,
      sym_gnu_asm_input_operand_list,
  [298478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [298491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(8446), 1,
      anon_sym_RBRACK,
    STATE(8083), 1,
      aux_sym_subscript_argument_list_repeat1,
  [298504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_COLON,
    ACTIONS(13127), 1,
      anon_sym_RPAREN,
    STATE(8055), 1,
      sym_gnu_asm_output_operand_list,
  [298517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13129), 1,
      anon_sym_GT2,
    STATE(8160), 1,
      aux_sym_template_argument_list_repeat1,
  [298530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13131), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13133), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13135), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_COMMA,
    ACTIONS(13137), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [298582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 1,
      anon_sym_COMMA,
    ACTIONS(13139), 1,
      anon_sym_RBRACK,
    STATE(7933), 1,
      aux_sym_subscript_argument_list_repeat1,
  [298595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12412), 1,
      anon_sym_COMMA,
    ACTIONS(13141), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      aux_sym_parameter_list_repeat1,
  [298608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8534), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [298621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13143), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [298634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_COMMA,
    ACTIONS(13145), 1,
      anon_sym_LBRACE,
    STATE(7941), 1,
      aux_sym_field_initializer_list_repeat1,
  [298647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4419), 1,
      anon_sym_RBRACE,
    ACTIONS(13147), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [298660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_catch,
    STATE(958), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [298671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13149), 1,
      anon_sym_SEMI,
    STATE(8023), 1,
      aux_sym_declaration_repeat1,
  [298684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    ACTIONS(8538), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      aux_sym_argument_list_repeat1,
  [298697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_RBRACE,
    ACTIONS(13151), 1,
      anon_sym_COMMA,
    STATE(8050), 1,
      aux_sym_initializer_list_repeat1,
  [298710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
    STATE(3455), 1,
      sym_template_function,
  [298723] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13155), 1,
      anon_sym_RPAREN,
    STATE(8056), 1,
      sym_gnu_asm_input_operand_list,
  [298736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_function,
    STATE(3114), 1,
      sym_template_type,
  [298749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_catch,
    STATE(474), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [298760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9979), 1,
      anon_sym_COMMA,
    ACTIONS(13159), 1,
      anon_sym_SEMI,
    STATE(8143), 1,
      aux_sym_declaration_repeat1,
  [298773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4636), 1,
      sym_field_declaration_list,
  [298783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_compound_statement,
  [298793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_compound_statement,
  [298803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LT,
    STATE(2761), 1,
      sym_template_argument_list,
  [298813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    STATE(2465), 1,
      sym_compound_statement,
  [298823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(882), 1,
      sym_compound_statement,
  [298833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_template_argument_list,
  [298843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_field_declaration_list,
  [298853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym_compound_statement,
  [298863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13165), 1,
      anon_sym_RBRACE,
  [298873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_compound_statement,
  [298883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_compound_statement,
  [298893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13167), 1,
      anon_sym_RBRACE,
  [298903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2932), 1,
      sym_field_declaration_list,
  [298913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4449), 1,
      sym_field_declaration_list,
  [298923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
  [298933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_LT,
    STATE(2843), 1,
      sym_template_argument_list,
  [298943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_field_declaration_list,
  [298953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7670), 1,
      sym_compound_statement,
  [298963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2933), 1,
      sym_field_declaration_list,
  [298973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(2946), 1,
      sym_field_declaration_list,
  [298983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10760), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [298993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3538), 1,
      sym_field_declaration_list,
  [299003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3536), 1,
      sym_field_declaration_list,
  [299013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(8551), 1,
      sym_attribute,
  [299023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(8031), 1,
      sym_attribute,
  [299033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [299043] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13175), 1,
      sym_preproc_arg,
  [299053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_compound_statement,
  [299063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 1,
      anon_sym_LBRACE,
    STATE(4996), 1,
      sym_initializer_list,
  [299073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    STATE(973), 1,
      sym_declaration_list,
  [299083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      sym_identifier,
    STATE(3102), 1,
      sym_template_type,
  [299093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8265), 1,
      sym_condition_clause,
  [299103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13179), 1,
      anon_sym_SEMI,
  [299113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(169), 1,
      sym_condition_clause,
  [299123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12807), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [299131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [299139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_LT,
    STATE(4418), 1,
      sym_template_argument_list,
  [299149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      anon_sym_LT,
    STATE(2132), 1,
      sym_template_argument_list,
  [299159] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13185), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13187), 1,
      sym_preproc_arg,
  [299169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8037), 1,
      sym_compound_statement,
  [299179] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13189), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13191), 1,
      sym_preproc_arg,
  [299189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5504), 1,
      sym_field_declaration_list,
  [299199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [299207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_compound_statement,
  [299217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_LT,
    STATE(3803), 1,
      sym_template_argument_list,
  [299227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8628), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [299235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9604), 1,
      anon_sym_LBRACE,
    STATE(4205), 1,
      sym_requirement_seq,
  [299245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11759), 1,
      anon_sym_LBRACE,
    STATE(2031), 1,
      sym_requirement_seq,
  [299255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym_compound_statement,
  [299265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
  [299275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      sym_compound_statement,
  [299285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
  [299295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2761), 1,
      sym_template_argument_list,
  [299305] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13201), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13203), 1,
      sym_preproc_arg,
  [299315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8168), 1,
      sym_compound_statement,
  [299325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
  [299335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9084), 1,
      sym_argument_list,
  [299345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9158), 1,
      sym_argument_list,
  [299355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
  [299365] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13205), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13207), 1,
      sym_preproc_arg,
  [299375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7494), 1,
      sym_compound_statement,
  [299385] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13209), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13211), 1,
      sym_preproc_arg,
  [299395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_LBRACE,
    STATE(3513), 1,
      sym_field_declaration_list,
  [299405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym_compound_statement,
  [299415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9231), 1,
      sym_argument_list,
  [299425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [299433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(194), 1,
      sym_condition_clause,
  [299443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [299453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5506), 1,
      sym_field_declaration_list,
  [299463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8507), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [299471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8428), 1,
      sym_parameter_list,
  [299481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9388), 1,
      sym_argument_list,
  [299491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7831), 1,
      sym_compound_statement,
  [299501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      sym_identifier,
    STATE(2811), 1,
      sym_template_type,
  [299511] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13215), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13217), 1,
      sym_preproc_arg,
  [299521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_compound_statement,
  [299531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_LBRACE,
    STATE(4193), 1,
      sym_initializer_list,
  [299541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8836), 1,
      anon_sym_LT,
    STATE(5443), 1,
      sym_template_argument_list,
  [299551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9638), 1,
      anon_sym_LBRACE,
    STATE(3988), 1,
      sym_requirement_seq,
  [299561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_declaration_list,
  [299571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_default,
    ACTIONS(13221), 1,
      anon_sym_delete,
  [299581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7778), 1,
      sym_compound_statement,
  [299591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9157), 1,
      sym_argument_list,
  [299601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8513), 1,
      sym_parameter_list,
  [299611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [299619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      sym_identifier,
    STATE(2917), 1,
      sym_template_type,
  [299629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_default,
    ACTIONS(13227), 1,
      anon_sym_delete,
  [299639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_compound_statement,
  [299649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_condition_clause,
  [299659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    STATE(2136), 1,
      sym_compound_statement,
  [299669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_template_type,
  [299679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3025), 1,
      sym_field_declaration_list,
  [299689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9542), 1,
      sym_argument_list,
  [299699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      sym_identifier,
    ACTIONS(13233), 1,
      anon_sym_LPAREN2,
  [299709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13235), 1,
      anon_sym_RBRACE,
  [299719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_compound_statement,
  [299729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13237), 1,
      anon_sym_RBRACE,
  [299739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6042), 1,
      sym_field_declaration_list,
  [299749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6017), 1,
      sym_field_declaration_list,
  [299759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7760), 1,
      sym_compound_statement,
  [299769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6031), 1,
      sym_field_declaration_list,
  [299779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_LBRACE,
    STATE(6025), 1,
      sym_field_declaration_list,
  [299789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(7779), 1,
      sym_attribute,
  [299799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3005), 1,
      sym_field_declaration_list,
  [299809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_compound_statement,
  [299819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3030), 1,
      sym_field_declaration_list,
  [299829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [299837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      anon_sym_LT,
    STATE(3350), 1,
      sym_template_argument_list,
  [299847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5521), 1,
      sym_field_declaration_list,
  [299857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10512), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [299865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    STATE(3954), 1,
      sym_initializer_list,
  [299875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9092), 1,
      anon_sym_LBRACE,
    STATE(5500), 1,
      sym_field_declaration_list,
  [299885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7470), 1,
      sym_compound_statement,
  [299895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7832), 1,
      sym_compound_statement,
  [299905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8457), 1,
      sym_parameter_list,
  [299915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(9022), 1,
      sym_parenthesized_expression,
  [299925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [299933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_default,
    ACTIONS(13243), 1,
      anon_sym_delete,
  [299943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(159), 1,
      sym_condition_clause,
  [299953] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13245), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13247), 1,
      sym_preproc_arg,
  [299963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13249), 1,
      anon_sym_SEMI,
  [299973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8205), 1,
      sym_parameter_list,
  [299983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_compound_statement,
  [299993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [300003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_LT,
    STATE(3003), 1,
      sym_template_argument_list,
  [300013] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13253), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13255), 1,
      sym_preproc_arg,
  [300023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_declaration_list,
  [300033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9268), 1,
      sym_argument_list,
  [300043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_compound_statement,
  [300053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [300061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7927), 1,
      sym_compound_statement,
  [300071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3229), 1,
      sym_field_declaration_list,
  [300081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6021), 1,
      anon_sym_LBRACE,
    STATE(3010), 1,
      sym_field_declaration_list,
  [300091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(7936), 1,
      sym_attribute,
  [300101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13259), 1,
      anon_sym_RBRACE,
  [300111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8088), 1,
      sym_compound_statement,
  [300121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [300129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(999), 1,
      sym_compound_statement,
  [300139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_compound_statement,
  [300149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_identifier,
    STATE(4383), 1,
      sym_template_type,
  [300159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8456), 1,
      anon_sym_RBRACK,
    ACTIONS(13265), 1,
      anon_sym_COMMA,
  [300169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(206), 1,
      sym_condition_clause,
  [300179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12805), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [300187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_compound_statement,
  [300197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [300205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
  [300215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_LT,
    STATE(3579), 1,
      sym_template_argument_list,
  [300225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8323), 1,
      sym_parenthesized_expression,
  [300235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7988), 1,
      sym_compound_statement,
  [300245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [300253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [300261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12766), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [300269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8241), 1,
      sym_parenthesized_expression,
  [300279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [300287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12737), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [300295] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13273), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13275), 1,
      sym_preproc_arg,
  [300305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_LBRACE,
    STATE(2879), 1,
      sym_initializer_list,
  [300315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13277), 1,
      anon_sym_SEMI,
  [300325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4663), 1,
      sym_field_declaration_list,
  [300335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8306), 1,
      sym_parameter_list,
  [300345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym_compound_statement,
  [300355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11773), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
  [300365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13279), 1,
      anon_sym_RBRACE,
  [300375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      sym_identifier,
    STATE(2972), 1,
      sym_template_type,
  [300385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8338), 1,
      sym_parameter_list,
  [300395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_default,
    ACTIONS(13285), 1,
      anon_sym_delete,
  [300405] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13287), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13289), 1,
      sym_preproc_arg,
  [300415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3207), 1,
      sym_field_declaration_list,
  [300425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3204), 1,
      sym_field_declaration_list,
  [300435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    STATE(3458), 1,
      sym_initializer_list,
  [300445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(9100), 1,
      sym_argument_list,
  [300455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10941), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [300465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [300473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [300481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_LBRACE,
    STATE(864), 1,
      sym_declaration_list,
  [300491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      sym_identifier,
    STATE(3226), 1,
      sym_template_type,
  [300501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [300509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8085), 1,
      sym_compound_statement,
  [300519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12719), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [300527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4637), 1,
      sym_field_declaration_list,
  [300537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(8090), 1,
      sym_attribute,
  [300547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_LT,
    STATE(2998), 1,
      sym_template_argument_list,
  [300557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3110), 1,
      sym_field_declaration_list,
  [300567] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13297), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13299), 1,
      sym_preproc_arg,
  [300577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(223), 1,
      sym_condition_clause,
  [300587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_compound_statement,
  [300597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
  [300607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_compound_statement,
  [300617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [300625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9654), 1,
      anon_sym_LBRACE,
    STATE(4307), 1,
      sym_requirement_seq,
  [300635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8682), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [300643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8178), 1,
      sym_parenthesized_expression,
  [300653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [300663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3326), 1,
      sym_field_declaration_list,
  [300673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8135), 1,
      sym_compound_statement,
  [300683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
  [300693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9662), 1,
      anon_sym_LBRACE,
    STATE(3506), 1,
      sym_requirement_seq,
  [300703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [300711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8392), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [300719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8181), 1,
      sym_parameter_list,
  [300729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_LBRACE,
    STATE(726), 1,
      sym_compound_statement,
  [300739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_LBRACE,
    STATE(3127), 1,
      sym_field_declaration_list,
  [300749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12664), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [300757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(9048), 1,
      sym_parenthesized_expression,
  [300767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4439), 1,
      sym_field_declaration_list,
  [300777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    STATE(410), 1,
      sym_declaration_list,
  [300787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_declaration_list,
  [300797] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13305), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13307), 1,
      sym_preproc_arg,
  [300807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11751), 1,
      anon_sym_LBRACE,
    STATE(6346), 1,
      sym_requirement_seq,
  [300817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9646), 1,
      anon_sym_LBRACE,
    STATE(2839), 1,
      sym_requirement_seq,
  [300827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_default,
    ACTIONS(13311), 1,
      anon_sym_delete,
  [300837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    STATE(2415), 1,
      sym_compound_statement,
  [300847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(351), 1,
      sym_compound_statement,
  [300857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(165), 1,
      sym_condition_clause,
  [300867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_LBRACE,
    STATE(4616), 1,
      sym_field_declaration_list,
  [300877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7659), 1,
      sym_compound_statement,
  [300887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8997), 1,
      sym_argument_list,
  [300897] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13313), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13315), 1,
      sym_preproc_arg,
  [300907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      sym_identifier,
    STATE(3043), 1,
      sym_template_type,
  [300917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(623), 1,
      sym_compound_statement,
  [300927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8071), 1,
      sym_compound_statement,
  [300937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      sym_identifier,
    ACTIONS(13321), 1,
      anon_sym_LPAREN2,
  [300947] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13323), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13325), 1,
      sym_preproc_arg,
  [300957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8179), 1,
      sym_condition_clause,
  [300967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_LBRACE,
    STATE(4363), 1,
      sym_initializer_list,
  [300977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(8060), 1,
      sym_attribute,
  [300987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LT,
    STATE(3091), 1,
      sym_template_argument_list,
  [300997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12647), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [301005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      sym_identifier,
    STATE(4243), 1,
      sym_template_type,
  [301015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_declaration_list,
  [301025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8282), 1,
      sym_parenthesized_expression,
  [301035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8010), 1,
      sym_compound_statement,
  [301045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [301055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [301065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8300), 1,
      sym_parameter_list,
  [301075] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13329), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13331), 1,
      sym_preproc_arg,
  [301085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_compound_statement,
  [301095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8875), 1,
      sym_parenthesized_expression,
  [301105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(4259), 1,
      sym_template_argument_list,
  [301115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3123), 1,
      sym_field_declaration_list,
  [301125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_default,
    ACTIONS(13335), 1,
      anon_sym_delete,
  [301135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3305), 1,
      sym_field_declaration_list,
  [301145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3285), 1,
      sym_field_declaration_list,
  [301155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(196), 1,
      sym_condition_clause,
  [301165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7547), 1,
      sym_compound_statement,
  [301175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8830), 1,
      sym_argument_list,
  [301185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_LPAREN2,
    ACTIONS(13339), 1,
      sym_raw_string_delimiter,
  [301195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4472), 1,
      sym_field_declaration_list,
  [301205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4467), 1,
      sym_field_declaration_list,
  [301215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4465), 1,
      sym_field_declaration_list,
  [301225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym_compound_statement,
  [301235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4458), 1,
      sym_field_declaration_list,
  [301245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_LT,
    STATE(3847), 1,
      sym_template_argument_list,
  [301255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7929), 1,
      sym_compound_statement,
  [301265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4485), 1,
      sym_field_declaration_list,
  [301275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13341), 1,
      anon_sym_RBRACE,
  [301285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(210), 1,
      sym_condition_clause,
  [301295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    STATE(2328), 1,
      sym_compound_statement,
  [301305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8378), 1,
      sym_condition_clause,
  [301315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_LBRACE,
    STATE(4407), 1,
      sym_initializer_list,
  [301325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10929), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [301335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
  [301345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12498), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [301353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(7918), 1,
      sym_attribute,
  [301363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(394), 1,
      sym_compound_statement,
  [301373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4437), 1,
      sym_field_declaration_list,
  [301383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_compound_statement,
  [301393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4480), 1,
      sym_field_declaration_list,
  [301403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13345), 1,
      anon_sym_RBRACE,
  [301413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3151), 1,
      sym_field_declaration_list,
  [301423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_LBRACE,
    STATE(3300), 1,
      sym_field_declaration_list,
  [301433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [301441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4487), 1,
      sym_field_declaration_list,
  [301451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      sym_identifier,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
  [301461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_LPAREN2,
    ACTIONS(13353), 1,
      sym_raw_string_delimiter,
  [301471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [301481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      anon_sym_LT,
    STATE(3101), 1,
      sym_template_argument_list,
  [301491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8456), 1,
      sym_parenthesized_expression,
  [301501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_compound_statement,
  [301511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10804), 1,
      anon_sym_LBRACE,
    STATE(2097), 1,
      sym_compound_statement,
  [301521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7766), 1,
      sym_compound_statement,
  [301531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7828), 1,
      sym_compound_statement,
  [301541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_compound_statement,
  [301551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_LT,
    STATE(3809), 1,
      sym_template_argument_list,
  [301561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      anon_sym_LBRACE,
    STATE(4952), 1,
      sym_requirement_seq,
  [301571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12525), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [301579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(219), 1,
      sym_condition_clause,
  [301589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_template_type,
  [301599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7402), 1,
      anon_sym_LBRACE,
    STATE(4463), 1,
      sym_field_declaration_list,
  [301609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13357), 1,
      anon_sym_SEMI,
  [301619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8397), 1,
      sym_condition_clause,
  [301629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8474), 1,
      sym_parameter_list,
  [301639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 1,
      anon_sym_LT,
    STATE(2007), 1,
      sym_template_argument_list,
  [301649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8780), 1,
      sym_argument_list,
  [301659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13359), 1,
      anon_sym_SEMI,
  [301669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_LT,
    STATE(2761), 1,
      sym_template_argument_list,
  [301679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(413), 1,
      sym_compound_statement,
  [301689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      sym_identifier,
    STATE(5453), 1,
      sym_template_type,
  [301699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_LPAREN2,
    ACTIONS(13365), 1,
      sym_raw_string_delimiter,
  [301709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(8033), 1,
      sym_attribute,
  [301719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_LPAREN2,
    ACTIONS(13369), 1,
      sym_raw_string_delimiter,
  [301729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [301737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8671), 1,
      sym_parenthesized_expression,
  [301747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      anon_sym_LPAREN2,
    ACTIONS(13375), 1,
      sym_raw_string_delimiter,
  [301757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_LPAREN2,
    ACTIONS(13379), 1,
      sym_raw_string_delimiter,
  [301767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7175), 1,
      anon_sym_LT,
    STATE(2598), 1,
      sym_template_argument_list,
  [301777] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13381), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13383), 1,
      sym_preproc_arg,
  [301787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym_field_declaration_list,
  [301797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8737), 1,
      sym_parenthesized_expression,
  [301807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(815), 1,
      sym_compound_statement,
  [301817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_default,
    ACTIONS(13387), 1,
      anon_sym_delete,
  [301827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_default,
    ACTIONS(13391), 1,
      anon_sym_delete,
  [301837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13393), 1,
      anon_sym_RBRACE,
  [301847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
    ACTIONS(8520), 1,
      anon_sym_SEMI,
  [301857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(272), 1,
      sym_compound_statement,
  [301867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_LPAREN2,
    ACTIONS(13397), 1,
      sym_raw_string_delimiter,
  [301877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      sym_identifier,
    STATE(3009), 1,
      sym_template_type,
  [301887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(3122), 1,
      sym_field_declaration_list,
  [301897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_LPAREN2,
    ACTIONS(13403), 1,
      sym_raw_string_delimiter,
  [301907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [301915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_compound_statement,
  [301925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_LPAREN2,
    ACTIONS(13409), 1,
      sym_raw_string_delimiter,
  [301935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_LPAREN2,
    ACTIONS(13413), 1,
      sym_raw_string_delimiter,
  [301945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_LPAREN2,
    ACTIONS(13417), 1,
      sym_raw_string_delimiter,
  [301955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_LT,
    STATE(4191), 1,
      sym_template_argument_list,
  [301965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(184), 1,
      sym_condition_clause,
  [301975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7682), 1,
      sym_compound_statement,
  [301985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_LPAREN2,
    ACTIONS(13421), 1,
      sym_raw_string_delimiter,
  [301995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_LPAREN2,
    ACTIONS(13425), 1,
      sym_raw_string_delimiter,
  [302005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      anon_sym_LPAREN2,
    ACTIONS(13429), 1,
      sym_raw_string_delimiter,
  [302015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_LPAREN2,
    ACTIONS(13433), 1,
      sym_raw_string_delimiter,
  [302025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8581), 1,
      sym_argument_list,
  [302035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
  [302045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    STATE(2434), 1,
      sym_field_declaration_list,
  [302055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_LPAREN2,
    ACTIONS(13439), 1,
      sym_raw_string_delimiter,
  [302065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10880), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_compound_statement,
  [302075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5611), 1,
      sym_field_declaration_list,
  [302085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5639), 1,
      sym_field_declaration_list,
  [302095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_LPAREN2,
    ACTIONS(13443), 1,
      sym_raw_string_delimiter,
  [302105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(7947), 1,
      sym_attribute,
  [302115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7736), 1,
      sym_compound_statement,
  [302125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_LPAREN2,
    ACTIONS(13447), 1,
      sym_raw_string_delimiter,
  [302135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8363), 1,
      sym_condition_clause,
  [302145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13449), 1,
      anon_sym_RBRACE,
  [302155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(198), 1,
      sym_condition_clause,
  [302165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(164), 1,
      sym_condition_clause,
  [302175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_LBRACE,
    STATE(4451), 1,
      sym_field_declaration_list,
  [302185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9612), 1,
      anon_sym_LBRACE,
    STATE(3849), 1,
      sym_requirement_seq,
  [302195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(8532), 1,
      sym_condition_clause,
  [302205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7923), 1,
      sym_compound_statement,
  [302215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    STATE(2433), 1,
      sym_field_declaration_list,
  [302225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_LPAREN2,
    ACTIONS(13453), 1,
      sym_raw_string_delimiter,
  [302235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_attribute,
  [302245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6407), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_compound_statement,
  [302263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [302273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      sym_identifier,
    STATE(3114), 1,
      sym_template_type,
  [302283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    STATE(2718), 1,
      sym_compound_statement,
  [302293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7802), 1,
      sym_compound_statement,
  [302303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_declaration_list,
  [302313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_LBRACE,
    STATE(6643), 1,
      sym_requirement_seq,
  [302323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_LBRACE,
    STATE(2591), 1,
      sym_compound_statement,
  [302333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_LPAREN2,
    STATE(8773), 1,
      sym_argument_list,
  [302351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7429), 1,
      sym_compound_statement,
  [302361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_LPAREN2,
    STATE(176), 1,
      sym_condition_clause,
  [302371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5375), 1,
      anon_sym_LBRACE,
    STATE(2425), 1,
      sym_field_declaration_list,
  [302381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9112), 1,
      anon_sym_LT,
    STATE(2289), 1,
      sym_template_argument_list,
  [302391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6354), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302399] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13457), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13459), 1,
      sym_preproc_arg,
  [302409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      sym_identifier,
    STATE(2122), 1,
      sym_template_type,
  [302419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      sym_identifier,
    STATE(2134), 1,
      sym_template_type,
  [302429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12346), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [302445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10768), 1,
      anon_sym_LBRACE,
    STATE(2579), 1,
      sym_compound_statement,
  [302455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_default,
    ACTIONS(13467), 1,
      anon_sym_delete,
  [302465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6391), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8487), 1,
      sym_parenthesized_expression,
  [302483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6395), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6403), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 1,
      anon_sym_LBRACE,
    STATE(4936), 1,
      sym_requirement_seq,
  [302509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6489), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym_declaration_list,
  [302527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5646), 1,
      sym_field_declaration_list,
  [302537] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13469), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13471), 1,
      sym_preproc_arg,
  [302547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9106), 1,
      anon_sym_LBRACE,
    STATE(5615), 1,
      sym_field_declaration_list,
  [302557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6537), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [302565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8697), 1,
      sym_parenthesized_expression,
  [302575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10951), 1,
      anon_sym_RBRACE,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [302585] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13473), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13475), 1,
      sym_preproc_arg,
  [302595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      anon_sym_LT,
    STATE(3006), 1,
      sym_template_argument_list,
  [302605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      anon_sym_LBRACE,
    STATE(1044), 1,
      sym_declaration_list,
  [302615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9728), 1,
      anon_sym_LPAREN2,
    STATE(8460), 1,
      sym_parameter_list,
  [302625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_LPAREN2,
    STATE(8226), 1,
      sym_parenthesized_expression,
  [302635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(645), 1,
      sym_compound_statement,
  [302645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12368), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [302653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13479), 1,
      anon_sym_RBRACE,
  [302663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_LBRACE,
    STATE(5402), 1,
      sym_initializer_list,
  [302673] = 3,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13481), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13483), 1,
      sym_preproc_arg,
  [302683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_DQUOTE,
  [302690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_LPAREN2,
  [302697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_RBRACE,
  [302704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8452), 1,
      anon_sym_RBRACE,
  [302711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_RPAREN,
  [302718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      aux_sym_preproc_if_token2,
  [302725] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13493), 1,
      aux_sym_preproc_include_token2,
  [302732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_STAR,
  [302739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_LPAREN2,
  [302746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      sym_raw_string_content,
  [302753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_SEMI,
  [302760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      anon_sym_LPAREN2,
  [302767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      sym_identifier,
  [302774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_RPAREN,
  [302781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_RPAREN,
  [302788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      sym_identifier,
  [302795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 1,
      sym_identifier,
  [302802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_SEMI,
  [302809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_RPAREN,
  [302816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_EQ,
  [302823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8744), 1,
      anon_sym_SEMI,
  [302830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8738), 1,
      anon_sym_SEMI,
  [302837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11391), 1,
      anon_sym_SEMI,
  [302844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      anon_sym_SEMI,
  [302851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      sym_identifier,
  [302858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      sym_identifier,
  [302865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
  [302872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_RPAREN,
  [302879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_RPAREN,
  [302886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_SEMI,
  [302893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_RPAREN,
  [302900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6959), 1,
      anon_sym_RPAREN,
  [302907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10955), 1,
      anon_sym_RPAREN,
  [302914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      sym_raw_string_delimiter,
  [302921] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13535), 1,
      aux_sym_preproc_include_token2,
  [302928] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12317), 1,
      aux_sym_preproc_include_token2,
  [302935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_RBRACE,
  [302942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_SEMI,
  [302949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_SEMI,
  [302956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      anon_sym_COLON,
  [302963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_SEMI,
  [302970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_SEMI,
  [302977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_STAR,
  [302984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
  [302991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_SEMI,
  [302998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_SEMI,
  [303005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
  [303012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_COLON_COLON,
  [303019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_SEMI,
  [303026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_SEMI,
  [303033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      sym_identifier,
  [303040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      sym_identifier,
  [303047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_SEMI,
  [303054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      sym_identifier,
  [303061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      sym_identifier,
  [303068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_SEMI,
  [303075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_or,
  [303082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_COLON,
  [303089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      aux_sym_preproc_if_token2,
  [303096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
  [303103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_identifier,
  [303110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      sym_identifier,
  [303117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_DQUOTE,
  [303124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_SEMI,
  [303131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10593), 1,
      sym_identifier,
  [303138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_RPAREN,
  [303145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_RPAREN,
  [303152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      sym_identifier,
  [303159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_STAR,
  [303166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_SEMI,
  [303173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      anon_sym_SEMI,
  [303180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      sym_auto,
  [303187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_SEMI,
  [303194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      aux_sym_preproc_if_token2,
  [303201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      aux_sym_preproc_if_token2,
  [303208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_SEMI,
  [303215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_RPAREN,
  [303222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12018), 1,
      anon_sym_SEMI,
  [303229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_SEMI,
  [303236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_SEMI,
  [303243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_GT_EQ,
  [303250] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13615), 1,
      aux_sym_preproc_include_token2,
  [303257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_RPAREN,
  [303264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      aux_sym_preproc_if_token2,
  [303271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      aux_sym_preproc_if_token2,
  [303278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      aux_sym_preproc_if_token2,
  [303285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_STAR,
  [303292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      anon_sym_RBRACE,
  [303299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_LPAREN2,
  [303306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_SEMI,
  [303313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      aux_sym_preproc_if_token2,
  [303320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_SEMI,
  [303327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_RPAREN,
  [303334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      sym_identifier,
  [303341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_SEMI,
  [303348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DASH_GT_STAR,
  [303355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DOT_STAR,
  [303362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
  [303369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_RPAREN,
  [303376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      sym_identifier,
  [303383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_RPAREN,
  [303390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_SEMI,
  [303397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_SEMI,
  [303404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_DQUOTE,
  [303411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_SEMI,
  [303418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      anon_sym_SEMI,
  [303425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      anon_sym_RPAREN,
  [303432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_SEMI,
  [303439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_SEMI,
  [303446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_DQUOTE,
  [303453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      aux_sym_preproc_if_token2,
  [303460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_not_eq,
  [303467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_bitand,
  [303474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_xor,
  [303481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_bitor,
  [303488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      aux_sym_preproc_if_token2,
  [303495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_and,
  [303502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      sym_identifier,
  [303509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_RPAREN,
  [303516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_SEMI,
  [303523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      anon_sym_SEMI,
  [303530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      anon_sym_RPAREN,
  [303537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_RPAREN,
  [303544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      anon_sym_SEMI,
  [303551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      sym_raw_string_delimiter,
  [303558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      anon_sym_SEMI,
  [303565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_RBRACE,
  [303572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_SEMI,
  [303579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PLUS,
  [303586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      aux_sym_preproc_if_token2,
  [303593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PIPE_EQ,
  [303600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      aux_sym_preproc_if_token2,
  [303607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      aux_sym_preproc_if_token2,
  [303614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      sym_identifier,
  [303621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13697), 1,
      sym_identifier,
  [303628] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13699), 1,
      aux_sym_preproc_include_token2,
  [303635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      aux_sym_preproc_if_token2,
  [303642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_CARET_EQ,
  [303649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_SEMI,
  [303656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_SEMI,
  [303663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      anon_sym_SEMI,
  [303670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      sym_auto,
  [303677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      anon_sym_SEMI,
  [303684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      sym_identifier,
  [303691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      aux_sym_preproc_if_token2,
  [303698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      anon_sym_SEMI,
  [303705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_SEMI,
  [303712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      anon_sym_SEMI,
  [303719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      anon_sym_SEMI,
  [303726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_SEMI,
  [303733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_STAR,
  [303740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      anon_sym_SEMI,
  [303747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      anon_sym_RPAREN,
  [303754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      anon_sym_SEMI,
  [303761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_SEMI,
  [303768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8644), 1,
      anon_sym_RPAREN,
  [303775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_RPAREN,
  [303782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_AMP_EQ,
  [303789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_GT_GT_EQ,
  [303796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11974), 1,
      anon_sym_SEMI,
  [303803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      anon_sym_SEMI,
  [303810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      anon_sym_RPAREN,
  [303817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_LT_LT_EQ,
  [303824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DASH_EQ,
  [303831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      anon_sym_RPAREN,
  [303838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PLUS_EQ,
  [303845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      anon_sym_RPAREN,
  [303852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_LPAREN2,
  [303859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      anon_sym_RPAREN,
  [303866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_RPAREN,
  [303873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8640), 1,
      anon_sym_SEMI,
  [303880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PERCENT_EQ,
  [303887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_SLASH_EQ,
  [303894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      anon_sym_LPAREN2,
  [303901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_STAR_EQ,
  [303908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_RPAREN,
  [303915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      anon_sym_RPAREN,
  [303922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      sym_identifier,
  [303929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      anon_sym_COLON,
  [303936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
  [303943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8636), 1,
      anon_sym_SEMI,
  [303950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10824), 1,
      anon_sym_RBRACE,
  [303957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_EQ,
  [303964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_GT_GT,
  [303971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      anon_sym_RPAREN,
  [303978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      anon_sym_SEMI,
  [303985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      anon_sym_COLON,
  [303992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8678), 1,
      anon_sym_SEMI,
  [303999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_LT_LT,
  [304006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8586), 1,
      anon_sym_RBRACE,
  [304013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      anon_sym_SEMI,
  [304020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      anon_sym_SEMI,
  [304027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13773), 1,
      sym_identifier,
  [304034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_LT,
  [304041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_LT_EQ,
  [304048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10888), 1,
      anon_sym_RPAREN,
  [304055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      anon_sym_RPAREN,
  [304062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      sym_raw_string_delimiter,
  [304069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_while,
  [304076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13781), 1,
      sym_identifier,
  [304083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_RPAREN,
  [304090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 1,
      aux_sym_preproc_if_token2,
  [304097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_GT,
  [304104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      anon_sym_STAR,
  [304111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      sym_identifier,
  [304118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_BANG_EQ,
  [304125] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12657), 1,
      aux_sym_preproc_include_token2,
  [304132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_RPAREN,
  [304139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_EQ_EQ,
  [304146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      aux_sym_preproc_if_token2,
  [304153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      anon_sym_STAR,
  [304160] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13795), 1,
      aux_sym_preproc_include_token2,
  [304167] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13797), 1,
      aux_sym_preproc_include_token2,
  [304174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      sym_identifier,
  [304181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_AMP,
  [304188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_RPAREN,
  [304195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13803), 1,
      anon_sym_STAR,
  [304202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13805), 1,
      anon_sym_RPAREN,
  [304209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13807), 1,
      anon_sym_RPAREN,
  [304216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13809), 1,
      anon_sym_DQUOTE,
  [304223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_CARET,
  [304230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PIPE,
  [304237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13811), 1,
      sym_identifier,
  [304244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13813), 1,
      anon_sym_LPAREN2,
  [304251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_AMP_AMP,
  [304258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PIPE_PIPE,
  [304265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11397), 1,
      anon_sym_SEMI,
  [304272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13815), 1,
      anon_sym_SEMI,
  [304279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_SEMI,
  [304286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_PERCENT,
  [304293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13817), 1,
      sym_identifier,
  [304300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13819), 1,
      anon_sym_SLASH,
  [304307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_STAR,
  [304314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DASH,
  [304321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_SEMI,
  [304328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7138), 1,
      sym_identifier,
  [304335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13821), 1,
      anon_sym_RPAREN,
  [304342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13823), 1,
      anon_sym_SEMI,
  [304349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_COMMA,
  [304356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7372), 1,
      sym_identifier,
  [304363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13825), 1,
      anon_sym_DQUOTE,
  [304370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13827), 1,
      anon_sym_SEMI,
  [304377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8730), 1,
      anon_sym_SEMI,
  [304384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13829), 1,
      anon_sym_RPAREN,
  [304391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13831), 1,
      sym_identifier,
  [304398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11308), 1,
      anon_sym_SEMI,
  [304405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13833), 1,
      anon_sym_STAR,
  [304412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 1,
      anon_sym_RPAREN,
  [304419] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13835), 1,
      aux_sym_preproc_include_token2,
  [304426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13837), 1,
      sym_raw_string_delimiter,
  [304433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8736), 1,
      anon_sym_SEMI,
  [304440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13839), 1,
      sym_identifier,
  [304447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13841), 1,
      aux_sym_preproc_if_token2,
  [304454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13843), 1,
      anon_sym_RPAREN,
  [304461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13845), 1,
      sym_raw_string_delimiter,
  [304468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13847), 1,
      anon_sym_SEMI,
  [304475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10917), 1,
      anon_sym_RPAREN,
  [304482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13849), 1,
      sym_identifier,
  [304489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8482), 1,
      anon_sym_RBRACE,
  [304496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10941), 1,
      anon_sym_RBRACE,
  [304503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13851), 1,
      aux_sym_preproc_if_token2,
  [304510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13853), 1,
      anon_sym_RPAREN,
  [304517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13855), 1,
      anon_sym_RPAREN,
  [304524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13857), 1,
      anon_sym_RPAREN,
  [304531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13859), 1,
      anon_sym_RPAREN,
  [304538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13861), 1,
      anon_sym_RPAREN,
  [304545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13863), 1,
      anon_sym_LPAREN2,
  [304552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13865), 1,
      anon_sym_RPAREN,
  [304559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4551), 1,
      anon_sym_DOT_DOT_DOT,
  [304566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13867), 1,
      anon_sym_RPAREN,
  [304573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13869), 1,
      anon_sym_RPAREN,
  [304580] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13871), 1,
      aux_sym_preproc_include_token2,
  [304587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13873), 1,
      sym_identifier,
  [304594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13875), 1,
      sym_identifier,
  [304601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13877), 1,
      anon_sym_RPAREN,
  [304608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13879), 1,
      anon_sym_STAR,
  [304615] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12747), 1,
      aux_sym_preproc_include_token2,
  [304622] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10131), 1,
      aux_sym_preproc_include_token2,
  [304629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13881), 1,
      anon_sym_RPAREN,
  [304636] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13883), 1,
      aux_sym_preproc_include_token2,
  [304643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym_SEMI,
  [304650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13885), 1,
      anon_sym_SEMI,
  [304657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13887), 1,
      anon_sym_SEMI,
  [304664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13889), 1,
      anon_sym_SEMI,
  [304671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13891), 1,
      anon_sym_SEMI,
  [304678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13893), 1,
      sym_auto,
  [304685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13895), 1,
      sym_identifier,
  [304692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13897), 1,
      anon_sym_SEMI,
  [304699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13899), 1,
      anon_sym_SEMI,
  [304706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
  [304713] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(13901), 1,
      aux_sym_preproc_include_token2,
  [304720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13903), 1,
      sym_raw_string_delimiter,
  [304727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13905), 1,
      aux_sym_preproc_if_token2,
  [304734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13907), 1,
      sym_identifier,
  [304741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13909), 1,
      aux_sym_preproc_if_token2,
  [304748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13259), 1,
      anon_sym_RBRACE,
  [304755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13911), 1,
      anon_sym_SEMI,
  [304762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13913), 1,
      anon_sym_COLON,
  [304769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13915), 1,
      anon_sym_SEMI,
  [304776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13917), 1,
      anon_sym_SEMI,
  [304783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13919), 1,
      anon_sym_RPAREN,
  [304790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13921), 1,
      anon_sym_RPAREN,
  [304797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13923), 1,
      anon_sym_RPAREN,
  [304804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13925), 1,
      anon_sym_DQUOTE,
  [304811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13927), 1,
      anon_sym_LBRACE,
  [304818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13929), 1,
      anon_sym_SEMI,
  [304825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13931), 1,
      sym_identifier,
  [304832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4707), 1,
      anon_sym_DOT_DOT_DOT,
  [304839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13933), 1,
      anon_sym_LPAREN2,
  [304846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13935), 1,
      anon_sym_RPAREN,
  [304853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      anon_sym_DOT_DOT_DOT,
  [304860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_DOT_DOT_DOT,
  [304867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT_DOT,
  [304874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8274), 1,
      anon_sym_SEMI,
  [304881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13937), 1,
      sym_identifier,
  [304888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4631), 1,
      anon_sym_DOT_DOT_DOT,
  [304895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13939), 1,
      anon_sym_RPAREN,
  [304902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_DOT_DOT_DOT,
  [304909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT_DOT,
  [304916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_DOT_DOT_DOT,
  [304923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13941), 1,
      anon_sym_RPAREN,
  [304930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13943), 1,
      anon_sym_SEMI,
  [304937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13945), 1,
      anon_sym_SEMI,
  [304944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13947), 1,
      anon_sym_SEMI,
  [304951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4543), 1,
      anon_sym_DOT_DOT_DOT,
  [304958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_DOT_DOT_DOT,
  [304965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_DOT_DOT_DOT,
  [304972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13949), 1,
      sym_identifier,
  [304979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13951), 1,
      anon_sym_DQUOTE,
  [304986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13953), 1,
      anon_sym_SEMI,
  [304993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10752), 1,
      anon_sym_RPAREN,
  [305000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13955), 1,
      sym_identifier,
  [305007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13957), 1,
      sym_raw_string_delimiter,
  [305014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13959), 1,
      sym_identifier,
  [305021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13961), 1,
      sym_identifier,
  [305028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13963), 1,
      aux_sym_preproc_if_token2,
  [305035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13965), 1,
      anon_sym_RPAREN,
  [305042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13967), 1,
      anon_sym_STAR,
  [305049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13969), 1,
      sym_identifier,
  [305056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13971), 1,
      anon_sym_SEMI,
  [305063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13973), 1,
      anon_sym_RPAREN,
  [305070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13975), 1,
      anon_sym_SEMI,
  [305077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13977), 1,
      anon_sym_DQUOTE,
  [305084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13979), 1,
      anon_sym_RPAREN,
  [305091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13981), 1,
      anon_sym_SEMI,
  [305098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13983), 1,
      anon_sym_SEMI,
  [305105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13985), 1,
      anon_sym_RPAREN,
  [305112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13987), 1,
      anon_sym_LPAREN2,
  [305119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13989), 1,
      anon_sym_LPAREN2,
  [305126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13991), 1,
      anon_sym_RPAREN,
  [305133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13993), 1,
      anon_sym_SEMI,
  [305140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13995), 1,
      anon_sym_SEMI,
  [305147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13997), 1,
      anon_sym_SEMI,
  [305154] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10051), 1,
      aux_sym_preproc_include_token2,
  [305161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13999), 1,
      anon_sym_SEMI,
  [305168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14001), 1,
      aux_sym_preproc_if_token2,
  [305175] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14003), 1,
      aux_sym_preproc_include_token2,
  [305182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14005), 1,
      anon_sym_RPAREN,
  [305189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14007), 1,
      anon_sym_LPAREN2,
  [305196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14009), 1,
      anon_sym_DQUOTE,
  [305203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14011), 1,
      anon_sym_SEMI,
  [305210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14013), 1,
      anon_sym_COLON,
  [305217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14015), 1,
      anon_sym_SEMI,
  [305224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14017), 1,
      anon_sym_SEMI,
  [305231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14019), 1,
      anon_sym_SEMI,
  [305238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
  [305245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14021), 1,
      anon_sym_SEMI,
  [305252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14023), 1,
      sym_raw_string_delimiter,
  [305259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14025), 1,
      anon_sym_SEMI,
  [305266] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14027), 1,
      aux_sym_preproc_include_token2,
  [305273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14029), 1,
      aux_sym_preproc_if_token2,
  [305280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14031), 1,
      sym_identifier,
  [305287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14033), 1,
      aux_sym_preproc_if_token2,
  [305294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14035), 1,
      anon_sym_LPAREN2,
  [305301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14037), 1,
      anon_sym_SEMI,
  [305308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14039), 1,
      anon_sym_RPAREN,
  [305315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14041), 1,
      anon_sym_RPAREN,
  [305322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14043), 1,
      anon_sym_RPAREN,
  [305329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14045), 1,
      anon_sym_RPAREN,
  [305336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14047), 1,
      anon_sym_RPAREN,
  [305343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14049), 1,
      sym_raw_string_delimiter,
  [305350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14051), 1,
      anon_sym_RPAREN,
  [305357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14053), 1,
      anon_sym_SEMI,
  [305364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14055), 1,
      sym_identifier,
  [305371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14057), 1,
      aux_sym_preproc_if_token2,
  [305378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14059), 1,
      anon_sym_LPAREN2,
  [305385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14061), 1,
      anon_sym_SEMI,
  [305392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8634), 1,
      anon_sym_SEMI,
  [305399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14063), 1,
      anon_sym_RPAREN,
  [305406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14065), 1,
      aux_sym_preproc_if_token2,
  [305413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14067), 1,
      sym_raw_string_delimiter,
  [305420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14069), 1,
      sym_identifier,
  [305427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14071), 1,
      sym_auto,
  [305434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8626), 1,
      anon_sym_SEMI,
  [305441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14073), 1,
      anon_sym_LPAREN2,
  [305448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14075), 1,
      anon_sym_RPAREN,
  [305455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14077), 1,
      sym_raw_string_delimiter,
  [305462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14079), 1,
      anon_sym_SEMI,
  [305469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14081), 1,
      anon_sym_RPAREN,
  [305476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14083), 1,
      sym_raw_string_delimiter,
  [305483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      sym_identifier,
  [305490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14085), 1,
      anon_sym_RPAREN,
  [305497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14087), 1,
      sym_raw_string_delimiter,
  [305504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14089), 1,
      anon_sym_RPAREN,
  [305511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14091), 1,
      sym_raw_string_delimiter,
  [305518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14093), 1,
      anon_sym_RPAREN,
  [305525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14095), 1,
      sym_raw_string_delimiter,
  [305532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14097), 1,
      anon_sym_RPAREN,
  [305539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14099), 1,
      sym_raw_string_delimiter,
  [305546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14101), 1,
      anon_sym_RPAREN,
  [305553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14103), 1,
      sym_raw_string_delimiter,
  [305560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14105), 1,
      anon_sym_RPAREN,
  [305567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14107), 1,
      sym_raw_string_delimiter,
  [305574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11363), 1,
      anon_sym_SEMI,
  [305581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14109), 1,
      anon_sym_STAR,
  [305588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14111), 1,
      anon_sym_SEMI,
  [305595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14113), 1,
      anon_sym_LPAREN2,
  [305602] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14115), 1,
      aux_sym_preproc_include_token2,
  [305609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14117), 1,
      anon_sym_LPAREN2,
  [305616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14119), 1,
      anon_sym_LPAREN2,
  [305623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14121), 1,
      anon_sym_RPAREN,
  [305630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_RBRACE,
  [305637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14123), 1,
      anon_sym_LPAREN2,
  [305644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14125), 1,
      anon_sym_SEMI,
  [305651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14127), 1,
      anon_sym_LPAREN2,
  [305658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14129), 1,
      anon_sym_LPAREN2,
  [305665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14131), 1,
      anon_sym_SEMI,
  [305672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      sym_identifier,
  [305679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      anon_sym_SEMI,
  [305686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14137), 1,
      sym_identifier,
  [305693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      anon_sym_RPAREN,
  [305700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      sym_identifier,
  [305707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      anon_sym_SEMI,
  [305714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8560), 1,
      anon_sym_RBRACE,
  [305721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10790), 1,
      anon_sym_RBRACE,
  [305728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      sym_identifier,
  [305735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      sym_identifier,
  [305742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_RPAREN,
  [305749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      anon_sym_RPAREN,
  [305756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14153), 1,
      anon_sym_RPAREN,
  [305763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12161), 1,
      anon_sym_SEMI,
  [305770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      anon_sym_while,
  [305777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
  [305784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      anon_sym_LPAREN2,
  [305791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      sym_identifier,
  [305798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      anon_sym_SEMI,
  [305805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      aux_sym_preproc_if_token2,
  [305812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      anon_sym_SEMI,
  [305819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_EQ,
  [305826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      sym_raw_string_content,
  [305833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_DQUOTE,
  [305840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      anon_sym_SEMI,
  [305847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_SEMI,
  [305854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_STAR,
  [305861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      anon_sym_COLON,
  [305868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_RPAREN,
  [305875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14185), 1,
      anon_sym_RPAREN,
  [305882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      sym_auto,
  [305889] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14189), 1,
      aux_sym_preproc_include_token2,
  [305896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      anon_sym_RPAREN,
  [305903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      anon_sym_RBRACE,
  [305910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_SEMI,
  [305917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      aux_sym_preproc_if_token2,
  [305924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 1,
      sym_identifier,
  [305931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
  [305938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_COMMA,
  [305945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      anon_sym_DQUOTE,
  [305952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      aux_sym_preproc_if_token2,
  [305959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      anon_sym_RPAREN,
  [305966] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14209), 1,
      aux_sym_preproc_include_token2,
  [305973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      anon_sym_DQUOTE,
  [305980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      anon_sym_SEMI,
  [305987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      sym_auto,
  [305994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_RPAREN,
  [306001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      anon_sym_DOT_DOT_DOT,
  [306008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      anon_sym_SEMI,
  [306015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      anon_sym_SEMI,
  [306022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14226), 1,
      anon_sym_SEMI,
  [306029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14228), 1,
      anon_sym_SEMI,
  [306036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_DQUOTE,
  [306043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14232), 1,
      anon_sym_DQUOTE,
  [306050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14234), 1,
      anon_sym_RPAREN,
  [306057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_SEMI,
  [306064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14236), 1,
      anon_sym_DQUOTE,
  [306071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      anon_sym_RPAREN,
  [306078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_RPAREN,
  [306085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14242), 1,
      anon_sym_COLON,
  [306092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14244), 1,
      anon_sym_STAR,
  [306099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14246), 1,
      anon_sym_SEMI,
  [306106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14248), 1,
      anon_sym_RPAREN,
  [306113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
  [306120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 1,
      anon_sym_RPAREN,
  [306127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
  [306134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14256), 1,
      anon_sym_SEMI,
  [306141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_DQUOTE,
  [306148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
  [306155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14262), 1,
      anon_sym_DQUOTE,
  [306162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10760), 1,
      anon_sym_RBRACE,
  [306169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14264), 1,
      anon_sym_DQUOTE,
  [306176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14266), 1,
      sym_identifier,
  [306183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8556), 1,
      anon_sym_RBRACE,
  [306190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14268), 1,
      anon_sym_LPAREN2,
  [306197] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14270), 1,
      aux_sym_preproc_include_token2,
  [306204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14272), 1,
      anon_sym_RPAREN,
  [306211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_RPAREN,
  [306218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14276), 1,
      anon_sym_RPAREN,
  [306225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_RPAREN,
  [306232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14280), 1,
      anon_sym_RPAREN,
  [306239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14282), 1,
      anon_sym_DQUOTE,
  [306246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14284), 1,
      anon_sym_DQUOTE,
  [306253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14286), 1,
      anon_sym_RPAREN,
  [306260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14288), 1,
      sym_identifier,
  [306267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14290), 1,
      aux_sym_preproc_if_token2,
  [306274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      aux_sym_preproc_if_token2,
  [306281] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(9973), 1,
      aux_sym_preproc_include_token2,
  [306288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8520), 1,
      anon_sym_SEMI,
  [306295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7050), 1,
      sym_identifier,
  [306302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_LBRACE,
  [306309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11375), 1,
      anon_sym_SEMI,
  [306316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14296), 1,
      anon_sym_DQUOTE,
  [306323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      anon_sym_DQUOTE,
  [306330] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14300), 1,
      aux_sym_preproc_include_token2,
  [306337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14302), 1,
      aux_sym_preproc_if_token2,
  [306344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
  [306351] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14306), 1,
      aux_sym_preproc_include_token2,
  [306358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14308), 1,
      sym_raw_string_content,
  [306365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14310), 1,
      anon_sym_STAR,
  [306372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8442), 1,
      anon_sym_RBRACE,
  [306379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym_RBRACE,
  [306386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14312), 1,
      anon_sym_DQUOTE,
  [306393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14314), 1,
      anon_sym_DQUOTE,
  [306400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14316), 1,
      anon_sym_RPAREN,
  [306407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14318), 1,
      anon_sym_RPAREN,
  [306414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_SEMI,
  [306421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14320), 1,
      anon_sym_RPAREN,
  [306428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_SEMI,
  [306435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym_SEMI,
  [306442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      sym_identifier,
  [306449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14322), 1,
      sym_identifier,
  [306456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14324), 1,
      aux_sym_preproc_if_token2,
  [306463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14326), 1,
      anon_sym_SEMI,
  [306470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_SEMI,
  [306477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14328), 1,
      aux_sym_preproc_if_token2,
  [306484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14330), 1,
      anon_sym_SEMI,
  [306491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_SEMI,
  [306498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14332), 1,
      sym_auto,
  [306505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8756), 1,
      anon_sym_SEMI,
  [306512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14334), 1,
      anon_sym_SEMI,
  [306519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14336), 1,
      sym_identifier,
  [306526] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14338), 1,
      aux_sym_preproc_include_token2,
  [306533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
  [306540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14340), 1,
      sym_identifier,
  [306547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14342), 1,
      sym_identifier,
  [306554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14344), 1,
      anon_sym_RPAREN,
  [306561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14346), 1,
      anon_sym_RPAREN,
  [306568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14348), 1,
      anon_sym_RPAREN,
  [306575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14350), 1,
      anon_sym_RPAREN,
  [306582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14352), 1,
      anon_sym_RPAREN,
  [306589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6805), 1,
      anon_sym_RPAREN,
  [306596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14354), 1,
      aux_sym_preproc_if_token2,
  [306603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14356), 1,
      anon_sym_DQUOTE,
  [306610] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14358), 1,
      aux_sym_preproc_include_token2,
  [306617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14360), 1,
      anon_sym_DQUOTE,
  [306624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      anon_sym_RBRACE,
  [306631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14362), 1,
      sym_auto,
  [306638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14364), 1,
      anon_sym_RPAREN,
  [306645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      anon_sym_RBRACE,
  [306652] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12872), 1,
      aux_sym_preproc_include_token2,
  [306659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14366), 1,
      anon_sym_SEMI,
  [306666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14368), 1,
      anon_sym_RPAREN,
  [306673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14370), 1,
      anon_sym_RPAREN,
  [306680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14372), 1,
      anon_sym_SEMI,
  [306687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14374), 1,
      anon_sym_RPAREN,
  [306694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14376), 1,
      anon_sym_RPAREN,
  [306701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14378), 1,
      anon_sym_RPAREN,
  [306708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14380), 1,
      anon_sym_SEMI,
  [306715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14382), 1,
      anon_sym_SEMI,
  [306722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14384), 1,
      anon_sym_DOT_DOT_DOT,
  [306729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14386), 1,
      anon_sym_COLON,
  [306736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10810), 1,
      anon_sym_RBRACE,
  [306743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14388), 1,
      anon_sym_RPAREN,
  [306750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14390), 1,
      anon_sym_RPAREN,
  [306757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14392), 1,
      anon_sym_DQUOTE,
  [306764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14394), 1,
      anon_sym_SEMI,
  [306771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14396), 1,
      anon_sym_SEMI,
  [306778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_RBRACE,
  [306785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
  [306792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 1,
      anon_sym_RPAREN,
  [306799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8638), 1,
      anon_sym_SEMI,
  [306806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14398), 1,
      anon_sym_RPAREN,
  [306813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14400), 1,
      anon_sym_COLON,
  [306820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14402), 1,
      sym_identifier,
  [306827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14404), 1,
      anon_sym_LPAREN2,
  [306834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14406), 1,
      anon_sym_RPAREN,
  [306841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14408), 1,
      anon_sym_LPAREN2,
  [306848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14410), 1,
      anon_sym_LPAREN2,
  [306855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14412), 1,
      anon_sym_LPAREN2,
  [306862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14414), 1,
      anon_sym_RPAREN,
  [306869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14416), 1,
      anon_sym_LPAREN2,
  [306876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14418), 1,
      anon_sym_RPAREN,
  [306883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14420), 1,
      anon_sym_RPAREN,
  [306890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7005), 1,
      anon_sym_RPAREN,
  [306897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14422), 1,
      anon_sym_RPAREN,
  [306904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_while,
  [306911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14426), 1,
      anon_sym_SEMI,
  [306918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14428), 1,
      anon_sym_LPAREN2,
  [306925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14430), 1,
      anon_sym_SEMI,
  [306932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14432), 1,
      anon_sym_DQUOTE,
  [306939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14434), 1,
      anon_sym_RPAREN,
  [306946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14436), 1,
      anon_sym_EQ,
  [306953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14438), 1,
      sym_raw_string_content,
  [306960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14440), 1,
      anon_sym_STAR,
  [306967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14442), 1,
      anon_sym_RPAREN,
  [306974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14444), 1,
      anon_sym_RPAREN,
  [306981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14446), 1,
      anon_sym_COMMA,
  [306988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14448), 1,
      anon_sym_DQUOTE,
  [306995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14450), 1,
      anon_sym_SEMI,
  [307002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14452), 1,
      anon_sym_SEMI,
  [307009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14454), 1,
      anon_sym_RPAREN,
  [307016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14456), 1,
      anon_sym_COLON,
  [307023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10782), 1,
      anon_sym_RPAREN,
  [307030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14458), 1,
      sym_raw_string_delimiter,
  [307037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14460), 1,
      anon_sym_LPAREN2,
  [307044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14462), 1,
      anon_sym_LPAREN2,
  [307051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14464), 1,
      anon_sym_DQUOTE,
  [307058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14466), 1,
      anon_sym_LPAREN2,
  [307065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14468), 1,
      anon_sym_SEMI,
  [307072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14470), 1,
      anon_sym_LBRACE,
  [307079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14472), 1,
      anon_sym_while,
  [307086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_RBRACE,
  [307093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14474), 1,
      anon_sym_LPAREN2,
  [307100] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14476), 1,
      aux_sym_preproc_include_token2,
  [307107] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14478), 1,
      aux_sym_preproc_include_token2,
  [307114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14480), 1,
      anon_sym_EQ,
  [307121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14482), 1,
      sym_raw_string_content,
  [307128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14484), 1,
      sym_auto,
  [307135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14486), 1,
      anon_sym_COMMA,
  [307142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14488), 1,
      sym_identifier,
  [307149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
  [307156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14492), 1,
      anon_sym_RPAREN,
  [307163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14494), 1,
      anon_sym_RPAREN,
  [307170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14496), 1,
      anon_sym_COLON,
  [307177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
  [307184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14500), 1,
      anon_sym_RPAREN,
  [307191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14502), 1,
      anon_sym_LPAREN2,
  [307198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14504), 1,
      anon_sym_LPAREN2,
  [307205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14506), 1,
      anon_sym_RPAREN,
  [307212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14508), 1,
      anon_sym_LPAREN2,
  [307219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
  [307226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_RBRACE,
  [307233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14512), 1,
      anon_sym_while,
  [307240] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(10207), 1,
      aux_sym_preproc_include_token2,
  [307247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14514), 1,
      anon_sym_LPAREN2,
  [307254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14516), 1,
      anon_sym_RPAREN,
  [307261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14518), 1,
      anon_sym_RPAREN,
  [307268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14520), 1,
      anon_sym_EQ,
  [307275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14522), 1,
      sym_raw_string_content,
  [307282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14524), 1,
      anon_sym_COMMA,
  [307289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11302), 1,
      anon_sym_SEMI,
  [307296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8276), 1,
      anon_sym_RBRACE,
  [307303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14526), 1,
      aux_sym_preproc_if_token2,
  [307310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14528), 1,
      anon_sym_RPAREN,
  [307317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14530), 1,
      anon_sym_COLON,
  [307324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14532), 1,
      aux_sym_preproc_if_token2,
  [307331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14534), 1,
      anon_sym_LPAREN2,
  [307338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14536), 1,
      anon_sym_LPAREN2,
  [307345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14538), 1,
      anon_sym_SEMI,
  [307352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14540), 1,
      anon_sym_LPAREN2,
  [307359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14542), 1,
      sym_identifier,
  [307366] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14544), 1,
      aux_sym_preproc_include_token2,
  [307373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14546), 1,
      anon_sym_while,
  [307380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14548), 1,
      anon_sym_LPAREN2,
  [307387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14550), 1,
      aux_sym_preproc_if_token2,
  [307394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14552), 1,
      aux_sym_preproc_if_token2,
  [307401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14554), 1,
      anon_sym_EQ,
  [307408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14556), 1,
      sym_raw_string_content,
  [307415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14558), 1,
      anon_sym_COMMA,
  [307422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14560), 1,
      anon_sym_RBRACE,
  [307429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14562), 1,
      sym_identifier,
  [307436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14564), 1,
      aux_sym_preproc_if_token2,
  [307443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14566), 1,
      anon_sym_RPAREN,
  [307450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14568), 1,
      anon_sym_COLON,
  [307457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11453), 1,
      anon_sym_COMMA,
  [307464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14570), 1,
      anon_sym_LPAREN2,
  [307471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14572), 1,
      anon_sym_LPAREN2,
  [307478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14574), 1,
      anon_sym_RBRACE,
  [307485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14576), 1,
      anon_sym_LPAREN2,
  [307492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14578), 1,
      sym_identifier,
  [307499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14580), 1,
      aux_sym_preproc_if_token2,
  [307506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14582), 1,
      anon_sym_LPAREN2,
  [307513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14584), 1,
      aux_sym_preproc_if_token2,
  [307520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14586), 1,
      anon_sym_RPAREN,
  [307527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14588), 1,
      anon_sym_EQ,
  [307534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14590), 1,
      sym_raw_string_content,
  [307541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14592), 1,
      anon_sym_COMMA,
  [307548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14594), 1,
      aux_sym_preproc_if_token2,
  [307555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14596), 1,
      anon_sym_SEMI,
  [307562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_RPAREN,
  [307569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
  [307576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14600), 1,
      anon_sym_COLON,
  [307583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14602), 1,
      anon_sym_SEMI,
  [307590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14604), 1,
      anon_sym_LPAREN2,
  [307597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14606), 1,
      anon_sym_LPAREN2,
  [307604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14608), 1,
      anon_sym_RPAREN,
  [307611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14610), 1,
      anon_sym_LPAREN2,
  [307618] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(12651), 1,
      aux_sym_preproc_include_token2,
  [307625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14612), 1,
      anon_sym_RPAREN,
  [307632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14614), 1,
      anon_sym_LPAREN2,
  [307639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
  [307646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14618), 1,
      anon_sym_RPAREN,
  [307653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14620), 1,
      anon_sym_EQ,
  [307660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14622), 1,
      sym_raw_string_content,
  [307667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
  [307674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14626), 1,
      anon_sym_RPAREN,
  [307681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      anon_sym_RPAREN,
  [307688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8780), 1,
      anon_sym_RPAREN,
  [307695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14628), 1,
      anon_sym_RPAREN,
  [307702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14630), 1,
      anon_sym_COLON,
  [307709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
  [307716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14632), 1,
      anon_sym_LPAREN2,
  [307723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
  [307730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14634), 1,
      anon_sym_LPAREN2,
  [307737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14636), 1,
      anon_sym_RBRACK,
  [307744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14638), 1,
      sym_identifier,
  [307751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14640), 1,
      sym_identifier,
  [307758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 1,
      anon_sym_COLON_COLON,
  [307765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14642), 1,
      anon_sym_EQ,
  [307772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14644), 1,
      sym_raw_string_content,
  [307779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14646), 1,
      anon_sym_LPAREN2,
  [307786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14648), 1,
      anon_sym_RPAREN,
  [307793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_RBRACE,
  [307800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14650), 1,
      anon_sym_RPAREN,
  [307807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14652), 1,
      anon_sym_RPAREN,
  [307814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14654), 1,
      anon_sym_LPAREN2,
  [307821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14656), 1,
      anon_sym_LPAREN2,
  [307828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14658), 1,
      anon_sym_SEMI,
  [307835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14660), 1,
      sym_raw_string_content,
  [307842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14662), 1,
      anon_sym_DQUOTE,
  [307849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14664), 1,
      anon_sym_RPAREN,
  [307856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14666), 1,
      anon_sym_RPAREN,
  [307863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_SEMI,
  [307870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14668), 1,
      anon_sym_LPAREN2,
  [307877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14670), 1,
      anon_sym_LPAREN2,
  [307884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14672), 1,
      anon_sym_RPAREN,
  [307891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14674), 1,
      sym_raw_string_content,
  [307898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14676), 1,
      aux_sym_preproc_if_token2,
  [307905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14678), 1,
      anon_sym_RPAREN,
  [307912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14680), 1,
      anon_sym_LPAREN2,
  [307919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14682), 1,
      anon_sym_LPAREN2,
  [307926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14684), 1,
      sym_raw_string_content,
  [307933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14686), 1,
      anon_sym_RPAREN,
  [307940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14688), 1,
      sym_raw_string_content,
  [307947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14690), 1,
      anon_sym_RPAREN,
  [307954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14692), 1,
      sym_raw_string_content,
  [307961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14694), 1,
      anon_sym_RPAREN,
  [307968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14696), 1,
      sym_raw_string_content,
  [307975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14698), 1,
      anon_sym_RPAREN,
  [307982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14700), 1,
      sym_raw_string_content,
  [307989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14702), 1,
      anon_sym_RPAREN,
  [307996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14704), 1,
      sym_raw_string_content,
  [308003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14706), 1,
      anon_sym_RPAREN,
  [308010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14708), 1,
      sym_raw_string_content,
  [308017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14710), 1,
      anon_sym_RPAREN,
  [308024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14712), 1,
      sym_raw_string_content,
  [308031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14714), 1,
      anon_sym_RPAREN,
  [308038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_SEMI,
  [308045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14716), 1,
      anon_sym_RBRACE,
  [308052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14718), 1,
      anon_sym_LPAREN2,
  [308059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14720), 1,
      anon_sym_LPAREN2,
  [308066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14722), 1,
      sym_identifier,
  [308073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14724), 1,
      anon_sym_SEMI,
  [308080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14726), 1,
      aux_sym_preproc_if_token2,
  [308087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14728), 1,
      anon_sym_RBRACE,
  [308094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14730), 1,
      aux_sym_preproc_if_token2,
  [308101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14732), 1,
      aux_sym_preproc_if_token2,
  [308108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_SEMI,
  [308115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14734), 1,
      aux_sym_preproc_if_token2,
  [308122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14736), 1,
      anon_sym_RBRACE,
  [308129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14738), 1,
      aux_sym_preproc_if_token2,
  [308136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14740), 1,
      aux_sym_preproc_if_token2,
  [308143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14742), 1,
      anon_sym_DQUOTE,
  [308150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14744), 1,
      anon_sym_SEMI,
  [308157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
  [308164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14748), 1,
      anon_sym_DQUOTE,
  [308171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14750), 1,
      sym_identifier,
  [308178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14752), 1,
      sym_raw_string_content,
  [308185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14754), 1,
      anon_sym_SEMI,
  [308192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14756), 1,
      anon_sym_SEMI,
  [308199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14758), 1,
      anon_sym_SEMI,
  [308206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RBRACE,
  [308213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14760), 1,
      anon_sym_SEMI,
  [308220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14762), 1,
      anon_sym_SEMI,
  [308227] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14764), 1,
      aux_sym_preproc_include_token2,
  [308234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14766), 1,
      sym_auto,
  [308241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14768), 1,
      anon_sym_SEMI,
  [308248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RBRACE,
  [308255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
  [308262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
  [308269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14770), 1,
      anon_sym_STAR,
  [308276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14772), 1,
      anon_sym_SEMI,
  [308283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14774), 1,
      anon_sym_RPAREN,
  [308290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14776), 1,
      ts_builtin_sym_end,
  [308297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14778), 1,
      anon_sym_RBRACK,
  [308304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10929), 1,
      anon_sym_RBRACE,
  [308311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14780), 1,
      anon_sym_RPAREN,
  [308318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14782), 1,
      sym_identifier,
  [308325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14784), 1,
      anon_sym_LPAREN2,
  [308332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14786), 1,
      anon_sym_RPAREN,
  [308339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14788), 1,
      anon_sym_RPAREN,
  [308346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_RBRACE,
  [308353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14790), 1,
      anon_sym_SEMI,
  [308360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
  [308367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14794), 1,
      anon_sym_SEMI,
  [308374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14796), 1,
      anon_sym_SEMI,
  [308381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14798), 1,
      anon_sym_RBRACE,
  [308388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14800), 1,
      anon_sym_LPAREN2,
  [308395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14802), 1,
      anon_sym_LPAREN2,
  [308402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14804), 1,
      aux_sym_preproc_if_token2,
  [308409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14806), 1,
      aux_sym_preproc_if_token2,
  [308416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14808), 1,
      anon_sym_DQUOTE,
  [308423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14810), 1,
      aux_sym_preproc_if_token2,
  [308430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14812), 1,
      aux_sym_preproc_if_token2,
  [308437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14814), 1,
      anon_sym_LPAREN2,
  [308444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14816), 1,
      anon_sym_LPAREN2,
  [308451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14818), 1,
      anon_sym_LPAREN2,
  [308458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14820), 1,
      sym_identifier,
  [308465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14822), 1,
      anon_sym_SEMI,
  [308472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14824), 1,
      anon_sym_SEMI,
  [308479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14826), 1,
      anon_sym_LPAREN2,
  [308486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14828), 1,
      anon_sym_COLON,
  [308493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14830), 1,
      anon_sym_COLON,
  [308500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14832), 1,
      anon_sym_RPAREN,
  [308507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14834), 1,
      aux_sym_preproc_if_token2,
  [308514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14836), 1,
      anon_sym_SEMI,
  [308521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14838), 1,
      aux_sym_preproc_if_token2,
  [308528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14840), 1,
      sym_identifier,
  [308535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14842), 1,
      anon_sym_SEMI,
  [308542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14844), 1,
      anon_sym_SEMI,
  [308549] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14846), 1,
      aux_sym_preproc_include_token2,
  [308556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14848), 1,
      anon_sym_DQUOTE,
  [308563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14850), 1,
      anon_sym_RPAREN,
  [308570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14852), 1,
      anon_sym_RPAREN,
  [308577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14854), 1,
      anon_sym_LPAREN2,
  [308584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
  [308591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14858), 1,
      anon_sym_RPAREN,
  [308598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14860), 1,
      anon_sym_LPAREN2,
  [308605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14862), 1,
      anon_sym_LPAREN2,
  [308612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14864), 1,
      sym_identifier,
  [308619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14866), 1,
      anon_sym_RPAREN,
  [308626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14868), 1,
      anon_sym_LPAREN2,
  [308633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14870), 1,
      anon_sym_RPAREN,
  [308640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14872), 1,
      sym_identifier,
  [308647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14874), 1,
      sym_raw_string_content,
  [308654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_COLON,
  [308661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14876), 1,
      anon_sym_RPAREN,
  [308668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14878), 1,
      anon_sym_COMMA,
  [308675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14880), 1,
      anon_sym_LPAREN2,
  [308682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14882), 1,
      anon_sym_LPAREN2,
  [308689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14884), 1,
      sym_identifier,
  [308696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14886), 1,
      anon_sym_RPAREN,
  [308703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14888), 1,
      aux_sym_preproc_if_token2,
  [308710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14890), 1,
      sym_identifier,
  [308717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14892), 1,
      sym_raw_string_content,
  [308724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14894), 1,
      aux_sym_preproc_if_token2,
  [308731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14896), 1,
      aux_sym_preproc_if_token2,
  [308738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14898), 1,
      anon_sym_RPAREN,
  [308745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14900), 1,
      anon_sym_LPAREN2,
  [308752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14902), 1,
      anon_sym_LPAREN2,
  [308759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14904), 1,
      sym_identifier,
  [308766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14906), 1,
      sym_auto,
  [308773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14908), 1,
      anon_sym_COLON,
  [308780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14910), 1,
      sym_identifier,
  [308787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14912), 1,
      sym_raw_string_content,
  [308794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14914), 1,
      anon_sym_RPAREN,
  [308801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14916), 1,
      sym_identifier,
  [308808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14918), 1,
      anon_sym_LPAREN2,
  [308815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14920), 1,
      anon_sym_LPAREN2,
  [308822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14922), 1,
      sym_identifier,
  [308829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8696), 1,
      anon_sym_SEMI,
  [308836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14924), 1,
      anon_sym_LPAREN2,
  [308843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14926), 1,
      sym_identifier,
  [308850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14928), 1,
      sym_raw_string_content,
  [308857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14930), 1,
      anon_sym_RPAREN,
  [308864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14932), 1,
      sym_identifier,
  [308871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14934), 1,
      anon_sym_LPAREN2,
  [308878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14936), 1,
      sym_identifier,
  [308885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8518), 1,
      anon_sym_RPAREN,
  [308892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14938), 1,
      sym_identifier,
  [308899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14940), 1,
      sym_identifier,
  [308906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14942), 1,
      sym_raw_string_content,
  [308913] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(14944), 1,
      aux_sym_preproc_include_token2,
  [308920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14946), 1,
      anon_sym_RPAREN,
  [308927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14948), 1,
      anon_sym_LPAREN2,
  [308934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14950), 1,
      sym_identifier,
  [308941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14952), 1,
      anon_sym_RPAREN,
  [308948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14954), 1,
      anon_sym_RPAREN,
  [308955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14956), 1,
      sym_identifier,
  [308962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14958), 1,
      sym_raw_string_content,
  [308969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14960), 1,
      anon_sym_RPAREN,
  [308976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14962), 1,
      anon_sym_DQUOTE,
  [308983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14964), 1,
      anon_sym_LPAREN2,
  [308990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14966), 1,
      sym_identifier,
  [308997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14968), 1,
      anon_sym_SEMI,
  [309004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14970), 1,
      sym_identifier,
  [309011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14972), 1,
      sym_raw_string_content,
  [309018] = 2,
    ACTIONS(5358), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9909), 1,
      sym_comment,
  [309025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14974), 1,
      anon_sym_SEMI,
  [309032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14976), 1,
      sym_identifier,
  [309039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14978), 1,
      sym_raw_string_content,
  [309046] = 2,
    ACTIONS(5362), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9909), 1,
      sym_comment,
  [309053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14980), 1,
      anon_sym_RPAREN,
  [309060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14982), 1,
      sym_raw_string_content,
  [309067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14984), 1,
      anon_sym_RPAREN,
  [309074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14986), 1,
      sym_raw_string_content,
  [309081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14988), 1,
      anon_sym_RPAREN,
  [309088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14990), 1,
      sym_raw_string_content,
  [309095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14992), 1,
      anon_sym_DQUOTE,
  [309102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14994), 1,
      sym_raw_string_content,
  [309109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14996), 1,
      sym_identifier,
  [309116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14998), 1,
      sym_raw_string_content,
  [309123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15000), 1,
      anon_sym_SEMI,
  [309130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15002), 1,
      sym_raw_string_content,
  [309137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15004), 1,
      anon_sym_SEMI,
  [309144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15006), 1,
      sym_raw_string_content,
  [309151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15008), 1,
      anon_sym_SEMI,
  [309158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15010), 1,
      sym_raw_string_content,
  [309165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_RBRACE,
  [309172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15012), 1,
      sym_raw_string_content,
  [309179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15014), 1,
      anon_sym_LPAREN2,
  [309186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15016), 1,
      anon_sym_LPAREN2,
  [309193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COMMA,
  [309200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15018), 1,
      anon_sym_LPAREN2,
  [309207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15020), 1,
      anon_sym_LPAREN2,
  [309214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11383), 1,
      anon_sym_SEMI,
  [309221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15022), 1,
      anon_sym_LPAREN2,
  [309228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15024), 1,
      anon_sym_LPAREN2,
  [309235] = 2,
    ACTIONS(9909), 1,
      sym_comment,
    ACTIONS(15026), 1,
      aux_sym_preproc_include_token2,
  [309242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15028), 1,
      anon_sym_LPAREN2,
  [309249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15030), 1,
      anon_sym_LPAREN2,
  [309256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15032), 1,
      sym_identifier,
  [309263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15034), 1,
      anon_sym_LPAREN2,
  [309270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15036), 1,
      anon_sym_LPAREN2,
  [309277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15038), 1,
      sym_auto,
  [309284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15040), 1,
      anon_sym_LPAREN2,
  [309291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15042), 1,
      anon_sym_LPAREN2,
  [309298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_SEMI,
  [309305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15044), 1,
      anon_sym_LPAREN2,
  [309312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15046), 1,
      anon_sym_LPAREN2,
  [309319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15048), 1,
      anon_sym_SEMI,
  [309326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15050), 1,
      anon_sym_LPAREN2,
  [309333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15052), 1,
      anon_sym_LPAREN2,
  [309340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15054), 1,
      anon_sym_LPAREN2,
  [309347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15056), 1,
      anon_sym_LPAREN2,
  [309354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15058), 1,
      anon_sym_LPAREN2,
  [309361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15060), 1,
      anon_sym_LPAREN2,
  [309368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15062), 1,
      anon_sym_LPAREN2,
  [309375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15064), 1,
      anon_sym_LPAREN2,
  [309382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15066), 1,
      anon_sym_LPAREN2,
  [309389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15068), 1,
      anon_sym_LPAREN2,
  [309396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15070), 1,
      anon_sym_LPAREN2,
  [309403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12273), 1,
      anon_sym_SEMI,
  [309410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15072), 1,
      anon_sym_RPAREN,
  [309417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15074), 1,
      anon_sym_RPAREN,
  [309424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10951), 1,
      anon_sym_RBRACE,
  [309431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15076), 1,
      sym_identifier,
  [309438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15078), 1,
      anon_sym_RPAREN,
  [309445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15080), 1,
      sym_identifier,
  [309452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15082), 1,
      anon_sym_LPAREN2,
  [309459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15084), 1,
      anon_sym_LPAREN2,
  [309466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15086), 1,
      anon_sym_LPAREN2,
  [309473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15088), 1,
      anon_sym_LPAREN2,
  [309480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15090), 1,
      anon_sym_LPAREN2,
  [309487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15092), 1,
      anon_sym_LPAREN2,
  [309494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15094), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2547)] = 0,
  [SMALL_STATE(2548)] = 71,
  [SMALL_STATE(2549)] = 142,
  [SMALL_STATE(2550)] = 213,
  [SMALL_STATE(2551)] = 292,
  [SMALL_STATE(2552)] = 363,
  [SMALL_STATE(2553)] = 434,
  [SMALL_STATE(2554)] = 505,
  [SMALL_STATE(2555)] = 576,
  [SMALL_STATE(2556)] = 647,
  [SMALL_STATE(2557)] = 718,
  [SMALL_STATE(2558)] = 789,
  [SMALL_STATE(2559)] = 860,
  [SMALL_STATE(2560)] = 931,
  [SMALL_STATE(2561)] = 1002,
  [SMALL_STATE(2562)] = 1073,
  [SMALL_STATE(2563)] = 1144,
  [SMALL_STATE(2564)] = 1215,
  [SMALL_STATE(2565)] = 1286,
  [SMALL_STATE(2566)] = 1357,
  [SMALL_STATE(2567)] = 1428,
  [SMALL_STATE(2568)] = 1499,
  [SMALL_STATE(2569)] = 1570,
  [SMALL_STATE(2570)] = 1641,
  [SMALL_STATE(2571)] = 1712,
  [SMALL_STATE(2572)] = 1783,
  [SMALL_STATE(2573)] = 1858,
  [SMALL_STATE(2574)] = 1929,
  [SMALL_STATE(2575)] = 2004,
  [SMALL_STATE(2576)] = 2075,
  [SMALL_STATE(2577)] = 2146,
  [SMALL_STATE(2578)] = 2217,
  [SMALL_STATE(2579)] = 2288,
  [SMALL_STATE(2580)] = 2359,
  [SMALL_STATE(2581)] = 2430,
  [SMALL_STATE(2582)] = 2501,
  [SMALL_STATE(2583)] = 2572,
  [SMALL_STATE(2584)] = 2643,
  [SMALL_STATE(2585)] = 2714,
  [SMALL_STATE(2586)] = 2785,
  [SMALL_STATE(2587)] = 2856,
  [SMALL_STATE(2588)] = 2927,
  [SMALL_STATE(2589)] = 2998,
  [SMALL_STATE(2590)] = 3069,
  [SMALL_STATE(2591)] = 3144,
  [SMALL_STATE(2592)] = 3215,
  [SMALL_STATE(2593)] = 3290,
  [SMALL_STATE(2594)] = 3361,
  [SMALL_STATE(2595)] = 3432,
  [SMALL_STATE(2596)] = 3503,
  [SMALL_STATE(2597)] = 3574,
  [SMALL_STATE(2598)] = 3645,
  [SMALL_STATE(2599)] = 3718,
  [SMALL_STATE(2600)] = 3789,
  [SMALL_STATE(2601)] = 3860,
  [SMALL_STATE(2602)] = 3931,
  [SMALL_STATE(2603)] = 4002,
  [SMALL_STATE(2604)] = 4073,
  [SMALL_STATE(2605)] = 4144,
  [SMALL_STATE(2606)] = 4215,
  [SMALL_STATE(2607)] = 4292,
  [SMALL_STATE(2608)] = 4363,
  [SMALL_STATE(2609)] = 4446,
  [SMALL_STATE(2610)] = 4529,
  [SMALL_STATE(2611)] = 4600,
  [SMALL_STATE(2612)] = 4671,
  [SMALL_STATE(2613)] = 4742,
  [SMALL_STATE(2614)] = 4813,
  [SMALL_STATE(2615)] = 4894,
  [SMALL_STATE(2616)] = 4965,
  [SMALL_STATE(2617)] = 5036,
  [SMALL_STATE(2618)] = 5107,
  [SMALL_STATE(2619)] = 5178,
  [SMALL_STATE(2620)] = 5249,
  [SMALL_STATE(2621)] = 5320,
  [SMALL_STATE(2622)] = 5391,
  [SMALL_STATE(2623)] = 5462,
  [SMALL_STATE(2624)] = 5533,
  [SMALL_STATE(2625)] = 5604,
  [SMALL_STATE(2626)] = 5683,
  [SMALL_STATE(2627)] = 5754,
  [SMALL_STATE(2628)] = 5825,
  [SMALL_STATE(2629)] = 5896,
  [SMALL_STATE(2630)] = 5967,
  [SMALL_STATE(2631)] = 6038,
  [SMALL_STATE(2632)] = 6109,
  [SMALL_STATE(2633)] = 6180,
  [SMALL_STATE(2634)] = 6251,
  [SMALL_STATE(2635)] = 6322,
  [SMALL_STATE(2636)] = 6393,
  [SMALL_STATE(2637)] = 6464,
  [SMALL_STATE(2638)] = 6535,
  [SMALL_STATE(2639)] = 6606,
  [SMALL_STATE(2640)] = 6681,
  [SMALL_STATE(2641)] = 6752,
  [SMALL_STATE(2642)] = 6823,
  [SMALL_STATE(2643)] = 6894,
  [SMALL_STATE(2644)] = 6965,
  [SMALL_STATE(2645)] = 7036,
  [SMALL_STATE(2646)] = 7111,
  [SMALL_STATE(2647)] = 7182,
  [SMALL_STATE(2648)] = 7253,
  [SMALL_STATE(2649)] = 7324,
  [SMALL_STATE(2650)] = 7395,
  [SMALL_STATE(2651)] = 7466,
  [SMALL_STATE(2652)] = 7537,
  [SMALL_STATE(2653)] = 7608,
  [SMALL_STATE(2654)] = 7687,
  [SMALL_STATE(2655)] = 7762,
  [SMALL_STATE(2656)] = 7833,
  [SMALL_STATE(2657)] = 7904,
  [SMALL_STATE(2658)] = 7975,
  [SMALL_STATE(2659)] = 8098,
  [SMALL_STATE(2660)] = 8169,
  [SMALL_STATE(2661)] = 8240,
  [SMALL_STATE(2662)] = 8311,
  [SMALL_STATE(2663)] = 8386,
  [SMALL_STATE(2664)] = 8457,
  [SMALL_STATE(2665)] = 8528,
  [SMALL_STATE(2666)] = 8599,
  [SMALL_STATE(2667)] = 8678,
  [SMALL_STATE(2668)] = 8749,
  [SMALL_STATE(2669)] = 8828,
  [SMALL_STATE(2670)] = 8903,
  [SMALL_STATE(2671)] = 8974,
  [SMALL_STATE(2672)] = 9045,
  [SMALL_STATE(2673)] = 9116,
  [SMALL_STATE(2674)] = 9189,
  [SMALL_STATE(2675)] = 9266,
  [SMALL_STATE(2676)] = 9337,
  [SMALL_STATE(2677)] = 9408,
  [SMALL_STATE(2678)] = 9479,
  [SMALL_STATE(2679)] = 9556,
  [SMALL_STATE(2680)] = 9627,
  [SMALL_STATE(2681)] = 9698,
  [SMALL_STATE(2682)] = 9769,
  [SMALL_STATE(2683)] = 9840,
  [SMALL_STATE(2684)] = 9911,
  [SMALL_STATE(2685)] = 9982,
  [SMALL_STATE(2686)] = 10053,
  [SMALL_STATE(2687)] = 10124,
  [SMALL_STATE(2688)] = 10195,
  [SMALL_STATE(2689)] = 10282,
  [SMALL_STATE(2690)] = 10353,
  [SMALL_STATE(2691)] = 10428,
  [SMALL_STATE(2692)] = 10499,
  [SMALL_STATE(2693)] = 10570,
  [SMALL_STATE(2694)] = 10641,
  [SMALL_STATE(2695)] = 10712,
  [SMALL_STATE(2696)] = 10783,
  [SMALL_STATE(2697)] = 10854,
  [SMALL_STATE(2698)] = 10925,
  [SMALL_STATE(2699)] = 10996,
  [SMALL_STATE(2700)] = 11067,
  [SMALL_STATE(2701)] = 11138,
  [SMALL_STATE(2702)] = 11209,
  [SMALL_STATE(2703)] = 11280,
  [SMALL_STATE(2704)] = 11351,
  [SMALL_STATE(2705)] = 11422,
  [SMALL_STATE(2706)] = 11493,
  [SMALL_STATE(2707)] = 11564,
  [SMALL_STATE(2708)] = 11635,
  [SMALL_STATE(2709)] = 11706,
  [SMALL_STATE(2710)] = 11777,
  [SMALL_STATE(2711)] = 11848,
  [SMALL_STATE(2712)] = 11919,
  [SMALL_STATE(2713)] = 11990,
  [SMALL_STATE(2714)] = 12061,
  [SMALL_STATE(2715)] = 12132,
  [SMALL_STATE(2716)] = 12203,
  [SMALL_STATE(2717)] = 12274,
  [SMALL_STATE(2718)] = 12345,
  [SMALL_STATE(2719)] = 12416,
  [SMALL_STATE(2720)] = 12487,
  [SMALL_STATE(2721)] = 12558,
  [SMALL_STATE(2722)] = 12629,
  [SMALL_STATE(2723)] = 12700,
  [SMALL_STATE(2724)] = 12771,
  [SMALL_STATE(2725)] = 12842,
  [SMALL_STATE(2726)] = 12913,
  [SMALL_STATE(2727)] = 12984,
  [SMALL_STATE(2728)] = 13055,
  [SMALL_STATE(2729)] = 13126,
  [SMALL_STATE(2730)] = 13197,
  [SMALL_STATE(2731)] = 13268,
  [SMALL_STATE(2732)] = 13339,
  [SMALL_STATE(2733)] = 13410,
  [SMALL_STATE(2734)] = 13481,
  [SMALL_STATE(2735)] = 13552,
  [SMALL_STATE(2736)] = 13623,
  [SMALL_STATE(2737)] = 13694,
  [SMALL_STATE(2738)] = 13765,
  [SMALL_STATE(2739)] = 13836,
  [SMALL_STATE(2740)] = 13907,
  [SMALL_STATE(2741)] = 13978,
  [SMALL_STATE(2742)] = 14049,
  [SMALL_STATE(2743)] = 14120,
  [SMALL_STATE(2744)] = 14191,
  [SMALL_STATE(2745)] = 14262,
  [SMALL_STATE(2746)] = 14333,
  [SMALL_STATE(2747)] = 14408,
  [SMALL_STATE(2748)] = 14479,
  [SMALL_STATE(2749)] = 14550,
  [SMALL_STATE(2750)] = 14629,
  [SMALL_STATE(2751)] = 14703,
  [SMALL_STATE(2752)] = 14789,
  [SMALL_STATE(2753)] = 14859,
  [SMALL_STATE(2754)] = 14929,
  [SMALL_STATE(2755)] = 15011,
  [SMALL_STATE(2756)] = 15081,
  [SMALL_STATE(2757)] = 15151,
  [SMALL_STATE(2758)] = 15225,
  [SMALL_STATE(2759)] = 15295,
  [SMALL_STATE(2760)] = 15365,
  [SMALL_STATE(2761)] = 15441,
  [SMALL_STATE(2762)] = 15511,
  [SMALL_STATE(2763)] = 15585,
  [SMALL_STATE(2764)] = 15669,
  [SMALL_STATE(2765)] = 15753,
  [SMALL_STATE(2766)] = 15823,
  [SMALL_STATE(2767)] = 15893,
  [SMALL_STATE(2768)] = 15965,
  [SMALL_STATE(2769)] = 16035,
  [SMALL_STATE(2770)] = 16105,
  [SMALL_STATE(2771)] = 16175,
  [SMALL_STATE(2772)] = 16245,
  [SMALL_STATE(2773)] = 16323,
  [SMALL_STATE(2774)] = 16399,
  [SMALL_STATE(2775)] = 16473,
  [SMALL_STATE(2776)] = 16543,
  [SMALL_STATE(2777)] = 16613,
  [SMALL_STATE(2778)] = 16687,
  [SMALL_STATE(2779)] = 16761,
  [SMALL_STATE(2780)] = 16835,
  [SMALL_STATE(2781)] = 16909,
  [SMALL_STATE(2782)] = 16979,
  [SMALL_STATE(2783)] = 17055,
  [SMALL_STATE(2784)] = 17133,
  [SMALL_STATE(2785)] = 17217,
  [SMALL_STATE(2786)] = 17287,
  [SMALL_STATE(2787)] = 17361,
  [SMALL_STATE(2788)] = 17435,
  [SMALL_STATE(2789)] = 17509,
  [SMALL_STATE(2790)] = 17587,
  [SMALL_STATE(2791)] = 17657,
  [SMALL_STATE(2792)] = 17727,
  [SMALL_STATE(2793)] = 17797,
  [SMALL_STATE(2794)] = 17867,
  [SMALL_STATE(2795)] = 17937,
  [SMALL_STATE(2796)] = 18007,
  [SMALL_STATE(2797)] = 18079,
  [SMALL_STATE(2798)] = 18149,
  [SMALL_STATE(2799)] = 18219,
  [SMALL_STATE(2800)] = 18289,
  [SMALL_STATE(2801)] = 18359,
  [SMALL_STATE(2802)] = 18431,
  [SMALL_STATE(2803)] = 18501,
  [SMALL_STATE(2804)] = 18571,
  [SMALL_STATE(2805)] = 18641,
  [SMALL_STATE(2806)] = 18725,
  [SMALL_STATE(2807)] = 18797,
  [SMALL_STATE(2808)] = 18867,
  [SMALL_STATE(2809)] = 18941,
  [SMALL_STATE(2810)] = 19011,
  [SMALL_STATE(2811)] = 19081,
  [SMALL_STATE(2812)] = 19151,
  [SMALL_STATE(2813)] = 19221,
  [SMALL_STATE(2814)] = 19299,
  [SMALL_STATE(2815)] = 19375,
  [SMALL_STATE(2816)] = 19445,
  [SMALL_STATE(2817)] = 19529,
  [SMALL_STATE(2818)] = 19611,
  [SMALL_STATE(2819)] = 19680,
  [SMALL_STATE(2820)] = 19751,
  [SMALL_STATE(2821)] = 19820,
  [SMALL_STATE(2822)] = 19889,
  [SMALL_STATE(2823)] = 19958,
  [SMALL_STATE(2824)] = 20027,
  [SMALL_STATE(2825)] = 20096,
  [SMALL_STATE(2826)] = 20165,
  [SMALL_STATE(2827)] = 20234,
  [SMALL_STATE(2828)] = 20303,
  [SMALL_STATE(2829)] = 20372,
  [SMALL_STATE(2830)] = 20447,
  [SMALL_STATE(2831)] = 20524,
  [SMALL_STATE(2832)] = 20593,
  [SMALL_STATE(2833)] = 20662,
  [SMALL_STATE(2834)] = 20731,
  [SMALL_STATE(2835)] = 20800,
  [SMALL_STATE(2836)] = 20869,
  [SMALL_STATE(2837)] = 20938,
  [SMALL_STATE(2838)] = 21007,
  [SMALL_STATE(2839)] = 21076,
  [SMALL_STATE(2840)] = 21145,
  [SMALL_STATE(2841)] = 21214,
  [SMALL_STATE(2842)] = 21283,
  [SMALL_STATE(2843)] = 21352,
  [SMALL_STATE(2844)] = 21421,
  [SMALL_STATE(2845)] = 21490,
  [SMALL_STATE(2846)] = 21559,
  [SMALL_STATE(2847)] = 21628,
  [SMALL_STATE(2848)] = 21697,
  [SMALL_STATE(2849)] = 21766,
  [SMALL_STATE(2850)] = 21835,
  [SMALL_STATE(2851)] = 21904,
  [SMALL_STATE(2852)] = 21985,
  [SMALL_STATE(2853)] = 22054,
  [SMALL_STATE(2854)] = 22123,
  [SMALL_STATE(2855)] = 22192,
  [SMALL_STATE(2856)] = 22261,
  [SMALL_STATE(2857)] = 22330,
  [SMALL_STATE(2858)] = 22399,
  [SMALL_STATE(2859)] = 22468,
  [SMALL_STATE(2860)] = 22537,
  [SMALL_STATE(2861)] = 22606,
  [SMALL_STATE(2862)] = 22675,
  [SMALL_STATE(2863)] = 22744,
  [SMALL_STATE(2864)] = 22813,
  [SMALL_STATE(2865)] = 22882,
  [SMALL_STATE(2866)] = 22951,
  [SMALL_STATE(2867)] = 23020,
  [SMALL_STATE(2868)] = 23097,
  [SMALL_STATE(2869)] = 23166,
  [SMALL_STATE(2870)] = 23235,
  [SMALL_STATE(2871)] = 23304,
  [SMALL_STATE(2872)] = 23373,
  [SMALL_STATE(2873)] = 23442,
  [SMALL_STATE(2874)] = 23563,
  [SMALL_STATE(2875)] = 23632,
  [SMALL_STATE(2876)] = 23709,
  [SMALL_STATE(2877)] = 23830,
  [SMALL_STATE(2878)] = 23915,
  [SMALL_STATE(2879)] = 23984,
  [SMALL_STATE(2880)] = 24053,
  [SMALL_STATE(2881)] = 24122,
  [SMALL_STATE(2882)] = 24195,
  [SMALL_STATE(2883)] = 24264,
  [SMALL_STATE(2884)] = 24333,
  [SMALL_STATE(2885)] = 24414,
  [SMALL_STATE(2886)] = 24483,
  [SMALL_STATE(2887)] = 24552,
  [SMALL_STATE(2888)] = 24629,
  [SMALL_STATE(2889)] = 24698,
  [SMALL_STATE(2890)] = 24767,
  [SMALL_STATE(2891)] = 24836,
  [SMALL_STATE(2892)] = 24915,
  [SMALL_STATE(2893)] = 24984,
  [SMALL_STATE(2894)] = 25053,
  [SMALL_STATE(2895)] = 25126,
  [SMALL_STATE(2896)] = 25195,
  [SMALL_STATE(2897)] = 25264,
  [SMALL_STATE(2898)] = 25341,
  [SMALL_STATE(2899)] = 25410,
  [SMALL_STATE(2900)] = 25483,
  [SMALL_STATE(2901)] = 25560,
  [SMALL_STATE(2902)] = 25629,
  [SMALL_STATE(2903)] = 25698,
  [SMALL_STATE(2904)] = 25767,
  [SMALL_STATE(2905)] = 25836,
  [SMALL_STATE(2906)] = 25905,
  [SMALL_STATE(2907)] = 25974,
  [SMALL_STATE(2908)] = 26043,
  [SMALL_STATE(2909)] = 26112,
  [SMALL_STATE(2910)] = 26181,
  [SMALL_STATE(2911)] = 26250,
  [SMALL_STATE(2912)] = 26319,
  [SMALL_STATE(2913)] = 26388,
  [SMALL_STATE(2914)] = 26457,
  [SMALL_STATE(2915)] = 26534,
  [SMALL_STATE(2916)] = 26603,
  [SMALL_STATE(2917)] = 26684,
  [SMALL_STATE(2918)] = 26753,
  [SMALL_STATE(2919)] = 26822,
  [SMALL_STATE(2920)] = 26891,
  [SMALL_STATE(2921)] = 26960,
  [SMALL_STATE(2922)] = 27029,
  [SMALL_STATE(2923)] = 27110,
  [SMALL_STATE(2924)] = 27181,
  [SMALL_STATE(2925)] = 27250,
  [SMALL_STATE(2926)] = 27321,
  [SMALL_STATE(2927)] = 27393,
  [SMALL_STATE(2928)] = 27461,
  [SMALL_STATE(2929)] = 27581,
  [SMALL_STATE(2930)] = 27665,
  [SMALL_STATE(2931)] = 27737,
  [SMALL_STATE(2932)] = 27813,
  [SMALL_STATE(2933)] = 27885,
  [SMALL_STATE(2934)] = 27957,
  [SMALL_STATE(2935)] = 28029,
  [SMALL_STATE(2936)] = 28101,
  [SMALL_STATE(2937)] = 28173,
  [SMALL_STATE(2938)] = 28245,
  [SMALL_STATE(2939)] = 28329,
  [SMALL_STATE(2940)] = 28403,
  [SMALL_STATE(2941)] = 28479,
  [SMALL_STATE(2942)] = 28547,
  [SMALL_STATE(2943)] = 28619,
  [SMALL_STATE(2944)] = 28691,
  [SMALL_STATE(2945)] = 28763,
  [SMALL_STATE(2946)] = 28831,
  [SMALL_STATE(2947)] = 28903,
  [SMALL_STATE(2948)] = 28975,
  [SMALL_STATE(2949)] = 29043,
  [SMALL_STATE(2950)] = 29121,
  [SMALL_STATE(2951)] = 29193,
  [SMALL_STATE(2952)] = 29265,
  [SMALL_STATE(2953)] = 29337,
  [SMALL_STATE(2954)] = 29409,
  [SMALL_STATE(2955)] = 29481,
  [SMALL_STATE(2956)] = 29565,
  [SMALL_STATE(2957)] = 29639,
  [SMALL_STATE(2958)] = 29707,
  [SMALL_STATE(2959)] = 29791,
  [SMALL_STATE(2960)] = 29863,
  [SMALL_STATE(2961)] = 29935,
  [SMALL_STATE(2962)] = 30003,
  [SMALL_STATE(2963)] = 30075,
  [SMALL_STATE(2964)] = 30159,
  [SMALL_STATE(2965)] = 30231,
  [SMALL_STATE(2966)] = 30299,
  [SMALL_STATE(2967)] = 30367,
  [SMALL_STATE(2968)] = 30443,
  [SMALL_STATE(2969)] = 30515,
  [SMALL_STATE(2970)] = 30587,
  [SMALL_STATE(2971)] = 30659,
  [SMALL_STATE(2972)] = 30731,
  [SMALL_STATE(2973)] = 30798,
  [SMALL_STATE(2974)] = 30877,
  [SMALL_STATE(2975)] = 30956,
  [SMALL_STATE(2976)] = 31039,
  [SMALL_STATE(2977)] = 31110,
  [SMALL_STATE(2978)] = 31181,
  [SMALL_STATE(2979)] = 31254,
  [SMALL_STATE(2980)] = 31325,
  [SMALL_STATE(2981)] = 31396,
  [SMALL_STATE(2982)] = 31463,
  [SMALL_STATE(2983)] = 31536,
  [SMALL_STATE(2984)] = 31605,
  [SMALL_STATE(2985)] = 31676,
  [SMALL_STATE(2986)] = 31747,
  [SMALL_STATE(2987)] = 31820,
  [SMALL_STATE(2988)] = 31891,
  [SMALL_STATE(2989)] = 31966,
  [SMALL_STATE(2990)] = 32033,
  [SMALL_STATE(2991)] = 32104,
  [SMALL_STATE(2992)] = 32179,
  [SMALL_STATE(2993)] = 32246,
  [SMALL_STATE(2994)] = 32317,
  [SMALL_STATE(2995)] = 32384,
  [SMALL_STATE(2996)] = 32459,
  [SMALL_STATE(2997)] = 32534,
  [SMALL_STATE(2998)] = 32603,
  [SMALL_STATE(2999)] = 32670,
  [SMALL_STATE(3000)] = 32741,
  [SMALL_STATE(3001)] = 32810,
  [SMALL_STATE(3002)] = 32880,
  [SMALL_STATE(3003)] = 32962,
  [SMALL_STATE(3004)] = 33028,
  [SMALL_STATE(3005)] = 33098,
  [SMALL_STATE(3006)] = 33168,
  [SMALL_STATE(3007)] = 33234,
  [SMALL_STATE(3008)] = 33304,
  [SMALL_STATE(3009)] = 33386,
  [SMALL_STATE(3010)] = 33452,
  [SMALL_STATE(3011)] = 33522,
  [SMALL_STATE(3012)] = 33600,
  [SMALL_STATE(3013)] = 33670,
  [SMALL_STATE(3014)] = 33752,
  [SMALL_STATE(3015)] = 33822,
  [SMALL_STATE(3016)] = 33888,
  [SMALL_STATE(3017)] = 33958,
  [SMALL_STATE(3018)] = 34026,
  [SMALL_STATE(3019)] = 34108,
  [SMALL_STATE(3020)] = 34180,
  [SMALL_STATE(3021)] = 34248,
  [SMALL_STATE(3022)] = 34318,
  [SMALL_STATE(3023)] = 34390,
  [SMALL_STATE(3024)] = 34460,
  [SMALL_STATE(3025)] = 34538,
  [SMALL_STATE(3026)] = 34608,
  [SMALL_STATE(3027)] = 34678,
  [SMALL_STATE(3028)] = 34746,
  [SMALL_STATE(3029)] = 34822,
  [SMALL_STATE(3030)] = 34892,
  [SMALL_STATE(3031)] = 34962,
  [SMALL_STATE(3032)] = 35027,
  [SMALL_STATE(3033)] = 35098,
  [SMALL_STATE(3034)] = 35163,
  [SMALL_STATE(3035)] = 35230,
  [SMALL_STATE(3036)] = 35311,
  [SMALL_STATE(3037)] = 35376,
  [SMALL_STATE(3038)] = 35449,
  [SMALL_STATE(3039)] = 35516,
  [SMALL_STATE(3040)] = 35615,
  [SMALL_STATE(3041)] = 35716,
  [SMALL_STATE(3042)] = 35789,
  [SMALL_STATE(3043)] = 35854,
  [SMALL_STATE(3044)] = 35919,
  [SMALL_STATE(3045)] = 35988,
  [SMALL_STATE(3046)] = 36069,
  [SMALL_STATE(3047)] = 36174,
  [SMALL_STATE(3048)] = 36269,
  [SMALL_STATE(3049)] = 36382,
  [SMALL_STATE(3050)] = 36479,
  [SMALL_STATE(3051)] = 36544,
  [SMALL_STATE(3052)] = 36619,
  [SMALL_STATE(3053)] = 36728,
  [SMALL_STATE(3054)] = 36799,
  [SMALL_STATE(3055)] = 36864,
  [SMALL_STATE(3056)] = 36955,
  [SMALL_STATE(3057)] = 37030,
  [SMALL_STATE(3058)] = 37113,
  [SMALL_STATE(3059)] = 37200,
  [SMALL_STATE(3060)] = 37265,
  [SMALL_STATE(3061)] = 37374,
  [SMALL_STATE(3062)] = 37441,
  [SMALL_STATE(3063)] = 37506,
  [SMALL_STATE(3064)] = 37577,
  [SMALL_STATE(3065)] = 37642,
  [SMALL_STATE(3066)] = 37711,
  [SMALL_STATE(3067)] = 37776,
  [SMALL_STATE(3068)] = 37861,
  [SMALL_STATE(3069)] = 37926,
  [SMALL_STATE(3070)] = 37993,
  [SMALL_STATE(3071)] = 38058,
  [SMALL_STATE(3072)] = 38127,
  [SMALL_STATE(3073)] = 38192,
  [SMALL_STATE(3074)] = 38261,
  [SMALL_STATE(3075)] = 38342,
  [SMALL_STATE(3076)] = 38407,
  [SMALL_STATE(3077)] = 38472,
  [SMALL_STATE(3078)] = 38541,
  [SMALL_STATE(3079)] = 38614,
  [SMALL_STATE(3080)] = 38683,
  [SMALL_STATE(3081)] = 38756,
  [SMALL_STATE(3082)] = 38821,
  [SMALL_STATE(3083)] = 38886,
  [SMALL_STATE(3084)] = 38951,
  [SMALL_STATE(3085)] = 39032,
  [SMALL_STATE(3086)] = 39113,
  [SMALL_STATE(3087)] = 39188,
  [SMALL_STATE(3088)] = 39253,
  [SMALL_STATE(3089)] = 39362,
  [SMALL_STATE(3090)] = 39475,
  [SMALL_STATE(3091)] = 39540,
  [SMALL_STATE(3092)] = 39605,
  [SMALL_STATE(3093)] = 39674,
  [SMALL_STATE(3094)] = 39749,
  [SMALL_STATE(3095)] = 39862,
  [SMALL_STATE(3096)] = 39971,
  [SMALL_STATE(3097)] = 40036,
  [SMALL_STATE(3098)] = 40100,
  [SMALL_STATE(3099)] = 40164,
  [SMALL_STATE(3100)] = 40232,
  [SMALL_STATE(3101)] = 40300,
  [SMALL_STATE(3102)] = 40364,
  [SMALL_STATE(3103)] = 40428,
  [SMALL_STATE(3104)] = 40496,
  [SMALL_STATE(3105)] = 40564,
  [SMALL_STATE(3106)] = 40630,
  [SMALL_STATE(3107)] = 40698,
  [SMALL_STATE(3108)] = 40764,
  [SMALL_STATE(3109)] = 40832,
  [SMALL_STATE(3110)] = 40900,
  [SMALL_STATE(3111)] = 40968,
  [SMALL_STATE(3112)] = 41032,
  [SMALL_STATE(3113)] = 41102,
  [SMALL_STATE(3114)] = 41166,
  [SMALL_STATE(3115)] = 41230,
  [SMALL_STATE(3116)] = 41298,
  [SMALL_STATE(3117)] = 41366,
  [SMALL_STATE(3118)] = 41438,
  [SMALL_STATE(3119)] = 41506,
  [SMALL_STATE(3120)] = 41574,
  [SMALL_STATE(3121)] = 41644,
  [SMALL_STATE(3122)] = 41714,
  [SMALL_STATE(3123)] = 41782,
  [SMALL_STATE(3124)] = 41850,
  [SMALL_STATE(3125)] = 41914,
  [SMALL_STATE(3126)] = 41978,
  [SMALL_STATE(3127)] = 42042,
  [SMALL_STATE(3128)] = 42110,
  [SMALL_STATE(3129)] = 42174,
  [SMALL_STATE(3130)] = 42238,
  [SMALL_STATE(3131)] = 42302,
  [SMALL_STATE(3132)] = 42366,
  [SMALL_STATE(3133)] = 42430,
  [SMALL_STATE(3134)] = 42494,
  [SMALL_STATE(3135)] = 42562,
  [SMALL_STATE(3136)] = 42626,
  [SMALL_STATE(3137)] = 42690,
  [SMALL_STATE(3138)] = 42754,
  [SMALL_STATE(3139)] = 42818,
  [SMALL_STATE(3140)] = 42882,
  [SMALL_STATE(3141)] = 42946,
  [SMALL_STATE(3142)] = 43014,
  [SMALL_STATE(3143)] = 43078,
  [SMALL_STATE(3144)] = 43142,
  [SMALL_STATE(3145)] = 43212,
  [SMALL_STATE(3146)] = 43276,
  [SMALL_STATE(3147)] = 43340,
  [SMALL_STATE(3148)] = 43404,
  [SMALL_STATE(3149)] = 43476,
  [SMALL_STATE(3150)] = 43542,
  [SMALL_STATE(3151)] = 43610,
  [SMALL_STATE(3152)] = 43678,
  [SMALL_STATE(3153)] = 43742,
  [SMALL_STATE(3154)] = 43818,
  [SMALL_STATE(3155)] = 43882,
  [SMALL_STATE(3156)] = 43946,
  [SMALL_STATE(3157)] = 44010,
  [SMALL_STATE(3158)] = 44074,
  [SMALL_STATE(3159)] = 44138,
  [SMALL_STATE(3160)] = 44202,
  [SMALL_STATE(3161)] = 44266,
  [SMALL_STATE(3162)] = 44330,
  [SMALL_STATE(3163)] = 44394,
  [SMALL_STATE(3164)] = 44462,
  [SMALL_STATE(3165)] = 44526,
  [SMALL_STATE(3166)] = 44594,
  [SMALL_STATE(3167)] = 44658,
  [SMALL_STATE(3168)] = 44722,
  [SMALL_STATE(3169)] = 44786,
  [SMALL_STATE(3170)] = 44850,
  [SMALL_STATE(3171)] = 44914,
  [SMALL_STATE(3172)] = 44978,
  [SMALL_STATE(3173)] = 45042,
  [SMALL_STATE(3174)] = 45106,
  [SMALL_STATE(3175)] = 45174,
  [SMALL_STATE(3176)] = 45238,
  [SMALL_STATE(3177)] = 45302,
  [SMALL_STATE(3178)] = 45374,
  [SMALL_STATE(3179)] = 45438,
  [SMALL_STATE(3180)] = 45502,
  [SMALL_STATE(3181)] = 45566,
  [SMALL_STATE(3182)] = 45630,
  [SMALL_STATE(3183)] = 45698,
  [SMALL_STATE(3184)] = 45766,
  [SMALL_STATE(3185)] = 45830,
  [SMALL_STATE(3186)] = 45898,
  [SMALL_STATE(3187)] = 45964,
  [SMALL_STATE(3188)] = 46028,
  [SMALL_STATE(3189)] = 46092,
  [SMALL_STATE(3190)] = 46156,
  [SMALL_STATE(3191)] = 46220,
  [SMALL_STATE(3192)] = 46284,
  [SMALL_STATE(3193)] = 46352,
  [SMALL_STATE(3194)] = 46416,
  [SMALL_STATE(3195)] = 46480,
  [SMALL_STATE(3196)] = 46546,
  [SMALL_STATE(3197)] = 46610,
  [SMALL_STATE(3198)] = 46674,
  [SMALL_STATE(3199)] = 46738,
  [SMALL_STATE(3200)] = 46804,
  [SMALL_STATE(3201)] = 46868,
  [SMALL_STATE(3202)] = 46932,
  [SMALL_STATE(3203)] = 46996,
  [SMALL_STATE(3204)] = 47060,
  [SMALL_STATE(3205)] = 47128,
  [SMALL_STATE(3206)] = 47196,
  [SMALL_STATE(3207)] = 47260,
  [SMALL_STATE(3208)] = 47328,
  [SMALL_STATE(3209)] = 47394,
  [SMALL_STATE(3210)] = 47460,
  [SMALL_STATE(3211)] = 47536,
  [SMALL_STATE(3212)] = 47600,
  [SMALL_STATE(3213)] = 47664,
  [SMALL_STATE(3214)] = 47728,
  [SMALL_STATE(3215)] = 47792,
  [SMALL_STATE(3216)] = 47856,
  [SMALL_STATE(3217)] = 47920,
  [SMALL_STATE(3218)] = 47984,
  [SMALL_STATE(3219)] = 48048,
  [SMALL_STATE(3220)] = 48114,
  [SMALL_STATE(3221)] = 48178,
  [SMALL_STATE(3222)] = 48242,
  [SMALL_STATE(3223)] = 48308,
  [SMALL_STATE(3224)] = 48374,
  [SMALL_STATE(3225)] = 48438,
  [SMALL_STATE(3226)] = 48504,
  [SMALL_STATE(3227)] = 48568,
  [SMALL_STATE(3228)] = 48636,
  [SMALL_STATE(3229)] = 48704,
  [SMALL_STATE(3230)] = 48772,
  [SMALL_STATE(3231)] = 48839,
  [SMALL_STATE(3232)] = 48902,
  [SMALL_STATE(3233)] = 48965,
  [SMALL_STATE(3234)] = 49126,
  [SMALL_STATE(3235)] = 49189,
  [SMALL_STATE(3236)] = 49266,
  [SMALL_STATE(3237)] = 49375,
  [SMALL_STATE(3238)] = 49452,
  [SMALL_STATE(3239)] = 49515,
  [SMALL_STATE(3240)] = 49600,
  [SMALL_STATE(3241)] = 49667,
  [SMALL_STATE(3242)] = 49740,
  [SMALL_STATE(3243)] = 49819,
  [SMALL_STATE(3244)] = 49932,
  [SMALL_STATE(3245)] = 50001,
  [SMALL_STATE(3246)] = 50068,
  [SMALL_STATE(3247)] = 50147,
  [SMALL_STATE(3248)] = 50210,
  [SMALL_STATE(3249)] = 50289,
  [SMALL_STATE(3250)] = 50352,
  [SMALL_STATE(3251)] = 50513,
  [SMALL_STATE(3252)] = 50578,
  [SMALL_STATE(3253)] = 50653,
  [SMALL_STATE(3254)] = 50716,
  [SMALL_STATE(3255)] = 50781,
  [SMALL_STATE(3256)] = 50888,
  [SMALL_STATE(3257)] = 50967,
  [SMALL_STATE(3258)] = 51030,
  [SMALL_STATE(3259)] = 51143,
  [SMALL_STATE(3260)] = 51220,
  [SMALL_STATE(3261)] = 51305,
  [SMALL_STATE(3262)] = 51414,
  [SMALL_STATE(3263)] = 51487,
  [SMALL_STATE(3264)] = 51556,
  [SMALL_STATE(3265)] = 51635,
  [SMALL_STATE(3266)] = 51702,
  [SMALL_STATE(3267)] = 51765,
  [SMALL_STATE(3268)] = 51870,
  [SMALL_STATE(3269)] = 51981,
  [SMALL_STATE(3270)] = 52044,
  [SMALL_STATE(3271)] = 52145,
  [SMALL_STATE(3272)] = 52248,
  [SMALL_STATE(3273)] = 52347,
  [SMALL_STATE(3274)] = 52444,
  [SMALL_STATE(3275)] = 52539,
  [SMALL_STATE(3276)] = 52620,
  [SMALL_STATE(3277)] = 52781,
  [SMALL_STATE(3278)] = 52878,
  [SMALL_STATE(3279)] = 52969,
  [SMALL_STATE(3280)] = 53032,
  [SMALL_STATE(3281)] = 53121,
  [SMALL_STATE(3282)] = 53206,
  [SMALL_STATE(3283)] = 53287,
  [SMALL_STATE(3284)] = 53370,
  [SMALL_STATE(3285)] = 53465,
  [SMALL_STATE(3286)] = 53532,
  [SMALL_STATE(3287)] = 53625,
  [SMALL_STATE(3288)] = 53734,
  [SMALL_STATE(3289)] = 53801,
  [SMALL_STATE(3290)] = 53870,
  [SMALL_STATE(3291)] = 53947,
  [SMALL_STATE(3292)] = 54030,
  [SMALL_STATE(3293)] = 54099,
  [SMALL_STATE(3294)] = 54162,
  [SMALL_STATE(3295)] = 54233,
  [SMALL_STATE(3296)] = 54340,
  [SMALL_STATE(3297)] = 54429,
  [SMALL_STATE(3298)] = 54492,
  [SMALL_STATE(3299)] = 54577,
  [SMALL_STATE(3300)] = 54686,
  [SMALL_STATE(3301)] = 54753,
  [SMALL_STATE(3302)] = 54828,
  [SMALL_STATE(3303)] = 54935,
  [SMALL_STATE(3304)] = 54998,
  [SMALL_STATE(3305)] = 55109,
  [SMALL_STATE(3306)] = 55176,
  [SMALL_STATE(3307)] = 55243,
  [SMALL_STATE(3308)] = 55350,
  [SMALL_STATE(3309)] = 55457,
  [SMALL_STATE(3310)] = 55568,
  [SMALL_STATE(3311)] = 55635,
  [SMALL_STATE(3312)] = 55706,
  [SMALL_STATE(3313)] = 55785,
  [SMALL_STATE(3314)] = 55848,
  [SMALL_STATE(3315)] = 55921,
  [SMALL_STATE(3316)] = 56034,
  [SMALL_STATE(3317)] = 56195,
  [SMALL_STATE(3318)] = 56260,
  [SMALL_STATE(3319)] = 56327,
  [SMALL_STATE(3320)] = 56404,
  [SMALL_STATE(3321)] = 56477,
  [SMALL_STATE(3322)] = 56544,
  [SMALL_STATE(3323)] = 56609,
  [SMALL_STATE(3324)] = 56672,
  [SMALL_STATE(3325)] = 56737,
  [SMALL_STATE(3326)] = 56804,
  [SMALL_STATE(3327)] = 56871,
  [SMALL_STATE(3328)] = 56933,
  [SMALL_STATE(3329)] = 56999,
  [SMALL_STATE(3330)] = 57065,
  [SMALL_STATE(3331)] = 57127,
  [SMALL_STATE(3332)] = 57189,
  [SMALL_STATE(3333)] = 57251,
  [SMALL_STATE(3334)] = 57317,
  [SMALL_STATE(3335)] = 57379,
  [SMALL_STATE(3336)] = 57451,
  [SMALL_STATE(3337)] = 57517,
  [SMALL_STATE(3338)] = 57579,
  [SMALL_STATE(3339)] = 57641,
  [SMALL_STATE(3340)] = 57703,
  [SMALL_STATE(3341)] = 57765,
  [SMALL_STATE(3342)] = 57827,
  [SMALL_STATE(3343)] = 57889,
  [SMALL_STATE(3344)] = 57955,
  [SMALL_STATE(3345)] = 58017,
  [SMALL_STATE(3346)] = 58079,
  [SMALL_STATE(3347)] = 58141,
  [SMALL_STATE(3348)] = 58203,
  [SMALL_STATE(3349)] = 58265,
  [SMALL_STATE(3350)] = 58331,
  [SMALL_STATE(3351)] = 58395,
  [SMALL_STATE(3352)] = 58457,
  [SMALL_STATE(3353)] = 58519,
  [SMALL_STATE(3354)] = 58581,
  [SMALL_STATE(3355)] = 58643,
  [SMALL_STATE(3356)] = 58705,
  [SMALL_STATE(3357)] = 58767,
  [SMALL_STATE(3358)] = 58829,
  [SMALL_STATE(3359)] = 58891,
  [SMALL_STATE(3360)] = 58953,
  [SMALL_STATE(3361)] = 59021,
  [SMALL_STATE(3362)] = 59083,
  [SMALL_STATE(3363)] = 59145,
  [SMALL_STATE(3364)] = 59209,
  [SMALL_STATE(3365)] = 59271,
  [SMALL_STATE(3366)] = 59333,
  [SMALL_STATE(3367)] = 59395,
  [SMALL_STATE(3368)] = 59457,
  [SMALL_STATE(3369)] = 59519,
  [SMALL_STATE(3370)] = 59581,
  [SMALL_STATE(3371)] = 59643,
  [SMALL_STATE(3372)] = 59705,
  [SMALL_STATE(3373)] = 59771,
  [SMALL_STATE(3374)] = 59833,
  [SMALL_STATE(3375)] = 59895,
  [SMALL_STATE(3376)] = 59957,
  [SMALL_STATE(3377)] = 60019,
  [SMALL_STATE(3378)] = 60081,
  [SMALL_STATE(3379)] = 60143,
  [SMALL_STATE(3380)] = 60211,
  [SMALL_STATE(3381)] = 60275,
  [SMALL_STATE(3382)] = 60337,
  [SMALL_STATE(3383)] = 60399,
  [SMALL_STATE(3384)] = 60461,
  [SMALL_STATE(3385)] = 60523,
  [SMALL_STATE(3386)] = 60585,
  [SMALL_STATE(3387)] = 60655,
  [SMALL_STATE(3388)] = 60725,
  [SMALL_STATE(3389)] = 60787,
  [SMALL_STATE(3390)] = 60849,
  [SMALL_STATE(3391)] = 60911,
  [SMALL_STATE(3392)] = 60973,
  [SMALL_STATE(3393)] = 61035,
  [SMALL_STATE(3394)] = 61103,
  [SMALL_STATE(3395)] = 61165,
  [SMALL_STATE(3396)] = 61237,
  [SMALL_STATE(3397)] = 61299,
  [SMALL_STATE(3398)] = 61361,
  [SMALL_STATE(3399)] = 61423,
  [SMALL_STATE(3400)] = 61485,
  [SMALL_STATE(3401)] = 61547,
  [SMALL_STATE(3402)] = 61609,
  [SMALL_STATE(3403)] = 61675,
  [SMALL_STATE(3404)] = 61741,
  [SMALL_STATE(3405)] = 61803,
  [SMALL_STATE(3406)] = 61865,
  [SMALL_STATE(3407)] = 61927,
  [SMALL_STATE(3408)] = 61989,
  [SMALL_STATE(3409)] = 62051,
  [SMALL_STATE(3410)] = 62113,
  [SMALL_STATE(3411)] = 62175,
  [SMALL_STATE(3412)] = 62237,
  [SMALL_STATE(3413)] = 62299,
  [SMALL_STATE(3414)] = 62361,
  [SMALL_STATE(3415)] = 62423,
  [SMALL_STATE(3416)] = 62489,
  [SMALL_STATE(3417)] = 62559,
  [SMALL_STATE(3418)] = 62623,
  [SMALL_STATE(3419)] = 62693,
  [SMALL_STATE(3420)] = 62757,
  [SMALL_STATE(3421)] = 62827,
  [SMALL_STATE(3422)] = 62889,
  [SMALL_STATE(3423)] = 62951,
  [SMALL_STATE(3424)] = 63013,
  [SMALL_STATE(3425)] = 63075,
  [SMALL_STATE(3426)] = 63137,
  [SMALL_STATE(3427)] = 63199,
  [SMALL_STATE(3428)] = 63261,
  [SMALL_STATE(3429)] = 63323,
  [SMALL_STATE(3430)] = 63385,
  [SMALL_STATE(3431)] = 63447,
  [SMALL_STATE(3432)] = 63515,
  [SMALL_STATE(3433)] = 63577,
  [SMALL_STATE(3434)] = 63645,
  [SMALL_STATE(3435)] = 63707,
  [SMALL_STATE(3436)] = 63771,
  [SMALL_STATE(3437)] = 63833,
  [SMALL_STATE(3438)] = 63895,
  [SMALL_STATE(3439)] = 63957,
  [SMALL_STATE(3440)] = 64019,
  [SMALL_STATE(3441)] = 64081,
  [SMALL_STATE(3442)] = 64143,
  [SMALL_STATE(3443)] = 64215,
  [SMALL_STATE(3444)] = 64277,
  [SMALL_STATE(3445)] = 64339,
  [SMALL_STATE(3446)] = 64401,
  [SMALL_STATE(3447)] = 64473,
  [SMALL_STATE(3448)] = 64535,
  [SMALL_STATE(3449)] = 64597,
  [SMALL_STATE(3450)] = 64659,
  [SMALL_STATE(3451)] = 64721,
  [SMALL_STATE(3452)] = 64783,
  [SMALL_STATE(3453)] = 64845,
  [SMALL_STATE(3454)] = 64907,
  [SMALL_STATE(3455)] = 64972,
  [SMALL_STATE(3456)] = 65033,
  [SMALL_STATE(3457)] = 65094,
  [SMALL_STATE(3458)] = 65205,
  [SMALL_STATE(3459)] = 65266,
  [SMALL_STATE(3460)] = 65327,
  [SMALL_STATE(3461)] = 65388,
  [SMALL_STATE(3462)] = 65449,
  [SMALL_STATE(3463)] = 65510,
  [SMALL_STATE(3464)] = 65589,
  [SMALL_STATE(3465)] = 65650,
  [SMALL_STATE(3466)] = 65717,
  [SMALL_STATE(3467)] = 65824,
  [SMALL_STATE(3468)] = 65885,
  [SMALL_STATE(3469)] = 65946,
  [SMALL_STATE(3470)] = 66009,
  [SMALL_STATE(3471)] = 66082,
  [SMALL_STATE(3472)] = 66193,
  [SMALL_STATE(3473)] = 66254,
  [SMALL_STATE(3474)] = 66319,
  [SMALL_STATE(3475)] = 66380,
  [SMALL_STATE(3476)] = 66441,
  [SMALL_STATE(3477)] = 66502,
  [SMALL_STATE(3478)] = 66563,
  [SMALL_STATE(3479)] = 66624,
  [SMALL_STATE(3480)] = 66699,
  [SMALL_STATE(3481)] = 66760,
  [SMALL_STATE(3482)] = 66821,
  [SMALL_STATE(3483)] = 66882,
  [SMALL_STATE(3484)] = 66943,
  [SMALL_STATE(3485)] = 67004,
  [SMALL_STATE(3486)] = 67065,
  [SMALL_STATE(3487)] = 67172,
  [SMALL_STATE(3488)] = 67245,
  [SMALL_STATE(3489)] = 67326,
  [SMALL_STATE(3490)] = 67431,
  [SMALL_STATE(3491)] = 67492,
  [SMALL_STATE(3492)] = 67599,
  [SMALL_STATE(3493)] = 67702,
  [SMALL_STATE(3494)] = 67763,
  [SMALL_STATE(3495)] = 67824,
  [SMALL_STATE(3496)] = 67931,
  [SMALL_STATE(3497)] = 68008,
  [SMALL_STATE(3498)] = 68069,
  [SMALL_STATE(3499)] = 68130,
  [SMALL_STATE(3500)] = 68241,
  [SMALL_STATE(3501)] = 68348,
  [SMALL_STATE(3502)] = 68411,
  [SMALL_STATE(3503)] = 68472,
  [SMALL_STATE(3504)] = 68549,
  [SMALL_STATE(3505)] = 68610,
  [SMALL_STATE(3506)] = 68671,
  [SMALL_STATE(3507)] = 68732,
  [SMALL_STATE(3508)] = 68797,
  [SMALL_STATE(3509)] = 68858,
  [SMALL_STATE(3510)] = 68923,
  [SMALL_STATE(3511)] = 69034,
  [SMALL_STATE(3512)] = 69099,
  [SMALL_STATE(3513)] = 69160,
  [SMALL_STATE(3514)] = 69225,
  [SMALL_STATE(3515)] = 69290,
  [SMALL_STATE(3516)] = 69351,
  [SMALL_STATE(3517)] = 69412,
  [SMALL_STATE(3518)] = 69473,
  [SMALL_STATE(3519)] = 69534,
  [SMALL_STATE(3520)] = 69595,
  [SMALL_STATE(3521)] = 69656,
  [SMALL_STATE(3522)] = 69763,
  [SMALL_STATE(3523)] = 69840,
  [SMALL_STATE(3524)] = 69905,
  [SMALL_STATE(3525)] = 70012,
  [SMALL_STATE(3526)] = 70083,
  [SMALL_STATE(3527)] = 70144,
  [SMALL_STATE(3528)] = 70205,
  [SMALL_STATE(3529)] = 70272,
  [SMALL_STATE(3530)] = 70333,
  [SMALL_STATE(3531)] = 70398,
  [SMALL_STATE(3532)] = 70459,
  [SMALL_STATE(3533)] = 70520,
  [SMALL_STATE(3534)] = 70581,
  [SMALL_STATE(3535)] = 70692,
  [SMALL_STATE(3536)] = 70757,
  [SMALL_STATE(3537)] = 70822,
  [SMALL_STATE(3538)] = 70883,
  [SMALL_STATE(3539)] = 70948,
  [SMALL_STATE(3540)] = 71017,
  [SMALL_STATE(3541)] = 71078,
  [SMALL_STATE(3542)] = 71139,
  [SMALL_STATE(3543)] = 71204,
  [SMALL_STATE(3544)] = 71265,
  [SMALL_STATE(3545)] = 71330,
  [SMALL_STATE(3546)] = 71397,
  [SMALL_STATE(3547)] = 71458,
  [SMALL_STATE(3548)] = 71519,
  [SMALL_STATE(3549)] = 71580,
  [SMALL_STATE(3550)] = 71641,
  [SMALL_STATE(3551)] = 71702,
  [SMALL_STATE(3552)] = 71779,
  [SMALL_STATE(3553)] = 71854,
  [SMALL_STATE(3554)] = 71915,
  [SMALL_STATE(3555)] = 72018,
  [SMALL_STATE(3556)] = 72117,
  [SMALL_STATE(3557)] = 72178,
  [SMALL_STATE(3558)] = 72239,
  [SMALL_STATE(3559)] = 72300,
  [SMALL_STATE(3560)] = 72361,
  [SMALL_STATE(3561)] = 72422,
  [SMALL_STATE(3562)] = 72533,
  [SMALL_STATE(3563)] = 72632,
  [SMALL_STATE(3564)] = 72727,
  [SMALL_STATE(3565)] = 72820,
  [SMALL_STATE(3566)] = 72881,
  [SMALL_STATE(3567)] = 72942,
  [SMALL_STATE(3568)] = 73031,
  [SMALL_STATE(3569)] = 73092,
  [SMALL_STATE(3570)] = 73153,
  [SMALL_STATE(3571)] = 73240,
  [SMALL_STATE(3572)] = 73323,
  [SMALL_STATE(3573)] = 73384,
  [SMALL_STATE(3574)] = 73445,
  [SMALL_STATE(3575)] = 73506,
  [SMALL_STATE(3576)] = 73567,
  [SMALL_STATE(3577)] = 73662,
  [SMALL_STATE(3578)] = 73723,
  [SMALL_STATE(3579)] = 73784,
  [SMALL_STATE(3580)] = 73845,
  [SMALL_STATE(3581)] = 73906,
  [SMALL_STATE(3582)] = 73981,
  [SMALL_STATE(3583)] = 74042,
  [SMALL_STATE(3584)] = 74147,
  [SMALL_STATE(3585)] = 74208,
  [SMALL_STATE(3586)] = 74275,
  [SMALL_STATE(3587)] = 74336,
  [SMALL_STATE(3588)] = 74397,
  [SMALL_STATE(3589)] = 74458,
  [SMALL_STATE(3590)] = 74519,
  [SMALL_STATE(3591)] = 74594,
  [SMALL_STATE(3592)] = 74655,
  [SMALL_STATE(3593)] = 74724,
  [SMALL_STATE(3594)] = 74785,
  [SMALL_STATE(3595)] = 74846,
  [SMALL_STATE(3596)] = 74907,
  [SMALL_STATE(3597)] = 74968,
  [SMALL_STATE(3598)] = 75055,
  [SMALL_STATE(3599)] = 75116,
  [SMALL_STATE(3600)] = 75177,
  [SMALL_STATE(3601)] = 75244,
  [SMALL_STATE(3602)] = 75305,
  [SMALL_STATE(3603)] = 75366,
  [SMALL_STATE(3604)] = 75427,
  [SMALL_STATE(3605)] = 75488,
  [SMALL_STATE(3606)] = 75581,
  [SMALL_STATE(3607)] = 75642,
  [SMALL_STATE(3608)] = 75719,
  [SMALL_STATE(3609)] = 75784,
  [SMALL_STATE(3610)] = 75845,
  [SMALL_STATE(3611)] = 75934,
  [SMALL_STATE(3612)] = 75995,
  [SMALL_STATE(3613)] = 76056,
  [SMALL_STATE(3614)] = 76121,
  [SMALL_STATE(3615)] = 76186,
  [SMALL_STATE(3616)] = 76247,
  [SMALL_STATE(3617)] = 76308,
  [SMALL_STATE(3618)] = 76385,
  [SMALL_STATE(3619)] = 76446,
  [SMALL_STATE(3620)] = 76507,
  [SMALL_STATE(3621)] = 76590,
  [SMALL_STATE(3622)] = 76657,
  [SMALL_STATE(3623)] = 76718,
  [SMALL_STATE(3624)] = 76779,
  [SMALL_STATE(3625)] = 76840,
  [SMALL_STATE(3626)] = 76903,
  [SMALL_STATE(3627)] = 76982,
  [SMALL_STATE(3628)] = 77047,
  [SMALL_STATE(3629)] = 77108,
  [SMALL_STATE(3630)] = 77169,
  [SMALL_STATE(3631)] = 77244,
  [SMALL_STATE(3632)] = 77315,
  [SMALL_STATE(3633)] = 77376,
  [SMALL_STATE(3634)] = 77437,
  [SMALL_STATE(3635)] = 77498,
  [SMALL_STATE(3636)] = 77559,
  [SMALL_STATE(3637)] = 77628,
  [SMALL_STATE(3638)] = 77689,
  [SMALL_STATE(3639)] = 77750,
  [SMALL_STATE(3640)] = 77813,
  [SMALL_STATE(3641)] = 77882,
  [SMALL_STATE(3642)] = 77943,
  [SMALL_STATE(3643)] = 78004,
  [SMALL_STATE(3644)] = 78085,
  [SMALL_STATE(3645)] = 78154,
  [SMALL_STATE(3646)] = 78215,
  [SMALL_STATE(3647)] = 78276,
  [SMALL_STATE(3648)] = 78337,
  [SMALL_STATE(3649)] = 78402,
  [SMALL_STATE(3650)] = 78471,
  [SMALL_STATE(3651)] = 78540,
  [SMALL_STATE(3652)] = 78601,
  [SMALL_STATE(3653)] = 78668,
  [SMALL_STATE(3654)] = 78733,
  [SMALL_STATE(3655)] = 78798,
  [SMALL_STATE(3656)] = 78905,
  [SMALL_STATE(3657)] = 78966,
  [SMALL_STATE(3658)] = 79027,
  [SMALL_STATE(3659)] = 79087,
  [SMALL_STATE(3660)] = 79157,
  [SMALL_STATE(3661)] = 79223,
  [SMALL_STATE(3662)] = 79379,
  [SMALL_STATE(3663)] = 79439,
  [SMALL_STATE(3664)] = 79507,
  [SMALL_STATE(3665)] = 79567,
  [SMALL_STATE(3666)] = 79631,
  [SMALL_STATE(3667)] = 79697,
  [SMALL_STATE(3668)] = 79853,
  [SMALL_STATE(3669)] = 79913,
  [SMALL_STATE(3670)] = 79985,
  [SMALL_STATE(3671)] = 80045,
  [SMALL_STATE(3672)] = 80113,
  [SMALL_STATE(3673)] = 80173,
  [SMALL_STATE(3674)] = 80233,
  [SMALL_STATE(3675)] = 80293,
  [SMALL_STATE(3676)] = 80353,
  [SMALL_STATE(3677)] = 80419,
  [SMALL_STATE(3678)] = 80575,
  [SMALL_STATE(3679)] = 80635,
  [SMALL_STATE(3680)] = 80695,
  [SMALL_STATE(3681)] = 80755,
  [SMALL_STATE(3682)] = 80815,
  [SMALL_STATE(3683)] = 80875,
  [SMALL_STATE(3684)] = 80935,
  [SMALL_STATE(3685)] = 80995,
  [SMALL_STATE(3686)] = 81055,
  [SMALL_STATE(3687)] = 81117,
  [SMALL_STATE(3688)] = 81177,
  [SMALL_STATE(3689)] = 81281,
  [SMALL_STATE(3690)] = 81437,
  [SMALL_STATE(3691)] = 81497,
  [SMALL_STATE(3692)] = 81571,
  [SMALL_STATE(3693)] = 81639,
  [SMALL_STATE(3694)] = 81699,
  [SMALL_STATE(3695)] = 81759,
  [SMALL_STATE(3696)] = 81819,
  [SMALL_STATE(3697)] = 81879,
  [SMALL_STATE(3698)] = 81947,
  [SMALL_STATE(3699)] = 82007,
  [SMALL_STATE(3700)] = 82067,
  [SMALL_STATE(3701)] = 82223,
  [SMALL_STATE(3702)] = 82331,
  [SMALL_STATE(3703)] = 82439,
  [SMALL_STATE(3704)] = 82519,
  [SMALL_STATE(3705)] = 82581,
  [SMALL_STATE(3706)] = 82641,
  [SMALL_STATE(3707)] = 82701,
  [SMALL_STATE(3708)] = 82779,
  [SMALL_STATE(3709)] = 82861,
  [SMALL_STATE(3710)] = 82929,
  [SMALL_STATE(3711)] = 82989,
  [SMALL_STATE(3712)] = 83073,
  [SMALL_STATE(3713)] = 83159,
  [SMALL_STATE(3714)] = 83249,
  [SMALL_STATE(3715)] = 83341,
  [SMALL_STATE(3716)] = 83437,
  [SMALL_STATE(3717)] = 83537,
  [SMALL_STATE(3718)] = 83611,
  [SMALL_STATE(3719)] = 83687,
  [SMALL_STATE(3720)] = 83747,
  [SMALL_STATE(3721)] = 83903,
  [SMALL_STATE(3722)] = 83965,
  [SMALL_STATE(3723)] = 84069,
  [SMALL_STATE(3724)] = 84225,
  [SMALL_STATE(3725)] = 84287,
  [SMALL_STATE(3726)] = 84349,
  [SMALL_STATE(3727)] = 84409,
  [SMALL_STATE(3728)] = 84565,
  [SMALL_STATE(3729)] = 84631,
  [SMALL_STATE(3730)] = 84787,
  [SMALL_STATE(3731)] = 84851,
  [SMALL_STATE(3732)] = 84919,
  [SMALL_STATE(3733)] = 84985,
  [SMALL_STATE(3734)] = 85059,
  [SMALL_STATE(3735)] = 85119,
  [SMALL_STATE(3736)] = 85185,
  [SMALL_STATE(3737)] = 85245,
  [SMALL_STATE(3738)] = 85305,
  [SMALL_STATE(3739)] = 85365,
  [SMALL_STATE(3740)] = 85425,
  [SMALL_STATE(3741)] = 85485,
  [SMALL_STATE(3742)] = 85545,
  [SMALL_STATE(3743)] = 85605,
  [SMALL_STATE(3744)] = 85665,
  [SMALL_STATE(3745)] = 85821,
  [SMALL_STATE(3746)] = 85881,
  [SMALL_STATE(3747)] = 85941,
  [SMALL_STATE(3748)] = 86001,
  [SMALL_STATE(3749)] = 86061,
  [SMALL_STATE(3750)] = 86121,
  [SMALL_STATE(3751)] = 86181,
  [SMALL_STATE(3752)] = 86241,
  [SMALL_STATE(3753)] = 86355,
  [SMALL_STATE(3754)] = 86415,
  [SMALL_STATE(3755)] = 86475,
  [SMALL_STATE(3756)] = 86535,
  [SMALL_STATE(3757)] = 86609,
  [SMALL_STATE(3758)] = 86683,
  [SMALL_STATE(3759)] = 86749,
  [SMALL_STATE(3760)] = 86813,
  [SMALL_STATE(3761)] = 86879,
  [SMALL_STATE(3762)] = 86943,
  [SMALL_STATE(3763)] = 87003,
  [SMALL_STATE(3764)] = 87063,
  [SMALL_STATE(3765)] = 87123,
  [SMALL_STATE(3766)] = 87227,
  [SMALL_STATE(3767)] = 87291,
  [SMALL_STATE(3768)] = 87363,
  [SMALL_STATE(3769)] = 87435,
  [SMALL_STATE(3770)] = 87495,
  [SMALL_STATE(3771)] = 87603,
  [SMALL_STATE(3772)] = 87663,
  [SMALL_STATE(3773)] = 87723,
  [SMALL_STATE(3774)] = 87783,
  [SMALL_STATE(3775)] = 87843,
  [SMALL_STATE(3776)] = 87903,
  [SMALL_STATE(3777)] = 87963,
  [SMALL_STATE(3778)] = 88023,
  [SMALL_STATE(3779)] = 88083,
  [SMALL_STATE(3780)] = 88147,
  [SMALL_STATE(3781)] = 88207,
  [SMALL_STATE(3782)] = 88267,
  [SMALL_STATE(3783)] = 88327,
  [SMALL_STATE(3784)] = 88387,
  [SMALL_STATE(3785)] = 88447,
  [SMALL_STATE(3786)] = 88507,
  [SMALL_STATE(3787)] = 88567,
  [SMALL_STATE(3788)] = 88627,
  [SMALL_STATE(3789)] = 88693,
  [SMALL_STATE(3790)] = 88753,
  [SMALL_STATE(3791)] = 88813,
  [SMALL_STATE(3792)] = 88881,
  [SMALL_STATE(3793)] = 88985,
  [SMALL_STATE(3794)] = 89047,
  [SMALL_STATE(3795)] = 89203,
  [SMALL_STATE(3796)] = 89263,
  [SMALL_STATE(3797)] = 89323,
  [SMALL_STATE(3798)] = 89427,
  [SMALL_STATE(3799)] = 89495,
  [SMALL_STATE(3800)] = 89557,
  [SMALL_STATE(3801)] = 89625,
  [SMALL_STATE(3802)] = 89701,
  [SMALL_STATE(3803)] = 89761,
  [SMALL_STATE(3804)] = 89823,
  [SMALL_STATE(3805)] = 89883,
  [SMALL_STATE(3806)] = 89943,
  [SMALL_STATE(3807)] = 90003,
  [SMALL_STATE(3808)] = 90104,
  [SMALL_STATE(3809)] = 90163,
  [SMALL_STATE(3810)] = 90224,
  [SMALL_STATE(3811)] = 90283,
  [SMALL_STATE(3812)] = 90342,
  [SMALL_STATE(3813)] = 90401,
  [SMALL_STATE(3814)] = 90460,
  [SMALL_STATE(3815)] = 90519,
  [SMALL_STATE(3816)] = 90578,
  [SMALL_STATE(3817)] = 90637,
  [SMALL_STATE(3818)] = 90696,
  [SMALL_STATE(3819)] = 90801,
  [SMALL_STATE(3820)] = 90860,
  [SMALL_STATE(3821)] = 90919,
  [SMALL_STATE(3822)] = 90980,
  [SMALL_STATE(3823)] = 91043,
  [SMALL_STATE(3824)] = 91102,
  [SMALL_STATE(3825)] = 91161,
  [SMALL_STATE(3826)] = 91224,
  [SMALL_STATE(3827)] = 91283,
  [SMALL_STATE(3828)] = 91344,
  [SMALL_STATE(3829)] = 91405,
  [SMALL_STATE(3830)] = 91478,
  [SMALL_STATE(3831)] = 91583,
  [SMALL_STATE(3832)] = 91642,
  [SMALL_STATE(3833)] = 91713,
  [SMALL_STATE(3834)] = 91772,
  [SMALL_STATE(3835)] = 91835,
  [SMALL_STATE(3836)] = 91944,
  [SMALL_STATE(3837)] = 92049,
  [SMALL_STATE(3838)] = 92158,
  [SMALL_STATE(3839)] = 92263,
  [SMALL_STATE(3840)] = 92336,
  [SMALL_STATE(3841)] = 92395,
  [SMALL_STATE(3842)] = 92496,
  [SMALL_STATE(3843)] = 92575,
  [SMALL_STATE(3844)] = 92652,
  [SMALL_STATE(3845)] = 92733,
  [SMALL_STATE(3846)] = 92792,
  [SMALL_STATE(3847)] = 92851,
  [SMALL_STATE(3848)] = 92910,
  [SMALL_STATE(3849)] = 92969,
  [SMALL_STATE(3850)] = 93028,
  [SMALL_STATE(3851)] = 93087,
  [SMALL_STATE(3852)] = 93146,
  [SMALL_STATE(3853)] = 93247,
  [SMALL_STATE(3854)] = 93306,
  [SMALL_STATE(3855)] = 93365,
  [SMALL_STATE(3856)] = 93450,
  [SMALL_STATE(3857)] = 93537,
  [SMALL_STATE(3858)] = 93628,
  [SMALL_STATE(3859)] = 93721,
  [SMALL_STATE(3860)] = 93780,
  [SMALL_STATE(3861)] = 93877,
  [SMALL_STATE(3862)] = 93938,
  [SMALL_STATE(3863)] = 94039,
  [SMALL_STATE(3864)] = 94098,
  [SMALL_STATE(3865)] = 94171,
  [SMALL_STATE(3866)] = 94230,
  [SMALL_STATE(3867)] = 94289,
  [SMALL_STATE(3868)] = 94390,
  [SMALL_STATE(3869)] = 94451,
  [SMALL_STATE(3870)] = 94510,
  [SMALL_STATE(3871)] = 94569,
  [SMALL_STATE(3872)] = 94644,
  [SMALL_STATE(3873)] = 94705,
  [SMALL_STATE(3874)] = 94814,
  [SMALL_STATE(3875)] = 94919,
  [SMALL_STATE(3876)] = 94990,
  [SMALL_STATE(3877)] = 95095,
  [SMALL_STATE(3878)] = 95196,
  [SMALL_STATE(3879)] = 95269,
  [SMALL_STATE(3880)] = 95370,
  [SMALL_STATE(3881)] = 95443,
  [SMALL_STATE(3882)] = 95502,
  [SMALL_STATE(3883)] = 95603,
  [SMALL_STATE(3884)] = 95674,
  [SMALL_STATE(3885)] = 95733,
  [SMALL_STATE(3886)] = 95796,
  [SMALL_STATE(3887)] = 95861,
  [SMALL_STATE(3888)] = 95920,
  [SMALL_STATE(3889)] = 95979,
  [SMALL_STATE(3890)] = 96038,
  [SMALL_STATE(3891)] = 96097,
  [SMALL_STATE(3892)] = 96156,
  [SMALL_STATE(3893)] = 96215,
  [SMALL_STATE(3894)] = 96274,
  [SMALL_STATE(3895)] = 96375,
  [SMALL_STATE(3896)] = 96434,
  [SMALL_STATE(3897)] = 96493,
  [SMALL_STATE(3898)] = 96562,
  [SMALL_STATE(3899)] = 96621,
  [SMALL_STATE(3900)] = 96722,
  [SMALL_STATE(3901)] = 96781,
  [SMALL_STATE(3902)] = 96848,
  [SMALL_STATE(3903)] = 96949,
  [SMALL_STATE(3904)] = 97008,
  [SMALL_STATE(3905)] = 97067,
  [SMALL_STATE(3906)] = 97126,
  [SMALL_STATE(3907)] = 97185,
  [SMALL_STATE(3908)] = 97246,
  [SMALL_STATE(3909)] = 97315,
  [SMALL_STATE(3910)] = 97378,
  [SMALL_STATE(3911)] = 97441,
  [SMALL_STATE(3912)] = 97502,
  [SMALL_STATE(3913)] = 97561,
  [SMALL_STATE(3914)] = 97620,
  [SMALL_STATE(3915)] = 97679,
  [SMALL_STATE(3916)] = 97738,
  [SMALL_STATE(3917)] = 97797,
  [SMALL_STATE(3918)] = 97856,
  [SMALL_STATE(3919)] = 97919,
  [SMALL_STATE(3920)] = 97978,
  [SMALL_STATE(3921)] = 98047,
  [SMALL_STATE(3922)] = 98110,
  [SMALL_STATE(3923)] = 98173,
  [SMALL_STATE(3924)] = 98232,
  [SMALL_STATE(3925)] = 98333,
  [SMALL_STATE(3926)] = 98392,
  [SMALL_STATE(3927)] = 98453,
  [SMALL_STATE(3928)] = 98512,
  [SMALL_STATE(3929)] = 98573,
  [SMALL_STATE(3930)] = 98632,
  [SMALL_STATE(3931)] = 98691,
  [SMALL_STATE(3932)] = 98750,
  [SMALL_STATE(3933)] = 98809,
  [SMALL_STATE(3934)] = 98868,
  [SMALL_STATE(3935)] = 98927,
  [SMALL_STATE(3936)] = 98986,
  [SMALL_STATE(3937)] = 99045,
  [SMALL_STATE(3938)] = 99108,
  [SMALL_STATE(3939)] = 99167,
  [SMALL_STATE(3940)] = 99268,
  [SMALL_STATE(3941)] = 99333,
  [SMALL_STATE(3942)] = 99392,
  [SMALL_STATE(3943)] = 99451,
  [SMALL_STATE(3944)] = 99510,
  [SMALL_STATE(3945)] = 99569,
  [SMALL_STATE(3946)] = 99628,
  [SMALL_STATE(3947)] = 99689,
  [SMALL_STATE(3948)] = 99748,
  [SMALL_STATE(3949)] = 99807,
  [SMALL_STATE(3950)] = 99908,
  [SMALL_STATE(3951)] = 99967,
  [SMALL_STATE(3952)] = 100026,
  [SMALL_STATE(3953)] = 100085,
  [SMALL_STATE(3954)] = 100144,
  [SMALL_STATE(3955)] = 100203,
  [SMALL_STATE(3956)] = 100304,
  [SMALL_STATE(3957)] = 100363,
  [SMALL_STATE(3958)] = 100422,
  [SMALL_STATE(3959)] = 100523,
  [SMALL_STATE(3960)] = 100582,
  [SMALL_STATE(3961)] = 100641,
  [SMALL_STATE(3962)] = 100700,
  [SMALL_STATE(3963)] = 100759,
  [SMALL_STATE(3964)] = 100818,
  [SMALL_STATE(3965)] = 100883,
  [SMALL_STATE(3966)] = 100944,
  [SMALL_STATE(3967)] = 101003,
  [SMALL_STATE(3968)] = 101062,
  [SMALL_STATE(3969)] = 101163,
  [SMALL_STATE(3970)] = 101222,
  [SMALL_STATE(3971)] = 101281,
  [SMALL_STATE(3972)] = 101382,
  [SMALL_STATE(3973)] = 101441,
  [SMALL_STATE(3974)] = 101508,
  [SMALL_STATE(3975)] = 101567,
  [SMALL_STATE(3976)] = 101628,
  [SMALL_STATE(3977)] = 101687,
  [SMALL_STATE(3978)] = 101746,
  [SMALL_STATE(3979)] = 101813,
  [SMALL_STATE(3980)] = 101872,
  [SMALL_STATE(3981)] = 101931,
  [SMALL_STATE(3982)] = 101990,
  [SMALL_STATE(3983)] = 102053,
  [SMALL_STATE(3984)] = 102114,
  [SMALL_STATE(3985)] = 102173,
  [SMALL_STATE(3986)] = 102232,
  [SMALL_STATE(3987)] = 102291,
  [SMALL_STATE(3988)] = 102350,
  [SMALL_STATE(3989)] = 102409,
  [SMALL_STATE(3990)] = 102468,
  [SMALL_STATE(3991)] = 102527,
  [SMALL_STATE(3992)] = 102586,
  [SMALL_STATE(3993)] = 102645,
  [SMALL_STATE(3994)] = 102704,
  [SMALL_STATE(3995)] = 102763,
  [SMALL_STATE(3996)] = 102830,
  [SMALL_STATE(3997)] = 102889,
  [SMALL_STATE(3998)] = 102948,
  [SMALL_STATE(3999)] = 103007,
  [SMALL_STATE(4000)] = 103066,
  [SMALL_STATE(4001)] = 103125,
  [SMALL_STATE(4002)] = 103190,
  [SMALL_STATE(4003)] = 103249,
  [SMALL_STATE(4004)] = 103316,
  [SMALL_STATE(4005)] = 103375,
  [SMALL_STATE(4006)] = 103434,
  [SMALL_STATE(4007)] = 103493,
  [SMALL_STATE(4008)] = 103594,
  [SMALL_STATE(4009)] = 103653,
  [SMALL_STATE(4010)] = 103754,
  [SMALL_STATE(4011)] = 103813,
  [SMALL_STATE(4012)] = 103872,
  [SMALL_STATE(4013)] = 103931,
  [SMALL_STATE(4014)] = 103990,
  [SMALL_STATE(4015)] = 104049,
  [SMALL_STATE(4016)] = 104108,
  [SMALL_STATE(4017)] = 104169,
  [SMALL_STATE(4018)] = 104228,
  [SMALL_STATE(4019)] = 104287,
  [SMALL_STATE(4020)] = 104346,
  [SMALL_STATE(4021)] = 104409,
  [SMALL_STATE(4022)] = 104468,
  [SMALL_STATE(4023)] = 104569,
  [SMALL_STATE(4024)] = 104630,
  [SMALL_STATE(4025)] = 104689,
  [SMALL_STATE(4026)] = 104748,
  [SMALL_STATE(4027)] = 104807,
  [SMALL_STATE(4028)] = 104870,
  [SMALL_STATE(4029)] = 104971,
  [SMALL_STATE(4030)] = 105072,
  [SMALL_STATE(4031)] = 105131,
  [SMALL_STATE(4032)] = 105196,
  [SMALL_STATE(4033)] = 105255,
  [SMALL_STATE(4034)] = 105322,
  [SMALL_STATE(4035)] = 105381,
  [SMALL_STATE(4036)] = 105440,
  [SMALL_STATE(4037)] = 105541,
  [SMALL_STATE(4038)] = 105600,
  [SMALL_STATE(4039)] = 105661,
  [SMALL_STATE(4040)] = 105720,
  [SMALL_STATE(4041)] = 105779,
  [SMALL_STATE(4042)] = 105838,
  [SMALL_STATE(4043)] = 105897,
  [SMALL_STATE(4044)] = 105956,
  [SMALL_STATE(4045)] = 106015,
  [SMALL_STATE(4046)] = 106074,
  [SMALL_STATE(4047)] = 106133,
  [SMALL_STATE(4048)] = 106192,
  [SMALL_STATE(4049)] = 106253,
  [SMALL_STATE(4050)] = 106312,
  [SMALL_STATE(4051)] = 106371,
  [SMALL_STATE(4052)] = 106430,
  [SMALL_STATE(4053)] = 106489,
  [SMALL_STATE(4054)] = 106590,
  [SMALL_STATE(4055)] = 106649,
  [SMALL_STATE(4056)] = 106713,
  [SMALL_STATE(4057)] = 106775,
  [SMALL_STATE(4058)] = 106833,
  [SMALL_STATE(4059)] = 106891,
  [SMALL_STATE(4060)] = 106949,
  [SMALL_STATE(4061)] = 107007,
  [SMALL_STATE(4062)] = 107065,
  [SMALL_STATE(4063)] = 107123,
  [SMALL_STATE(4064)] = 107181,
  [SMALL_STATE(4065)] = 107283,
  [SMALL_STATE(4066)] = 107341,
  [SMALL_STATE(4067)] = 107399,
  [SMALL_STATE(4068)] = 107461,
  [SMALL_STATE(4069)] = 107519,
  [SMALL_STATE(4070)] = 107577,
  [SMALL_STATE(4071)] = 107635,
  [SMALL_STATE(4072)] = 107693,
  [SMALL_STATE(4073)] = 107799,
  [SMALL_STATE(4074)] = 107881,
  [SMALL_STATE(4075)] = 107939,
  [SMALL_STATE(4076)] = 107997,
  [SMALL_STATE(4077)] = 108055,
  [SMALL_STATE(4078)] = 108113,
  [SMALL_STATE(4079)] = 108171,
  [SMALL_STATE(4080)] = 108229,
  [SMALL_STATE(4081)] = 108287,
  [SMALL_STATE(4082)] = 108353,
  [SMALL_STATE(4083)] = 108411,
  [SMALL_STATE(4084)] = 108485,
  [SMALL_STATE(4085)] = 108543,
  [SMALL_STATE(4086)] = 108601,
  [SMALL_STATE(4087)] = 108659,
  [SMALL_STATE(4088)] = 108731,
  [SMALL_STATE(4089)] = 108831,
  [SMALL_STATE(4090)] = 108929,
  [SMALL_STATE(4091)] = 109023,
  [SMALL_STATE(4092)] = 109113,
  [SMALL_STATE(4093)] = 109179,
  [SMALL_STATE(4094)] = 109265,
  [SMALL_STATE(4095)] = 109331,
  [SMALL_STATE(4096)] = 109415,
  [SMALL_STATE(4097)] = 109495,
  [SMALL_STATE(4098)] = 109571,
  [SMALL_STATE(4099)] = 109649,
  [SMALL_STATE(4100)] = 109707,
  [SMALL_STATE(4101)] = 109765,
  [SMALL_STATE(4102)] = 109823,
  [SMALL_STATE(4103)] = 109881,
  [SMALL_STATE(4104)] = 109947,
  [SMALL_STATE(4105)] = 110005,
  [SMALL_STATE(4106)] = 110063,
  [SMALL_STATE(4107)] = 110145,
  [SMALL_STATE(4108)] = 110249,
  [SMALL_STATE(4109)] = 110319,
  [SMALL_STATE(4110)] = 110421,
  [SMALL_STATE(4111)] = 110485,
  [SMALL_STATE(4112)] = 110557,
  [SMALL_STATE(4113)] = 110619,
  [SMALL_STATE(4114)] = 110691,
  [SMALL_STATE(4115)] = 110763,
  [SMALL_STATE(4116)] = 110825,
  [SMALL_STATE(4117)] = 110883,
  [SMALL_STATE(4118)] = 110945,
  [SMALL_STATE(4119)] = 111003,
  [SMALL_STATE(4120)] = 111061,
  [SMALL_STATE(4121)] = 111133,
  [SMALL_STATE(4122)] = 111191,
  [SMALL_STATE(4123)] = 111253,
  [SMALL_STATE(4124)] = 111311,
  [SMALL_STATE(4125)] = 111381,
  [SMALL_STATE(4126)] = 111443,
  [SMALL_STATE(4127)] = 111549,
  [SMALL_STATE(4128)] = 111607,
  [SMALL_STATE(4129)] = 111681,
  [SMALL_STATE(4130)] = 111743,
  [SMALL_STATE(4131)] = 111801,
  [SMALL_STATE(4132)] = 111859,
  [SMALL_STATE(4133)] = 111917,
  [SMALL_STATE(4134)] = 111975,
  [SMALL_STATE(4135)] = 112057,
  [SMALL_STATE(4136)] = 112119,
  [SMALL_STATE(4137)] = 112177,
  [SMALL_STATE(4138)] = 112235,
  [SMALL_STATE(4139)] = 112293,
  [SMALL_STATE(4140)] = 112351,
  [SMALL_STATE(4141)] = 112409,
  [SMALL_STATE(4142)] = 112471,
  [SMALL_STATE(4143)] = 112529,
  [SMALL_STATE(4144)] = 112587,
  [SMALL_STATE(4145)] = 112649,
  [SMALL_STATE(4146)] = 112751,
  [SMALL_STATE(4147)] = 112809,
  [SMALL_STATE(4148)] = 112867,
  [SMALL_STATE(4149)] = 112925,
  [SMALL_STATE(4150)] = 112983,
  [SMALL_STATE(4151)] = 113045,
  [SMALL_STATE(4152)] = 113103,
  [SMALL_STATE(4153)] = 113161,
  [SMALL_STATE(4154)] = 113243,
  [SMALL_STATE(4155)] = 113305,
  [SMALL_STATE(4156)] = 113363,
  [SMALL_STATE(4157)] = 113425,
  [SMALL_STATE(4158)] = 113483,
  [SMALL_STATE(4159)] = 113541,
  [SMALL_STATE(4160)] = 113623,
  [SMALL_STATE(4161)] = 113681,
  [SMALL_STATE(4162)] = 113739,
  [SMALL_STATE(4163)] = 113803,
  [SMALL_STATE(4164)] = 113861,
  [SMALL_STATE(4165)] = 113919,
  [SMALL_STATE(4166)] = 113977,
  [SMALL_STATE(4167)] = 114035,
  [SMALL_STATE(4168)] = 114097,
  [SMALL_STATE(4169)] = 114155,
  [SMALL_STATE(4170)] = 114261,
  [SMALL_STATE(4171)] = 114321,
  [SMALL_STATE(4172)] = 114379,
  [SMALL_STATE(4173)] = 114441,
  [SMALL_STATE(4174)] = 114499,
  [SMALL_STATE(4175)] = 114557,
  [SMALL_STATE(4176)] = 114615,
  [SMALL_STATE(4177)] = 114687,
  [SMALL_STATE(4178)] = 114745,
  [SMALL_STATE(4179)] = 114803,
  [SMALL_STATE(4180)] = 114865,
  [SMALL_STATE(4181)] = 114923,
  [SMALL_STATE(4182)] = 115005,
  [SMALL_STATE(4183)] = 115069,
  [SMALL_STATE(4184)] = 115127,
  [SMALL_STATE(4185)] = 115185,
  [SMALL_STATE(4186)] = 115287,
  [SMALL_STATE(4187)] = 115345,
  [SMALL_STATE(4188)] = 115403,
  [SMALL_STATE(4189)] = 115465,
  [SMALL_STATE(4190)] = 115523,
  [SMALL_STATE(4191)] = 115605,
  [SMALL_STATE(4192)] = 115663,
  [SMALL_STATE(4193)] = 115725,
  [SMALL_STATE(4194)] = 115783,
  [SMALL_STATE(4195)] = 115841,
  [SMALL_STATE(4196)] = 115899,
  [SMALL_STATE(4197)] = 115981,
  [SMALL_STATE(4198)] = 116085,
  [SMALL_STATE(4199)] = 116143,
  [SMALL_STATE(4200)] = 116201,
  [SMALL_STATE(4201)] = 116263,
  [SMALL_STATE(4202)] = 116339,
  [SMALL_STATE(4203)] = 116413,
  [SMALL_STATE(4204)] = 116471,
  [SMALL_STATE(4205)] = 116553,
  [SMALL_STATE(4206)] = 116611,
  [SMALL_STATE(4207)] = 116669,
  [SMALL_STATE(4208)] = 116727,
  [SMALL_STATE(4209)] = 116785,
  [SMALL_STATE(4210)] = 116843,
  [SMALL_STATE(4211)] = 116907,
  [SMALL_STATE(4212)] = 116969,
  [SMALL_STATE(4213)] = 117027,
  [SMALL_STATE(4214)] = 117085,
  [SMALL_STATE(4215)] = 117143,
  [SMALL_STATE(4216)] = 117217,
  [SMALL_STATE(4217)] = 117276,
  [SMALL_STATE(4218)] = 117333,
  [SMALL_STATE(4219)] = 117392,
  [SMALL_STATE(4220)] = 117451,
  [SMALL_STATE(4221)] = 117508,
  [SMALL_STATE(4222)] = 117565,
  [SMALL_STATE(4223)] = 117624,
  [SMALL_STATE(4224)] = 117687,
  [SMALL_STATE(4225)] = 117754,
  [SMALL_STATE(4226)] = 117857,
  [SMALL_STATE(4227)] = 117914,
  [SMALL_STATE(4228)] = 117971,
  [SMALL_STATE(4229)] = 118034,
  [SMALL_STATE(4230)] = 118091,
  [SMALL_STATE(4231)] = 118150,
  [SMALL_STATE(4232)] = 118253,
  [SMALL_STATE(4233)] = 118310,
  [SMALL_STATE(4234)] = 118367,
  [SMALL_STATE(4235)] = 118470,
  [SMALL_STATE(4236)] = 118531,
  [SMALL_STATE(4237)] = 118588,
  [SMALL_STATE(4238)] = 118645,
  [SMALL_STATE(4239)] = 118714,
  [SMALL_STATE(4240)] = 118783,
  [SMALL_STATE(4241)] = 118848,
  [SMALL_STATE(4242)] = 118909,
  [SMALL_STATE(4243)] = 118966,
  [SMALL_STATE(4244)] = 119023,
  [SMALL_STATE(4245)] = 119080,
  [SMALL_STATE(4246)] = 119137,
  [SMALL_STATE(4247)] = 119202,
  [SMALL_STATE(4248)] = 119271,
  [SMALL_STATE(4249)] = 119328,
  [SMALL_STATE(4250)] = 119431,
  [SMALL_STATE(4251)] = 119500,
  [SMALL_STATE(4252)] = 119561,
  [SMALL_STATE(4253)] = 119664,
  [SMALL_STATE(4254)] = 119767,
  [SMALL_STATE(4255)] = 119834,
  [SMALL_STATE(4256)] = 119937,
  [SMALL_STATE(4257)] = 119996,
  [SMALL_STATE(4258)] = 120053,
  [SMALL_STATE(4259)] = 120156,
  [SMALL_STATE(4260)] = 120213,
  [SMALL_STATE(4261)] = 120278,
  [SMALL_STATE(4262)] = 120339,
  [SMALL_STATE(4263)] = 120402,
  [SMALL_STATE(4264)] = 120472,
  [SMALL_STATE(4265)] = 120528,
  [SMALL_STATE(4266)] = 120584,
  [SMALL_STATE(4267)] = 120658,
  [SMALL_STATE(4268)] = 120714,
  [SMALL_STATE(4269)] = 120782,
  [SMALL_STATE(4270)] = 120856,
  [SMALL_STATE(4271)] = 120958,
  [SMALL_STATE(4272)] = 121014,
  [SMALL_STATE(4273)] = 121070,
  [SMALL_STATE(4274)] = 121126,
  [SMALL_STATE(4275)] = 121182,
  [SMALL_STATE(4276)] = 121238,
  [SMALL_STATE(4277)] = 121294,
  [SMALL_STATE(4278)] = 121350,
  [SMALL_STATE(4279)] = 121412,
  [SMALL_STATE(4280)] = 121472,
  [SMALL_STATE(4281)] = 121536,
  [SMALL_STATE(4282)] = 121592,
  [SMALL_STATE(4283)] = 121652,
  [SMALL_STATE(4284)] = 121708,
  [SMALL_STATE(4285)] = 121770,
  [SMALL_STATE(4286)] = 121838,
  [SMALL_STATE(4287)] = 121894,
  [SMALL_STATE(4288)] = 121950,
  [SMALL_STATE(4289)] = 122006,
  [SMALL_STATE(4290)] = 122062,
  [SMALL_STATE(4291)] = 122122,
  [SMALL_STATE(4292)] = 122192,
  [SMALL_STATE(4293)] = 122248,
  [SMALL_STATE(4294)] = 122304,
  [SMALL_STATE(4295)] = 122364,
  [SMALL_STATE(4296)] = 122420,
  [SMALL_STATE(4297)] = 122482,
  [SMALL_STATE(4298)] = 122538,
  [SMALL_STATE(4299)] = 122594,
  [SMALL_STATE(4300)] = 122650,
  [SMALL_STATE(4301)] = 122706,
  [SMALL_STATE(4302)] = 122762,
  [SMALL_STATE(4303)] = 122822,
  [SMALL_STATE(4304)] = 122878,
  [SMALL_STATE(4305)] = 122934,
  [SMALL_STATE(4306)] = 123008,
  [SMALL_STATE(4307)] = 123064,
  [SMALL_STATE(4308)] = 123120,
  [SMALL_STATE(4309)] = 123176,
  [SMALL_STATE(4310)] = 123232,
  [SMALL_STATE(4311)] = 123288,
  [SMALL_STATE(4312)] = 123344,
  [SMALL_STATE(4313)] = 123400,
  [SMALL_STATE(4314)] = 123456,
  [SMALL_STATE(4315)] = 123522,
  [SMALL_STATE(4316)] = 123582,
  [SMALL_STATE(4317)] = 123638,
  [SMALL_STATE(4318)] = 123694,
  [SMALL_STATE(4319)] = 123758,
  [SMALL_STATE(4320)] = 123832,
  [SMALL_STATE(4321)] = 123888,
  [SMALL_STATE(4322)] = 123944,
  [SMALL_STATE(4323)] = 124000,
  [SMALL_STATE(4324)] = 124056,
  [SMALL_STATE(4325)] = 124112,
  [SMALL_STATE(4326)] = 124186,
  [SMALL_STATE(4327)] = 124242,
  [SMALL_STATE(4328)] = 124298,
  [SMALL_STATE(4329)] = 124354,
  [SMALL_STATE(4330)] = 124412,
  [SMALL_STATE(4331)] = 124468,
  [SMALL_STATE(4332)] = 124524,
  [SMALL_STATE(4333)] = 124580,
  [SMALL_STATE(4334)] = 124636,
  [SMALL_STATE(4335)] = 124708,
  [SMALL_STATE(4336)] = 124782,
  [SMALL_STATE(4337)] = 124842,
  [SMALL_STATE(4338)] = 124902,
  [SMALL_STATE(4339)] = 124976,
  [SMALL_STATE(4340)] = 125032,
  [SMALL_STATE(4341)] = 125134,
  [SMALL_STATE(4342)] = 125196,
  [SMALL_STATE(4343)] = 125256,
  [SMALL_STATE(4344)] = 125330,
  [SMALL_STATE(4345)] = 125386,
  [SMALL_STATE(4346)] = 125488,
  [SMALL_STATE(4347)] = 125544,
  [SMALL_STATE(4348)] = 125616,
  [SMALL_STATE(4349)] = 125686,
  [SMALL_STATE(4350)] = 125742,
  [SMALL_STATE(4351)] = 125798,
  [SMALL_STATE(4352)] = 125854,
  [SMALL_STATE(4353)] = 125926,
  [SMALL_STATE(4354)] = 125982,
  [SMALL_STATE(4355)] = 126038,
  [SMALL_STATE(4356)] = 126110,
  [SMALL_STATE(4357)] = 126166,
  [SMALL_STATE(4358)] = 126222,
  [SMALL_STATE(4359)] = 126296,
  [SMALL_STATE(4360)] = 126352,
  [SMALL_STATE(4361)] = 126408,
  [SMALL_STATE(4362)] = 126478,
  [SMALL_STATE(4363)] = 126534,
  [SMALL_STATE(4364)] = 126590,
  [SMALL_STATE(4365)] = 126646,
  [SMALL_STATE(4366)] = 126748,
  [SMALL_STATE(4367)] = 126804,
  [SMALL_STATE(4368)] = 126860,
  [SMALL_STATE(4369)] = 126916,
  [SMALL_STATE(4370)] = 126972,
  [SMALL_STATE(4371)] = 127028,
  [SMALL_STATE(4372)] = 127084,
  [SMALL_STATE(4373)] = 127140,
  [SMALL_STATE(4374)] = 127196,
  [SMALL_STATE(4375)] = 127251,
  [SMALL_STATE(4376)] = 127306,
  [SMALL_STATE(4377)] = 127361,
  [SMALL_STATE(4378)] = 127418,
  [SMALL_STATE(4379)] = 127473,
  [SMALL_STATE(4380)] = 127528,
  [SMALL_STATE(4381)] = 127583,
  [SMALL_STATE(4382)] = 127638,
  [SMALL_STATE(4383)] = 127693,
  [SMALL_STATE(4384)] = 127748,
  [SMALL_STATE(4385)] = 127849,
  [SMALL_STATE(4386)] = 127904,
  [SMALL_STATE(4387)] = 127961,
  [SMALL_STATE(4388)] = 128032,
  [SMALL_STATE(4389)] = 128087,
  [SMALL_STATE(4390)] = 128142,
  [SMALL_STATE(4391)] = 128197,
  [SMALL_STATE(4392)] = 128252,
  [SMALL_STATE(4393)] = 128307,
  [SMALL_STATE(4394)] = 128362,
  [SMALL_STATE(4395)] = 128417,
  [SMALL_STATE(4396)] = 128472,
  [SMALL_STATE(4397)] = 128527,
  [SMALL_STATE(4398)] = 128628,
  [SMALL_STATE(4399)] = 128691,
  [SMALL_STATE(4400)] = 128746,
  [SMALL_STATE(4401)] = 128801,
  [SMALL_STATE(4402)] = 128856,
  [SMALL_STATE(4403)] = 128911,
  [SMALL_STATE(4404)] = 128966,
  [SMALL_STATE(4405)] = 129033,
  [SMALL_STATE(4406)] = 129100,
  [SMALL_STATE(4407)] = 129165,
  [SMALL_STATE(4408)] = 129220,
  [SMALL_STATE(4409)] = 129275,
  [SMALL_STATE(4410)] = 129330,
  [SMALL_STATE(4411)] = 129385,
  [SMALL_STATE(4412)] = 129440,
  [SMALL_STATE(4413)] = 129495,
  [SMALL_STATE(4414)] = 129558,
  [SMALL_STATE(4415)] = 129625,
  [SMALL_STATE(4416)] = 129680,
  [SMALL_STATE(4417)] = 129735,
  [SMALL_STATE(4418)] = 129790,
  [SMALL_STATE(4419)] = 129845,
  [SMALL_STATE(4420)] = 129912,
  [SMALL_STATE(4421)] = 129967,
  [SMALL_STATE(4422)] = 130026,
  [SMALL_STATE(4423)] = 130081,
  [SMALL_STATE(4424)] = 130136,
  [SMALL_STATE(4425)] = 130191,
  [SMALL_STATE(4426)] = 130254,
  [SMALL_STATE(4427)] = 130321,
  [SMALL_STATE(4428)] = 130390,
  [SMALL_STATE(4429)] = 130453,
  [SMALL_STATE(4430)] = 130508,
  [SMALL_STATE(4431)] = 130563,
  [SMALL_STATE(4432)] = 130626,
  [SMALL_STATE(4433)] = 130683,
  [SMALL_STATE(4434)] = 130738,
  [SMALL_STATE(4435)] = 130793,
  [SMALL_STATE(4436)] = 130848,
  [SMALL_STATE(4437)] = 130908,
  [SMALL_STATE(4438)] = 130966,
  [SMALL_STATE(4439)] = 131024,
  [SMALL_STATE(4440)] = 131082,
  [SMALL_STATE(4441)] = 131140,
  [SMALL_STATE(4442)] = 131198,
  [SMALL_STATE(4443)] = 131268,
  [SMALL_STATE(4444)] = 131338,
  [SMALL_STATE(4445)] = 131408,
  [SMALL_STATE(4446)] = 131478,
  [SMALL_STATE(4447)] = 131538,
  [SMALL_STATE(4448)] = 131596,
  [SMALL_STATE(4449)] = 131654,
  [SMALL_STATE(4450)] = 131712,
  [SMALL_STATE(4451)] = 131782,
  [SMALL_STATE(4452)] = 131840,
  [SMALL_STATE(4453)] = 131898,
  [SMALL_STATE(4454)] = 131968,
  [SMALL_STATE(4455)] = 132026,
  [SMALL_STATE(4456)] = 132084,
  [SMALL_STATE(4457)] = 132142,
  [SMALL_STATE(4458)] = 132200,
  [SMALL_STATE(4459)] = 132258,
  [SMALL_STATE(4460)] = 132318,
  [SMALL_STATE(4461)] = 132376,
  [SMALL_STATE(4462)] = 132446,
  [SMALL_STATE(4463)] = 132504,
  [SMALL_STATE(4464)] = 132562,
  [SMALL_STATE(4465)] = 132620,
  [SMALL_STATE(4466)] = 132678,
  [SMALL_STATE(4467)] = 132736,
  [SMALL_STATE(4468)] = 132794,
  [SMALL_STATE(4469)] = 132852,
  [SMALL_STATE(4470)] = 132912,
  [SMALL_STATE(4471)] = 132970,
  [SMALL_STATE(4472)] = 133028,
  [SMALL_STATE(4473)] = 133086,
  [SMALL_STATE(4474)] = 133144,
  [SMALL_STATE(4475)] = 133208,
  [SMALL_STATE(4476)] = 133268,
  [SMALL_STATE(4477)] = 133366,
  [SMALL_STATE(4478)] = 133424,
  [SMALL_STATE(4479)] = 133482,
  [SMALL_STATE(4480)] = 133552,
  [SMALL_STATE(4481)] = 133610,
  [SMALL_STATE(4482)] = 133668,
  [SMALL_STATE(4483)] = 133726,
  [SMALL_STATE(4484)] = 133784,
  [SMALL_STATE(4485)] = 133838,
  [SMALL_STATE(4486)] = 133896,
  [SMALL_STATE(4487)] = 133956,
  [SMALL_STATE(4488)] = 134014,
  [SMALL_STATE(4489)] = 134072,
  [SMALL_STATE(4490)] = 134167,
  [SMALL_STATE(4491)] = 134220,
  [SMALL_STATE(4492)] = 134315,
  [SMALL_STATE(4493)] = 134410,
  [SMALL_STATE(4494)] = 134505,
  [SMALL_STATE(4495)] = 134570,
  [SMALL_STATE(4496)] = 134665,
  [SMALL_STATE(4497)] = 134760,
  [SMALL_STATE(4498)] = 134855,
  [SMALL_STATE(4499)] = 134950,
  [SMALL_STATE(4500)] = 135045,
  [SMALL_STATE(4501)] = 135144,
  [SMALL_STATE(4502)] = 135205,
  [SMALL_STATE(4503)] = 135300,
  [SMALL_STATE(4504)] = 135359,
  [SMALL_STATE(4505)] = 135454,
  [SMALL_STATE(4506)] = 135549,
  [SMALL_STATE(4507)] = 135644,
  [SMALL_STATE(4508)] = 135703,
  [SMALL_STATE(4509)] = 135798,
  [SMALL_STATE(4510)] = 135893,
  [SMALL_STATE(4511)] = 135988,
  [SMALL_STATE(4512)] = 136045,
  [SMALL_STATE(4513)] = 136140,
  [SMALL_STATE(4514)] = 136235,
  [SMALL_STATE(4515)] = 136330,
  [SMALL_STATE(4516)] = 136425,
  [SMALL_STATE(4517)] = 136520,
  [SMALL_STATE(4518)] = 136579,
  [SMALL_STATE(4519)] = 136674,
  [SMALL_STATE(4520)] = 136769,
  [SMALL_STATE(4521)] = 136830,
  [SMALL_STATE(4522)] = 136925,
  [SMALL_STATE(4523)] = 137020,
  [SMALL_STATE(4524)] = 137115,
  [SMALL_STATE(4525)] = 137210,
  [SMALL_STATE(4526)] = 137309,
  [SMALL_STATE(4527)] = 137404,
  [SMALL_STATE(4528)] = 137457,
  [SMALL_STATE(4529)] = 137552,
  [SMALL_STATE(4530)] = 137647,
  [SMALL_STATE(4531)] = 137746,
  [SMALL_STATE(4532)] = 137841,
  [SMALL_STATE(4533)] = 137936,
  [SMALL_STATE(4534)] = 138031,
  [SMALL_STATE(4535)] = 138126,
  [SMALL_STATE(4536)] = 138179,
  [SMALL_STATE(4537)] = 138274,
  [SMALL_STATE(4538)] = 138369,
  [SMALL_STATE(4539)] = 138468,
  [SMALL_STATE(4540)] = 138563,
  [SMALL_STATE(4541)] = 138616,
  [SMALL_STATE(4542)] = 138711,
  [SMALL_STATE(4543)] = 138806,
  [SMALL_STATE(4544)] = 138901,
  [SMALL_STATE(4545)] = 138954,
  [SMALL_STATE(4546)] = 139009,
  [SMALL_STATE(4547)] = 139104,
  [SMALL_STATE(4548)] = 139157,
  [SMALL_STATE(4549)] = 139252,
  [SMALL_STATE(4550)] = 139347,
  [SMALL_STATE(4551)] = 139442,
  [SMALL_STATE(4552)] = 139537,
  [SMALL_STATE(4553)] = 139632,
  [SMALL_STATE(4554)] = 139727,
  [SMALL_STATE(4555)] = 139822,
  [SMALL_STATE(4556)] = 139875,
  [SMALL_STATE(4557)] = 139970,
  [SMALL_STATE(4558)] = 140065,
  [SMALL_STATE(4559)] = 140120,
  [SMALL_STATE(4560)] = 140215,
  [SMALL_STATE(4561)] = 140310,
  [SMALL_STATE(4562)] = 140405,
  [SMALL_STATE(4563)] = 140500,
  [SMALL_STATE(4564)] = 140595,
  [SMALL_STATE(4565)] = 140690,
  [SMALL_STATE(4566)] = 140785,
  [SMALL_STATE(4567)] = 140880,
  [SMALL_STATE(4568)] = 140975,
  [SMALL_STATE(4569)] = 141070,
  [SMALL_STATE(4570)] = 141165,
  [SMALL_STATE(4571)] = 141260,
  [SMALL_STATE(4572)] = 141355,
  [SMALL_STATE(4573)] = 141450,
  [SMALL_STATE(4574)] = 141545,
  [SMALL_STATE(4575)] = 141640,
  [SMALL_STATE(4576)] = 141735,
  [SMALL_STATE(4577)] = 141802,
  [SMALL_STATE(4578)] = 141897,
  [SMALL_STATE(4579)] = 141992,
  [SMALL_STATE(4580)] = 142087,
  [SMALL_STATE(4581)] = 142150,
  [SMALL_STATE(4582)] = 142245,
  [SMALL_STATE(4583)] = 142340,
  [SMALL_STATE(4584)] = 142435,
  [SMALL_STATE(4585)] = 142530,
  [SMALL_STATE(4586)] = 142625,
  [SMALL_STATE(4587)] = 142720,
  [SMALL_STATE(4588)] = 142773,
  [SMALL_STATE(4589)] = 142868,
  [SMALL_STATE(4590)] = 142963,
  [SMALL_STATE(4591)] = 143058,
  [SMALL_STATE(4592)] = 143153,
  [SMALL_STATE(4593)] = 143206,
  [SMALL_STATE(4594)] = 143301,
  [SMALL_STATE(4595)] = 143354,
  [SMALL_STATE(4596)] = 143419,
  [SMALL_STATE(4597)] = 143472,
  [SMALL_STATE(4598)] = 143567,
  [SMALL_STATE(4599)] = 143619,
  [SMALL_STATE(4600)] = 143675,
  [SMALL_STATE(4601)] = 143727,
  [SMALL_STATE(4602)] = 143779,
  [SMALL_STATE(4603)] = 143831,
  [SMALL_STATE(4604)] = 143883,
  [SMALL_STATE(4605)] = 143935,
  [SMALL_STATE(4606)] = 143987,
  [SMALL_STATE(4607)] = 144039,
  [SMALL_STATE(4608)] = 144131,
  [SMALL_STATE(4609)] = 144183,
  [SMALL_STATE(4610)] = 144235,
  [SMALL_STATE(4611)] = 144327,
  [SMALL_STATE(4612)] = 144379,
  [SMALL_STATE(4613)] = 144431,
  [SMALL_STATE(4614)] = 144483,
  [SMALL_STATE(4615)] = 144575,
  [SMALL_STATE(4616)] = 144627,
  [SMALL_STATE(4617)] = 144683,
  [SMALL_STATE(4618)] = 144739,
  [SMALL_STATE(4619)] = 144791,
  [SMALL_STATE(4620)] = 144847,
  [SMALL_STATE(4621)] = 144899,
  [SMALL_STATE(4622)] = 144955,
  [SMALL_STATE(4623)] = 145007,
  [SMALL_STATE(4624)] = 145099,
  [SMALL_STATE(4625)] = 145151,
  [SMALL_STATE(4626)] = 145243,
  [SMALL_STATE(4627)] = 145307,
  [SMALL_STATE(4628)] = 145359,
  [SMALL_STATE(4629)] = 145423,
  [SMALL_STATE(4630)] = 145475,
  [SMALL_STATE(4631)] = 145567,
  [SMALL_STATE(4632)] = 145623,
  [SMALL_STATE(4633)] = 145715,
  [SMALL_STATE(4634)] = 145783,
  [SMALL_STATE(4635)] = 145839,
  [SMALL_STATE(4636)] = 145891,
  [SMALL_STATE(4637)] = 145947,
  [SMALL_STATE(4638)] = 146003,
  [SMALL_STATE(4639)] = 146071,
  [SMALL_STATE(4640)] = 146123,
  [SMALL_STATE(4641)] = 146181,
  [SMALL_STATE(4642)] = 146233,
  [SMALL_STATE(4643)] = 146325,
  [SMALL_STATE(4644)] = 146377,
  [SMALL_STATE(4645)] = 146441,
  [SMALL_STATE(4646)] = 146533,
  [SMALL_STATE(4647)] = 146585,
  [SMALL_STATE(4648)] = 146637,
  [SMALL_STATE(4649)] = 146729,
  [SMALL_STATE(4650)] = 146793,
  [SMALL_STATE(4651)] = 146845,
  [SMALL_STATE(4652)] = 146937,
  [SMALL_STATE(4653)] = 147029,
  [SMALL_STATE(4654)] = 147081,
  [SMALL_STATE(4655)] = 147173,
  [SMALL_STATE(4656)] = 147225,
  [SMALL_STATE(4657)] = 147281,
  [SMALL_STATE(4658)] = 147349,
  [SMALL_STATE(4659)] = 147417,
  [SMALL_STATE(4660)] = 147469,
  [SMALL_STATE(4661)] = 147537,
  [SMALL_STATE(4662)] = 147589,
  [SMALL_STATE(4663)] = 147681,
  [SMALL_STATE(4664)] = 147737,
  [SMALL_STATE(4665)] = 147829,
  [SMALL_STATE(4666)] = 147885,
  [SMALL_STATE(4667)] = 147970,
  [SMALL_STATE(4668)] = 148071,
  [SMALL_STATE(4669)] = 148166,
  [SMALL_STATE(4670)] = 148251,
  [SMALL_STATE(4671)] = 148336,
  [SMALL_STATE(4672)] = 148439,
  [SMALL_STATE(4673)] = 148490,
  [SMALL_STATE(4674)] = 148541,
  [SMALL_STATE(4675)] = 148626,
  [SMALL_STATE(4676)] = 148711,
  [SMALL_STATE(4677)] = 148762,
  [SMALL_STATE(4678)] = 148819,
  [SMALL_STATE(4679)] = 148918,
  [SMALL_STATE(4680)] = 148985,
  [SMALL_STATE(4681)] = 149062,
  [SMALL_STATE(4682)] = 149147,
  [SMALL_STATE(4683)] = 149232,
  [SMALL_STATE(4684)] = 149299,
  [SMALL_STATE(4685)] = 149350,
  [SMALL_STATE(4686)] = 149401,
  [SMALL_STATE(4687)] = 149486,
  [SMALL_STATE(4688)] = 149571,
  [SMALL_STATE(4689)] = 149622,
  [SMALL_STATE(4690)] = 149673,
  [SMALL_STATE(4691)] = 149740,
  [SMALL_STATE(4692)] = 149815,
  [SMALL_STATE(4693)] = 149894,
  [SMALL_STATE(4694)] = 149993,
  [SMALL_STATE(4695)] = 150044,
  [SMALL_STATE(4696)] = 150127,
  [SMALL_STATE(4697)] = 150212,
  [SMALL_STATE(4698)] = 150263,
  [SMALL_STATE(4699)] = 150348,
  [SMALL_STATE(4700)] = 150433,
  [SMALL_STATE(4701)] = 150518,
  [SMALL_STATE(4702)] = 150603,
  [SMALL_STATE(4703)] = 150688,
  [SMALL_STATE(4704)] = 150773,
  [SMALL_STATE(4705)] = 150862,
  [SMALL_STATE(4706)] = 150953,
  [SMALL_STATE(4707)] = 151038,
  [SMALL_STATE(4708)] = 151133,
  [SMALL_STATE(4709)] = 151210,
  [SMALL_STATE(4710)] = 151277,
  [SMALL_STATE(4711)] = 151328,
  [SMALL_STATE(4712)] = 151431,
  [SMALL_STATE(4713)] = 151500,
  [SMALL_STATE(4714)] = 151603,
  [SMALL_STATE(4715)] = 151688,
  [SMALL_STATE(4716)] = 151739,
  [SMALL_STATE(4717)] = 151824,
  [SMALL_STATE(4718)] = 151895,
  [SMALL_STATE(4719)] = 151996,
  [SMALL_STATE(4720)] = 152049,
  [SMALL_STATE(4721)] = 152148,
  [SMALL_STATE(4722)] = 152251,
  [SMALL_STATE(4723)] = 152350,
  [SMALL_STATE(4724)] = 152423,
  [SMALL_STATE(4725)] = 152473,
  [SMALL_STATE(4726)] = 152525,
  [SMALL_STATE(4727)] = 152575,
  [SMALL_STATE(4728)] = 152625,
  [SMALL_STATE(4729)] = 152675,
  [SMALL_STATE(4730)] = 152725,
  [SMALL_STATE(4731)] = 152781,
  [SMALL_STATE(4732)] = 152837,
  [SMALL_STATE(4733)] = 152897,
  [SMALL_STATE(4734)] = 152953,
  [SMALL_STATE(4735)] = 153009,
  [SMALL_STATE(4736)] = 153065,
  [SMALL_STATE(4737)] = 153115,
  [SMALL_STATE(4738)] = 153165,
  [SMALL_STATE(4739)] = 153221,
  [SMALL_STATE(4740)] = 153271,
  [SMALL_STATE(4741)] = 153321,
  [SMALL_STATE(4742)] = 153371,
  [SMALL_STATE(4743)] = 153421,
  [SMALL_STATE(4744)] = 153471,
  [SMALL_STATE(4745)] = 153521,
  [SMALL_STATE(4746)] = 153571,
  [SMALL_STATE(4747)] = 153621,
  [SMALL_STATE(4748)] = 153671,
  [SMALL_STATE(4749)] = 153721,
  [SMALL_STATE(4750)] = 153771,
  [SMALL_STATE(4751)] = 153821,
  [SMALL_STATE(4752)] = 153871,
  [SMALL_STATE(4753)] = 153921,
  [SMALL_STATE(4754)] = 153971,
  [SMALL_STATE(4755)] = 154021,
  [SMALL_STATE(4756)] = 154073,
  [SMALL_STATE(4757)] = 154125,
  [SMALL_STATE(4758)] = 154175,
  [SMALL_STATE(4759)] = 154231,
  [SMALL_STATE(4760)] = 154281,
  [SMALL_STATE(4761)] = 154337,
  [SMALL_STATE(4762)] = 154387,
  [SMALL_STATE(4763)] = 154437,
  [SMALL_STATE(4764)] = 154487,
  [SMALL_STATE(4765)] = 154537,
  [SMALL_STATE(4766)] = 154589,
  [SMALL_STATE(4767)] = 154651,
  [SMALL_STATE(4768)] = 154701,
  [SMALL_STATE(4769)] = 154751,
  [SMALL_STATE(4770)] = 154801,
  [SMALL_STATE(4771)] = 154851,
  [SMALL_STATE(4772)] = 154901,
  [SMALL_STATE(4773)] = 155002,
  [SMALL_STATE(4774)] = 155073,
  [SMALL_STATE(4775)] = 155150,
  [SMALL_STATE(4776)] = 155227,
  [SMALL_STATE(4777)] = 155330,
  [SMALL_STATE(4778)] = 155391,
  [SMALL_STATE(4779)] = 155494,
  [SMALL_STATE(4780)] = 155557,
  [SMALL_STATE(4781)] = 155634,
  [SMALL_STATE(4782)] = 155697,
  [SMALL_STATE(4783)] = 155746,
  [SMALL_STATE(4784)] = 155803,
  [SMALL_STATE(4785)] = 155866,
  [SMALL_STATE(4786)] = 155963,
  [SMALL_STATE(4787)] = 156024,
  [SMALL_STATE(4788)] = 156077,
  [SMALL_STATE(4789)] = 156128,
  [SMALL_STATE(4790)] = 156177,
  [SMALL_STATE(4791)] = 156266,
  [SMALL_STATE(4792)] = 156343,
  [SMALL_STATE(4793)] = 156392,
  [SMALL_STATE(4794)] = 156445,
  [SMALL_STATE(4795)] = 156506,
  [SMALL_STATE(4796)] = 156567,
  [SMALL_STATE(4797)] = 156618,
  [SMALL_STATE(4798)] = 156721,
  [SMALL_STATE(4799)] = 156818,
  [SMALL_STATE(4800)] = 156911,
  [SMALL_STATE(4801)] = 156960,
  [SMALL_STATE(4802)] = 157009,
  [SMALL_STATE(4803)] = 157058,
  [SMALL_STATE(4804)] = 157107,
  [SMALL_STATE(4805)] = 157156,
  [SMALL_STATE(4806)] = 157257,
  [SMALL_STATE(4807)] = 157354,
  [SMALL_STATE(4808)] = 157403,
  [SMALL_STATE(4809)] = 157506,
  [SMALL_STATE(4810)] = 157607,
  [SMALL_STATE(4811)] = 157704,
  [SMALL_STATE(4812)] = 157757,
  [SMALL_STATE(4813)] = 157808,
  [SMALL_STATE(4814)] = 157877,
  [SMALL_STATE(4815)] = 157944,
  [SMALL_STATE(4816)] = 158045,
  [SMALL_STATE(4817)] = 158122,
  [SMALL_STATE(4818)] = 158173,
  [SMALL_STATE(4819)] = 158250,
  [SMALL_STATE(4820)] = 158313,
  [SMALL_STATE(4821)] = 158386,
  [SMALL_STATE(4822)] = 158463,
  [SMALL_STATE(4823)] = 158544,
  [SMALL_STATE(4824)] = 158627,
  [SMALL_STATE(4825)] = 158714,
  [SMALL_STATE(4826)] = 158803,
  [SMALL_STATE(4827)] = 158881,
  [SMALL_STATE(4828)] = 158975,
  [SMALL_STATE(4829)] = 159033,
  [SMALL_STATE(4830)] = 159123,
  [SMALL_STATE(4831)] = 159177,
  [SMALL_STATE(4832)] = 159229,
  [SMALL_STATE(4833)] = 159279,
  [SMALL_STATE(4834)] = 159361,
  [SMALL_STATE(4835)] = 159455,
  [SMALL_STATE(4836)] = 159513,
  [SMALL_STATE(4837)] = 159561,
  [SMALL_STATE(4838)] = 159615,
  [SMALL_STATE(4839)] = 159715,
  [SMALL_STATE(4840)] = 159781,
  [SMALL_STATE(4841)] = 159857,
  [SMALL_STATE(4842)] = 159945,
  [SMALL_STATE(4843)] = 160003,
  [SMALL_STATE(4844)] = 160093,
  [SMALL_STATE(4845)] = 160179,
  [SMALL_STATE(4846)] = 160247,
  [SMALL_STATE(4847)] = 160331,
  [SMALL_STATE(4848)] = 160389,
  [SMALL_STATE(4849)] = 160457,
  [SMALL_STATE(4850)] = 160547,
  [SMALL_STATE(4851)] = 160595,
  [SMALL_STATE(4852)] = 160671,
  [SMALL_STATE(4853)] = 160743,
  [SMALL_STATE(4854)] = 160811,
  [SMALL_STATE(4855)] = 160881,
  [SMALL_STATE(4856)] = 160939,
  [SMALL_STATE(4857)] = 161029,
  [SMALL_STATE(4858)] = 161081,
  [SMALL_STATE(4859)] = 161149,
  [SMALL_STATE(4860)] = 161199,
  [SMALL_STATE(4861)] = 161275,
  [SMALL_STATE(4862)] = 161325,
  [SMALL_STATE(4863)] = 161419,
  [SMALL_STATE(4864)] = 161506,
  [SMALL_STATE(4865)] = 161553,
  [SMALL_STATE(4866)] = 161646,
  [SMALL_STATE(4867)] = 161697,
  [SMALL_STATE(4868)] = 161794,
  [SMALL_STATE(4869)] = 161847,
  [SMALL_STATE(4870)] = 161944,
  [SMALL_STATE(4871)] = 162019,
  [SMALL_STATE(4872)] = 162114,
  [SMALL_STATE(4873)] = 162211,
  [SMALL_STATE(4874)] = 162286,
  [SMALL_STATE(4875)] = 162363,
  [SMALL_STATE(4876)] = 162458,
  [SMALL_STATE(4877)] = 162555,
  [SMALL_STATE(4878)] = 162652,
  [SMALL_STATE(4879)] = 162699,
  [SMALL_STATE(4880)] = 162746,
  [SMALL_STATE(4881)] = 162843,
  [SMALL_STATE(4882)] = 162940,
  [SMALL_STATE(4883)] = 163037,
  [SMALL_STATE(4884)] = 163134,
  [SMALL_STATE(4885)] = 163231,
  [SMALL_STATE(4886)] = 163328,
  [SMALL_STATE(4887)] = 163375,
  [SMALL_STATE(4888)] = 163472,
  [SMALL_STATE(4889)] = 163565,
  [SMALL_STATE(4890)] = 163662,
  [SMALL_STATE(4891)] = 163715,
  [SMALL_STATE(4892)] = 163812,
  [SMALL_STATE(4893)] = 163909,
  [SMALL_STATE(4894)] = 163998,
  [SMALL_STATE(4895)] = 164095,
  [SMALL_STATE(4896)] = 164192,
  [SMALL_STATE(4897)] = 164289,
  [SMALL_STATE(4898)] = 164336,
  [SMALL_STATE(4899)] = 164433,
  [SMALL_STATE(4900)] = 164518,
  [SMALL_STATE(4901)] = 164607,
  [SMALL_STATE(4902)] = 164654,
  [SMALL_STATE(4903)] = 164701,
  [SMALL_STATE(4904)] = 164748,
  [SMALL_STATE(4905)] = 164795,
  [SMALL_STATE(4906)] = 164850,
  [SMALL_STATE(4907)] = 164897,
  [SMALL_STATE(4908)] = 164994,
  [SMALL_STATE(4909)] = 165091,
  [SMALL_STATE(4910)] = 165138,
  [SMALL_STATE(4911)] = 165185,
  [SMALL_STATE(4912)] = 165232,
  [SMALL_STATE(4913)] = 165329,
  [SMALL_STATE(4914)] = 165376,
  [SMALL_STATE(4915)] = 165423,
  [SMALL_STATE(4916)] = 165470,
  [SMALL_STATE(4917)] = 165517,
  [SMALL_STATE(4918)] = 165614,
  [SMALL_STATE(4919)] = 165661,
  [SMALL_STATE(4920)] = 165708,
  [SMALL_STATE(4921)] = 165755,
  [SMALL_STATE(4922)] = 165802,
  [SMALL_STATE(4923)] = 165849,
  [SMALL_STATE(4924)] = 165896,
  [SMALL_STATE(4925)] = 165943,
  [SMALL_STATE(4926)] = 165990,
  [SMALL_STATE(4927)] = 166037,
  [SMALL_STATE(4928)] = 166130,
  [SMALL_STATE(4929)] = 166181,
  [SMALL_STATE(4930)] = 166228,
  [SMALL_STATE(4931)] = 166275,
  [SMALL_STATE(4932)] = 166322,
  [SMALL_STATE(4933)] = 166369,
  [SMALL_STATE(4934)] = 166466,
  [SMALL_STATE(4935)] = 166563,
  [SMALL_STATE(4936)] = 166640,
  [SMALL_STATE(4937)] = 166687,
  [SMALL_STATE(4938)] = 166784,
  [SMALL_STATE(4939)] = 166881,
  [SMALL_STATE(4940)] = 166934,
  [SMALL_STATE(4941)] = 167031,
  [SMALL_STATE(4942)] = 167078,
  [SMALL_STATE(4943)] = 167175,
  [SMALL_STATE(4944)] = 167250,
  [SMALL_STATE(4945)] = 167347,
  [SMALL_STATE(4946)] = 167444,
  [SMALL_STATE(4947)] = 167521,
  [SMALL_STATE(4948)] = 167598,
  [SMALL_STATE(4949)] = 167695,
  [SMALL_STATE(4950)] = 167742,
  [SMALL_STATE(4951)] = 167839,
  [SMALL_STATE(4952)] = 167886,
  [SMALL_STATE(4953)] = 167933,
  [SMALL_STATE(4954)] = 168030,
  [SMALL_STATE(4955)] = 168079,
  [SMALL_STATE(4956)] = 168176,
  [SMALL_STATE(4957)] = 168273,
  [SMALL_STATE(4958)] = 168320,
  [SMALL_STATE(4959)] = 168367,
  [SMALL_STATE(4960)] = 168456,
  [SMALL_STATE(4961)] = 168553,
  [SMALL_STATE(4962)] = 168600,
  [SMALL_STATE(4963)] = 168647,
  [SMALL_STATE(4964)] = 168722,
  [SMALL_STATE(4965)] = 168769,
  [SMALL_STATE(4966)] = 168866,
  [SMALL_STATE(4967)] = 168913,
  [SMALL_STATE(4968)] = 168960,
  [SMALL_STATE(4969)] = 169007,
  [SMALL_STATE(4970)] = 169054,
  [SMALL_STATE(4971)] = 169119,
  [SMALL_STATE(4972)] = 169166,
  [SMALL_STATE(4973)] = 169213,
  [SMALL_STATE(4974)] = 169260,
  [SMALL_STATE(4975)] = 169349,
  [SMALL_STATE(4976)] = 169446,
  [SMALL_STATE(4977)] = 169523,
  [SMALL_STATE(4978)] = 169570,
  [SMALL_STATE(4979)] = 169617,
  [SMALL_STATE(4980)] = 169714,
  [SMALL_STATE(4981)] = 169811,
  [SMALL_STATE(4982)] = 169898,
  [SMALL_STATE(4983)] = 169945,
  [SMALL_STATE(4984)] = 170042,
  [SMALL_STATE(4985)] = 170089,
  [SMALL_STATE(4986)] = 170186,
  [SMALL_STATE(4987)] = 170283,
  [SMALL_STATE(4988)] = 170330,
  [SMALL_STATE(4989)] = 170377,
  [SMALL_STATE(4990)] = 170474,
  [SMALL_STATE(4991)] = 170527,
  [SMALL_STATE(4992)] = 170624,
  [SMALL_STATE(4993)] = 170721,
  [SMALL_STATE(4994)] = 170818,
  [SMALL_STATE(4995)] = 170865,
  [SMALL_STATE(4996)] = 170912,
  [SMALL_STATE(4997)] = 170959,
  [SMALL_STATE(4998)] = 171008,
  [SMALL_STATE(4999)] = 171105,
  [SMALL_STATE(5000)] = 171152,
  [SMALL_STATE(5001)] = 171235,
  [SMALL_STATE(5002)] = 171282,
  [SMALL_STATE(5003)] = 171329,
  [SMALL_STATE(5004)] = 171376,
  [SMALL_STATE(5005)] = 171423,
  [SMALL_STATE(5006)] = 171516,
  [SMALL_STATE(5007)] = 171613,
  [SMALL_STATE(5008)] = 171666,
  [SMALL_STATE(5009)] = 171713,
  [SMALL_STATE(5010)] = 171760,
  [SMALL_STATE(5011)] = 171857,
  [SMALL_STATE(5012)] = 171904,
  [SMALL_STATE(5013)] = 171951,
  [SMALL_STATE(5014)] = 171998,
  [SMALL_STATE(5015)] = 172067,
  [SMALL_STATE(5016)] = 172116,
  [SMALL_STATE(5017)] = 172213,
  [SMALL_STATE(5018)] = 172310,
  [SMALL_STATE(5019)] = 172357,
  [SMALL_STATE(5020)] = 172454,
  [SMALL_STATE(5021)] = 172551,
  [SMALL_STATE(5022)] = 172648,
  [SMALL_STATE(5023)] = 172745,
  [SMALL_STATE(5024)] = 172816,
  [SMALL_STATE(5025)] = 172863,
  [SMALL_STATE(5026)] = 172940,
  [SMALL_STATE(5027)] = 173037,
  [SMALL_STATE(5028)] = 173104,
  [SMALL_STATE(5029)] = 173159,
  [SMALL_STATE(5030)] = 173256,
  [SMALL_STATE(5031)] = 173303,
  [SMALL_STATE(5032)] = 173350,
  [SMALL_STATE(5033)] = 173397,
  [SMALL_STATE(5034)] = 173444,
  [SMALL_STATE(5035)] = 173541,
  [SMALL_STATE(5036)] = 173588,
  [SMALL_STATE(5037)] = 173669,
  [SMALL_STATE(5038)] = 173756,
  [SMALL_STATE(5039)] = 173849,
  [SMALL_STATE(5040)] = 173946,
  [SMALL_STATE(5041)] = 174023,
  [SMALL_STATE(5042)] = 174120,
  [SMALL_STATE(5043)] = 174217,
  [SMALL_STATE(5044)] = 174292,
  [SMALL_STATE(5045)] = 174369,
  [SMALL_STATE(5046)] = 174446,
  [SMALL_STATE(5047)] = 174520,
  [SMALL_STATE(5048)] = 174566,
  [SMALL_STATE(5049)] = 174626,
  [SMALL_STATE(5050)] = 174686,
  [SMALL_STATE(5051)] = 174780,
  [SMALL_STATE(5052)] = 174872,
  [SMALL_STATE(5053)] = 174946,
  [SMALL_STATE(5054)] = 175040,
  [SMALL_STATE(5055)] = 175134,
  [SMALL_STATE(5056)] = 175228,
  [SMALL_STATE(5057)] = 175302,
  [SMALL_STATE(5058)] = 175360,
  [SMALL_STATE(5059)] = 175454,
  [SMALL_STATE(5060)] = 175540,
  [SMALL_STATE(5061)] = 175634,
  [SMALL_STATE(5062)] = 175726,
  [SMALL_STATE(5063)] = 175820,
  [SMALL_STATE(5064)] = 175894,
  [SMALL_STATE(5065)] = 175988,
  [SMALL_STATE(5066)] = 176046,
  [SMALL_STATE(5067)] = 176094,
  [SMALL_STATE(5068)] = 176168,
  [SMALL_STATE(5069)] = 176242,
  [SMALL_STATE(5070)] = 176334,
  [SMALL_STATE(5071)] = 176422,
  [SMALL_STATE(5072)] = 176510,
  [SMALL_STATE(5073)] = 176604,
  [SMALL_STATE(5074)] = 176678,
  [SMALL_STATE(5075)] = 176770,
  [SMALL_STATE(5076)] = 176862,
  [SMALL_STATE(5077)] = 176956,
  [SMALL_STATE(5078)] = 177030,
  [SMALL_STATE(5079)] = 177124,
  [SMALL_STATE(5080)] = 177218,
  [SMALL_STATE(5081)] = 177292,
  [SMALL_STATE(5082)] = 177384,
  [SMALL_STATE(5083)] = 177444,
  [SMALL_STATE(5084)] = 177538,
  [SMALL_STATE(5085)] = 177586,
  [SMALL_STATE(5086)] = 177660,
  [SMALL_STATE(5087)] = 177734,
  [SMALL_STATE(5088)] = 177828,
  [SMALL_STATE(5089)] = 177884,
  [SMALL_STATE(5090)] = 177976,
  [SMALL_STATE(5091)] = 178068,
  [SMALL_STATE(5092)] = 178142,
  [SMALL_STATE(5093)] = 178206,
  [SMALL_STATE(5094)] = 178298,
  [SMALL_STATE(5095)] = 178386,
  [SMALL_STATE(5096)] = 178454,
  [SMALL_STATE(5097)] = 178540,
  [SMALL_STATE(5098)] = 178614,
  [SMALL_STATE(5099)] = 178708,
  [SMALL_STATE(5100)] = 178776,
  [SMALL_STATE(5101)] = 178860,
  [SMALL_STATE(5102)] = 178948,
  [SMALL_STATE(5103)] = 179022,
  [SMALL_STATE(5104)] = 179090,
  [SMALL_STATE(5105)] = 179182,
  [SMALL_STATE(5106)] = 179256,
  [SMALL_STATE(5107)] = 179350,
  [SMALL_STATE(5108)] = 179418,
  [SMALL_STATE(5109)] = 179500,
  [SMALL_STATE(5110)] = 179580,
  [SMALL_STATE(5111)] = 179656,
  [SMALL_STATE(5112)] = 179730,
  [SMALL_STATE(5113)] = 179780,
  [SMALL_STATE(5114)] = 179874,
  [SMALL_STATE(5115)] = 179942,
  [SMALL_STATE(5116)] = 180034,
  [SMALL_STATE(5117)] = 180126,
  [SMALL_STATE(5118)] = 180196,
  [SMALL_STATE(5119)] = 180262,
  [SMALL_STATE(5120)] = 180310,
  [SMALL_STATE(5121)] = 180384,
  [SMALL_STATE(5122)] = 180458,
  [SMALL_STATE(5123)] = 180526,
  [SMALL_STATE(5124)] = 180620,
  [SMALL_STATE(5125)] = 180694,
  [SMALL_STATE(5126)] = 180788,
  [SMALL_STATE(5127)] = 180862,
  [SMALL_STATE(5128)] = 180936,
  [SMALL_STATE(5129)] = 181010,
  [SMALL_STATE(5130)] = 181102,
  [SMALL_STATE(5131)] = 181194,
  [SMALL_STATE(5132)] = 181282,
  [SMALL_STATE(5133)] = 181374,
  [SMALL_STATE(5134)] = 181448,
  [SMALL_STATE(5135)] = 181542,
  [SMALL_STATE(5136)] = 181636,
  [SMALL_STATE(5137)] = 181724,
  [SMALL_STATE(5138)] = 181818,
  [SMALL_STATE(5139)] = 181910,
  [SMALL_STATE(5140)] = 182002,
  [SMALL_STATE(5141)] = 182058,
  [SMALL_STATE(5142)] = 182126,
  [SMALL_STATE(5143)] = 182178,
  [SMALL_STATE(5144)] = 182272,
  [SMALL_STATE(5145)] = 182346,
  [SMALL_STATE(5146)] = 182420,
  [SMALL_STATE(5147)] = 182514,
  [SMALL_STATE(5148)] = 182602,
  [SMALL_STATE(5149)] = 182676,
  [SMALL_STATE(5150)] = 182740,
  [SMALL_STATE(5151)] = 182800,
  [SMALL_STATE(5152)] = 182886,
  [SMALL_STATE(5153)] = 182978,
  [SMALL_STATE(5154)] = 183072,
  [SMALL_STATE(5155)] = 183164,
  [SMALL_STATE(5156)] = 183256,
  [SMALL_STATE(5157)] = 183330,
  [SMALL_STATE(5158)] = 183418,
  [SMALL_STATE(5159)] = 183486,
  [SMALL_STATE(5160)] = 183554,
  [SMALL_STATE(5161)] = 183628,
  [SMALL_STATE(5162)] = 183722,
  [SMALL_STATE(5163)] = 183806,
  [SMALL_STATE(5164)] = 183880,
  [SMALL_STATE(5165)] = 183972,
  [SMALL_STATE(5166)] = 184064,
  [SMALL_STATE(5167)] = 184132,
  [SMALL_STATE(5168)] = 184204,
  [SMALL_STATE(5169)] = 184272,
  [SMALL_STATE(5170)] = 184342,
  [SMALL_STATE(5171)] = 184436,
  [SMALL_STATE(5172)] = 184530,
  [SMALL_STATE(5173)] = 184598,
  [SMALL_STATE(5174)] = 184680,
  [SMALL_STATE(5175)] = 184748,
  [SMALL_STATE(5176)] = 184828,
  [SMALL_STATE(5177)] = 184920,
  [SMALL_STATE(5178)] = 184994,
  [SMALL_STATE(5179)] = 185060,
  [SMALL_STATE(5180)] = 185134,
  [SMALL_STATE(5181)] = 185208,
  [SMALL_STATE(5182)] = 185302,
  [SMALL_STATE(5183)] = 185396,
  [SMALL_STATE(5184)] = 185470,
  [SMALL_STATE(5185)] = 185546,
  [SMALL_STATE(5186)] = 185640,
  [SMALL_STATE(5187)] = 185714,
  [SMALL_STATE(5188)] = 185764,
  [SMALL_STATE(5189)] = 185838,
  [SMALL_STATE(5190)] = 185932,
  [SMALL_STATE(5191)] = 186006,
  [SMALL_STATE(5192)] = 186100,
  [SMALL_STATE(5193)] = 186157,
  [SMALL_STATE(5194)] = 186206,
  [SMALL_STATE(5195)] = 186297,
  [SMALL_STATE(5196)] = 186388,
  [SMALL_STATE(5197)] = 186479,
  [SMALL_STATE(5198)] = 186570,
  [SMALL_STATE(5199)] = 186629,
  [SMALL_STATE(5200)] = 186720,
  [SMALL_STATE(5201)] = 186811,
  [SMALL_STATE(5202)] = 186902,
  [SMALL_STATE(5203)] = 186993,
  [SMALL_STATE(5204)] = 187084,
  [SMALL_STATE(5205)] = 187175,
  [SMALL_STATE(5206)] = 187266,
  [SMALL_STATE(5207)] = 187357,
  [SMALL_STATE(5208)] = 187416,
  [SMALL_STATE(5209)] = 187467,
  [SMALL_STATE(5210)] = 187516,
  [SMALL_STATE(5211)] = 187607,
  [SMALL_STATE(5212)] = 187698,
  [SMALL_STATE(5213)] = 187789,
  [SMALL_STATE(5214)] = 187880,
  [SMALL_STATE(5215)] = 187929,
  [SMALL_STATE(5216)] = 188020,
  [SMALL_STATE(5217)] = 188069,
  [SMALL_STATE(5218)] = 188160,
  [SMALL_STATE(5219)] = 188251,
  [SMALL_STATE(5220)] = 188342,
  [SMALL_STATE(5221)] = 188433,
  [SMALL_STATE(5222)] = 188524,
  [SMALL_STATE(5223)] = 188615,
  [SMALL_STATE(5224)] = 188706,
  [SMALL_STATE(5225)] = 188755,
  [SMALL_STATE(5226)] = 188846,
  [SMALL_STATE(5227)] = 188937,
  [SMALL_STATE(5228)] = 189028,
  [SMALL_STATE(5229)] = 189119,
  [SMALL_STATE(5230)] = 189210,
  [SMALL_STATE(5231)] = 189259,
  [SMALL_STATE(5232)] = 189310,
  [SMALL_STATE(5233)] = 189401,
  [SMALL_STATE(5234)] = 189492,
  [SMALL_STATE(5235)] = 189583,
  [SMALL_STATE(5236)] = 189674,
  [SMALL_STATE(5237)] = 189765,
  [SMALL_STATE(5238)] = 189856,
  [SMALL_STATE(5239)] = 189947,
  [SMALL_STATE(5240)] = 190038,
  [SMALL_STATE(5241)] = 190129,
  [SMALL_STATE(5242)] = 190220,
  [SMALL_STATE(5243)] = 190311,
  [SMALL_STATE(5244)] = 190402,
  [SMALL_STATE(5245)] = 190459,
  [SMALL_STATE(5246)] = 190550,
  [SMALL_STATE(5247)] = 190599,
  [SMALL_STATE(5248)] = 190690,
  [SMALL_STATE(5249)] = 190781,
  [SMALL_STATE(5250)] = 190872,
  [SMALL_STATE(5251)] = 190963,
  [SMALL_STATE(5252)] = 191054,
  [SMALL_STATE(5253)] = 191145,
  [SMALL_STATE(5254)] = 191236,
  [SMALL_STATE(5255)] = 191327,
  [SMALL_STATE(5256)] = 191376,
  [SMALL_STATE(5257)] = 191467,
  [SMALL_STATE(5258)] = 191558,
  [SMALL_STATE(5259)] = 191649,
  [SMALL_STATE(5260)] = 191740,
  [SMALL_STATE(5261)] = 191831,
  [SMALL_STATE(5262)] = 191922,
  [SMALL_STATE(5263)] = 192013,
  [SMALL_STATE(5264)] = 192104,
  [SMALL_STATE(5265)] = 192195,
  [SMALL_STATE(5266)] = 192286,
  [SMALL_STATE(5267)] = 192377,
  [SMALL_STATE(5268)] = 192468,
  [SMALL_STATE(5269)] = 192559,
  [SMALL_STATE(5270)] = 192650,
  [SMALL_STATE(5271)] = 192741,
  [SMALL_STATE(5272)] = 192832,
  [SMALL_STATE(5273)] = 192923,
  [SMALL_STATE(5274)] = 192970,
  [SMALL_STATE(5275)] = 193061,
  [SMALL_STATE(5276)] = 193152,
  [SMALL_STATE(5277)] = 193197,
  [SMALL_STATE(5278)] = 193288,
  [SMALL_STATE(5279)] = 193343,
  [SMALL_STATE(5280)] = 193410,
  [SMALL_STATE(5281)] = 193501,
  [SMALL_STATE(5282)] = 193592,
  [SMALL_STATE(5283)] = 193683,
  [SMALL_STATE(5284)] = 193756,
  [SMALL_STATE(5285)] = 193847,
  [SMALL_STATE(5286)] = 193938,
  [SMALL_STATE(5287)] = 194029,
  [SMALL_STATE(5288)] = 194120,
  [SMALL_STATE(5289)] = 194187,
  [SMALL_STATE(5290)] = 194278,
  [SMALL_STATE(5291)] = 194365,
  [SMALL_STATE(5292)] = 194456,
  [SMALL_STATE(5293)] = 194519,
  [SMALL_STATE(5294)] = 194604,
  [SMALL_STATE(5295)] = 194695,
  [SMALL_STATE(5296)] = 194786,
  [SMALL_STATE(5297)] = 194877,
  [SMALL_STATE(5298)] = 194960,
  [SMALL_STATE(5299)] = 195041,
  [SMALL_STATE(5300)] = 195120,
  [SMALL_STATE(5301)] = 195211,
  [SMALL_STATE(5302)] = 195302,
  [SMALL_STATE(5303)] = 195393,
  [SMALL_STATE(5304)] = 195484,
  [SMALL_STATE(5305)] = 195575,
  [SMALL_STATE(5306)] = 195632,
  [SMALL_STATE(5307)] = 195723,
  [SMALL_STATE(5308)] = 195798,
  [SMALL_STATE(5309)] = 195889,
  [SMALL_STATE(5310)] = 195962,
  [SMALL_STATE(5311)] = 196053,
  [SMALL_STATE(5312)] = 196144,
  [SMALL_STATE(5313)] = 196213,
  [SMALL_STATE(5314)] = 196278,
  [SMALL_STATE(5315)] = 196345,
  [SMALL_STATE(5316)] = 196418,
  [SMALL_STATE(5317)] = 196505,
  [SMALL_STATE(5318)] = 196596,
  [SMALL_STATE(5319)] = 196687,
  [SMALL_STATE(5320)] = 196774,
  [SMALL_STATE(5321)] = 196865,
  [SMALL_STATE(5322)] = 196956,
  [SMALL_STATE(5323)] = 197047,
  [SMALL_STATE(5324)] = 197106,
  [SMALL_STATE(5325)] = 197197,
  [SMALL_STATE(5326)] = 197256,
  [SMALL_STATE(5327)] = 197347,
  [SMALL_STATE(5328)] = 197438,
  [SMALL_STATE(5329)] = 197529,
  [SMALL_STATE(5330)] = 197620,
  [SMALL_STATE(5331)] = 197711,
  [SMALL_STATE(5332)] = 197756,
  [SMALL_STATE(5333)] = 197847,
  [SMALL_STATE(5334)] = 197894,
  [SMALL_STATE(5335)] = 197985,
  [SMALL_STATE(5336)] = 198034,
  [SMALL_STATE(5337)] = 198125,
  [SMALL_STATE(5338)] = 198212,
  [SMALL_STATE(5339)] = 198303,
  [SMALL_STATE(5340)] = 198394,
  [SMALL_STATE(5341)] = 198445,
  [SMALL_STATE(5342)] = 198536,
  [SMALL_STATE(5343)] = 198627,
  [SMALL_STATE(5344)] = 198718,
  [SMALL_STATE(5345)] = 198809,
  [SMALL_STATE(5346)] = 198866,
  [SMALL_STATE(5347)] = 198957,
  [SMALL_STATE(5348)] = 199008,
  [SMALL_STATE(5349)] = 199075,
  [SMALL_STATE(5350)] = 199128,
  [SMALL_STATE(5351)] = 199219,
  [SMALL_STATE(5352)] = 199310,
  [SMALL_STATE(5353)] = 199401,
  [SMALL_STATE(5354)] = 199492,
  [SMALL_STATE(5355)] = 199559,
  [SMALL_STATE(5356)] = 199650,
  [SMALL_STATE(5357)] = 199741,
  [SMALL_STATE(5358)] = 199832,
  [SMALL_STATE(5359)] = 199923,
  [SMALL_STATE(5360)] = 200014,
  [SMALL_STATE(5361)] = 200105,
  [SMALL_STATE(5362)] = 200196,
  [SMALL_STATE(5363)] = 200287,
  [SMALL_STATE(5364)] = 200378,
  [SMALL_STATE(5365)] = 200469,
  [SMALL_STATE(5366)] = 200560,
  [SMALL_STATE(5367)] = 200651,
  [SMALL_STATE(5368)] = 200742,
  [SMALL_STATE(5369)] = 200833,
  [SMALL_STATE(5370)] = 200924,
  [SMALL_STATE(5371)] = 201015,
  [SMALL_STATE(5372)] = 201106,
  [SMALL_STATE(5373)] = 201150,
  [SMALL_STATE(5374)] = 201194,
  [SMALL_STATE(5375)] = 201276,
  [SMALL_STATE(5376)] = 201320,
  [SMALL_STATE(5377)] = 201364,
  [SMALL_STATE(5378)] = 201408,
  [SMALL_STATE(5379)] = 201474,
  [SMALL_STATE(5380)] = 201522,
  [SMALL_STATE(5381)] = 201566,
  [SMALL_STATE(5382)] = 201620,
  [SMALL_STATE(5383)] = 201664,
  [SMALL_STATE(5384)] = 201708,
  [SMALL_STATE(5385)] = 201790,
  [SMALL_STATE(5386)] = 201834,
  [SMALL_STATE(5387)] = 201878,
  [SMALL_STATE(5388)] = 201944,
  [SMALL_STATE(5389)] = 201988,
  [SMALL_STATE(5390)] = 202032,
  [SMALL_STATE(5391)] = 202076,
  [SMALL_STATE(5392)] = 202142,
  [SMALL_STATE(5393)] = 202186,
  [SMALL_STATE(5394)] = 202274,
  [SMALL_STATE(5395)] = 202318,
  [SMALL_STATE(5396)] = 202362,
  [SMALL_STATE(5397)] = 202406,
  [SMALL_STATE(5398)] = 202450,
  [SMALL_STATE(5399)] = 202494,
  [SMALL_STATE(5400)] = 202538,
  [SMALL_STATE(5401)] = 202588,
  [SMALL_STATE(5402)] = 202632,
  [SMALL_STATE(5403)] = 202676,
  [SMALL_STATE(5404)] = 202720,
  [SMALL_STATE(5405)] = 202792,
  [SMALL_STATE(5406)] = 202842,
  [SMALL_STATE(5407)] = 202886,
  [SMALL_STATE(5408)] = 202952,
  [SMALL_STATE(5409)] = 202996,
  [SMALL_STATE(5410)] = 203040,
  [SMALL_STATE(5411)] = 203088,
  [SMALL_STATE(5412)] = 203132,
  [SMALL_STATE(5413)] = 203176,
  [SMALL_STATE(5414)] = 203220,
  [SMALL_STATE(5415)] = 203264,
  [SMALL_STATE(5416)] = 203308,
  [SMALL_STATE(5417)] = 203352,
  [SMALL_STATE(5418)] = 203418,
  [SMALL_STATE(5419)] = 203484,
  [SMALL_STATE(5420)] = 203528,
  [SMALL_STATE(5421)] = 203572,
  [SMALL_STATE(5422)] = 203638,
  [SMALL_STATE(5423)] = 203704,
  [SMALL_STATE(5424)] = 203748,
  [SMALL_STATE(5425)] = 203820,
  [SMALL_STATE(5426)] = 203880,
  [SMALL_STATE(5427)] = 203924,
  [SMALL_STATE(5428)] = 203970,
  [SMALL_STATE(5429)] = 204014,
  [SMALL_STATE(5430)] = 204058,
  [SMALL_STATE(5431)] = 204107,
  [SMALL_STATE(5432)] = 204160,
  [SMALL_STATE(5433)] = 204207,
  [SMALL_STATE(5434)] = 204254,
  [SMALL_STATE(5435)] = 204301,
  [SMALL_STATE(5436)] = 204346,
  [SMALL_STATE(5437)] = 204389,
  [SMALL_STATE(5438)] = 204432,
  [SMALL_STATE(5439)] = 204475,
  [SMALL_STATE(5440)] = 204518,
  [SMALL_STATE(5441)] = 204561,
  [SMALL_STATE(5442)] = 204604,
  [SMALL_STATE(5443)] = 204663,
  [SMALL_STATE(5444)] = 204706,
  [SMALL_STATE(5445)] = 204753,
  [SMALL_STATE(5446)] = 204800,
  [SMALL_STATE(5447)] = 204847,
  [SMALL_STATE(5448)] = 204894,
  [SMALL_STATE(5449)] = 204937,
  [SMALL_STATE(5450)] = 204982,
  [SMALL_STATE(5451)] = 205025,
  [SMALL_STATE(5452)] = 205068,
  [SMALL_STATE(5453)] = 205113,
  [SMALL_STATE(5454)] = 205156,
  [SMALL_STATE(5455)] = 205209,
  [SMALL_STATE(5456)] = 205274,
  [SMALL_STATE(5457)] = 205345,
  [SMALL_STATE(5458)] = 205410,
  [SMALL_STATE(5459)] = 205453,
  [SMALL_STATE(5460)] = 205496,
  [SMALL_STATE(5461)] = 205541,
  [SMALL_STATE(5462)] = 205622,
  [SMALL_STATE(5463)] = 205677,
  [SMALL_STATE(5464)] = 205720,
  [SMALL_STATE(5465)] = 205791,
  [SMALL_STATE(5466)] = 205856,
  [SMALL_STATE(5467)] = 205937,
  [SMALL_STATE(5468)] = 206002,
  [SMALL_STATE(5469)] = 206057,
  [SMALL_STATE(5470)] = 206137,
  [SMALL_STATE(5471)] = 206217,
  [SMALL_STATE(5472)] = 206301,
  [SMALL_STATE(5473)] = 206381,
  [SMALL_STATE(5474)] = 206461,
  [SMALL_STATE(5475)] = 206503,
  [SMALL_STATE(5476)] = 206553,
  [SMALL_STATE(5477)] = 206633,
  [SMALL_STATE(5478)] = 206683,
  [SMALL_STATE(5479)] = 206747,
  [SMALL_STATE(5480)] = 206811,
  [SMALL_STATE(5481)] = 206891,
  [SMALL_STATE(5482)] = 206955,
  [SMALL_STATE(5483)] = 207009,
  [SMALL_STATE(5484)] = 207057,
  [SMALL_STATE(5485)] = 207105,
  [SMALL_STATE(5486)] = 207185,
  [SMALL_STATE(5487)] = 207239,
  [SMALL_STATE(5488)] = 207287,
  [SMALL_STATE(5489)] = 207335,
  [SMALL_STATE(5490)] = 207383,
  [SMALL_STATE(5491)] = 207429,
  [SMALL_STATE(5492)] = 207499,
  [SMALL_STATE(5493)] = 207569,
  [SMALL_STATE(5494)] = 207615,
  [SMALL_STATE(5495)] = 207695,
  [SMALL_STATE(5496)] = 207759,
  [SMALL_STATE(5497)] = 207807,
  [SMALL_STATE(5498)] = 207880,
  [SMALL_STATE(5499)] = 207953,
  [SMALL_STATE(5500)] = 207998,
  [SMALL_STATE(5501)] = 208043,
  [SMALL_STATE(5502)] = 208112,
  [SMALL_STATE(5503)] = 208185,
  [SMALL_STATE(5504)] = 208230,
  [SMALL_STATE(5505)] = 208275,
  [SMALL_STATE(5506)] = 208344,
  [SMALL_STATE(5507)] = 208389,
  [SMALL_STATE(5508)] = 208462,
  [SMALL_STATE(5509)] = 208507,
  [SMALL_STATE(5510)] = 208596,
  [SMALL_STATE(5511)] = 208659,
  [SMALL_STATE(5512)] = 208704,
  [SMALL_STATE(5513)] = 208783,
  [SMALL_STATE(5514)] = 208846,
  [SMALL_STATE(5515)] = 208893,
  [SMALL_STATE(5516)] = 208972,
  [SMALL_STATE(5517)] = 209013,
  [SMALL_STATE(5518)] = 209058,
  [SMALL_STATE(5519)] = 209121,
  [SMALL_STATE(5520)] = 209184,
  [SMALL_STATE(5521)] = 209229,
  [SMALL_STATE(5522)] = 209274,
  [SMALL_STATE(5523)] = 209319,
  [SMALL_STATE(5524)] = 209364,
  [SMALL_STATE(5525)] = 209443,
  [SMALL_STATE(5526)] = 209494,
  [SMALL_STATE(5527)] = 209573,
  [SMALL_STATE(5528)] = 209642,
  [SMALL_STATE(5529)] = 209711,
  [SMALL_STATE(5530)] = 209751,
  [SMALL_STATE(5531)] = 209791,
  [SMALL_STATE(5532)] = 209831,
  [SMALL_STATE(5533)] = 209903,
  [SMALL_STATE(5534)] = 209951,
  [SMALL_STATE(5535)] = 210031,
  [SMALL_STATE(5536)] = 210071,
  [SMALL_STATE(5537)] = 210151,
  [SMALL_STATE(5538)] = 210191,
  [SMALL_STATE(5539)] = 210271,
  [SMALL_STATE(5540)] = 210319,
  [SMALL_STATE(5541)] = 210397,
  [SMALL_STATE(5542)] = 210477,
  [SMALL_STATE(5543)] = 210557,
  [SMALL_STATE(5544)] = 210597,
  [SMALL_STATE(5545)] = 210647,
  [SMALL_STATE(5546)] = 210727,
  [SMALL_STATE(5547)] = 210767,
  [SMALL_STATE(5548)] = 210807,
  [SMALL_STATE(5549)] = 210879,
  [SMALL_STATE(5550)] = 210959,
  [SMALL_STATE(5551)] = 211039,
  [SMALL_STATE(5552)] = 211079,
  [SMALL_STATE(5553)] = 211119,
  [SMALL_STATE(5554)] = 211199,
  [SMALL_STATE(5555)] = 211239,
  [SMALL_STATE(5556)] = 211279,
  [SMALL_STATE(5557)] = 211319,
  [SMALL_STATE(5558)] = 211399,
  [SMALL_STATE(5559)] = 211439,
  [SMALL_STATE(5560)] = 211479,
  [SMALL_STATE(5561)] = 211521,
  [SMALL_STATE(5562)] = 211601,
  [SMALL_STATE(5563)] = 211681,
  [SMALL_STATE(5564)] = 211721,
  [SMALL_STATE(5565)] = 211793,
  [SMALL_STATE(5566)] = 211833,
  [SMALL_STATE(5567)] = 211873,
  [SMALL_STATE(5568)] = 211953,
  [SMALL_STATE(5569)] = 211993,
  [SMALL_STATE(5570)] = 212073,
  [SMALL_STATE(5571)] = 212129,
  [SMALL_STATE(5572)] = 212209,
  [SMALL_STATE(5573)] = 212249,
  [SMALL_STATE(5574)] = 212321,
  [SMALL_STATE(5575)] = 212365,
  [SMALL_STATE(5576)] = 212405,
  [SMALL_STATE(5577)] = 212445,
  [SMALL_STATE(5578)] = 212507,
  [SMALL_STATE(5579)] = 212547,
  [SMALL_STATE(5580)] = 212627,
  [SMALL_STATE(5581)] = 212707,
  [SMALL_STATE(5582)] = 212787,
  [SMALL_STATE(5583)] = 212867,
  [SMALL_STATE(5584)] = 212907,
  [SMALL_STATE(5585)] = 212969,
  [SMALL_STATE(5586)] = 213049,
  [SMALL_STATE(5587)] = 213089,
  [SMALL_STATE(5588)] = 213129,
  [SMALL_STATE(5589)] = 213209,
  [SMALL_STATE(5590)] = 213249,
  [SMALL_STATE(5591)] = 213289,
  [SMALL_STATE(5592)] = 213369,
  [SMALL_STATE(5593)] = 213431,
  [SMALL_STATE(5594)] = 213471,
  [SMALL_STATE(5595)] = 213519,
  [SMALL_STATE(5596)] = 213559,
  [SMALL_STATE(5597)] = 213599,
  [SMALL_STATE(5598)] = 213677,
  [SMALL_STATE(5599)] = 213717,
  [SMALL_STATE(5600)] = 213757,
  [SMALL_STATE(5601)] = 213797,
  [SMALL_STATE(5602)] = 213837,
  [SMALL_STATE(5603)] = 213877,
  [SMALL_STATE(5604)] = 213939,
  [SMALL_STATE(5605)] = 213979,
  [SMALL_STATE(5606)] = 214050,
  [SMALL_STATE(5607)] = 214093,
  [SMALL_STATE(5608)] = 214164,
  [SMALL_STATE(5609)] = 214235,
  [SMALL_STATE(5610)] = 214306,
  [SMALL_STATE(5611)] = 214357,
  [SMALL_STATE(5612)] = 214400,
  [SMALL_STATE(5613)] = 214461,
  [SMALL_STATE(5614)] = 214532,
  [SMALL_STATE(5615)] = 214575,
  [SMALL_STATE(5616)] = 214618,
  [SMALL_STATE(5617)] = 214689,
  [SMALL_STATE(5618)] = 214750,
  [SMALL_STATE(5619)] = 214811,
  [SMALL_STATE(5620)] = 214872,
  [SMALL_STATE(5621)] = 214917,
  [SMALL_STATE(5622)] = 214962,
  [SMALL_STATE(5623)] = 215023,
  [SMALL_STATE(5624)] = 215074,
  [SMALL_STATE(5625)] = 215145,
  [SMALL_STATE(5626)] = 215206,
  [SMALL_STATE(5627)] = 215249,
  [SMALL_STATE(5628)] = 215320,
  [SMALL_STATE(5629)] = 215391,
  [SMALL_STATE(5630)] = 215434,
  [SMALL_STATE(5631)] = 215495,
  [SMALL_STATE(5632)] = 215538,
  [SMALL_STATE(5633)] = 215609,
  [SMALL_STATE(5634)] = 215680,
  [SMALL_STATE(5635)] = 215751,
  [SMALL_STATE(5636)] = 215822,
  [SMALL_STATE(5637)] = 215893,
  [SMALL_STATE(5638)] = 215944,
  [SMALL_STATE(5639)] = 216011,
  [SMALL_STATE(5640)] = 216054,
  [SMALL_STATE(5641)] = 216115,
  [SMALL_STATE(5642)] = 216182,
  [SMALL_STATE(5643)] = 216225,
  [SMALL_STATE(5644)] = 216276,
  [SMALL_STATE(5645)] = 216337,
  [SMALL_STATE(5646)] = 216398,
  [SMALL_STATE(5647)] = 216441,
  [SMALL_STATE(5648)] = 216484,
  [SMALL_STATE(5649)] = 216545,
  [SMALL_STATE(5650)] = 216588,
  [SMALL_STATE(5651)] = 216659,
  [SMALL_STATE(5652)] = 216720,
  [SMALL_STATE(5653)] = 216791,
  [SMALL_STATE(5654)] = 216829,
  [SMALL_STATE(5655)] = 216887,
  [SMALL_STATE(5656)] = 216957,
  [SMALL_STATE(5657)] = 217031,
  [SMALL_STATE(5658)] = 217069,
  [SMALL_STATE(5659)] = 217143,
  [SMALL_STATE(5660)] = 217217,
  [SMALL_STATE(5661)] = 217261,
  [SMALL_STATE(5662)] = 217335,
  [SMALL_STATE(5663)] = 217393,
  [SMALL_STATE(5664)] = 217467,
  [SMALL_STATE(5665)] = 217541,
  [SMALL_STATE(5666)] = 217611,
  [SMALL_STATE(5667)] = 217685,
  [SMALL_STATE(5668)] = 217759,
  [SMALL_STATE(5669)] = 217817,
  [SMALL_STATE(5670)] = 217887,
  [SMALL_STATE(5671)] = 217963,
  [SMALL_STATE(5672)] = 218023,
  [SMALL_STATE(5673)] = 218093,
  [SMALL_STATE(5674)] = 218167,
  [SMALL_STATE(5675)] = 218241,
  [SMALL_STATE(5676)] = 218315,
  [SMALL_STATE(5677)] = 218385,
  [SMALL_STATE(5678)] = 218423,
  [SMALL_STATE(5679)] = 218463,
  [SMALL_STATE(5680)] = 218521,
  [SMALL_STATE(5681)] = 218579,
  [SMALL_STATE(5682)] = 218653,
  [SMALL_STATE(5683)] = 218691,
  [SMALL_STATE(5684)] = 218733,
  [SMALL_STATE(5685)] = 218793,
  [SMALL_STATE(5686)] = 218867,
  [SMALL_STATE(5687)] = 218927,
  [SMALL_STATE(5688)] = 219001,
  [SMALL_STATE(5689)] = 219059,
  [SMALL_STATE(5690)] = 219119,
  [SMALL_STATE(5691)] = 219193,
  [SMALL_STATE(5692)] = 219263,
  [SMALL_STATE(5693)] = 219337,
  [SMALL_STATE(5694)] = 219397,
  [SMALL_STATE(5695)] = 219471,
  [SMALL_STATE(5696)] = 219529,
  [SMALL_STATE(5697)] = 219589,
  [SMALL_STATE(5698)] = 219633,
  [SMALL_STATE(5699)] = 219707,
  [SMALL_STATE(5700)] = 219777,
  [SMALL_STATE(5701)] = 219851,
  [SMALL_STATE(5702)] = 219921,
  [SMALL_STATE(5703)] = 219995,
  [SMALL_STATE(5704)] = 220069,
  [SMALL_STATE(5705)] = 220127,
  [SMALL_STATE(5706)] = 220197,
  [SMALL_STATE(5707)] = 220271,
  [SMALL_STATE(5708)] = 220345,
  [SMALL_STATE(5709)] = 220415,
  [SMALL_STATE(5710)] = 220485,
  [SMALL_STATE(5711)] = 220559,
  [SMALL_STATE(5712)] = 220633,
  [SMALL_STATE(5713)] = 220691,
  [SMALL_STATE(5714)] = 220765,
  [SMALL_STATE(5715)] = 220823,
  [SMALL_STATE(5716)] = 220881,
  [SMALL_STATE(5717)] = 220955,
  [SMALL_STATE(5718)] = 221029,
  [SMALL_STATE(5719)] = 221099,
  [SMALL_STATE(5720)] = 221169,
  [SMALL_STATE(5721)] = 221243,
  [SMALL_STATE(5722)] = 221319,
  [SMALL_STATE(5723)] = 221393,
  [SMALL_STATE(5724)] = 221443,
  [SMALL_STATE(5725)] = 221513,
  [SMALL_STATE(5726)] = 221589,
  [SMALL_STATE(5727)] = 221659,
  [SMALL_STATE(5728)] = 221729,
  [SMALL_STATE(5729)] = 221787,
  [SMALL_STATE(5730)] = 221845,
  [SMALL_STATE(5731)] = 221919,
  [SMALL_STATE(5732)] = 221993,
  [SMALL_STATE(5733)] = 222063,
  [SMALL_STATE(5734)] = 222133,
  [SMALL_STATE(5735)] = 222209,
  [SMALL_STATE(5736)] = 222269,
  [SMALL_STATE(5737)] = 222307,
  [SMALL_STATE(5738)] = 222377,
  [SMALL_STATE(5739)] = 222447,
  [SMALL_STATE(5740)] = 222505,
  [SMALL_STATE(5741)] = 222563,
  [SMALL_STATE(5742)] = 222637,
  [SMALL_STATE(5743)] = 222711,
  [SMALL_STATE(5744)] = 222769,
  [SMALL_STATE(5745)] = 222827,
  [SMALL_STATE(5746)] = 222901,
  [SMALL_STATE(5747)] = 222961,
  [SMALL_STATE(5748)] = 222999,
  [SMALL_STATE(5749)] = 223073,
  [SMALL_STATE(5750)] = 223143,
  [SMALL_STATE(5751)] = 223217,
  [SMALL_STATE(5752)] = 223291,
  [SMALL_STATE(5753)] = 223361,
  [SMALL_STATE(5754)] = 223419,
  [SMALL_STATE(5755)] = 223477,
  [SMALL_STATE(5756)] = 223551,
  [SMALL_STATE(5757)] = 223609,
  [SMALL_STATE(5758)] = 223683,
  [SMALL_STATE(5759)] = 223741,
  [SMALL_STATE(5760)] = 223811,
  [SMALL_STATE(5761)] = 223869,
  [SMALL_STATE(5762)] = 223943,
  [SMALL_STATE(5763)] = 224017,
  [SMALL_STATE(5764)] = 224087,
  [SMALL_STATE(5765)] = 224145,
  [SMALL_STATE(5766)] = 224219,
  [SMALL_STATE(5767)] = 224277,
  [SMALL_STATE(5768)] = 224347,
  [SMALL_STATE(5769)] = 224421,
  [SMALL_STATE(5770)] = 224495,
  [SMALL_STATE(5771)] = 224533,
  [SMALL_STATE(5772)] = 224603,
  [SMALL_STATE(5773)] = 224682,
  [SMALL_STATE(5774)] = 224761,
  [SMALL_STATE(5775)] = 224798,
  [SMALL_STATE(5776)] = 224835,
  [SMALL_STATE(5777)] = 224914,
  [SMALL_STATE(5778)] = 224993,
  [SMALL_STATE(5779)] = 225072,
  [SMALL_STATE(5780)] = 225151,
  [SMALL_STATE(5781)] = 225230,
  [SMALL_STATE(5782)] = 225309,
  [SMALL_STATE(5783)] = 225388,
  [SMALL_STATE(5784)] = 225467,
  [SMALL_STATE(5785)] = 225546,
  [SMALL_STATE(5786)] = 225625,
  [SMALL_STATE(5787)] = 225674,
  [SMALL_STATE(5788)] = 225753,
  [SMALL_STATE(5789)] = 225790,
  [SMALL_STATE(5790)] = 225869,
  [SMALL_STATE(5791)] = 225948,
  [SMALL_STATE(5792)] = 226027,
  [SMALL_STATE(5793)] = 226094,
  [SMALL_STATE(5794)] = 226173,
  [SMALL_STATE(5795)] = 226252,
  [SMALL_STATE(5796)] = 226331,
  [SMALL_STATE(5797)] = 226410,
  [SMALL_STATE(5798)] = 226447,
  [SMALL_STATE(5799)] = 226484,
  [SMALL_STATE(5800)] = 226563,
  [SMALL_STATE(5801)] = 226630,
  [SMALL_STATE(5802)] = 226697,
  [SMALL_STATE(5803)] = 226776,
  [SMALL_STATE(5804)] = 226855,
  [SMALL_STATE(5805)] = 226934,
  [SMALL_STATE(5806)] = 227013,
  [SMALL_STATE(5807)] = 227092,
  [SMALL_STATE(5808)] = 227129,
  [SMALL_STATE(5809)] = 227166,
  [SMALL_STATE(5810)] = 227203,
  [SMALL_STATE(5811)] = 227240,
  [SMALL_STATE(5812)] = 227319,
  [SMALL_STATE(5813)] = 227398,
  [SMALL_STATE(5814)] = 227435,
  [SMALL_STATE(5815)] = 227514,
  [SMALL_STATE(5816)] = 227551,
  [SMALL_STATE(5817)] = 227588,
  [SMALL_STATE(5818)] = 227625,
  [SMALL_STATE(5819)] = 227662,
  [SMALL_STATE(5820)] = 227729,
  [SMALL_STATE(5821)] = 227796,
  [SMALL_STATE(5822)] = 227875,
  [SMALL_STATE(5823)] = 227912,
  [SMALL_STATE(5824)] = 227979,
  [SMALL_STATE(5825)] = 228016,
  [SMALL_STATE(5826)] = 228083,
  [SMALL_STATE(5827)] = 228162,
  [SMALL_STATE(5828)] = 228199,
  [SMALL_STATE(5829)] = 228278,
  [SMALL_STATE(5830)] = 228315,
  [SMALL_STATE(5831)] = 228394,
  [SMALL_STATE(5832)] = 228461,
  [SMALL_STATE(5833)] = 228498,
  [SMALL_STATE(5834)] = 228577,
  [SMALL_STATE(5835)] = 228644,
  [SMALL_STATE(5836)] = 228711,
  [SMALL_STATE(5837)] = 228790,
  [SMALL_STATE(5838)] = 228869,
  [SMALL_STATE(5839)] = 228936,
  [SMALL_STATE(5840)] = 229003,
  [SMALL_STATE(5841)] = 229070,
  [SMALL_STATE(5842)] = 229149,
  [SMALL_STATE(5843)] = 229186,
  [SMALL_STATE(5844)] = 229265,
  [SMALL_STATE(5845)] = 229344,
  [SMALL_STATE(5846)] = 229423,
  [SMALL_STATE(5847)] = 229502,
  [SMALL_STATE(5848)] = 229569,
  [SMALL_STATE(5849)] = 229636,
  [SMALL_STATE(5850)] = 229673,
  [SMALL_STATE(5851)] = 229752,
  [SMALL_STATE(5852)] = 229831,
  [SMALL_STATE(5853)] = 229868,
  [SMALL_STATE(5854)] = 229947,
  [SMALL_STATE(5855)] = 230026,
  [SMALL_STATE(5856)] = 230063,
  [SMALL_STATE(5857)] = 230100,
  [SMALL_STATE(5858)] = 230137,
  [SMALL_STATE(5859)] = 230174,
  [SMALL_STATE(5860)] = 230211,
  [SMALL_STATE(5861)] = 230290,
  [SMALL_STATE(5862)] = 230339,
  [SMALL_STATE(5863)] = 230384,
  [SMALL_STATE(5864)] = 230421,
  [SMALL_STATE(5865)] = 230488,
  [SMALL_STATE(5866)] = 230567,
  [SMALL_STATE(5867)] = 230646,
  [SMALL_STATE(5868)] = 230725,
  [SMALL_STATE(5869)] = 230804,
  [SMALL_STATE(5870)] = 230883,
  [SMALL_STATE(5871)] = 230962,
  [SMALL_STATE(5872)] = 231041,
  [SMALL_STATE(5873)] = 231120,
  [SMALL_STATE(5874)] = 231199,
  [SMALL_STATE(5875)] = 231278,
  [SMALL_STATE(5876)] = 231357,
  [SMALL_STATE(5877)] = 231436,
  [SMALL_STATE(5878)] = 231515,
  [SMALL_STATE(5879)] = 231594,
  [SMALL_STATE(5880)] = 231663,
  [SMALL_STATE(5881)] = 231742,
  [SMALL_STATE(5882)] = 231809,
  [SMALL_STATE(5883)] = 231846,
  [SMALL_STATE(5884)] = 231915,
  [SMALL_STATE(5885)] = 231982,
  [SMALL_STATE(5886)] = 232061,
  [SMALL_STATE(5887)] = 232098,
  [SMALL_STATE(5888)] = 232135,
  [SMALL_STATE(5889)] = 232214,
  [SMALL_STATE(5890)] = 232293,
  [SMALL_STATE(5891)] = 232372,
  [SMALL_STATE(5892)] = 232451,
  [SMALL_STATE(5893)] = 232488,
  [SMALL_STATE(5894)] = 232525,
  [SMALL_STATE(5895)] = 232604,
  [SMALL_STATE(5896)] = 232683,
  [SMALL_STATE(5897)] = 232762,
  [SMALL_STATE(5898)] = 232841,
  [SMALL_STATE(5899)] = 232920,
  [SMALL_STATE(5900)] = 232999,
  [SMALL_STATE(5901)] = 233066,
  [SMALL_STATE(5902)] = 233115,
  [SMALL_STATE(5903)] = 233164,
  [SMALL_STATE(5904)] = 233231,
  [SMALL_STATE(5905)] = 233276,
  [SMALL_STATE(5906)] = 233355,
  [SMALL_STATE(5907)] = 233422,
  [SMALL_STATE(5908)] = 233501,
  [SMALL_STATE(5909)] = 233580,
  [SMALL_STATE(5910)] = 233659,
  [SMALL_STATE(5911)] = 233696,
  [SMALL_STATE(5912)] = 233775,
  [SMALL_STATE(5913)] = 233854,
  [SMALL_STATE(5914)] = 233921,
  [SMALL_STATE(5915)] = 233988,
  [SMALL_STATE(5916)] = 234057,
  [SMALL_STATE(5917)] = 234094,
  [SMALL_STATE(5918)] = 234173,
  [SMALL_STATE(5919)] = 234252,
  [SMALL_STATE(5920)] = 234331,
  [SMALL_STATE(5921)] = 234400,
  [SMALL_STATE(5922)] = 234479,
  [SMALL_STATE(5923)] = 234558,
  [SMALL_STATE(5924)] = 234637,
  [SMALL_STATE(5925)] = 234716,
  [SMALL_STATE(5926)] = 234795,
  [SMALL_STATE(5927)] = 234874,
  [SMALL_STATE(5928)] = 234950,
  [SMALL_STATE(5929)] = 235026,
  [SMALL_STATE(5930)] = 235066,
  [SMALL_STATE(5931)] = 235142,
  [SMALL_STATE(5932)] = 235204,
  [SMALL_STATE(5933)] = 235266,
  [SMALL_STATE(5934)] = 235342,
  [SMALL_STATE(5935)] = 235418,
  [SMALL_STATE(5936)] = 235494,
  [SMALL_STATE(5937)] = 235570,
  [SMALL_STATE(5938)] = 235646,
  [SMALL_STATE(5939)] = 235708,
  [SMALL_STATE(5940)] = 235784,
  [SMALL_STATE(5941)] = 235860,
  [SMALL_STATE(5942)] = 235936,
  [SMALL_STATE(5943)] = 236012,
  [SMALL_STATE(5944)] = 236060,
  [SMALL_STATE(5945)] = 236122,
  [SMALL_STATE(5946)] = 236198,
  [SMALL_STATE(5947)] = 236256,
  [SMALL_STATE(5948)] = 236332,
  [SMALL_STATE(5949)] = 236408,
  [SMALL_STATE(5950)] = 236484,
  [SMALL_STATE(5951)] = 236542,
  [SMALL_STATE(5952)] = 236604,
  [SMALL_STATE(5953)] = 236666,
  [SMALL_STATE(5954)] = 236742,
  [SMALL_STATE(5955)] = 236800,
  [SMALL_STATE(5956)] = 236876,
  [SMALL_STATE(5957)] = 236934,
  [SMALL_STATE(5958)] = 237010,
  [SMALL_STATE(5959)] = 237086,
  [SMALL_STATE(5960)] = 237147,
  [SMALL_STATE(5961)] = 237208,
  [SMALL_STATE(5962)] = 237275,
  [SMALL_STATE(5963)] = 237342,
  [SMALL_STATE(5964)] = 237403,
  [SMALL_STATE(5965)] = 237448,
  [SMALL_STATE(5966)] = 237509,
  [SMALL_STATE(5967)] = 237570,
  [SMALL_STATE(5968)] = 237637,
  [SMALL_STATE(5969)] = 237698,
  [SMALL_STATE(5970)] = 237765,
  [SMALL_STATE(5971)] = 237832,
  [SMALL_STATE(5972)] = 237899,
  [SMALL_STATE(5973)] = 237966,
  [SMALL_STATE(5974)] = 238009,
  [SMALL_STATE(5975)] = 238076,
  [SMALL_STATE(5976)] = 238119,
  [SMALL_STATE(5977)] = 238179,
  [SMALL_STATE(5978)] = 238239,
  [SMALL_STATE(5979)] = 238299,
  [SMALL_STATE(5980)] = 238359,
  [SMALL_STATE(5981)] = 238419,
  [SMALL_STATE(5982)] = 238479,
  [SMALL_STATE(5983)] = 238517,
  [SMALL_STATE(5984)] = 238577,
  [SMALL_STATE(5985)] = 238619,
  [SMALL_STATE(5986)] = 238679,
  [SMALL_STATE(5987)] = 238739,
  [SMALL_STATE(5988)] = 238799,
  [SMALL_STATE(5989)] = 238837,
  [SMALL_STATE(5990)] = 238897,
  [SMALL_STATE(5991)] = 238957,
  [SMALL_STATE(5992)] = 239017,
  [SMALL_STATE(5993)] = 239061,
  [SMALL_STATE(5994)] = 239121,
  [SMALL_STATE(5995)] = 239159,
  [SMALL_STATE(5996)] = 239197,
  [SMALL_STATE(5997)] = 239257,
  [SMALL_STATE(5998)] = 239317,
  [SMALL_STATE(5999)] = 239377,
  [SMALL_STATE(6000)] = 239415,
  [SMALL_STATE(6001)] = 239475,
  [SMALL_STATE(6002)] = 239509,
  [SMALL_STATE(6003)] = 239543,
  [SMALL_STATE(6004)] = 239579,
  [SMALL_STATE(6005)] = 239639,
  [SMALL_STATE(6006)] = 239683,
  [SMALL_STATE(6007)] = 239743,
  [SMALL_STATE(6008)] = 239803,
  [SMALL_STATE(6009)] = 239841,
  [SMALL_STATE(6010)] = 239879,
  [SMALL_STATE(6011)] = 239939,
  [SMALL_STATE(6012)] = 239999,
  [SMALL_STATE(6013)] = 240059,
  [SMALL_STATE(6014)] = 240118,
  [SMALL_STATE(6015)] = 240177,
  [SMALL_STATE(6016)] = 240236,
  [SMALL_STATE(6017)] = 240273,
  [SMALL_STATE(6018)] = 240310,
  [SMALL_STATE(6019)] = 240369,
  [SMALL_STATE(6020)] = 240428,
  [SMALL_STATE(6021)] = 240465,
  [SMALL_STATE(6022)] = 240526,
  [SMALL_STATE(6023)] = 240587,
  [SMALL_STATE(6024)] = 240624,
  [SMALL_STATE(6025)] = 240685,
  [SMALL_STATE(6026)] = 240722,
  [SMALL_STATE(6027)] = 240759,
  [SMALL_STATE(6028)] = 240796,
  [SMALL_STATE(6029)] = 240855,
  [SMALL_STATE(6030)] = 240914,
  [SMALL_STATE(6031)] = 240973,
  [SMALL_STATE(6032)] = 241010,
  [SMALL_STATE(6033)] = 241071,
  [SMALL_STATE(6034)] = 241132,
  [SMALL_STATE(6035)] = 241191,
  [SMALL_STATE(6036)] = 241250,
  [SMALL_STATE(6037)] = 241311,
  [SMALL_STATE(6038)] = 241348,
  [SMALL_STATE(6039)] = 241385,
  [SMALL_STATE(6040)] = 241422,
  [SMALL_STATE(6041)] = 241483,
  [SMALL_STATE(6042)] = 241520,
  [SMALL_STATE(6043)] = 241557,
  [SMALL_STATE(6044)] = 241616,
  [SMALL_STATE(6045)] = 241677,
  [SMALL_STATE(6046)] = 241736,
  [SMALL_STATE(6047)] = 241797,
  [SMALL_STATE(6048)] = 241855,
  [SMALL_STATE(6049)] = 241913,
  [SMALL_STATE(6050)] = 241971,
  [SMALL_STATE(6051)] = 242007,
  [SMALL_STATE(6052)] = 242055,
  [SMALL_STATE(6053)] = 242113,
  [SMALL_STATE(6054)] = 242161,
  [SMALL_STATE(6055)] = 242219,
  [SMALL_STATE(6056)] = 242267,
  [SMALL_STATE(6057)] = 242325,
  [SMALL_STATE(6058)] = 242359,
  [SMALL_STATE(6059)] = 242394,
  [SMALL_STATE(6060)] = 242441,
  [SMALL_STATE(6061)] = 242478,
  [SMALL_STATE(6062)] = 242513,
  [SMALL_STATE(6063)] = 242565,
  [SMALL_STATE(6064)] = 242599,
  [SMALL_STATE(6065)] = 242651,
  [SMALL_STATE(6066)] = 242703,
  [SMALL_STATE(6067)] = 242755,
  [SMALL_STATE(6068)] = 242807,
  [SMALL_STATE(6069)] = 242859,
  [SMALL_STATE(6070)] = 242911,
  [SMALL_STATE(6071)] = 242963,
  [SMALL_STATE(6072)] = 243015,
  [SMALL_STATE(6073)] = 243083,
  [SMALL_STATE(6074)] = 243151,
  [SMALL_STATE(6075)] = 243207,
  [SMALL_STATE(6076)] = 243263,
  [SMALL_STATE(6077)] = 243319,
  [SMALL_STATE(6078)] = 243371,
  [SMALL_STATE(6079)] = 243423,
  [SMALL_STATE(6080)] = 243475,
  [SMALL_STATE(6081)] = 243527,
  [SMALL_STATE(6082)] = 243579,
  [SMALL_STATE(6083)] = 243631,
  [SMALL_STATE(6084)] = 243683,
  [SMALL_STATE(6085)] = 243735,
  [SMALL_STATE(6086)] = 243803,
  [SMALL_STATE(6087)] = 243841,
  [SMALL_STATE(6088)] = 243893,
  [SMALL_STATE(6089)] = 243961,
  [SMALL_STATE(6090)] = 244017,
  [SMALL_STATE(6091)] = 244073,
  [SMALL_STATE(6092)] = 244129,
  [SMALL_STATE(6093)] = 244181,
  [SMALL_STATE(6094)] = 244233,
  [SMALL_STATE(6095)] = 244271,
  [SMALL_STATE(6096)] = 244323,
  [SMALL_STATE(6097)] = 244375,
  [SMALL_STATE(6098)] = 244427,
  [SMALL_STATE(6099)] = 244479,
  [SMALL_STATE(6100)] = 244531,
  [SMALL_STATE(6101)] = 244601,
  [SMALL_STATE(6102)] = 244653,
  [SMALL_STATE(6103)] = 244705,
  [SMALL_STATE(6104)] = 244757,
  [SMALL_STATE(6105)] = 244809,
  [SMALL_STATE(6106)] = 244855,
  [SMALL_STATE(6107)] = 244907,
  [SMALL_STATE(6108)] = 244959,
  [SMALL_STATE(6109)] = 245011,
  [SMALL_STATE(6110)] = 245063,
  [SMALL_STATE(6111)] = 245119,
  [SMALL_STATE(6112)] = 245189,
  [SMALL_STATE(6113)] = 245241,
  [SMALL_STATE(6114)] = 245297,
  [SMALL_STATE(6115)] = 245349,
  [SMALL_STATE(6116)] = 245401,
  [SMALL_STATE(6117)] = 245453,
  [SMALL_STATE(6118)] = 245505,
  [SMALL_STATE(6119)] = 245557,
  [SMALL_STATE(6120)] = 245609,
  [SMALL_STATE(6121)] = 245665,
  [SMALL_STATE(6122)] = 245721,
  [SMALL_STATE(6123)] = 245773,
  [SMALL_STATE(6124)] = 245825,
  [SMALL_STATE(6125)] = 245871,
  [SMALL_STATE(6126)] = 245923,
  [SMALL_STATE(6127)] = 245993,
  [SMALL_STATE(6128)] = 246045,
  [SMALL_STATE(6129)] = 246097,
  [SMALL_STATE(6130)] = 246153,
  [SMALL_STATE(6131)] = 246209,
  [SMALL_STATE(6132)] = 246264,
  [SMALL_STATE(6133)] = 246309,
  [SMALL_STATE(6134)] = 246368,
  [SMALL_STATE(6135)] = 246427,
  [SMALL_STATE(6136)] = 246486,
  [SMALL_STATE(6137)] = 246545,
  [SMALL_STATE(6138)] = 246604,
  [SMALL_STATE(6139)] = 246663,
  [SMALL_STATE(6140)] = 246722,
  [SMALL_STATE(6141)] = 246781,
  [SMALL_STATE(6142)] = 246840,
  [SMALL_STATE(6143)] = 246899,
  [SMALL_STATE(6144)] = 246958,
  [SMALL_STATE(6145)] = 247017,
  [SMALL_STATE(6146)] = 247076,
  [SMALL_STATE(6147)] = 247135,
  [SMALL_STATE(6148)] = 247194,
  [SMALL_STATE(6149)] = 247253,
  [SMALL_STATE(6150)] = 247312,
  [SMALL_STATE(6151)] = 247371,
  [SMALL_STATE(6152)] = 247434,
  [SMALL_STATE(6153)] = 247489,
  [SMALL_STATE(6154)] = 247548,
  [SMALL_STATE(6155)] = 247607,
  [SMALL_STATE(6156)] = 247666,
  [SMALL_STATE(6157)] = 247725,
  [SMALL_STATE(6158)] = 247784,
  [SMALL_STATE(6159)] = 247843,
  [SMALL_STATE(6160)] = 247902,
  [SMALL_STATE(6161)] = 247961,
  [SMALL_STATE(6162)] = 248020,
  [SMALL_STATE(6163)] = 248079,
  [SMALL_STATE(6164)] = 248138,
  [SMALL_STATE(6165)] = 248197,
  [SMALL_STATE(6166)] = 248256,
  [SMALL_STATE(6167)] = 248315,
  [SMALL_STATE(6168)] = 248374,
  [SMALL_STATE(6169)] = 248433,
  [SMALL_STATE(6170)] = 248492,
  [SMALL_STATE(6171)] = 248551,
  [SMALL_STATE(6172)] = 248610,
  [SMALL_STATE(6173)] = 248669,
  [SMALL_STATE(6174)] = 248728,
  [SMALL_STATE(6175)] = 248787,
  [SMALL_STATE(6176)] = 248846,
  [SMALL_STATE(6177)] = 248905,
  [SMALL_STATE(6178)] = 248964,
  [SMALL_STATE(6179)] = 249023,
  [SMALL_STATE(6180)] = 249056,
  [SMALL_STATE(6181)] = 249085,
  [SMALL_STATE(6182)] = 249144,
  [SMALL_STATE(6183)] = 249203,
  [SMALL_STATE(6184)] = 249262,
  [SMALL_STATE(6185)] = 249321,
  [SMALL_STATE(6186)] = 249380,
  [SMALL_STATE(6187)] = 249439,
  [SMALL_STATE(6188)] = 249498,
  [SMALL_STATE(6189)] = 249557,
  [SMALL_STATE(6190)] = 249616,
  [SMALL_STATE(6191)] = 249675,
  [SMALL_STATE(6192)] = 249734,
  [SMALL_STATE(6193)] = 249793,
  [SMALL_STATE(6194)] = 249852,
  [SMALL_STATE(6195)] = 249911,
  [SMALL_STATE(6196)] = 249970,
  [SMALL_STATE(6197)] = 250029,
  [SMALL_STATE(6198)] = 250088,
  [SMALL_STATE(6199)] = 250147,
  [SMALL_STATE(6200)] = 250206,
  [SMALL_STATE(6201)] = 250265,
  [SMALL_STATE(6202)] = 250324,
  [SMALL_STATE(6203)] = 250367,
  [SMALL_STATE(6204)] = 250426,
  [SMALL_STATE(6205)] = 250485,
  [SMALL_STATE(6206)] = 250544,
  [SMALL_STATE(6207)] = 250603,
  [SMALL_STATE(6208)] = 250662,
  [SMALL_STATE(6209)] = 250721,
  [SMALL_STATE(6210)] = 250780,
  [SMALL_STATE(6211)] = 250839,
  [SMALL_STATE(6212)] = 250898,
  [SMALL_STATE(6213)] = 250957,
  [SMALL_STATE(6214)] = 251016,
  [SMALL_STATE(6215)] = 251075,
  [SMALL_STATE(6216)] = 251134,
  [SMALL_STATE(6217)] = 251193,
  [SMALL_STATE(6218)] = 251252,
  [SMALL_STATE(6219)] = 251311,
  [SMALL_STATE(6220)] = 251370,
  [SMALL_STATE(6221)] = 251399,
  [SMALL_STATE(6222)] = 251458,
  [SMALL_STATE(6223)] = 251501,
  [SMALL_STATE(6224)] = 251560,
  [SMALL_STATE(6225)] = 251619,
  [SMALL_STATE(6226)] = 251678,
  [SMALL_STATE(6227)] = 251733,
  [SMALL_STATE(6228)] = 251792,
  [SMALL_STATE(6229)] = 251851,
  [SMALL_STATE(6230)] = 251910,
  [SMALL_STATE(6231)] = 251969,
  [SMALL_STATE(6232)] = 252012,
  [SMALL_STATE(6233)] = 252071,
  [SMALL_STATE(6234)] = 252130,
  [SMALL_STATE(6235)] = 252189,
  [SMALL_STATE(6236)] = 252248,
  [SMALL_STATE(6237)] = 252307,
  [SMALL_STATE(6238)] = 252366,
  [SMALL_STATE(6239)] = 252425,
  [SMALL_STATE(6240)] = 252484,
  [SMALL_STATE(6241)] = 252543,
  [SMALL_STATE(6242)] = 252602,
  [SMALL_STATE(6243)] = 252642,
  [SMALL_STATE(6244)] = 252682,
  [SMALL_STATE(6245)] = 252722,
  [SMALL_STATE(6246)] = 252786,
  [SMALL_STATE(6247)] = 252850,
  [SMALL_STATE(6248)] = 252878,
  [SMALL_STATE(6249)] = 252918,
  [SMALL_STATE(6250)] = 252976,
  [SMALL_STATE(6251)] = 253004,
  [SMALL_STATE(6252)] = 253032,
  [SMALL_STATE(6253)] = 253072,
  [SMALL_STATE(6254)] = 253112,
  [SMALL_STATE(6255)] = 253176,
  [SMALL_STATE(6256)] = 253234,
  [SMALL_STATE(6257)] = 253274,
  [SMALL_STATE(6258)] = 253314,
  [SMALL_STATE(6259)] = 253378,
  [SMALL_STATE(6260)] = 253418,
  [SMALL_STATE(6261)] = 253458,
  [SMALL_STATE(6262)] = 253522,
  [SMALL_STATE(6263)] = 253562,
  [SMALL_STATE(6264)] = 253602,
  [SMALL_STATE(6265)] = 253642,
  [SMALL_STATE(6266)] = 253670,
  [SMALL_STATE(6267)] = 253710,
  [SMALL_STATE(6268)] = 253774,
  [SMALL_STATE(6269)] = 253814,
  [SMALL_STATE(6270)] = 253866,
  [SMALL_STATE(6271)] = 253906,
  [SMALL_STATE(6272)] = 253946,
  [SMALL_STATE(6273)] = 253980,
  [SMALL_STATE(6274)] = 254020,
  [SMALL_STATE(6275)] = 254060,
  [SMALL_STATE(6276)] = 254112,
  [SMALL_STATE(6277)] = 254152,
  [SMALL_STATE(6278)] = 254210,
  [SMALL_STATE(6279)] = 254274,
  [SMALL_STATE(6280)] = 254310,
  [SMALL_STATE(6281)] = 254350,
  [SMALL_STATE(6282)] = 254390,
  [SMALL_STATE(6283)] = 254430,
  [SMALL_STATE(6284)] = 254470,
  [SMALL_STATE(6285)] = 254520,
  [SMALL_STATE(6286)] = 254584,
  [SMALL_STATE(6287)] = 254648,
  [SMALL_STATE(6288)] = 254684,
  [SMALL_STATE(6289)] = 254748,
  [SMALL_STATE(6290)] = 254788,
  [SMALL_STATE(6291)] = 254830,
  [SMALL_STATE(6292)] = 254888,
  [SMALL_STATE(6293)] = 254932,
  [SMALL_STATE(6294)] = 254972,
  [SMALL_STATE(6295)] = 255018,
  [SMALL_STATE(6296)] = 255064,
  [SMALL_STATE(6297)] = 255112,
  [SMALL_STATE(6298)] = 255140,
  [SMALL_STATE(6299)] = 255168,
  [SMALL_STATE(6300)] = 255200,
  [SMALL_STATE(6301)] = 255258,
  [SMALL_STATE(6302)] = 255322,
  [SMALL_STATE(6303)] = 255380,
  [SMALL_STATE(6304)] = 255408,
  [SMALL_STATE(6305)] = 255448,
  [SMALL_STATE(6306)] = 255488,
  [SMALL_STATE(6307)] = 255540,
  [SMALL_STATE(6308)] = 255580,
  [SMALL_STATE(6309)] = 255624,
  [SMALL_STATE(6310)] = 255664,
  [SMALL_STATE(6311)] = 255704,
  [SMALL_STATE(6312)] = 255756,
  [SMALL_STATE(6313)] = 255814,
  [SMALL_STATE(6314)] = 255854,
  [SMALL_STATE(6315)] = 255894,
  [SMALL_STATE(6316)] = 255934,
  [SMALL_STATE(6317)] = 255998,
  [SMALL_STATE(6318)] = 256026,
  [SMALL_STATE(6319)] = 256066,
  [SMALL_STATE(6320)] = 256106,
  [SMALL_STATE(6321)] = 256164,
  [SMALL_STATE(6322)] = 256228,
  [SMALL_STATE(6323)] = 256256,
  [SMALL_STATE(6324)] = 256292,
  [SMALL_STATE(6325)] = 256350,
  [SMALL_STATE(6326)] = 256414,
  [SMALL_STATE(6327)] = 256454,
  [SMALL_STATE(6328)] = 256494,
  [SMALL_STATE(6329)] = 256534,
  [SMALL_STATE(6330)] = 256574,
  [SMALL_STATE(6331)] = 256602,
  [SMALL_STATE(6332)] = 256642,
  [SMALL_STATE(6333)] = 256682,
  [SMALL_STATE(6334)] = 256721,
  [SMALL_STATE(6335)] = 256766,
  [SMALL_STATE(6336)] = 256815,
  [SMALL_STATE(6337)] = 256846,
  [SMALL_STATE(6338)] = 256877,
  [SMALL_STATE(6339)] = 256904,
  [SMALL_STATE(6340)] = 256947,
  [SMALL_STATE(6341)] = 256974,
  [SMALL_STATE(6342)] = 257019,
  [SMALL_STATE(6343)] = 257076,
  [SMALL_STATE(6344)] = 257115,
  [SMALL_STATE(6345)] = 257154,
  [SMALL_STATE(6346)] = 257189,
  [SMALL_STATE(6347)] = 257216,
  [SMALL_STATE(6348)] = 257243,
  [SMALL_STATE(6349)] = 257282,
  [SMALL_STATE(6350)] = 257313,
  [SMALL_STATE(6351)] = 257344,
  [SMALL_STATE(6352)] = 257389,
  [SMALL_STATE(6353)] = 257424,
  [SMALL_STATE(6354)] = 257481,
  [SMALL_STATE(6355)] = 257508,
  [SMALL_STATE(6356)] = 257551,
  [SMALL_STATE(6357)] = 257578,
  [SMALL_STATE(6358)] = 257613,
  [SMALL_STATE(6359)] = 257658,
  [SMALL_STATE(6360)] = 257685,
  [SMALL_STATE(6361)] = 257712,
  [SMALL_STATE(6362)] = 257749,
  [SMALL_STATE(6363)] = 257784,
  [SMALL_STATE(6364)] = 257815,
  [SMALL_STATE(6365)] = 257866,
  [SMALL_STATE(6366)] = 257901,
  [SMALL_STATE(6367)] = 257958,
  [SMALL_STATE(6368)] = 258009,
  [SMALL_STATE(6369)] = 258048,
  [SMALL_STATE(6370)] = 258093,
  [SMALL_STATE(6371)] = 258126,
  [SMALL_STATE(6372)] = 258157,
  [SMALL_STATE(6373)] = 258202,
  [SMALL_STATE(6374)] = 258229,
  [SMALL_STATE(6375)] = 258256,
  [SMALL_STATE(6376)] = 258283,
  [SMALL_STATE(6377)] = 258318,
  [SMALL_STATE(6378)] = 258363,
  [SMALL_STATE(6379)] = 258408,
  [SMALL_STATE(6380)] = 258435,
  [SMALL_STATE(6381)] = 258480,
  [SMALL_STATE(6382)] = 258537,
  [SMALL_STATE(6383)] = 258566,
  [SMALL_STATE(6384)] = 258595,
  [SMALL_STATE(6385)] = 258630,
  [SMALL_STATE(6386)] = 258669,
  [SMALL_STATE(6387)] = 258714,
  [SMALL_STATE(6388)] = 258771,
  [SMALL_STATE(6389)] = 258798,
  [SMALL_STATE(6390)] = 258825,
  [SMALL_STATE(6391)] = 258870,
  [SMALL_STATE(6392)] = 258897,
  [SMALL_STATE(6393)] = 258932,
  [SMALL_STATE(6394)] = 258959,
  [SMALL_STATE(6395)] = 258986,
  [SMALL_STATE(6396)] = 259013,
  [SMALL_STATE(6397)] = 259052,
  [SMALL_STATE(6398)] = 259079,
  [SMALL_STATE(6399)] = 259118,
  [SMALL_STATE(6400)] = 259149,
  [SMALL_STATE(6401)] = 259188,
  [SMALL_STATE(6402)] = 259227,
  [SMALL_STATE(6403)] = 259272,
  [SMALL_STATE(6404)] = 259329,
  [SMALL_STATE(6405)] = 259368,
  [SMALL_STATE(6406)] = 259407,
  [SMALL_STATE(6407)] = 259446,
  [SMALL_STATE(6408)] = 259485,
  [SMALL_STATE(6409)] = 259524,
  [SMALL_STATE(6410)] = 259563,
  [SMALL_STATE(6411)] = 259602,
  [SMALL_STATE(6412)] = 259647,
  [SMALL_STATE(6413)] = 259676,
  [SMALL_STATE(6414)] = 259721,
  [SMALL_STATE(6415)] = 259770,
  [SMALL_STATE(6416)] = 259809,
  [SMALL_STATE(6417)] = 259848,
  [SMALL_STATE(6418)] = 259875,
  [SMALL_STATE(6419)] = 259910,
  [SMALL_STATE(6420)] = 259949,
  [SMALL_STATE(6421)] = 259994,
  [SMALL_STATE(6422)] = 260023,
  [SMALL_STATE(6423)] = 260062,
  [SMALL_STATE(6424)] = 260089,
  [SMALL_STATE(6425)] = 260124,
  [SMALL_STATE(6426)] = 260175,
  [SMALL_STATE(6427)] = 260214,
  [SMALL_STATE(6428)] = 260253,
  [SMALL_STATE(6429)] = 260292,
  [SMALL_STATE(6430)] = 260319,
  [SMALL_STATE(6431)] = 260354,
  [SMALL_STATE(6432)] = 260381,
  [SMALL_STATE(6433)] = 260408,
  [SMALL_STATE(6434)] = 260449,
  [SMALL_STATE(6435)] = 260484,
  [SMALL_STATE(6436)] = 260511,
  [SMALL_STATE(6437)] = 260538,
  [SMALL_STATE(6438)] = 260573,
  [SMALL_STATE(6439)] = 260604,
  [SMALL_STATE(6440)] = 260631,
  [SMALL_STATE(6441)] = 260682,
  [SMALL_STATE(6442)] = 260727,
  [SMALL_STATE(6443)] = 260762,
  [SMALL_STATE(6444)] = 260789,
  [SMALL_STATE(6445)] = 260824,
  [SMALL_STATE(6446)] = 260859,
  [SMALL_STATE(6447)] = 260898,
  [SMALL_STATE(6448)] = 260933,
  [SMALL_STATE(6449)] = 260968,
  [SMALL_STATE(6450)] = 261003,
  [SMALL_STATE(6451)] = 261038,
  [SMALL_STATE(6452)] = 261073,
  [SMALL_STATE(6453)] = 261100,
  [SMALL_STATE(6454)] = 261145,
  [SMALL_STATE(6455)] = 261172,
  [SMALL_STATE(6456)] = 261199,
  [SMALL_STATE(6457)] = 261226,
  [SMALL_STATE(6458)] = 261256,
  [SMALL_STATE(6459)] = 261292,
  [SMALL_STATE(6460)] = 261328,
  [SMALL_STATE(6461)] = 261364,
  [SMALL_STATE(6462)] = 261400,
  [SMALL_STATE(6463)] = 261436,
  [SMALL_STATE(6464)] = 261472,
  [SMALL_STATE(6465)] = 261508,
  [SMALL_STATE(6466)] = 261538,
  [SMALL_STATE(6467)] = 261568,
  [SMALL_STATE(6468)] = 261620,
  [SMALL_STATE(6469)] = 261662,
  [SMALL_STATE(6470)] = 261692,
  [SMALL_STATE(6471)] = 261728,
  [SMALL_STATE(6472)] = 261771,
  [SMALL_STATE(6473)] = 261808,
  [SMALL_STATE(6474)] = 261857,
  [SMALL_STATE(6475)] = 261906,
  [SMALL_STATE(6476)] = 261943,
  [SMALL_STATE(6477)] = 261968,
  [SMALL_STATE(6478)] = 262017,
  [SMALL_STATE(6479)] = 262066,
  [SMALL_STATE(6480)] = 262109,
  [SMALL_STATE(6481)] = 262134,
  [SMALL_STATE(6482)] = 262183,
  [SMALL_STATE(6483)] = 262220,
  [SMALL_STATE(6484)] = 262251,
  [SMALL_STATE(6485)] = 262288,
  [SMALL_STATE(6486)] = 262339,
  [SMALL_STATE(6487)] = 262388,
  [SMALL_STATE(6488)] = 262419,
  [SMALL_STATE(6489)] = 262468,
  [SMALL_STATE(6490)] = 262493,
  [SMALL_STATE(6491)] = 262542,
  [SMALL_STATE(6492)] = 262585,
  [SMALL_STATE(6493)] = 262628,
  [SMALL_STATE(6494)] = 262653,
  [SMALL_STATE(6495)] = 262690,
  [SMALL_STATE(6496)] = 262739,
  [SMALL_STATE(6497)] = 262776,
  [SMALL_STATE(6498)] = 262801,
  [SMALL_STATE(6499)] = 262826,
  [SMALL_STATE(6500)] = 262869,
  [SMALL_STATE(6501)] = 262918,
  [SMALL_STATE(6502)] = 262955,
  [SMALL_STATE(6503)] = 262992,
  [SMALL_STATE(6504)] = 263041,
  [SMALL_STATE(6505)] = 263066,
  [SMALL_STATE(6506)] = 263109,
  [SMALL_STATE(6507)] = 263158,
  [SMALL_STATE(6508)] = 263207,
  [SMALL_STATE(6509)] = 263250,
  [SMALL_STATE(6510)] = 263293,
  [SMALL_STATE(6511)] = 263318,
  [SMALL_STATE(6512)] = 263367,
  [SMALL_STATE(6513)] = 263416,
  [SMALL_STATE(6514)] = 263441,
  [SMALL_STATE(6515)] = 263490,
  [SMALL_STATE(6516)] = 263533,
  [SMALL_STATE(6517)] = 263558,
  [SMALL_STATE(6518)] = 263607,
  [SMALL_STATE(6519)] = 263656,
  [SMALL_STATE(6520)] = 263699,
  [SMALL_STATE(6521)] = 263742,
  [SMALL_STATE(6522)] = 263791,
  [SMALL_STATE(6523)] = 263840,
  [SMALL_STATE(6524)] = 263889,
  [SMALL_STATE(6525)] = 263932,
  [SMALL_STATE(6526)] = 263969,
  [SMALL_STATE(6527)] = 264018,
  [SMALL_STATE(6528)] = 264043,
  [SMALL_STATE(6529)] = 264080,
  [SMALL_STATE(6530)] = 264123,
  [SMALL_STATE(6531)] = 264160,
  [SMALL_STATE(6532)] = 264203,
  [SMALL_STATE(6533)] = 264246,
  [SMALL_STATE(6534)] = 264295,
  [SMALL_STATE(6535)] = 264338,
  [SMALL_STATE(6536)] = 264381,
  [SMALL_STATE(6537)] = 264424,
  [SMALL_STATE(6538)] = 264473,
  [SMALL_STATE(6539)] = 264516,
  [SMALL_STATE(6540)] = 264541,
  [SMALL_STATE(6541)] = 264578,
  [SMALL_STATE(6542)] = 264621,
  [SMALL_STATE(6543)] = 264670,
  [SMALL_STATE(6544)] = 264713,
  [SMALL_STATE(6545)] = 264756,
  [SMALL_STATE(6546)] = 264781,
  [SMALL_STATE(6547)] = 264806,
  [SMALL_STATE(6548)] = 264831,
  [SMALL_STATE(6549)] = 264874,
  [SMALL_STATE(6550)] = 264917,
  [SMALL_STATE(6551)] = 264958,
  [SMALL_STATE(6552)] = 264995,
  [SMALL_STATE(6553)] = 265020,
  [SMALL_STATE(6554)] = 265057,
  [SMALL_STATE(6555)] = 265094,
  [SMALL_STATE(6556)] = 265143,
  [SMALL_STATE(6557)] = 265180,
  [SMALL_STATE(6558)] = 265229,
  [SMALL_STATE(6559)] = 265278,
  [SMALL_STATE(6560)] = 265321,
  [SMALL_STATE(6561)] = 265362,
  [SMALL_STATE(6562)] = 265387,
  [SMALL_STATE(6563)] = 265412,
  [SMALL_STATE(6564)] = 265437,
  [SMALL_STATE(6565)] = 265486,
  [SMALL_STATE(6566)] = 265529,
  [SMALL_STATE(6567)] = 265578,
  [SMALL_STATE(6568)] = 265603,
  [SMALL_STATE(6569)] = 265645,
  [SMALL_STATE(6570)] = 265685,
  [SMALL_STATE(6571)] = 265721,
  [SMALL_STATE(6572)] = 265751,
  [SMALL_STATE(6573)] = 265791,
  [SMALL_STATE(6574)] = 265821,
  [SMALL_STATE(6575)] = 265851,
  [SMALL_STATE(6576)] = 265891,
  [SMALL_STATE(6577)] = 265935,
  [SMALL_STATE(6578)] = 265959,
  [SMALL_STATE(6579)] = 265989,
  [SMALL_STATE(6580)] = 266025,
  [SMALL_STATE(6581)] = 266047,
  [SMALL_STATE(6582)] = 266087,
  [SMALL_STATE(6583)] = 266127,
  [SMALL_STATE(6584)] = 266167,
  [SMALL_STATE(6585)] = 266197,
  [SMALL_STATE(6586)] = 266237,
  [SMALL_STATE(6587)] = 266277,
  [SMALL_STATE(6588)] = 266317,
  [SMALL_STATE(6589)] = 266339,
  [SMALL_STATE(6590)] = 266361,
  [SMALL_STATE(6591)] = 266401,
  [SMALL_STATE(6592)] = 266427,
  [SMALL_STATE(6593)] = 266467,
  [SMALL_STATE(6594)] = 266497,
  [SMALL_STATE(6595)] = 266537,
  [SMALL_STATE(6596)] = 266577,
  [SMALL_STATE(6597)] = 266617,
  [SMALL_STATE(6598)] = 266639,
  [SMALL_STATE(6599)] = 266661,
  [SMALL_STATE(6600)] = 266687,
  [SMALL_STATE(6601)] = 266709,
  [SMALL_STATE(6602)] = 266739,
  [SMALL_STATE(6603)] = 266779,
  [SMALL_STATE(6604)] = 266819,
  [SMALL_STATE(6605)] = 266859,
  [SMALL_STATE(6606)] = 266899,
  [SMALL_STATE(6607)] = 266921,
  [SMALL_STATE(6608)] = 266957,
  [SMALL_STATE(6609)] = 266983,
  [SMALL_STATE(6610)] = 267023,
  [SMALL_STATE(6611)] = 267063,
  [SMALL_STATE(6612)] = 267085,
  [SMALL_STATE(6613)] = 267115,
  [SMALL_STATE(6614)] = 267151,
  [SMALL_STATE(6615)] = 267175,
  [SMALL_STATE(6616)] = 267205,
  [SMALL_STATE(6617)] = 267235,
  [SMALL_STATE(6618)] = 267271,
  [SMALL_STATE(6619)] = 267301,
  [SMALL_STATE(6620)] = 267331,
  [SMALL_STATE(6621)] = 267371,
  [SMALL_STATE(6622)] = 267393,
  [SMALL_STATE(6623)] = 267433,
  [SMALL_STATE(6624)] = 267473,
  [SMALL_STATE(6625)] = 267495,
  [SMALL_STATE(6626)] = 267535,
  [SMALL_STATE(6627)] = 267575,
  [SMALL_STATE(6628)] = 267611,
  [SMALL_STATE(6629)] = 267633,
  [SMALL_STATE(6630)] = 267673,
  [SMALL_STATE(6631)] = 267695,
  [SMALL_STATE(6632)] = 267725,
  [SMALL_STATE(6633)] = 267761,
  [SMALL_STATE(6634)] = 267791,
  [SMALL_STATE(6635)] = 267813,
  [SMALL_STATE(6636)] = 267835,
  [SMALL_STATE(6637)] = 267875,
  [SMALL_STATE(6638)] = 267911,
  [SMALL_STATE(6639)] = 267951,
  [SMALL_STATE(6640)] = 267977,
  [SMALL_STATE(6641)] = 268007,
  [SMALL_STATE(6642)] = 268031,
  [SMALL_STATE(6643)] = 268053,
  [SMALL_STATE(6644)] = 268075,
  [SMALL_STATE(6645)] = 268097,
  [SMALL_STATE(6646)] = 268128,
  [SMALL_STATE(6647)] = 268159,
  [SMALL_STATE(6648)] = 268192,
  [SMALL_STATE(6649)] = 268223,
  [SMALL_STATE(6650)] = 268254,
  [SMALL_STATE(6651)] = 268283,
  [SMALL_STATE(6652)] = 268312,
  [SMALL_STATE(6653)] = 268345,
  [SMALL_STATE(6654)] = 268374,
  [SMALL_STATE(6655)] = 268403,
  [SMALL_STATE(6656)] = 268432,
  [SMALL_STATE(6657)] = 268461,
  [SMALL_STATE(6658)] = 268490,
  [SMALL_STATE(6659)] = 268533,
  [SMALL_STATE(6660)] = 268566,
  [SMALL_STATE(6661)] = 268593,
  [SMALL_STATE(6662)] = 268624,
  [SMALL_STATE(6663)] = 268667,
  [SMALL_STATE(6664)] = 268698,
  [SMALL_STATE(6665)] = 268729,
  [SMALL_STATE(6666)] = 268772,
  [SMALL_STATE(6667)] = 268801,
  [SMALL_STATE(6668)] = 268832,
  [SMALL_STATE(6669)] = 268875,
  [SMALL_STATE(6670)] = 268918,
  [SMALL_STATE(6671)] = 268961,
  [SMALL_STATE(6672)] = 268992,
  [SMALL_STATE(6673)] = 269023,
  [SMALL_STATE(6674)] = 269056,
  [SMALL_STATE(6675)] = 269087,
  [SMALL_STATE(6676)] = 269126,
  [SMALL_STATE(6677)] = 269157,
  [SMALL_STATE(6678)] = 269196,
  [SMALL_STATE(6679)] = 269235,
  [SMALL_STATE(6680)] = 269274,
  [SMALL_STATE(6681)] = 269313,
  [SMALL_STATE(6682)] = 269356,
  [SMALL_STATE(6683)] = 269387,
  [SMALL_STATE(6684)] = 269418,
  [SMALL_STATE(6685)] = 269449,
  [SMALL_STATE(6686)] = 269482,
  [SMALL_STATE(6687)] = 269525,
  [SMALL_STATE(6688)] = 269548,
  [SMALL_STATE(6689)] = 269581,
  [SMALL_STATE(6690)] = 269612,
  [SMALL_STATE(6691)] = 269655,
  [SMALL_STATE(6692)] = 269686,
  [SMALL_STATE(6693)] = 269717,
  [SMALL_STATE(6694)] = 269740,
  [SMALL_STATE(6695)] = 269783,
  [SMALL_STATE(6696)] = 269812,
  [SMALL_STATE(6697)] = 269841,
  [SMALL_STATE(6698)] = 269872,
  [SMALL_STATE(6699)] = 269905,
  [SMALL_STATE(6700)] = 269934,
  [SMALL_STATE(6701)] = 269965,
  [SMALL_STATE(6702)] = 269994,
  [SMALL_STATE(6703)] = 270025,
  [SMALL_STATE(6704)] = 270052,
  [SMALL_STATE(6705)] = 270081,
  [SMALL_STATE(6706)] = 270110,
  [SMALL_STATE(6707)] = 270139,
  [SMALL_STATE(6708)] = 270168,
  [SMALL_STATE(6709)] = 270197,
  [SMALL_STATE(6710)] = 270226,
  [SMALL_STATE(6711)] = 270255,
  [SMALL_STATE(6712)] = 270284,
  [SMALL_STATE(6713)] = 270313,
  [SMALL_STATE(6714)] = 270356,
  [SMALL_STATE(6715)] = 270399,
  [SMALL_STATE(6716)] = 270428,
  [SMALL_STATE(6717)] = 270467,
  [SMALL_STATE(6718)] = 270510,
  [SMALL_STATE(6719)] = 270541,
  [SMALL_STATE(6720)] = 270574,
  [SMALL_STATE(6721)] = 270602,
  [SMALL_STATE(6722)] = 270642,
  [SMALL_STATE(6723)] = 270674,
  [SMALL_STATE(6724)] = 270714,
  [SMALL_STATE(6725)] = 270742,
  [SMALL_STATE(6726)] = 270774,
  [SMALL_STATE(6727)] = 270814,
  [SMALL_STATE(6728)] = 270834,
  [SMALL_STATE(6729)] = 270872,
  [SMALL_STATE(6730)] = 270912,
  [SMALL_STATE(6731)] = 270932,
  [SMALL_STATE(6732)] = 270960,
  [SMALL_STATE(6733)] = 270980,
  [SMALL_STATE(6734)] = 271008,
  [SMALL_STATE(6735)] = 271028,
  [SMALL_STATE(6736)] = 271056,
  [SMALL_STATE(6737)] = 271082,
  [SMALL_STATE(6738)] = 271112,
  [SMALL_STATE(6739)] = 271144,
  [SMALL_STATE(6740)] = 271164,
  [SMALL_STATE(6741)] = 271204,
  [SMALL_STATE(6742)] = 271236,
  [SMALL_STATE(6743)] = 271268,
  [SMALL_STATE(6744)] = 271288,
  [SMALL_STATE(6745)] = 271320,
  [SMALL_STATE(6746)] = 271346,
  [SMALL_STATE(6747)] = 271366,
  [SMALL_STATE(6748)] = 271398,
  [SMALL_STATE(6749)] = 271430,
  [SMALL_STATE(6750)] = 271462,
  [SMALL_STATE(6751)] = 271482,
  [SMALL_STATE(6752)] = 271510,
  [SMALL_STATE(6753)] = 271536,
  [SMALL_STATE(6754)] = 271568,
  [SMALL_STATE(6755)] = 271608,
  [SMALL_STATE(6756)] = 271636,
  [SMALL_STATE(6757)] = 271676,
  [SMALL_STATE(6758)] = 271708,
  [SMALL_STATE(6759)] = 271736,
  [SMALL_STATE(6760)] = 271776,
  [SMALL_STATE(6761)] = 271800,
  [SMALL_STATE(6762)] = 271830,
  [SMALL_STATE(6763)] = 271850,
  [SMALL_STATE(6764)] = 271882,
  [SMALL_STATE(6765)] = 271922,
  [SMALL_STATE(6766)] = 271950,
  [SMALL_STATE(6767)] = 271970,
  [SMALL_STATE(6768)] = 271990,
  [SMALL_STATE(6769)] = 272030,
  [SMALL_STATE(6770)] = 272062,
  [SMALL_STATE(6771)] = 272090,
  [SMALL_STATE(6772)] = 272110,
  [SMALL_STATE(6773)] = 272138,
  [SMALL_STATE(6774)] = 272166,
  [SMALL_STATE(6775)] = 272196,
  [SMALL_STATE(6776)] = 272226,
  [SMALL_STATE(6777)] = 272266,
  [SMALL_STATE(6778)] = 272298,
  [SMALL_STATE(6779)] = 272328,
  [SMALL_STATE(6780)] = 272358,
  [SMALL_STATE(6781)] = 272388,
  [SMALL_STATE(6782)] = 272428,
  [SMALL_STATE(6783)] = 272456,
  [SMALL_STATE(6784)] = 272488,
  [SMALL_STATE(6785)] = 272528,
  [SMALL_STATE(6786)] = 272556,
  [SMALL_STATE(6787)] = 272586,
  [SMALL_STATE(6788)] = 272614,
  [SMALL_STATE(6789)] = 272642,
  [SMALL_STATE(6790)] = 272662,
  [SMALL_STATE(6791)] = 272690,
  [SMALL_STATE(6792)] = 272714,
  [SMALL_STATE(6793)] = 272744,
  [SMALL_STATE(6794)] = 272774,
  [SMALL_STATE(6795)] = 272806,
  [SMALL_STATE(6796)] = 272838,
  [SMALL_STATE(6797)] = 272878,
  [SMALL_STATE(6798)] = 272906,
  [SMALL_STATE(6799)] = 272946,
  [SMALL_STATE(6800)] = 272966,
  [SMALL_STATE(6801)] = 273006,
  [SMALL_STATE(6802)] = 273038,
  [SMALL_STATE(6803)] = 273066,
  [SMALL_STATE(6804)] = 273094,
  [SMALL_STATE(6805)] = 273126,
  [SMALL_STATE(6806)] = 273154,
  [SMALL_STATE(6807)] = 273180,
  [SMALL_STATE(6808)] = 273212,
  [SMALL_STATE(6809)] = 273240,
  [SMALL_STATE(6810)] = 273280,
  [SMALL_STATE(6811)] = 273308,
  [SMALL_STATE(6812)] = 273328,
  [SMALL_STATE(6813)] = 273356,
  [SMALL_STATE(6814)] = 273396,
  [SMALL_STATE(6815)] = 273428,
  [SMALL_STATE(6816)] = 273456,
  [SMALL_STATE(6817)] = 273488,
  [SMALL_STATE(6818)] = 273520,
  [SMALL_STATE(6819)] = 273560,
  [SMALL_STATE(6820)] = 273580,
  [SMALL_STATE(6821)] = 273620,
  [SMALL_STATE(6822)] = 273648,
  [SMALL_STATE(6823)] = 273668,
  [SMALL_STATE(6824)] = 273688,
  [SMALL_STATE(6825)] = 273710,
  [SMALL_STATE(6826)] = 273734,
  [SMALL_STATE(6827)] = 273754,
  [SMALL_STATE(6828)] = 273794,
  [SMALL_STATE(6829)] = 273814,
  [SMALL_STATE(6830)] = 273835,
  [SMALL_STATE(6831)] = 273860,
  [SMALL_STATE(6832)] = 273887,
  [SMALL_STATE(6833)] = 273920,
  [SMALL_STATE(6834)] = 273941,
  [SMALL_STATE(6835)] = 273978,
  [SMALL_STATE(6836)] = 274011,
  [SMALL_STATE(6837)] = 274044,
  [SMALL_STATE(6838)] = 274077,
  [SMALL_STATE(6839)] = 274102,
  [SMALL_STATE(6840)] = 274129,
  [SMALL_STATE(6841)] = 274150,
  [SMALL_STATE(6842)] = 274171,
  [SMALL_STATE(6843)] = 274192,
  [SMALL_STATE(6844)] = 274217,
  [SMALL_STATE(6845)] = 274238,
  [SMALL_STATE(6846)] = 274265,
  [SMALL_STATE(6847)] = 274286,
  [SMALL_STATE(6848)] = 274319,
  [SMALL_STATE(6849)] = 274352,
  [SMALL_STATE(6850)] = 274385,
  [SMALL_STATE(6851)] = 274418,
  [SMALL_STATE(6852)] = 274455,
  [SMALL_STATE(6853)] = 274492,
  [SMALL_STATE(6854)] = 274525,
  [SMALL_STATE(6855)] = 274546,
  [SMALL_STATE(6856)] = 274583,
  [SMALL_STATE(6857)] = 274620,
  [SMALL_STATE(6858)] = 274647,
  [SMALL_STATE(6859)] = 274674,
  [SMALL_STATE(6860)] = 274695,
  [SMALL_STATE(6861)] = 274722,
  [SMALL_STATE(6862)] = 274749,
  [SMALL_STATE(6863)] = 274776,
  [SMALL_STATE(6864)] = 274797,
  [SMALL_STATE(6865)] = 274818,
  [SMALL_STATE(6866)] = 274851,
  [SMALL_STATE(6867)] = 274872,
  [SMALL_STATE(6868)] = 274893,
  [SMALL_STATE(6869)] = 274920,
  [SMALL_STATE(6870)] = 274959,
  [SMALL_STATE(6871)] = 274994,
  [SMALL_STATE(6872)] = 275021,
  [SMALL_STATE(6873)] = 275042,
  [SMALL_STATE(6874)] = 275063,
  [SMALL_STATE(6875)] = 275100,
  [SMALL_STATE(6876)] = 275133,
  [SMALL_STATE(6877)] = 275170,
  [SMALL_STATE(6878)] = 275195,
  [SMALL_STATE(6879)] = 275228,
  [SMALL_STATE(6880)] = 275265,
  [SMALL_STATE(6881)] = 275292,
  [SMALL_STATE(6882)] = 275325,
  [SMALL_STATE(6883)] = 275346,
  [SMALL_STATE(6884)] = 275385,
  [SMALL_STATE(6885)] = 275410,
  [SMALL_STATE(6886)] = 275437,
  [SMALL_STATE(6887)] = 275458,
  [SMALL_STATE(6888)] = 275491,
  [SMALL_STATE(6889)] = 275512,
  [SMALL_STATE(6890)] = 275541,
  [SMALL_STATE(6891)] = 275568,
  [SMALL_STATE(6892)] = 275601,
  [SMALL_STATE(6893)] = 275622,
  [SMALL_STATE(6894)] = 275655,
  [SMALL_STATE(6895)] = 275688,
  [SMALL_STATE(6896)] = 275709,
  [SMALL_STATE(6897)] = 275730,
  [SMALL_STATE(6898)] = 275751,
  [SMALL_STATE(6899)] = 275772,
  [SMALL_STATE(6900)] = 275799,
  [SMALL_STATE(6901)] = 275832,
  [SMALL_STATE(6902)] = 275853,
  [SMALL_STATE(6903)] = 275890,
  [SMALL_STATE(6904)] = 275923,
  [SMALL_STATE(6905)] = 275948,
  [SMALL_STATE(6906)] = 275969,
  [SMALL_STATE(6907)] = 276006,
  [SMALL_STATE(6908)] = 276039,
  [SMALL_STATE(6909)] = 276072,
  [SMALL_STATE(6910)] = 276105,
  [SMALL_STATE(6911)] = 276142,
  [SMALL_STATE(6912)] = 276163,
  [SMALL_STATE(6913)] = 276184,
  [SMALL_STATE(6914)] = 276221,
  [SMALL_STATE(6915)] = 276260,
  [SMALL_STATE(6916)] = 276285,
  [SMALL_STATE(6917)] = 276324,
  [SMALL_STATE(6918)] = 276361,
  [SMALL_STATE(6919)] = 276390,
  [SMALL_STATE(6920)] = 276427,
  [SMALL_STATE(6921)] = 276466,
  [SMALL_STATE(6922)] = 276499,
  [SMALL_STATE(6923)] = 276532,
  [SMALL_STATE(6924)] = 276569,
  [SMALL_STATE(6925)] = 276590,
  [SMALL_STATE(6926)] = 276627,
  [SMALL_STATE(6927)] = 276664,
  [SMALL_STATE(6928)] = 276701,
  [SMALL_STATE(6929)] = 276730,
  [SMALL_STATE(6930)] = 276751,
  [SMALL_STATE(6931)] = 276784,
  [SMALL_STATE(6932)] = 276823,
  [SMALL_STATE(6933)] = 276860,
  [SMALL_STATE(6934)] = 276893,
  [SMALL_STATE(6935)] = 276926,
  [SMALL_STATE(6936)] = 276959,
  [SMALL_STATE(6937)] = 276980,
  [SMALL_STATE(6938)] = 277013,
  [SMALL_STATE(6939)] = 277042,
  [SMALL_STATE(6940)] = 277067,
  [SMALL_STATE(6941)] = 277100,
  [SMALL_STATE(6942)] = 277121,
  [SMALL_STATE(6943)] = 277158,
  [SMALL_STATE(6944)] = 277191,
  [SMALL_STATE(6945)] = 277224,
  [SMALL_STATE(6946)] = 277249,
  [SMALL_STATE(6947)] = 277285,
  [SMALL_STATE(6948)] = 277311,
  [SMALL_STATE(6949)] = 277335,
  [SMALL_STATE(6950)] = 277361,
  [SMALL_STATE(6951)] = 277387,
  [SMALL_STATE(6952)] = 277413,
  [SMALL_STATE(6953)] = 277449,
  [SMALL_STATE(6954)] = 277485,
  [SMALL_STATE(6955)] = 277515,
  [SMALL_STATE(6956)] = 277551,
  [SMALL_STATE(6957)] = 277575,
  [SMALL_STATE(6958)] = 277611,
  [SMALL_STATE(6959)] = 277647,
  [SMALL_STATE(6960)] = 277681,
  [SMALL_STATE(6961)] = 277711,
  [SMALL_STATE(6962)] = 277737,
  [SMALL_STATE(6963)] = 277763,
  [SMALL_STATE(6964)] = 277793,
  [SMALL_STATE(6965)] = 277817,
  [SMALL_STATE(6966)] = 277843,
  [SMALL_STATE(6967)] = 277879,
  [SMALL_STATE(6968)] = 277915,
  [SMALL_STATE(6969)] = 277945,
  [SMALL_STATE(6970)] = 277967,
  [SMALL_STATE(6971)] = 278003,
  [SMALL_STATE(6972)] = 278037,
  [SMALL_STATE(6973)] = 278071,
  [SMALL_STATE(6974)] = 278101,
  [SMALL_STATE(6975)] = 278127,
  [SMALL_STATE(6976)] = 278163,
  [SMALL_STATE(6977)] = 278193,
  [SMALL_STATE(6978)] = 278223,
  [SMALL_STATE(6979)] = 278259,
  [SMALL_STATE(6980)] = 278285,
  [SMALL_STATE(6981)] = 278319,
  [SMALL_STATE(6982)] = 278353,
  [SMALL_STATE(6983)] = 278379,
  [SMALL_STATE(6984)] = 278405,
  [SMALL_STATE(6985)] = 278435,
  [SMALL_STATE(6986)] = 278461,
  [SMALL_STATE(6987)] = 278497,
  [SMALL_STATE(6988)] = 278533,
  [SMALL_STATE(6989)] = 278569,
  [SMALL_STATE(6990)] = 278605,
  [SMALL_STATE(6991)] = 278641,
  [SMALL_STATE(6992)] = 278669,
  [SMALL_STATE(6993)] = 278703,
  [SMALL_STATE(6994)] = 278723,
  [SMALL_STATE(6995)] = 278759,
  [SMALL_STATE(6996)] = 278795,
  [SMALL_STATE(6997)] = 278823,
  [SMALL_STATE(6998)] = 278851,
  [SMALL_STATE(6999)] = 278875,
  [SMALL_STATE(7000)] = 278901,
  [SMALL_STATE(7001)] = 278931,
  [SMALL_STATE(7002)] = 278961,
  [SMALL_STATE(7003)] = 278997,
  [SMALL_STATE(7004)] = 279023,
  [SMALL_STATE(7005)] = 279059,
  [SMALL_STATE(7006)] = 279093,
  [SMALL_STATE(7007)] = 279123,
  [SMALL_STATE(7008)] = 279157,
  [SMALL_STATE(7009)] = 279187,
  [SMALL_STATE(7010)] = 279211,
  [SMALL_STATE(7011)] = 279247,
  [SMALL_STATE(7012)] = 279275,
  [SMALL_STATE(7013)] = 279311,
  [SMALL_STATE(7014)] = 279347,
  [SMALL_STATE(7015)] = 279381,
  [SMALL_STATE(7016)] = 279415,
  [SMALL_STATE(7017)] = 279441,
  [SMALL_STATE(7018)] = 279463,
  [SMALL_STATE(7019)] = 279499,
  [SMALL_STATE(7020)] = 279535,
  [SMALL_STATE(7021)] = 279561,
  [SMALL_STATE(7022)] = 279591,
  [SMALL_STATE(7023)] = 279617,
  [SMALL_STATE(7024)] = 279636,
  [SMALL_STATE(7025)] = 279667,
  [SMALL_STATE(7026)] = 279692,
  [SMALL_STATE(7027)] = 279723,
  [SMALL_STATE(7028)] = 279742,
  [SMALL_STATE(7029)] = 279767,
  [SMALL_STATE(7030)] = 279794,
  [SMALL_STATE(7031)] = 279821,
  [SMALL_STATE(7032)] = 279856,
  [SMALL_STATE(7033)] = 279883,
  [SMALL_STATE(7034)] = 279914,
  [SMALL_STATE(7035)] = 279933,
  [SMALL_STATE(7036)] = 279960,
  [SMALL_STATE(7037)] = 279985,
  [SMALL_STATE(7038)] = 280016,
  [SMALL_STATE(7039)] = 280043,
  [SMALL_STATE(7040)] = 280078,
  [SMALL_STATE(7041)] = 280107,
  [SMALL_STATE(7042)] = 280132,
  [SMALL_STATE(7043)] = 280161,
  [SMALL_STATE(7044)] = 280192,
  [SMALL_STATE(7045)] = 280211,
  [SMALL_STATE(7046)] = 280238,
  [SMALL_STATE(7047)] = 280267,
  [SMALL_STATE(7048)] = 280300,
  [SMALL_STATE(7049)] = 280319,
  [SMALL_STATE(7050)] = 280350,
  [SMALL_STATE(7051)] = 280379,
  [SMALL_STATE(7052)] = 280414,
  [SMALL_STATE(7053)] = 280445,
  [SMALL_STATE(7054)] = 280472,
  [SMALL_STATE(7055)] = 280501,
  [SMALL_STATE(7056)] = 280536,
  [SMALL_STATE(7057)] = 280565,
  [SMALL_STATE(7058)] = 280590,
  [SMALL_STATE(7059)] = 280621,
  [SMALL_STATE(7060)] = 280652,
  [SMALL_STATE(7061)] = 280675,
  [SMALL_STATE(7062)] = 280700,
  [SMALL_STATE(7063)] = 280719,
  [SMALL_STATE(7064)] = 280754,
  [SMALL_STATE(7065)] = 280773,
  [SMALL_STATE(7066)] = 280794,
  [SMALL_STATE(7067)] = 280825,
  [SMALL_STATE(7068)] = 280850,
  [SMALL_STATE(7069)] = 280875,
  [SMALL_STATE(7070)] = 280910,
  [SMALL_STATE(7071)] = 280935,
  [SMALL_STATE(7072)] = 280970,
  [SMALL_STATE(7073)] = 281003,
  [SMALL_STATE(7074)] = 281032,
  [SMALL_STATE(7075)] = 281067,
  [SMALL_STATE(7076)] = 281100,
  [SMALL_STATE(7077)] = 281127,
  [SMALL_STATE(7078)] = 281146,
  [SMALL_STATE(7079)] = 281169,
  [SMALL_STATE(7080)] = 281194,
  [SMALL_STATE(7081)] = 281213,
  [SMALL_STATE(7082)] = 281248,
  [SMALL_STATE(7083)] = 281275,
  [SMALL_STATE(7084)] = 281302,
  [SMALL_STATE(7085)] = 281333,
  [SMALL_STATE(7086)] = 281351,
  [SMALL_STATE(7087)] = 281381,
  [SMALL_STATE(7088)] = 281403,
  [SMALL_STATE(7089)] = 281425,
  [SMALL_STATE(7090)] = 281449,
  [SMALL_STATE(7091)] = 281471,
  [SMALL_STATE(7092)] = 281489,
  [SMALL_STATE(7093)] = 281511,
  [SMALL_STATE(7094)] = 281541,
  [SMALL_STATE(7095)] = 281563,
  [SMALL_STATE(7096)] = 281585,
  [SMALL_STATE(7097)] = 281607,
  [SMALL_STATE(7098)] = 281637,
  [SMALL_STATE(7099)] = 281661,
  [SMALL_STATE(7100)] = 281683,
  [SMALL_STATE(7101)] = 281713,
  [SMALL_STATE(7102)] = 281737,
  [SMALL_STATE(7103)] = 281761,
  [SMALL_STATE(7104)] = 281785,
  [SMALL_STATE(7105)] = 281809,
  [SMALL_STATE(7106)] = 281833,
  [SMALL_STATE(7107)] = 281851,
  [SMALL_STATE(7108)] = 281873,
  [SMALL_STATE(7109)] = 281891,
  [SMALL_STATE(7110)] = 281913,
  [SMALL_STATE(7111)] = 281935,
  [SMALL_STATE(7112)] = 281957,
  [SMALL_STATE(7113)] = 281987,
  [SMALL_STATE(7114)] = 282017,
  [SMALL_STATE(7115)] = 282039,
  [SMALL_STATE(7116)] = 282071,
  [SMALL_STATE(7117)] = 282093,
  [SMALL_STATE(7118)] = 282123,
  [SMALL_STATE(7119)] = 282153,
  [SMALL_STATE(7120)] = 282177,
  [SMALL_STATE(7121)] = 282201,
  [SMALL_STATE(7122)] = 282223,
  [SMALL_STATE(7123)] = 282241,
  [SMALL_STATE(7124)] = 282259,
  [SMALL_STATE(7125)] = 282277,
  [SMALL_STATE(7126)] = 282304,
  [SMALL_STATE(7127)] = 282325,
  [SMALL_STATE(7128)] = 282356,
  [SMALL_STATE(7129)] = 282387,
  [SMALL_STATE(7130)] = 282418,
  [SMALL_STATE(7131)] = 282445,
  [SMALL_STATE(7132)] = 282466,
  [SMALL_STATE(7133)] = 282489,
  [SMALL_STATE(7134)] = 282520,
  [SMALL_STATE(7135)] = 282551,
  [SMALL_STATE(7136)] = 282582,
  [SMALL_STATE(7137)] = 282605,
  [SMALL_STATE(7138)] = 282636,
  [SMALL_STATE(7139)] = 282659,
  [SMALL_STATE(7140)] = 282690,
  [SMALL_STATE(7141)] = 282713,
  [SMALL_STATE(7142)] = 282736,
  [SMALL_STATE(7143)] = 282757,
  [SMALL_STATE(7144)] = 282780,
  [SMALL_STATE(7145)] = 282807,
  [SMALL_STATE(7146)] = 282838,
  [SMALL_STATE(7147)] = 282857,
  [SMALL_STATE(7148)] = 282888,
  [SMALL_STATE(7149)] = 282919,
  [SMALL_STATE(7150)] = 282946,
  [SMALL_STATE(7151)] = 282977,
  [SMALL_STATE(7152)] = 283008,
  [SMALL_STATE(7153)] = 283035,
  [SMALL_STATE(7154)] = 283066,
  [SMALL_STATE(7155)] = 283097,
  [SMALL_STATE(7156)] = 283124,
  [SMALL_STATE(7157)] = 283145,
  [SMALL_STATE(7158)] = 283176,
  [SMALL_STATE(7159)] = 283199,
  [SMALL_STATE(7160)] = 283230,
  [SMALL_STATE(7161)] = 283257,
  [SMALL_STATE(7162)] = 283276,
  [SMALL_STATE(7163)] = 283307,
  [SMALL_STATE(7164)] = 283338,
  [SMALL_STATE(7165)] = 283369,
  [SMALL_STATE(7166)] = 283396,
  [SMALL_STATE(7167)] = 283419,
  [SMALL_STATE(7168)] = 283440,
  [SMALL_STATE(7169)] = 283467,
  [SMALL_STATE(7170)] = 283498,
  [SMALL_STATE(7171)] = 283529,
  [SMALL_STATE(7172)] = 283560,
  [SMALL_STATE(7173)] = 283585,
  [SMALL_STATE(7174)] = 283608,
  [SMALL_STATE(7175)] = 283629,
  [SMALL_STATE(7176)] = 283655,
  [SMALL_STATE(7177)] = 283677,
  [SMALL_STATE(7178)] = 283697,
  [SMALL_STATE(7179)] = 283723,
  [SMALL_STATE(7180)] = 283745,
  [SMALL_STATE(7181)] = 283771,
  [SMALL_STATE(7182)] = 283797,
  [SMALL_STATE(7183)] = 283821,
  [SMALL_STATE(7184)] = 283847,
  [SMALL_STATE(7185)] = 283867,
  [SMALL_STATE(7186)] = 283893,
  [SMALL_STATE(7187)] = 283919,
  [SMALL_STATE(7188)] = 283945,
  [SMALL_STATE(7189)] = 283971,
  [SMALL_STATE(7190)] = 283997,
  [SMALL_STATE(7191)] = 284015,
  [SMALL_STATE(7192)] = 284041,
  [SMALL_STATE(7193)] = 284065,
  [SMALL_STATE(7194)] = 284089,
  [SMALL_STATE(7195)] = 284105,
  [SMALL_STATE(7196)] = 284125,
  [SMALL_STATE(7197)] = 284151,
  [SMALL_STATE(7198)] = 284177,
  [SMALL_STATE(7199)] = 284203,
  [SMALL_STATE(7200)] = 284229,
  [SMALL_STATE(7201)] = 284255,
  [SMALL_STATE(7202)] = 284281,
  [SMALL_STATE(7203)] = 284307,
  [SMALL_STATE(7204)] = 284333,
  [SMALL_STATE(7205)] = 284357,
  [SMALL_STATE(7206)] = 284383,
  [SMALL_STATE(7207)] = 284405,
  [SMALL_STATE(7208)] = 284431,
  [SMALL_STATE(7209)] = 284457,
  [SMALL_STATE(7210)] = 284483,
  [SMALL_STATE(7211)] = 284509,
  [SMALL_STATE(7212)] = 284535,
  [SMALL_STATE(7213)] = 284557,
  [SMALL_STATE(7214)] = 284583,
  [SMALL_STATE(7215)] = 284609,
  [SMALL_STATE(7216)] = 284635,
  [SMALL_STATE(7217)] = 284661,
  [SMALL_STATE(7218)] = 284681,
  [SMALL_STATE(7219)] = 284697,
  [SMALL_STATE(7220)] = 284723,
  [SMALL_STATE(7221)] = 284745,
  [SMALL_STATE(7222)] = 284767,
  [SMALL_STATE(7223)] = 284793,
  [SMALL_STATE(7224)] = 284819,
  [SMALL_STATE(7225)] = 284841,
  [SMALL_STATE(7226)] = 284863,
  [SMALL_STATE(7227)] = 284881,
  [SMALL_STATE(7228)] = 284907,
  [SMALL_STATE(7229)] = 284933,
  [SMALL_STATE(7230)] = 284959,
  [SMALL_STATE(7231)] = 284985,
  [SMALL_STATE(7232)] = 285007,
  [SMALL_STATE(7233)] = 285031,
  [SMALL_STATE(7234)] = 285057,
  [SMALL_STATE(7235)] = 285079,
  [SMALL_STATE(7236)] = 285101,
  [SMALL_STATE(7237)] = 285127,
  [SMALL_STATE(7238)] = 285148,
  [SMALL_STATE(7239)] = 285163,
  [SMALL_STATE(7240)] = 285184,
  [SMALL_STATE(7241)] = 285199,
  [SMALL_STATE(7242)] = 285214,
  [SMALL_STATE(7243)] = 285235,
  [SMALL_STATE(7244)] = 285256,
  [SMALL_STATE(7245)] = 285281,
  [SMALL_STATE(7246)] = 285302,
  [SMALL_STATE(7247)] = 285323,
  [SMALL_STATE(7248)] = 285348,
  [SMALL_STATE(7249)] = 285367,
  [SMALL_STATE(7250)] = 285388,
  [SMALL_STATE(7251)] = 285413,
  [SMALL_STATE(7252)] = 285438,
  [SMALL_STATE(7253)] = 285459,
  [SMALL_STATE(7254)] = 285480,
  [SMALL_STATE(7255)] = 285495,
  [SMALL_STATE(7256)] = 285510,
  [SMALL_STATE(7257)] = 285535,
  [SMALL_STATE(7258)] = 285554,
  [SMALL_STATE(7259)] = 285577,
  [SMALL_STATE(7260)] = 285592,
  [SMALL_STATE(7261)] = 285617,
  [SMALL_STATE(7262)] = 285640,
  [SMALL_STATE(7263)] = 285655,
  [SMALL_STATE(7264)] = 285678,
  [SMALL_STATE(7265)] = 285701,
  [SMALL_STATE(7266)] = 285724,
  [SMALL_STATE(7267)] = 285741,
  [SMALL_STATE(7268)] = 285764,
  [SMALL_STATE(7269)] = 285787,
  [SMALL_STATE(7270)] = 285810,
  [SMALL_STATE(7271)] = 285835,
  [SMALL_STATE(7272)] = 285856,
  [SMALL_STATE(7273)] = 285877,
  [SMALL_STATE(7274)] = 285900,
  [SMALL_STATE(7275)] = 285923,
  [SMALL_STATE(7276)] = 285944,
  [SMALL_STATE(7277)] = 285967,
  [SMALL_STATE(7278)] = 285992,
  [SMALL_STATE(7279)] = 286013,
  [SMALL_STATE(7280)] = 286034,
  [SMALL_STATE(7281)] = 286049,
  [SMALL_STATE(7282)] = 286068,
  [SMALL_STATE(7283)] = 286093,
  [SMALL_STATE(7284)] = 286118,
  [SMALL_STATE(7285)] = 286138,
  [SMALL_STATE(7286)] = 286152,
  [SMALL_STATE(7287)] = 286166,
  [SMALL_STATE(7288)] = 286182,
  [SMALL_STATE(7289)] = 286198,
  [SMALL_STATE(7290)] = 286214,
  [SMALL_STATE(7291)] = 286230,
  [SMALL_STATE(7292)] = 286250,
  [SMALL_STATE(7293)] = 286270,
  [SMALL_STATE(7294)] = 286290,
  [SMALL_STATE(7295)] = 286306,
  [SMALL_STATE(7296)] = 286322,
  [SMALL_STATE(7297)] = 286340,
  [SMALL_STATE(7298)] = 286360,
  [SMALL_STATE(7299)] = 286376,
  [SMALL_STATE(7300)] = 286390,
  [SMALL_STATE(7301)] = 286404,
  [SMALL_STATE(7302)] = 286424,
  [SMALL_STATE(7303)] = 286442,
  [SMALL_STATE(7304)] = 286460,
  [SMALL_STATE(7305)] = 286476,
  [SMALL_STATE(7306)] = 286492,
  [SMALL_STATE(7307)] = 286506,
  [SMALL_STATE(7308)] = 286526,
  [SMALL_STATE(7309)] = 286540,
  [SMALL_STATE(7310)] = 286558,
  [SMALL_STATE(7311)] = 286574,
  [SMALL_STATE(7312)] = 286590,
  [SMALL_STATE(7313)] = 286610,
  [SMALL_STATE(7314)] = 286628,
  [SMALL_STATE(7315)] = 286644,
  [SMALL_STATE(7316)] = 286660,
  [SMALL_STATE(7317)] = 286676,
  [SMALL_STATE(7318)] = 286694,
  [SMALL_STATE(7319)] = 286714,
  [SMALL_STATE(7320)] = 286730,
  [SMALL_STATE(7321)] = 286746,
  [SMALL_STATE(7322)] = 286764,
  [SMALL_STATE(7323)] = 286784,
  [SMALL_STATE(7324)] = 286804,
  [SMALL_STATE(7325)] = 286824,
  [SMALL_STATE(7326)] = 286844,
  [SMALL_STATE(7327)] = 286864,
  [SMALL_STATE(7328)] = 286880,
  [SMALL_STATE(7329)] = 286900,
  [SMALL_STATE(7330)] = 286914,
  [SMALL_STATE(7331)] = 286930,
  [SMALL_STATE(7332)] = 286944,
  [SMALL_STATE(7333)] = 286960,
  [SMALL_STATE(7334)] = 286980,
  [SMALL_STATE(7335)] = 286994,
  [SMALL_STATE(7336)] = 287014,
  [SMALL_STATE(7337)] = 287028,
  [SMALL_STATE(7338)] = 287042,
  [SMALL_STATE(7339)] = 287056,
  [SMALL_STATE(7340)] = 287070,
  [SMALL_STATE(7341)] = 287090,
  [SMALL_STATE(7342)] = 287110,
  [SMALL_STATE(7343)] = 287130,
  [SMALL_STATE(7344)] = 287144,
  [SMALL_STATE(7345)] = 287160,
  [SMALL_STATE(7346)] = 287174,
  [SMALL_STATE(7347)] = 287188,
  [SMALL_STATE(7348)] = 287206,
  [SMALL_STATE(7349)] = 287224,
  [SMALL_STATE(7350)] = 287243,
  [SMALL_STATE(7351)] = 287262,
  [SMALL_STATE(7352)] = 287281,
  [SMALL_STATE(7353)] = 287300,
  [SMALL_STATE(7354)] = 287319,
  [SMALL_STATE(7355)] = 287332,
  [SMALL_STATE(7356)] = 287351,
  [SMALL_STATE(7357)] = 287368,
  [SMALL_STATE(7358)] = 287387,
  [SMALL_STATE(7359)] = 287406,
  [SMALL_STATE(7360)] = 287425,
  [SMALL_STATE(7361)] = 287444,
  [SMALL_STATE(7362)] = 287463,
  [SMALL_STATE(7363)] = 287482,
  [SMALL_STATE(7364)] = 287501,
  [SMALL_STATE(7365)] = 287520,
  [SMALL_STATE(7366)] = 287539,
  [SMALL_STATE(7367)] = 287558,
  [SMALL_STATE(7368)] = 287571,
  [SMALL_STATE(7369)] = 287590,
  [SMALL_STATE(7370)] = 287609,
  [SMALL_STATE(7371)] = 287628,
  [SMALL_STATE(7372)] = 287647,
  [SMALL_STATE(7373)] = 287666,
  [SMALL_STATE(7374)] = 287685,
  [SMALL_STATE(7375)] = 287704,
  [SMALL_STATE(7376)] = 287723,
  [SMALL_STATE(7377)] = 287742,
  [SMALL_STATE(7378)] = 287759,
  [SMALL_STATE(7379)] = 287778,
  [SMALL_STATE(7380)] = 287797,
  [SMALL_STATE(7381)] = 287816,
  [SMALL_STATE(7382)] = 287835,
  [SMALL_STATE(7383)] = 287854,
  [SMALL_STATE(7384)] = 287873,
  [SMALL_STATE(7385)] = 287892,
  [SMALL_STATE(7386)] = 287909,
  [SMALL_STATE(7387)] = 287928,
  [SMALL_STATE(7388)] = 287947,
  [SMALL_STATE(7389)] = 287964,
  [SMALL_STATE(7390)] = 287983,
  [SMALL_STATE(7391)] = 288002,
  [SMALL_STATE(7392)] = 288021,
  [SMALL_STATE(7393)] = 288040,
  [SMALL_STATE(7394)] = 288053,
  [SMALL_STATE(7395)] = 288072,
  [SMALL_STATE(7396)] = 288091,
  [SMALL_STATE(7397)] = 288110,
  [SMALL_STATE(7398)] = 288129,
  [SMALL_STATE(7399)] = 288148,
  [SMALL_STATE(7400)] = 288167,
  [SMALL_STATE(7401)] = 288186,
  [SMALL_STATE(7402)] = 288205,
  [SMALL_STATE(7403)] = 288224,
  [SMALL_STATE(7404)] = 288237,
  [SMALL_STATE(7405)] = 288250,
  [SMALL_STATE(7406)] = 288267,
  [SMALL_STATE(7407)] = 288284,
  [SMALL_STATE(7408)] = 288303,
  [SMALL_STATE(7409)] = 288322,
  [SMALL_STATE(7410)] = 288341,
  [SMALL_STATE(7411)] = 288360,
  [SMALL_STATE(7412)] = 288379,
  [SMALL_STATE(7413)] = 288396,
  [SMALL_STATE(7414)] = 288415,
  [SMALL_STATE(7415)] = 288434,
  [SMALL_STATE(7416)] = 288453,
  [SMALL_STATE(7417)] = 288472,
  [SMALL_STATE(7418)] = 288491,
  [SMALL_STATE(7419)] = 288507,
  [SMALL_STATE(7420)] = 288523,
  [SMALL_STATE(7421)] = 288537,
  [SMALL_STATE(7422)] = 288553,
  [SMALL_STATE(7423)] = 288569,
  [SMALL_STATE(7424)] = 288583,
  [SMALL_STATE(7425)] = 288599,
  [SMALL_STATE(7426)] = 288613,
  [SMALL_STATE(7427)] = 288627,
  [SMALL_STATE(7428)] = 288643,
  [SMALL_STATE(7429)] = 288659,
  [SMALL_STATE(7430)] = 288673,
  [SMALL_STATE(7431)] = 288689,
  [SMALL_STATE(7432)] = 288705,
  [SMALL_STATE(7433)] = 288719,
  [SMALL_STATE(7434)] = 288735,
  [SMALL_STATE(7435)] = 288751,
  [SMALL_STATE(7436)] = 288765,
  [SMALL_STATE(7437)] = 288781,
  [SMALL_STATE(7438)] = 288797,
  [SMALL_STATE(7439)] = 288811,
  [SMALL_STATE(7440)] = 288827,
  [SMALL_STATE(7441)] = 288843,
  [SMALL_STATE(7442)] = 288857,
  [SMALL_STATE(7443)] = 288873,
  [SMALL_STATE(7444)] = 288887,
  [SMALL_STATE(7445)] = 288903,
  [SMALL_STATE(7446)] = 288917,
  [SMALL_STATE(7447)] = 288931,
  [SMALL_STATE(7448)] = 288945,
  [SMALL_STATE(7449)] = 288959,
  [SMALL_STATE(7450)] = 288973,
  [SMALL_STATE(7451)] = 288987,
  [SMALL_STATE(7452)] = 289001,
  [SMALL_STATE(7453)] = 289015,
  [SMALL_STATE(7454)] = 289031,
  [SMALL_STATE(7455)] = 289047,
  [SMALL_STATE(7456)] = 289063,
  [SMALL_STATE(7457)] = 289079,
  [SMALL_STATE(7458)] = 289093,
  [SMALL_STATE(7459)] = 289109,
  [SMALL_STATE(7460)] = 289125,
  [SMALL_STATE(7461)] = 289139,
  [SMALL_STATE(7462)] = 289155,
  [SMALL_STATE(7463)] = 289171,
  [SMALL_STATE(7464)] = 289187,
  [SMALL_STATE(7465)] = 289201,
  [SMALL_STATE(7466)] = 289215,
  [SMALL_STATE(7467)] = 289229,
  [SMALL_STATE(7468)] = 289243,
  [SMALL_STATE(7469)] = 289259,
  [SMALL_STATE(7470)] = 289273,
  [SMALL_STATE(7471)] = 289287,
  [SMALL_STATE(7472)] = 289301,
  [SMALL_STATE(7473)] = 289317,
  [SMALL_STATE(7474)] = 289331,
  [SMALL_STATE(7475)] = 289345,
  [SMALL_STATE(7476)] = 289359,
  [SMALL_STATE(7477)] = 289373,
  [SMALL_STATE(7478)] = 289387,
  [SMALL_STATE(7479)] = 289399,
  [SMALL_STATE(7480)] = 289413,
  [SMALL_STATE(7481)] = 289427,
  [SMALL_STATE(7482)] = 289443,
  [SMALL_STATE(7483)] = 289457,
  [SMALL_STATE(7484)] = 289473,
  [SMALL_STATE(7485)] = 289487,
  [SMALL_STATE(7486)] = 289503,
  [SMALL_STATE(7487)] = 289517,
  [SMALL_STATE(7488)] = 289531,
  [SMALL_STATE(7489)] = 289547,
  [SMALL_STATE(7490)] = 289563,
  [SMALL_STATE(7491)] = 289579,
  [SMALL_STATE(7492)] = 289593,
  [SMALL_STATE(7493)] = 289607,
  [SMALL_STATE(7494)] = 289621,
  [SMALL_STATE(7495)] = 289635,
  [SMALL_STATE(7496)] = 289651,
  [SMALL_STATE(7497)] = 289667,
  [SMALL_STATE(7498)] = 289683,
  [SMALL_STATE(7499)] = 289699,
  [SMALL_STATE(7500)] = 289713,
  [SMALL_STATE(7501)] = 289727,
  [SMALL_STATE(7502)] = 289743,
  [SMALL_STATE(7503)] = 289759,
  [SMALL_STATE(7504)] = 289773,
  [SMALL_STATE(7505)] = 289789,
  [SMALL_STATE(7506)] = 289805,
  [SMALL_STATE(7507)] = 289819,
  [SMALL_STATE(7508)] = 289835,
  [SMALL_STATE(7509)] = 289851,
  [SMALL_STATE(7510)] = 289867,
  [SMALL_STATE(7511)] = 289881,
  [SMALL_STATE(7512)] = 289897,
  [SMALL_STATE(7513)] = 289911,
  [SMALL_STATE(7514)] = 289927,
  [SMALL_STATE(7515)] = 289941,
  [SMALL_STATE(7516)] = 289957,
  [SMALL_STATE(7517)] = 289967,
  [SMALL_STATE(7518)] = 289983,
  [SMALL_STATE(7519)] = 289999,
  [SMALL_STATE(7520)] = 290015,
  [SMALL_STATE(7521)] = 290029,
  [SMALL_STATE(7522)] = 290045,
  [SMALL_STATE(7523)] = 290059,
  [SMALL_STATE(7524)] = 290075,
  [SMALL_STATE(7525)] = 290091,
  [SMALL_STATE(7526)] = 290105,
  [SMALL_STATE(7527)] = 290121,
  [SMALL_STATE(7528)] = 290137,
  [SMALL_STATE(7529)] = 290153,
  [SMALL_STATE(7530)] = 290167,
  [SMALL_STATE(7531)] = 290183,
  [SMALL_STATE(7532)] = 290199,
  [SMALL_STATE(7533)] = 290215,
  [SMALL_STATE(7534)] = 290231,
  [SMALL_STATE(7535)] = 290247,
  [SMALL_STATE(7536)] = 290263,
  [SMALL_STATE(7537)] = 290279,
  [SMALL_STATE(7538)] = 290293,
  [SMALL_STATE(7539)] = 290307,
  [SMALL_STATE(7540)] = 290323,
  [SMALL_STATE(7541)] = 290339,
  [SMALL_STATE(7542)] = 290353,
  [SMALL_STATE(7543)] = 290365,
  [SMALL_STATE(7544)] = 290375,
  [SMALL_STATE(7545)] = 290389,
  [SMALL_STATE(7546)] = 290403,
  [SMALL_STATE(7547)] = 290419,
  [SMALL_STATE(7548)] = 290433,
  [SMALL_STATE(7549)] = 290447,
  [SMALL_STATE(7550)] = 290463,
  [SMALL_STATE(7551)] = 290479,
  [SMALL_STATE(7552)] = 290495,
  [SMALL_STATE(7553)] = 290509,
  [SMALL_STATE(7554)] = 290523,
  [SMALL_STATE(7555)] = 290539,
  [SMALL_STATE(7556)] = 290555,
  [SMALL_STATE(7557)] = 290569,
  [SMALL_STATE(7558)] = 290583,
  [SMALL_STATE(7559)] = 290599,
  [SMALL_STATE(7560)] = 290611,
  [SMALL_STATE(7561)] = 290627,
  [SMALL_STATE(7562)] = 290643,
  [SMALL_STATE(7563)] = 290657,
  [SMALL_STATE(7564)] = 290673,
  [SMALL_STATE(7565)] = 290689,
  [SMALL_STATE(7566)] = 290705,
  [SMALL_STATE(7567)] = 290719,
  [SMALL_STATE(7568)] = 290735,
  [SMALL_STATE(7569)] = 290749,
  [SMALL_STATE(7570)] = 290765,
  [SMALL_STATE(7571)] = 290781,
  [SMALL_STATE(7572)] = 290797,
  [SMALL_STATE(7573)] = 290813,
  [SMALL_STATE(7574)] = 290829,
  [SMALL_STATE(7575)] = 290845,
  [SMALL_STATE(7576)] = 290859,
  [SMALL_STATE(7577)] = 290875,
  [SMALL_STATE(7578)] = 290891,
  [SMALL_STATE(7579)] = 290905,
  [SMALL_STATE(7580)] = 290919,
  [SMALL_STATE(7581)] = 290933,
  [SMALL_STATE(7582)] = 290949,
  [SMALL_STATE(7583)] = 290963,
  [SMALL_STATE(7584)] = 290979,
  [SMALL_STATE(7585)] = 290995,
  [SMALL_STATE(7586)] = 291011,
  [SMALL_STATE(7587)] = 291025,
  [SMALL_STATE(7588)] = 291039,
  [SMALL_STATE(7589)] = 291053,
  [SMALL_STATE(7590)] = 291069,
  [SMALL_STATE(7591)] = 291085,
  [SMALL_STATE(7592)] = 291099,
  [SMALL_STATE(7593)] = 291115,
  [SMALL_STATE(7594)] = 291129,
  [SMALL_STATE(7595)] = 291143,
  [SMALL_STATE(7596)] = 291157,
  [SMALL_STATE(7597)] = 291171,
  [SMALL_STATE(7598)] = 291185,
  [SMALL_STATE(7599)] = 291199,
  [SMALL_STATE(7600)] = 291215,
  [SMALL_STATE(7601)] = 291229,
  [SMALL_STATE(7602)] = 291245,
  [SMALL_STATE(7603)] = 291261,
  [SMALL_STATE(7604)] = 291277,
  [SMALL_STATE(7605)] = 291293,
  [SMALL_STATE(7606)] = 291307,
  [SMALL_STATE(7607)] = 291323,
  [SMALL_STATE(7608)] = 291339,
  [SMALL_STATE(7609)] = 291355,
  [SMALL_STATE(7610)] = 291369,
  [SMALL_STATE(7611)] = 291383,
  [SMALL_STATE(7612)] = 291397,
  [SMALL_STATE(7613)] = 291411,
  [SMALL_STATE(7614)] = 291427,
  [SMALL_STATE(7615)] = 291441,
  [SMALL_STATE(7616)] = 291457,
  [SMALL_STATE(7617)] = 291473,
  [SMALL_STATE(7618)] = 291487,
  [SMALL_STATE(7619)] = 291503,
  [SMALL_STATE(7620)] = 291517,
  [SMALL_STATE(7621)] = 291531,
  [SMALL_STATE(7622)] = 291547,
  [SMALL_STATE(7623)] = 291561,
  [SMALL_STATE(7624)] = 291577,
  [SMALL_STATE(7625)] = 291591,
  [SMALL_STATE(7626)] = 291605,
  [SMALL_STATE(7627)] = 291621,
  [SMALL_STATE(7628)] = 291637,
  [SMALL_STATE(7629)] = 291653,
  [SMALL_STATE(7630)] = 291667,
  [SMALL_STATE(7631)] = 291681,
  [SMALL_STATE(7632)] = 291697,
  [SMALL_STATE(7633)] = 291713,
  [SMALL_STATE(7634)] = 291727,
  [SMALL_STATE(7635)] = 291743,
  [SMALL_STATE(7636)] = 291759,
  [SMALL_STATE(7637)] = 291773,
  [SMALL_STATE(7638)] = 291789,
  [SMALL_STATE(7639)] = 291803,
  [SMALL_STATE(7640)] = 291817,
  [SMALL_STATE(7641)] = 291831,
  [SMALL_STATE(7642)] = 291845,
  [SMALL_STATE(7643)] = 291861,
  [SMALL_STATE(7644)] = 291877,
  [SMALL_STATE(7645)] = 291893,
  [SMALL_STATE(7646)] = 291909,
  [SMALL_STATE(7647)] = 291925,
  [SMALL_STATE(7648)] = 291939,
  [SMALL_STATE(7649)] = 291955,
  [SMALL_STATE(7650)] = 291971,
  [SMALL_STATE(7651)] = 291987,
  [SMALL_STATE(7652)] = 292003,
  [SMALL_STATE(7653)] = 292017,
  [SMALL_STATE(7654)] = 292031,
  [SMALL_STATE(7655)] = 292045,
  [SMALL_STATE(7656)] = 292061,
  [SMALL_STATE(7657)] = 292075,
  [SMALL_STATE(7658)] = 292091,
  [SMALL_STATE(7659)] = 292105,
  [SMALL_STATE(7660)] = 292119,
  [SMALL_STATE(7661)] = 292133,
  [SMALL_STATE(7662)] = 292149,
  [SMALL_STATE(7663)] = 292165,
  [SMALL_STATE(7664)] = 292181,
  [SMALL_STATE(7665)] = 292197,
  [SMALL_STATE(7666)] = 292211,
  [SMALL_STATE(7667)] = 292225,
  [SMALL_STATE(7668)] = 292241,
  [SMALL_STATE(7669)] = 292255,
  [SMALL_STATE(7670)] = 292271,
  [SMALL_STATE(7671)] = 292285,
  [SMALL_STATE(7672)] = 292299,
  [SMALL_STATE(7673)] = 292313,
  [SMALL_STATE(7674)] = 292329,
  [SMALL_STATE(7675)] = 292345,
  [SMALL_STATE(7676)] = 292359,
  [SMALL_STATE(7677)] = 292373,
  [SMALL_STATE(7678)] = 292387,
  [SMALL_STATE(7679)] = 292403,
  [SMALL_STATE(7680)] = 292417,
  [SMALL_STATE(7681)] = 292431,
  [SMALL_STATE(7682)] = 292445,
  [SMALL_STATE(7683)] = 292459,
  [SMALL_STATE(7684)] = 292475,
  [SMALL_STATE(7685)] = 292491,
  [SMALL_STATE(7686)] = 292505,
  [SMALL_STATE(7687)] = 292519,
  [SMALL_STATE(7688)] = 292533,
  [SMALL_STATE(7689)] = 292543,
  [SMALL_STATE(7690)] = 292557,
  [SMALL_STATE(7691)] = 292573,
  [SMALL_STATE(7692)] = 292583,
  [SMALL_STATE(7693)] = 292597,
  [SMALL_STATE(7694)] = 292613,
  [SMALL_STATE(7695)] = 292627,
  [SMALL_STATE(7696)] = 292643,
  [SMALL_STATE(7697)] = 292657,
  [SMALL_STATE(7698)] = 292671,
  [SMALL_STATE(7699)] = 292685,
  [SMALL_STATE(7700)] = 292697,
  [SMALL_STATE(7701)] = 292711,
  [SMALL_STATE(7702)] = 292727,
  [SMALL_STATE(7703)] = 292743,
  [SMALL_STATE(7704)] = 292757,
  [SMALL_STATE(7705)] = 292773,
  [SMALL_STATE(7706)] = 292789,
  [SMALL_STATE(7707)] = 292805,
  [SMALL_STATE(7708)] = 292819,
  [SMALL_STATE(7709)] = 292833,
  [SMALL_STATE(7710)] = 292849,
  [SMALL_STATE(7711)] = 292865,
  [SMALL_STATE(7712)] = 292881,
  [SMALL_STATE(7713)] = 292895,
  [SMALL_STATE(7714)] = 292911,
  [SMALL_STATE(7715)] = 292927,
  [SMALL_STATE(7716)] = 292941,
  [SMALL_STATE(7717)] = 292957,
  [SMALL_STATE(7718)] = 292973,
  [SMALL_STATE(7719)] = 292989,
  [SMALL_STATE(7720)] = 293005,
  [SMALL_STATE(7721)] = 293021,
  [SMALL_STATE(7722)] = 293037,
  [SMALL_STATE(7723)] = 293051,
  [SMALL_STATE(7724)] = 293063,
  [SMALL_STATE(7725)] = 293079,
  [SMALL_STATE(7726)] = 293095,
  [SMALL_STATE(7727)] = 293111,
  [SMALL_STATE(7728)] = 293124,
  [SMALL_STATE(7729)] = 293137,
  [SMALL_STATE(7730)] = 293150,
  [SMALL_STATE(7731)] = 293163,
  [SMALL_STATE(7732)] = 293176,
  [SMALL_STATE(7733)] = 293189,
  [SMALL_STATE(7734)] = 293202,
  [SMALL_STATE(7735)] = 293215,
  [SMALL_STATE(7736)] = 293228,
  [SMALL_STATE(7737)] = 293239,
  [SMALL_STATE(7738)] = 293252,
  [SMALL_STATE(7739)] = 293261,
  [SMALL_STATE(7740)] = 293274,
  [SMALL_STATE(7741)] = 293287,
  [SMALL_STATE(7742)] = 293300,
  [SMALL_STATE(7743)] = 293313,
  [SMALL_STATE(7744)] = 293326,
  [SMALL_STATE(7745)] = 293339,
  [SMALL_STATE(7746)] = 293352,
  [SMALL_STATE(7747)] = 293365,
  [SMALL_STATE(7748)] = 293378,
  [SMALL_STATE(7749)] = 293391,
  [SMALL_STATE(7750)] = 293404,
  [SMALL_STATE(7751)] = 293415,
  [SMALL_STATE(7752)] = 293428,
  [SMALL_STATE(7753)] = 293441,
  [SMALL_STATE(7754)] = 293454,
  [SMALL_STATE(7755)] = 293467,
  [SMALL_STATE(7756)] = 293480,
  [SMALL_STATE(7757)] = 293493,
  [SMALL_STATE(7758)] = 293506,
  [SMALL_STATE(7759)] = 293517,
  [SMALL_STATE(7760)] = 293528,
  [SMALL_STATE(7761)] = 293539,
  [SMALL_STATE(7762)] = 293552,
  [SMALL_STATE(7763)] = 293565,
  [SMALL_STATE(7764)] = 293578,
  [SMALL_STATE(7765)] = 293591,
  [SMALL_STATE(7766)] = 293604,
  [SMALL_STATE(7767)] = 293615,
  [SMALL_STATE(7768)] = 293628,
  [SMALL_STATE(7769)] = 293641,
  [SMALL_STATE(7770)] = 293654,
  [SMALL_STATE(7771)] = 293667,
  [SMALL_STATE(7772)] = 293680,
  [SMALL_STATE(7773)] = 293693,
  [SMALL_STATE(7774)] = 293706,
  [SMALL_STATE(7775)] = 293719,
  [SMALL_STATE(7776)] = 293732,
  [SMALL_STATE(7777)] = 293745,
  [SMALL_STATE(7778)] = 293758,
  [SMALL_STATE(7779)] = 293769,
  [SMALL_STATE(7780)] = 293782,
  [SMALL_STATE(7781)] = 293793,
  [SMALL_STATE(7782)] = 293806,
  [SMALL_STATE(7783)] = 293819,
  [SMALL_STATE(7784)] = 293832,
  [SMALL_STATE(7785)] = 293845,
  [SMALL_STATE(7786)] = 293858,
  [SMALL_STATE(7787)] = 293871,
  [SMALL_STATE(7788)] = 293884,
  [SMALL_STATE(7789)] = 293897,
  [SMALL_STATE(7790)] = 293906,
  [SMALL_STATE(7791)] = 293919,
  [SMALL_STATE(7792)] = 293932,
  [SMALL_STATE(7793)] = 293945,
  [SMALL_STATE(7794)] = 293958,
  [SMALL_STATE(7795)] = 293971,
  [SMALL_STATE(7796)] = 293984,
  [SMALL_STATE(7797)] = 293997,
  [SMALL_STATE(7798)] = 294010,
  [SMALL_STATE(7799)] = 294019,
  [SMALL_STATE(7800)] = 294032,
  [SMALL_STATE(7801)] = 294045,
  [SMALL_STATE(7802)] = 294054,
  [SMALL_STATE(7803)] = 294065,
  [SMALL_STATE(7804)] = 294078,
  [SMALL_STATE(7805)] = 294091,
  [SMALL_STATE(7806)] = 294104,
  [SMALL_STATE(7807)] = 294117,
  [SMALL_STATE(7808)] = 294130,
  [SMALL_STATE(7809)] = 294143,
  [SMALL_STATE(7810)] = 294152,
  [SMALL_STATE(7811)] = 294165,
  [SMALL_STATE(7812)] = 294178,
  [SMALL_STATE(7813)] = 294191,
  [SMALL_STATE(7814)] = 294204,
  [SMALL_STATE(7815)] = 294217,
  [SMALL_STATE(7816)] = 294226,
  [SMALL_STATE(7817)] = 294239,
  [SMALL_STATE(7818)] = 294252,
  [SMALL_STATE(7819)] = 294263,
  [SMALL_STATE(7820)] = 294272,
  [SMALL_STATE(7821)] = 294281,
  [SMALL_STATE(7822)] = 294294,
  [SMALL_STATE(7823)] = 294307,
  [SMALL_STATE(7824)] = 294320,
  [SMALL_STATE(7825)] = 294333,
  [SMALL_STATE(7826)] = 294346,
  [SMALL_STATE(7827)] = 294359,
  [SMALL_STATE(7828)] = 294372,
  [SMALL_STATE(7829)] = 294383,
  [SMALL_STATE(7830)] = 294394,
  [SMALL_STATE(7831)] = 294407,
  [SMALL_STATE(7832)] = 294418,
  [SMALL_STATE(7833)] = 294429,
  [SMALL_STATE(7834)] = 294442,
  [SMALL_STATE(7835)] = 294455,
  [SMALL_STATE(7836)] = 294468,
  [SMALL_STATE(7837)] = 294481,
  [SMALL_STATE(7838)] = 294494,
  [SMALL_STATE(7839)] = 294507,
  [SMALL_STATE(7840)] = 294520,
  [SMALL_STATE(7841)] = 294533,
  [SMALL_STATE(7842)] = 294546,
  [SMALL_STATE(7843)] = 294559,
  [SMALL_STATE(7844)] = 294572,
  [SMALL_STATE(7845)] = 294585,
  [SMALL_STATE(7846)] = 294598,
  [SMALL_STATE(7847)] = 294611,
  [SMALL_STATE(7848)] = 294624,
  [SMALL_STATE(7849)] = 294637,
  [SMALL_STATE(7850)] = 294650,
  [SMALL_STATE(7851)] = 294663,
  [SMALL_STATE(7852)] = 294676,
  [SMALL_STATE(7853)] = 294689,
  [SMALL_STATE(7854)] = 294702,
  [SMALL_STATE(7855)] = 294715,
  [SMALL_STATE(7856)] = 294724,
  [SMALL_STATE(7857)] = 294737,
  [SMALL_STATE(7858)] = 294750,
  [SMALL_STATE(7859)] = 294763,
  [SMALL_STATE(7860)] = 294776,
  [SMALL_STATE(7861)] = 294789,
  [SMALL_STATE(7862)] = 294802,
  [SMALL_STATE(7863)] = 294813,
  [SMALL_STATE(7864)] = 294826,
  [SMALL_STATE(7865)] = 294839,
  [SMALL_STATE(7866)] = 294852,
  [SMALL_STATE(7867)] = 294863,
  [SMALL_STATE(7868)] = 294876,
  [SMALL_STATE(7869)] = 294889,
  [SMALL_STATE(7870)] = 294902,
  [SMALL_STATE(7871)] = 294915,
  [SMALL_STATE(7872)] = 294926,
  [SMALL_STATE(7873)] = 294937,
  [SMALL_STATE(7874)] = 294950,
  [SMALL_STATE(7875)] = 294963,
  [SMALL_STATE(7876)] = 294976,
  [SMALL_STATE(7877)] = 294989,
  [SMALL_STATE(7878)] = 295002,
  [SMALL_STATE(7879)] = 295015,
  [SMALL_STATE(7880)] = 295028,
  [SMALL_STATE(7881)] = 295041,
  [SMALL_STATE(7882)] = 295054,
  [SMALL_STATE(7883)] = 295063,
  [SMALL_STATE(7884)] = 295074,
  [SMALL_STATE(7885)] = 295083,
  [SMALL_STATE(7886)] = 295096,
  [SMALL_STATE(7887)] = 295109,
  [SMALL_STATE(7888)] = 295118,
  [SMALL_STATE(7889)] = 295131,
  [SMALL_STATE(7890)] = 295144,
  [SMALL_STATE(7891)] = 295157,
  [SMALL_STATE(7892)] = 295170,
  [SMALL_STATE(7893)] = 295183,
  [SMALL_STATE(7894)] = 295196,
  [SMALL_STATE(7895)] = 295209,
  [SMALL_STATE(7896)] = 295220,
  [SMALL_STATE(7897)] = 295233,
  [SMALL_STATE(7898)] = 295246,
  [SMALL_STATE(7899)] = 295259,
  [SMALL_STATE(7900)] = 295272,
  [SMALL_STATE(7901)] = 295285,
  [SMALL_STATE(7902)] = 295298,
  [SMALL_STATE(7903)] = 295311,
  [SMALL_STATE(7904)] = 295324,
  [SMALL_STATE(7905)] = 295337,
  [SMALL_STATE(7906)] = 295350,
  [SMALL_STATE(7907)] = 295361,
  [SMALL_STATE(7908)] = 295374,
  [SMALL_STATE(7909)] = 295387,
  [SMALL_STATE(7910)] = 295400,
  [SMALL_STATE(7911)] = 295413,
  [SMALL_STATE(7912)] = 295422,
  [SMALL_STATE(7913)] = 295433,
  [SMALL_STATE(7914)] = 295446,
  [SMALL_STATE(7915)] = 295459,
  [SMALL_STATE(7916)] = 295472,
  [SMALL_STATE(7917)] = 295485,
  [SMALL_STATE(7918)] = 295498,
  [SMALL_STATE(7919)] = 295511,
  [SMALL_STATE(7920)] = 295524,
  [SMALL_STATE(7921)] = 295537,
  [SMALL_STATE(7922)] = 295550,
  [SMALL_STATE(7923)] = 295563,
  [SMALL_STATE(7924)] = 295574,
  [SMALL_STATE(7925)] = 295587,
  [SMALL_STATE(7926)] = 295600,
  [SMALL_STATE(7927)] = 295613,
  [SMALL_STATE(7928)] = 295624,
  [SMALL_STATE(7929)] = 295637,
  [SMALL_STATE(7930)] = 295648,
  [SMALL_STATE(7931)] = 295661,
  [SMALL_STATE(7932)] = 295674,
  [SMALL_STATE(7933)] = 295687,
  [SMALL_STATE(7934)] = 295700,
  [SMALL_STATE(7935)] = 295711,
  [SMALL_STATE(7936)] = 295724,
  [SMALL_STATE(7937)] = 295737,
  [SMALL_STATE(7938)] = 295750,
  [SMALL_STATE(7939)] = 295763,
  [SMALL_STATE(7940)] = 295774,
  [SMALL_STATE(7941)] = 295787,
  [SMALL_STATE(7942)] = 295800,
  [SMALL_STATE(7943)] = 295813,
  [SMALL_STATE(7944)] = 295826,
  [SMALL_STATE(7945)] = 295839,
  [SMALL_STATE(7946)] = 295852,
  [SMALL_STATE(7947)] = 295865,
  [SMALL_STATE(7948)] = 295878,
  [SMALL_STATE(7949)] = 295891,
  [SMALL_STATE(7950)] = 295900,
  [SMALL_STATE(7951)] = 295913,
  [SMALL_STATE(7952)] = 295922,
  [SMALL_STATE(7953)] = 295935,
  [SMALL_STATE(7954)] = 295948,
  [SMALL_STATE(7955)] = 295961,
  [SMALL_STATE(7956)] = 295974,
  [SMALL_STATE(7957)] = 295987,
  [SMALL_STATE(7958)] = 296000,
  [SMALL_STATE(7959)] = 296013,
  [SMALL_STATE(7960)] = 296026,
  [SMALL_STATE(7961)] = 296039,
  [SMALL_STATE(7962)] = 296052,
  [SMALL_STATE(7963)] = 296065,
  [SMALL_STATE(7964)] = 296074,
  [SMALL_STATE(7965)] = 296085,
  [SMALL_STATE(7966)] = 296098,
  [SMALL_STATE(7967)] = 296107,
  [SMALL_STATE(7968)] = 296120,
  [SMALL_STATE(7969)] = 296129,
  [SMALL_STATE(7970)] = 296142,
  [SMALL_STATE(7971)] = 296155,
  [SMALL_STATE(7972)] = 296168,
  [SMALL_STATE(7973)] = 296177,
  [SMALL_STATE(7974)] = 296190,
  [SMALL_STATE(7975)] = 296201,
  [SMALL_STATE(7976)] = 296214,
  [SMALL_STATE(7977)] = 296227,
  [SMALL_STATE(7978)] = 296238,
  [SMALL_STATE(7979)] = 296251,
  [SMALL_STATE(7980)] = 296264,
  [SMALL_STATE(7981)] = 296277,
  [SMALL_STATE(7982)] = 296290,
  [SMALL_STATE(7983)] = 296303,
  [SMALL_STATE(7984)] = 296314,
  [SMALL_STATE(7985)] = 296327,
  [SMALL_STATE(7986)] = 296338,
  [SMALL_STATE(7987)] = 296351,
  [SMALL_STATE(7988)] = 296364,
  [SMALL_STATE(7989)] = 296375,
  [SMALL_STATE(7990)] = 296388,
  [SMALL_STATE(7991)] = 296401,
  [SMALL_STATE(7992)] = 296414,
  [SMALL_STATE(7993)] = 296425,
  [SMALL_STATE(7994)] = 296438,
  [SMALL_STATE(7995)] = 296451,
  [SMALL_STATE(7996)] = 296464,
  [SMALL_STATE(7997)] = 296477,
  [SMALL_STATE(7998)] = 296490,
  [SMALL_STATE(7999)] = 296503,
  [SMALL_STATE(8000)] = 296516,
  [SMALL_STATE(8001)] = 296529,
  [SMALL_STATE(8002)] = 296542,
  [SMALL_STATE(8003)] = 296555,
  [SMALL_STATE(8004)] = 296568,
  [SMALL_STATE(8005)] = 296581,
  [SMALL_STATE(8006)] = 296594,
  [SMALL_STATE(8007)] = 296607,
  [SMALL_STATE(8008)] = 296620,
  [SMALL_STATE(8009)] = 296633,
  [SMALL_STATE(8010)] = 296646,
  [SMALL_STATE(8011)] = 296657,
  [SMALL_STATE(8012)] = 296670,
  [SMALL_STATE(8013)] = 296683,
  [SMALL_STATE(8014)] = 296696,
  [SMALL_STATE(8015)] = 296707,
  [SMALL_STATE(8016)] = 296720,
  [SMALL_STATE(8017)] = 296733,
  [SMALL_STATE(8018)] = 296746,
  [SMALL_STATE(8019)] = 296759,
  [SMALL_STATE(8020)] = 296772,
  [SMALL_STATE(8021)] = 296785,
  [SMALL_STATE(8022)] = 296798,
  [SMALL_STATE(8023)] = 296811,
  [SMALL_STATE(8024)] = 296824,
  [SMALL_STATE(8025)] = 296837,
  [SMALL_STATE(8026)] = 296850,
  [SMALL_STATE(8027)] = 296863,
  [SMALL_STATE(8028)] = 296876,
  [SMALL_STATE(8029)] = 296889,
  [SMALL_STATE(8030)] = 296902,
  [SMALL_STATE(8031)] = 296915,
  [SMALL_STATE(8032)] = 296928,
  [SMALL_STATE(8033)] = 296939,
  [SMALL_STATE(8034)] = 296952,
  [SMALL_STATE(8035)] = 296965,
  [SMALL_STATE(8036)] = 296976,
  [SMALL_STATE(8037)] = 296989,
  [SMALL_STATE(8038)] = 297000,
  [SMALL_STATE(8039)] = 297011,
  [SMALL_STATE(8040)] = 297024,
  [SMALL_STATE(8041)] = 297037,
  [SMALL_STATE(8042)] = 297050,
  [SMALL_STATE(8043)] = 297063,
  [SMALL_STATE(8044)] = 297076,
  [SMALL_STATE(8045)] = 297089,
  [SMALL_STATE(8046)] = 297102,
  [SMALL_STATE(8047)] = 297115,
  [SMALL_STATE(8048)] = 297126,
  [SMALL_STATE(8049)] = 297139,
  [SMALL_STATE(8050)] = 297152,
  [SMALL_STATE(8051)] = 297165,
  [SMALL_STATE(8052)] = 297178,
  [SMALL_STATE(8053)] = 297191,
  [SMALL_STATE(8054)] = 297204,
  [SMALL_STATE(8055)] = 297217,
  [SMALL_STATE(8056)] = 297230,
  [SMALL_STATE(8057)] = 297243,
  [SMALL_STATE(8058)] = 297254,
  [SMALL_STATE(8059)] = 297267,
  [SMALL_STATE(8060)] = 297280,
  [SMALL_STATE(8061)] = 297293,
  [SMALL_STATE(8062)] = 297306,
  [SMALL_STATE(8063)] = 297319,
  [SMALL_STATE(8064)] = 297332,
  [SMALL_STATE(8065)] = 297343,
  [SMALL_STATE(8066)] = 297356,
  [SMALL_STATE(8067)] = 297369,
  [SMALL_STATE(8068)] = 297380,
  [SMALL_STATE(8069)] = 297391,
  [SMALL_STATE(8070)] = 297404,
  [SMALL_STATE(8071)] = 297417,
  [SMALL_STATE(8072)] = 297428,
  [SMALL_STATE(8073)] = 297441,
  [SMALL_STATE(8074)] = 297454,
  [SMALL_STATE(8075)] = 297465,
  [SMALL_STATE(8076)] = 297478,
  [SMALL_STATE(8077)] = 297491,
  [SMALL_STATE(8078)] = 297504,
  [SMALL_STATE(8079)] = 297517,
  [SMALL_STATE(8080)] = 297530,
  [SMALL_STATE(8081)] = 297543,
  [SMALL_STATE(8082)] = 297556,
  [SMALL_STATE(8083)] = 297569,
  [SMALL_STATE(8084)] = 297582,
  [SMALL_STATE(8085)] = 297595,
  [SMALL_STATE(8086)] = 297606,
  [SMALL_STATE(8087)] = 297619,
  [SMALL_STATE(8088)] = 297632,
  [SMALL_STATE(8089)] = 297643,
  [SMALL_STATE(8090)] = 297656,
  [SMALL_STATE(8091)] = 297669,
  [SMALL_STATE(8092)] = 297682,
  [SMALL_STATE(8093)] = 297695,
  [SMALL_STATE(8094)] = 297706,
  [SMALL_STATE(8095)] = 297719,
  [SMALL_STATE(8096)] = 297732,
  [SMALL_STATE(8097)] = 297745,
  [SMALL_STATE(8098)] = 297758,
  [SMALL_STATE(8099)] = 297771,
  [SMALL_STATE(8100)] = 297784,
  [SMALL_STATE(8101)] = 297797,
  [SMALL_STATE(8102)] = 297808,
  [SMALL_STATE(8103)] = 297821,
  [SMALL_STATE(8104)] = 297834,
  [SMALL_STATE(8105)] = 297847,
  [SMALL_STATE(8106)] = 297860,
  [SMALL_STATE(8107)] = 297873,
  [SMALL_STATE(8108)] = 297886,
  [SMALL_STATE(8109)] = 297899,
  [SMALL_STATE(8110)] = 297912,
  [SMALL_STATE(8111)] = 297925,
  [SMALL_STATE(8112)] = 297938,
  [SMALL_STATE(8113)] = 297951,
  [SMALL_STATE(8114)] = 297964,
  [SMALL_STATE(8115)] = 297975,
  [SMALL_STATE(8116)] = 297988,
  [SMALL_STATE(8117)] = 298001,
  [SMALL_STATE(8118)] = 298014,
  [SMALL_STATE(8119)] = 298027,
  [SMALL_STATE(8120)] = 298040,
  [SMALL_STATE(8121)] = 298053,
  [SMALL_STATE(8122)] = 298066,
  [SMALL_STATE(8123)] = 298079,
  [SMALL_STATE(8124)] = 298092,
  [SMALL_STATE(8125)] = 298105,
  [SMALL_STATE(8126)] = 298118,
  [SMALL_STATE(8127)] = 298131,
  [SMALL_STATE(8128)] = 298144,
  [SMALL_STATE(8129)] = 298157,
  [SMALL_STATE(8130)] = 298170,
  [SMALL_STATE(8131)] = 298183,
  [SMALL_STATE(8132)] = 298196,
  [SMALL_STATE(8133)] = 298209,
  [SMALL_STATE(8134)] = 298222,
  [SMALL_STATE(8135)] = 298235,
  [SMALL_STATE(8136)] = 298246,
  [SMALL_STATE(8137)] = 298259,
  [SMALL_STATE(8138)] = 298272,
  [SMALL_STATE(8139)] = 298285,
  [SMALL_STATE(8140)] = 298298,
  [SMALL_STATE(8141)] = 298311,
  [SMALL_STATE(8142)] = 298324,
  [SMALL_STATE(8143)] = 298337,
  [SMALL_STATE(8144)] = 298350,
  [SMALL_STATE(8145)] = 298363,
  [SMALL_STATE(8146)] = 298376,
  [SMALL_STATE(8147)] = 298389,
  [SMALL_STATE(8148)] = 298402,
  [SMALL_STATE(8149)] = 298415,
  [SMALL_STATE(8150)] = 298428,
  [SMALL_STATE(8151)] = 298439,
  [SMALL_STATE(8152)] = 298452,
  [SMALL_STATE(8153)] = 298465,
  [SMALL_STATE(8154)] = 298478,
  [SMALL_STATE(8155)] = 298491,
  [SMALL_STATE(8156)] = 298504,
  [SMALL_STATE(8157)] = 298517,
  [SMALL_STATE(8158)] = 298530,
  [SMALL_STATE(8159)] = 298543,
  [SMALL_STATE(8160)] = 298556,
  [SMALL_STATE(8161)] = 298569,
  [SMALL_STATE(8162)] = 298582,
  [SMALL_STATE(8163)] = 298595,
  [SMALL_STATE(8164)] = 298608,
  [SMALL_STATE(8165)] = 298621,
  [SMALL_STATE(8166)] = 298634,
  [SMALL_STATE(8167)] = 298647,
  [SMALL_STATE(8168)] = 298660,
  [SMALL_STATE(8169)] = 298671,
  [SMALL_STATE(8170)] = 298684,
  [SMALL_STATE(8171)] = 298697,
  [SMALL_STATE(8172)] = 298710,
  [SMALL_STATE(8173)] = 298723,
  [SMALL_STATE(8174)] = 298736,
  [SMALL_STATE(8175)] = 298749,
  [SMALL_STATE(8176)] = 298760,
  [SMALL_STATE(8177)] = 298773,
  [SMALL_STATE(8178)] = 298783,
  [SMALL_STATE(8179)] = 298793,
  [SMALL_STATE(8180)] = 298803,
  [SMALL_STATE(8181)] = 298813,
  [SMALL_STATE(8182)] = 298823,
  [SMALL_STATE(8183)] = 298833,
  [SMALL_STATE(8184)] = 298843,
  [SMALL_STATE(8185)] = 298853,
  [SMALL_STATE(8186)] = 298863,
  [SMALL_STATE(8187)] = 298873,
  [SMALL_STATE(8188)] = 298883,
  [SMALL_STATE(8189)] = 298893,
  [SMALL_STATE(8190)] = 298903,
  [SMALL_STATE(8191)] = 298913,
  [SMALL_STATE(8192)] = 298923,
  [SMALL_STATE(8193)] = 298933,
  [SMALL_STATE(8194)] = 298943,
  [SMALL_STATE(8195)] = 298953,
  [SMALL_STATE(8196)] = 298963,
  [SMALL_STATE(8197)] = 298973,
  [SMALL_STATE(8198)] = 298983,
  [SMALL_STATE(8199)] = 298993,
  [SMALL_STATE(8200)] = 299003,
  [SMALL_STATE(8201)] = 299013,
  [SMALL_STATE(8202)] = 299023,
  [SMALL_STATE(8203)] = 299033,
  [SMALL_STATE(8204)] = 299043,
  [SMALL_STATE(8205)] = 299053,
  [SMALL_STATE(8206)] = 299063,
  [SMALL_STATE(8207)] = 299073,
  [SMALL_STATE(8208)] = 299083,
  [SMALL_STATE(8209)] = 299093,
  [SMALL_STATE(8210)] = 299103,
  [SMALL_STATE(8211)] = 299113,
  [SMALL_STATE(8212)] = 299123,
  [SMALL_STATE(8213)] = 299131,
  [SMALL_STATE(8214)] = 299139,
  [SMALL_STATE(8215)] = 299149,
  [SMALL_STATE(8216)] = 299159,
  [SMALL_STATE(8217)] = 299169,
  [SMALL_STATE(8218)] = 299179,
  [SMALL_STATE(8219)] = 299189,
  [SMALL_STATE(8220)] = 299199,
  [SMALL_STATE(8221)] = 299207,
  [SMALL_STATE(8222)] = 299217,
  [SMALL_STATE(8223)] = 299227,
  [SMALL_STATE(8224)] = 299235,
  [SMALL_STATE(8225)] = 299245,
  [SMALL_STATE(8226)] = 299255,
  [SMALL_STATE(8227)] = 299265,
  [SMALL_STATE(8228)] = 299275,
  [SMALL_STATE(8229)] = 299285,
  [SMALL_STATE(8230)] = 299295,
  [SMALL_STATE(8231)] = 299305,
  [SMALL_STATE(8232)] = 299315,
  [SMALL_STATE(8233)] = 299325,
  [SMALL_STATE(8234)] = 299335,
  [SMALL_STATE(8235)] = 299345,
  [SMALL_STATE(8236)] = 299355,
  [SMALL_STATE(8237)] = 299365,
  [SMALL_STATE(8238)] = 299375,
  [SMALL_STATE(8239)] = 299385,
  [SMALL_STATE(8240)] = 299395,
  [SMALL_STATE(8241)] = 299405,
  [SMALL_STATE(8242)] = 299415,
  [SMALL_STATE(8243)] = 299425,
  [SMALL_STATE(8244)] = 299433,
  [SMALL_STATE(8245)] = 299443,
  [SMALL_STATE(8246)] = 299453,
  [SMALL_STATE(8247)] = 299463,
  [SMALL_STATE(8248)] = 299471,
  [SMALL_STATE(8249)] = 299481,
  [SMALL_STATE(8250)] = 299491,
  [SMALL_STATE(8251)] = 299501,
  [SMALL_STATE(8252)] = 299511,
  [SMALL_STATE(8253)] = 299521,
  [SMALL_STATE(8254)] = 299531,
  [SMALL_STATE(8255)] = 299541,
  [SMALL_STATE(8256)] = 299551,
  [SMALL_STATE(8257)] = 299561,
  [SMALL_STATE(8258)] = 299571,
  [SMALL_STATE(8259)] = 299581,
  [SMALL_STATE(8260)] = 299591,
  [SMALL_STATE(8261)] = 299601,
  [SMALL_STATE(8262)] = 299611,
  [SMALL_STATE(8263)] = 299619,
  [SMALL_STATE(8264)] = 299629,
  [SMALL_STATE(8265)] = 299639,
  [SMALL_STATE(8266)] = 299649,
  [SMALL_STATE(8267)] = 299659,
  [SMALL_STATE(8268)] = 299669,
  [SMALL_STATE(8269)] = 299679,
  [SMALL_STATE(8270)] = 299689,
  [SMALL_STATE(8271)] = 299699,
  [SMALL_STATE(8272)] = 299709,
  [SMALL_STATE(8273)] = 299719,
  [SMALL_STATE(8274)] = 299729,
  [SMALL_STATE(8275)] = 299739,
  [SMALL_STATE(8276)] = 299749,
  [SMALL_STATE(8277)] = 299759,
  [SMALL_STATE(8278)] = 299769,
  [SMALL_STATE(8279)] = 299779,
  [SMALL_STATE(8280)] = 299789,
  [SMALL_STATE(8281)] = 299799,
  [SMALL_STATE(8282)] = 299809,
  [SMALL_STATE(8283)] = 299819,
  [SMALL_STATE(8284)] = 299829,
  [SMALL_STATE(8285)] = 299837,
  [SMALL_STATE(8286)] = 299847,
  [SMALL_STATE(8287)] = 299857,
  [SMALL_STATE(8288)] = 299865,
  [SMALL_STATE(8289)] = 299875,
  [SMALL_STATE(8290)] = 299885,
  [SMALL_STATE(8291)] = 299895,
  [SMALL_STATE(8292)] = 299905,
  [SMALL_STATE(8293)] = 299915,
  [SMALL_STATE(8294)] = 299925,
  [SMALL_STATE(8295)] = 299933,
  [SMALL_STATE(8296)] = 299943,
  [SMALL_STATE(8297)] = 299953,
  [SMALL_STATE(8298)] = 299963,
  [SMALL_STATE(8299)] = 299973,
  [SMALL_STATE(8300)] = 299983,
  [SMALL_STATE(8301)] = 299993,
  [SMALL_STATE(8302)] = 300003,
  [SMALL_STATE(8303)] = 300013,
  [SMALL_STATE(8304)] = 300023,
  [SMALL_STATE(8305)] = 300033,
  [SMALL_STATE(8306)] = 300043,
  [SMALL_STATE(8307)] = 300053,
  [SMALL_STATE(8308)] = 300061,
  [SMALL_STATE(8309)] = 300071,
  [SMALL_STATE(8310)] = 300081,
  [SMALL_STATE(8311)] = 300091,
  [SMALL_STATE(8312)] = 300101,
  [SMALL_STATE(8313)] = 300111,
  [SMALL_STATE(8314)] = 300121,
  [SMALL_STATE(8315)] = 300129,
  [SMALL_STATE(8316)] = 300139,
  [SMALL_STATE(8317)] = 300149,
  [SMALL_STATE(8318)] = 300159,
  [SMALL_STATE(8319)] = 300169,
  [SMALL_STATE(8320)] = 300179,
  [SMALL_STATE(8321)] = 300187,
  [SMALL_STATE(8322)] = 300197,
  [SMALL_STATE(8323)] = 300205,
  [SMALL_STATE(8324)] = 300215,
  [SMALL_STATE(8325)] = 300225,
  [SMALL_STATE(8326)] = 300235,
  [SMALL_STATE(8327)] = 300245,
  [SMALL_STATE(8328)] = 300253,
  [SMALL_STATE(8329)] = 300261,
  [SMALL_STATE(8330)] = 300269,
  [SMALL_STATE(8331)] = 300279,
  [SMALL_STATE(8332)] = 300287,
  [SMALL_STATE(8333)] = 300295,
  [SMALL_STATE(8334)] = 300305,
  [SMALL_STATE(8335)] = 300315,
  [SMALL_STATE(8336)] = 300325,
  [SMALL_STATE(8337)] = 300335,
  [SMALL_STATE(8338)] = 300345,
  [SMALL_STATE(8339)] = 300355,
  [SMALL_STATE(8340)] = 300365,
  [SMALL_STATE(8341)] = 300375,
  [SMALL_STATE(8342)] = 300385,
  [SMALL_STATE(8343)] = 300395,
  [SMALL_STATE(8344)] = 300405,
  [SMALL_STATE(8345)] = 300415,
  [SMALL_STATE(8346)] = 300425,
  [SMALL_STATE(8347)] = 300435,
  [SMALL_STATE(8348)] = 300445,
  [SMALL_STATE(8349)] = 300455,
  [SMALL_STATE(8350)] = 300465,
  [SMALL_STATE(8351)] = 300473,
  [SMALL_STATE(8352)] = 300481,
  [SMALL_STATE(8353)] = 300491,
  [SMALL_STATE(8354)] = 300501,
  [SMALL_STATE(8355)] = 300509,
  [SMALL_STATE(8356)] = 300519,
  [SMALL_STATE(8357)] = 300527,
  [SMALL_STATE(8358)] = 300537,
  [SMALL_STATE(8359)] = 300547,
  [SMALL_STATE(8360)] = 300557,
  [SMALL_STATE(8361)] = 300567,
  [SMALL_STATE(8362)] = 300577,
  [SMALL_STATE(8363)] = 300587,
  [SMALL_STATE(8364)] = 300597,
  [SMALL_STATE(8365)] = 300607,
  [SMALL_STATE(8366)] = 300617,
  [SMALL_STATE(8367)] = 300625,
  [SMALL_STATE(8368)] = 300635,
  [SMALL_STATE(8369)] = 300643,
  [SMALL_STATE(8370)] = 300653,
  [SMALL_STATE(8371)] = 300663,
  [SMALL_STATE(8372)] = 300673,
  [SMALL_STATE(8373)] = 300683,
  [SMALL_STATE(8374)] = 300693,
  [SMALL_STATE(8375)] = 300703,
  [SMALL_STATE(8376)] = 300711,
  [SMALL_STATE(8377)] = 300719,
  [SMALL_STATE(8378)] = 300729,
  [SMALL_STATE(8379)] = 300739,
  [SMALL_STATE(8380)] = 300749,
  [SMALL_STATE(8381)] = 300757,
  [SMALL_STATE(8382)] = 300767,
  [SMALL_STATE(8383)] = 300777,
  [SMALL_STATE(8384)] = 300787,
  [SMALL_STATE(8385)] = 300797,
  [SMALL_STATE(8386)] = 300807,
  [SMALL_STATE(8387)] = 300817,
  [SMALL_STATE(8388)] = 300827,
  [SMALL_STATE(8389)] = 300837,
  [SMALL_STATE(8390)] = 300847,
  [SMALL_STATE(8391)] = 300857,
  [SMALL_STATE(8392)] = 300867,
  [SMALL_STATE(8393)] = 300877,
  [SMALL_STATE(8394)] = 300887,
  [SMALL_STATE(8395)] = 300897,
  [SMALL_STATE(8396)] = 300907,
  [SMALL_STATE(8397)] = 300917,
  [SMALL_STATE(8398)] = 300927,
  [SMALL_STATE(8399)] = 300937,
  [SMALL_STATE(8400)] = 300947,
  [SMALL_STATE(8401)] = 300957,
  [SMALL_STATE(8402)] = 300967,
  [SMALL_STATE(8403)] = 300977,
  [SMALL_STATE(8404)] = 300987,
  [SMALL_STATE(8405)] = 300997,
  [SMALL_STATE(8406)] = 301005,
  [SMALL_STATE(8407)] = 301015,
  [SMALL_STATE(8408)] = 301025,
  [SMALL_STATE(8409)] = 301035,
  [SMALL_STATE(8410)] = 301045,
  [SMALL_STATE(8411)] = 301055,
  [SMALL_STATE(8412)] = 301065,
  [SMALL_STATE(8413)] = 301075,
  [SMALL_STATE(8414)] = 301085,
  [SMALL_STATE(8415)] = 301095,
  [SMALL_STATE(8416)] = 301105,
  [SMALL_STATE(8417)] = 301115,
  [SMALL_STATE(8418)] = 301125,
  [SMALL_STATE(8419)] = 301135,
  [SMALL_STATE(8420)] = 301145,
  [SMALL_STATE(8421)] = 301155,
  [SMALL_STATE(8422)] = 301165,
  [SMALL_STATE(8423)] = 301175,
  [SMALL_STATE(8424)] = 301185,
  [SMALL_STATE(8425)] = 301195,
  [SMALL_STATE(8426)] = 301205,
  [SMALL_STATE(8427)] = 301215,
  [SMALL_STATE(8428)] = 301225,
  [SMALL_STATE(8429)] = 301235,
  [SMALL_STATE(8430)] = 301245,
  [SMALL_STATE(8431)] = 301255,
  [SMALL_STATE(8432)] = 301265,
  [SMALL_STATE(8433)] = 301275,
  [SMALL_STATE(8434)] = 301285,
  [SMALL_STATE(8435)] = 301295,
  [SMALL_STATE(8436)] = 301305,
  [SMALL_STATE(8437)] = 301315,
  [SMALL_STATE(8438)] = 301325,
  [SMALL_STATE(8439)] = 301335,
  [SMALL_STATE(8440)] = 301345,
  [SMALL_STATE(8441)] = 301353,
  [SMALL_STATE(8442)] = 301363,
  [SMALL_STATE(8443)] = 301373,
  [SMALL_STATE(8444)] = 301383,
  [SMALL_STATE(8445)] = 301393,
  [SMALL_STATE(8446)] = 301403,
  [SMALL_STATE(8447)] = 301413,
  [SMALL_STATE(8448)] = 301423,
  [SMALL_STATE(8449)] = 301433,
  [SMALL_STATE(8450)] = 301441,
  [SMALL_STATE(8451)] = 301451,
  [SMALL_STATE(8452)] = 301461,
  [SMALL_STATE(8453)] = 301471,
  [SMALL_STATE(8454)] = 301481,
  [SMALL_STATE(8455)] = 301491,
  [SMALL_STATE(8456)] = 301501,
  [SMALL_STATE(8457)] = 301511,
  [SMALL_STATE(8458)] = 301521,
  [SMALL_STATE(8459)] = 301531,
  [SMALL_STATE(8460)] = 301541,
  [SMALL_STATE(8461)] = 301551,
  [SMALL_STATE(8462)] = 301561,
  [SMALL_STATE(8463)] = 301571,
  [SMALL_STATE(8464)] = 301579,
  [SMALL_STATE(8465)] = 301589,
  [SMALL_STATE(8466)] = 301599,
  [SMALL_STATE(8467)] = 301609,
  [SMALL_STATE(8468)] = 301619,
  [SMALL_STATE(8469)] = 301629,
  [SMALL_STATE(8470)] = 301639,
  [SMALL_STATE(8471)] = 301649,
  [SMALL_STATE(8472)] = 301659,
  [SMALL_STATE(8473)] = 301669,
  [SMALL_STATE(8474)] = 301679,
  [SMALL_STATE(8475)] = 301689,
  [SMALL_STATE(8476)] = 301699,
  [SMALL_STATE(8477)] = 301709,
  [SMALL_STATE(8478)] = 301719,
  [SMALL_STATE(8479)] = 301729,
  [SMALL_STATE(8480)] = 301737,
  [SMALL_STATE(8481)] = 301747,
  [SMALL_STATE(8482)] = 301757,
  [SMALL_STATE(8483)] = 301767,
  [SMALL_STATE(8484)] = 301777,
  [SMALL_STATE(8485)] = 301787,
  [SMALL_STATE(8486)] = 301797,
  [SMALL_STATE(8487)] = 301807,
  [SMALL_STATE(8488)] = 301817,
  [SMALL_STATE(8489)] = 301827,
  [SMALL_STATE(8490)] = 301837,
  [SMALL_STATE(8491)] = 301847,
  [SMALL_STATE(8492)] = 301857,
  [SMALL_STATE(8493)] = 301867,
  [SMALL_STATE(8494)] = 301877,
  [SMALL_STATE(8495)] = 301887,
  [SMALL_STATE(8496)] = 301897,
  [SMALL_STATE(8497)] = 301907,
  [SMALL_STATE(8498)] = 301915,
  [SMALL_STATE(8499)] = 301925,
  [SMALL_STATE(8500)] = 301935,
  [SMALL_STATE(8501)] = 301945,
  [SMALL_STATE(8502)] = 301955,
  [SMALL_STATE(8503)] = 301965,
  [SMALL_STATE(8504)] = 301975,
  [SMALL_STATE(8505)] = 301985,
  [SMALL_STATE(8506)] = 301995,
  [SMALL_STATE(8507)] = 302005,
  [SMALL_STATE(8508)] = 302015,
  [SMALL_STATE(8509)] = 302025,
  [SMALL_STATE(8510)] = 302035,
  [SMALL_STATE(8511)] = 302045,
  [SMALL_STATE(8512)] = 302055,
  [SMALL_STATE(8513)] = 302065,
  [SMALL_STATE(8514)] = 302075,
  [SMALL_STATE(8515)] = 302085,
  [SMALL_STATE(8516)] = 302095,
  [SMALL_STATE(8517)] = 302105,
  [SMALL_STATE(8518)] = 302115,
  [SMALL_STATE(8519)] = 302125,
  [SMALL_STATE(8520)] = 302135,
  [SMALL_STATE(8521)] = 302145,
  [SMALL_STATE(8522)] = 302155,
  [SMALL_STATE(8523)] = 302165,
  [SMALL_STATE(8524)] = 302175,
  [SMALL_STATE(8525)] = 302185,
  [SMALL_STATE(8526)] = 302195,
  [SMALL_STATE(8527)] = 302205,
  [SMALL_STATE(8528)] = 302215,
  [SMALL_STATE(8529)] = 302225,
  [SMALL_STATE(8530)] = 302235,
  [SMALL_STATE(8531)] = 302245,
  [SMALL_STATE(8532)] = 302253,
  [SMALL_STATE(8533)] = 302263,
  [SMALL_STATE(8534)] = 302273,
  [SMALL_STATE(8535)] = 302283,
  [SMALL_STATE(8536)] = 302293,
  [SMALL_STATE(8537)] = 302303,
  [SMALL_STATE(8538)] = 302313,
  [SMALL_STATE(8539)] = 302323,
  [SMALL_STATE(8540)] = 302333,
  [SMALL_STATE(8541)] = 302341,
  [SMALL_STATE(8542)] = 302351,
  [SMALL_STATE(8543)] = 302361,
  [SMALL_STATE(8544)] = 302371,
  [SMALL_STATE(8545)] = 302381,
  [SMALL_STATE(8546)] = 302391,
  [SMALL_STATE(8547)] = 302399,
  [SMALL_STATE(8548)] = 302409,
  [SMALL_STATE(8549)] = 302419,
  [SMALL_STATE(8550)] = 302429,
  [SMALL_STATE(8551)] = 302437,
  [SMALL_STATE(8552)] = 302445,
  [SMALL_STATE(8553)] = 302455,
  [SMALL_STATE(8554)] = 302465,
  [SMALL_STATE(8555)] = 302473,
  [SMALL_STATE(8556)] = 302483,
  [SMALL_STATE(8557)] = 302491,
  [SMALL_STATE(8558)] = 302499,
  [SMALL_STATE(8559)] = 302509,
  [SMALL_STATE(8560)] = 302517,
  [SMALL_STATE(8561)] = 302527,
  [SMALL_STATE(8562)] = 302537,
  [SMALL_STATE(8563)] = 302547,
  [SMALL_STATE(8564)] = 302557,
  [SMALL_STATE(8565)] = 302565,
  [SMALL_STATE(8566)] = 302575,
  [SMALL_STATE(8567)] = 302585,
  [SMALL_STATE(8568)] = 302595,
  [SMALL_STATE(8569)] = 302605,
  [SMALL_STATE(8570)] = 302615,
  [SMALL_STATE(8571)] = 302625,
  [SMALL_STATE(8572)] = 302635,
  [SMALL_STATE(8573)] = 302645,
  [SMALL_STATE(8574)] = 302653,
  [SMALL_STATE(8575)] = 302663,
  [SMALL_STATE(8576)] = 302673,
  [SMALL_STATE(8577)] = 302683,
  [SMALL_STATE(8578)] = 302690,
  [SMALL_STATE(8579)] = 302697,
  [SMALL_STATE(8580)] = 302704,
  [SMALL_STATE(8581)] = 302711,
  [SMALL_STATE(8582)] = 302718,
  [SMALL_STATE(8583)] = 302725,
  [SMALL_STATE(8584)] = 302732,
  [SMALL_STATE(8585)] = 302739,
  [SMALL_STATE(8586)] = 302746,
  [SMALL_STATE(8587)] = 302753,
  [SMALL_STATE(8588)] = 302760,
  [SMALL_STATE(8589)] = 302767,
  [SMALL_STATE(8590)] = 302774,
  [SMALL_STATE(8591)] = 302781,
  [SMALL_STATE(8592)] = 302788,
  [SMALL_STATE(8593)] = 302795,
  [SMALL_STATE(8594)] = 302802,
  [SMALL_STATE(8595)] = 302809,
  [SMALL_STATE(8596)] = 302816,
  [SMALL_STATE(8597)] = 302823,
  [SMALL_STATE(8598)] = 302830,
  [SMALL_STATE(8599)] = 302837,
  [SMALL_STATE(8600)] = 302844,
  [SMALL_STATE(8601)] = 302851,
  [SMALL_STATE(8602)] = 302858,
  [SMALL_STATE(8603)] = 302865,
  [SMALL_STATE(8604)] = 302872,
  [SMALL_STATE(8605)] = 302879,
  [SMALL_STATE(8606)] = 302886,
  [SMALL_STATE(8607)] = 302893,
  [SMALL_STATE(8608)] = 302900,
  [SMALL_STATE(8609)] = 302907,
  [SMALL_STATE(8610)] = 302914,
  [SMALL_STATE(8611)] = 302921,
  [SMALL_STATE(8612)] = 302928,
  [SMALL_STATE(8613)] = 302935,
  [SMALL_STATE(8614)] = 302942,
  [SMALL_STATE(8615)] = 302949,
  [SMALL_STATE(8616)] = 302956,
  [SMALL_STATE(8617)] = 302963,
  [SMALL_STATE(8618)] = 302970,
  [SMALL_STATE(8619)] = 302977,
  [SMALL_STATE(8620)] = 302984,
  [SMALL_STATE(8621)] = 302991,
  [SMALL_STATE(8622)] = 302998,
  [SMALL_STATE(8623)] = 303005,
  [SMALL_STATE(8624)] = 303012,
  [SMALL_STATE(8625)] = 303019,
  [SMALL_STATE(8626)] = 303026,
  [SMALL_STATE(8627)] = 303033,
  [SMALL_STATE(8628)] = 303040,
  [SMALL_STATE(8629)] = 303047,
  [SMALL_STATE(8630)] = 303054,
  [SMALL_STATE(8631)] = 303061,
  [SMALL_STATE(8632)] = 303068,
  [SMALL_STATE(8633)] = 303075,
  [SMALL_STATE(8634)] = 303082,
  [SMALL_STATE(8635)] = 303089,
  [SMALL_STATE(8636)] = 303096,
  [SMALL_STATE(8637)] = 303103,
  [SMALL_STATE(8638)] = 303110,
  [SMALL_STATE(8639)] = 303117,
  [SMALL_STATE(8640)] = 303124,
  [SMALL_STATE(8641)] = 303131,
  [SMALL_STATE(8642)] = 303138,
  [SMALL_STATE(8643)] = 303145,
  [SMALL_STATE(8644)] = 303152,
  [SMALL_STATE(8645)] = 303159,
  [SMALL_STATE(8646)] = 303166,
  [SMALL_STATE(8647)] = 303173,
  [SMALL_STATE(8648)] = 303180,
  [SMALL_STATE(8649)] = 303187,
  [SMALL_STATE(8650)] = 303194,
  [SMALL_STATE(8651)] = 303201,
  [SMALL_STATE(8652)] = 303208,
  [SMALL_STATE(8653)] = 303215,
  [SMALL_STATE(8654)] = 303222,
  [SMALL_STATE(8655)] = 303229,
  [SMALL_STATE(8656)] = 303236,
  [SMALL_STATE(8657)] = 303243,
  [SMALL_STATE(8658)] = 303250,
  [SMALL_STATE(8659)] = 303257,
  [SMALL_STATE(8660)] = 303264,
  [SMALL_STATE(8661)] = 303271,
  [SMALL_STATE(8662)] = 303278,
  [SMALL_STATE(8663)] = 303285,
  [SMALL_STATE(8664)] = 303292,
  [SMALL_STATE(8665)] = 303299,
  [SMALL_STATE(8666)] = 303306,
  [SMALL_STATE(8667)] = 303313,
  [SMALL_STATE(8668)] = 303320,
  [SMALL_STATE(8669)] = 303327,
  [SMALL_STATE(8670)] = 303334,
  [SMALL_STATE(8671)] = 303341,
  [SMALL_STATE(8672)] = 303348,
  [SMALL_STATE(8673)] = 303355,
  [SMALL_STATE(8674)] = 303362,
  [SMALL_STATE(8675)] = 303369,
  [SMALL_STATE(8676)] = 303376,
  [SMALL_STATE(8677)] = 303383,
  [SMALL_STATE(8678)] = 303390,
  [SMALL_STATE(8679)] = 303397,
  [SMALL_STATE(8680)] = 303404,
  [SMALL_STATE(8681)] = 303411,
  [SMALL_STATE(8682)] = 303418,
  [SMALL_STATE(8683)] = 303425,
  [SMALL_STATE(8684)] = 303432,
  [SMALL_STATE(8685)] = 303439,
  [SMALL_STATE(8686)] = 303446,
  [SMALL_STATE(8687)] = 303453,
  [SMALL_STATE(8688)] = 303460,
  [SMALL_STATE(8689)] = 303467,
  [SMALL_STATE(8690)] = 303474,
  [SMALL_STATE(8691)] = 303481,
  [SMALL_STATE(8692)] = 303488,
  [SMALL_STATE(8693)] = 303495,
  [SMALL_STATE(8694)] = 303502,
  [SMALL_STATE(8695)] = 303509,
  [SMALL_STATE(8696)] = 303516,
  [SMALL_STATE(8697)] = 303523,
  [SMALL_STATE(8698)] = 303530,
  [SMALL_STATE(8699)] = 303537,
  [SMALL_STATE(8700)] = 303544,
  [SMALL_STATE(8701)] = 303551,
  [SMALL_STATE(8702)] = 303558,
  [SMALL_STATE(8703)] = 303565,
  [SMALL_STATE(8704)] = 303572,
  [SMALL_STATE(8705)] = 303579,
  [SMALL_STATE(8706)] = 303586,
  [SMALL_STATE(8707)] = 303593,
  [SMALL_STATE(8708)] = 303600,
  [SMALL_STATE(8709)] = 303607,
  [SMALL_STATE(8710)] = 303614,
  [SMALL_STATE(8711)] = 303621,
  [SMALL_STATE(8712)] = 303628,
  [SMALL_STATE(8713)] = 303635,
  [SMALL_STATE(8714)] = 303642,
  [SMALL_STATE(8715)] = 303649,
  [SMALL_STATE(8716)] = 303656,
  [SMALL_STATE(8717)] = 303663,
  [SMALL_STATE(8718)] = 303670,
  [SMALL_STATE(8719)] = 303677,
  [SMALL_STATE(8720)] = 303684,
  [SMALL_STATE(8721)] = 303691,
  [SMALL_STATE(8722)] = 303698,
  [SMALL_STATE(8723)] = 303705,
  [SMALL_STATE(8724)] = 303712,
  [SMALL_STATE(8725)] = 303719,
  [SMALL_STATE(8726)] = 303726,
  [SMALL_STATE(8727)] = 303733,
  [SMALL_STATE(8728)] = 303740,
  [SMALL_STATE(8729)] = 303747,
  [SMALL_STATE(8730)] = 303754,
  [SMALL_STATE(8731)] = 303761,
  [SMALL_STATE(8732)] = 303768,
  [SMALL_STATE(8733)] = 303775,
  [SMALL_STATE(8734)] = 303782,
  [SMALL_STATE(8735)] = 303789,
  [SMALL_STATE(8736)] = 303796,
  [SMALL_STATE(8737)] = 303803,
  [SMALL_STATE(8738)] = 303810,
  [SMALL_STATE(8739)] = 303817,
  [SMALL_STATE(8740)] = 303824,
  [SMALL_STATE(8741)] = 303831,
  [SMALL_STATE(8742)] = 303838,
  [SMALL_STATE(8743)] = 303845,
  [SMALL_STATE(8744)] = 303852,
  [SMALL_STATE(8745)] = 303859,
  [SMALL_STATE(8746)] = 303866,
  [SMALL_STATE(8747)] = 303873,
  [SMALL_STATE(8748)] = 303880,
  [SMALL_STATE(8749)] = 303887,
  [SMALL_STATE(8750)] = 303894,
  [SMALL_STATE(8751)] = 303901,
  [SMALL_STATE(8752)] = 303908,
  [SMALL_STATE(8753)] = 303915,
  [SMALL_STATE(8754)] = 303922,
  [SMALL_STATE(8755)] = 303929,
  [SMALL_STATE(8756)] = 303936,
  [SMALL_STATE(8757)] = 303943,
  [SMALL_STATE(8758)] = 303950,
  [SMALL_STATE(8759)] = 303957,
  [SMALL_STATE(8760)] = 303964,
  [SMALL_STATE(8761)] = 303971,
  [SMALL_STATE(8762)] = 303978,
  [SMALL_STATE(8763)] = 303985,
  [SMALL_STATE(8764)] = 303992,
  [SMALL_STATE(8765)] = 303999,
  [SMALL_STATE(8766)] = 304006,
  [SMALL_STATE(8767)] = 304013,
  [SMALL_STATE(8768)] = 304020,
  [SMALL_STATE(8769)] = 304027,
  [SMALL_STATE(8770)] = 304034,
  [SMALL_STATE(8771)] = 304041,
  [SMALL_STATE(8772)] = 304048,
  [SMALL_STATE(8773)] = 304055,
  [SMALL_STATE(8774)] = 304062,
  [SMALL_STATE(8775)] = 304069,
  [SMALL_STATE(8776)] = 304076,
  [SMALL_STATE(8777)] = 304083,
  [SMALL_STATE(8778)] = 304090,
  [SMALL_STATE(8779)] = 304097,
  [SMALL_STATE(8780)] = 304104,
  [SMALL_STATE(8781)] = 304111,
  [SMALL_STATE(8782)] = 304118,
  [SMALL_STATE(8783)] = 304125,
  [SMALL_STATE(8784)] = 304132,
  [SMALL_STATE(8785)] = 304139,
  [SMALL_STATE(8786)] = 304146,
  [SMALL_STATE(8787)] = 304153,
  [SMALL_STATE(8788)] = 304160,
  [SMALL_STATE(8789)] = 304167,
  [SMALL_STATE(8790)] = 304174,
  [SMALL_STATE(8791)] = 304181,
  [SMALL_STATE(8792)] = 304188,
  [SMALL_STATE(8793)] = 304195,
  [SMALL_STATE(8794)] = 304202,
  [SMALL_STATE(8795)] = 304209,
  [SMALL_STATE(8796)] = 304216,
  [SMALL_STATE(8797)] = 304223,
  [SMALL_STATE(8798)] = 304230,
  [SMALL_STATE(8799)] = 304237,
  [SMALL_STATE(8800)] = 304244,
  [SMALL_STATE(8801)] = 304251,
  [SMALL_STATE(8802)] = 304258,
  [SMALL_STATE(8803)] = 304265,
  [SMALL_STATE(8804)] = 304272,
  [SMALL_STATE(8805)] = 304279,
  [SMALL_STATE(8806)] = 304286,
  [SMALL_STATE(8807)] = 304293,
  [SMALL_STATE(8808)] = 304300,
  [SMALL_STATE(8809)] = 304307,
  [SMALL_STATE(8810)] = 304314,
  [SMALL_STATE(8811)] = 304321,
  [SMALL_STATE(8812)] = 304328,
  [SMALL_STATE(8813)] = 304335,
  [SMALL_STATE(8814)] = 304342,
  [SMALL_STATE(8815)] = 304349,
  [SMALL_STATE(8816)] = 304356,
  [SMALL_STATE(8817)] = 304363,
  [SMALL_STATE(8818)] = 304370,
  [SMALL_STATE(8819)] = 304377,
  [SMALL_STATE(8820)] = 304384,
  [SMALL_STATE(8821)] = 304391,
  [SMALL_STATE(8822)] = 304398,
  [SMALL_STATE(8823)] = 304405,
  [SMALL_STATE(8824)] = 304412,
  [SMALL_STATE(8825)] = 304419,
  [SMALL_STATE(8826)] = 304426,
  [SMALL_STATE(8827)] = 304433,
  [SMALL_STATE(8828)] = 304440,
  [SMALL_STATE(8829)] = 304447,
  [SMALL_STATE(8830)] = 304454,
  [SMALL_STATE(8831)] = 304461,
  [SMALL_STATE(8832)] = 304468,
  [SMALL_STATE(8833)] = 304475,
  [SMALL_STATE(8834)] = 304482,
  [SMALL_STATE(8835)] = 304489,
  [SMALL_STATE(8836)] = 304496,
  [SMALL_STATE(8837)] = 304503,
  [SMALL_STATE(8838)] = 304510,
  [SMALL_STATE(8839)] = 304517,
  [SMALL_STATE(8840)] = 304524,
  [SMALL_STATE(8841)] = 304531,
  [SMALL_STATE(8842)] = 304538,
  [SMALL_STATE(8843)] = 304545,
  [SMALL_STATE(8844)] = 304552,
  [SMALL_STATE(8845)] = 304559,
  [SMALL_STATE(8846)] = 304566,
  [SMALL_STATE(8847)] = 304573,
  [SMALL_STATE(8848)] = 304580,
  [SMALL_STATE(8849)] = 304587,
  [SMALL_STATE(8850)] = 304594,
  [SMALL_STATE(8851)] = 304601,
  [SMALL_STATE(8852)] = 304608,
  [SMALL_STATE(8853)] = 304615,
  [SMALL_STATE(8854)] = 304622,
  [SMALL_STATE(8855)] = 304629,
  [SMALL_STATE(8856)] = 304636,
  [SMALL_STATE(8857)] = 304643,
  [SMALL_STATE(8858)] = 304650,
  [SMALL_STATE(8859)] = 304657,
  [SMALL_STATE(8860)] = 304664,
  [SMALL_STATE(8861)] = 304671,
  [SMALL_STATE(8862)] = 304678,
  [SMALL_STATE(8863)] = 304685,
  [SMALL_STATE(8864)] = 304692,
  [SMALL_STATE(8865)] = 304699,
  [SMALL_STATE(8866)] = 304706,
  [SMALL_STATE(8867)] = 304713,
  [SMALL_STATE(8868)] = 304720,
  [SMALL_STATE(8869)] = 304727,
  [SMALL_STATE(8870)] = 304734,
  [SMALL_STATE(8871)] = 304741,
  [SMALL_STATE(8872)] = 304748,
  [SMALL_STATE(8873)] = 304755,
  [SMALL_STATE(8874)] = 304762,
  [SMALL_STATE(8875)] = 304769,
  [SMALL_STATE(8876)] = 304776,
  [SMALL_STATE(8877)] = 304783,
  [SMALL_STATE(8878)] = 304790,
  [SMALL_STATE(8879)] = 304797,
  [SMALL_STATE(8880)] = 304804,
  [SMALL_STATE(8881)] = 304811,
  [SMALL_STATE(8882)] = 304818,
  [SMALL_STATE(8883)] = 304825,
  [SMALL_STATE(8884)] = 304832,
  [SMALL_STATE(8885)] = 304839,
  [SMALL_STATE(8886)] = 304846,
  [SMALL_STATE(8887)] = 304853,
  [SMALL_STATE(8888)] = 304860,
  [SMALL_STATE(8889)] = 304867,
  [SMALL_STATE(8890)] = 304874,
  [SMALL_STATE(8891)] = 304881,
  [SMALL_STATE(8892)] = 304888,
  [SMALL_STATE(8893)] = 304895,
  [SMALL_STATE(8894)] = 304902,
  [SMALL_STATE(8895)] = 304909,
  [SMALL_STATE(8896)] = 304916,
  [SMALL_STATE(8897)] = 304923,
  [SMALL_STATE(8898)] = 304930,
  [SMALL_STATE(8899)] = 304937,
  [SMALL_STATE(8900)] = 304944,
  [SMALL_STATE(8901)] = 304951,
  [SMALL_STATE(8902)] = 304958,
  [SMALL_STATE(8903)] = 304965,
  [SMALL_STATE(8904)] = 304972,
  [SMALL_STATE(8905)] = 304979,
  [SMALL_STATE(8906)] = 304986,
  [SMALL_STATE(8907)] = 304993,
  [SMALL_STATE(8908)] = 305000,
  [SMALL_STATE(8909)] = 305007,
  [SMALL_STATE(8910)] = 305014,
  [SMALL_STATE(8911)] = 305021,
  [SMALL_STATE(8912)] = 305028,
  [SMALL_STATE(8913)] = 305035,
  [SMALL_STATE(8914)] = 305042,
  [SMALL_STATE(8915)] = 305049,
  [SMALL_STATE(8916)] = 305056,
  [SMALL_STATE(8917)] = 305063,
  [SMALL_STATE(8918)] = 305070,
  [SMALL_STATE(8919)] = 305077,
  [SMALL_STATE(8920)] = 305084,
  [SMALL_STATE(8921)] = 305091,
  [SMALL_STATE(8922)] = 305098,
  [SMALL_STATE(8923)] = 305105,
  [SMALL_STATE(8924)] = 305112,
  [SMALL_STATE(8925)] = 305119,
  [SMALL_STATE(8926)] = 305126,
  [SMALL_STATE(8927)] = 305133,
  [SMALL_STATE(8928)] = 305140,
  [SMALL_STATE(8929)] = 305147,
  [SMALL_STATE(8930)] = 305154,
  [SMALL_STATE(8931)] = 305161,
  [SMALL_STATE(8932)] = 305168,
  [SMALL_STATE(8933)] = 305175,
  [SMALL_STATE(8934)] = 305182,
  [SMALL_STATE(8935)] = 305189,
  [SMALL_STATE(8936)] = 305196,
  [SMALL_STATE(8937)] = 305203,
  [SMALL_STATE(8938)] = 305210,
  [SMALL_STATE(8939)] = 305217,
  [SMALL_STATE(8940)] = 305224,
  [SMALL_STATE(8941)] = 305231,
  [SMALL_STATE(8942)] = 305238,
  [SMALL_STATE(8943)] = 305245,
  [SMALL_STATE(8944)] = 305252,
  [SMALL_STATE(8945)] = 305259,
  [SMALL_STATE(8946)] = 305266,
  [SMALL_STATE(8947)] = 305273,
  [SMALL_STATE(8948)] = 305280,
  [SMALL_STATE(8949)] = 305287,
  [SMALL_STATE(8950)] = 305294,
  [SMALL_STATE(8951)] = 305301,
  [SMALL_STATE(8952)] = 305308,
  [SMALL_STATE(8953)] = 305315,
  [SMALL_STATE(8954)] = 305322,
  [SMALL_STATE(8955)] = 305329,
  [SMALL_STATE(8956)] = 305336,
  [SMALL_STATE(8957)] = 305343,
  [SMALL_STATE(8958)] = 305350,
  [SMALL_STATE(8959)] = 305357,
  [SMALL_STATE(8960)] = 305364,
  [SMALL_STATE(8961)] = 305371,
  [SMALL_STATE(8962)] = 305378,
  [SMALL_STATE(8963)] = 305385,
  [SMALL_STATE(8964)] = 305392,
  [SMALL_STATE(8965)] = 305399,
  [SMALL_STATE(8966)] = 305406,
  [SMALL_STATE(8967)] = 305413,
  [SMALL_STATE(8968)] = 305420,
  [SMALL_STATE(8969)] = 305427,
  [SMALL_STATE(8970)] = 305434,
  [SMALL_STATE(8971)] = 305441,
  [SMALL_STATE(8972)] = 305448,
  [SMALL_STATE(8973)] = 305455,
  [SMALL_STATE(8974)] = 305462,
  [SMALL_STATE(8975)] = 305469,
  [SMALL_STATE(8976)] = 305476,
  [SMALL_STATE(8977)] = 305483,
  [SMALL_STATE(8978)] = 305490,
  [SMALL_STATE(8979)] = 305497,
  [SMALL_STATE(8980)] = 305504,
  [SMALL_STATE(8981)] = 305511,
  [SMALL_STATE(8982)] = 305518,
  [SMALL_STATE(8983)] = 305525,
  [SMALL_STATE(8984)] = 305532,
  [SMALL_STATE(8985)] = 305539,
  [SMALL_STATE(8986)] = 305546,
  [SMALL_STATE(8987)] = 305553,
  [SMALL_STATE(8988)] = 305560,
  [SMALL_STATE(8989)] = 305567,
  [SMALL_STATE(8990)] = 305574,
  [SMALL_STATE(8991)] = 305581,
  [SMALL_STATE(8992)] = 305588,
  [SMALL_STATE(8993)] = 305595,
  [SMALL_STATE(8994)] = 305602,
  [SMALL_STATE(8995)] = 305609,
  [SMALL_STATE(8996)] = 305616,
  [SMALL_STATE(8997)] = 305623,
  [SMALL_STATE(8998)] = 305630,
  [SMALL_STATE(8999)] = 305637,
  [SMALL_STATE(9000)] = 305644,
  [SMALL_STATE(9001)] = 305651,
  [SMALL_STATE(9002)] = 305658,
  [SMALL_STATE(9003)] = 305665,
  [SMALL_STATE(9004)] = 305672,
  [SMALL_STATE(9005)] = 305679,
  [SMALL_STATE(9006)] = 305686,
  [SMALL_STATE(9007)] = 305693,
  [SMALL_STATE(9008)] = 305700,
  [SMALL_STATE(9009)] = 305707,
  [SMALL_STATE(9010)] = 305714,
  [SMALL_STATE(9011)] = 305721,
  [SMALL_STATE(9012)] = 305728,
  [SMALL_STATE(9013)] = 305735,
  [SMALL_STATE(9014)] = 305742,
  [SMALL_STATE(9015)] = 305749,
  [SMALL_STATE(9016)] = 305756,
  [SMALL_STATE(9017)] = 305763,
  [SMALL_STATE(9018)] = 305770,
  [SMALL_STATE(9019)] = 305777,
  [SMALL_STATE(9020)] = 305784,
  [SMALL_STATE(9021)] = 305791,
  [SMALL_STATE(9022)] = 305798,
  [SMALL_STATE(9023)] = 305805,
  [SMALL_STATE(9024)] = 305812,
  [SMALL_STATE(9025)] = 305819,
  [SMALL_STATE(9026)] = 305826,
  [SMALL_STATE(9027)] = 305833,
  [SMALL_STATE(9028)] = 305840,
  [SMALL_STATE(9029)] = 305847,
  [SMALL_STATE(9030)] = 305854,
  [SMALL_STATE(9031)] = 305861,
  [SMALL_STATE(9032)] = 305868,
  [SMALL_STATE(9033)] = 305875,
  [SMALL_STATE(9034)] = 305882,
  [SMALL_STATE(9035)] = 305889,
  [SMALL_STATE(9036)] = 305896,
  [SMALL_STATE(9037)] = 305903,
  [SMALL_STATE(9038)] = 305910,
  [SMALL_STATE(9039)] = 305917,
  [SMALL_STATE(9040)] = 305924,
  [SMALL_STATE(9041)] = 305931,
  [SMALL_STATE(9042)] = 305938,
  [SMALL_STATE(9043)] = 305945,
  [SMALL_STATE(9044)] = 305952,
  [SMALL_STATE(9045)] = 305959,
  [SMALL_STATE(9046)] = 305966,
  [SMALL_STATE(9047)] = 305973,
  [SMALL_STATE(9048)] = 305980,
  [SMALL_STATE(9049)] = 305987,
  [SMALL_STATE(9050)] = 305994,
  [SMALL_STATE(9051)] = 306001,
  [SMALL_STATE(9052)] = 306008,
  [SMALL_STATE(9053)] = 306015,
  [SMALL_STATE(9054)] = 306022,
  [SMALL_STATE(9055)] = 306029,
  [SMALL_STATE(9056)] = 306036,
  [SMALL_STATE(9057)] = 306043,
  [SMALL_STATE(9058)] = 306050,
  [SMALL_STATE(9059)] = 306057,
  [SMALL_STATE(9060)] = 306064,
  [SMALL_STATE(9061)] = 306071,
  [SMALL_STATE(9062)] = 306078,
  [SMALL_STATE(9063)] = 306085,
  [SMALL_STATE(9064)] = 306092,
  [SMALL_STATE(9065)] = 306099,
  [SMALL_STATE(9066)] = 306106,
  [SMALL_STATE(9067)] = 306113,
  [SMALL_STATE(9068)] = 306120,
  [SMALL_STATE(9069)] = 306127,
  [SMALL_STATE(9070)] = 306134,
  [SMALL_STATE(9071)] = 306141,
  [SMALL_STATE(9072)] = 306148,
  [SMALL_STATE(9073)] = 306155,
  [SMALL_STATE(9074)] = 306162,
  [SMALL_STATE(9075)] = 306169,
  [SMALL_STATE(9076)] = 306176,
  [SMALL_STATE(9077)] = 306183,
  [SMALL_STATE(9078)] = 306190,
  [SMALL_STATE(9079)] = 306197,
  [SMALL_STATE(9080)] = 306204,
  [SMALL_STATE(9081)] = 306211,
  [SMALL_STATE(9082)] = 306218,
  [SMALL_STATE(9083)] = 306225,
  [SMALL_STATE(9084)] = 306232,
  [SMALL_STATE(9085)] = 306239,
  [SMALL_STATE(9086)] = 306246,
  [SMALL_STATE(9087)] = 306253,
  [SMALL_STATE(9088)] = 306260,
  [SMALL_STATE(9089)] = 306267,
  [SMALL_STATE(9090)] = 306274,
  [SMALL_STATE(9091)] = 306281,
  [SMALL_STATE(9092)] = 306288,
  [SMALL_STATE(9093)] = 306295,
  [SMALL_STATE(9094)] = 306302,
  [SMALL_STATE(9095)] = 306309,
  [SMALL_STATE(9096)] = 306316,
  [SMALL_STATE(9097)] = 306323,
  [SMALL_STATE(9098)] = 306330,
  [SMALL_STATE(9099)] = 306337,
  [SMALL_STATE(9100)] = 306344,
  [SMALL_STATE(9101)] = 306351,
  [SMALL_STATE(9102)] = 306358,
  [SMALL_STATE(9103)] = 306365,
  [SMALL_STATE(9104)] = 306372,
  [SMALL_STATE(9105)] = 306379,
  [SMALL_STATE(9106)] = 306386,
  [SMALL_STATE(9107)] = 306393,
  [SMALL_STATE(9108)] = 306400,
  [SMALL_STATE(9109)] = 306407,
  [SMALL_STATE(9110)] = 306414,
  [SMALL_STATE(9111)] = 306421,
  [SMALL_STATE(9112)] = 306428,
  [SMALL_STATE(9113)] = 306435,
  [SMALL_STATE(9114)] = 306442,
  [SMALL_STATE(9115)] = 306449,
  [SMALL_STATE(9116)] = 306456,
  [SMALL_STATE(9117)] = 306463,
  [SMALL_STATE(9118)] = 306470,
  [SMALL_STATE(9119)] = 306477,
  [SMALL_STATE(9120)] = 306484,
  [SMALL_STATE(9121)] = 306491,
  [SMALL_STATE(9122)] = 306498,
  [SMALL_STATE(9123)] = 306505,
  [SMALL_STATE(9124)] = 306512,
  [SMALL_STATE(9125)] = 306519,
  [SMALL_STATE(9126)] = 306526,
  [SMALL_STATE(9127)] = 306533,
  [SMALL_STATE(9128)] = 306540,
  [SMALL_STATE(9129)] = 306547,
  [SMALL_STATE(9130)] = 306554,
  [SMALL_STATE(9131)] = 306561,
  [SMALL_STATE(9132)] = 306568,
  [SMALL_STATE(9133)] = 306575,
  [SMALL_STATE(9134)] = 306582,
  [SMALL_STATE(9135)] = 306589,
  [SMALL_STATE(9136)] = 306596,
  [SMALL_STATE(9137)] = 306603,
  [SMALL_STATE(9138)] = 306610,
  [SMALL_STATE(9139)] = 306617,
  [SMALL_STATE(9140)] = 306624,
  [SMALL_STATE(9141)] = 306631,
  [SMALL_STATE(9142)] = 306638,
  [SMALL_STATE(9143)] = 306645,
  [SMALL_STATE(9144)] = 306652,
  [SMALL_STATE(9145)] = 306659,
  [SMALL_STATE(9146)] = 306666,
  [SMALL_STATE(9147)] = 306673,
  [SMALL_STATE(9148)] = 306680,
  [SMALL_STATE(9149)] = 306687,
  [SMALL_STATE(9150)] = 306694,
  [SMALL_STATE(9151)] = 306701,
  [SMALL_STATE(9152)] = 306708,
  [SMALL_STATE(9153)] = 306715,
  [SMALL_STATE(9154)] = 306722,
  [SMALL_STATE(9155)] = 306729,
  [SMALL_STATE(9156)] = 306736,
  [SMALL_STATE(9157)] = 306743,
  [SMALL_STATE(9158)] = 306750,
  [SMALL_STATE(9159)] = 306757,
  [SMALL_STATE(9160)] = 306764,
  [SMALL_STATE(9161)] = 306771,
  [SMALL_STATE(9162)] = 306778,
  [SMALL_STATE(9163)] = 306785,
  [SMALL_STATE(9164)] = 306792,
  [SMALL_STATE(9165)] = 306799,
  [SMALL_STATE(9166)] = 306806,
  [SMALL_STATE(9167)] = 306813,
  [SMALL_STATE(9168)] = 306820,
  [SMALL_STATE(9169)] = 306827,
  [SMALL_STATE(9170)] = 306834,
  [SMALL_STATE(9171)] = 306841,
  [SMALL_STATE(9172)] = 306848,
  [SMALL_STATE(9173)] = 306855,
  [SMALL_STATE(9174)] = 306862,
  [SMALL_STATE(9175)] = 306869,
  [SMALL_STATE(9176)] = 306876,
  [SMALL_STATE(9177)] = 306883,
  [SMALL_STATE(9178)] = 306890,
  [SMALL_STATE(9179)] = 306897,
  [SMALL_STATE(9180)] = 306904,
  [SMALL_STATE(9181)] = 306911,
  [SMALL_STATE(9182)] = 306918,
  [SMALL_STATE(9183)] = 306925,
  [SMALL_STATE(9184)] = 306932,
  [SMALL_STATE(9185)] = 306939,
  [SMALL_STATE(9186)] = 306946,
  [SMALL_STATE(9187)] = 306953,
  [SMALL_STATE(9188)] = 306960,
  [SMALL_STATE(9189)] = 306967,
  [SMALL_STATE(9190)] = 306974,
  [SMALL_STATE(9191)] = 306981,
  [SMALL_STATE(9192)] = 306988,
  [SMALL_STATE(9193)] = 306995,
  [SMALL_STATE(9194)] = 307002,
  [SMALL_STATE(9195)] = 307009,
  [SMALL_STATE(9196)] = 307016,
  [SMALL_STATE(9197)] = 307023,
  [SMALL_STATE(9198)] = 307030,
  [SMALL_STATE(9199)] = 307037,
  [SMALL_STATE(9200)] = 307044,
  [SMALL_STATE(9201)] = 307051,
  [SMALL_STATE(9202)] = 307058,
  [SMALL_STATE(9203)] = 307065,
  [SMALL_STATE(9204)] = 307072,
  [SMALL_STATE(9205)] = 307079,
  [SMALL_STATE(9206)] = 307086,
  [SMALL_STATE(9207)] = 307093,
  [SMALL_STATE(9208)] = 307100,
  [SMALL_STATE(9209)] = 307107,
  [SMALL_STATE(9210)] = 307114,
  [SMALL_STATE(9211)] = 307121,
  [SMALL_STATE(9212)] = 307128,
  [SMALL_STATE(9213)] = 307135,
  [SMALL_STATE(9214)] = 307142,
  [SMALL_STATE(9215)] = 307149,
  [SMALL_STATE(9216)] = 307156,
  [SMALL_STATE(9217)] = 307163,
  [SMALL_STATE(9218)] = 307170,
  [SMALL_STATE(9219)] = 307177,
  [SMALL_STATE(9220)] = 307184,
  [SMALL_STATE(9221)] = 307191,
  [SMALL_STATE(9222)] = 307198,
  [SMALL_STATE(9223)] = 307205,
  [SMALL_STATE(9224)] = 307212,
  [SMALL_STATE(9225)] = 307219,
  [SMALL_STATE(9226)] = 307226,
  [SMALL_STATE(9227)] = 307233,
  [SMALL_STATE(9228)] = 307240,
  [SMALL_STATE(9229)] = 307247,
  [SMALL_STATE(9230)] = 307254,
  [SMALL_STATE(9231)] = 307261,
  [SMALL_STATE(9232)] = 307268,
  [SMALL_STATE(9233)] = 307275,
  [SMALL_STATE(9234)] = 307282,
  [SMALL_STATE(9235)] = 307289,
  [SMALL_STATE(9236)] = 307296,
  [SMALL_STATE(9237)] = 307303,
  [SMALL_STATE(9238)] = 307310,
  [SMALL_STATE(9239)] = 307317,
  [SMALL_STATE(9240)] = 307324,
  [SMALL_STATE(9241)] = 307331,
  [SMALL_STATE(9242)] = 307338,
  [SMALL_STATE(9243)] = 307345,
  [SMALL_STATE(9244)] = 307352,
  [SMALL_STATE(9245)] = 307359,
  [SMALL_STATE(9246)] = 307366,
  [SMALL_STATE(9247)] = 307373,
  [SMALL_STATE(9248)] = 307380,
  [SMALL_STATE(9249)] = 307387,
  [SMALL_STATE(9250)] = 307394,
  [SMALL_STATE(9251)] = 307401,
  [SMALL_STATE(9252)] = 307408,
  [SMALL_STATE(9253)] = 307415,
  [SMALL_STATE(9254)] = 307422,
  [SMALL_STATE(9255)] = 307429,
  [SMALL_STATE(9256)] = 307436,
  [SMALL_STATE(9257)] = 307443,
  [SMALL_STATE(9258)] = 307450,
  [SMALL_STATE(9259)] = 307457,
  [SMALL_STATE(9260)] = 307464,
  [SMALL_STATE(9261)] = 307471,
  [SMALL_STATE(9262)] = 307478,
  [SMALL_STATE(9263)] = 307485,
  [SMALL_STATE(9264)] = 307492,
  [SMALL_STATE(9265)] = 307499,
  [SMALL_STATE(9266)] = 307506,
  [SMALL_STATE(9267)] = 307513,
  [SMALL_STATE(9268)] = 307520,
  [SMALL_STATE(9269)] = 307527,
  [SMALL_STATE(9270)] = 307534,
  [SMALL_STATE(9271)] = 307541,
  [SMALL_STATE(9272)] = 307548,
  [SMALL_STATE(9273)] = 307555,
  [SMALL_STATE(9274)] = 307562,
  [SMALL_STATE(9275)] = 307569,
  [SMALL_STATE(9276)] = 307576,
  [SMALL_STATE(9277)] = 307583,
  [SMALL_STATE(9278)] = 307590,
  [SMALL_STATE(9279)] = 307597,
  [SMALL_STATE(9280)] = 307604,
  [SMALL_STATE(9281)] = 307611,
  [SMALL_STATE(9282)] = 307618,
  [SMALL_STATE(9283)] = 307625,
  [SMALL_STATE(9284)] = 307632,
  [SMALL_STATE(9285)] = 307639,
  [SMALL_STATE(9286)] = 307646,
  [SMALL_STATE(9287)] = 307653,
  [SMALL_STATE(9288)] = 307660,
  [SMALL_STATE(9289)] = 307667,
  [SMALL_STATE(9290)] = 307674,
  [SMALL_STATE(9291)] = 307681,
  [SMALL_STATE(9292)] = 307688,
  [SMALL_STATE(9293)] = 307695,
  [SMALL_STATE(9294)] = 307702,
  [SMALL_STATE(9295)] = 307709,
  [SMALL_STATE(9296)] = 307716,
  [SMALL_STATE(9297)] = 307723,
  [SMALL_STATE(9298)] = 307730,
  [SMALL_STATE(9299)] = 307737,
  [SMALL_STATE(9300)] = 307744,
  [SMALL_STATE(9301)] = 307751,
  [SMALL_STATE(9302)] = 307758,
  [SMALL_STATE(9303)] = 307765,
  [SMALL_STATE(9304)] = 307772,
  [SMALL_STATE(9305)] = 307779,
  [SMALL_STATE(9306)] = 307786,
  [SMALL_STATE(9307)] = 307793,
  [SMALL_STATE(9308)] = 307800,
  [SMALL_STATE(9309)] = 307807,
  [SMALL_STATE(9310)] = 307814,
  [SMALL_STATE(9311)] = 307821,
  [SMALL_STATE(9312)] = 307828,
  [SMALL_STATE(9313)] = 307835,
  [SMALL_STATE(9314)] = 307842,
  [SMALL_STATE(9315)] = 307849,
  [SMALL_STATE(9316)] = 307856,
  [SMALL_STATE(9317)] = 307863,
  [SMALL_STATE(9318)] = 307870,
  [SMALL_STATE(9319)] = 307877,
  [SMALL_STATE(9320)] = 307884,
  [SMALL_STATE(9321)] = 307891,
  [SMALL_STATE(9322)] = 307898,
  [SMALL_STATE(9323)] = 307905,
  [SMALL_STATE(9324)] = 307912,
  [SMALL_STATE(9325)] = 307919,
  [SMALL_STATE(9326)] = 307926,
  [SMALL_STATE(9327)] = 307933,
  [SMALL_STATE(9328)] = 307940,
  [SMALL_STATE(9329)] = 307947,
  [SMALL_STATE(9330)] = 307954,
  [SMALL_STATE(9331)] = 307961,
  [SMALL_STATE(9332)] = 307968,
  [SMALL_STATE(9333)] = 307975,
  [SMALL_STATE(9334)] = 307982,
  [SMALL_STATE(9335)] = 307989,
  [SMALL_STATE(9336)] = 307996,
  [SMALL_STATE(9337)] = 308003,
  [SMALL_STATE(9338)] = 308010,
  [SMALL_STATE(9339)] = 308017,
  [SMALL_STATE(9340)] = 308024,
  [SMALL_STATE(9341)] = 308031,
  [SMALL_STATE(9342)] = 308038,
  [SMALL_STATE(9343)] = 308045,
  [SMALL_STATE(9344)] = 308052,
  [SMALL_STATE(9345)] = 308059,
  [SMALL_STATE(9346)] = 308066,
  [SMALL_STATE(9347)] = 308073,
  [SMALL_STATE(9348)] = 308080,
  [SMALL_STATE(9349)] = 308087,
  [SMALL_STATE(9350)] = 308094,
  [SMALL_STATE(9351)] = 308101,
  [SMALL_STATE(9352)] = 308108,
  [SMALL_STATE(9353)] = 308115,
  [SMALL_STATE(9354)] = 308122,
  [SMALL_STATE(9355)] = 308129,
  [SMALL_STATE(9356)] = 308136,
  [SMALL_STATE(9357)] = 308143,
  [SMALL_STATE(9358)] = 308150,
  [SMALL_STATE(9359)] = 308157,
  [SMALL_STATE(9360)] = 308164,
  [SMALL_STATE(9361)] = 308171,
  [SMALL_STATE(9362)] = 308178,
  [SMALL_STATE(9363)] = 308185,
  [SMALL_STATE(9364)] = 308192,
  [SMALL_STATE(9365)] = 308199,
  [SMALL_STATE(9366)] = 308206,
  [SMALL_STATE(9367)] = 308213,
  [SMALL_STATE(9368)] = 308220,
  [SMALL_STATE(9369)] = 308227,
  [SMALL_STATE(9370)] = 308234,
  [SMALL_STATE(9371)] = 308241,
  [SMALL_STATE(9372)] = 308248,
  [SMALL_STATE(9373)] = 308255,
  [SMALL_STATE(9374)] = 308262,
  [SMALL_STATE(9375)] = 308269,
  [SMALL_STATE(9376)] = 308276,
  [SMALL_STATE(9377)] = 308283,
  [SMALL_STATE(9378)] = 308290,
  [SMALL_STATE(9379)] = 308297,
  [SMALL_STATE(9380)] = 308304,
  [SMALL_STATE(9381)] = 308311,
  [SMALL_STATE(9382)] = 308318,
  [SMALL_STATE(9383)] = 308325,
  [SMALL_STATE(9384)] = 308332,
  [SMALL_STATE(9385)] = 308339,
  [SMALL_STATE(9386)] = 308346,
  [SMALL_STATE(9387)] = 308353,
  [SMALL_STATE(9388)] = 308360,
  [SMALL_STATE(9389)] = 308367,
  [SMALL_STATE(9390)] = 308374,
  [SMALL_STATE(9391)] = 308381,
  [SMALL_STATE(9392)] = 308388,
  [SMALL_STATE(9393)] = 308395,
  [SMALL_STATE(9394)] = 308402,
  [SMALL_STATE(9395)] = 308409,
  [SMALL_STATE(9396)] = 308416,
  [SMALL_STATE(9397)] = 308423,
  [SMALL_STATE(9398)] = 308430,
  [SMALL_STATE(9399)] = 308437,
  [SMALL_STATE(9400)] = 308444,
  [SMALL_STATE(9401)] = 308451,
  [SMALL_STATE(9402)] = 308458,
  [SMALL_STATE(9403)] = 308465,
  [SMALL_STATE(9404)] = 308472,
  [SMALL_STATE(9405)] = 308479,
  [SMALL_STATE(9406)] = 308486,
  [SMALL_STATE(9407)] = 308493,
  [SMALL_STATE(9408)] = 308500,
  [SMALL_STATE(9409)] = 308507,
  [SMALL_STATE(9410)] = 308514,
  [SMALL_STATE(9411)] = 308521,
  [SMALL_STATE(9412)] = 308528,
  [SMALL_STATE(9413)] = 308535,
  [SMALL_STATE(9414)] = 308542,
  [SMALL_STATE(9415)] = 308549,
  [SMALL_STATE(9416)] = 308556,
  [SMALL_STATE(9417)] = 308563,
  [SMALL_STATE(9418)] = 308570,
  [SMALL_STATE(9419)] = 308577,
  [SMALL_STATE(9420)] = 308584,
  [SMALL_STATE(9421)] = 308591,
  [SMALL_STATE(9422)] = 308598,
  [SMALL_STATE(9423)] = 308605,
  [SMALL_STATE(9424)] = 308612,
  [SMALL_STATE(9425)] = 308619,
  [SMALL_STATE(9426)] = 308626,
  [SMALL_STATE(9427)] = 308633,
  [SMALL_STATE(9428)] = 308640,
  [SMALL_STATE(9429)] = 308647,
  [SMALL_STATE(9430)] = 308654,
  [SMALL_STATE(9431)] = 308661,
  [SMALL_STATE(9432)] = 308668,
  [SMALL_STATE(9433)] = 308675,
  [SMALL_STATE(9434)] = 308682,
  [SMALL_STATE(9435)] = 308689,
  [SMALL_STATE(9436)] = 308696,
  [SMALL_STATE(9437)] = 308703,
  [SMALL_STATE(9438)] = 308710,
  [SMALL_STATE(9439)] = 308717,
  [SMALL_STATE(9440)] = 308724,
  [SMALL_STATE(9441)] = 308731,
  [SMALL_STATE(9442)] = 308738,
  [SMALL_STATE(9443)] = 308745,
  [SMALL_STATE(9444)] = 308752,
  [SMALL_STATE(9445)] = 308759,
  [SMALL_STATE(9446)] = 308766,
  [SMALL_STATE(9447)] = 308773,
  [SMALL_STATE(9448)] = 308780,
  [SMALL_STATE(9449)] = 308787,
  [SMALL_STATE(9450)] = 308794,
  [SMALL_STATE(9451)] = 308801,
  [SMALL_STATE(9452)] = 308808,
  [SMALL_STATE(9453)] = 308815,
  [SMALL_STATE(9454)] = 308822,
  [SMALL_STATE(9455)] = 308829,
  [SMALL_STATE(9456)] = 308836,
  [SMALL_STATE(9457)] = 308843,
  [SMALL_STATE(9458)] = 308850,
  [SMALL_STATE(9459)] = 308857,
  [SMALL_STATE(9460)] = 308864,
  [SMALL_STATE(9461)] = 308871,
  [SMALL_STATE(9462)] = 308878,
  [SMALL_STATE(9463)] = 308885,
  [SMALL_STATE(9464)] = 308892,
  [SMALL_STATE(9465)] = 308899,
  [SMALL_STATE(9466)] = 308906,
  [SMALL_STATE(9467)] = 308913,
  [SMALL_STATE(9468)] = 308920,
  [SMALL_STATE(9469)] = 308927,
  [SMALL_STATE(9470)] = 308934,
  [SMALL_STATE(9471)] = 308941,
  [SMALL_STATE(9472)] = 308948,
  [SMALL_STATE(9473)] = 308955,
  [SMALL_STATE(9474)] = 308962,
  [SMALL_STATE(9475)] = 308969,
  [SMALL_STATE(9476)] = 308976,
  [SMALL_STATE(9477)] = 308983,
  [SMALL_STATE(9478)] = 308990,
  [SMALL_STATE(9479)] = 308997,
  [SMALL_STATE(9480)] = 309004,
  [SMALL_STATE(9481)] = 309011,
  [SMALL_STATE(9482)] = 309018,
  [SMALL_STATE(9483)] = 309025,
  [SMALL_STATE(9484)] = 309032,
  [SMALL_STATE(9485)] = 309039,
  [SMALL_STATE(9486)] = 309046,
  [SMALL_STATE(9487)] = 309053,
  [SMALL_STATE(9488)] = 309060,
  [SMALL_STATE(9489)] = 309067,
  [SMALL_STATE(9490)] = 309074,
  [SMALL_STATE(9491)] = 309081,
  [SMALL_STATE(9492)] = 309088,
  [SMALL_STATE(9493)] = 309095,
  [SMALL_STATE(9494)] = 309102,
  [SMALL_STATE(9495)] = 309109,
  [SMALL_STATE(9496)] = 309116,
  [SMALL_STATE(9497)] = 309123,
  [SMALL_STATE(9498)] = 309130,
  [SMALL_STATE(9499)] = 309137,
  [SMALL_STATE(9500)] = 309144,
  [SMALL_STATE(9501)] = 309151,
  [SMALL_STATE(9502)] = 309158,
  [SMALL_STATE(9503)] = 309165,
  [SMALL_STATE(9504)] = 309172,
  [SMALL_STATE(9505)] = 309179,
  [SMALL_STATE(9506)] = 309186,
  [SMALL_STATE(9507)] = 309193,
  [SMALL_STATE(9508)] = 309200,
  [SMALL_STATE(9509)] = 309207,
  [SMALL_STATE(9510)] = 309214,
  [SMALL_STATE(9511)] = 309221,
  [SMALL_STATE(9512)] = 309228,
  [SMALL_STATE(9513)] = 309235,
  [SMALL_STATE(9514)] = 309242,
  [SMALL_STATE(9515)] = 309249,
  [SMALL_STATE(9516)] = 309256,
  [SMALL_STATE(9517)] = 309263,
  [SMALL_STATE(9518)] = 309270,
  [SMALL_STATE(9519)] = 309277,
  [SMALL_STATE(9520)] = 309284,
  [SMALL_STATE(9521)] = 309291,
  [SMALL_STATE(9522)] = 309298,
  [SMALL_STATE(9523)] = 309305,
  [SMALL_STATE(9524)] = 309312,
  [SMALL_STATE(9525)] = 309319,
  [SMALL_STATE(9526)] = 309326,
  [SMALL_STATE(9527)] = 309333,
  [SMALL_STATE(9528)] = 309340,
  [SMALL_STATE(9529)] = 309347,
  [SMALL_STATE(9530)] = 309354,
  [SMALL_STATE(9531)] = 309361,
  [SMALL_STATE(9532)] = 309368,
  [SMALL_STATE(9533)] = 309375,
  [SMALL_STATE(9534)] = 309382,
  [SMALL_STATE(9535)] = 309389,
  [SMALL_STATE(9536)] = 309396,
  [SMALL_STATE(9537)] = 309403,
  [SMALL_STATE(9538)] = 309410,
  [SMALL_STATE(9539)] = 309417,
  [SMALL_STATE(9540)] = 309424,
  [SMALL_STATE(9541)] = 309431,
  [SMALL_STATE(9542)] = 309438,
  [SMALL_STATE(9543)] = 309445,
  [SMALL_STATE(9544)] = 309452,
  [SMALL_STATE(9545)] = 309459,
  [SMALL_STATE(9546)] = 309466,
  [SMALL_STATE(9547)] = 309473,
  [SMALL_STATE(9548)] = 309480,
  [SMALL_STATE(9549)] = 309487,
  [SMALL_STATE(9550)] = 309494,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9541),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9426),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8468),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9407),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9405),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9404),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9403),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9402),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9400),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9399),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9393),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9392),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9383),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9012),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4552),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8006),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9155),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8996),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9153),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9152),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9006),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7167),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9021),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4509),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8616),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9423),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9424),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8710),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 10),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8518),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9444),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9435),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 78),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 10),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1260),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7167),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8631),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6307),
  [453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8644),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8297),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(149),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1809),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1854),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1809),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(610),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5831),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1128),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(307),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3907),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4509),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3205),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9452),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7096),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8477),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9426),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8471),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4804),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(50),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3671),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1364),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4174),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4023),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2285),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3767),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6759),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5806),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5811),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5833),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8105),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8520),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1577),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8616),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8211),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(185),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9344),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1304),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8865),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8864),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8638),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8542),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8832),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1625),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1444),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9401),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9400),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9399),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7289),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4788),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7829),
  [608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7718),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4410),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4429),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3687),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9393),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3609),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9392),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5015),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5722),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1948),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1080),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8527),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1734),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1433),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7251),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7066),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9423),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9424),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1432),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1594),
  [668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8452),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1756),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5553),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6033),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 78),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1273),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7126),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8710),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6273),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8628),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8413),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(437),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3926),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4532),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3183),
  [722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(51),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4016),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7762),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8526),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1609),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8763),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8522),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(178),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9422),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1298),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8615),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8614),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8637),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8504),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8600),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1950),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8518),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1555),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7250),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7049),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9444),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9435),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1543),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1575),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1247),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7142),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8776),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6309),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8711),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8239),
  [844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(707),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3928),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4542),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3174),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(43),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3975),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7757),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8436),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1711),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8938),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8523),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(173),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9433),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1299),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8767),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8768),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8720),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8422),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8804),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1947),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8431),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1496),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7277),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7058),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9453),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9445),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1528),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1621),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1262),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7156),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9013),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6329),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9012),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8303),
  [958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(851),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3827),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4552),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3141),
  [970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(64),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3868),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8006),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8209),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1723),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9155),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8296),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(195),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8996),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1296),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9153),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9152),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9006),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8290),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8898),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1949),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8217),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1553),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7282),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7026),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9345),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9346),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1554),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1833),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7142),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8711),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7757),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8938),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8523),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9433),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8422),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8804),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7058),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9445),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1275),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7131),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9543),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6310),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9541),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8567),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(149),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1809),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1854),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1809),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(610),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5831),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1128),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4038),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4597),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3108),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9452),
  [1233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7096),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8477),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9426),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8471),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4804),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(81),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3671),
  [1254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1364),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4174),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3821),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2285),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3767),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6759),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5806),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5811),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5833),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7822),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8468),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1648),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9407),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8464),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(197),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9405),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1293),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9404),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9403),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9402),
  [1314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1625),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1444),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9401),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9400),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9399),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7289),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4788),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7829),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7718),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5460),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4429),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3687),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9393),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3609),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9392),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5015),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5722),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1946),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1080),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8458),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1734),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1495),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7256),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7037),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9383),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9382),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1523),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1746),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8452),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1756),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5553),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6033),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1264),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(245),
  [1446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1809),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1809),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1929),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1929),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(307),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3907),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4509),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4174),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9452),
  [1475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7096),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8517),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9426),
  [1484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(50),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3671),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1338),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2285),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3767),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6759),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5806),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5811),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5833),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8105),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8520),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8211),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(185),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9344),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1304),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8865),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8864),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8638),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8542),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8832),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1625),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1444),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9401),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9400),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9399),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7289),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4788),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7829),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7718),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4410),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4429),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3687),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9393),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3609),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9392),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5722),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8339),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8527),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1734),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1433),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1432),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1594),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8452),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1756),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5553),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6033),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1254),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(437),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3926),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4532),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(51),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7762),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8526),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8522),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(178),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9422),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1298),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8615),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8614),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8637),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8504),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8600),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8518),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1555),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1543),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1575),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1255),
  [1693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(753),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4038),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4597),
  [1702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7822),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8468),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8464),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(197),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9405),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1293),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9404),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9403),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9402),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8238),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9124),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8458),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1495),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1523),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1746),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9124),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1272),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(707),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3928),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4542),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(43),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7757),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8436),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8523),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(173),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9433),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1299),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8767),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8768),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8720),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8422),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8804),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8431),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1496),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1528),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1621),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1265),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(851),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3827),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4552),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(64),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8006),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8209),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8296),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(195),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8996),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1296),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9153),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9152),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9006),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8290),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8898),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8217),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1553),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1554),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1833),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4492),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7859),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9443),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1251),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1188),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4756),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4492),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(86),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7859),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8401),
  [1941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8434),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(170),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9443),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1295),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8939),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8945),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8781),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8393),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8906),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8355),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1550),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1548),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1713),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9361),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9495),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9514),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9547),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8999),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9505),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9544),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9001),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9508),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9545),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5567),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9279),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9523),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9550),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7327),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7669),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9517),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5534),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7994),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8874),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9172),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2295),
  [2353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(245),
  [2356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1809),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1809),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1929),
  [2365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(707),
  [2368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7096),
  [2371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8517),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(43),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1338),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7669),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7757),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8436),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1711),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8938),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8523),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(173),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9433),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1299),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8767),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8768),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8720),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8422),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8804),
  [2422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1625),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1444),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9401),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9400),
  [2434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9399),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7289),
  [2440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4788),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7829),
  [2446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7718),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4410),
  [2452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4429),
  [2455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8578),
  [2458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8339),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8431),
  [2464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1734),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1496),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1528),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1621),
  [2476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8452),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1756),
  [2482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(5553),
  [2485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(6033),
  [2488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2278),
  [2491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(437),
  [2494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(51),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7762),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8526),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1609),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8763),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8522),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(178),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9422),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1298),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8615),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8614),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8637),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8504),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8600),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8518),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1555),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1543),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1575),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2267),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(307),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(50),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8105),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8520),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1577),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8616),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8211),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(185),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9344),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1304),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8865),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8864),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8638),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8542),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8832),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8527),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1433),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1432),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1594),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2318),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(753),
  [2614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(81),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7822),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8468),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1648),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9407),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8464),
  [2632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(197),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9405),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1293),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9404),
  [2644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9403),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9402),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8238),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9124),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8458),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1495),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1523),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1746),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2266),
  [2671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(851),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7994),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1597),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8874),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8319),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9172),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8195),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8898),
  [2695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2254),
  [2698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1188),
  [2701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(86),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7859),
  [2707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8401),
  [2710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8434),
  [2713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(170),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9443),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1295),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8939),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8945),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8781),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8393),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8906),
  [2737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8355),
  [2740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1550),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1548),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1713),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2213),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(64),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8006),
  [2758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8209),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1723),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9155),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8296),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(195),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8996),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1296),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9153),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9152),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9006),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8290),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8217),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1553),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1554),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1833),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8570),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8570),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, .production_id = 155),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, .production_id = 155),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8469),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 146),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 146),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, .production_id = 163),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, .production_id = 163),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, .production_id = 147),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, .production_id = 147),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 142),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 142),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 111),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 111),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 141),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 141),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 129),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 129),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 129),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 129),
  [3005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, .production_id = 158),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, .production_id = 158),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9129),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7662),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9430),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9461),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [3073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8342),
  [3076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(2147),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2), SHIFT(7096),
  [3084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(7669),
  [3087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(8578),
  [3090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(8339),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [3101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(2147),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1),
  [3108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1), SHIFT(7096),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1),
  [3113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(7669),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(8578),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(8339),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(2147),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1), SHIFT(7096),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(7669),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(8578),
  [3136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(8339),
  [3139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8412),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 156),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 156),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8342),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 159),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 159),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 25),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 25),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 26),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 26),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 25),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 25),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 126),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 126),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 125),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 125),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 124),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 124),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 123),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 123),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 119),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 119),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8412),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 114),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 114),
  [3286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8299),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 26),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 26),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9200),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9511),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9546),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9469),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4576),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8828),
  [3539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6276),
  [3542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8908),
  [3547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8204),
  [3550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5847),
  [3553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9008),
  [3556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3902),
  [3559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5831),
  [3562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5831),
  [3565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3946),
  [3568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4493),
  [3571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4174),
  [3574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9452),
  [3577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6126),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8530),
  [3583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9426),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8471),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3671),
  [3592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9004),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2285),
  [3598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4172),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6818),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5874),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5869),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5868),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3687),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9393),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3609),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9392),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5015),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5730),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7662),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1080),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2001),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9430),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7052),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9461),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, .production_id = 10),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 78),
  [3657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 10),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [3661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 78),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8870),
  [3700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6252),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8589),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8344),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3965),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4499),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7711),
  [3718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2003),
  [3721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7024),
  [3724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9469),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4941),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6282),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9412),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7632),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9434),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [3803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8670),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8484),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9477),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8627),
  [3826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6282),
  [3829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9412),
  [3832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8562),
  [3835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3911),
  [3838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4498),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7632),
  [3846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2009),
  [3849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7033),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9434),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [3863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [3893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8911),
  [3896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6332),
  [3899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8670),
  [3902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8484),
  [3905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4048),
  [3908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4505),
  [3911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7585),
  [3914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2002),
  [3917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7059),
  [3920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9477),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5779),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5757),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6639),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9480),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9470),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9473),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9462),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9438),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9448),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9454),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9465),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9040),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7664),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9428),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9484),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [4081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1),
  [4097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [4179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8337),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [4222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(2147),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(245),
  [4228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1809),
  [4231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1809),
  [4234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1929),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(3216),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7096),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1583),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2),
  [4248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1338),
  [4251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7669),
  [4254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1625),
  [4257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1444),
  [4260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9401),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9400),
  [4266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9399),
  [4269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7289),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4788),
  [4275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7829),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7718),
  [4281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4410),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4429),
  [4287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8578),
  [4290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7117),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8339),
  [4296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1734),
  [4299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8452),
  [4302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1756),
  [4305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(5553),
  [4308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(6033),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [4351] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(525),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [4377] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [4431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(483),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8739),
  [4543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8735),
  [4546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8734),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8714),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8707),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8740),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8742),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9525),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8748),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8751),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8759),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8749),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 78),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 145),
  [4707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8815),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 181),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1, .production_id = 104),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 104),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8798),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8688),
  [4770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8689),
  [4773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8690),
  [4776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8691),
  [4779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8693),
  [4782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8633),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [4791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8760),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8765),
  [4797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8770),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8771),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8779),
  [4812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8782),
  [4815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8785),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [4822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8791),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9538),
  [4827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8797),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8801),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [4841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8657),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9320),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [4848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8802),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [4861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8806),
  [4864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8808),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [4869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8809),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [4876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8705),
  [4879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8810),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9016),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9359),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8653),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(475),
  [5071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(436),
  [5082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(436),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(465),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [5144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(444),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [5227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(477),
  [5230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [5236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [5238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5471),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [5252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 121),
  [5276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 121),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2029),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7497),
  [5306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8482),
  [5309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, .production_id = 140),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, .production_id = 140),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [5341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2046),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5),
  [5354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [5360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [5364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2056),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [5381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8292),
  [5384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(448),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7166),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8993),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8995),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9002),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [5413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(484),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8261),
  [5434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [5444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(492),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(477),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [5462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8261),
  [5465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(465),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2395),
  [5485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(450),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [5490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8935),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 192),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 192),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 192),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 192),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(475),
  [5566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4),
  [5573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1),
  [5585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 126),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 126),
  [5593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 125),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 125),
  [5601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2),
  [5603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2),
  [5605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [5617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(482),
  [5628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2221),
  [5645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7645),
  [5648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8529),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [5677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [5679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [5683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8248),
  [5686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 136),
  [5704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 136),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, .production_id = 137),
  [5724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, .production_id = 137),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [5728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [5732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [5734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [5736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, .production_id = 100),
  [5746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, .production_id = 100),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [5750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [5752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [5758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [5768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2283),
  [5771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7528),
  [5774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8481),
  [5777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4),
  [5781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2288),
  [5784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7599),
  [5787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8519),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(6888),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [5807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, .production_id = 138),
  [5813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, .production_id = 138),
  [5815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 101),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 101),
  [5827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 98),
  [5833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 98),
  [5835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(463),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [5844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 95),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 95),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8377),
  [5855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [5857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [5861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(9214),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [5876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [5884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 95),
  [5886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 95),
  [5888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [5896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [5900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [5908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [5910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [5912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [5914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [5920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [5922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2523),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2427),
  [5948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7483),
  [5951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8506),
  [5954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [5956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 98),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 98),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 101),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 101),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [5976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 136),
  [5978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 136),
  [5980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 137),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 137),
  [5988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(482),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [5993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [6005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9324),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [6023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8403),
  [6038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [6040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [6056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [6066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [6068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [6070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 26),
  [6092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 26),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 26),
  [6096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 26),
  [6098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 115),
  [6104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 115),
  [6106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2530),
  [6109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(477),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [6114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2590),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 116),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 116),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [6145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2780),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [6150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [6152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2653),
  [6155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7430),
  [6158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8505),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [6163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [6169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [6179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [6181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 117),
  [6183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 117),
  [6185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [6197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, .production_id = 160),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, .production_id = 160),
  [6201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2750),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [6216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [6226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2757),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [6231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [6235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [6237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(492),
  [6240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [6252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [6258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2),
  [6264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2),
  [6266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [6276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [6278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2808),
  [6281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(477),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [6304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, .production_id = 160),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, .production_id = 160),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [6322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [6332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [6348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [6360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2881),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [6369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [6379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [6381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2),
  [6383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2),
  [6385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [6401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2),
  [6417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [6429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [6501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 161),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 161),
  [6511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4),
  [6515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [6527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3),
  [6531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 130),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 130),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 150),
  [6541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 150),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, .production_id = 148),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, .production_id = 148),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3),
  [6563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8971),
  [6579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2931),
  [6582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7726),
  [6585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8478),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [6592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(465),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [6597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3),
  [6599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [6607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2),
  [6611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4),
  [6613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [6637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2993),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [6642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(482),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [6665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3007),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [6674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [6686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [6688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [6700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [6704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [6706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [6710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [6726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [6728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5),
  [6730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5),
  [6732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3),
  [6734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3),
  [6736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(463),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4),
  [6749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 118),
  [6751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 118),
  [6753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2),
  [6759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2),
  [6761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8280),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [6766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [6770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(492),
  [6773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [6779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [6785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2),
  [6787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2),
  [6789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4),
  [6791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4),
  [6793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5),
  [6797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6),
  [6799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6680),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [6989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [7015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(492),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [7060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8358),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [7067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [7075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [7081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [7123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [7125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(475),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [7136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [7140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [7142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [7144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(436),
  [7147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8311),
  [7150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4587),
  [7157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4490),
  [7160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8993),
  [7163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8202),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8995),
  [7169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4594),
  [7172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9002),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [7181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual, 1),
  [7187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual, 1),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [7197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3644),
  [7200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7608),
  [7203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8516),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [7208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [7210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 127),
  [7212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 127),
  [7214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [7218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8887),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6677),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [7304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(3909),
  [7307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [7309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [7325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [7337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [7347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [7361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3709),
  [7364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7592),
  [7367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8512),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [7388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(465),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1279),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [7414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [7424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [7430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6739),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6068),
  [7440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [7446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3825),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [7461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1285),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [7492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [7502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [7504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7270),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [7516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(482),
  [7519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [7521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4125),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [7564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3973),
  [7567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7442),
  [7570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8501),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [7577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [7581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7283),
  [7583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7247),
  [7585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [7587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4506),
  [7591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1),
  [7596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1),
  [7598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [7605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [7619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [7621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [7655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(9171),
  [7658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(8441),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [7665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6510),
  [7668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6084),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [7690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4156),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(448),
  [7698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4),
  [7700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4),
  [7702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 106),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [7718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4587),
  [7725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4490),
  [7728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8993),
  [7731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8202),
  [7734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8995),
  [7737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4594),
  [7740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9002),
  [7743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(5015),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2285),
  [7751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4174),
  [7754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9452),
  [7757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8530),
  [7760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9426),
  [7763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3609),
  [7766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9392),
  [7769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(8202),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [7776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6069),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [7781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(7298),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [7802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4294),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [7809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4261),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [7824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(450),
  [7827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [7831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(484),
  [7834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4302),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8950),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6114),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [7866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6128),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6102),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6820),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6610),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [7934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(444),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [7943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [7949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5663),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [7965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6106),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5349),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9298),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [8022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [8030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 56),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [8038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1),
  [8040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 135),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [8044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 135),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [8078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [8144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [8160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 20),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [8188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [8228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [8230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1),
  [8268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [8292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2285),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4174),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9452),
  [8301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8477),
  [8304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9426),
  [8307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3609),
  [8310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9392),
  [8313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [8315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4866),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [8336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [8368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 110),
  [8370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, .production_id = 176),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6998),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [8392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 81),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT(1487),
  [8507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [8509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 133), SHIFT(1487),
  [8512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 133),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [8522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4),
  [8524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [8570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [8594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [8596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, .production_id = 169),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [8618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [8620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [8628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [8642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, .production_id = 154),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [8650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [8676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 1),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [8682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [8688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 144),
  [8690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 143),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [8698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6866),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [8720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .dynamic_precedence = 1, .production_id = 193),
  [8722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [8728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 20),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [8732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, .production_id = 187),
  [8742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [8758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 177),
  [8760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 134),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [8778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 180),
  [8780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 178),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, .production_id = 179),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [8840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, .production_id = 54),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [8868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2285),
  [8871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2285),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [8890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, .production_id = 82),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, .production_id = 54),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [9008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(5335),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [9025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [9027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [9029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [9045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, .production_id = 194),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [9061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23),
  [9063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23),
  [9065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6739),
  [9068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6068),
  [9071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9452),
  [9078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2),
  [9080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [9094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5516),
  [9097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5516),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [9122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(9171),
  [9125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(8441),
  [9128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6510),
  [9131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6084),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [9138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(8202),
  [9141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(7298),
  [9144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6069),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [9151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [9161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9171),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23),
  [9176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [9184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6739),
  [9187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6068),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [9192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6128),
  [9195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6114),
  [9198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(9171),
  [9201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(8441),
  [9204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6510),
  [9207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6084),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [9220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9281),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [9238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [9240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [9242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [9244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [9248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4260),
  [9260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6776),
  [9264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [9268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9175),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [9310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [9314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9202),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6756),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6798),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5664),
  [9344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym_argument_list, 2),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [9351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [9353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [9355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [9357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [9359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [9361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9325),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [9375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6768),
  [9379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6784),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [9405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5886),
  [9412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5824),
  [9415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6102),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(7298),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(8202),
  [9424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6069),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [9443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5458),
  [9446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5458),
  [9449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6128),
  [9452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6114),
  [9455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1283),
  [9458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6106),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [9473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [9475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [9477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [9479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [9487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [9491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [9493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6102),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [9498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [9508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(6002),
  [9511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(6001),
  [9514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [9518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8202),
  [9521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23),
  [9523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23),
  [9525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6739),
  [9528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6068),
  [9531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(9171),
  [9534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(8441),
  [9537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6510),
  [9540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6084),
  [9543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6106),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [9548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(8202),
  [9551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6069),
  [9554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(7298),
  [9557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2), SHIFT(3007),
  [9560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(6008),
  [9563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5999),
  [9566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(6009),
  [9569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18), SHIFT(3007),
  [9572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36), SHIFT(3007),
  [9579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20), SHIFT(3007),
  [9582] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(3007),
  [9586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36), SHIFT(5994),
  [9593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20), SHIFT(5995),
  [9596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6114),
  [9599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6128),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [9608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [9622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [9624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [9630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7613),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [9650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7683),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [9664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [9666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [9668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6102),
  [9671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(5982),
  [9674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6220),
  [9681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6220),
  [9684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [9696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6824),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6599),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6350),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7422),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [9750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [9772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7419),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [9784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1),
  [9786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [9798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6106),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [9803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2),
  [9805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8070),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [9827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [9829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6825),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6598),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7174),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [9863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [9869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6806),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [9881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6257),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [9887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [9895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [9901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [9903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [9907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [9909] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1),
  [9913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1),
  [9915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [9921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [9925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6179),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [9959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [9961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7938),
  [9963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [9969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [9975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [9993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [9995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [9997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [9999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [10005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [10011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [10013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [10023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [10027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [10029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [10035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8172),
  [10043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [10051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [10063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [10065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [10091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [10095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [10105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [10107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [10111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [10131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [10133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [10141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [10147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [10189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [10191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [10207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [10209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [10219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7914),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [10229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [10241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6253),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [10245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [10247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6315),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [10257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [10261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3),
  [10267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [10271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [10275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23),
  [10277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4),
  [10291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [10295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4),
  [10297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4),
  [10299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6510),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7472),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [10324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [10326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3),
  [10332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3),
  [10334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6510),
  [10337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6069),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6084),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [10357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1),
  [10359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5),
  [10361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5),
  [10363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23),
  [10365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23),
  [10367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1),
  [10369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [10373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6510),
  [10376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6084),
  [10379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6069),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6739),
  [10387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6068),
  [10390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8441),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [10399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 24),
  [10401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 24),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [10409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 120),
  [10417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 120),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 115),
  [10423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 115),
  [10425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [10427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3),
  [10429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 26),
  [10431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 26),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [10437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1),
  [10439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1),
  [10441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [10443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2),
  [10457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [10467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1),
  [10469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 26),
  [10471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 26),
  [10473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 23),
  [10475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 23),
  [10477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [10487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8673),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6584),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 5),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [10518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(6584),
  [10521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7554),
  [10524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8499),
  [10527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [10529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [10541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [10549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [10553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [10561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [10563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [10567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [10569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6739),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [10574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6128),
  [10577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6739),
  [10580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6068),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [10585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [10591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7017),
  [10597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 128),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [10601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 62),
  [10605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 80),
  [10607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2),
  [10609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 39),
  [10613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8477),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [10618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(8993),
  [10623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(9002),
  [10628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 5),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [10664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6114),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [10675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, .dynamic_precedence = 1),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6978),
  [10681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [10683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [10685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6102),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6975),
  [10690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6946),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [10702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6970),
  [10714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6990),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [10724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6114),
  [10727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6128),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6986),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [10744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, .dynamic_precedence = 1),
  [10746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7018),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7019),
  [10750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7012),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [10762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [10784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [10854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [10864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 26),
  [10866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 26),
  [10868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 115),
  [10870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 115),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [10874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [10890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [10892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [10902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6106),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [10913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7265),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [10925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [10933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 26),
  [10935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 26),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [10957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [10959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [10965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6102),
  [10968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 99),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [10972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 99),
  [10974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [10976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [10978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 26),
  [10980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 26),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [10986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [10988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [10990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7144),
  [10994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [11000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [11002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6106),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [11013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(7862),
  [11016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(6266),
  [11019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(9125),
  [11022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8567),
  [11025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [11029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, .production_id = 10),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7160),
  [11053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [11057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 26),
  [11059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 26),
  [11061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 115),
  [11063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 115),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7228),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [11071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 78),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [11075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [11077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [11081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [11083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [11087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 66),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [11091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1),
  [11093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5550),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [11109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [11113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [11117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [11123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [11125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [11129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [11133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [11135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [11137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [11141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [11145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [11147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 26),
  [11149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [11151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [11155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [11159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [11161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [11163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [11169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [11177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8465),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [11183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [11185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7674),
  [11189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7908),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [11195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [11197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [11199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [11201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [11203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [11205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [11207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [11209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [11211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [11215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [11217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [11219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [11221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [11227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [11229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [11231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [11235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [11237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [11239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [11243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [11245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [11247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [11249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [11251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [11253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [11255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [11259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [11261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [11263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [11267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [11269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [11271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [11273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [11275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [11277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [11279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7956),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [11283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [11285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [11287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [11289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 5),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [11295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(7862),
  [11298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 78),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [11316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7190),
  [11319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [11329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [11333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [11339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 10),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [11343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 10),
  [11345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, .production_id = 10),
  [11347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [11377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [11379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, .production_id = 58),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [11385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [11387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [11395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [11403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 78),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 78),
  [11409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [11421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [11423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [11425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1730),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [11430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(9245),
  [11433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [11435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [11445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7925),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [11451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [11455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [11459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [11463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [11471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7560),
  [11473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [11479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [11521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 125),
  [11531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 125),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [11553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7300),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [11582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [11584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(7543),
  [11587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [11593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [11599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 126),
  [11605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 126),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [11619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [11625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [11641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [11675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8335),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [11703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [11705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [11707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [11711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [11713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [11717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1),
  [11719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [11725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, .production_id = 153),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8298),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [11735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, .production_id = 186),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [11739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8285),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [11743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9486),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7574),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [11767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [11769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [11781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [11791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [11801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [11803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [11805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, .production_id = 19),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [11811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 113), SHIFT_REPEAT(6609),
  [11814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 113),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [11826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [11846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 149),
  [11848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [11860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 183),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [11880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [11884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [11886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [11888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [11892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 149),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [11898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [11906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7526),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [11910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [11938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [11944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [11950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5),
  [11952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [11960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [11962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [11968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [11980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [11988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [12002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [12004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7550),
  [12007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7550),
  [12010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [12016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7536),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [12020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 91),
  [12022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [12024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [12028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [12030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(7562),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [12041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7576),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [12045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9482),
  [12047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [12049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [12055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175), SHIFT_REPEAT(6509),
  [12058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [12070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [12084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [12098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [12102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [12114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [12116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [12132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [12142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7623),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [12146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207), SHIFT_REPEAT(7345),
  [12149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [12155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [12159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [12169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [12171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [12177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7195),
  [12180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [12188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 183),
  [12190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [12194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7693),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9415),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [12210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 196),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [12216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7651),
  [12232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 203),
  [12234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7177),
  [12237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195),
  [12239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, .production_id = 34),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [12243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [12245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [12253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [12257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [12261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [12267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8789),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [12277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [12281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8994),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9101),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [12293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 87),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [12297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [12303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [12327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 94),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [12343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(8201),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [12356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2), SHIFT_REPEAT(1938),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [12365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2), SHIFT_REPEAT(9214),
  [12368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [12376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [12434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 211),
  [12436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210), SHIFT_REPEAT(9464),
  [12439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [12447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 208),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [12453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 196),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [12459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 202),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [12463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(4549),
  [12466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [12476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 204),
  [12478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 149),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [12490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 202),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [12494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [12498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5),
  [12500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 211),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [12516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2), SHIFT_REPEAT(4504),
  [12525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [12563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 149),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [12585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [12593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7445),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [12613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 190),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 5),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [12621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 189),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [12647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [12655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [12661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(8213),
  [12664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [12692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(6331),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [12697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2), SHIFT_REPEAT(1423),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [12702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [12712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [12716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2), SHIFT_REPEAT(6913),
  [12719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [12725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(2066),
  [12728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 66),
  [12734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2), SHIFT_REPEAT(2078),
  [12737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [12761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2), SHIFT_REPEAT(2032),
  [12764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2),
  [12766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [12772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [12776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, .production_id = 59),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [12784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2),
  [12786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2), SHIFT_REPEAT(588),
  [12789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [12795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 3),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [12805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3),
  [12807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, .production_id = 68),
  [12809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, .production_id = 139),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [12819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [12821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2), SHIFT_REPEAT(6364),
  [12824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [12864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7692),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [12882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 113), SHIFT_REPEAT(5709),
  [12885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 113),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [12929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7624),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [12935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(1276),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [12950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7538),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [12960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [12966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [12976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [12988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2),
  [12990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1302),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [13015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [13033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [13051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, .production_id = 99),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [13145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [13175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [13187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9035),
  [13189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [13191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [13193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 91),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [13203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9126),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [13207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [13211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8946),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [13217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [13247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [13255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9138),
  [13257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, .production_id = 152),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [13261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [13269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 2),
  [13271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, .production_id = 57),
  [13273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [13275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [13289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9208),
  [13291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, .production_id = 162),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [13295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, .production_id = 99),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [13301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [13303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, .production_id = 28),
  [13305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [13307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [13315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8712),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [13325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9369),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [13331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8788),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [13349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [13371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [13383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [13405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 204),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [13459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [13471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [13475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9209),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [13483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9513),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [13635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, .production_id = 54),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [13785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [13817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [13819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [13927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8672),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [14292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 79),
  [14294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [14324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [14470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [14526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 125),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [14532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 126),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [14560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 79),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [14574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 10),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [14676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 170),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [14688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [14704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [14706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [14710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [14716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 125),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [14728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 78),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [14732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 79),
  [14734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 79),
  [14736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 126),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [14740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 79),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [14776] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [14798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 170),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [14804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 125),
  [14806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 125),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [14810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, .production_id = 126),
  [14812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, .production_id = 126),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [14834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 125),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [14838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, .production_id = 126),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [14888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 170),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [14894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 170),
  [14896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 170),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [14964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [14966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [14972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [14974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [15042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
